<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use Illuminate\Support\Facades\Log;

use App\Mail\CompanyAdmin\UnreadNotificationMailToUser;

use Mail;
use Carbon\Carbon;

class NotifySendNotification30Minutes extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature    = 'notify:30minutes';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description  = 'Command description';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        Log::info('Cron start : Notify send notification 30 Minutes ( '.Carbon::now()->format('Y-m-d H:i:s').' )');

        $getdata                        = getUnreadyNotifyUser(30);
        foreach($getdata as $data){
            if(!empty($data['notify_email']) && !empty($data['email'])){
                Mail::to($data['email'])->send(new UnreadNotificationMailToUser($data));
            }
            if(!empty($data['company_id']) && !empty($data['notify_sms']) && !empty($data['phone'])){
                // Twilio's credentials are fetched from company table
                $getCompanyTwilioData   = getCompanyTwilioData($data['company_id']);
                if(isset($getCompanyTwilioData['active']) && $getCompanyTwilioData['active'] == 'yes'){
                    $message            = $data['msg'].' Click here'.$data['url'];
                    sendSMS($data['phone'], $message, $getCompanyTwilioData);
                }
            }
        }

        if(count($getdata) > 0){
            Log::info('Total sent '.count($getdata));
        }else{
            Log::info('No record found.');
        }

        Log::info('Cron end : Notify send notification 30 Minutes ( '.Carbon::now()->format('Y-m-d H:i:s').' )');
    }
}
