<?php

namespace App\Console\Commands;

use App\Models\EmailLog;
use Illuminate\Console\Command;
use Illuminate\Support\Carbon;
use Illuminate\Support\Facades\Log;

class RemoveEmailLogs extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'emailLogs:remove';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Remove email logs older than 3 months';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        Log::info('Cron start : Delete email logs older than 3 months ( '. \Carbon\Carbon::now()->format('Y-m-d H:i:s').' )');

        $threeMonthsAgo = Carbon::now()->subMonth(3);

        $deletedLogs = EmailLog::where('created_at', '<', $threeMonthsAgo)->delete();

        Log::info('Cron end : Delete email logs older than 3 months ( '. \Carbon\Carbon::now()->format('Y-m-d H:i:s').' )');
    }
}
