<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use Illuminate\Support\Facades\Log;

use App\Models\Company;
use App\Models\CompanyAdmin;

use App\Mail\Admin\SmsLimitNotificationEmail;
use Mail;
use DB;




class SmsLimitNotification extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature    = 'smslimitnotification';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description  = 'SMS Limit Notification when 10 perce pending limit.';
 
    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {

        $companys = Company::where('sms_limit_type', '1')->get();
        foreach($companys as $company){
            $notifyLimit = ($company->sms_limit * 10) / 100;
            if($notifyLimit >= $company->sms_last_added){

                $companyAdmin = CompanyAdmin::where('company_id', $company->id)->where('type', '0')->get();
                foreach($companyAdmin as $cdata){
                    $mailData                        = [];
                    $mailData['company_name']                = $company->name;
                    $mailData['sms_limit']               = $company->sms_limit;
                    $mailData['user_name']                = $cdata->full_name;
                    $mailData['email']               = $cdata->email;

                    Mail::to($cdata->email)->send(new SmsLimitNotificationEmail($mailData));
                      
                }
            }
        }


    }
}
