<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use Illuminate\Support\Facades\Log;

use App\Models\Company;
use App\Models\CompanyAdmin;

use App\Models\Truck;
use App\Models\TruckStatusLog;

use App\Models\Driver;
use App\Models\DriverStatusLog;

use App\Models\Trailer;
use App\Models\TrailerStatusLog;


use App\Models\CompanyAdminStatusLog;
use App\Models\CompanySmsPurchaseLog;

use App\Mail\Admin\SmsLimitNotificationEmail;
use Mail;
use DB;




class StatusLog extends Command
{
    /**
     * The name and signature of the console command.
     * php artisan statuslog
     * @var string
     */
    protected $signature    = 'statuslog';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description  = 'Create log every month for invoice count.';
 
    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {

        $trucks = Truck::whereIn('status', ['0','1','3'])->get();
        foreach($trucks as $item){
            $logdata = [];
            $logdata['company_id'] = $item->company_id;
            $logdata['truck_id'] = $item->id;
            $logdata['status_id'] = $item->status;
            TruckStatusLog::create($logdata);
        }

        $driver = Driver::whereIn('status', ['0','1','3'])->get();
        foreach($trucks as $item){
            $logdata = [];
            $logdata['company_id'] = $item->company_id;
            $logdata['driver_id'] = $item->id;
            $logdata['status_id'] = $item->status;
            DriverStatusLog::create($logdata);
        }

        $trailer = Trailer::whereIn('status', ['0','2','3','4','5','6'])->get();
        foreach($trailer as $item){
            $logdata = [];
            $logdata['company_id'] = $item->company_id;
            $logdata['trailer_id'] = $item->id;
            $logdata['status_id'] = $item->status;
            TrailerStatusLog::create($logdata);
        }

        $companyAdmin = CompanyAdmin::whereIn('type', ['1','2'])->whereIn('status', ['0','1','3'])->get();
        foreach($companyAdmin as $item){
            $logdata = [];
            $logdata['company_id'] = $item->company_id;
            $logdata['company_admin_id'] = $item->id;
            $logdata['type'] = $item->type;
            $logdata['status_id'] = $item->status;
            CompanyAdminStatusLog::create($logdata);
        }
        
        $company = Company::get();
        foreach($company as $item){
            if($item->monthly_limit > 0 && $item->sms_limit_type == 1){
                $plogData = [];
                $plogData['company_id'] = $item->id;
                $plogData['sms_limit'] = $item->monthly_limit;
                $plogData['created_name'] = 'By System';
                CompanySmsPurchaseLog::create($plogData);

                $company = Company::find($item->id);
                $company->sms_limit = $item->monthly_limit;
                $company->save();
            }
            
        }

        
        
        


    }
}
