<?php

namespace App\Console\Commands;

use App\Models\FuelSurchargeTemplate;
use Carbon\Carbon;
use Illuminate\Console\Command;
use Illuminate\Support\Facades\Log;

class UpdateDefaultFuelSurcharge extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'update-default-fuel-surcharge:cron';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Command description';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        Log::info('Cron start : Update Default Fuel Surcharge for Diesel & Gas ( '.Carbon::now()->format('Y-m-d H:i:s').' )');
        $templates = FuelSurchargeTemplate::whereIn('customer', ['FSG', 'FSD'])->orderBy('id')->get();
        foreach ($templates as $template){
            saveDefaultFuelSurcharges($template);
        }
        Log::info('Cron start : Update Default Fuel Surcharge for Diesel & Gas ( '.Carbon::now()->format('Y-m-d H:i:s').' )');
    }
}
