<?php

namespace App\Http\Controllers\CompanyAdmin;

use App\Http\Controllers\CompanyAdmin\CompanyAdminController;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Cache;

use App\Models\Driver;
use App\Models\Timezone;
use App\Models\CompanyAdmin;

class AccountSettingController extends CompanyAdminController{

    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct(){
        parent::__construct();
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(){
        $id         = auth()->guard('company-admin')->user()->id;
        $setting    = CompanyAdmin::find($id);
        $timezones  = Cache::remember('timezones', 3600, function () {
            return Timezone::where('status', 1)->pluck('name','id')->toArray();
        });
        return view('companyAdmin.accountSetting.index', compact('setting','timezones'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id){
        $input          = $request->all();

        $company_admin  = CompanyAdmin::find($id);
        if(isset($input['notification'])){
            $input['notification'] = 1;
        }else{
            $input['notification'] = 0;
        }
        $company_admin->update($input);

        notification('success', 'Account Settings updated successfully');
        return redirect()->back();
    }

}
