<?php

namespace App\Http\Controllers\CompanyAdmin;

use App\Http\Controllers\CompanyAdmin\CompanyAdminController;
use Illuminate\Http\Request;
use Illuminate\Support\Str;

use App\Models\Bookmark;
use App\Models\LoadDetention;
use App\Models\IntegrationSetting;

use App\Mail\DetentionRequestBroker;

use App\Helpers\Common;
use App\Traits\AuditLoagTrait;

use DB;
use Mail;
use File;
use Validator;
use DataTables;
use Carbon\Carbon;
use Intervention\Image\Facades\Image;

class DetentionRequestController extends CompanyAdminController
{

    use AuditLoagTrait;
    /**
     * Create a new controller instance.
     *
     * @return void
     */

    public function __construct(){
        parent::__construct();
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request){
        $getCompanyAdmin                    = auth()->guard('company-admin')->user();

        $getField                           = '';
        $isCheck                            = Bookmark::where('company_id',getUserCompnayId())->where('user_id',$getCompanyAdmin->id)->where('user_type',$getCompanyAdmin->type)->where('table_id','detentions')->first();
        if(!empty($isCheck->id)){
            // $getField                    = unserialize($isCheck->config);
            $getField                       = adjustTableColumnsSorting(unserialize($isCheck->config), config('settings.table_detentions_first'));
        }else{
            $getField                       = config('settings.table_detentions_first');
        }

        if ($request->ajax()) {
            $search                         = $request->search['value'] ?? '';

            if (auth()->guard('company-admin')->user()->type==2) {
                $data                       = LoadDetention::query()
                    ->select(
                        // 'load_detentions.*',
                        'load_detentions.id',

                        'load_detentions.driver_id',
                        'load_detentions.broker_id',

                        'load_detentions.load_detail_id',
                        'load_detentions.load_stop_id',
                        'load_detentions.is_stop',
                        'load_detentions.type',

                        'load_detentions.detention_status',

                        'load_detentions.free_time',
                        'load_detentions.billed_time',
                        'load_detentions.adjusted_billed_time',
                        'load_detentions.rate',
                        'load_detentions.adjusted_rate',
                        'load_detentions.detention_due',
                        'load_detentions.adjusted_detention_due',

                        'load_detentions.driver_comment_show_to_broker',
                        'load_detentions.driver_comment',
                        'load_detentions.reviewer_comment_show_to_broker',
                        'load_detentions.reviewer_comment',
                        'load_detentions.billing_comment_show_to_broker',
                        'load_detentions.comment',

                        'load_detentions.sent_acknowledgement_to_broker',
                        'load_detentions.sent_acknowledgement_to_broker_at',
                        'load_detentions.acknowledgement_emails',
                        'load_detentions.acknowledged_user_type',
                        'load_detentions.acknowledged_at',
                        'load_detentions.acknowledged_by',
                        'load_detentions.broker_viewed_acknowledgement_at',
                        'load_detentions.broker_acknowledgement_ip',

                        'load_detentions.stopped_user_type',
                        'load_detentions.stopped_at',
                        'load_detentions.stopped_by',

                        'load_detentions.submitted_user_type',
                        'load_detentions.submitted_at',
                        'load_detentions.submitted_by',

                        'load_detentions.sent_to_broker',
                        'load_detentions.sent_to_broker_at',
                        'load_detentions.sent_to',

                        'load_detentions.approved_user_type',
                        'load_detentions.approved_at',
                        'load_detentions.approved_by',
                        'load_detentions.approved_ip',

                        'load_detentions.denied_user_type',
                        'load_detentions.denied_at',
                        'load_detentions.denied_by',
                        'load_detentions.denied_ip',

                        'load_detentions.amended_at',
                        'load_detentions.amended_by',
                        'load_detentions.amended_ip',

                        'load_detentions.broker_denied_at',
                        'load_detentions.broker_denied_by',
                        'load_detentions.broker_denied_ip',

                        'load_detentions.is_send_to_broker',
                        'load_detentions.is_send_to_broker_at',
                        'load_detentions.broker_emails',
                        'load_detentions.broker_view_at',
                        'load_detentions.broker_view_ip',

                        'load_detentions.signature',
                        'load_detentions.signature_name',
                        'load_detentions.signature_datetime',

                        'load_detentions.broker_review_status_ip',
                        'load_detentions.review_user_type',
                        'load_detentions.review_status',
                        'load_detentions.review_at',
                        'load_detentions.review_by',

                        'load_detentions.created_at',
                        'load_detentions.updated_at',
                        'load_detentions.deleted_at',

                        'load_details.load_id',
                        'load_details.load_number',
                        'load_details.load_type',
                        'load_details.is_disable',

                        DB::raw('CONVERT_TZ(load_detentions.detention_start_time,"+00:00",(case WHEN load_detentions.load_stop_id IS NOT NULL THEN IFNULL(load_stops.timezone_offset,"+00:00") ELSE IF(load_detentions.type="1", IFNULL(load_details.shipper_timezone_offset,"+00:00"), IFNULL(load_details.delivery_timezone_offset,"+00:00")) END)) as detention_start_time'),
                        DB::raw('CONVERT_TZ(load_detentions.detention_end_time,"+00:00",(case WHEN load_detentions.load_stop_id IS NOT NULL THEN IFNULL(load_stops.timezone_offset,"+00:00") ELSE IF(load_detentions.type="1", IFNULL(load_details.shipper_timezone_offset,"+00:00"), IFNULL(load_details.delivery_timezone_offset,"+00:00")) END)) as detention_end_time'),
                        DB::raw('CONCAT(drivers.first_name," ",drivers.last_name) as driver'),
                        DB::raw('(case WHEN load_detentions.load_stop_id IS NOT NULL THEN load_stops.timezone_abbr ELSE IF(load_detentions.type=1, load_details.shipper_timezone_abbr, load_details.delivery_timezone_abbr) END) as timezone_abbr'),
                    )
                    ->join('load_details', function($join) {
                        $join->on('load_detentions.load_detail_id', '=', 'load_details.id')
                        ->join('loads', function($join) {
                            $join->on('load_details.load_id', '=', 'loads.id');
                        });
                    })
                    ->leftJoin('load_stops', function($join) {
                        $join->on('load_detentions.load_stop_id', '=', 'load_stops.id');
                    })
                    ->leftJoin('drivers', function($join) {
                        $join->on('load_detentions.driver_id', '=', 'drivers.id');
                    })
                    ->where(function($q) {
                        $q->where('loads.company_id', '=', auth()->guard('company-admin')->user()->company_id)
                            ->where('drivers.manager_id', '=', auth()->guard('company-admin')->user()->id)
                            ->whereNull('load_details.deleted_at')
                            ->whereNull('drivers.deleted_at');
                    });
            }else{
                $data                       = LoadDetention::query()
                    ->select(
                        // 'load_detentions.*',
                        'load_detentions.id',

                        'load_detentions.driver_id',
                        'load_detentions.broker_id',

                        'load_detentions.load_detail_id',
                        'load_detentions.load_stop_id',
                        'load_detentions.is_stop',
                        'load_detentions.type',

                        'load_detentions.detention_status',

                        'load_detentions.free_time',
                        'load_detentions.billed_time',
                        'load_detentions.adjusted_billed_time',
                        'load_detentions.rate',
                        'load_detentions.adjusted_rate',
                        'load_detentions.detention_due',
                        'load_detentions.adjusted_detention_due',

                        'load_detentions.driver_comment_show_to_broker',
                        'load_detentions.driver_comment',
                        'load_detentions.reviewer_comment_show_to_broker',
                        'load_detentions.reviewer_comment',
                        'load_detentions.billing_comment_show_to_broker',
                        'load_detentions.comment',

                        'load_detentions.sent_acknowledgement_to_broker',
                        'load_detentions.sent_acknowledgement_to_broker_at',
                        'load_detentions.acknowledgement_emails',
                        'load_detentions.acknowledged_user_type',
                        'load_detentions.acknowledged_at',
                        'load_detentions.acknowledged_by',
                        'load_detentions.broker_viewed_acknowledgement_at',
                        'load_detentions.broker_acknowledgement_ip',

                        'load_detentions.stopped_user_type',
                        'load_detentions.stopped_at',
                        'load_detentions.stopped_by',

                        'load_detentions.submitted_user_type',
                        'load_detentions.submitted_at',
                        'load_detentions.submitted_by',

                        'load_detentions.sent_to_broker',
                        'load_detentions.sent_to_broker_at',
                        'load_detentions.sent_to',

                        'load_detentions.approved_user_type',
                        'load_detentions.approved_at',
                        'load_detentions.approved_by',
                        'load_detentions.approved_ip',

                        'load_detentions.denied_user_type',
                        'load_detentions.denied_at',
                        'load_detentions.denied_by',
                        'load_detentions.denied_ip',

                        'load_detentions.amended_at',
                        'load_detentions.amended_by',
                        'load_detentions.amended_ip',

                        'load_detentions.broker_denied_at',
                        'load_detentions.broker_denied_by',
                        'load_detentions.broker_denied_ip',

                        'load_detentions.is_send_to_broker',
                        'load_detentions.is_send_to_broker_at',
                        'load_detentions.broker_emails',
                        'load_detentions.broker_view_at',
                        'load_detentions.broker_view_ip',

                        'load_detentions.signature',
                        'load_detentions.signature_name',
                        'load_detentions.signature_datetime',

                        'load_detentions.broker_review_status_ip',
                        'load_detentions.review_user_type',
                        'load_detentions.review_status',
                        'load_detentions.review_at',
                        'load_detentions.review_by',

                        'load_detentions.created_at',
                        'load_detentions.updated_at',
                        'load_detentions.deleted_at',

                        'load_details.load_id',
                        'load_details.load_number',
                        'load_details.load_type',
                        'load_details.is_disable',

                        DB::raw('CONVERT_TZ(load_detentions.detention_start_time,"+00:00",(case WHEN load_detentions.load_stop_id IS NOT NULL THEN IFNULL(load_stops.timezone_offset,"+00:00") ELSE IF(load_detentions.type="1", IFNULL(load_details.shipper_timezone_offset,"+00:00"), IFNULL(load_details.delivery_timezone_offset,"+00:00")) END)) as detention_start_time'),
                        DB::raw('CONVERT_TZ(load_detentions.detention_end_time,"+00:00",(case WHEN load_detentions.load_stop_id IS NOT NULL THEN IFNULL(load_stops.timezone_offset,"+00:00") ELSE IF(load_detentions.type="1", IFNULL(load_details.shipper_timezone_offset,"+00:00"), IFNULL(load_details.delivery_timezone_offset,"+00:00")) END)) as detention_end_time'),
                        DB::raw('CONCAT(drivers.first_name," ",drivers.last_name) as driver'),
                        DB::raw('(case WHEN load_detentions.load_stop_id IS NOT NULL THEN load_stops.timezone_abbr ELSE IF(load_detentions.type=1, load_details.shipper_timezone_abbr, load_details.delivery_timezone_abbr) END) as timezone_abbr'),
                    )
                    ->join('load_details', function($join) {
                        $join->on('load_detentions.load_detail_id', '=', 'load_details.id')
                            ->join('loads', function($join) {
                                $join->on('load_details.load_id', '=', 'loads.id');
                            });
                    })
                    ->leftJoin('load_stops', function($join) {
                        $join->on('load_detentions.load_stop_id', '=', 'load_stops.id');
                    })
                    ->leftJoin('drivers', function($join) {
                        $join->on('load_detentions.driver_id', '=', 'drivers.id');
                    })
                    ->where(function($q) {
                        $q->where('loads.company_id', '=', auth()->guard('company-admin')->user()->company_id)
                            ->whereNull('load_details.deleted_at')
                            ->whereNull('drivers.deleted_at');
                    });
            }

            // General filter code - start
            foreach( $getField as $key => $value ) {
                $conditionReq               = 'search_string_condition_'.$key;
                $sortReq                    = 'search_string_sort_'.$key;
                $conditionDateReq           = 'search_date_condition_'.$key;
                $sortDateReq                = 'search_date_sort_'.$key;

                // String filter
                if( isset( request()->$conditionReq ) ) {
                    $typeReq                = 'search_string_type_'.$key;
                    $type                   = request()->$typeReq;

                    if( $type == 'string' ) {
                        Common::getStringFilterResult( $data, $key );
                    }
                }
                // Date filter
                if( isset( request()->$conditionDateReq ) ) {
                    $typeReq                = 'search_date_type_'.$key;
                    $type                   = request()->$typeReq;
                    if( $type == 'date' ) {
                        Common::getDateFilterResult($data, $key);
                    }
                }
                // String sort only
                /*
                if( isset( request()->$sortReq ) ) {
                    Common::sortStringFilter($data, $key);
                }
                */

                if( isset( request()->$sortReq ) ) {
                    $nameReq                = 'search_string_name_'.$key;
                    $sortReq                = 'search_string_sort_'.$key;
                    $typeReq                = 'search_string_type_'.$key;
                    $tableNameReq           = 'search_table_name_'.$key;
                    $colAliasReq            = 'search_string_col_alias_'.$key;

                    $origData               = request()->$nameReq;
                    $condition_sort         = request()->$sortReq;
                    $type                   = request()->$typeReq;
                    $tableName              = isset( request()->$tableNameReq ) ? request()->$tableNameReq : '';
                    $colAlias               = isset( request()->$colAliasReq ) ? request()->$colAliasReq : '';

                    if( $type == 'string' ) {
                        if( isset( $condition_sort ) ) {
                            if( $colAlias != '' ) {
                                $data->orderBy( $tableName.'.'.$colAlias, $condition_sort );
                            } else {
                                if( $tableName != '' ) {
                                    $data->orderBy( $tableName.'.'.$origData, $condition_sort );
                                } else {
                                    $data->orderBy( $origData, $condition_sort );
                                }
                            }
                        }
                    }
                }

                // Date sort only
                if( isset( request()->$sortDateReq ) ) {
                    Common::sortDateFilter($data, $key);
                }
            }
            $data->get();
            // General filter code - end

            return Datatables::of($data)
                    ->addIndexColumn()
                    ->addColumn('action', function($row){
                        $load_number        = isset($row->load_number)?$row->load_number.' - ':'#########';
                        $load_number       .= ($row->is_stop==1)?'Stop Load ':'Load ';
                        $load_number       .= ($row->type==1)?'Pickup':'Delivery';

                        return '<a href="javascript:void(0);" class="btn btn-sm btn-outline-black-action detention-request" data-id="'.$row->id.'" data-title="Detention Request - Load:'.$load_number.'"><i class="fa fa-eye" aria-hidden="true"></i></a>';
                    })
                    ->addColumn('load_number', function($row){
                        if ($row->is_disable == 0) {
                            if(in_array($row->load_type, ['0', '6'])) {
                                if ($row->load_type == 0) {
                                    return '<a href="'.route('company.admin.loads.show', base64Encode($row->load_detail_id)).'" class="mr-1 load-edit-link">'.$row->load_number.'</a>';
                                } else {
                                    return '<a href="'.route('company.admin.loads.show', base64Encode($row->load_detail_id)).'" class="mr-1 load-edit-link">'.getLoadTypeList()[$row->load_type].'</a>';
                                }
                            } else {
                                return '<a href="'.route('company.admin.loads.edit', base64Encode($row->load_id)).'" class="mr-1 load-edit-link">'.getLoadTypeList()[$row->load_type].'</a>';
                            }
                        } else {
                            if ($row->load_type == 0) {
                                return '<a href="'.route('company.admin.loads.show', base64Encode($row->load_detail_id)).'" class="mr-1 load-edit-link">'.$row->load_number.'</a>';
                            } else {
                                return '<a href="'.route('company.admin.loads.show', base64Encode($row->load_detail_id)).'" class="mr-1 load-edit-link">'.getLoadTypeList()[$row->load_type].'</a>';
                            }
                        }
                    })
                    ->filterColumn('load_number', function ($query, $keyword) {
                        $query->where('load_details.load_number', 'like', '%'.$keyword.'%');
                    })
                    ->filterColumn('driver', function ($query, $keyword) {
                        $query->where(DB::raw("CONCAT(drivers.first_name, ' ', drivers.last_name)"), 'LIKE', "%".$keyword."%");
                    })
                    ->editColumn('is_stop', function($row){
                        if($row->is_stop==1)
                            return 'Yes';
                        else
                            return 'No';
                    })
                    ->filterColumn('is_stop', function ($query, $keyword) {
                        if (strstr(strtolower("yes"), strtolower($keyword) ) !== false) {
                            $query->whereRaw("load_detentions.is_stop = 1");
                        }elseif (strstr(strtolower("no"), strtolower($keyword) ) !== false) {
                            $query->whereRaw("load_detentions.is_stop = 0");
                        }
                    })
                    ->editColumn('type', function($row){
                        if($row->type==1)
                            return 'Pickup';
                        else
                            return 'Delivery';
                    })
                    ->filterColumn('type', function ($query, $keyword) {
                        if (strstr(strtolower("pickup"), strtolower($keyword) ) !== false) {
                            $query->whereRaw("load_detentions.type = 1");
                        }elseif (strstr(strtolower("delivery"), strtolower($keyword) ) !== false) {
                            $query->whereRaw("load_detentions.type = 2");
                        }
                    })
                    ->editColumn('detention_status', function($row){
                        if($row->detention_status==0){
                            return 'New';
                        }elseif ($row->detention_status==1) {
                            return 'In Progress';
                        }elseif ($row->detention_status==2) {
                            return 'Stop';
                        }elseif ($row->detention_status==3) {
                            return 'Review';
                        }else{
                            return '';
                        }
                    })
                    ->filterColumn('detention_status', function ($query, $keyword) {
                        if (strstr(strtolower("new"), strtolower($keyword) ) !== false) {
                            $query->whereRaw("load_detentions.detention_status = 0");
                        }elseif (strstr(strtolower("in progress"), strtolower($keyword) ) !== false) {
                            $query->whereRaw("load_detentions.detention_status = 1");
                        }elseif (strstr(strtolower("stop"), strtolower($keyword) ) !== false) {
                            $query->whereRaw("load_detentions.detention_status = 2");
                        }elseif (strstr(strtolower("review"), strtolower($keyword) ) !== false) {
                            $query->whereRaw("load_detentions.detention_status = 3");
                        }
                    })
                    ->editColumn('detention_start_time', function($row){
                        $detention_start_time               = '';
                        if(!is_null($row->detention_start_time)){
                            $detention_start_time           = Carbon::parse($row->detention_start_time)->format(getTimeLayout());
                            $detention_start_time          .= isset($row->timezone_abbr)?' '.$row->timezone_abbr:'';
                        }
                        return $detention_start_time;
                    })
                    ->filterColumn('detention_start_time', function ($query, $keyword) use ($search) {
                        if($keyword!=''){
                            $search                         = $keyword;
                        }
                        if(auth()->guard('company-admin')->user()->time_format=='12'){
                            $query->whereRaw("CONCAT(DATE_FORMAT(CONVERT_TZ(load_detentions.detention_start_time,'+00:00',(case WHEN load_detentions.load_stop_id IS NOT NULL THEN IFNULL(load_stops.timezone_offset,'+00:00') ELSE IF(load_detentions.type='1', IFNULL(load_details.shipper_timezone_offset,'+00:00'), IFNULL(load_details.delivery_timezone_offset,'+00:00')) END)),'".config('settings.database_date_time_format.12_hour','%m/%d/%Y %h:%i %A')."'),' ',(case WHEN load_detentions.load_stop_id IS NOT NULL THEN load_stops.timezone_abbr ELSE IF(load_detentions.type=1, load_details.shipper_timezone_abbr, load_details.delivery_timezone_abbr) END)) like ?", ["%$search%"]);
                        }else{
                            $query->whereRaw("CONCAT(DATE_FORMAT(CONVERT_TZ(load_detentions.detention_start_time,'+00:00',(case WHEN load_detentions.load_stop_id IS NOT NULL THEN IFNULL(load_stops.timezone_offset,'+00:00') ELSE IF(load_detentions.type='1', IFNULL(load_details.shipper_timezone_offset,'+00:00'), IFNULL(load_details.delivery_timezone_offset,'+00:00')) END)),'".config('settings.database_date_time_format.24_hour','%m/%d/%Y %H:%i')."'),' ',(case WHEN load_detentions.load_stop_id IS NOT NULL THEN load_stops.timezone_abbr ELSE IF(load_detentions.type=1, load_details.shipper_timezone_abbr, load_details.delivery_timezone_abbr) END)) like ?", ["%$search%"]);
                        }
                    })
                    ->editColumn('detention_end_time', function($row){
                        $detention_end_time                 = '';
                        if(!is_null($row->detention_end_time)){
                            $detention_end_time             = Carbon::parse($row->detention_end_time)->format(getTimeLayout());
                            $detention_end_time            .= isset($row->timezone_abbr)?' '.$row->timezone_abbr:'';
                        }
                        return $detention_end_time;
                    })
                    ->filterColumn('detention_end_time', function ($query, $keyword) use ($search) {
                        if($keyword!=''){
                            $search                         = $keyword;
                        }
                        if(auth()->guard('company-admin')->user()->time_format=='12'){
                            $query->whereRaw("CONCAT(DATE_FORMAT(CONVERT_TZ(load_detentions.detention_end_time,'+00:00',(case WHEN load_detentions.load_stop_id IS NOT NULL THEN IFNULL(load_stops.timezone_offset,'+00:00') ELSE IF(load_detentions.type='1', IFNULL(load_details.shipper_timezone_offset,'+00:00'), IFNULL(load_details.delivery_timezone_offset,'+00:00')) END)),'".config('settings.database_date_time_format.12_hour','%m/%d/%Y %h:%i %A')."'),' ',(case WHEN load_detentions.load_stop_id IS NOT NULL THEN load_stops.timezone_abbr ELSE IF(load_detentions.type=1, load_details.shipper_timezone_abbr, load_details.delivery_timezone_abbr) END)) like ?", ["%$search%"]);
                        }else{
                            $query->whereRaw("CONCAT(DATE_FORMAT(CONVERT_TZ(load_detentions.detention_end_time,'+00:00',(case WHEN load_detentions.load_stop_id IS NOT NULL THEN IFNULL(load_stops.timezone_offset,'+00:00') ELSE IF(load_detentions.type='1', IFNULL(load_details.shipper_timezone_offset,'+00:00'), IFNULL(load_details.delivery_timezone_offset,'+00:00')) END)),'".config('settings.database_date_time_format.24_hour','%m/%d/%Y %H:%i')."'),' ',(case WHEN load_detentions.load_stop_id IS NOT NULL THEN load_stops.timezone_abbr ELSE IF(load_detentions.type=1, load_details.shipper_timezone_abbr, load_details.delivery_timezone_abbr) END)) like ?", ["%$search%"]);
                        }
                    })
                    ->editColumn('review_by', function($row){
                        if($row->review_user_type=='Company Admin'){
                            return isset($row->reviewedor->full_name) ? $row->reviewedor->full_name : '';
                        }elseif ($row->review_user_type=='Broker') {
                            return isset($row->reviewedor->name) ? $row->reviewedor->name : '';
                        }elseif ($row->review_user_type=='Driver') {
                            return isset($row->reviewedor->full_name) ? $row->reviewedor->full_name : '';
                        }
                        return '';
                    })
                    ->filterColumn('review_by', function ($query, $keyword) {
                        $query->whereHas('review_comapny_admin', function ($q) use ($keyword) {
                            $q->where(DB::raw("CONCAT(company_admins.first_name, ' ', company_admins.last_name)"), 'LIKE', "%".$keyword."%");
                        })->orWhereHas('review_broker', function($q) use ($keyword) {
                            $q->where('brokers.name', 'LIKE', "%".$keyword."%");
                        })->orWhereHas('review_driver_admin', function($q) use ($keyword) {
                            $q->where(DB::raw("CONCAT(drivers.first_name, ' ', drivers.last_name)"), 'LIKE', "%".$keyword."%");
                        });
                    })
                    ->rawColumns(['action','load_number'])
                    ->make(true);
        }
        $tableName                          = 'settings.table_detentions';
        return view('companyAdmin.detention.index', compact('getField','tableName'));
    }

    public function view(Request $request){
        $response['success']                = false;
        $response['message']                = "Oops! Something went wrong..";
        if($request->ajax()){
            try {
                $detention                  = LoadDetention::where('id',$request->id)->first();
                if(!is_null($detention)){
                    $response['html']       = $this->getDetentionView($detention);
                    $response['success']    = true;
                    $response['message']    = "Detention request retrieved successfully.";
                }
            }catch (\Exception $e) {
                $response['success']        = false;
                $response['message']        = $e->getMessage();
            }
        }
        return response()->json($response);
    }

    public function save(Request $request){
        $response['success']                                                = false;
        $response['message']                                                = "Oops! Something went wrong..";
        if($request->ajax()){
            try {
                $item                                                       = LoadDetention::where('id',$request->id)->first();
                if(!is_null($item)){
                    $oldData                                                = $item->toArray();

                    $getGeoTimeZone                                         = getGeoTimeZone();

                    if($item->is_stop=='1'){
                        $timezone_abbr                                      = isset($item->stop->timezone_abbr)?$item->stop->timezone_abbr:'';
                        if($timezone_abbr==''){
                            $timezone_abbr                                  = Carbon::now()->timezone($getGeoTimeZone)->format('T');
                        }
                        /*
                        $item->stop()->update([
                            'arrived_at'
                                => ($request->detention_arrival_time)?convertTimeToUTCzone([
                                    'str'               => $request->detention_arrival_time,
                                    'toFormat'          => 'Y-m-d H:i:s',
                                    'fromFormat'        => getTimeLayout(),
                                    'abbr'              => $timezone_abbr
                                ]):null
                        ]);
                        */
                    }else{
                        if($item->type=='1'){
                            $timezone_abbr                                  = isset($item->load_detail->shipper_timezone_abbr)?$item->load_detail->shipper_timezone_abbr:'';
                            if($timezone_abbr==''){
                                $timezone_abbr                              = Carbon::now()->timezone($getGeoTimeZone)->format('T');
                            }
                            /*
                            $item->load_detail()->update([
                                'shipper_arrived_at'
                                    => ($request->detention_arrival_time)?convertTimeToUTCzone([
                                        'str'           => $request->detention_arrival_time,
                                        'toFormat'      => 'Y-m-d H:i:s',
                                        'fromFormat'    => getTimeLayout(),
                                        'abbr'          => $timezone_abbr
                                    ]):null
                            ]);
                            */
                        }else{
                            $timezone_abbr                                  = isset($item->load_detail->delivery_timezone_abbr)?$item->load_detail->delivery_timezone_abbr:'';
                            if($timezone_abbr==''){
                                $timezone_abbr                              = Carbon::now()->timezone($getGeoTimeZone)->format('T');
                            }
                            /*
                            $item->load_detail()->update([
                                'delivery_arrived_at'
                                    => ($request->detention_arrival_time)?convertTimeToUTCzone([
                                        'str'           => $request->detention_arrival_time,
                                        'toFormat'      => 'Y-m-d H:i:s',
                                        'fromFormat'    => getTimeLayout(),
                                        'abbr'          => $timezone_abbr
                                    ]):null
                            ]);
                            */
                        }
                    }

                    if($request->has('detention_arrival_time'))
                        $item->detention_arrival_time                       = ($request->detention_arrival_time)?convertTimeToUTCzone([
                                'str'                   => $request->detention_arrival_time,
                                'toFormat'              => 'Y-m-d H:i:s',
                                'fromFormat'            => getTimeLayout(),
                                'abbr'                  => $timezone_abbr
                            ]):null;
                    if($request->has('detention_start_time'))
                        $item->detention_start_time                         = ($request->detention_start_time)?convertTimeToUTCzone([
                                'str'                   => $request->detention_start_time,
                                'toFormat'              => 'Y-m-d H:i:s',
                                'fromFormat'            => getTimeLayout(),
                                'abbr'                  => $timezone_abbr
                            ]):null;
                    if($request->has('detention_end_time'))
                        $item->detention_end_time                           = ($request->detention_end_time)?convertTimeToUTCzone([
                                'str'                   => $request->detention_end_time,
                                'toFormat'              => 'Y-m-d H:i:s',
                                'fromFormat'            => getTimeLayout(),
                                'abbr'                  => $timezone_abbr
                            ]):null;

                    $item->free_time                                        = $request->free_time;
                    $item->billed_time                                      = $request->billed_time;
                    $item->rate                                             = $request->rate;
                    $item->detention_due                                    = $request->detention_due;

                    if(($request->has('is_adjusted_billed_time') && $request->is_adjusted_billed_time=='1') || ($request->has('is_adjusted_rate') && $request->is_adjusted_rate=='1')){
                        $item->adjusted_billed_time                         = null;
                        $item->adjusted_rate                                = null;
                        $item->adjusted_detention_due                       = null;
                    }else{
                        $item->adjusted_billed_time                         = $request->adjusted_billed_time;
                        $item->adjusted_rate                                = $request->adjusted_rate;
                        $item->adjusted_detention_due                       = $request->adjusted_detention_due;
                    }

                    if($request->has('driver_comment_show_to_broker') && $request->driver_comment_show_to_broker==1)
                        $item->driver_comment_show_to_broker                = 1;
                    $item->driver_comment                                   = $request->driver_comment;
                    if($request->has('reviewer_comment_show_to_broker') && $request->reviewer_comment_show_to_broker==1)
                        $item->reviewer_comment_show_to_broker              = 1;
                    $item->reviewer_comment                                 = $request->reviewer_comment;
                    if($request->has('billing_comment_show_to_broker') && $request->billing_comment_show_to_broker==1)
                        $item->billing_comment_show_to_broker               = 1;
                    $item->comment                                          = $request->comment;

                    if($request->has('is_send_to_broker') && $request->is_send_to_broker==1){
                        $item->is_send_to_broker                            = 1;
                        $item->is_send_to_broker_at                         = Carbon::now();
                    }else{
                        $item->is_send_to_broker                            = 0;
                        $item->is_send_to_broker_at                         = null;
                    }
                    $broker_emails                                          = null;
                    if(!empty(array_filter($request->broker_email))){
                        $broker_emails                                      = serialize(array_filter($request->broker_email));
                    }
                    $item->broker_emails                                    = $broker_emails;

                    if($request->detention_status==1){
                        if(is_null($item->acknowledged_at))
                            $item->acknowledged_user_type                   = 'Company Admin';
                            $item->acknowledged_at                          = Carbon::now();
                            $item->acknowledged_by                          = auth()->guard('company-admin')->user()->id;
                    }else{
                        if(is_null($item->submitted_at))
                            $item->submitted_user_type                      = 'Company Admin';
                            $item->submitted_at                             = Carbon::now();
                            $item->submitted_by                             = auth()->guard('company-admin')->user()->id;
                    }

                    if($request->review_status=='Completed'){
                        $item->approved_user_type                           = 'Company Admin';
                        $item->approved_at                                  = Carbon::now();
                        $item->approved_by                                  = auth()->guard('company-admin')->user()->id;
                        $item->approved_ip                                  = $request->ip();
                    }elseif ($request->review_status=='In Progress - Sent to broker') {
                        $item->sent_to_broker                               = 1;
                        $item->sent_to_broker_at                            = Carbon::now();
                        $item->sent_to                                      = $broker_emails;
                    }elseif ($request->review_status=='In Progress - Acknowledged - Sent to broker') {
                        $item->sent_acknowledgement_to_broker               = 1;
                        $item->sent_acknowledgement_to_broker_at            = Carbon::now();
                        $item->acknowledgement_emails                       = $broker_emails;
                    }

                    $item->review_user_type                                 = 'Company Admin';
                    $item->review_status                                    = $request->review_status;
                    $item->review_at                                        = Carbon::now();
                    $item->review_by                                        = auth()->guard('company-admin')->user()->id;
                    if($item->save()){
                        if($item->wasChanged()){
                            $this->setLoadAudit($item->load_detail->load_id, 'update', 'Load detention updated', $item->getChanges(), $oldData);
                        }
                        if(in_array($request->review_status, ['In Progress - Acknowledged - Sent to broker','In Progress - Sent to broker'])){
                            foreach (array_filter($request->broker_email) as $key => $broker_email) {
                                $details                                    = [];
                                $details['company_id']                      = auth()->guard('company-admin')->user()->company_id;
                                $details['detention']                       = $item;
                                $details['name']                            = isset($item->broker->name) ? $item->broker->name : '';
                                //Mail::to($broker_email)->send(new DetentionRequestBroker($details));
                                sendEmail($broker_email, new DetentionRequestBroker($details));
                            }
                        }
                        $response['success']                                = true;
                        $response['message']                                = "Detention save successfully.";
                    }else{
                        $response['success']                                = false;
                        $response['message']                                = "Detention save unsuccessfully.";
                    }
                }
            }catch (\Exception $e) {
                $response['success']                                        = false;
                $response['message']                                        = $e->getMessage();
            }
        }
        return response()->json($response);
    }

    public function deny(Request $request){
        $response['success']                        = false;
        $response['message']                        = "Oops! Something went wrong..";
        if($request->ajax()){
            try {
                $item                               = LoadDetention::where('id',$request->id)->first();
                if(!is_null($item)){
                    $oldData                        = $item->toArray();

                    $item->denied_user_type         = 'Company Admin';
                    $item->denied_at                = Carbon::now();
                    $item->denied_by                = auth()->guard('company-admin')->user()->id;
                    $item->denied_ip                = $request->ip();

                    $item->broker_review_status_ip  = null;
                    $item->review_user_type         = 'Company Admin';
                    $item->review_status            = 'Denied';
                    $item->review_at                = Carbon::now();
                    $item->review_by                = auth()->guard('company-admin')->user()->id;
                    if($item->save()){
                        if($item->wasChanged()){
                            $this->setLoadAudit($item->load_detail->load_id, 'update', 'Load detention updated', $item->getChanges(), $oldData);
                        }
                        $response['success']        = true;
                        $response['message']        = "Deny detention request successfully.";
                    }else{
                        $response['success']        = false;
                        $response['message']        = "Deny detention request unsuccessfully.";
                    }
                }
            }catch (\Exception $e) {
                $response['success']                = false;
                $response['message']                = $e->getMessage();
            }
        }
        return response()->json($response);
    }

    public function revert(Request $request){
        $response['success']                                        = false;
        $response['message']                                        = "Oops! Something went wrong..";
        if($request->ajax()){
            try {
                $detention                                          = LoadDetention::where('id',$request->id)->first();
                if(!is_null($detention)){
                    $oldData                                        = $detention->toArray();

                    if($detention->review_status=='Denied'){
                        $detention->denied_user_type                = null;
                        $detention->denied_at                       = null;
                        $detention->denied_by                       = null;
                        $detention->denied_ip                       = null;
                    }
                    if($detention->review_status=='Completed'){
                        $detention->approved_user_type              = null;
                        $detention->approved_at                     = null;
                        $detention->approved_by                     = null;
                        $detention->approved_ip                     = null;
                    }

                    if($detention->detention_status=='1'){
                        if(is_null($detention->acknowledged_at)){
                            $detention->review_status               = 'In Progress';
                        }else{
                            if($detention->sent_acknowledgement_to_broker=='1'){
                                if(is_null($detention->broker_viewed_acknowledgement_at)){
                                    $detention->review_status       = 'In Progress - Acknowledged - Sent to broker';
                                }else{
                                    $detention->review_status       = 'In Progress - Acknowledged - Seen by broker';
                                }
                            }else{
                                $detention->review_status           = 'In Progress - Acknowledged';
                            }
                        }
                    }else{
                        if(!is_null($detention->submitted_at)){
                            //$detention->submitted_at              = null;
                            //$detention->submitted_by              = null;

                            if($detention->sent_to_broker=='1'){
                                if(is_null($detention->broker_view_at)){
                                    $detention->review_status       = 'In Progress - Sent to broker';
                                }else{
                                    if(!is_null($detention->adjusted_billed_time) || !is_null($detention->adjusted_rate)){
                                        $detention->review_status   = 'Broker Amendment Request';
                                    }elseif (!is_null($detention->broker_denied_at)) {
                                        $detention->review_status   = 'Broker Denied Request';
                                    }else{
                                        $detention->review_status   = 'Pending Broker Review';
                                    }
                                }
                            }else{
                                if(!is_null($detention->stopped_at)){
                                    $detention->review_status       = 'Detention Stopped - Pending Approval';
                                }else{
                                    $detention->review_status       = 'In Progress';
                                }
                            }
                        }else{
                            if(!is_null($detention->stopped_at)){
                                $detention->review_status           = 'Detention Stopped - Pending Approval';
                            }else{
                                $detention->review_status           = 'In Progress';
                            }
                        }
                    }
                    $detention->review_user_type                    = 'Company Admin';
                    $detention->review_at                           = Carbon::now();
                    $detention->review_by                           = auth()->guard('company-admin')->user()->id;
                    if($detention->save()){
                        if($detention->wasChanged()){
                            $this->setLoadAudit($detention->load_detail->load_id, 'update', 'Load detention updated', $detention->getChanges(), $oldData);
                        }
                        $response['html']                           = $this->getDetentionView($detention);
                        $response['success']                        = true;
                        $response['message']                        = "Revert detention request successfully.";
                    }else{
                        $response['success']                        = false;
                        $response['message']                        = "Revert detention request unsuccessfully.";
                    }
                }
            }catch (\Exception $e) {
                $response['success']                                = false;
                $response['message']                                = $e->getMessage();
            }
        }
        return response()->json($response);
    }

    public function getDetentionView($detention){
        $gpsLocation                = null;
        $driver                     = $detention->driver;
        if(!is_null($driver)){
            $samsara_id             = (isset($driver->samsara_id) && $driver->samsara_id!='')?$driver->samsara_id:'';//4644765
            if($samsara_id!=''){
                $carrierId          = (isset($driver->driver_information->carrier_id)) ? $driver->driver_information->carrier_id : null;
                $getAPIKey          = IntegrationSetting::where('company_id', $driver->company_id)->where('carrier_id', $carrierId)->where('app_center_id', config('settings.app_id.samsara'))->where('sync_drivers', '1')->first();
                if(isset($getAPIKey->api_key) && !empty($getAPIKey->api_key)){
                    $client                                 = new \GuzzleHttp\Client(['verify' => false]);
                    $api_url                                = 'https://api.samsara.com/fleet/hos/clocks?driverIds='.$samsara_id;
                    $api_response                           = $client->request('GET', $api_url, [
                        'headers'                           => [
                            'Accept'                        => 'application/json',
                            'Authorization'                 => 'Bearer '.$getAPIKey->api_key,
                        ],
                    ]);
                    $api_data                               = json_decode($api_response->getBody());
                    if(!empty($api_data)){
                        $appData                            = $api_data->data[0];
                        if(!empty($appData)){
                            $vehicleIds                     = (isset($appData->currentVehicle->id) && $appData->currentVehicle->id!='')?$appData->currentVehicle->id:'';
                            if($vehicleIds!=''){
                                $api_url                    = 'https://api.samsara.com/fleet/vehicles/locations?vehicleIds='.$vehicleIds;
                                $api_response               = $client->request('GET', $api_url, [
                                    'headers'               => [
                                        'Accept'            => 'application/json',
                                        'Authorization'     => 'Bearer '.$getAPIKey->api_key,
                                    ],
                                ]);
                                $api_data                   = json_decode($api_response->getBody());
                                if(!empty($api_data)){
                                    $appData                = $api_data->data[0];
                                    if(!empty($appData) && (isset($appData->location->reverseGeo->formattedLocation) && $appData->location->reverseGeo->formattedLocation!='')){
                                        $gpsLocation        = $appData->location->reverseGeo->formattedLocation;
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
        $getGeoTimeZone             = getGeoTimeZone();
        $html                       = view('companyAdmin.detention.ajax.view', compact('detention','gpsLocation','getGeoTimeZone'))->render();
        return $html;
    }

    public function broker($id){
        $detention                  = LoadDetention::findOrFail(base64Decode($id));
        $getGeoTimeZone             = getGeoTimeZone();
        return view('companyAdmin.detention.broker.view', compact('detention','getGeoTimeZone'));
    }

    public function brokerViewAt(Request $request){
        $response['success']                                            = false;
        if($request->ajax()){
            try {
                $response['success']                                    = false;
                $detention                                              = LoadDetention::where('id',$request->id)->first();
                if(!is_null($detention)){
                    $oldData                                            = $detention->toArray();

                    $detention->broker_review_status_ip                 = $request->ip();
                    if($detention->detention_status==1 && $detention->review_status=='In Progress - Acknowledged - Sent to broker' && is_null($detention->broker_viewed_acknowledgement_at)){
                        $detention->broker_viewed_acknowledgement_at    = Carbon::now();
                        $detention->broker_acknowledgement_ip           = $request->ip();
                        $detention->review_status                       = 'In Progress - Acknowledged - Seen by broker';
                        $detention->review_user_type                    = 'Broker';
                        $detention->review_at                           = Carbon::now();
                        $detention->review_by                           = $detention->broker_id;
                        if($detention->save()){
                            if($detention->wasChanged()){
                                $this->setLoadAudit($detention->load_detail->load_id, 'update', 'Load detention updated', $detention->getChanges(), $oldData);
                            }
                            $response['review_status']                  = $detention->review_status;
                            $response['success']                        = true;
                        }
                    }
                    if($detention->detention_status!=1 && $detention->review_status=='In Progress - Sent to broker' && is_null($detention->broker_view_at)){
                        $detention->broker_view_at                      = Carbon::now();
                        $detention->broker_view_ip                      = $request->ip();
                        $detention->review_status                       = 'Pending Broker Review';
                        $detention->review_user_type                    = 'Broker';
                        $detention->review_at                           = Carbon::now();
                        $detention->review_by                           = $detention->broker_id;
                        if($detention->save()){
                            if($detention->wasChanged()){
                                $this->setLoadAudit($detention->load_detail->load_id, 'update', 'Load detention updated', $detention->getChanges(), $oldData);
                            }
                            $response['review_status']                  = $detention->review_status;
                            $response['success']                        = true;
                        }
                    }
                }
            }catch (\Exception $e) {
                $response['success']                                    = false;
            }
        }
        return response()->json($response);
    }

    public function brokerSave(Request $request){
        $response['success']                                            = false;
        $response['message']                                            = "Oops! Something went wrong..";
        if($request->ajax()){
            try {
                $validator                                              = Validator::make($request->all(), [
                    'signed'                                            => 'required',
                    'signature_name'                                    => 'required',
                    'signature_datetime'                                => 'required|date_format:m/d/Y H:i',
                    'review_status'                                     => 'required',
                ]);
                if ($validator->fails()) {
                    $response['errors']                                 = $validator->errors()->all();
                    $response['success']                                = false;
                    $response['message']                                = "Oops! Something went wrong..";
                } else {
                    $item                                               = LoadDetention::where('id',$request->id)->first();
                    if(!is_null($item)){
                        $oldData                                        = $item->toArray();

                        $getGeoTimeZone                                 = getGeoTimeZone();

                        $folderPath                                     = public_path('storage/companyAdmin/signature');
                        if(!File::exists($folderPath)){
                            File::makeDirectory($folderPath, $mode = 0777, true, true);
                        }

                        $image_parts                                    = explode(";base64,", $request->signed);
                        $image_type_aux                                 = explode("image/", $image_parts[0]);
                        $image_type                                     = $image_type_aux[1];
                        $image_base64                                   = base64_decode($image_parts[1]);

                        $signature                                      = date("YmdHis").md5(time().rand(1111,9999)).'.'.$image_type;

                        $img                                            = Image::make($image_base64);
                        $img->resize(600, 400)->save($folderPath.'/'.$signature);

                        if($request->review_status=='Broker Amendment Request'){
                            $item->amended_at                           = Carbon::now();
                            $item->amended_by                           = $item->broker_id;
                            $item->amended_ip                           = $request->ip();

                            $item->adjusted_billed_time                 = $request->adjusted_billed_time;
                            $item->adjusted_rate                        = $request->adjusted_rate;
                            if(!is_null($request->adjusted_billed_time) && !is_null($request->adjusted_rate)){
                                $adjusted_billed_time                   = isset($request->adjusted_billed_time)?$request->adjusted_billed_time:'00:00';
                                $adjusted_time_arry                     = explode(':',$adjusted_billed_time);
                                $adjusted_detention_due                 = 0;
                                $adjusted_detention_due                 += floatval($adjusted_time_arry[0])*$request->adjusted_rate;
                                $adjusted_detention_due                 += ($adjusted_time_arry[1]*($request->adjusted_rate/60));
                                $adjusted_detention_due                 = number_format((float)$adjusted_detention_due, 2, '.', '');
                                if($adjusted_detention_due > 0)
                                    $item->adjusted_detention_due       = $adjusted_detention_due;
                            }
                        }else{
                            $item->adjusted_billed_time                 = null;
                            $item->adjusted_rate                        = null;
                            $item->adjusted_detention_due               = null;

                            if($request->review_status=='Completed'){
                                $item->approved_user_type               = 'Broker';
                                $item->approved_at                      = Carbon::now();
                                $item->approved_by                      = $item->broker_id;
                                $item->approved_ip                      = $request->ip();
                            }elseif ($request->review_status=='Broker Denied Request') {
                                $item->broker_denied_at                 = Carbon::now();
                                $item->broker_denied_by                 = $item->broker_id;
                                $item->broker_denied_ip                 = $request->ip();
                            }
                        }
                        $item->signature                                = $signature;
                        $item->signature_name                           = $request->signature_name;
                        $item->signature_datetime                       = ($request->signature_datetime)?convertTimeToUTCzone(['str' => $request->signature_datetime, 'toFormat'=> 'Y-m-d H:i:s', 'fromFormat' => 'm/d/Y H:i', 'userTimezone' => $getGeoTimeZone]):null;

                        $item->broker_review_status_ip                  = $request->ip();
                        $item->review_user_type                         = 'Broker';
                        $item->review_status                            = $request->review_status;
                        $item->review_at                                = Carbon::now();
                        $item->review_by                                = $item->broker_id;
                        if($item->save()){
                            if($item->wasChanged()){
                                $this->setLoadAudit($item->load_detail->load_id, 'update', 'Load detention updated', $item->getChanges(), $oldData);
                            }
                            if(in_array($item->review_status, ['Completed','Broker Amendment Request','Broker Denied Request']) && isset($item->driver)){
                                $driver                                 = $item->driver;

                                $name                                   = 'Load: '.$item->load_detail->load_number.' - ';
                                if($item->is_stop==1){
                                    $name                              .= 'Stop ';
                                    if($item->load_detail->loads->load_stops->isNotEmpty()){
                                        $stpno                          = '';
                                        $stopIds                        = ($item->load_detail->loads->load_stops->pluck('id')->toArray());
                                        foreach ($stopIds as $stkey => $stopId) {
                                            ++$stkey;
                                            if($item->load_stop_id==$stopId){
                                                $stpno                  = $stkey;
                                            }
                                        }
                                        if($stpno!=''){
                                            $name                      .= $stpno.' ';
                                        }
                                    }
                                }
                                if($item->type==1){
                                    $name                              .= 'Pickup';
                                }else{
                                    $name                              .= 'Delivery';
                                }
                                $description                            = $item->broker->name;

                                if(isset($driver->dispatcher)){
                                    $dispatcher                         = $driver->dispatcher;
                                    if($item->review_status=='Completed'){
                                        $description                   .= ' has approved a detention for '.$item->load_detail->load_number.': '.$item->load_detail->load_number.' at '.date("Y-m-d H:i:s", strtotime($item->review_at)).' please check';
                                        createNotification(
                                            19, // source
                                            $name, // name
                                            $dispatcher->id, // user_id
                                            $dispatcher->type, // user_type
                                            2, // type
                                            $item->id, // action_id
                                            $description, // description
                                            'Notification', // module
                                            [], // properties
                                            $dispatcher->company_id // company_id
                                        );
                                    }elseif($item->review_status=='Broker Amendment Request'){
                                        $description                   .= ' has amended a detention for '.$item->load_detail->load_number.': '.$item->load_detail->load_number.' at '.date("Y-m-d H:i:s", strtotime($item->review_at)).' please check';
                                        createNotification(
                                            20, // source
                                            $name, // name
                                            $dispatcher->id, // user_id
                                            $dispatcher->type, // user_type
                                            2, // type
                                            $item->id, // action_id
                                            $description, // description
                                            'Notification', // module
                                            [], // properties
                                            $dispatcher->company_id // company_id
                                        );
                                    }else{
                                        $description                   .= ' has denied a detention for '.$item->load_detail->load_number.': '.$item->load_detail->load_number.' at '.date("Y-m-d H:i:s", strtotime($item->review_at)).' please check';
                                        createNotification(
                                            21, // source
                                            $name, // name
                                            $dispatcher->id, // user_id
                                            $dispatcher->type, // user_type
                                            2, // type
                                            $item->id, // action_id
                                            $description, // description
                                            'Notification', // module
                                            [], // properties
                                            $dispatcher->company_id // company_id
                                        );
                                    }
                                }
                            }
                            $response['success']                        = true;
                            $response['message']                        = "Detention review request submitted successfully.";
                        }else{
                            $response['success']                        = false;
                            $response['message']                        = "Oops! Something went wrong..";
                        }
                    }else{
                        $response['success']                            = false;
                        $response['message']                            = "Detention record not found.";
                    }
                }
            }catch (\Exception $e) {
                $response['success']                                    = false;
                $response['message']                                    = $e->getMessage();
            }
        }
        return response()->json($response);
    }

    public function resendBroker(Request $request){
        $response['success']                                = false;
        $response['message']                                = "Oops! Something went wrong..";
        if($request->ajax()){
            try {
                $item                                       = LoadDetention::where('id',$request->id)->first();
                if(!is_null($item)){
                    $detention_broker_emails                = [];
                    if($item->review_status=='In Progress - Acknowledged - Sent to broker'){
                        if(isset($item->acknowledgement_emails) && !empty(unserialize($item->acknowledgement_emails))){
                            $detention_broker_emails        = unserialize($item->acknowledgement_emails);
                        }
                    }elseif ($item->review_status=='In Progress - Sent to broker') {
                        if(isset($item->sent_to) && !empty(unserialize($item->sent_to))){
                            $detention_broker_emails        = unserialize($item->sent_to);
                        }
                    }
                    foreach ($detention_broker_emails as $key => $broker_email) {
                        $details                            = [];
                        $details['company_id']              = auth()->guard('company-admin')->user()->company_id;
                        $details['detention']               = $item;
                        $details['name']                    = isset($item->broker->name) ? $item->broker->name : '';
                        //Mail::to($broker_email)->send(new DetentionRequestBroker($details));
                        sendEmail($broker_email, new DetentionRequestBroker($details));
                    }
                    $response['success']                    = true;
                    $response['message']                    = "Resend successfully.";
                }
            }catch (\Exception $e) {
                $response['success']                        = false;
                $response['message']                        = $e->getMessage();
            }
        }
        return response()->json($response);
    }

    public function forceStop(Request $request){
        $response['success']                                = false;
        $response['message']                                = "Oops! Something went wrong..";
        if($request->ajax()){
            try {
                $detention                                  = LoadDetention::where('id',$request->id)->first();
                if(!is_null($detention)){
                    $oldData                                = $detention->toArray();

                    $detention->detention_status            = 2;
                    $detention->detention_end_time          = Carbon::now();

                    $detention->stopped_user_type           = 'Company Admin';
                    $detention->stopped_at                  = Carbon::now();
                    $detention->stopped_by                  = auth()->guard('company-admin')->user()->id;

                    $detention->review_user_type            = 'Company Admin';
                    $detention->review_status               = 'Detention Stopped - Pending Approval';
                    $detention->review_at                   = Carbon::now();
                    $detention->review_by                   = auth()->guard('company-admin')->user()->id;
                    if($detention->save()){
                        if($detention->wasChanged()){
                            $this->setLoadAudit($detention->load_detail->load_id, 'update', 'Load detention updated', $detention->getChanges(), $oldData);
                        }
                        $response['html']                   = $this->getDetentionView($detention);
                        $response['success']                = true;
                        $response['message']                = "Stop detention request successfully.";
                    }else{
                        $response['success']                = false;
                        $response['message']                = "Stop detention request unsuccessfully.";
                    }
                }
            }catch (\Exception $e) {
                $response['success']                        = false;
                $response['message']                        = $e->getMessage();
            }
        }
        return response()->json($response);
    }

    /*
    if (auth()->guard('company-admin')->user()->type==2) {
        $data               = LoadDetention::query()
            ->select(
                'load_detentions.*',
                'load_details.load_id',
                'load_details.load_number',
                'load_detentions.driver_id',
                DB::raw('CONVERT_TZ(load_detentions.detention_start_time,"+00:00",(case WHEN load_detentions.load_stop_id IS NOT NULL THEN IFNULL(load_stops.timezone_offset,"+00:00") ELSE IF(load_detentions.type="1", IFNULL(load_details.shipper_timezone_offset,"+00:00"), IFNULL(load_details.delivery_timezone_offset,"+00:00")) END)) as detention_start_time'),
                DB::raw('CONVERT_TZ(load_detentions.detention_end_time,"+00:00",(case WHEN load_detentions.load_stop_id IS NOT NULL THEN IFNULL(load_stops.timezone_offset,"+00:00") ELSE IF(load_detentions.type="1", IFNULL(load_details.shipper_timezone_offset,"+00:00"), IFNULL(load_details.delivery_timezone_offset,"+00:00")) END)) as detention_end_time'),
                DB::raw('CONCAT(drivers.first_name," ",drivers.last_name) as driver'),
                DB::raw('(case WHEN load_detentions.load_stop_id IS NOT NULL THEN load_stops.timezone_abbr ELSE IF(load_detentions.type=1, load_details.shipper_timezone_abbr, load_details.delivery_timezone_abbr) END) as timezone_abbr'),
            )
            ->join('load_details', function($join) {
                $join->on('load_detentions.load_detail_id', '=', 'load_details.id')
                    ->join('loads', function($join) {
                        $join->on('load_details.load_id', '=', 'loads.id');
                    });
            })
            ->leftJoin('load_stops', function($join) {
                $join->on('load_detentions.load_stop_id', '=', 'load_stops.id');
            })
            ->leftJoin('drivers', function($join) {
                $join->on('load_detentions.driver_id', '=', 'drivers.id');
            })
            ->where(function($q) {
                $q->where('loads.company_id', '=', auth()->guard('company-admin')->user()->company_id)
                    ->where('drivers.manager_id', '=', auth()->guard('company-admin')->user()->id)
                    ->whereNull('load_details.deleted_at')
                    ->whereNull('drivers.deleted_at');
            });
    }else{
        $data               = LoadDetention::query()
            ->select(
                'load_detentions.*',
                'load_details.load_id',
                'load_details.load_number',
                'load_detentions.driver_id',
                DB::raw('CONVERT_TZ(load_detentions.detention_start_time,"+00:00",(case WHEN load_detentions.load_stop_id IS NOT NULL THEN IFNULL(load_stops.timezone_offset,"+00:00") ELSE IF(load_detentions.type="1", IFNULL(load_details.shipper_timezone_offset,"+00:00"), IFNULL(load_details.delivery_timezone_offset,"+00:00")) END)) as detention_start_time'),
                DB::raw('CONVERT_TZ(load_detentions.detention_end_time,"+00:00",(case WHEN load_detentions.load_stop_id IS NOT NULL THEN IFNULL(load_stops.timezone_offset,"+00:00") ELSE IF(load_detentions.type="1", IFNULL(load_details.shipper_timezone_offset,"+00:00"), IFNULL(load_details.delivery_timezone_offset,"+00:00")) END)) as detention_end_time'),
                DB::raw('CONCAT(drivers.first_name," ",drivers.last_name) as driver'),
                DB::raw('(case WHEN load_detentions.load_stop_id IS NOT NULL THEN load_stops.timezone_abbr ELSE IF(load_detentions.type=1, load_details.shipper_timezone_abbr, load_details.delivery_timezone_abbr) END) as timezone_abbr'),
            )
            ->join('load_details', function($join) {
                $join->on('load_detentions.load_detail_id', '=', 'load_details.id')
                    ->join('loads', function($join) {
                        $join->on('load_details.load_id', '=', 'loads.id');
                    });
            })
            ->leftJoin('load_stops', function($join) {
                $join->on('load_detentions.load_stop_id', '=', 'load_stops.id');
            })
            ->leftJoin('drivers', function($join) {
                $join->on('load_detentions.driver_id', '=', 'drivers.id');
            })
            ->where(function($q) {
                $q->where('loads.company_id', '=', auth()->guard('company-admin')->user()->company_id)
                    ->whereNull('load_details.deleted_at')
                    ->whereNull('drivers.deleted_at');
            });
    }

    // General filter code - start
    foreach( $getField as $key => $value ) {
        $conditionReq       = 'search_string_condition_'.$key;
        $sortReq            = 'search_string_sort_'.$key;

        if( isset( request()->$conditionReq ) ) {
            $typeReq        = 'search_string_type_'.$key;
            $type           = request()->$typeReq;

            if( $type == 'string' ) {
                Common::getStringFilterResult( $data, $key );
            }

            if( $type == 'date' ) {
                Common::getDateFilterResult( $data, $key );
            }
        }

        if( isset( request()->$sortReq ) ) {
            $nameReq        = 'search_string_name_'.$key;
            $sortReq        = 'search_string_sort_'.$key;
            $typeReq        = 'search_string_type_'.$key;
            $tableNameReq   = 'search_table_name_'.$key;
            $colAliasReq    = 'search_string_col_alias_'.$key;

            $origData       = request()->$nameReq;
            $condition_sort = request()->$sortReq;
            $type           = request()->$typeReq;
            $tableName      = isset( request()->$tableNameReq ) ? request()->$tableNameReq : '';
            $colAlias       = isset( request()->$colAliasReq ) ? request()->$colAliasReq : '';

            if( $type == 'string' ) {
                if( isset( $condition_sort ) ) {
                    if( $colAlias != '' ) {
                        $data->orderBy( $tableName.'.'.$colAlias, $condition_sort );
                    } else {
                        if( $tableName != '' ) {
                            $data->orderBy( $tableName.'.'.$origData, $condition_sort );
                        } else {
                            $data->orderBy( $origData, $condition_sort );
                        }
                    }
                }
            }
        }
    }
    $data->get();
    // General filter code - end
    */
}
