<?php

namespace App\Http\Controllers\CompanyAdmin;

use App\Http\Controllers\CompanyAdmin\CompanyAdminController;
use Illuminate\Http\Request;
use App\Models\Document;
use DataTables;
use App\Models\FileUpload;
use File;

class DocumentController extends CompanyAdminController
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        $getFile = Document::where('by_id',$request->by_id)->where('type',$request->type)->orderBy('id','desc')->get(); 
        $view = view('companyAdmin.documents.index', compact('getFile'))->render();
        return response()->json(['view' => $view]);
    }


    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        if(!empty($request->by_id) && count($request->file) > 0){

            $input = [];
            $input['type'] = $request->type;
            $input['by_id'] = $request->by_id;
            $input['name'] = $request->filename;
            $input['note'] = $request->filenote;
          
            if (isset($request->file) && !empty($request->file[0])) {
                $file_temp = [];
                $image_array = [];
                foreach($request->file as $image){
                    $seme = FileUpload::upload('companyAdmin/temp', $image);

                    $stopath = public_path('storage/companyAdmin/temp/'.$seme);
                    $data = file_get_contents($stopath);
                    $type = pathinfo($stopath, PATHINFO_EXTENSION);
                    if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif'){
                        $base64 = 'data:image/' . $type . ';base64,' . base64_encode($data);
                        $file_temp[] = $base64;    
                    }else{
                        $image_array[] = $seme = FileUpload::upload('companyAdmin/documents', $image);
                    }
                    
                }
                
                if(count($file_temp) > 0){
                    $fileName = 'file_upload_'.$request->by_id;
                    $image_array[] = FileUpload::PDFupload('companyAdmin/documents', ['data' => $file_temp], $fileName);    
                }
                
                $input['document'] = serialize($image_array);

                //$input['document'] = FileUpload::PDFupload('companyAdmin/notes', $request->file);
            }
            
            Document::create($input);
            return 1;
        }
        return 0;
    }



    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $getFile = Document::find($id); 
        File::delete('storage/companyAdmin/documents/'.$getFile->document);
        $getFile->delete();
        return 1;
    }
}
