<?php

namespace App\Http\Controllers\CompanyAdmin;

use App\Http\Controllers\CompanyAdmin\CompanyAdminController;
use Illuminate\Http\Request;
use App\Models\DriverComplianceSafety;
use App\Models\FileUpload;
use Illuminate\Support\Arr;

class DriverComplianceSafetyController extends CompanyAdminController
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $input = $request->all();

        if (isset($input['license_exp_file'])) {
            $input['license_exp_file'] = FileUpload::upload('companyAdmin/driver', $input['license_exp_file']);
        } else {
            $input = Arr::except($input,['license_exp_file']);
        }

        if (isset($input['license_plate_file'])) {
            $input['license_plate_file'] = FileUpload::upload('companyAdmin/driver', $input['license_plate_file']);
        } else {
            $input = Arr::except($input,['license_plate_file']);
        }

        $exist = DriverComplianceSafety::where("driver_id", $input['driver_id'])->first();

        if (is_null($exist)) {
            DriverComplianceSafety::create($input);
        } else {
            $exist->update($input);
        }

        return response()->json(['success' => 'Data Added Successfully']);

    }
}
