<?php

namespace App\Http\Controllers\CompanyAdmin;

use App\Http\Controllers\CompanyAdmin\CompanyAdminController;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Str;

use App\Models\Bookmark;
use App\Models\CompanyAdmin;

use App\Models\Team;
use App\Models\Driver;
use App\Models\DriverInformation;

use App\Models\Maintenance;
use App\Models\MaintenanceCalendar;

use App\Models\Note;
use App\Models\Truck;
use App\Models\Trailer;
use App\Models\LoadDetail;

use App\Mail\CompanyAdmin\AddMaintenance;

use Mail;
use DataTables;
use Validator;
use Arr;
use Carbon\Carbon;
use App\Models\Broker;
use Illuminate\Support\Facades\Crypt;
use App\Models\Terminal;
use App\Models\Vendor;
use App\Models\Customer;
use App\Helpers\Common;

class MaintenanceController extends CompanyAdminController{

    /**
     * Create a new controller instance.
     *
     * @return void
     */

    public $timeZoneId;

    public function __construct(){
        parent::__construct();

        $this->middleware(function ($request, $next) {
            $this->timeZoneId   = getTimeZoneId();

            return $next($request);
        });
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request){

        // $companyId=auth()->guard('company-admin')->user()->company_id;
        // $getMaintenance= Maintenance::where('company_id',$companyId)->orderBy('id','desc')->first();
        // $ticketNo="0";
        // if($getMaintenance){
        //     $ticketNo=$getMaintenance->ticket_number;
        //     $split=explode("00",$ticketNo);
        //     $split=$split[2];
        // }


        // $string='TCK'.$id.'00'.$ticketNo;
        /*
        $truck              = Truck::where('unit', 'LIKE', "%4171%")->get()->pluck('id');
        foreach($truck as $trucks)
        dd($truck);
        dd($truck, implode(',', $truck));
        */

        $getCompanyAdmin    = auth()->guard('company-admin')->user();
        $getField           = '';
        $isCheck            = Bookmark::where('company_id',getUserCompnayId())->where('user_id',$getCompanyAdmin->id)->where('user_type',$getCompanyAdmin->type)->where('table_id','maintenances')->first();

        if(!empty($isCheck->id)){
            //$getField       = unserialize($isCheck->config);
            $getField       = adjustTableColumnsSorting(unserialize($isCheck->config), config('settings.table_maintenances_first'));
        }else{
            $getField       = config('settings.table_maintenances_first');
        }
        if ($request->ajax()) {
            $data = Maintenance::select('maintenances.*', DB::raw('CASE WHEN maintenances.equipment_type = 1 THEN trucks.unit WHEN maintenances.equipment_type = 2 THEN trailers.trailer_id END as equipment_number'))
                ->where('maintenances.company_id', auth()->guard('company-admin')->user()->company_id)
                ->leftJoin('trucks', function($join) {
                    $join->on('trucks.id', '=', 'maintenances.truck_namber');
                })
                ->leftJoin('trailers', function($join) {
                    $join->on('trailers.id', '=', 'maintenances.trailer_namber');
                });

            // General filter code - start
            foreach( $getField as $key => $value ) {
                $conditionReq = 'search_string_condition_'.$key;
                $sortReq = 'search_string_sort_'.$key;

                if( isset( request()->$conditionReq ) ) {
                    $typeReq = 'search_string_type_'.$key;
                    $type = request()->$typeReq;

                    if( $type == 'string' ) {
                        Common::getStringFilterResult( $data, $key );
                    }

                    if( $type == 'date' ) {
                        Common::getDateFilterResult( $data, $key );
                    }
                }

                if( isset( request()->$sortReq ) ) {
                    $nameReq = 'search_string_name_'.$key;
                    $sortReq = 'search_string_sort_'.$key;
                    $typeReq = 'search_string_type_'.$key;
                    $tableNameReq = 'search_table_name_'.$key;
                    $colAliasReq = 'search_string_col_alias_'.$key;

                    $origData = request()->$nameReq;
                    $condition_sort = request()->$sortReq;
                    $type = request()->$typeReq;
                    $tableName = isset( request()->$tableNameReq ) ? request()->$tableNameReq : '';
                    $colAlias = isset( request()->$colAliasReq ) ? request()->$colAliasReq : '';

                    if( $type == 'string' ) {
                        if( isset( $condition_sort ) ) {
                            if( $colAlias != '' ) {
                                $data->orderBy( $tableName.'.'.$colAlias, $condition_sort );
                            } else {
                                if( $tableName != '' ) {
                                    $data->orderBy( $tableName.'.'.$origData, $condition_sort );
                                } else {
                                    $data->orderBy( $origData, $condition_sort );
                                }
                            }
                        }
                    }
                }
            }
            //$data->select('*');
            /// end

            return Datatables::of($data)
                ->addIndexColumn()
                ->addColumn('equipment_type', function($row){
                    if($row->equipment_type == 1){
                        return 'Truck';
                    }elseif($row->equipment_type == 2){
                        return 'Trailer';
                    }else{
                        return 'None';
                    }
                })
                ->filterColumn('equipment_type', function ($query, $keyword) {
                    if (Str::contains('truck' , Str::lower($keyword))) {
                        $query = $query->where('equipment_type', 1);
                    }
                    if (Str::contains('trailer' , Str::lower($keyword))) {
                        $query = $query->where('equipment_type', 2);
                    }
                    return $query;
                })
                /*->addColumn('equipment_number', function($row){
                    if($row->equipment_type == 1){
                        return !is_null($row->trucks_unit) ? $row->trucks_unit : 'None';
                    }elseif($row->equipment_type == 2){
                        return !is_null($row->trailer_id) ? $row->trailer_id : 'None';
                    }else{
                        return 'None';
                    }
                })*/
                ->addColumn('status', function($row){
                    return getTicketStatusList()[$row->status];
                })
                ->filterColumn('status', function ($query, $keyword) {
                    if (Str::contains('new' , Str::lower($keyword))) {
                        $query = $query->where('status', 1);
                    }
                    if (Str::contains('check and advise' , Str::lower($keyword))) {
                        $query = $query->where('status', 2);
                    }
                    if (Str::contains('pending approval' , Str::lower($keyword))) {
                        $query = $query->where('status', 3);
                    }
                    if (Str::contains('in progess' , Str::lower($keyword))) {
                        $query = $query->where('status', 4);
                    }
                    if (Str::contains('completed' , Str::lower($keyword))) {
                        $query = $query->where('status', 5);
                    }
                    if (Str::contains('canceled' , Str::lower($keyword))) {
                        $query = $query->where('status', 6);
                    }
                    return $query;
                })
                ->addColumn('action', function($row){
                    $action = '<a href="'.route('company.admin.maintenances.show', base64Encode($row->id)).'" class="btn btn-sm btn-outline-black-action"><i class="fa fa-eye" aria-hidden="true"></i></a>';
                    $action .= '<a href="'.route('company.admin.maintenances.edit', base64Encode($row->id)).'" class="btn btn-sm btn-outline-black-action"><i class="fa fa-pencil" aria-hidden="true"></i></a>';
                    $action .= '<a href="javascript:void(0);" class="btn btn-sm btn-outline-black-trash destroy" data-action="'.route('company.admin.maintenances.destroy', $row->id).'" data-id="'.$row->id.'"><i class="fa fa-trash" aria-hidden="true"></i></a>';

                    return $action;
                })
                ->rawColumns(['action'])
                ->make(true);
        }
        $tableName = 'settings.table_maintenances';
        return view('companyAdmin.maintenance.index', compact('getField','tableName'));
    }

    public function setTicketNumber(){
        $maintenance=Maintenance::select('company_id')->distinct()->get();
        foreach($maintenance as $m){
            $getMaintenance=Maintenance::where('company_id',$m->company_id)->get();
                $tNo=1;
                 foreach($getMaintenance as $mm){
                    $maintenance=Maintenance::where('id',$mm->id)->first();
                    $maintenance->ticket_number="TCK".$tNo;
                    $maintenance->save();
                    $tNo++;
                 }
        }
    }

    public function encript(){
        /*
        $drivers = Driver::get(['id', 'ssn', 'ein', 'license_number', 'passport_number', 'first_name', 'last_name']);
        foreach($drivers as $driver){
            if(isset($driver->license_number) && $driver->license_number!=""){
                $getDriver = Driver::where('id',$driver->id)->first();
                $getDriver->license_number= base64_encode($getDriver->license_number);
                $getDriver->save();
            }
            if(isset( $driver->passport_number) &&  $driver->passport_number!=""){
                $getDriver=Driver::where('id',$driver->id)->first();
                $getDriver->passport_number= base64_encode( $getDriver->passport_number);
                $getDriver->save();
            }
            if(isset( $driver->ssn) &&  $driver->ssn!=""){
                $getDriver=Driver::where('id',$driver->id)->first();
                $getDriver->ssn= base64_encode( $getDriver->ssn);
                $getDriver->save();
            }
            if(isset( $driver->ein) &&  $driver->ein!=""){
                $getDriver=Driver::where('id',$driver->id)->first();
                $getDriver->ein= base64_encode( $getDriver->ein);
                $getDriver->save();
            }
        }
        */

        /*
         $terminal=Terminal::orderBy('id','desc')->get();
         foreach($terminal as $t){
             $getTerminal=Terminal::where('id',$t->id)->first();

             if($getTerminal->account_number!=""){
                 $getArray=unserialize($getTerminal->account_number);
                 $data=[];
                     foreach ($getArray as $key=>$account){
                         $data[$key]=base64_encode($account);
                     }
                 $getTerminal->account_number= serialize($data);
                 $getTerminal->save();
             }

             $getTerminal=Terminal::where('id',$t->id)->first();
             if($getTerminal->routing_number!=""){
                 $getArray=unserialize($getTerminal->routing_number);
                 $data=[];
                     foreach ($getArray as $key=>$account){
                         $data[$key]=base64_encode($account);
                     }
                 $getTerminal->routing_number= serialize($data);
                 $getTerminal->save();
             }
           }
        */

        /*
        $broker=Broker::get();
        foreach($broker as $b){
            $getBroker=Broker::where('id',$b->id)->first();
            if($getBroker->account_number!=""){
                $getBroker->account_number= base64_encode($getBroker->account_number);
                $getBroker->save();
            }
          }

         $Vendor=Vendor::get();
        foreach($Vendor as $v){
            $getVendor=Vendor::where('id',$v->id)->first();
            if($getVendor->account_number!=""){
               $getVendor->account_number= base64_encode($getVendor->account_number);
               $getVendor->save();
            }
          }

         $customer=Customer::get();
        foreach($customer as $c){
            $getcustomer=Customer::where('id',$c->id)->first();
            if($getcustomer->business_account_no!=""){
               $getcustomer->business_account_no= base64_encode($getcustomer->business_account_no);
               $getcustomer->save();
            }
          }
        */

        echo "Database Records Updated Successfully.";
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function generateTicketNo(){
        $companyId=auth()->guard('company-admin')->user()->company_id;
        $getMaintenance= Maintenance::where('company_id',$companyId)->orderBy('id','desc')->first();
        $ticketNo=1;
        if($getMaintenance){
            $ticketNo=$getMaintenance->ticket_number;
            $split=str_replace("TCK","",$ticketNo);
            $ticketNo=$split+1;
        }
        $ticketNumber='TCK'.$ticketNo;
        return $ticketNumber;
    }

    public function create(){
        $getTimeZoneId  = $this->timeZoneId;
        return view('companyAdmin.maintenance.create',compact('getTimeZoneId'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request){
        $input      = $request->except(['how_often_text']);
        $validator  = Validator::make($input,['name' => 'required']);
        if ($validator->fails()) {
            return response()->json(['errors' => $validator->errors()]);
        }

        $input['company_id']                = auth()->guard('company-admin')->user()->company_id;
        $input['created_by']                = auth()->guard('company-admin')->user()->id;
        $input['created_by_type']           = auth()->guard('company-admin')->user()->type;
        $input['notify_other']              = serialize($request->notify_other);
        $input['display_on_calendar_other'] = serialize($request->display_on_calendar_other);

        if(!empty($request->estimated_file)){
            $input['estimated_file']        = UploadImagePdf($request->estimated_file, 'companyAdmin/maintenance');
            $input['estimated_file']        = serialize($input['estimated_file']);
        }

            //Generate Ticket Number startss
            $ticketNumber= $this->generateTicketNo();
            $input['ticket_number']   =$ticketNumber;

        $maintenance                        = Maintenance::create($input);

        //Generate Tkicket Number end

        // $maintenance->update(['ticket_number' =>$string]);

        if(!is_null($input['dummyloadid']) && isset($input['dummyloadid'])){
            $dummyloadid                    = $input['dummyloadid'];
            Note::where('action_id', $dummyloadid)->update(['action_id' => $maintenance->id]);
        }

        if($maintenance->display_on_calendar_dispatcher == 1){
            $gerDriver                      = new Driver;
            if($maintenance->equipment_type == 1){
                $getTruck                   = Truck::find($maintenance->truck_namber);
                if(!empty($getTruck)){
                    $gerDriverInformation   = DriverInformation::where('truck_number', $getTruck->unit)->first();
                    if(!empty($gerDriverInformation)){
                        $gerDriver          = Driver::find($gerDriverInformation->driver_id);
                    }
                }
            }

            if($maintenance->equipment_type == 2){
                $getLoadDetail              = LoadDetail::where('trailer_number', $maintenance->trailer_namber)->first();
                if(!empty($getLoadDetail)){
                    $gerDriver              = Driver::find($getLoadDetail->driver_id);
                }
            }

            if(!empty($gerDriver->team_id)){
                $getTeam                    = Team::find($gerDriver->team_id);
                if(!empty($getTeam->id)){
                    $getUser                        = CompanyAdmin::where('team_id', $getTeam->id)->where('type',2)->first();
                    $cal_input                      = [];
                    $cal_input['company_id']        = auth()->guard('company-admin')->user()->company_id;
                    $cal_input['maintenance_id']    = $maintenance->id;
                    $cal_input['user_id']           = $getUser->id;
                    $cal_input['user_type']         = $getUser->type;
                    MaintenanceCalendar::create($cal_input);
                }
            }
        }

        if($maintenance->display_on_calendar_driver == 1){
            $gerDriver                              = new Driver;
            if($maintenance->equipment_type == 1){
                $getTruck = Truck::find($maintenance->truck_namber);
                if(!empty($getTruck)){
                    $gerDriverInformation           = DriverInformation::where('truck_number', $getTruck->unit)->first();
                    if(!empty($gerDriverInformation)){
                        $gerDriver                  = Driver::find($gerDriverInformation->driver_id);
                    }
                }
            }

            if($maintenance->equipment_type == 2){
                $getLoadDetail                      = LoadDetail::where('trailer_number', $maintenance->trailer_namber)->first();
                if(!empty($getLoadDetail)){
                    $gerDriver                      = Driver::find($getLoadDetail->driver_id);
                }
            }

            if(!empty($gerDriver->id)){
                $cal_input                          = [];
                $cal_input['company_id']            = auth()->guard('company-admin')->user()->company_id;
                $cal_input['maintenance_id']        = $maintenance->id;
                $cal_input['user_id']               = $gerDriver->id;
                $cal_input['user_type']             = 3;
                MaintenanceCalendar::create($cal_input);
            }
        }

        if($maintenance->display_on_calendar_company == 1){
            $getCompanyAdmin                        = CompanyAdmin::where('company_id', auth()->guard('company-admin')->user()->company_id)->whereIn('type',[0,1])->get();

            foreach($getCompanyAdmin as $getUser){
                $cal_input                          = [];
                $cal_input['company_id']            = auth()->guard('company-admin')->user()->company_id;
                $cal_input['maintenance_id']        = $maintenance->id;
                $cal_input['user_id']               = $getUser->id;
                $cal_input['user_type']             = $getUser->type;
                MaintenanceCalendar::create($cal_input);
            }
        }

        if($maintenance->display_on_calendar_other_checkbox == 1){
            foreach($request->display_on_calendar_other as $otherUser){
                $userData                           = explode('-',$otherUser);
                $cal_input                          = [];
                $cal_input['company_id']            = auth()->guard('company-admin')->user()->company_id;
                $cal_input['maintenance_id']        = $maintenance->id;
                $cal_input['user_id']               = $userData[0];
                $cal_input['user_type']             = $userData[1];
                MaintenanceCalendar::create($cal_input);
            }

        }

        if($maintenance->notify_dispatcher == 1){
            $gerDriver                              = new Driver;
            if($maintenance->equipment_type == 1){
                $getTruck                           = Truck::find($maintenance->truck_namber);
                if(!empty($getTruck)){
                    $gerDriverInformation           = DriverInformation::where('truck_number', $getTruck->unit)->first();
                    if(!empty($gerDriverInformation)){
                        $gerDriver                  = Driver::find($gerDriverInformation->driver_id);
                    }
                }
            }

            if($maintenance->equipment_type == 2){
                $getLoadDetail                      = LoadDetail::where('trailer_number', $maintenance->trailer_namber)->first();
                if(!empty($getLoadDetail)){
                    $gerDriver                      = Driver::find($getLoadDetail->driver_id);
                }
            }

            if(!empty($gerDriver->id)){
                $getTeam                            = Team::find($gerDriver->team_id);
                $getUser                            = CompanyAdmin::where('team_id', $getTeam->id)->where('type',2)->first();

                createNotification(
                    16, // source
                    'Add New Maintenance -'.$maintenance->name, // name
                    $getUser->id, // user_id
                    $getUser->type, // user_type
                    1, // type
                    $maintenance->id, // action_id
                    $maintenance->name // description
                );
                $checkNotify                        = isUnreadDelay($getUser->id, 2, 16);
                if(isset($checkNotify)){
                    if ($checkNotify->email == 1 && isset($getUser->email)) {
                        $mailData                   = [];
                        $mailData['company_id']     = auth()->guard('company-admin')->user()->company_id;
                        $mailData['emailto']        = $getUser->email;
                        $mailData['hiname']         = $getUser->full_name;
                        $mailData['phone']          = $getUser->cell_phone;
                        $mailData['ticket_number']  = $maintenance->ticket_number;
                        $mailData['name']           = $maintenance->name;
                        $mailData['due_date']       = $maintenance->due_date;
                        $mailData['url']            = route('company.admin.maintenances.edit', $maintenance->id);
                        //Mail::to($mailData['emailto'])->send(new AddMaintenance($mailData));
                        sendEmail($mailData['emailto'], new AddMaintenance($mailData));
                    }

                    if ($checkNotify->sms == 1 && isset($getUser->cell_phone)) {
                        // Twilio's credentials are fetched from company table
                        $getCompanyTwilioData       = getCompanyTwilioData();
                        if(isset($getCompanyTwilioData['active']) && $getCompanyTwilioData['active'] == 'yes'){
                            $message                = "Added new maintenance - : ".$maintenance->ticket_number;
                            sendSMS($getUser->cell_phone, $message, $getCompanyTwilioData);
                        }
                    }
                }
            }
        }


        if($maintenance->notify_driver == 1){
            $gerDriver                              = new Driver;
            if($maintenance->equipment_type == 1){
                $getTruck                           = Truck::find($maintenance->truck_namber);
                if(!empty($getTruck)){
                    $gerDriverInformation           = DriverInformation::where('truck_number', $getTruck->unit)->first();
                    if(!empty($gerDriverInformation)){
                        $gerDriver                  = Driver::find($gerDriverInformation->driver_id);
                    }
                }
            }

            if($maintenance->equipment_type == 2){
                $getLoadDetail                      = LoadDetail::where('trailer_number', $maintenance->trailer_namber)->first();
                if(!empty($getLoadDetail)){
                    $gerDriver                      = Driver::find($getLoadDetail->driver_id);
                }
            }

            if(!empty($gerDriver->id)){
                createNotification(
                    16, // source
                    'Add New Maintenance -'.$maintenance->name, // name
                    $gerDriver->id, // user_id
                    3, // user_type
                    1, // type
                    $maintenance->id, // action_id
                    $maintenance->name // description
                );
                $checkNotify                        = isUnreadDelay($gerDriver->id, 3, 16);
                if(isset($checkNotify)){
                    if ($checkNotify->email == 1 && isset($gerDriver->email)) {
                        $mailData                   = [];
                        $mailData['company_id']     = auth()->guard('company-admin')->user()->company_id;
                        $mailData['emailto']        = $gerDriver->email;
                        $mailData['hiname']         = $gerDriver->full_name;
                        $mailData['phone']          = $gerDriver->cell_phone;
                        $mailData['ticket_number']  = $maintenance->ticket_number;
                        $mailData['name']           = $maintenance->name;
                        $mailData['due_date']       = $maintenance->due_date;
                        $mailData['url']            = route('company.admin.maintenances.edit', $maintenance->id);
                        //Mail::to($mailData['emailto'])->send(new AddMaintenance($mailData));
                        sendEmail($mailData['emailto'], new AddMaintenance($mailData));
                    }

                    if ($checkNotify->sms == 1 && isset($gerDriver->cell_phone)) {
                        // Twilio's credentials are fetched from company table
                        $getCompanyTwilioData       = getCompanyTwilioData();
                        if(isset($getCompanyTwilioData['active']) && $getCompanyTwilioData['active'] == 'yes'){
                            $message                = "Added new maintenance - : ".$maintenance->ticket_number;
                            sendSMS($gerDriver->cell_phone, $message, $getCompanyTwilioData);
                        }
                    }
                }
            }

        }

        if($maintenance->notify_company == 1){
            $getCompanyAdmin                        = CompanyAdmin::where('company_id', auth()->guard('company-admin')->user()->company_id)->whereIn('type',[0,1])->get();
            foreach($getCompanyAdmin as $getUser){
                createNotification(
                    16, // source
                    'Add New Maintenance -'.$maintenance->name, // name
                    $getUser->id, // user_id
                    $getUser->type, // user_type
                    1, // type
                    $maintenance->id, // action_id
                    $maintenance->name // description
                );
                $checkNotify                        = isUnreadDelay($getUser->id, $getUser->type, 16);
                if(isset($checkNotify)){
                    if ($checkNotify->email == 1 && isset($getUser->email)) {
                        $mailData                   = [];
                        $mailData['company_id']     = auth()->guard('company-admin')->user()->company_id;
                        $mailData['emailto']        = $getUser->email;
                        $mailData['hiname']         = $getUser->full_name;
                        $mailData['phone']          = $getUser->cell_phone;
                        $mailData['ticket_number']  = $maintenance->ticket_number;
                        $mailData['name']           = $maintenance->name;
                        $mailData['due_date']       = $maintenance->due_date;
                        $mailData['url']            = route('company.admin.maintenances.edit', $maintenance->id);
                        //Mail::to($mailData['emailto'])->send(new AddMaintenance($mailData));
                        sendEmail($mailData['emailto'], new AddMaintenance($mailData));
                    }

                    if ($checkNotify->sms == 1 && isset($getUser->cell_phone)) {
                        // Twilio's credentials are fetched from company table
                        $getCompanyTwilioData       = getCompanyTwilioData();
                        if(isset($getCompanyTwilioData['active']) && $getCompanyTwilioData['active'] == 'yes'){
                            $message                = "Added new maintenance - : ".$maintenance->ticket_number;
                            sendSMS($getUser->cell_phone, $message, $getCompanyTwilioData);
                        }
                    }
                }
            }

        }

        if($maintenance->notify_other_checkbox == 1){
            foreach($request->notify_other as $otherUser){
                $userData                           = explode('-',$otherUser);
                if($userData[1] == 0 || $userData[1] == 1 || $userData[1] == 2){
                    $getUser                        = CompanyAdmin::find($userData[0]);
                    createNotification(
                        16, // source
                        'Add New Maintenance -'.$maintenance->name, // name
                        $getUser->id, // user_id
                        $getUser->type, // user_type
                        1, // type
                        $maintenance->id, // action_id
                        $maintenance->name // description
                    );
                }
                if($userData[1] == 3){
                    $getUser                        = Driver::find($userData[0]);
                    createNotification(
                        16, // source
                        'Add New Maintenance -'.$maintenance->name, // name
                        $getUser->id, // user_id
                        3, // user_type
                        1, // type
                        $maintenance->id, // action_id
                        $maintenance->name // description
                    );
                }
                $checkNotify                        = isUnreadDelay($getUser->id, $getUser->type, 16);
                if(isset($checkNotify)){
                    if ($checkNotify->email == 1 && isset($getUser->email)) {
                        $mailData                   = [];
                        $mailData['company_id']     = auth()->guard('company-admin')->user()->company_id;
                        $mailData['emailto']        = $getUser->email;
                        $mailData['hiname']         = $getUser->full_name;
                        $mailData['phone']          = $getUser->cell_phone;
                        $mailData['ticket_number']  = $maintenance->ticket_number;
                        $mailData['name']           = $maintenance->name;
                        $mailData['due_date']       = $maintenance->due_date;
                        $mailData['url']            = route('company.admin.maintenances.edit', $maintenance->id);
                        //Mail::to($mailData['emailto'])->send(new AddMaintenance($mailData));
                        sendEmail($mailData['emailto'], new AddMaintenance($mailData));
                    }

                    if ($checkNotify->sms == 1 && isset($getUser->cell_phone)) {
                        // Twilio's credentials are fetched from company table
                        $getCompanyTwilioData       = getCompanyTwilioData();
                        if(isset($getCompanyTwilioData['active']) && $getCompanyTwilioData['active'] == 'yes'){
                            $message                = "Added new maintenance - : ".$maintenance->ticket_number;
                            sendSMS($getUser->cell_phone, $message, $getCompanyTwilioData);
                        }
                    }
                }
            }
        }

        notification('success', $this->crudMessage('create', 'Maintenance'));
        return redirect()->route('company.admin.maintenances.edit', base64Encode($maintenance->id));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id){
        $maintenance = Maintenance::find(base64Decode($id));
        $getTimeZoneId  = $this->timeZoneId;
        return view('companyAdmin.maintenance.edit', compact('maintenance','getTimeZoneId'));
    }

    /**
     * Display the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id){
        $maintenance = Maintenance::find(base64Decode($id));
        $getTimeZoneId  = $this->timeZoneId;
        return view('companyAdmin.maintenance.show', compact('maintenance', 'getTimeZoneId'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Maintenance $maintenance){
        $input      = $request->except(['how_often_text']);

        $validator  = Validator::make($input,[]);

        if ($validator->fails()) {
            return response()->json(['errors' => $validator->errors()]);
        }

        $maintenance->update($input);
        notification('success', $this->crudMessage('update', 'Maintenance'));
        return redirect()->route('company.admin.maintenances.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy(Maintenance $maintenance){
        $maintenance->delete();

        notification('success', $this->crudMessage('delete', 'Maintenance'));

        return redirect()->route('company.admin.maintenances.index');
    }

    public function updateDueDate(Request $request){
        $input          = $request->except([]);
        $maintenance    = Maintenance::find($request->id);
        $maintenance->update($input);

        return response()->json(['success' => "Appointment updated successfully"]);
    }

    public function DueDateOftenData(Request $request){
        $due_date               = '';
        if($request->due_date){
            $due_date           = $request->due_date;
        }else{
            $due_date           = Date('Y-m-d');
        }
        $list_array             = [];
        if(!empty($due_date)){
            $day                = date('l', strtotime($due_date));
            $month              = date('F', strtotime($due_date));
            $date               = date('d', strtotime($due_date));
            $day_no             = (int) floor(($date - 1) / 7) + 1;
            $day_in_month       = '';
            if($day_no == 1){
                $day_in_month   = "first";
            }
            elseif ($day_no == 2){
                $day_in_month   = "second";
            }
            elseif($day_no == 3){
                $day_in_month   = "third";
            }
            elseif($day_no == 4){
                $day_in_month   = "fourth";
            }
            else{
                $day_in_month   = "fifth";
            }
            $list_array         =
            [
                '1' => 'Does not repeat',
                '2' => 'Daily',
                '3' => 'Weekly on '.$day,
                '4' => 'Monthly on the '.$day_in_month.' '.$day,
                '5' => 'Monthly on the last '.$day,
                '6' => 'Annually on '.$month.' '.$date,
                '7' => 'Every Weekday (Monday to Friday)',
                '8' => 'Custom'
            ];
        }
        // else{
        //     $list_array = ['1' => 'Does not repeat',
        //         '2' => 'Daily',
        //         '3' => 'Weekly on Wednesday',
        //         '4' => 'Monthly on the fourth Wednesday',
        //         '5' => 'Monthly on the last Wednesday',
        //         '6' => 'Annually on April 27',
        //         '7' => 'Every Weekday (Monday to Friday)',
        //         '8' => 'Custom'
        //     ];
        // }
        // dd($list_array);
        return $list_array;

    }
}
