<?php

namespace App\Http\Controllers\CompanyAdmin;

use App\Http\Controllers\CompanyAdmin\CompanyAdminController;
use Illuminate\Http\Request;
use App\Models\Notify;

use DataTables;

class NotifyController extends CompanyAdminController{

    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct(){
        parent::__construct();
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request){
        $company_id             = auth()->guard('company-admin')->user()->company_id;
        $user_id                = auth()->guard('company-admin')->user()->id;
        $user_type              = auth()->guard('company-admin')->user()->type;

        $getCompanyTwilioData   = getCompanyTwilioData();

        $actionId               = 1;
        $data                   = Notify::query()
            ->where('company_id', $company_id)
            ->where('user_id', $user_id)
            ->where('user_type', $user_type)
            ->where('action_name_id', $actionId)
            ->where('email', 1)->count();
        return view('companyAdmin.notify.index', compact('getCompanyTwilioData'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request){
        $input                  = $request->all();

        $company_id             = auth()->guard('company-admin')->user()->company_id;
        $user_id                = auth()->guard('company-admin')->user()->id;
        $user_type              = auth()->guard('company-admin')->user()->type;

        Notify::where('company_id', $company_id)->where('user_id', $user_id)->where('user_type', $user_type)->delete();

        $count                  = count($request->action_name_id);
        if($count > 0){
            for ($x = 1; $x <= $count; $x++){
                $data           = [];
                $data['company_id']             = $company_id;
                $data['user_id']                = $user_id;
                $data['user_type']              = $user_type;
                $data['action_name_id']         = $request->action_name_id[$x];
                $data['days_id']                = isset($request->days_id) ? implode(',', $request->days_id): null;
                $data['start_time']             = $request->start_time;
                $data['end_time']               = $request->end_time;
                $data['email']                  = $request->email[$x];
                $data['sms']                    = $request->sms[$x];
                $data['is_unread_delay']        = $request->is_unread_delay[$x];
                $data['unread_delay']           = $request->unread_delay[$x];
                $data['is_resend_unread']       = $request->is_resend_unread[$x];
                $data['resend_unread']          = $request->resend_unread[$x];
                $data['send_anytime']           = $request->send_anytime[$x];
                $getNotify                      = Notify::create($data);

            }
        }
        return 1;
    }

}
