<?php
namespace App\Http\Controllers\CompanyAdmin;

use App\Http\Controllers\CompanyAdmin\CompanyAdminController;
use Illuminate\Http\Request;

use App\Http\Requests\CompanyAdmin\TruckStoreRequest;
use App\Http\Requests\CompanyAdmin\TruckUpdateRequest;

use App\Models\Team;
use App\Models\Truck;
use App\Models\Driver;
use App\Models\LoadDriver;
use App\Models\LoadDetail;
use App\Models\ReportDriver;
use App\Models\DriverFinancial;

use Auth;
use DateTime;
use DataTables;
use Carbon\Carbon;
use Carbon\CarbonPeriod;
use Illuminate\Support\Facades\DB;

class RevenueTrackersController extends CompanyAdminController
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct(){
        parent::__construct();

        ini_set('memory_limit', '-1');
        ini_set('max_execution_time', '3000');
        ini_set('request_terminate_timeout', '3000');
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(){
        $hdrt                                   = hasDispatcherRevenueTracker();
        if($hdrt['success']){
            if($hdrt['type']==2){
                $permissions                    = $hdrt['permissions'];
                $view_own_team                  = $permissions[0];
                if($view_own_team['success']){
                    return redirect()->route('company.admin.home')->with('error', __('messages.nopermission'));
                }
            }
        }
        return view('companyAdmin.revenueTrackers.index');
    }

    public function teamAjax(Request $request){
        $input                                  = $request->all();
        $startDate                              = Carbon::parse($request->start_date)->format('Y-m-d');
        $endDate                                = Carbon::parse($request->end_date)->format('Y-m-d');

        //$startDate                            = '2022-04-01';
        //$endDate                              = '2022-04-28';
        //$getTeams                             = Team::Company()->select('id')->whereNull('deleted_at')->get();
        $getTeams                               = Team::Company()->select('id','name')->whereNull('deleted_at')->get();

        $totalgoalFleetOccupancy                = 0;
        $totalOccupancygoal                     = 0;
        $totalGoalOfUnitsAtGoal                 = 0;
        $teams                                  = [];
        $i                                      = 0;
        foreach ($getTeams as $team) {
            $getTargetRevenueByDate             = 0;
            $getTargetMilesByDate               = 0;
            $getOccupancyRevenue                = 0;
            $getactualRevenue                   = 0;
            $getOccupancyMiles                  = 0;
            $getactualMileage                   = 0;
            $getTargetCPM                       = 0;
            $getactualCPM                       = 0;
            $getoccupancyGoal                   = 0;
            $getfleetOccupancy                  = 0;
            $activeDriverCount                  = 0;
            $getInActiveDriverCount             = 0;
            $goalOfUnitsAtGoal                  = 0;

            $range1                             = 0;
            $range2                             = 0;
            $range3                             = 0;
            $range4                             = 0;
            $range5                             = 0;
            $range6                             = 0;

            $teams[$i]['team_id']               = $team->id;
            $teams[$i]['team_name']             = $team->name;
            $teams[$i]['team_color']            = "#".rand(100,1000);

            //$getDriver                        = Driver::isCompany()->where('team_id',$team->id)->select("id")->whereNull('deleted_at')->get();

            $team_id                            = $team->id;
            $activeDriverCount                  = Driver::whereIn('id', function($query)  use ($team_id, $startDate, $endDate){
                $query->select('driver_id')
                    ->from(with(new ReportDriver)->getTable())
                    ->where('team_id', $team_id)
                    ->where('date', '>=' ,$startDate)
                    ->where('date', '<=' ,$endDate);
            })
            ->where(function ($query) use ($startDate){
                $query->where('drivers.status', '!=', '2')->orWhere(function ($que) use ($startDate){
                    $que->where('drivers.status', '2')->where(DB::raw('DATE_FORMAT(drivers.termination_date, "%Y-%m-%d")'), '>=', $startDate);
                });
            })
            ->where('team_id', $team_id)->get()->count();

            $getInActiveDriverCount             = Driver::whereNotIn('id', function($query)  use ($team_id, $startDate, $endDate){
                $query->select('driver_id')
                    ->from(with(new ReportDriver)->getTable())
                    ->where('team_id', $team_id)
                    ->where('date', '>=' ,$startDate)
                    ->where('date', '<=' ,$endDate);
            })
            ->where(function ($query) use ($startDate){
                $query->where('drivers.status', '!=', '2')->orWhere(function ($que) use ($startDate){
                    $que->where('drivers.status', '2')->where(DB::raw('DATE_FORMAT(drivers.termination_date, "%Y-%m-%d")'), '>=', $startDate);
                });
            })
            ->where('team_id', $team_id)->get()->count();

            //dd($activeDriverCount,$getInActiveDriverCount);
            $ReportDriver                       = ReportDriver::select('driver_id','date','target_cpm','target_occupancy','target_revenue','target_miles','actual_revenue','actual_mileage','actual_daycount','actual_totaldays')
                ->where('team_id', $team->id)
                ->where('date', '>=' ,$startDate)
                ->where('date', '<=' ,$endDate)
                ->orderBy('driver_id')
                ->get()
                ->toArray();

            $driver_data                        = [];
            $k                                  = 0;
            foreach($ReportDriver as $drivd){
                $driver_data[$drivd['driver_id']][$k] = $drivd;
                $k++;
            }

            $m                                  = 0;
            $dirver_GrossRevenue                = [];
            $dirver_Grossmiles                  = [];
            foreach($driver_data as $driverdata){ //foreach ($team->drivers as $driver) {
                $getQuarterCount                = [];

                //$driver_id                    = $driver->id;
                //$ReportDriver                 = ReportDriver::select('driver_id','target_cpm','target_occupancy','target_revenue','target_miles','actual_revenue','actual_mileage','actual_daycount','actual_totaldays')->where('driver_id', $driver_id)->where('date', '>=' ,$startDate)->where('date', '<=' ,$endDate)->orderBy('driver_id')->get();

                $getLoadGrossRevenue            = 0;
                $getOccupancy                   = 0;
                $getLoadMileage                 = 0;

                $target_revenue                 = 0;
                $target_miles                   = 0;
                $target_cpm                     = [];
                $target_occupancy               = [];
                $days                           = 0;
                $actual_daycount                = 0;
                $actual_totaldays               = 0;
                foreach($driverdata as $driverdata){
                    $getQuarter                 = Carbon::parse($driverdata['date'])->quarter;
                    $getYear                    = Carbon::parse($driverdata['date'])->year;

                    $days++;
                    $getLoadGrossRevenue        += $driverdata['actual_revenue'];
                    $getLoadMileage             += $driverdata['actual_mileage'];
                    $actual_daycount            += $driverdata['actual_daycount'];
                    $actual_totaldays           += $driverdata['actual_totaldays'];

                    $target_revenue             += $driverdata['target_revenue'];
                    $target_miles               += $driverdata['target_miles'];

                    $target_cpm[$getQuarter.$getYear]       = $driverdata['target_cpm'];
                    $target_occupancy[$getQuarter.$getYear] = $driverdata['target_occupancy'];
                }

                $mapeval                        = 0;
                if($actual_daycount > 0){
                    $mapeval                    = max(number_format(100 / $actual_daycount * $actual_totaldays, 2), 0);
                }

                $getOccupancy                   = $mapeval;

                $target_cpm_tot                 = 0;
                $target_occupancy_tot           = 0;
                if(count($target_cpm) > 0 && isset($target_cpm)){
                    $quarterCount               = count($target_cpm);
                    $target_cpm_tot             = array_sum($target_cpm)/$quarterCount;
                    $target_occupancy_tot       = array_sum($target_occupancy)/$quarterCount;
                }

                $getTargetRevenueMiles          = ['revenue' => $target_revenue,'miles' => $target_miles,'cpm' => $target_cpm_tot,'occupancy' => $target_occupancy_tot];

                $getTargetRevenueByDate         += $getTargetRevenueMiles['revenue'];
                $getTargetMilesByDate           += $getTargetRevenueMiles['miles'];

                $getTargetRevenue               = $getTargetRevenueMiles['revenue'];
                $getOccupancyRevenue            +=  $getTargetRevenue * $getOccupancy / 100;
                $getactualRevenue               += $getLoadGrossRevenue;

                $getTargetMiles                 = $getTargetRevenueMiles['miles'];
                $getOccupancyMiles              +=  $getTargetMiles * $getOccupancy / 100;
                $getactualMileage               += $getLoadMileage;

                $getTargetCPM                   += $getTargetRevenueMiles['cpm'];
                if($getLoadMileage > 0){
                    $getactualCPM               += $getLoadGrossRevenue / $getLoadMileage;
                }

                $getfleetOccupancy              += $getOccupancy;

                $getoccupancyGoal               += $getTargetRevenueMiles['occupancy'];

                if($getLoadGrossRevenue <= 3000){
                    $range1++;
                }else if($getLoadGrossRevenue >= 3001 && $getLoadGrossRevenue < 4000){
                    $range2++;
                }else if($getLoadGrossRevenue >= 4001 && $getLoadGrossRevenue < 5000){
                    $range3++;
                }else if($getLoadGrossRevenue >= 5001 && $getLoadGrossRevenue < 6000){
                    $range4++;
                }else if($getLoadGrossRevenue >= 6001 && $getLoadGrossRevenue < 7000){
                    $range5++;
                }else if($getLoadGrossRevenue >= 7000){
                    $range6++;
                }

                if($getTargetRevenueMiles['revenue'] < $getLoadGrossRevenue){
                    $goalOfUnitsAtGoal++;
                }
            }

            $getactualCPM                       = 0;
            if($getactualMileage > 0 && $activeDriverCount > 0){
                $getactualCPM                   = $getactualRevenue / $getactualMileage;
            }

            $teams[$i]['targetRevenueByDate']   = $getTargetRevenueByDate;
            $teams[$i]['targetMilesByDate']     = $getTargetMilesByDate;

            $getInActiveDriverCount             = $getInActiveDriverCount;

            $teams[$i]['inActiveDriverCount']   = $getInActiveDriverCount;
            $teams[$i]['activeDriverCount']     = $activeDriverCount;
            $teams[$i]['netDriverCount']        = $activeDriverCount - $getInActiveDriverCount;

            $revenuePerUnit                     = 0;
            $mileagePerUnit                     = 0;
            $cpmPerUnit                         = 0;
            if($activeDriverCount > 0){
                $revenuePerUnit                 = $getactualRevenue / $activeDriverCount;
                $mileagePerUnit                 = $getactualMileage / $activeDriverCount;
                $cpmPerUnit                     = $getactualCPM / $activeDriverCount;
            }

            $teams[$i]['revenuePerUnit']        = $revenuePerUnit;
            $teams[$i]['mileagePerUnit']        = $mileagePerUnit;
            $teams[$i]['cpmPerUnit']            = $cpmPerUnit;

            $teams[$i]['occupancyRevenue']      = $getOccupancyRevenue;
            $teams[$i]['actualRevenue']         = $getactualRevenue;
            $teams[$i]['netRevenue']            = $getactualRevenue - $getOccupancyRevenue;

            $teams[$i]['occupancyMileage']      = $getOccupancyMiles;
            $teams[$i]['actualMileage']         = $getactualMileage;
            $teams[$i]['netMileage']            = $getactualMileage - $getOccupancyMiles;

            $teams[$i]['targetCPM']             = 0;
            $teams[$i]['actualCPM']             = 0;
            if($activeDriverCount > 0){
                $teams[$i]['targetCPM']         = $getTargetCPM / $activeDriverCount;
                $teams[$i]['actualCPM']         = $getactualCPM;
                $teams[$i]['targetCPM_team']    = $getTargetCPM;
                $teams[$i]['actualCPM_team']    = $getactualCPM;
            }

            $teams[$i]['netCPM']                = $teams[$i]['actualCPM'] - $teams[$i]['targetCPM'];

            $totalgoalFleetOccupancy            += $getfleetOccupancy;
            $goalFleetOccupancy                 = 0;
            if($activeDriverCount > 0){
                $goalFleetOccupancy             = $getfleetOccupancy / $activeDriverCount;

            }

            $goalOfRevenueGoal                  = 0;
            if($getTargetRevenueByDate > 0){
                $divvalue                       = $getTargetRevenueByDate * min(100, $getfleetOccupancy) / 100;
                if($divvalue > 0){
                    $goalOfRevenueGoal          = $getactualRevenue / $divvalue;
                    $goalOfRevenueGoal          = $goalOfRevenueGoal * 100;
                }
            }

            $goalOfRevenueGoal                  = min(100, $goalOfRevenueGoal);

            $goalFleetOccupancy                 = min(100, $goalFleetOccupancy);

            $teams[$i]['goalOfUnitsAtGoal']     = 0;
            if($activeDriverCount > 0){
                $teams[$i]['goalOfUnitsAtGoal'] = $goalOfUnitsAtGoal * 100 / $activeDriverCount;
            }

            $teams[$i]['goalFleetOccupancy']    = $goalFleetOccupancy;
            $teams[$i]['goalOfRevenueGoal']     = $goalOfRevenueGoal;
            $teams[$i]['goalOccvsRev']          = $goalOfRevenueGoal - $goalFleetOccupancy;

            $occupancyGoal                      = 0;
            $fleetOccupancy                     = 0;
            if($activeDriverCount > 0){
                $totalOccupancygoal             += $getoccupancyGoal;
                $occupancyGoal                  = round($getoccupancyGoal / $activeDriverCount, 2);
                $fleetOccupancy                 = round($getfleetOccupancy / $activeDriverCount,2);
            }
            $occupancyGoal                      = min(100, $occupancyGoal);
            $fleetOccupancy                     = min(100, $fleetOccupancy);

            $teams[$i]['occupancyGoal']         = $occupancyGoal;
            $teams[$i]['fleetOccupancy']        = $fleetOccupancy;
            $teams[$i]['netOccupancy']          = $fleetOccupancy - $occupancyGoal;

            $teams[$i]['range1']                = $range1;
            $teams[$i]['range2']                = $range2;
            $teams[$i]['range3']                = $range3;
            $teams[$i]['range4']                = $range4;
            $teams[$i]['range5']                = $range5;
            $teams[$i]['range6']                = $range6;

            $totalGoalOfUnitsAtGoal             += $goalOfUnitsAtGoal;

            $i++;
        }

        $fleet                                  = [];
        $fleet['targetRevenueByDate']           = array_sum(array_column($teams, 'targetRevenueByDate'));
        $fleet['targetMilesByDate']             = array_sum(array_column($teams, 'targetMilesByDate'));
        $fleet['inActiveDriverCount']           = array_sum(array_column($teams, 'inActiveDriverCount'));
        $activeDriverCount                      = array_sum(array_column($teams, 'activeDriverCount'));
        $fleet['activeDriverCount']             = $activeDriverCount;
        $fleet['netDriverCount']                = array_sum(array_column($teams, 'netDriverCount'));
        $fleet['revenuePerUnit']                = array_sum(array_column($teams, 'revenuePerUnit'));
        $fleet['mileagePerUnit']                = array_sum(array_column($teams, 'mileagePerUnit'));
        $fleet['cpmPerUnit']                    = array_sum(array_column($teams, 'cpmPerUnit'));
        $fleet['occupancyRevenue']              = array_sum(array_column($teams, 'occupancyRevenue'));
        $fleet['actualRevenue']                 = array_sum(array_column($teams, 'actualRevenue'));
        $fleet['netRevenue']                    = array_sum(array_column($teams, 'netRevenue'));
        $fleet['occupancyMileage']              = array_sum(array_column($teams, 'occupancyMileage'));
        $fleet['actualMileage']                 = array_sum(array_column($teams, 'actualMileage'));
        $fleet['netMileage']                    = array_sum(array_column($teams, 'netMileage'));

        $fleet['targetCPM']                     = 0;
        $fleet['actualCPM']                     = 0;
        $fleet['netCPM']                        = 0;
        $fleet['goalOfUnitsAtGoal']             = 0;
        $fleet['goalFleetOccupancy']            = 0;
        $fleet['goalOfRevenueGoal']             = 0;
        $fleet['goalOccvsRev']                  = 0;
        $fleet['occupancyGoal']                 = 0;
        $fleet['fleetOccupancy']                = 0;
        $fleet['netOccupancy']                  = 0;

        if($activeDriverCount > 0){
            $fleet['targetCPM']                 = array_sum(array_column($teams, 'targetCPM_team')) / $activeDriverCount;
            //$fleet['actualCPM']               = array_sum(array_column($teams, 'actualCPM_team')) / $activeDriverCount;

            if(array_sum(array_column($teams, 'actualMileage')) > 0){
                $fleet['actualCPM']             = array_sum(array_column($teams, 'actualRevenue')) / array_sum(array_column($teams, 'actualMileage'));
            }else{
                $fleet['actualCPM']             = 0;
            }

            $fleet['netCPM']                    = $fleet['actualCPM'] - $fleet['targetCPM'];
            $fleet['goalFleetOccupancy']        = $totalgoalFleetOccupancy / $activeDriverCount;
            $fleet['goalOfRevenueGoal']         = min(100, array_sum(array_column($teams, 'goalOfRevenueGoal')));
            $fleet['goalOccvsRev']              = $fleet['goalOfRevenueGoal'] - $fleet['goalFleetOccupancy'];
            $fleet['occupancyGoal']             = min(100, $totalOccupancygoal / $activeDriverCount);
            $fleet['fleetOccupancy']            = $totalgoalFleetOccupancy / $activeDriverCount;
            $fleet['netOccupancy']              = $fleet['fleetOccupancy'] - $fleet['occupancyGoal'];
        }

        if($totalGoalOfUnitsAtGoal > 0){
            $divAdvi                            = 100 / $activeDriverCount;
            $fleet['goalOfUnitsAtGoal']         = $divAdvi * $totalGoalOfUnitsAtGoal;
        }

        $fleet['range1']                        = array_sum(array_column($teams, 'range1'));
        $fleet['range2']                        = array_sum(array_column($teams, 'range2'));
        $fleet['range3']                        = array_sum(array_column($teams, 'range3'));
        $fleet['range4']                        = array_sum(array_column($teams, 'range4'));
        $fleet['range5']                        = array_sum(array_column($teams, 'range5'));
        $fleet['range6']                        = array_sum(array_column($teams, 'range6'));

        $view                                   = view('companyAdmin.revenueTrackers.ajax.teams', compact('fleet','teams'))->render();
        return response()->json(['view' => $view]);
    }

    public function teamIndex($id){
        $team_id                                = base64Decode($id);
        return view('companyAdmin.revenueTrackers.indexTeam',compact('team_id'));
    }

    public function teamAjaxByID(Request $request){
        $input                                          = $request->all();
        $team_id                                        = $request->team_id;
        $startDate                                      = Carbon::parse($request->start_date)->format('Y-m-d');
        $endDate                                        = Carbon::parse($request->end_date)->format('Y-m-d');

        $team                                           = Team::find($team_id);

        $take                                           = 12;
        $skip                                           = $request->skip;
        if($skip == 0){
            $take                                       = 11;
        }

        $getDriver                                      = Driver::isCompany()
                                                            ->where(function ($query) use ($startDate){
                                                                $query->where('drivers.status', '!=', '2')->orWhere(function ($que) use ($startDate){
                                                                    $que->where('drivers.status', '2')->where(DB::raw('DATE_FORMAT(drivers.termination_date, "%Y-%m-%d")'), '>=', $startDate);
                                                                });
                                                            })
                                                            ->whereNull('deleted_at')->where('team_id',$team_id)->skip($skip)->take($take)->orderBy('first_name', 'asc')->get();

        $activeDriverCount                              = 0;
        $getInActiveDriverCount                         = 0;
        $goalOfUnitsAtGoal                              = 0;
        $driverArray                                    = [];
        $i                                              = 0;
        foreach ($getDriver as $driver) {
            $getTargetRevenueByDate                     = 0;
            $getTargetMilesByDate                       = 0;
            $getOccupancyRevenue                        = 0;
            $getactualRevenue                           = 0;
            $getOccupancyMiles                          = 0;
            $getactualMileage                           = 0;
            $getTargetCPM                               = 0;
            $getactualCPM                               = 0;
            $getoccupancyGoal                           = 0;
            $getfleetOccupancy                          = 0;

            $range1                                     = 0;
            $range2                                     = 0;
            $range3                                     = 0;
            $range4                                     = 0;
            $range5                                     = 0;
            $range6                                     = 0;

            $driver_id                                  = $driver->id;
            $ReportDriver                               = ReportDriver::where('driver_id', $driver_id)->where('date', '>=' ,$startDate)->where('date', '<=' ,$endDate)->get();

            if(count($ReportDriver) > 0){
                $activeDriverCountSet                   = 1;
                $getInActiveDriverCountSet              = 0;
                $activeDriverCount++;
            }else{
                $activeDriverCountSet                   = 0;
                $getInActiveDriverCountSet              = 1;
                $getInActiveDriverCount++;
            }

            $getLoadGrossRevenue                        = 0;
            $getOccupancy                               = 0;
            $getLoadMileage                             = 0;

            $target_revenue                             = 0;
            $target_miles                               = 0;
            $target_cpm                                 = [];
            $target_occupancy                           = [];
            $days                                       = 0;
            $actual_daycount                            = 0;
            $actual_totaldays                           = 0;

            foreach($ReportDriver as $driverdata){
                $getQuarter                             = Carbon::parse($driverdata['date'])->quarter;
                $getYear                                = Carbon::parse($driverdata['date'])->year;

                $days++;
                $getLoadGrossRevenue                    += $driverdata['actual_revenue'];
                $getLoadMileage                         += $driverdata['actual_mileage'];
                $actual_daycount                        += $driverdata['actual_daycount'];
                $actual_totaldays                       += $driverdata['actual_totaldays'];

                $target_revenue                         += $driverdata['target_revenue'];
                $target_miles                           += $driverdata['target_miles'];

                $target_cpm[$getQuarter.$getYear]       = $driverdata['target_cpm'];
                $target_occupancy[$getQuarter.$getYear] = $driverdata['target_occupancy'];
            }

            $mapeval                                    = 0;
            if($actual_daycount > 0){
                $mapeval                                = max(number_format(100 / $actual_daycount * $actual_totaldays, 2), 0);
            }

            $getOccupancy                               = $mapeval;
            //$getData                                  = getLoadOccupancyCalendarMonth2($startDate, $endDate, $driver_id);
            //$getOccupancy                             = $getData['getOccupancy'];

            $target_cpm_tot                             = 0;
            $target_occupancy_tot                       = 0;
            if(count($target_cpm) > 0 && isset($target_cpm)){
                $quarterCount                           = count($target_cpm);
                $target_cpm_tot                         = array_sum($target_cpm)/$quarterCount;
                $target_occupancy_tot                   = array_sum($target_occupancy)/$quarterCount;
            }

            $getTargetRevenueMiles                      = ['revenue' => $target_revenue,'miles' => $target_miles,'cpm' => $target_cpm_tot,'occupancy' => $target_occupancy_tot];

            //dd($getTargetRevenueMiles);
            //dd($getTargetRevenueMiles);
            //$getData                                  = getLoadOccupancyCalendarMonth2($startDate, $endDate, $driver_id);
            //$getOccupancy                             = $getData['getOccupancy'];

            //$getLoadGrossRevenue                      = getLoadGrossRevenue($startDate, $endDate, $driver_id);
            //$getTargetRevenueMiles                    = getTargetRevenueMilesByDate($startDate, $endDate, $driver_id);
            //$getLoadMileage                           = getLoadMileage($startDate, $endDate, $driver_id);

            $getTargetRevenueByDate                     = $getTargetRevenueMiles['revenue'];
            $getTargetMilesByDate                       = $getTargetRevenueMiles['miles'];

            $getTargetRevenue                           = $getTargetRevenueMiles['revenue'];
            $getOccupancyRevenue                        =  $getTargetRevenue * $getOccupancy / 100;
            $getactualRevenue                           = $getLoadGrossRevenue;

            $getTargetMiles                             = $getTargetRevenueMiles['miles'];
            $getOccupancyMiles                          =  $getTargetMiles * $getOccupancy / 100;
            $getactualMileage                           = $getLoadMileage;

            $getTargetCPM                               = $getTargetRevenueMiles['cpm'];

            if($getLoadMileage > 0){
                $getactualCPM                           = $getLoadGrossRevenue / $getLoadMileage;
            }

            $getfleetOccupancy                          = $getOccupancy;

            $getoccupancyGoal                           = $getTargetRevenueMiles['occupancy'];

            if($getLoadGrossRevenue <= 3000){
                $range1++;
            }else if($getLoadGrossRevenue >= 3001 && $getLoadGrossRevenue < 4000){
                $range2++;
            }else if($getLoadGrossRevenue >= 4001 && $getLoadGrossRevenue < 5000){
                $range3++;
            }else if($getLoadGrossRevenue >= 5001 && $getLoadGrossRevenue < 6000){
                $range4++;
            }else if($getLoadGrossRevenue >= 6001 && $getLoadGrossRevenue < 7000){
                $range5++;
            }else if($getLoadGrossRevenue >= 7000){
                $range6++;
            }

            $driverArray[$i]['driver_id']               = $driver->id;
            $driverArray[$i]['driver_name']             = $driver->full_name;
            $driverArray[$i]['driver_color']            = "#".rand(100,1000);
            $driverArray[$i]['targetRevenueByDate']     = $getTargetRevenueByDate;
            $driverArray[$i]['targetMilesByDate']       = $getTargetMilesByDate;

            $driverArray[$i]['activeDriverCount']       = $activeDriverCountSet;
            $driverArray[$i]['inActiveDriverCount']     = $getInActiveDriverCountSet;
            $driverArray[$i]['netDriverCount']          = $activeDriverCountSet - $getInActiveDriverCountSet;

            $revenuePerUnit                             = 0;
            $mileagePerUnit                             = 0;
            $cpmPerUnit                                 = 0;
            if($activeDriverCountSet > 0){
                $revenuePerUnit                         = $getactualRevenue / $activeDriverCountSet;
                $mileagePerUnit                         = $getactualMileage / $activeDriverCountSet;
                $cpmPerUnit = $getactualCPM / $activeDriverCountSet;
            }


            $driverArray[$i]['revenuePerUnit']          = $revenuePerUnit;
            $driverArray[$i]['mileagePerUnit']          = $mileagePerUnit;
            $driverArray[$i]['cpmPerUnit']              = $cpmPerUnit;

            $driverArray[$i]['occupancyRevenue']        = $getOccupancyRevenue;
            $driverArray[$i]['actualRevenue']           = $getactualRevenue;
            $driverArray[$i]['netRevenue']              = $getactualRevenue - $getOccupancyRevenue;

            $driverArray[$i]['occupancyMileage']        = $getOccupancyMiles;
            $driverArray[$i]['actualMileage']           = $getactualMileage;
            $driverArray[$i]['netMileage']              = $getactualMileage - $getOccupancyMiles;

            $driverArray[$i]['targetCPM']               = $getTargetCPM;

            $driverArray[$i]['actualCPM']               = $getactualCPM;
            $driverArray[$i]['netCPM']                  = $getactualCPM - $getTargetCPM;

            $driverArray[$i]['goalOfUnitsAtGoal']       = 0;
            if($getTargetRevenueByDate < $getLoadGrossRevenue){
                $goalOfUnitsAtGoal++;
                $driverArray[$i]['goalOfUnitsAtGoal']   = 100;
            }

            $goalFleetOccupancy                         = 0;
            if($activeDriverCountSet > 0){
                $goalFleetOccupancy                     = $getfleetOccupancy / $activeDriverCountSet;
            }
            $goalOfRevenueGoal                          = 0;
            if($getTargetRevenueByDate > 0){
                $divvalue                               = $getTargetRevenueByDate * min(100, $getfleetOccupancy) / 100;
                if($divvalue > 0){
                    $goalOfRevenueGoal                  = $getactualRevenue / $divvalue;
                    $goalOfRevenueGoal                  = $goalOfRevenueGoal * 100;
                }
            }

            $driverArray[$i]['goalFleetOccupancy']      = min(100, $goalFleetOccupancy);
            $driverArray[$i]['goalOfRevenueGoal']       = min(100, $goalOfRevenueGoal);
            $driverArray[$i]['goalOccvsRev']            = min(100, $goalOfRevenueGoal) - min(100, $goalFleetOccupancy);

            $occupancyGoal                              = 0;
            $fleetOccupancy                             = 0;

            if(!empty($getoccupancyGoal)){
                $occupancyGoal                          = min(100, $getoccupancyGoal);
            }
            if(!empty($getOccupancy)){
                $fleetOccupancy                         = min(100, $getOccupancy);
            }

            $driverArray[$i]['occupancyGoal']           = $occupancyGoal;
            $driverArray[$i]['fleetOccupancy']          = $fleetOccupancy;
            $driverArray[$i]['netOccupancy']            = $fleetOccupancy - $occupancyGoal;

            $driverArray[$i]['range1']                  = $range1;
            $driverArray[$i]['range2']                  = $range2;
            $driverArray[$i]['range3']                  = $range3;
            $driverArray[$i]['range4']                  = $range4;
            $driverArray[$i]['range5']                  = $range5;
            $driverArray[$i]['range6']                  = $range6;

            $i++;
        }


        $fleet                                          = [];
        if($skip == 0){
            $fleet                                      = $this->teamFleet($startDate, $endDate, $team_id);
        }
        //dd($startDate, $endDate, $team_id, $fleet);
        $view                                           = view('companyAdmin.revenueTrackers.ajax.teamViewById', compact('fleet','driverArray'))->render();
        return response()->json(['view' => $view]);
    }

    public function teamFleet($start_date, $end_date, $team_id){
        $team_id                                        = $team_id;
        $startDate                                      = $start_date;
        $endDate                                        = $end_date;

        $team                                           = Team::find($team_id);

        $activeDriverCount                              = Driver::whereIn('id', function($query)  use ($team_id, $startDate, $endDate){
            $query->select('driver_id')
                ->from(with(new ReportDriver)->getTable())
                ->where('team_id', $team_id)
                ->where('date', '>=' ,$startDate)
                ->where('date', '<=' ,$endDate);
        })->where('team_id', $team_id)->get()->count();

        $getInActiveDriverCount                         = Driver::whereNotIn('id', function($query)  use ($team_id, $startDate, $endDate){
            $query->select('driver_id')
                ->from(with(new ReportDriver)->getTable())
                ->where('team_id', $team_id)
                ->where('date', '>=' ,$startDate)
                ->where('date', '<=' ,$endDate);
        })->where('team_id', $team_id)->get()->count();

        $ReportDriver                                   = ReportDriver::select('driver_id','date','target_cpm','target_occupancy','target_revenue','target_miles','actual_revenue','actual_mileage','actual_daycount','actual_totaldays')->where('team_id', $team->id)->where('date', '>=' ,$startDate)->where('date', '<=' ,$endDate)->orderBy('driver_id')->get()->toArray();

        $driver_data                                    = [];
        $k                                              = 0;
        foreach($ReportDriver as $drivd){
            $driver_data[$drivd['driver_id']][$k]       = $drivd;
            $k++;
        }

        $goalOfUnitsAtGoal                              = 0;
        $driverArray                                    = [];
        $i                                              = 0;

        $activeDriverCountSet                           = $activeDriverCount;
        $getInActiveDriverCountSet                      = $getInActiveDriverCount;

        foreach($driver_data as $driverdata){
            $getTargetRevenueByDate                     = 0;
            $getTargetMilesByDate                       = 0;
            $getOccupancyRevenue                        = 0;
            $getactualRevenue                           = 0;
            $getOccupancyMiles                          = 0;
            $getactualMileage                           = 0;
            $getTargetCPM                               = 0;
            $getactualCPM                               = 0;
            $getoccupancyGoal                           = 0;
            $getfleetOccupancy                          = 0;

            $range1                                     = 0;
            $range2                                     = 0;
            $range3                                     = 0;
            $range4                                     = 0;
            $range5                                     = 0;
            $range6                                     = 0;

            $getLoadGrossRevenue                        = 0;
            $getOccupancy                               = 0;
            $getLoadMileage                             = 0;

            $target_revenue                             = 0;
            $target_miles                               = 0;
            $target_cpm                                 = [];
            $target_occupancy                           = [];
            $days                                       = 0;
            $actual_daycount                            = 0;
            $actual_totaldays                           = 0;

            foreach($driverdata as $driverdata){
                $getQuarter                             = Carbon::parse($driverdata['date'])->quarter;
                $getYear                                = Carbon::parse($driverdata['date'])->year;

                $days++;
                $getLoadGrossRevenue                    += $driverdata['actual_revenue'];
                $getLoadMileage                         += $driverdata['actual_mileage'];
                $actual_daycount                        += $driverdata['actual_daycount'];
                $actual_totaldays                       += $driverdata['actual_totaldays'];

                $target_revenue                         += $driverdata['target_revenue'];
                $target_miles                           += $driverdata['target_miles'];

                $target_cpm[$getQuarter.$getYear]       = $driverdata['target_cpm'];
                $target_occupancy[$getQuarter.$getYear] = $driverdata['target_occupancy'];
            }

            $mapeval                                    = 0;
            if($actual_daycount > 0){
                $mapeval                                = max(number_format(100 / $actual_daycount * $actual_totaldays, 2), 0);
            }

            $getOccupancy                               = $mapeval;

            //$getData                                  = getLoadOccupancyCalendarMonth2($startDate, $endDate, $driver_id);
            //$getOccupancy                             = $getData['getOccupancy'];

            $target_cpm_tot                             = 0;
            $target_occupancy_tot                       = 0;
            if(count($target_cpm) > 0 && isset($target_cpm)){
                $quarterCount                           = count($target_cpm);
                $target_cpm_tot                         = array_sum($target_cpm)/$quarterCount;
                $target_occupancy_tot                   = array_sum($target_occupancy)/$quarterCount;
            }

            $getTargetRevenueMiles                      = ['revenue' => $target_revenue,'miles' => $target_miles,'cpm' => $target_cpm_tot,'occupancy' => $target_occupancy_tot];

            //dd($getTargetRevenueMiles);
            //$getData                                  = getLoadOccupancyCalendarMonth2($startDate, $endDate, $driver_id);
            //$getOccupancy                             = $getData['getOccupancy'];

            //$getLoadGrossRevenue                      = getLoadGrossRevenue($startDate, $endDate, $driver_id);
            //$getTargetRevenueMiles                    = getTargetRevenueMilesByDate($startDate, $endDate, $driver_id);
            //$getLoadMileage                           = getLoadMileage($startDate, $endDate, $driver_id);

            $getTargetRevenueByDate                     = $getTargetRevenueMiles['revenue'];
            $getTargetMilesByDate                       = $getTargetRevenueMiles['miles'];

            $getTargetRevenue                           = $getTargetRevenueMiles['revenue'];
            $getOccupancyRevenue                        = $getTargetRevenue * $getOccupancy / 100;
            $getactualRevenue                           = $getLoadGrossRevenue;

            $getTargetMiles                             = $getTargetRevenueMiles['miles'];
            $getOccupancyMiles                          = $getTargetMiles * $getOccupancy / 100;
            $getactualMileage                           = $getLoadMileage;

            $getTargetCPM                               = $getTargetRevenueMiles['cpm'];

            if($getLoadMileage > 0){
                $getactualCPM                           = $getLoadGrossRevenue / $getLoadMileage;
            }

            $getfleetOccupancy                          = $getOccupancy;

            $getoccupancyGoal                           = $getTargetRevenueMiles['occupancy'];

            if($getLoadGrossRevenue <= 3000){
                $range1++;
            }else if($getLoadGrossRevenue >= 3001 && $getLoadGrossRevenue < 4000){
                $range2++;
            }else if($getLoadGrossRevenue >= 4001 && $getLoadGrossRevenue < 5000){
                $range3++;
            }else if($getLoadGrossRevenue >= 5001 && $getLoadGrossRevenue < 6000){
                $range4++;
            }else if($getLoadGrossRevenue >= 6001 && $getLoadGrossRevenue < 7000){
                $range5++;
            }else if($getLoadGrossRevenue >= 7000){
                $range6++;
            }

            $driverArray[$i]['driver_color']            = "#".rand(100,1000);
            $driverArray[$i]['targetRevenueByDate']     = $getTargetRevenueByDate;
            $driverArray[$i]['targetMilesByDate']       = $getTargetMilesByDate;

            $driverArray[$i]['activeDriverCount']       = $activeDriverCountSet;
            $driverArray[$i]['inActiveDriverCount']     = $getInActiveDriverCountSet;
            $driverArray[$i]['netDriverCount']          = $activeDriverCountSet - $getInActiveDriverCountSet;

            $revenuePerUnit                             = 0;
            $mileagePerUnit                             = 0;
            $cpmPerUnit                                 = 0;
            if($activeDriverCountSet > 0){
                $revenuePerUnit                         = $getactualRevenue / $activeDriverCountSet;
                $mileagePerUnit                         = $getactualMileage / $activeDriverCountSet;
                $cpmPerUnit                             = $getactualCPM / $activeDriverCountSet;
            }


            $driverArray[$i]['revenuePerUnit']          = $revenuePerUnit;
            $driverArray[$i]['mileagePerUnit']          = $mileagePerUnit;
            $driverArray[$i]['cpmPerUnit']              = $cpmPerUnit;

            $driverArray[$i]['occupancyRevenue']        = $getOccupancyRevenue;
            $driverArray[$i]['actualRevenue']           = $getactualRevenue;
            $driverArray[$i]['netRevenue']              = $getactualRevenue - $getOccupancyRevenue;

            $driverArray[$i]['occupancyMileage']        = $getOccupancyMiles;
            $driverArray[$i]['actualMileage']           = $getactualMileage;
            $driverArray[$i]['netMileage']              = $getactualMileage - $getOccupancyMiles;

            $driverArray[$i]['targetCPM']               = $getTargetCPM;

            $driverArray[$i]['actualCPM']               = $getactualCPM;
            $driverArray[$i]['netCPM']                  = $getactualCPM - $getTargetCPM;

            $driverArray[$i]['goalOfUnitsAtGoal']       = 0;
            if($getTargetRevenueByDate < $getLoadGrossRevenue){
                $goalOfUnitsAtGoal++;
                $driverArray[$i]['goalOfUnitsAtGoal']   = 100;
            }

            $goalFleetOccupancy                         = 0;
            if($activeDriverCountSet > 0){
                $goalFleetOccupancy                     = $getfleetOccupancy / $activeDriverCountSet;
            }
            $goalOfRevenueGoal                          = 0;
            if($getTargetRevenueByDate > 0){
                $divvalue                               = $getTargetRevenueByDate * min(100, $getfleetOccupancy) / 100;
                if($divvalue > 0){
                    $goalOfRevenueGoal                  = $getactualRevenue / $divvalue;
                    $goalOfRevenueGoal                  = $goalOfRevenueGoal * 100;
                }
            }


            $driverArray[$i]['goalFleetOccupancy']      = min(100, $goalFleetOccupancy);
            $driverArray[$i]['goalOfRevenueGoal']       = min(100, $goalOfRevenueGoal);
            $driverArray[$i]['goalOccvsRev']            = min(100, $goalOfRevenueGoal) - min(100, $goalFleetOccupancy);

            $occupancyGoal                              = 0;
            $fleetOccupancy                             = 0;

            if(!empty($getoccupancyGoal)){
                $occupancyGoal                          = min(100, $getoccupancyGoal);
            }
            if(!empty($getOccupancy)){
                $fleetOccupancy                         = min(100, $getOccupancy);
            }

            $driverArray[$i]['occupancyGoal']           = $occupancyGoal;
            $driverArray[$i]['fleetOccupancy']          = $fleetOccupancy;
            $driverArray[$i]['netOccupancy']            = $fleetOccupancy - $occupancyGoal;

            $driverArray[$i]['range1']                  = $range1;
            $driverArray[$i]['range2']                  = $range2;
            $driverArray[$i]['range3']                  = $range3;
            $driverArray[$i]['range4']                  = $range4;
            $driverArray[$i]['range5']                  = $range5;
            $driverArray[$i]['range6']                  = $range6;

            $i++;

        }

        $fleet                                          = [];

        $activeDriverCount                              = $activeDriverCount;
        $inActiveDriverCount                            = $getInActiveDriverCount;
        $netDriverCount                                 = $activeDriverCount - $inActiveDriverCount;

        $fleet['team_name']                             = $team->name;
        $fleet['targetRevenueByDate']                   = array_sum(array_column($driverArray, 'targetRevenueByDate'));
        $fleet['targetMilesByDate']                     = array_sum(array_column($driverArray, 'targetMilesByDate'));
        $fleet['inActiveDriverCount']                   = $inActiveDriverCount;
        $fleet['activeDriverCount']                     = $activeDriverCount;
        $fleet['netDriverCount']                        = $netDriverCount;
        $fleet['revenuePerUnit']                        = 0;
        $fleet['mileagePerUnit']                        = 0;
        $fleet['cpmPerUnit']                            = 0;
        if($activeDriverCount > 0){
            $fleet['revenuePerUnit']                    = array_sum(array_column($driverArray, 'revenuePerUnit')) / $activeDriverCount;
            $fleet['mileagePerUnit']                    = array_sum(array_column($driverArray, 'mileagePerUnit')) / $activeDriverCount;
            $fleet['cpmPerUnit']                        = array_sum(array_column($driverArray, 'cpmPerUnit')) / $activeDriverCount;
        }
        $fleet['occupancyRevenue']                      = array_sum(array_column($driverArray, 'occupancyRevenue'));
        $fleet['actualRevenue']                         = array_sum(array_column($driverArray, 'actualRevenue'));
        $fleet['netRevenue']                            = array_sum(array_column($driverArray, 'netRevenue'));
        $fleet['occupancyMileage']                      = array_sum(array_column($driverArray, 'occupancyMileage'));
        $fleet['actualMileage']                         = array_sum(array_column($driverArray, 'actualMileage'));
        $fleet['netMileage']                            = array_sum(array_column($driverArray, 'netMileage'));

        $fleet['targetCPM']                             = 0;
        $fleet['actualCPM']                             = 0;
        $fleet['netCPM']                                = 0;
        $fleet['goalOfUnitsAtGoal']                     = 0;
        $fleet['goalFleetOccupancy']                    = 0;
        $fleet['goalOfRevenueGoal']                     = 0;
        $fleet['goalOccvsRev']                          = 0;
        $fleet['occupancyGoal']                         = 0;
        $fleet['fleetOccupancy']                        = 0;
        $fleet['netOccupancy']                          = 0;

        if($activeDriverCount > 0){
            $fleet['targetCPM']                         = array_sum(array_column($driverArray, 'targetCPM')) / $activeDriverCount;
            $fleet['actualCPM']                         = array_sum(array_column($driverArray, 'actualCPM')) / $activeDriverCount;
            $fleet['netCPM']                            = array_sum(array_column($driverArray, 'netCPM')) / $activeDriverCount;
            $fleet['goalOfUnitsAtGoal']                 = array_sum(array_column($driverArray, 'goalOfUnitsAtGoal')) / $activeDriverCount;
            $fleet['goalFleetOccupancy']                = array_sum(array_column($driverArray, 'goalFleetOccupancy')) / $activeDriverCount;
            $fleet['goalOfRevenueGoal']                 = array_sum(array_column($driverArray, 'goalOfRevenueGoal'))  / $activeDriverCount;
            $fleet['goalOccvsRev']                      = $fleet['goalOfRevenueGoal'] - $fleet['goalFleetOccupancy'];
            $fleet['occupancyGoal']                     = array_sum(array_column($driverArray, 'occupancyGoal')) / $activeDriverCount;
            $fleet['fleetOccupancy']                    = array_sum(array_column($driverArray, 'fleetOccupancy')) / $activeDriverCount;
            $fleet['netOccupancy']                      = $fleet['fleetOccupancy'] - $fleet['occupancyGoal'];
        }

        $fleet['range1']                                = array_sum(array_column($driverArray, 'range1'));
        $fleet['range2']                                = array_sum(array_column($driverArray, 'range2'));
        $fleet['range3']                                = array_sum(array_column($driverArray, 'range3'));
        $fleet['range4']                                = array_sum(array_column($driverArray, 'range4'));
        $fleet['range5']                                = array_sum(array_column($driverArray, 'range5'));
        $fleet['range6']                                = array_sum(array_column($driverArray, 'range6'));

        return $fleet;
        //$view = view('companyAdmin.revenueTrackers.ajax.teamViewById', compact('fleet','driverArray'))->render();
        //return response()->json(['view' => $view]);
    }
}