<?php

namespace App\Http\Controllers\CompanyAdmin;

use App\Http\Controllers\CompanyAdmin\CompanyAdminController;
use App\Models\Load;
use App\Models\Driver;
use App\Models\LoadDetail;
use App\Models\LoadDriver;
use App\Models\LoadFile;
use App\Models\LoadFileType;
use App\Models\WeeklyFuelSurcharge;
use App\Models\Broker;
use App\Models\Carrier;
use App\Models\Truck;
use App\Models\Team;
use App\Models\Trailer;
use App\Models\DriverAvoidState;
use App\Models\DriverRestrictedState;
use App\Models\CompanyAdmin;
use Illuminate\Http\Request;
use File;
use Str;

class SearchController extends CompanyAdminController
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {

        $keyword = $request->data;

        if($keyword == 'nullbalnk'){
            $keyword = '';
            //dsef of data
        }
        $getDriver = [];
        $getManagerDispacher = [];
        $getLoad = [];
        $getTruck = [];
        $getTrailer = [];
        $getBroker = [];
        $getCarrier = [];
        $getTeam = [];

        if(!empty($keyword)){

            $searchValues = preg_split('/\s+/', $keyword, -1, PREG_SPLIT_NO_EMPTY);

            $getDriver = Driver::isCompany()->where(function ($q) use ($searchValues) {
                  foreach($searchValues as $search_key) {
                    $q->where('first_name', 'LIKE', "%{$search_key}%")
                    ->orWhere('last_name', 'LIKE', "%{$search_key}%")
                    ->orWhere('email', 'LIKE', "%{$search_key}%")
                    ->orWhere('home_phone', 'LIKE', "%{$search_key}%")
                    ->orWhere('cell_phone', 'LIKE', "%{$search_key}%")
                    ->orWhere('ssn', 'LIKE', "%{$search_key}%")
                    ->orWhere('ein', 'LIKE', "%{$search_key}%");
                  }
                })->select('id','first_name','last_name','email')->get();

            $getManagerDispacher = CompanyAdmin::Company()->where(function ($q) use ($searchValues) {
                  foreach($searchValues as $search_key) {
                    $q->where('first_name', 'LIKE', "%{$search_key}%")
                    ->orWhere('last_name', 'LIKE', "%{$search_key}%")
                    ->orWhere('email', 'LIKE', "%{$search_key}%")
                    ->orWhere('home_phone', 'LIKE', "%{$search_key}%")
                    ->orWhere('cell_phone', 'LIKE', "%{$search_key}%");
                  }
                })->select('id','first_name','last_name','type','email')->get();


            $getLoad = LoadDetail::where(function ($q) use ($searchValues) {
                  foreach($searchValues as $search_key) {
                    $q->where('load_number', 'LIKE', "%{$search_key}%")
                    ->orWhere('brokerage_mc', 'LIKE', "%{$search_key}%");
                  }
                })
                ->whereHas('loads', function($q){
                    $q->where('company_id', auth()->guard('company-admin')->user()->company_id);
                })
                ->select('id','load_id','load_number','load_type','is_disable','actual_delivery_date')->get();

            $getTruck = Truck::isCompany()->where(function ($q) use ($searchValues) {
                  foreach($searchValues as $search_key) {
                    $q->where('unit', 'LIKE', "%{$search_key}%")
                    ->orWhere('make', 'LIKE', "%{$search_key}%")
                    ->orWhere('vin_number', 'LIKE', "%{$search_key}%")
                    ->orWhere('tag', 'LIKE', "%{$search_key}%")
                    ->orWhere('nyhut', 'LIKE', "%{$search_key}%");
                  }
                })->select('id','unit','vin_number')->get();

            $getTrailer = Trailer::isCompany()->where(function ($q) use ($searchValues) {
                  foreach($searchValues as $search_key) {
                    $q->where('trailer_id', 'LIKE', "%{$search_key}%")
                    ->orWhere('make', 'LIKE', "%{$search_key}%")
                    ->orWhere('model', 'LIKE', "%{$search_key}%")
                    ->orWhere('vin', 'LIKE', "%{$search_key}%")
                    ->orWhere('tag_number', 'LIKE', "%{$search_key}%")
                    ->orWhere('length', 'LIKE', "%{$search_key}%");
                  }
                })->select('id','vin','tag_number')->get();

            $getBroker = Broker::isCompany()->where(function ($q) use ($searchValues) {
                  foreach($searchValues as $search_key) {
                    $q->where('name', 'LIKE', "%{$search_key}%")
                    ->orWhere('mc_number', 'LIKE', "%{$search_key}%")
                    ->orWhere('rep_name', 'LIKE', "%{$search_key}%")
                    ->orWhere('phone_number', 'LIKE', "%{$search_key}%")
                    ->orWhere('ext', 'LIKE', "%{$search_key}%")
                    ->orWhere('eight_hundred_number', 'LIKE', "%{$search_key}%");
                  }
                })->select('id','name','mc_number')->get();

            $getCarrier = Carrier::isCompany()->where(function ($q) use ($searchValues) {
                  foreach($searchValues as $search_key) {
                    $q->where('name', 'LIKE', "%{$search_key}%")
                    ->orWhere('mc_number', 'LIKE', "%{$search_key}%");
                  }
                })->select('id','name')->get();

            $getTeam = Team::Company()->where(function ($q) use ($searchValues) {
                  foreach($searchValues as $search_key) {
                    $q->where('name', 'LIKE', "%{$search_key}%");
                  }
                })->select('id','name')->get();

        }

        // if($getDriver->count() > 0){
        //     echo 'afwef';
        // }

        // dd($getDriver->count(),$getDriver);
        // dd($getDriver,$getManagerDispacher,$getLoad,$getTruck,$getTrailer,$getBroker,$getCarrier,$getTeam);
        $view = view('companyAdmin.search.index', compact('getDriver','getManagerDispacher','getLoad','getTruck','getTrailer','getBroker','getCarrier','getTeam','keyword'))->render();

        return response()->json(['view' => $view]);
    }
   

}
