<?php

namespace App\Http\Controllers\CompanyAdmin;

use App\Http\Controllers\CompanyAdmin\CompanyAdminController;
use Illuminate\Http\Request;

use App\Models\Company;
use File;

class SettingController extends CompanyAdminController
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $id         = auth()->guard('company-admin')->user()->company_id;
        $setting    = Company::find($id);
        return view('companyAdmin.setting.index', compact('setting'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $input                              = $request->all();

        $company                            = Company::find($id);
        if($request->profile_picture_hidden){
           if($company->logo){
                $file                       = public_path('storage/companyAdmin/company_logo')."/".$company->logo;
                if(File::exists($file)) {
                    File::delete($file);
                }
            }
            $company->logo                  = $request->profile_picture_hidden;
        }

        if($request->profile_picture_hidden_email){
           if($company->email_logo){
                $file = public_path('storage/companyAdmin/company_email')."/".$company->email_logo;
                if(File::exists($file)) {
                    File::delete($file);
                }
            }
            $company->email_logo            = $request->profile_picture_hidden_email;
        }

        $company->address                   = $input['address'];
        $company->billing_information       = $input['billing_information'];
        $company->contact_information       = $input['contact_information'];
        $company->session_lifetime          = $input['session_lifetime'];
        $company->oos_equipment                       = $input['oos_equipment'];
        $company->oos_driver                       = $input['oos_driver'];

        $company->save();

        notification('success', 'Company Settings updated successfully');
        return redirect()->back();
    }


    public function cropPicture(Request $request)
    {
        $path           = "storage/companyAdmin/company_logo/";
        if(File::ensureDirectoryExists($path)){
            File::makeDirectory($path);
        }
        $data           = $request->image;
        $image_array_1  = explode(";", $data);
        $image_array_2  = explode(",", $image_array_1[1]);
        $data           = base64_decode($image_array_2[1]);
        $fileName       = "logo_".time().".". 'png';
        $imageName      = $path.$fileName;
        file_put_contents($imageName, $data);
        echo $fileName;
    }

    public function cropEmailLogo(Request $request)
    {
        $path           = "storage/companyAdmin/company_email/";
        if(File::ensureDirectoryExists($path)){
            File::makeDirectory($path);
        }
        $data           = $request->image;
        $image_array_1  = explode(";", $data);
        $image_array_2  = explode(",", $image_array_1[1]);
        $data           = base64_decode($image_array_2[1]);
        $fileName       = "logo_".time().".". 'png';
        $imageName      = $path.$fileName;
        file_put_contents($imageName, $data);
        echo $fileName;
    }
}
