<?php

namespace App\Http\Controllers\DriverAdmin;

use App\Http\Controllers\DriverAdmin\DriverAdminController;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Cache;

use App\Models\Driver;
use App\Models\Timezone;

class AccountSettingController extends DriverAdminController{

    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct(){
        parent::__construct();
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(){
        $setting    = auth()->guard('driver-admin')->user();
        $timezones  = Cache::remember('timezones', 3600, function () {
            return Timezone::where('status', 1)->pluck('name','id')->toArray();
        });
        return view('driverAdmin.accountSetting.index', compact('setting','timezones'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id){
        $input          = $request->all();
        $driver         = Driver::find($id);
        $driver->update($input);
        notification('success', 'Account Settings updated successfully');
        return redirect()->back();
    }
}
