<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\State;
use App\Models\LoadDetail;
use Illuminate\Support\Facades\DB;

class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        // $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index()
    {
        return view('home');
    }

    /**
     * Display the specified state from storage.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function stateList(Request $request)
    {
        if ($request->q) {
            $data = State::select('id','name')->where('name','LIKE','%'.$request->q.'%')->get();
            return response()->json($data);
        }
    }

    public function getTrimbleLocation(Request $request){
        if ($request->ajax()) {
            try {
                $formData                           = array_filter($request->all());
                if(!empty($formData)){
                    $array = [
                        'street'                    => $formData['addr1'] ?? '',
                        'city'                      => $formData['city'] ?? '',
                        'state'                     => $formData['state'] ?? '',
                        'country'                   => 'US',
                        'postcode'                  => $formData['zip'] ?? '',
                        'postcodeFilter'            => 'us',
                        'region'                    => 'NA',
                        'dataset'                   => 'Current',
                    ];
                    $trimbleData                    = getTrimbleLocation($array);
                    $response['trimbleData']        = $trimbleData;
                    $response['success']            = true;
                }else{
                    $response['success']            = false;
                    $response['message']            = "Oops! Something went wrong..";
                }
            } catch (\Exception $e) {
                $response['success']                = false;
                $response['message']                = $e->getMessage();
            }
            return response()->json($response);
        }else{
            return abort(404);
        }
    }

    public function updateSortOrderLoadStatus()
    {
        $allLoads = LoadDetail::select('id','load_status','load_status_order')->get();

        // dd( $allLoads );

        foreach( $allLoads as $key => $value ) {
            if( $value->load_status == 0 || $value->load_status == '0' ) {
                $value->load_status_order = 8;
                $value->update();
            }

            if( $value->load_status == 1 || $value->load_status == '1' ) {
                $value->load_status_order = 0;
                $value->update();
            }

            if( $value->load_status == 2 || $value->load_status == '2' ) {
                $value->load_status_order = 9;
                $value->update();
            }

            if( $value->load_status == 3 || $value->load_status == '3' ) {
                $value->load_status_order = 3;
                $value->update();
            }

            if( $value->load_status == 4 || $value->load_status == '4' ) {
                $value->load_status_order = 6;
                $value->update();
            }

            if( $value->load_status == 5 || $value->load_status == '5' ) {
                $value->load_status_order = 4;
                $value->update();
            }

            if( $value->load_status == 6 || $value->load_status == '6' ) {
                $value->load_status_order = 10;
                $value->update();
            }

            if( $value->load_status == 7 || $value->load_status == '7' ) {
                $value->load_status_order = 7;
                $value->update();
            }

            if( $value->load_status == 8 || $value->load_status == '8' ) {
                $value->load_status_order = 2;
                $value->update();
            }

            if( $value->load_status == 9 || $value->load_status == '9' ) {
                $value->load_status_order = 1;
                $value->update();
            }

            if( $value->load_status == 10 || $value->load_status == '10' ) {
                $value->load_status_order = 5;
                $value->update();
            }

            if( $value->load_status == 11 || $value->load_status == '11' ) {
                $value->load_status_order = 11;
                $value->update();
            }
        }
    }
}
