<?php

namespace App\Http\Middleware;

use Illuminate\Http\Request;

use Illuminate\Support\Str;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Session;

use App\Models\CompanyAdmin;
use App\Models\CompanyHoliday;
use App\Models\CompanyAdminRole;

use App\Models\Driver;
use App\Models\DriverAvoidState;
use App\Models\DriverRestrictedState;
use App\Models\DriverInspectionLevel;
use App\Models\DriverHosViolationCode;
use App\Models\DriverAccidentViolationCode;
use App\Models\DriverCitationsViolationCode;

use App\Models\Broker;
use App\Models\Vendor;
use App\Models\Terminal;
use App\Models\Customer;

use App\Models\Shipper;
use App\Models\Receiver;

use App\Models\Truck;
use App\Models\Trailer;
use App\Models\Carrier;

use App\Models\Load;
use App\Models\LoadDetail;
use App\Models\LoadDriver;

use App\Models\LoadFile;
use App\Models\LoadFileType;

use App\Models\Announcement;

use App\Models\LeaveType;
use App\Models\Maintenance;

use App\Models\State;
use App\Models\WeeklyFuelSurcharge;

use App\Models\ManageType;
use App\Models\ManageCompanyType;

use Route;
use Closure;

class CompanyAdminAuthenticate
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle(Request $request, Closure $next){
        if (!auth()->guard('company-admin')->check()) {
            if(!Session::has('company.url.intended')){
                Session::put('company.url.intended', $request->fullUrl());
            }
            return redirect()->route('company.admin.login');
        }

        if(auth()->guard('company-admin')->check()){
            $companyId  = auth()->guard('company-admin')->user()->company_id;
            $error_msg  = 'You do not have permission to access this page.';
            $url        = $request->url();

            if($request->isMethod('get')){
                if(Str::contains($url, 'loads') && isset($request->load)){
                    $routeName          = explode('@', Route::getCurrentRoute()->getActionName())[1];

                    if($routeName == 'show'){
                        $id             = (base64Decode($request->load) != "") ? base64Decode($request->load) : $request->load;
                        //$getLoadID    = LoadDetail::find($id);
                        //$checkId      = Load::where('company_id', $companyId)->where('id', $getLoadID->load_id)->count();
                        //$checkId      = Load::where('company_id', $companyId)->where('id', $id)->count();
                        $checkId        = LoadDetail::join('loads', 'loads.load_detail_id', '=', 'load_details.id')->where('loads.company_id', $companyId)->where('load_details.id', $id)->count();
                    }else{
                        $id             = (base64Decode($request->load) != "") ? base64Decode($request->load) : $request->load;
                        $checkId        = Load::where('company_id', $companyId)->where('id', $id)->count();
                    }

                    if($checkId == 0){
                        notification('error', $error_msg);
                        return redirect()->route('company.admin.home');
                    }
                }elseif(Str::contains($url, 'managers') && isset($request->manager)){
                    $id                 = (base64Decode($request->manager) != "") ? base64Decode($request->manager) : $request->manager;
                    $checkId            = CompanyAdmin::where('company_id', $companyId)->where('id', $id)->count();
                    if($checkId == 0){
                        notification('error', $error_msg);
                        return redirect()->route('company.admin.home');
                    }
                }elseif(Str::contains($url, 'dispatchers') && isset($request->dispatcher)){
                    $id                 = (base64Decode($request->dispatcher) != "") ? base64Decode($request->dispatcher) : $request->dispatcher;
                    $checkId            = CompanyAdmin::where('company_id', $companyId)->where('id', $id)->count();
                    if($checkId == 0){
                        notification('error', $error_msg);
                        return redirect()->route('company.admin.home');
                    }
                }elseif(Str::contains($url, 'drivers') && isset($request->driver)){
                    $id                 = (base64Decode($request->driver) != "") ? base64Decode($request->driver) : $request->driver;
                    $checkId            = Driver::where('company_id', $companyId)->where('id', $id)->count();
                    if($checkId == 0){
                        notification('error', $error_msg);
                        return redirect()->route('company.admin.home');
                    }
                }elseif(Str::contains($url, 'brokers') && isset($request->broker)){
                    $id                 = (base64Decode($request->broker) != "") ? base64Decode($request->broker) : $request->broker;
                    $checkId            = Broker::where('company_id', $companyId)->where('id', $id)->count();
                    if($checkId == 0){
                        notification('error', $error_msg);
                        return redirect()->route('company.admin.home');
                    }
                }elseif(Str::contains($url, 'shipper') && isset($request->shipper)){
                    $id                 = (base64Decode($request->shipper) != "") ? base64Decode($request->shipper) : $request->shipper;
                    $checkId            = shipper::where('company_id', $companyId)->where('id', $id)->count();
                    if($checkId == 0){
                        notification('error', $error_msg);
                        return redirect()->route('company.admin.home');
                    }
                }elseif(Str::contains($url, 'receiver') && isset($request->receiver)){
                    $id                 = (base64Decode($request->receiver) != "") ? base64Decode($request->receiver) : $request->receiver;
                    $checkId            = Receiver::where('company_id', $companyId)->where('id', $id)->count();
                    if($checkId == 0){
                        notification('error', $error_msg);
                        return redirect()->route('company.admin.home');
                    }
                }elseif(Str::contains($url, 'carriers') && isset($request->carrier)){
                    $id                 = (base64Decode($request->carrier) != "") ? base64Decode($request->carrier) : $request->carrier;
                    $checkId            = Carrier::where('company_id', $companyId)->where('id', $id)->count();
                    if($checkId == 0){
                        notification('error', $error_msg);
                        return redirect()->route('company.admin.home');
                    }
                }elseif(Str::contains($url, 'trailers') && isset($request->trailer)){
                    $id                 = (base64Decode($request->trailer) != "") ? base64Decode($request->trailer) : $request->trailer;
                    $checkId            = Trailer::where('company_id', $companyId)->where('id', $id)->count();
                    if($checkId == 0){
                        notification('error', $error_msg);
                        return redirect()->route('company.admin.home');
                    }
                }elseif(Str::contains($url, 'trucks') && isset($request->truck)){
                    $id                 = (base64Decode($request->truck) != "") ? base64Decode($request->truck) : $request->truck;
                    $checkId            = Truck::where('company_id', $companyId)->where('id', $id)->count();
                    if($checkId == 0){
                        notification('error', $error_msg);
                        return redirect()->route('company.admin.home');
                    }
                }elseif(Str::contains($url, 'manage-type') && isset($request->manage_type)){
                    $id                 = (base64Decode($request->manage_type) != "") ? base64Decode($request->manage_type) : $request->manage_type;
                    $checkId            = ManageCompanyType::where('company_id', $companyId)->where('id', $id)->count();
                    if($checkId == 0){
                        notification('error', $error_msg);
                        return redirect()->route('company.admin.home');
                    }
                }elseif(Str::contains($url, 'roles') && isset($request->id)){
                    $id                 = (base64Decode($request->id) != "") ? base64Decode($request->id) : $request->id;
                    $checkId            = CompanyAdminRole::where('company_id', $companyId)->where('id', $id)->count();
                    if($checkId == 0){
                        notification('error', $error_msg);
                        return redirect()->route('company.admin.home');
                    }
                }elseif(Str::contains($url, 'company-holiday') && isset($request->company_holiday)){
                    $id                 = (base64Decode($request->company_holiday) != "") ? base64Decode($request->company_holiday) : $request->company_holiday;
                    $checkId            = CompanyHoliday::where('company_id', $companyId)->where('id', $id)->count();
                    if($checkId == 0){
                        notification('error', $error_msg);
                        return redirect()->route('company.admin.home');
                    }
                }elseif(Str::contains($url, 'leave-type') && isset($request->leave_type)){
                    $id                 = (base64Decode($request->leave_type) != "") ? base64Decode($request->leave_type) : $request->leave_type;
                    $checkId            = LeaveType::where('company_id', $companyId)->where('id', $id)->count();
                    if($checkId == 0){
                        notification('error', $error_msg);
                        return redirect()->route('company.admin.home');
                    }
                }elseif(Str::contains($url, 'terminals') && isset($request->terminal)){
                    $id                 = (base64Decode($request->terminal) != "") ? base64Decode($request->terminal) : $request->terminal;
                    $checkId            = Terminal::where('company_id', $companyId)->where('id', $id)->count();
                    if($checkId == 0){
                        notification('error', $error_msg);
                        return redirect()->route('company.admin.home');
                    }
                }elseif(Str::contains($url, 'vendors') && isset($request->vendor)){
                    $id                 = (base64Decode($request->vendor) != "") ? base64Decode($request->vendor) : $request->vendor;
                    $checkId            = Vendor::where('company_id', $companyId)->where('id', $id)->count();
                    if($checkId == 0){
                        notification('error', $error_msg);
                        return redirect()->route('company.admin.home');
                    }
                }elseif(Str::contains($url, 'shippers-and-consignees') && isset($request->customer)){
                    $id                 = (base64Decode($request->customer) != "") ? base64Decode($request->customer) : $request->customer;
                    $checkId            = Customer::where('company_id', $companyId)->where('id', $id)->count();
                    if($checkId == 0){
                        notification('error', $error_msg);
                        return redirect()->route('company.admin.home');
                    }
                }elseif(Str::contains($url, 'maintenances') && isset($request->maintenance)){
                    $id                 = (base64Decode($request->maintenance) != "") ? base64Decode($request->maintenance) : $request->maintenance;
                    $checkId            = Maintenance::where('company_id', $companyId)->where('id', $id)->count();
                    if($checkId == 0){
                        notification('error', $error_msg);
                        return redirect()->route('company.admin.home');
                    }
                }elseif(Str::contains($url, 'driver-hos-violation-code') && isset($request->driver_hos_violation_code)){
                    $id                 = (base64Decode($request->driver_hos_violation_code) != "") ? base64Decode($request->driver_hos_violation_code) : $request->driver_hos_violation_code;
                    $checkId            = DriverHosViolationCode::where('company_id', $companyId)->where('id', $id)->count();
                    if($checkId == 0){
                        notification('error', $error_msg);
                        return redirect()->route('company.admin.home');
                    }
                }elseif(Str::contains($url, 'driver-citations-violation-code') && isset($request->driver_citations_violation_code)){
                    $id                 = (base64Decode($request->driver_citations_violation_code) != "") ? base64Decode($request->driver_citations_violation_code) : $request->driver_citations_violation_code;
                    $checkId            = DriverCitationsViolationCode::where('company_id', $companyId)->where('id', $id)->count();
                    if($checkId == 0){
                        notification('error', $error_msg);
                        return redirect()->route('company.admin.home');
                    }
                }elseif(Str::contains($url, 'driver-accident-violation-code') && isset($request->driver_accident_violation_code)){
                    $id                 = (base64Decode($request->driver_accident_violation_code) != "") ? base64Decode($request->driver_accident_violation_code) : $request->driver_accident_violation_code;
                    $checkId            = DriverAccidentViolationCode::where('company_id', $companyId)->where('id', $id)->count();
                    if($checkId == 0){
                        notification('error', $error_msg);
                        return redirect()->route('company.admin.home');
                    }
                }elseif(Str::contains($url, 'driver-inspection-level') && isset($request->driver_inspection_level)){
                    $id                 = (base64Decode($request->driver_inspection_level) != "") ? base64Decode($request->driver_inspection_level) : $request->driver_inspection_level;
                    $checkId            = DriverInspectionLevel::where('company_id', $companyId)->where('id', $id)->count();
                    if($checkId == 0){
                        notification('error', $error_msg);
                        return redirect()->route('company.admin.home');
                    }
                }elseif(Str::contains($url, 'dispatch-pro-announcement') && isset($request->compel_announcement)){
                    $id                 = (base64Decode($request->compel_announcement) != "") ? base64Decode($request->compel_announcement) : $request->compel_announcement;
                    $checkId            = Announcement::where('id', $id)->where(function($query) use($companyId) {
                        $query->where(function($q) {
                            $q->whereNull('company_id');
                        })->orWhere(function($q) use($companyId){
                            $q->whereNotNUll('company_id')
                                ->whereRaw('FIND_IN_SET("'.$companyId.'",company_id)');
                        });
                    })->count();
                    if($checkId == 0){
                        notification('error', $error_msg);
                        return redirect()->route('company.admin.home');
                    }
                }elseif(Str::contains($url, 'announcement') && isset($request->announcement)){
                    $id                 = (base64Decode($request->announcement) != "") ? base64Decode($request->announcement) : $request->announcement;
                    $checkId            = Announcement::where('id', $id)->where(function($query) use($companyId) {
                        $query->where(function($q) {
                            $q->whereNull('company_id');
                        })->orWhere(function($q) use($companyId){
                            $q->whereNotNUll('company_id')
                                ->whereRaw('FIND_IN_SET("'.$companyId.'",company_id)');
                        });
                    })->count();
                    if($checkId == 0){
                        notification('error', $error_msg);
                        return redirect()->route('company.admin.home');
                    }
                }
            }
        }

        return $next($request);
    }
}

