<?php

namespace App\Http\Requests\Admin;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Request;

class CompanyUpdateRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules(Request $request)
    {
        $id                     = $request->segment(3);
        return [
            'company_id'        => 'required|regex:/^[a-zA-Z0-9]+$/|unique:companies,unique_id,'.$id.',id,deleted_at,NULL',
            'name'              => 'required',
            'first_name'        => 'required',
            'last_name'         => 'required',
            'address'           => 'required',
            'state'             => 'required',
            'zip'               => 'required',
            'timezone_abbr'     => 'required',
            'email'             => 'required|email|unique:company_admins,email,'.$id.',company_id,deleted_at,NULL',
            'phone'             => 'nullable|regex:/^\(?[0-9]{3}\)?[-. ]?[0-9]{3}[-. ]?[0-9]{4}$/',
            //'trimble_api_key'   => 'nullable|unique:companies,trimble_api_key,'.$id.',id,deleted_at,NULL'
        ];
    }

    /**
     * Custom message for validation
     *
     * @return array
     */
    public function messages()
    {
        return [
            'name.required' => 'The company name field is required.',
            'phone.size' => 'The phone must be 10 digits.',
        ];
    }
}
