<?php

namespace App\Http\Requests\CompanyAdmin;

use Illuminate\Foundation\Http\FormRequest;

class ManagerStoreRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            //'role_id'     => 'required',
            'first_name'    => 'required',
            'last_name'     => 'required',
            'address'       => 'required',
            'start_date'    => 'required',
            'email'         => 'required|email|unique:company_admins,email,NULL,id,deleted_at,NULL',
            'password'      => 'required',
            'cell_phone'    => 'nullable|required_if:sms,1|size:14',
            'home_phone'    => 'nullable|size:14',
            'text_number'   => 'nullable|size:14',
        ];
    }

    /**
     * Custom message for validation
     *
     * @return array
     */
    public function messages()
    {
        return [
            'cell_phone.size' => 'The cell phone must be 10 digits.',
            'cell_phone.required_if' => 'The cell phone is required when sms is active.',
            'home_phone.size' => 'The home phone must be 10 digits.',
            'text_number.size' => 'The text number must be 10 digits.',
        ];
    }
}
