<?php

namespace App\Listeners;

use App\Models\EmailLog;
use Carbon\Carbon;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Queue\InteractsWithQueue;

class LogSentMessage
{
    /**
     * Create the event listener.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Handle the event.
     *
     * @param  object  $event
     * @return void
     */
    public function handle($event)
    {
        if(auth()->guard('company-admin')->check()){
            EmailLog::create([
                'company_id' => auth()->guard('company-admin')->user()->company_id ?? null,
                'user_id' => auth()->guard('company-admin')->user()->id ?? null,
                'from' => key($event->message->getFrom()) ?? null,
                'to' => key($event->message->getTo()) ?? null,
                'subject' => $event->message->getSubject() ?? null,
                'content' => $event->message->getBody() ?? null,
                'sent_date' => Carbon::now()->format('Y-m-d H:i:s'),
                'status' => '1',
            ]);
        }
    }

    private function parseBodyText($body): string
    {
        return preg_replace('~[\r\n]+~', '<br>', $body);
    }
}
