<?php

namespace App\Mail\Admin;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class WelcomeMailToAdmin extends Mailable
{
    use Queueable, SerializesModels;

    public $data;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($data)
    {
       $this->data = $data;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        $loginLink = route('admin.login');

        return $this->subject('Welcome to Dispatch Pro')
                    ->markdown('emails.admin.welcomeAdmin')
                    ->with(
                        [
                           'data' => $this->data,
                           'login_link' => $loginLink,
                        ]
                    );
    }
}
