<?php

namespace App\Mail\CompanyAdmin;

use App\Models\CompanyEmailTemplate;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Support\Facades\Log;

class CreateLeave extends Mailable
{
    use Queueable, SerializesModels;

    public $data;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($data)
    {
       $this->data = $data;
       $this->data['app_name'] = config('app.name');
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        /*
        return $this->subject('Leave Request')
                    ->markdown('emails.companyAdmin.leaveRequest')
                    ->with(
                        [
                           'data' => $this->data,
                        ]
                    );
        */

        try {
            $getTemplate = CompanyEmailTemplate::where('company_id', $this->data['company_id'])->where('title', 'Create Leave')->first();

            if(!is_null($getTemplate)){
                $subject = $getTemplate->subject;
                $emailTemplate = getCompanyEmailTemplate($getTemplate);
                $emailTemplate = str_replace(
                    [
                        '{%hiname%}',
                        '{%name%}',
                        '{%email%}',
                        '{%phone%}',
                        '{%leave_date%}',
                        '{%day_count%}',
                        '{%comment%}',
                        '{%app_name%}'
                    ],
                    [
                        $this->data['hiname'] ?? '',
                        $this->data['name'] ?? '',
                        $this->data['email'] ?? '',
                        $this->data['phone'] ?? '',
                        $this->data['leave_date'] ?? '',
                        $this->data['day_count'] ?? '',
                        $this->data['comment'] ?? '',
                        $this->data['app_name'] ?? ''
                    ],
                    $emailTemplate
                );

                return $this->subject($subject)->html($emailTemplate);
            }
        } catch (\Exception $e) {
            // Handle other exceptions
            Log::error($e->getMessage());

            return $e->getMessage();
        }
    }
}
