<?php

namespace App\Mail\CompanyAdmin;

use App\Models\CompanyEmailTemplate;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Support\Facades\Log;

class NotificationMailToDispatcher extends Mailable
{
    use Queueable, SerializesModels;

    public $data;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($data)
    {
       $this->data              = $data;
       $this->data['app_name']  = config('app.name');
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        /*
        return $this->subject('On Hold - Notification')
            ->markdown('emails.companyAdmin.notificationMailToDispatcher')
            ->with(
                [
                   'data' => $this->data,
                ]
            );
        */

        try {
            $getTemplate        = CompanyEmailTemplate::where('company_id', $this->data['company_id'])->where('title', 'Notification Mail To Dispatcher')->first();

            if(!is_null($getTemplate)){
                $load_data      = '';
                foreach ($this->data['senddata'] as $loaddata){
                    $load_data .= '<p style="margin-bottom: 5px;"><strong>Load Status : </strong> On Hold</p>';
                    if(!empty($loaddata['load_number'])){
                        $load_data .= '<p style="margin-bottom: 5px;"><strong>Load Number : </strong> '.$loaddata['load_number'].'</p>';
                    }
                    $load_data .= '<p style="margin-bottom: 5px;"><strong>Driver Name : </strong> '.$loaddata['driver_name'].'</p>';
                    $load_data .= '<p style="margin-bottom: 5px;"><strong>Reason : </strong> '.$loaddata['notification_reason'].'</p>';
                    $load_data .= '<p style="margin-bottom: 5px;"><strong>Notes : </strong> '.$loaddata['reason_on_hold'].'</p>';
                    $load_data .= '<p style="margin-bottom: 5px;"><strong>How long its been on hold : </strong> '.$loaddata['diff_hours'].'</p>';
                    $load_data .= '<br>';
                }

                $subject        = $getTemplate->subject;
                $emailTemplate  = getCompanyEmailTemplate($getTemplate);
                $emailTemplate  = str_replace(
                    [
                        '{%name%}',
                        '{%load_data%}',
                        '{%app_name%}'
                    ],
                    [
                        $this->data['name'] ?? '',
                        $load_data,
                        $this->data['app_name'] ?? ''
                    ],
                    $emailTemplate
                );

                return $this->subject($subject)->html($emailTemplate);
            }
        } catch (\Exception $e) {
            // Handle other exceptions
            Log::error($e->getMessage());

            return $e->getMessage();
        }
    }
}
