<?php

namespace App\Mail\CompanyAdmin;

use App\Models\CompanyEmailTemplate;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Support\Facades\Log;

class WelcomeMailToManager extends Mailable
{
    use Queueable, SerializesModels;

    public $data;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($data)
    {
       $this->data = $data;
       $this->data['app_name'] = config('app.name');
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        /*
        $loginLink = route('company.admin.login');

        return $this->subject('Welcome to Dispatch Pro')
                    ->markdown('emails.companyAdmin.welcomeManager')
                    ->with(
                        [
                           'data' => $this->data,
                           'login_link' => $loginLink,
                        ]
                    );
        */

        try {
            $loginLink = route('company.admin.login');

            $getTemplate = CompanyEmailTemplate::where('company_id', $this->data['company_id'])->where('title', 'Welcome Mail To Manager')->first();

            if(!is_null($getTemplate)){
                $subject = $getTemplate->subject;
                $emailTemplate = getCompanyEmailTemplate($getTemplate);
                $emailTemplate = str_replace(
                    [
                        '{%name%}',
                        '{%email%}',
                        '{%password%}',
                        '{%login_link%}',
                        '{%app_name%}'
                    ],
                    [
                        $this->data['name'] ?? '',
                        $this->data['email'] ?? '',
                        $this->data['password'] ?? '',
                        $loginLink ?? '',
                        $this->data['app_name'] ?? ''
                    ],
                    $emailTemplate
                );

                return $this->subject($subject)->html($emailTemplate);
            }
        } catch (\Exception $e) {
            // Handle other exceptions
            Log::error($e->getMessage());

            return $e->getMessage();
        }
    }
}
