<?php

namespace App\Mail;

use App\Models\CompanyEmailTemplate;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Support\Facades\Log;

class LoadDocumentRequestDriver extends Mailable
{
    use Queueable, SerializesModels;

    public $details;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($details)
    {
        $this->details  = $details;
        $this->details['app_name'] = config('app.name');
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        /*
        return $this->subject('Dispatch Pro - Document Request for load number: '.$this->details['load_number'])
            ->markdown('emails.loadDocumentRequest.driver')
            ->with([
                'details'   => $this->details,
                'link'      => route('driver.admin.loads.show', base64Encode($this->details['load_detail_id']))
            ]);
        */

        try {
            $link = route('driver.admin.loads.show', base64Encode($this->details['load_detail_id']));

            $getTemplate = CompanyEmailTemplate::where('company_id', $this->details['company_id'])->where('title', 'Load Document Request Driver')->first();

            if(!is_null($getTemplate)){
                $subject = str_replace('{%load_number%}', $this->details['load_number'], $getTemplate->subject);
                $emailTemplate = getCompanyEmailTemplate($getTemplate);
                $loadDocuments = '';
                foreach ($this->details['documents'] as $document){
                    $loadDocuments .= $document.' <br>';
                }

                $emailTemplate = str_replace(
                    [
                        '{%load_number%}',
                        '{%full_name%}',
                        '{%documents%}',
                        '{%link%}',
                        '{%app_name%}',
                    ],
                    [
                        $this->details['load_number'] ?? '',
                        $this->details['full_name'] ?? '',
                        $loadDocuments,
                        $link ?? '',
                        $this->details['app_name'] ?? ''
                    ],
                    $emailTemplate
                );

                return $this->subject($subject)->html($emailTemplate);
            }
        } catch (\Exception $e) {
            // Handle other exceptions
            Log::error($e->getMessage());

            return $e->getMessage();
        }
    }
}
