<?php

namespace App\Models;

use Carbon\Carbon;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

use Illuminate\Database\Eloquent\SoftDeletes;

class Announcement extends Model
{
    use HasFactory, SoftDeletes;

    protected $table    = 'announcements';
    protected $fillable = [
        'name', 'description', 'company_id', 'show_up', 'notify', 'module', 'status', 'show_on_top', 'bg_color', 'sticky', 'start_view', 'end_view', 'created_at', 'updated_at', 'deleted_at', 'created_by', 'updated_by', 'deleted_by'
    ];
    public $timestamps  = false;
    protected $dates   	= ['deleted_at'];

    public function getStartViewAttribute($value): ?string{
        return !is_null($value) ? convertTimeToUSERzone(['str' => $value,'toFormat' => getTimeLayout(),'fromFormat' => 'Y-m-d H:i:s']) : NULL;
    }

    public function setStartViewAttribute($value): ?string{
        return $this->attributes['start_view'] = !is_null($value) ? convertTimeToUTCzone(['str' => $value,'toFormat' => 'Y-m-d H:i:s','fromFormat' => getTimeLayout()]) : NULL;
    }

    public function getEndViewAttribute($value): ?string{
        return !is_null($value) ? convertTimeToUSERzone(['str' => $value,'toFormat' => getTimeLayout(),'fromFormat' => 'Y-m-d H:i:s']) : NULL;
    }

    public function setEndViewAttribute($value): ?string{
        return $this->attributes['end_view'] = !is_null($value) ? convertTimeToUTCzone(['str' => $value,'toFormat' => 'Y-m-d H:i:s','fromFormat' => getTimeLayout()]) : NULL;
    }
}
