<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

use Illuminate\Database\Eloquent\SoftDeletes;

class BrokerContact extends Model
{
    use HasFactory, SoftDeletes;

    protected $table    = 'broker_contacts';
    protected $fillable = [
        'source',
        'action_id',
        'office_id',
        'department',
        'name',
        'first_name',
        'last_name',
        'phone_number',
        'cell_number',
        'ext',
        'email',
        'preferred_connections',
        'primary_contact',
        'primary_contact_id',
        'include_department_address',
        'is_invite',
        'created_at',
        'created_by',
        'updted_at',
        'updaated_by',
        'deleted_at'
    ];

    protected $dates    = ['deleted_at'];

    public function broker(){
        return $this->hasOne(Broker::class, 'id', 'action_id')->where('source', 'broker')->withTrashed();
    }
}
