<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

use Illuminate\Database\Eloquent\SoftDeletes;
use App\Models\CompanyAdmin;

class Company extends Model
{
    use HasFactory, SoftDeletes;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'unique_id',
        'name',
        'address',
        'address_2',
        'city',
        'state',
        'zip',
        'latitude',
        'longitude',
        'timezone',
        'timezone_offset',
        'timezone_abbr',
        'address_verified',
        'phone',
        'logo',
        'email_logo',
        'billing_information',
        'contact_information',
        'session_lifetime',
        'oos_equipment',
        'oos_driver',
        'trimble_api_key',
        'twilio_sid',
        'twilio_auth_token',
        'twilio_active_number',
        'shortname',
        'sms_limit_type',
        'sms_limit',
        'sms_last_added',
        'monthly_limit',
    ];

    /*
     * Relationships
     */
    public function company_admin()
    {
        return $this->hasOne(CompanyAdmin::class);
    }

    public function drivers()
    {
        return $this->hasMany(Driver::class);
    }
}
