<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Carbon\Carbon;

class CompanyAdminStatusLog extends Model
{

    protected $table    	= 'company_admin_status_logs';
    protected $fillable 	= [
        'company_id', 'company_admin_id', 'type', 'status_id'
    ];



    public function companyAdmins(){
        return $this->hasOne(CompanyAdmin::class,'id','company_admin_id')->withTrashed();
    }

    public function getCreatedAtAttribute($value): ?string {
        return !is_null($value) ? Carbon::parse($value)->format(getTimeLayout()) : null;
    }
   
}
