<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Customer extends Model
{
    use HasFactory, SoftDeletes;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'company_id',
        'name',
        'type',
        'location',
        'address',
        'address2',
        'city',
        'state',
        'zip',
        'latitude',
        'longitude',
        'timezone',
        'timezone_offset',
        'timezone_abbr',
        'address_verified',
        'phone',
        'extension',
        'fax',
        'email',
        'account',
        'federal_id',
        'mc_number',
        'usdot',
        'scac',
        'business_account_no',
        'business_account_type',
        'dispatch_contact',
        'ap_contact',
        'other_contact',
        'bill_to',
        'invoice_method',
        'invoicing_email',
        'factored',
        'bill_of_lading',
        'delivery_receipt',
        'purchase_order',
        'lumper_receipts',
        'packing_slip',
        'scale_ticket',
        'bill_of_lading_type',
        'delivery_receipt_type',
        'purchase_order_type',
        'lumper_receipts_type',
        'packing_slip_type',
        'scale_ticket_type',

        'shipper_files',
        'consignee_files'
    ];

    /*
     * Scopes
     */
    public function scopeIsCompany($query)
    {
        return $query->where('company_id', auth()->guard('company-admin')->user()->company_id);
    }
}
