<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class DispatchHubSetting extends Model
{
    use HasFactory;

    protected $table    = 'dispatch_hub_settings';
    protected $fillable = [
        'company_id', 'company_admins_id', 'filters', 'merge_compact_view', 'guard_name', 'created_at', 'updated_at'
    ];

    public function scopeIsCompany($query)
    {
        return $query->where('company_id', auth()->guard('company-admin')->user()->company_id);
    }

    public function scopeIsCompanyAdmin($query)
    {
        return $query->where('company_id', auth()->guard('company-admin')->user()->company_id)->where('company_admins_id', auth()->guard('company-admin')->user()->id);
    }

    public function company()
    {
        return $this->belongsTo(Company::class);
    }

    public function companyAdmin()
    {
        return $this->belongsTo(CompanyAdmin::class,'company_admins_id','id')->withTrashed();
    }
}
