<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Carbon\Carbon;

class DriverAccident extends Model
{
    use HasFactory, SoftDeletes;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'driver_id', 'title', 'date', 'report_number', 'type', 'other', 'load_number', 'state', 'injury', 'fault', 'drug_Test', 'file_on_insurance', 'damage_estimate', 'note', 'image'
    ];

    /*
     * Mutators
     */
    public function setDateAttribute($value): ?string
    {
        return $this->attributes['date'] = Carbon::createFromFormat(config('settings.date_format','m/d/Y'),$value)->format('Y-m-d H:i:s');
    }


    /*
     * Accessors
     */
    public function getDateAttribute($value): ?string
    {
        return Carbon::parse($value)->format(config('settings.date_format','m/d/Y'));
    }
}
