<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class DriverInformation extends Model
{
    use HasFactory, SoftDeletes;

    protected $table = 'driver_informations';

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'driver_id', 'truck_number', 'carrier_id','terminal_id', 'vehicle_type', 'trailer_type', 'joining_trailer_program', 'pets', 'weekly', 'passenger', 'smoke', 'twic', 'tanker', 'htc_seasonal', 'htc_average', 'wgrr_seasonal', 'wgrr_average', 'wgrr_slump', 'wgrr_goals', 'wmr_seasonal', 'wmr_average', 'wcpmr_low', 'wcpmr_high', 'dtmpr_low', 'dtmpr_high', 'dtmpr_maintenance', 'mw_full_tank', 'mw_half_tank', 'at_gross', 'at_mileage', 'at_cpm', 'occupancy_commitment', 'trailer_number'
    ];

    public function trailer()
    {
        return $this->hasOne(Trailer::class,'trailer_id','trailer_number');
    }

    public function carrier()
    {
        return $this->hasOne(Carrier::class,'id','carrier_id');
    }

    public function truck()
    {
        return $this->hasOne(Truck::class,'unit','truck_number');
    }

    public function terminal()
    {
        return $this->hasOne(Terminal::class,'id','terminal_id');
    }

}
