<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class FuelSurchargeTemplate extends Model
{
    use HasFactory;

    protected $fillable = [
        'company_id', 'fuel_type', 'region', 'rate_type', 'start_price', 'ending_price', 'price_change', 'base_percentage', 'percentage_change', 'per_mile_start', 'per_mile_change', 'customer', 'customer_file_name'
    ];

    public function scopeIsCompany($query)
    {
        return $query->where('company_id', auth()->guard('company-admin')->user()->company_id);
    }
}
