<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Carbon\Carbon;

class GalleryDocument extends Model
{
    use HasFactory;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $table = 'gallery_documents';

    protected $fillable = ['company_id','gallery_document_name_id','created_by','requested_by','approved_by','file_name','file_type','document','requires_approval','notes','date','access','status','created_by_type','requested_by_type','approved_by_type'];

    /*
     * Scopes
     */
    public function scopeIsCompany($query)
    {
        return $query->where('company_id', auth()->guard('company-admin')->user()->company_id);
    }

}
