<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;
use App\Models\CompanyAdmin;
use App\Models\Driver;
use DB;

class IntegrationSetting extends Model
{
    use HasFactory;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'company_id', 'carrier_id', 'api_key', 'app_center_id','sync_drivers','sync_vehicles','sync_trailers'
    ];

    public function scopeCompany($query)
    {
        return $query->where('company_id', auth()->guard('company-admin')->user()->company_id);
    }


}
