<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

use Illuminate\Database\Eloquent\SoftDeletes;

class LoadAccessorialTemp extends Model
{
    use HasFactory, SoftDeletes;

    protected $table        = 'load_accessorial_temps';
    protected $fillable     = [
    	'unique_id',
    	'load_id',
        'load_detail_id',
        'load_stop_id',
        'random_id',
        'type',
        'is_stop',

        'company_accessorial_id',
        'paid_by',
        'charge_deduct',
        'paid_type',
        'reference',

        'doc_required',
        'qty',
        'rate',
        'total',

        'owner_liable',
        'owner_id',
        'owner_type',
        'owner_pay_deduct',
        'owner_qty',
        'owner_rate',
        'owner_total',

        'driver_liable',
        'driver_id',
        'pay_deduct',
        'driver_qty',
        'driver_rate',
        'driver_total',

        'notes',
        'files',
        'is_received',
        'is_deduction',
        'status',

        'created_at',
        'updated_at',
        'deleted_at',

        'created_by'
    ];

    protected $dates   	    = ['deleted_at'];
    // public $timestamps   = false;

    /*
     * Mutators
     */
    public function setRateAttribute($value){
        $valueWithoutCommas                 = null;
        if(!is_null($value)){
            // Remove commas from the value
            $valueWithoutCommas             = str_replace(',', '', $value);
            $valueWithoutCommas             = (float) $valueWithoutCommas;
        }
        $this->attributes['rate']           = $valueWithoutCommas;
    }

    public function setTotalAttribute($value){
        $valueWithoutCommas                 = null;
        if(!is_null($value)){
            // Remove commas from the value
            $valueWithoutCommas             = str_replace(',', '', $value);
            $valueWithoutCommas             = (float) $valueWithoutCommas;
        }
        $this->attributes['total']          = $valueWithoutCommas;
    }

    public function setOwnerRateAttribute($value){
        $valueWithoutCommas                 = null;
        if(!is_null($value)){
            // Remove commas from the value
            $valueWithoutCommas             = str_replace(',', '', $value);
            $valueWithoutCommas             = (float) $valueWithoutCommas;
        }
        $this->attributes['owner_rate']     = $valueWithoutCommas;
    }

    public function setOwnerTotalAttribute($value){
        $valueWithoutCommas                 = null;
        if(!is_null($value)){
            // Remove commas from the value
            $valueWithoutCommas             = str_replace(',', '', $value);
            $valueWithoutCommas             = (float) $valueWithoutCommas;
        }
        $this->attributes['owner_total']    = $valueWithoutCommas;
    }

    public function setDriverRateAttribute($value){
        $valueWithoutCommas                 = null;
        if(!is_null($value)){
            // Remove commas from the value
            $valueWithoutCommas             = str_replace(',', '', $value);
            $valueWithoutCommas             = (float) $valueWithoutCommas;
        }
        $this->attributes['driver_rate']    = $valueWithoutCommas;
    }

    public function setDriverTotalAttribute($value){
        $valueWithoutCommas                 = null;
        if(!is_null($value)){
            // Remove commas from the value
            $valueWithoutCommas             = str_replace(',', '', $value);
            $valueWithoutCommas             = (float) $valueWithoutCommas;
        }
        $this->attributes['driver_total']   = $valueWithoutCommas;
    }

    /*
     * Relationships
     */
    public function company_accessorial(){
        return $this->belongsTo(CompanyAccessorial::class);
    }

    public function driver(){
        return $this->hasOne(Driver::class,'id','driver_id')->withTrashed();
    }

    public function creator(){
        return $this->hasOne(CompanyAdmin::class,'id','created_by')->withTrashed();
    }
}