<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

use Illuminate\Database\Eloquent\SoftDeletes;

class LoadAppointment extends Model
{
    use HasFactory, SoftDeletes;

    protected $table        = 'load_appointments';
    protected $fillable     = [
    	'broker_id',
        'customer_id',
        'load_detail_id',
        'load_stop_id',
        'type',
        'is_stop',

        'request_date',
        'request_time',
        'confirm_date',
        'confirm_time',

        'emails',
        'phones',
        'confirmation_numbers',

        'reminder_on',
        'reminder_type',
        'reminder_repeat_every',
        'reminder_repeat_date_time',
        'reminder_custom_hours',
        'reminder_status',

        'status',
        'status_at',

        'created_at',
        'updated_at',
        'deleted_at'
    ];

    protected $dates   	    = ['deleted_at'];
    // public $timestamps   = false;

    /*
     * Relationships
     */
    public function broker(){
        return $this->hasOne(Broker::class,'id','broker_id')->withTrashed();
    }

    public function customer(){
        return $this->hasOne(Customer::class,'id','customer_id')->withTrashed();
    }

    public function load_detail(){
        return $this->hasOne(LoadDetail::class,'id','load_detail_id');
    }

    public function stop(){
        return $this->hasOne(LoadStop::class,'id','load_stop_id');
    }

    public function logs(){
        return $this->hasMany(LoadAppointmentLog::class, 'load_appointment_id', 'id');
    }
}
