<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

use Illuminate\Database\Eloquent\SoftDeletes;

class LoadDriver extends Model
{
    use HasFactory, SoftDeletes;

    protected $table        = 'load_drivers';
    protected $fillable     = [
        'load_id',
        'load_detail_id',
        'driver_id',

        'empty_miles',
        'loaded_miles',
        'total_miles',

        'pay_type',
        'gross_wage',
        'unload_pay',
        'tarp_pay',
        'detention',
        'deductions',
        'extra',
        'accessorial',
        'total_bill',

        'pay_percentage',
        'mileage_percentage',
        'pay',
        'miles',

        'created_at',
        'updated_at',
        'deleted_at'
    ];

    protected $dates        = ['deleted_at'];
    // public $timestamps   = false;

    /*
     * Mutators
     */
    public function setEmptyMilesAttribute($value){
        $valueWithoutCommas                 = null;
        if(!is_null($value)){
            // Remove commas from the value
            $valueWithoutCommas             = str_replace(',', '', $value);
            $valueWithoutCommas             = (float) $valueWithoutCommas;
        }
        $this->attributes['empty_miles']    = $valueWithoutCommas;
    }

    public function setLoadedMilesAttribute($value){
        $valueWithoutCommas                 = null;
        if(!is_null($value)){
            // Remove commas from the value
            $valueWithoutCommas             = str_replace(',', '', $value);
            $valueWithoutCommas             = (float) $valueWithoutCommas;
        }
        $this->attributes['loaded_miles']   = $valueWithoutCommas;
    }

    public function setTotalMilesAttribute($value){
        $valueWithoutCommas                 = null;
        if(!is_null($value)){
            // Remove commas from the value
            $valueWithoutCommas             = str_replace(',', '', $value);
            $valueWithoutCommas             = (float) $valueWithoutCommas;
        }
        $this->attributes['total_miles']    = $valueWithoutCommas;
    }

    public function setPayTypeAttribute($value){
        $valueWithoutCommas                 = null;
        if(!is_null($value)){
            // Remove commas from the value
            $valueWithoutCommas             = str_replace(',', '', $value);
            $valueWithoutCommas             = (float) $valueWithoutCommas;
        }
        $this->attributes['pay_type']       = $valueWithoutCommas;
    }

    public function setGrossWageAttribute($value){
        $valueWithoutCommas                 = null;
        if(!is_null($value)){
            // Remove commas from the value
            $valueWithoutCommas             = str_replace(',', '', $value);
            $valueWithoutCommas             = (float) $valueWithoutCommas;
        }
        $this->attributes['gross_wage']     = $valueWithoutCommas;
    }

    public function setUnloadPayAttribute($value){
        $valueWithoutCommas                 = null;
        if(!is_null($value)){
            // Remove commas from the value
            $valueWithoutCommas             = str_replace(',', '', $value);
            $valueWithoutCommas             = (float) $valueWithoutCommas;
        }
        $this->attributes['unload_pay']     = $valueWithoutCommas;
    }

    public function setTarpPayAttribute($value){
        $valueWithoutCommas                 = null;
        if(!is_null($value)){
            // Remove commas from the value
            $valueWithoutCommas             = str_replace(',', '', $value);
            $valueWithoutCommas             = (float) $valueWithoutCommas;
        }
        $this->attributes['tarp_pay']       = $valueWithoutCommas;
    }

    public function setDetentionAttribute($value){
        $valueWithoutCommas                 = null;
        if(!is_null($value)){
            // Remove commas from the value
            $valueWithoutCommas             = str_replace(',', '', $value);
            $valueWithoutCommas             = (float) $valueWithoutCommas;
        }
        $this->attributes['detention']      = $valueWithoutCommas;
    }

    public function setDeductionsAttribute($value){
        $valueWithoutCommas                 = null;
        if(!is_null($value)){
            // Remove commas from the value
            $valueWithoutCommas             = str_replace(',', '', $value);
            $valueWithoutCommas             = (float) $valueWithoutCommas;
        }
        $this->attributes['deductions']     = $valueWithoutCommas;
    }

    public function setTotalBillAttribute($value){
        $valueWithoutCommas                 = null;
        if(!is_null($value)){
            // Remove commas from the value
            $valueWithoutCommas             = str_replace(',', '', $value);
            $valueWithoutCommas             = (float) $valueWithoutCommas;
        }
        $this->attributes['total_bill']     = $valueWithoutCommas;
    }

    public function setPayAttribute($value){
        $valueWithoutCommas                 = null;
        if(!is_null($value)){
            // Remove commas from the value
            $valueWithoutCommas             = str_replace(',', '', $value);
            $valueWithoutCommas             = (float) $valueWithoutCommas;
        }
        $this->attributes['pay']            = $valueWithoutCommas;
    }

    public function setMilesAttribute($value){
        $valueWithoutCommas                 = null;
        if(!is_null($value)){
            // Remove commas from the value
            $valueWithoutCommas             = str_replace(',', '', $value);
            $valueWithoutCommas             = (float) $valueWithoutCommas;
        }
        $this->attributes['miles']          = $valueWithoutCommas;
    }

    /*
     * Relationships
     */
    public function driver(){
        return $this->hasOne(Driver::class,'id','driver_id')->withTrashed();
    }

    public function load_detail(){
        return $this->hasOne(LoadDetail::class,'id','load_detail_id');
    }
}
