<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class LoadFile extends Model
{
    use HasFactory;

    protected $table        = 'load_files';
    protected $fillable     = [
        'load_id',
        'load_file_type_id',
        'filename',
        'document',
        'note',
        'include_w_billing',
        'hide_from_driver',
        'upload_by',
        'upload_user_type'
    ];

    // public $timestamps   = false;

    /*
     * Relationships
     */
    public function company_load_document(){
        return $this->hasOne(CompanyLoadDocument::class,'id','load_file_type_id')->withTrashed();
    }

    public function company_admin(){
        return $this->hasOne(CompanyAdmin::class, 'id', 'upload_by');
    }
}
