<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Carbon\Carbon;

class Notification extends Model
{
    use HasFactory;

    protected $table = 'notifications';
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'company_id', 'module', 'type', 'source', 'action_id', 'name', 'description', 'user_id', 'user_type', 'properties', 'read_at', 'is_unread_delay'
    ];

    public function scopeIsCompany($query)
    {
        return $query->where('company_id', auth()->guard('company-admin')->user()->company_id);
    }

    public function company()
    {
        return $this->belongsTo(Company::class);
    }

    public function getReadAtAttribute($value): ?string
    {
        return !is_null($value) ? Carbon::parse($value)->format(getTimeLayout()) : NULL;
    }


}
