<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Carbon\Carbon;

class TrailerStatusLog extends Model
{

    protected $table    	= 'trailer_status_logs';
    protected $fillable 	= [
        'company_id', 'trailer_id', 'status_id'
    ];



    public function trailer(){
        return $this->hasOne(Trailer::class,'id','trailer_id')->withTrashed();
    }

    public function getCreatedAtAttribute($value): ?string {
        return !is_null($value) ? Carbon::parse($value)->format(getTimeLayout()) : null;
    }
   
}
