<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class TruckDiagnostics extends Model
{
    use HasFactory;

    protected $table = 'truck_diagnostics';

    protected $fillable = [
        'company_id', 'truck_id', 'diagnostic_id', 'display_no', 'is_active'
    ];

    public function scopeIsCompany($query)
    {
        return $query->where('company_id', auth()->guard('company-admin')->user()->company_id);
    }

    public function diagnostic()
    {
        return $this->hasOne(Diagnostics::class, 'id', 'diagnostic_id');
    }
}
