<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Carbon\Carbon;

class TruckMaintenanceLog extends Model
{
    use HasFactory;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'truck_id', 'due_date', 'due_miles', 'completed_date', 'miles_at_completion', 'description', 'waranty_date', 'waranty_miles','is_completed'
    ];

    public function Uploadfile(){
        return $this->hasMany(TruckMaintenanceLogFile::class, 'truck_maintenance_log_id', 'id');
    }

    
    public function setDueDateAttribute($value): ?string
    {
        return $this->attributes['due_date'] = !is_null($value) ? Carbon::createFromFormat(config('settings.date_format','m/d/Y'),$value)->format('Y-m-d') : NULL;
    }
    public function getDueDateAttribute($value): ?string
    {
        return !is_null($value) ? Carbon::parse($value)->format(config('settings.date_format','m/d/Y')) : NULL;
    }

    public function setCompletedDateAttribute($value): ?string
    {
        return $this->attributes['completed_date'] = !is_null($value) ? Carbon::createFromFormat(config('settings.date_format','m/d/Y'),$value)->format('Y-m-d') : NULL;
    }
    public function getCompletedDateAttribute($value): ?string
    {
        return !is_null($value) ? Carbon::parse($value)->format(config('settings.date_format','m/d/Y')) : NULL;
    }

    public function setWarantyDateAttribute($value): ?string
    {
        return $this->attributes['waranty_date'] = !is_null($value) ? Carbon::createFromFormat(config('settings.date_format','m/d/Y'),$value)->format('Y-m-d') : NULL;
    }
    public function getWarantyDateAttribute($value): ?string
    {
        return !is_null($value) ? Carbon::parse($value)->format(config('settings.date_format','m/d/Y')) : NULL;
    }


}
