<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

use Illuminate\Database\Eloquent\SoftDeletes;

class TruckOwner extends Model
{
    use HasFactory, SoftDeletes;

    protected $table    = 'truck_owners';
    protected $fillable = [
        'company_id', 'owner_id', 'name', 'ein', 'created_at', 'updated_at', 'deleted_at'
    ];
    public $timestamps  = false;
    protected $dates   	= ['deleted_at'];

    /*
     * Scopes
     */
    public function scopeIsCompany($query)
    {
        return $query->where('company_id', auth()->guard('company-admin')->user()->company_id);
    }

    public function company()
    {
        return $this->belongsTo(Company::class);
    }
}
