<?php

namespace App\Traits;

use App\Models\LoadAudit;
use App\Models\LoadDetention;

use Carbon\Carbon;
use Illuminate\Support\Str;

trait AuditLoagTrait {

    public function addLoadLog($data){
        if (request()->is('company-admin') || request()->is('company-admin/*')) {
            if(request()->is('company-admin/detention-request/broker/view-at') || request()->is('company-admin/detention-request/broker/save')){
                $url                        = request()->server('HTTP_REFERER');
                $lastPart                   = Str::afterLast($url, '/'); // basename($url);
                if($lastPart!=''){
                    $detention              = LoadDetention::whereId(base64Decode($lastPart))->first();
                    if(!is_null($detention) && isset($detention->broker)){
                        $company_id         = $detention->broker->company_id;
                        $user_id            = $detention->broker_id;
                        $user_type          = 'Broker';
                    }
                }
            }else{
                $company_id                 = auth()->guard('company-admin')->user()->company_id;
                $user_id                    = auth()->guard('company-admin')->user()->id;
                $user_type                  = 'Company Admin';
            }
        }else if (request()->is('driver-admin') || request()->is('driver-admin/*')) {
            $company_id                     = auth()->guard('driver-admin')->user()->company_id;
            $user_id                        = auth()->guard('driver-admin')->user()->id;
            $user_type                      = 'Driver';
        }

        $load                               = new LoadAudit();
        $load->company_id                   = $data['company_id'] ?? $company_id;
        $load->user_id                      = $data['user_id'] ?? $user_id;
        $load->user_type                    = $data['user_type'] ?? $user_type;
        $load->load_id                      = $data['load_id'];
        $load->type                         = $data['type'];
        $load->section                      = $data['section'];
        $load->before_change                = $data['before_change'] ?? "";
        $load->after_change                 = $data['after_change'] ?? "";
        $load->save();
    }

    public function setLoadAudit($loadId, $type, $msg, $changes=[], $oldData=[], $extraData=[]){
        unset($changes['total_bill']);
        unset($changes['temp_is_disable']);
        unset($changes['updated_at']);
        if(isset($changes) && count($changes) > 0){
            $LoadArr            = [
                'load_id'       => $loadId,
                'type'          => $type,
                'section'       => $msg
            ];
            $after_changes      = collect($changes)->keys()->toArray();
            $before_changes     = [];
            $afchanges          = [];
            foreach($changes as $keys=>$ar){
                if(in_array($keys,$after_changes)){
                    $before_changes[$keys]  = $oldData[$keys];
                }
            }

            $changes_array      = [];
            foreach($changes as $key => $data){
                $chesitem       = ['split_date','shipper_date_time','shipper_date_time_end','delivery_date_time','delivery_date_time_end','default_current_time','delivered_date_time','intransit_date_time','actual_shipper_date'];
                if(in_array($key,$chesitem)){
                    $changes_array[$key]    = !is_null($data) ? Carbon::parse($data)->format(getTimeLayout()) : null;
                }else{
                    $changes_array[$key]    = $data;
                }
            }
            $LoadArr['before_change']       = serialize($before_changes);
            $LoadArr['after_change']        = serialize($changes_array);
            if(!empty($extraData)){
                if(isset($extraData['company_id'])){
                    $LoadArr['company_id']  = $extraData['company_id'];
                }
                if(isset($extraData['user_id'])){
                    $LoadArr['user_id']     = $extraData['user_id'];
                }
                if(isset($extraData['user_type'])){
                    $LoadArr['user_type']   = $extraData['user_type'];
                }
            }
            if(count($before_changes) > 0){
                $this->addLoadLog($LoadArr);
            }
        }
    }
}
