<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCompanyAdminsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('company_admins', function (Blueprint $table) {
            $table->id();
            $table->integer('company_id');
            $table->integer('team_id')->nullable();
            $table->string('first_name');
            $table->string('last_name');
            $table->string('middle_name')->nullable();
            $table->string('email')->unique();
            $table->string('password');
            $table->integer('type')->nullable();
            $table->rememberToken();
            $table->string('profile_image')->nullable();
            $table->string('home_phone')->nullable();
            $table->string('cell_phone')->nullable();
            $table->timestamp('start_date')->nullable();
            $table->longText('address');
            $table->boolean('sms')->default(0);
            $table->boolean('allow_login')->default(0);
            $table->longText('notes')->nullable();
            $table->string('extension_number')->nullable();
            $table->string('text_number')->nullable();
            $table->string('after_hours_extension')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('company_admins');
    }
}
