<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDriversTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('drivers', function (Blueprint $table) {
            $table->id();
            $table->integer('team_id')->nullable();
            $table->integer('manager_id')->nullable();
            $table->string('first_name');
            $table->string('last_name');
            $table->string('middle_name')->nullable();
            $table->string('company_name')->nullable();
            $table->string('email');
            $table->string('password');
            $table->integer('user_type')->nullable();
            $table->string('profile_image')->nullable();
            $table->string('home_phone')->nullable();
            $table->string('cell_phone')->nullable();
            $table->string('social')->nullable();
            $table->timestamp('start_date')->nullable();
            $table->longText('address');
            $table->boolean('sms')->default(0);
            $table->boolean('send_welcome_email')->default(0);
            $table->boolean('allow_login')->default(0);
            $table->boolean('dispatch_type')->nullable();
            $table->boolean('ssn_or_ein')->nullable();
            $table->string('ssn')->nullable();
            $table->string('ein')->nullable();
            $table->longText('notes')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('drivers');
    }
}
