<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDriverAccidentsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('driver_accidents', function (Blueprint $table) {
            $table->id();
            $table->integer('driver_id');
            $table->longText('title');
            $table->datetime('date');
            $table->integer('type')->nullable();
            $table->string('other')->nullable();
            $table->string('load_number')->nullable();
            $table->integer('state')->nullable();
            $table->longText('note')->nullable();
            $table->string('image')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('driver_accidents');
    }
}
