<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateLoadDetailsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('load_details', function (Blueprint $table) {
            $table->id();
            $table->integer('load_id');
            $table->integer('driver_id');
            $table->integer('booked_by');
            $table->integer('submitted_by');
            $table->boolean('self_dispatch')->default(0);
            $table->datetime('split_date')->nullable();
            $table->string('load_number')->nullable();
            $table->integer('load_type')->nullable();
            $table->integer('load_status')->default(0);
            $table->boolean('picture_to_drive')->default(0);
            $table->boolean('load_to_omni')->default(0);
            $table->boolean('dispatched')->default(0);
            $table->boolean('loaded')->default(0);
            $table->boolean('delivered')->default(0);
            $table->boolean('shipping_time_range')->default(0);
            $table->datetime('shipper_date_time')->nullable();
            $table->datetime('shipper_date_time_end')->nullable();
            $table->string('shipper_location')->nullable();
            $table->boolean('delivery_time_range')->default(0);
            $table->datetime('delivery_date_time')->nullable();
            $table->datetime('delivery_date_time_end')->nullable();
            $table->string('delivery_location')->nullable();
            $table->string('brokerage_firm')->nullable();
            $table->string('brokerage_mc')->nullable();
            $table->string('rep')->nullable();
            $table->string('phone')->nullable();
            $table->string('ext')->nullable();
            $table->string('weight')->nullable();
            $table->string('temp')->nullable();
            $table->integer('trailer_type')->nullable();
            $table->string('trucking_company')->nullable();
            $table->string('truck_number')->nullable();
            $table->string('trailer_number')->nullable();
            $table->float('empty_miles')->nullable();
            $table->float('loaded_miles')->nullable();
            $table->float('total_miles')->nullable();
            $table->float('agreed_upon_rate')->nullable();
            $table->float('fuel_surcharge_cost_per_mile')->nullable();
            $table->float('fuel_surcharge')->nullable();
            $table->float('line_haul')->nullable();
            $table->float('detention')->nullable();
            $table->float('accessorial')->nullable();
            $table->float('lumper')->nullable();
            $table->float('total_bill')->nullable();
            $table->boolean('paid_by')->nullable();
            $table->longText('notes')->nullable();
            $table->boolean('send_notification')->default(0);
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('load_details');
    }
}
