<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnsInLoadDetailsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_details', function (Blueprint $table) {
            $table->string('shipper_address_one')->after('shipper_location')->nullable();
            $table->string('shipper_address_two')->after('shipper_address_one')->nullable();
            $table->string('shipper_state')->after('shipper_address_two')->nullable();
            $table->string('shipper_city')->after('shipper_state')->nullable();
            $table->string('shipper_zip')->after('shipper_city')->nullable();
            $table->string('delivery_address_one')->after('delivery_location')->nullable();
            $table->string('delivery_address_two')->after('delivery_address_one')->nullable();
            $table->string('delivery_state')->after('delivery_address_two')->nullable();
            $table->string('delivery_city')->after('delivery_state')->nullable();
            $table->string('delivery_zip')->after('delivery_city')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_details', function (Blueprint $table) {
            $table->dropColumn('shipper_address_one');
            $table->dropColumn('shipper_address_two');
            $table->dropColumn('shipper_state');
            $table->dropColumn('shipper_city');
            $table->dropColumn('shipper_zip');
            $table->dropColumn('delivery_address_one');
            $table->dropColumn('delivery_address_two');
            $table->dropColumn('delivery_state');
            $table->dropColumn('delivery_city');
            $table->dropColumn('delivery_zip');
        });
    }
}
