<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddMoreColumnsInLoadDetailsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_details', function (Blueprint $table) {
            $table->integer('preplaned_driver_acknowledgement')->after('is_disable')->default(0);
            $table->integer('sent_to_driver')->after('preplaned_driver_acknowledgement')->default(0);
            $table->datetime('default_current_time')->after('sent_to_driver')->nullable();
            $table->integer('confirmed_driver_acknowledgement')->after('default_current_time')->default(0);
            $table->integer('intransit_driver_acknowledgement')->after('confirmed_driver_acknowledgement')->default(0);
            $table->integer('delivered_delivery_information')->after('intransit_driver_acknowledgement')->default(0);
            $table->datetime('delivered_date_time')->after('delivered_delivery_information')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_details', function (Blueprint $table) {
            $table->dropColumn('preplaned_driver_acknowledgement');
            $table->dropColumn('sent_to_driver');
            $table->dropColumn('default_current_time');
            $table->dropColumn('confirmed_driver_acknowledgement');
            $table->dropColumn('intransit_driver_acknowledgement');
            $table->dropColumn('delivered_delivery_information');
            $table->dropColumn('delivered_date_time');
        });
    }
}
