<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddMoreColumnInLoadDetailsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_details', function (Blueprint $table) {
            $table->string('preplaned_reason_rejected')->after('delivered_date_time')->nullable();
            $table->integer('preplaned_rejected_by')->after('preplaned_reason_rejected')->nullable();
            $table->string('confirmed_reason_rejected')->after('preplaned_rejected_by')->nullable();
            $table->integer('confirmed_rejected_by')->after('confirmed_reason_rejected')->nullable();
            $table->string('in_transit_reason_rejected')->after('confirmed_rejected_by')->nullable();
            $table->integer('in_transit_rejected_by')->after('in_transit_reason_rejected')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_details', function (Blueprint $table) {
            $table->dropColumn('preplaned_reason_rejected');
            $table->dropColumn('confirmed_reason_rejected');
            $table->dropColumn('in_transit_reason_rejected');
            $table->dropColumn('preplaned_rejected_by');
            $table->dropColumn('confirmed_rejected_by');
            $table->dropColumn('in_transit_rejected_by');
        });
    }
}
