<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class DropNotifictionoOnHoldToLoadDetailsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_details', function (Blueprint $table) {
            $table->dropColumn('notifictiono_no_off');
            $table->dropColumn('notifictiono_hours');
        });

        Schema::table('company_admins', function (Blueprint $table) {
            $table->integer('notifictiono_hours')->after('notification')->default(4);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_details', function (Blueprint $table) {
            $table->integer('notifictiono_hours')->after('reason_on_hold')->nullable();
            $table->integer('notifictiono_no_off')->after('reason_on_hold')->default(0);
        });

        Schema::table('company_admins', function (Blueprint $table) {
            $table->dropColumn('notifictiono_hours');
        });


    }
}
