<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddUpdateFieldToReceiversTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('receivers', function (Blueprint $table) {
            $table->string('address')->after('name')->nullable();
            $table->string('address2')->after('address')->nullable();
            $table->string('city')->after('address2')->nullable();
            $table->string('state')->after('city')->nullable();
            $table->string('phone')->after('state')->nullable();
            $table->string('extension')->after('phone')->nullable();
            $table->string('fax')->after('extension')->nullable();
            $table->string('email')->after('fax')->nullable();
            $table->string('account')->after('email')->nullable();
            $table->string('federal_id')->after('account')->nullable();
            $table->string('mc_number')->after('federal_id')->nullable();
            $table->string('usdot')->after('mc_number')->nullable();
            $table->string('scac')->after('usdot')->nullable();
            $table->string('business_account_no')->after('scac')->nullable();
            $table->string('business_account_type')->after('business_account_no')->nullable();
            $table->string('dispatch_contact')->after('business_account_type')->nullable();
            $table->string('ap_contact')->after('dispatch_contact')->nullable();
            $table->string('other_contact')->after('ap_contact')->nullable();
            $table->string('bill_to')->after('other_contact')->nullable();
            $table->string('invoice_method')->after('bill_to')->nullable();
            $table->string('invoicing_email')->after('invoice_method')->nullable();
            $table->string('factored')->after('invoicing_email')->nullable();
            $table->string('bill_of_lading')->after('factored')->nullable();
            $table->string('delivery_receipt')->after('bill_of_lading')->nullable();
            $table->string('purchase_order')->after('delivery_receipt')->nullable();
            $table->string('lumper_receipts')->after('purchase_order')->nullable();
            $table->string('packing_slip')->after('lumper_receipts')->nullable();
            $table->string('scale_ticket')->after('packing_slip')->nullable();
            $table->string('bill_of_lading_type')->after('factored')->nullable();
            $table->string('delivery_receipt_type')->after('bill_of_lading')->nullable();
            $table->string('purchase_order_type')->after('delivery_receipt')->nullable();
            $table->string('lumper_receipts_type')->after('purchase_order')->nullable();
            $table->string('packing_slip_type')->after('lumper_receipts')->nullable();
            $table->string('scale_ticket_type')->after('packing_slip')->nullable();
            $table->string('zip')->after('phone')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('receivers', function (Blueprint $table) {
            $table->dropColumn('address');
            $table->dropColumn('address2');
            $table->dropColumn('city');
            $table->dropColumn('state');
            $table->dropColumn('phone');
            $table->dropColumn('extension');
            $table->dropColumn('fax');
            $table->dropColumn('email');
            $table->dropColumn('account');
            $table->dropColumn('federal_id');
            $table->dropColumn('mc_number');
            $table->dropColumn('usdot');
            $table->dropColumn('scac');
            $table->dropColumn('business_account_no');
            $table->dropColumn('business_account_type');
            $table->dropColumn('dispatch_contact');
            $table->dropColumn('ap_contact');
            $table->dropColumn('other_contact');
            $table->dropColumn('bill_to');
            $table->dropColumn('invoice_method');
            $table->dropColumn('invoicing_email');
            $table->dropColumn('factored');
            $table->dropColumn('bill_of_lading');
            $table->dropColumn('delivery_receipt');
            $table->dropColumn('purchase_order');
            $table->dropColumn('lumper_receipts');
            $table->dropColumn('packing_slip');
            $table->dropColumn('scale_ticket');
            $table->dropColumn('bill_of_lading_type');
            $table->dropColumn('delivery_receipt_type');
            $table->dropColumn('purchase_order_type');
            $table->dropColumn('lumper_receipts_type');
            $table->dropColumn('packing_slip_type');
            $table->dropColumn('scale_ticket_type');
            $table->dropColumn('zip');
        });
    }
}
