<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCustomersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('customers', function (Blueprint $table) {
            $table->id();
            $table->integer('company_id');
            $table->string('name');
            $table->enum('type', ['shipper', 'receiver'])->nullable();
            $table->string('address')->nullable();
            $table->string('address2')->nullable();
            $table->string('city')->nullable();
            $table->string('state')->nullable();
            $table->string('phone')->nullable();
            $table->string('extension')->nullable();
            $table->string('fax')->nullable();
            $table->string('email')->nullable();
            $table->string('account')->nullable();
            $table->string('federal_id')->nullable();
            $table->string('mc_number')->nullable();
            $table->string('usdot')->nullable();
            $table->string('scac')->nullable();
            $table->string('business_account_no')->nullable();
            $table->string('business_account_type')->nullable();
            $table->string('dispatch_contact')->nullable();
            $table->string('ap_contact')->nullable();
            $table->string('other_contact')->nullable();
            $table->string('bill_to')->nullable();
            $table->string('invoice_method')->nullable();
            $table->string('invoicing_email')->nullable();
            $table->string('factored')->nullable();
            $table->string('bill_of_lading')->nullable();
            $table->string('delivery_receipt')->nullable();
            $table->string('purchase_order')->nullable();
            $table->string('lumper_receipts')->nullable();
            $table->string('packing_slip')->nullable();
            $table->string('scale_ticket')->nullable();
            $table->string('bill_of_lading_type')->nullable();
            $table->string('delivery_receipt_type')->nullable();
            $table->string('purchase_order_type')->nullable();
            $table->string('lumper_receipts_type')->nullable();
            $table->string('packing_slip_type')->nullable();
            $table->string('scale_ticket_type')->nullable();
            $table->string('zip')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('customers');
    }
}
