<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddTerminatedFieldToDriversTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('drivers', function (Blueprint $table) {
            $table->date('termination_date')->after('notes')->nullable();
            $table->string('termination_reason')->after('termination_date')->nullable();
            $table->integer('termination_rehire')->after('termination_reason')->nullable();
            $table->integer('termination_equipment')->after('termination_rehire')->nullable();
            $table->string('termination_none')->after('termination_equipment')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('drivers', function (Blueprint $table) {
            $table->dropColumn('termination_date');
            $table->dropColumn('termination_reason');
            $table->dropColumn('termination_rehire');
            $table->dropColumn('termination_equipment');
            $table->dropColumn('termination_none');
        });
    }
}
