<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddNewFieldToDriversTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('drivers', function (Blueprint $table) {
            $table->date('license_exp')->after('notes')->nullable();
            $table->string('license_exp_file')->after('notes')->nullable();
            $table->date('mvr_date')->after('notes')->nullable();
            $table->date('anniversary')->after('notes')->nullable();
            $table->date('medical_cert')->after('notes')->nullable();
            $table->date('birthday')->after('notes')->nullable();
            $table->date('drug_alcohol')->after('notes')->nullable();
            $table->date('next_review')->after('notes')->nullable();
            $table->string('passport_number')->after('notes')->nullable();
            $table->date('passport_expiration')->after('notes')->nullable();
            $table->string('emergency_contact_name')->after('notes')->nullable();
            $table->string('emergency_contact_number')->after('notes')->nullable();
            $table->string('emergency_contact_relationship_to_driver')->after('notes')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('drivers', function (Blueprint $table) {
            $table->dropColumn('license_exp');
            $table->dropColumn('license_number');
            $table->dropColumn('mvr_date');
            $table->dropColumn('anniversary');
            $table->dropColumn('medical_cert');
            $table->dropColumn('birthday');
            $table->dropColumn('drug_alcohol');
            $table->dropColumn('next_review');
            $table->dropColumn('passport_number');
            $table->dropColumn('passport_expiration');
            $table->dropColumn('emergency_contact_name');
            $table->dropColumn('emergency_contact_number');
            $table->dropColumn('emergency_contact_relationship_to_driver');
        });
    }
}
