<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddNewFieldToTrucksTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('trucks', function (Blueprint $table) {
            $table->date('fai_due_date')->after('e_track')->nullable();
            $table->date('due')->after('e_track')->nullable();
            $table->string('license_plate')->after('e_track')->nullable();
            $table->string('license_plate_file')->after('e_track')->nullable();
            $table->date('nyhut_date')->after('e_track')->nullable();
            $table->string('truck_service_mileage')->after('e_track')->nullable();
            $table->date('truck_service_date')->after('e_track')->nullable();
            $table->date('kyu_field')->after('e_track')->nullable();
            $table->date('tag_exp')->after('e_track')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('trucks', function (Blueprint $table) {
            $table->dropColumn('fai_due_date');
            $table->dropColumn('due');
            $table->dropColumn('license_plate');
            $table->dropColumn('license_plate_file');
            $table->dropColumn('nyhut_date');
            $table->dropColumn('truck_service_mileage');
            $table->dropColumn('truck_service_date');
            $table->dropColumn('kyu_field');
            $table->dropColumn('tag_exp');
        });
    }
}
