<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddIntransitDateTimeToLoadDetailsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_details', function (Blueprint $table) {
            $table->integer('intransit_shipping_information')->after('intransit_driver_acknowledgement')->nullable();
            $table->dateTime('intransit_date_time')->after('intransit_shipping_information')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_details', function (Blueprint $table) {
            $table->dropColumn('intransit_shipping_information');
            $table->dropColumn('intransit_date_time');
        });
    }
}
