<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddSyncToIntegrationSettingsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('integration_settings', function (Blueprint $table) {
            $table->enum('sync_trailers',['0','1'])->default('0')->after('api_key');
            $table->enum('sync_vehicles',['0','1'])->default('0')->after('api_key');
            $table->enum('sync_drivers',['0','1'])->default('0')->after('api_key');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('integration_settings', function (Blueprint $table) {
            $table->dropColumn('sync_trailers');
            $table->dropColumn('sync_vehicles');
            $table->dropColumn('sync_drivers');
        });
    }
}
