<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateLeavesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('leaves', function (Blueprint $table) {
            $table->id();
            $table->integer('company_id');
            $table->integer('leave_type_id');
            $table->integer('driver_id')->nullable();
            $table->integer('company_admins_id')->nullable();
            $table->date('from_date');
            $table->date('to_date');
            $table->integer('day_count');
            $table->integer('duration');
            $table->text('comment');
            $table->integer('approved_by_company_admins_id');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('leaves');
    }
}
