<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddDaysFieldToLeaveUserTypesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('leave_user_types', function (Blueprint $table) {
            $table->integer('days_per_year_for_manager_used')->after('leave_type_id')->default(0);
            $table->integer('days_per_year_for_manager')->after('leave_type_id')->default(0);
            $table->integer('days_per_year_for_dispatcher_used')->after('leave_type_id')->default(0);
            $table->integer('days_per_year_for_dispatcher')->after('leave_type_id')->default(0);
            $table->integer('days_per_year_for_driver_used')->after('leave_type_id')->default(0);
            $table->integer('days_per_year_for_driver')->after('leave_type_id')->default(0);
            $table->year('year')->after('leave_type_id'); 
            $table->dropColumn('days_per_year');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('leave_user_types', function (Blueprint $table) {
            $table->dropColumn('days_per_year_for_manager_used');
            $table->dropColumn('days_per_year_for_manager');
            $table->dropColumn('days_per_year_for_dispatcher_used');
            $table->dropColumn('days_per_year_for_dispatcher');
            $table->dropColumn('days_per_year_for_driver_used');
            $table->dropColumn('days_per_year_for_driver');
            $table->dropColumn('year');
            $table->integer('days_per_year')->after('leave_type_id');
        });
    }
}
