<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddCreatedByFieldToLoadNotesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_notes', function (Blueprint $table) {
            $table->integer('created_by')->after('load_id');
            $table->integer('created_by_type')->after('load_id')->comment('Helper::getNotiUserTypeList()');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_notes', function (Blueprint $table) {
            $table->dropColumn('created_by');
            $table->dropColumn('created_by_type');
        });
    }
}
