<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddMoreFieldToBrokersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('brokers', function (Blueprint $table) {
            $table->string('ap_contact_contact_ext')->after('eight_hundred_number')->nullable();
            $table->string('ap_contact_phone')->after('eight_hundred_number')->nullable();
            $table->string('ap_contact_email')->after('eight_hundred_number')->nullable();
            $table->string('ap_contact_name')->after('eight_hundred_number')->nullable();
            $table->string('dispatch_contact_contact_ext')->after('eight_hundred_number')->nullable();
            $table->string('dispatch_contact_phone')->after('eight_hundred_number')->nullable();
            $table->string('dispatch_contact_email')->after('eight_hundred_number')->nullable();
            $table->string('dispatch_contact_name')->after('eight_hundred_number')->nullable();
            $table->integer('lumper_receipts')->after('eight_hundred_number')->default(0);
            $table->integer('purchase_order')->after('eight_hundred_number')->default(0);
            $table->integer('scale_ticket')->after('eight_hundred_number')->default(0);
            $table->integer('delivery_receipt')->after('eight_hundred_number')->default(0);
            $table->integer('packing_slip')->after('eight_hundred_number')->default(0);
            $table->integer('bill_of_lading')->after('eight_hundred_number')->default(0);
            $table->string('factored')->after('eight_hundred_number')->nullable();
            $table->string('billing_method')->after('eight_hundred_number')->nullable();
            $table->string('billing_fax')->after('eight_hundred_number')->nullable();
            $table->string('billing_email')->after('eight_hundred_number')->nullable();
            $table->string('billing_extention')->after('eight_hundred_number')->nullable();
            $table->string('billing_phone')->after('eight_hundred_number')->nullable();
            $table->string('billing_zip')->after('eight_hundred_number')->nullable();
            $table->string('billing_state')->after('eight_hundred_number')->nullable();
            $table->string('billing_city')->after('eight_hundred_number')->nullable();
            $table->string('billing_address_2')->after('eight_hundred_number')->nullable();
            $table->string('billing_address')->after('eight_hundred_number')->nullable();
            $table->string('bill_address_search')->after('eight_hundred_number')->nullable();
            $table->string('bill_to_name')->after('eight_hundred_number')->nullable();
            $table->string('logo')->after('eight_hundred_number')->nullable();
            $table->string('account_type')->after('eight_hundred_number')->nullable();
            $table->string('account_number')->after('eight_hundred_number')->nullable();
            $table->string('scac')->after('eight_hundred_number')->nullable();
            $table->string('usdot')->after('eight_hundred_number')->nullable();
            $table->string('federal_id')->after('eight_hundred_number')->nullable();
            $table->string('fax')->after('eight_hundred_number')->nullable();
            $table->string('email')->after('eight_hundred_number')->nullable();
            $table->string('phone')->after('eight_hundred_number')->nullable();
            $table->string('zip')->after('eight_hundred_number')->nullable();
            $table->string('state')->after('eight_hundred_number')->nullable();
            $table->string('city')->after('eight_hundred_number')->nullable();
            $table->string('address_2')->after('eight_hundred_number')->nullable();
            $table->string('address_search')->after('eight_hundred_number')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('brokers', function (Blueprint $table) {
            $table->dropColumn('ap_contact_contact_ext');
            $table->dropColumn('ap_contact_phone');
            $table->dropColumn('ap_contact_email');
            $table->dropColumn('ap_contact_name');
            $table->dropColumn('dispatch_contact_contact_ext');
            $table->dropColumn('dispatch_contact_phone');
            $table->dropColumn('dispatch_contact_email');
            $table->dropColumn('dispatch_contact_name');
            $table->dropColumn('lumper_receipts');
            $table->dropColumn('purchase_order');
            $table->dropColumn('scale_ticket');
            $table->dropColumn('delivery_receipt');
            $table->dropColumn('packing_slip');
            $table->dropColumn('bill_of_lading');
            $table->dropColumn('factored');
            $table->dropColumn('billing_method');
            $table->dropColumn('billing_fax');
            $table->dropColumn('billing_email');
            $table->dropColumn('billing_extention');
            $table->dropColumn('billing_phone');
            $table->dropColumn('billing_zip');
            $table->dropColumn('billing_state');
            $table->dropColumn('billing_city');
            $table->dropColumn('billing_address_2');
            $table->dropColumn('billing_address');
            $table->dropColumn('bill_address_search');
            $table->dropColumn('bill_to_name');
            $table->dropColumn('logo');
            $table->dropColumn('account_type');
            $table->dropColumn('account_number');
            $table->dropColumn('scac');
            $table->dropColumn('usdot');
            $table->dropColumn('federal_id');
            $table->dropColumn('fax');
            $table->dropColumn('email');
            $table->dropColumn('phone');
            $table->dropColumn('zip');
            $table->dropColumn('state');
            $table->dropColumn('city');
            $table->dropColumn('address_2');
            $table->dropColumn('address_search');
        });
    }
}
