<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateNotesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('notes', function (Blueprint $table) {
            $table->id();
            $table->integer('action_id');
            $table->integer('action_type')->comment('where to upload file. like brocker, cusotmer, manager etc');
            $table->integer('created_by');
            $table->integer('created_by_type')->comment('Helper::getNotiUserTypeList()');
            $table->integer('type');
            $table->integer('request_type');
            $table->longText('note');
            $table->integer('notify_dispatcher')->default(0);
            $table->integer('notify_dirver')->default(0);
            $table->integer('notify_my')->default(0);
            $table->integer('notify_private')->default(0);
            $table->string('notify_private_driver_id')->nullable();
            $table->string('notify_private_company_admin_id')->nullable();
            $table->string('document');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('notes');
    }
}
