<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateNotifiesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('notifies', function (Blueprint $table) {
            $table->id();
            $table->integer('company_id');
            $table->integer('user_id');
            $table->integer('user_type')->comment('Helper::getNotiUserTypeList()');
            $table->integer('action_name_id')->comment('Helper::getActionNameId()');
            $table->integer('email')->default(0);
            $table->integer('sms')->default(0);
            $table->integer('unread_delay')->default(0)->comment('Helper::getUnreadDelay()');
            $table->integer('is_unread_delay')->default(0);
            $table->integer('is_days')->default(0);
            $table->integer('send_anytime')->default(0);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('notifies');
    }
}
