<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddMoreFieldToNotifiesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('notifies', function (Blueprint $table) {
            $table->time('end_time')->after('action_name_id')->nullable();
            $table->time('start_time')->after('action_name_id')->nullable();
            $table->string('days_id')->comment('Helper::getDays()')->after('action_name_id')->nullable();
            $table->integer('resend_unread')->after('is_unread_delay')->nullable();
            $table->renameColumn('is_days', 'is_resend_unread');
            
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('notifies', function (Blueprint $table) {
            $table->dropColumn('start_time');
            $table->dropColumn('end_time');
            $table->dropColumn('days_id');
            $table->dropColumn('resend_unread');
            $table->renameColumn('is_resend_unread', 'is_days');
        });
    }
}
