<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddSessionLifetimeToCompaniesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('companies', function (Blueprint $table) {
            $table->string('logo')->after('phone')->nullable();
            $table->string('email_logo')->after('logo')->nullable();
            $table->string('billing_information')->after('email_logo')->nullable();
            $table->string('contact_information')->after('billing_information')->nullable();
            $table->enum('session_lifetime', ['1 hour', '4 hours', '8 hours', 'Never'])->default('Never')->after('contact_information');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('companies', function (Blueprint $table) {
            $table->dropColumn(['logo','email_logo','billing_information','contact_information','session_lifetime']);
        });
    }
}
