<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTerminalsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('terminals', function (Blueprint $table) {
            $table->id();
            $table->integer('company_id');
            $table->string('name')->nullable();
            $table->string('address_search')->nullable();
            $table->string('address')->nullable();
            $table->string('address_2')->nullable();
            $table->string('city')->nullable();
            $table->string('state')->nullable();
            $table->integer('zip')->nullable();
            $table->string('phone')->nullable();
            $table->string('email')->nullable();
            $table->string('fax')->nullable();
            $table->string('bill_to_name')->nullable();
            $table->string('bill_address_search')->nullable();
            $table->string('billing_address')->nullable();
            $table->string('billing_address_2')->nullable();
            $table->string('billing_city')->nullable();
            $table->string('billing_state')->nullable();
            $table->integer('billing_zip')->nullable();
            $table->string('billing_phone')->nullable();
            $table->string('billing_extention')->nullable();
            $table->string('billing_email')->nullable();
            $table->string('billing_fax')->nullable();
            $table->string('terminal_code')->nullable();
            $table->string('federal_id')->nullable();
            $table->integer('terminal_status')->nullable();
            $table->string('terminal_type')->nullable();
            $table->date('start_date')->nullable();
            $table->string('parent_terminal')->nullable();
            $table->string('documents')->nullable();
            $table->integer('truck_commision')->nullable();
            $table->integer('brokerage_split')->nullable();
            $table->integer('brokerage_minimum_amount')->nullable();
            $table->integer('generate_1099')->nullable();
            $table->string('preferred_settlement_day')->nullable();
            $table->string('bank_name')->nullable();
            $table->string('account_number')->nullable();
            $table->string('routing_number')->nullable();
            $table->string('name_on_account')->nullable();
            $table->string('picture_of_voided_check')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('terminals');
    }
}
