<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddCarrierIdFieldToTerminalsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('terminals', function (Blueprint $table) {
            $table->integer('carrier_id')->nullable()->after('parent_terminal');
        });

        Schema::table('broker_contacts', function (Blueprint $table) {
            $table->renameColumn('broker_id', 'action_id');
            $table->string('source')->nullable()->after('id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('terminals', function (Blueprint $table) {
            $table->dropColumn('carrier_id');
        });

        Schema::table('broker_contacts', function (Blueprint $table) {
            $table->renameColumn('action_id', 'broker_id');
            $table->dropColumn('source');
        });
    }
}
