<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddMoreFieldToGalleriesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('galleries', function (Blueprint $table) {
            $table->integer('created_by')->before('created_at')->nullable();
            $table->integer('created_by_type')->before('created_at')->nullable();
            $table->integer('requested_by')->before('created_at')->nullable();
            $table->integer('requested_by_type')->before('created_at')->nullable();
            $table->integer('approved_by')->nullable()->before('created_at')->nullable();
            $table->integer('approved_by_type')->nullable()->before('created_at')->nullable();
            $table->string('file_name')->before('created_at')->nullable();
            $table->integer('file_type')->nullable()->before('created_at')->nullable();
            $table->enum('requires_approval', ['yes','no'])->default('no')->before('created_at');
            $table->string('notes')->before('created_at')->nullable();
            $table->date('date')->before('created_at')->nullable();
            $table->integer('access')->before('created_at')->nullable();
            $table->enum('status', ['approved', 'pending', 'review'])->default('pending')->before('created_at');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('galleries', function (Blueprint $table) {
            $table->dropColumn('created_by');
            $table->dropColumn('created_by_type');
            $table->dropColumn('requested_by');
            $table->dropColumn('requested_by_type');
            $table->dropColumn('approved_by');
            $table->dropColumn('approved_by_type');
            $table->dropColumn('file_name');
            $table->dropColumn('file_type');
            $table->dropColumn('requires_approval');
            $table->dropColumn('notes');
            $table->dropColumn('date');
            $table->dropColumn('access');
            $table->dropColumn('status');
        });
    }
}
