<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddMoreFiledsToTrailersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('trailers', function (Blueprint $table) {
            $table->string('unladen_weight')->after('trailer_service_date')->nullable();
            $table->string('hubometer')->after('trailer_service_date')->nullable();
            $table->string('tire_size')->after('trailer_service_date')->nullable();
            $table->string('color')->after('trailer_service_date')->nullable();
            $table->string('width')->after('trailer_service_date')->nullable();
            $table->string('deck_height')->after('trailer_service_date')->nullable();
            $table->string('carb_id')->after('trailer_service_date')->nullable();
            $table->string('tracker_provider')->after('trailer_service_date')->nullable();
            $table->string('tracker_id')->after('trailer_service_date')->nullable();
            $table->string('tag_upload_image')->after('trailer_service_date')->nullable();
            $table->string('phys_dam_ins_carrier')->after('trailer_service_date')->nullable();
            $table->date('phys_dam_start_date')->after('trailer_service_date')->nullable();
            $table->date('physical_dam_exp_date')->after('trailer_service_date')->nullable();
            $table->string('insured_value')->after('trailer_service_date')->nullable();
            $table->string('phys_dam_attachment')->after('trailer_service_date')->nullable();
            $table->string('roof_type')->after('trailer_service_date')->nullable();
            $table->string('floor_type')->after('trailer_service_date')->nullable();
            $table->string('suspension_type')->after('trailer_service_date')->nullable();
            $table->string('spread_axie')->after('trailer_service_date')->nullable();
            $table->string('logistics_post')->after('trailer_service_date')->nullable();
            $table->string('drop_trailer_pool')->after('trailer_service_date')->nullable();
            $table->string('vented')->after('trailer_service_date')->nullable();
            $table->string('plated_interior')->after('trailer_service_date')->nullable();
            $table->string('etrack')->after('trailer_service_date')->nullable();
            $table->string('spare_tire_rank')->after('trailer_service_date')->nullable();
            $table->string('onboard_equipment')->after('trailer_service_date')->nullable();
            $table->string('carrier')->after('trailer_service_date')->nullable();
            $table->string('ownership')->after('trailer_service_date')->nullable();
            $table->string('owner_purchase_price')->after('trailer_service_date')->nullable();
            $table->date('owner_purchase_date')->after('trailer_service_date')->nullable();
            $table->string('purchased_new')->after('trailer_service_date')->nullable();
            $table->string('owner_documents')->after('trailer_service_date')->nullable();
            $table->string('leasing_co')->after('trailer_service_date')->nullable();
            $table->date('lease_expiration_date')->after('trailer_service_date')->nullable();
            $table->string('lease_documents')->after('trailer_service_date')->nullable();
            $table->string('lease_agreement_title')->after('trailer_service_date')->nullable();
            $table->string('fai_due_date')->after('trailer_service_date')->nullable();
            $table->string('fai_attachment')->after('trailer_service_date')->nullable();
            $table->string('trailer_interchange')->after('trailer_service_date')->nullable();
            $table->string('trailer_interchange_image')->after('trailer_service_date')->nullable();
            $table->string('depreciated_value')->after('trailer_service_date')->nullable();
            $table->string('current_assigned_truck')->after('trailer_service_date')->nullable();
            $table->string('current_assigned_driver')->after('trailer_service_date')->nullable();
            $table->string('federal_inspection_type')->after('trailer_service_date')->nullable();
            $table->string('federal_inspection_interval')->after('trailer_service_date')->nullable();
            $table->string('last_server_date')->after('trailer_service_date')->nullable();
            $table->string('last_inspection_location')->after('trailer_service_date')->nullable();
            $table->string('next_service_date')->after('trailer_service_date')->nullable();
            $table->string('reefer_current_hours')->after('trailer_service_date')->nullable();
            $table->string('reefer_service_due')->after('trailer_service_date')->nullable();
            $table->string('reefer_last_pm_service')->after('trailer_service_date')->nullable();
            $table->string('reefer_next_pm_service')->after('trailer_service_date')->nullable();
            $table->string('reefer_service_interval_hours')->after('trailer_service_date')->nullable();
            $table->string('reefer_model_number')->after('trailer_service_date')->nullable();
            $table->string('reefer_service_notes')->after('trailer_service_date')->nullable();
            $table->string('in_service_date')->after('trailer_service_date')->nullable();
            $table->longText('equipment_comments')->after('trailer_service_date')->nullable();
            

        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('trailers', function (Blueprint $table) {
            $table->dropColumn('unladen_weight');
            $table->dropColumn('hubometer');
            $table->dropColumn('tire_size');
            $table->dropColumn('color');
            $table->dropColumn('width');
            $table->dropColumn('deck_height');
            $table->dropColumn('carb_id');
            $table->dropColumn('tracker_provider');
            $table->dropColumn('tracker_id');
            $table->dropColumn('tag_upload_image');
            $table->dropColumn('phys_dam_ins_carrier');
            $table->dropColumn('phys_dam_start_date');
            $table->dropColumn('physical_dam_exp_date');
            $table->dropColumn('insured_value');
            $table->dropColumn('phys_dam_attachment');
            $table->dropColumn('roof_type');
            $table->dropColumn('floor_type');
            $table->dropColumn('suspension_type');
            $table->dropColumn('spread_axie');
            $table->dropColumn('logistics_post');
            $table->dropColumn('drop_trailer_pool');
            $table->dropColumn('vented');
            $table->dropColumn('plated_interior');
            $table->dropColumn('etrack');
            $table->dropColumn('spare_tire_rank');
            $table->dropColumn('onboard_equipment');
            $table->dropColumn('carrier');
            $table->dropColumn('ownership');
            $table->dropColumn('owner_purchase_price');
            $table->dropColumn('owner_purchase_date');
            $table->dropColumn('purchased_new');
            $table->dropColumn('owner_documents');
            $table->dropColumn('leasing_co');
            $table->dropColumn('lease_expiration_date');
            $table->dropColumn('lease_documents');
            $table->dropColumn('lease_agreement_title');
            $table->dropColumn('fai_due_date');
            $table->dropColumn('fai_attachment');
            $table->dropColumn('trailer_interchange');
            $table->dropColumn('trailer_interchange_image');
            $table->dropColumn('depreciated_value');
            $table->dropColumn('current_assigned_truck');
            $table->dropColumn('current_assigned_driver');
            $table->dropColumn('federal_inspection_type');
            $table->dropColumn('federal_inspection_interval');
            $table->dropColumn('last_server_date');
            $table->dropColumn('last_inspection_location');
            $table->dropColumn('next_service_date');
            $table->dropColumn('reefer_current_hours');
            $table->dropColumn('reefer_service_due');
            $table->dropColumn('reefer_last_pm_service');
            $table->dropColumn('reefer_next_pm_service');
            $table->dropColumn('reefer_service_interval_hours');
            $table->dropColumn('reefer_model_number');
            $table->dropColumn('reefer_service_notes');
            $table->dropColumn('in_service_date');
            $table->dropColumn('equipment_comments');
            
        });
    }
}
