<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddStatusToLoadStopsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_stops', function (Blueprint $table) {
            $table->string('reason')->after('stop_note')->nullable();
            $table->tinyInteger('status')->default(0)->comment('0=Pending,1=Complete,2=Reject')->after('reason');
            $table->timestamp('status_at')->nullable()->after('status');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_stops', function (Blueprint $table) {
            $table->dropColumn('reason');
            $table->dropColumn('status');
            $table->dropColumn('status_at');
        });
    }
}
