<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddDeliveredDriverAcknowledgementToLoadDetailsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_details', function (Blueprint $table) {
            $table->integer('delivered_driver_acknowledgement')->after('in_transit_rejected_by')->default(0);
            $table->string('delivered_reason_rejected')->after('delivered_driver_acknowledgement')->nullable();
            $table->integer('delivered_rejected_by')->after('delivered_reason_rejected')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_details', function (Blueprint $table) {
            $table->dropColumn('delivered_driver_acknowledgement');
            $table->dropColumn('delivered_reason_rejected');
            $table->dropColumn('delivered_rejected_by');
        });
    }
}
