<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddConsigneeFileFieldToLoadDetailsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('brokers', function (Blueprint $table) {
            $table->longText('shipper_files')->after('lumper_receipts')->nullable();
            $table->longText('consignee_files')->after('lumper_receipts')->nullable();
            $table->decimal('detention_price', 5, 2)->after('lumper_receipts')->nullable()->default(0);
            $table->time('detention_time')->after('lumper_receipts')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('brokers', function (Blueprint $table) {
            $table->dropColumn('shipper_files');
            $table->dropColumn('consignee_files');
            $table->dropColumn('detention_price');
            $table->dropColumn('detention_time');
        });
    }
}
