<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddDetentionStatusToLoadStopsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_stops', function (Blueprint $table) {
            $table->tinyInteger('detension_status')->default(0)->comment('0=Pending,1=Start,2=Stop and Submit,3=Submit for review')->after('status_at');
            $table->datetime('detension_start_time')->nullable()->after('detension_status');
            $table->datetime('detension_end_time')->nullable()->after('detension_start_time');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_stops', function (Blueprint $table) {
            $table->dropColumn(['detension_status','detension_start_time','detension_end_time']);
        });
    }
}
