<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddShipperIsArrivedToLoadDetailsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_details', function (Blueprint $table) {
            $table->tinyInteger('shipper_is_arrived')->default(0)->comment('0=No,1=Yes')->after('shipper_zip');
            $table->datetime('shipper_arrived_at')->nullable()->after('shipper_is_arrived');
            $table->tinyInteger('shipper_detention_status')->default(0)->comment('0=Pending,1=Start,2=Stop and Submit,3=Submit for review')->after('shipper_arrived_at');
            $table->datetime('shipper_detention_start_time')->nullable()->after('shipper_detention_status');
            $table->datetime('shipper_detention_end_time')->nullable()->after('shipper_detention_start_time');

            $table->tinyInteger('delivery_is_arrived')->default(0)->comment('0=No,1=Yes')->after('delivery_zip');
            $table->datetime('delivery_arrived_at')->nullable()->after('delivery_is_arrived');
            $table->tinyInteger('delivery_detention_status')->default(0)->comment('0=Pending,1=Start,2=Stop and Submit,3=Submit for review')->after('delivery_arrived_at');
            $table->datetime('delivery_detention_start_time')->nullable()->after('delivery_detention_status');
            $table->datetime('delivery_detention_end_time')->nullable()->after('delivery_detention_start_time');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_details', function (Blueprint $table) {
            $table->dropColumn(['shipper_is_arrived', 'shipper_arrived_at', 'shipper_detention_status', 'shipper_detention_start_time', 'shipper_detention_end_time','delivery_is_arrived', 'delivery_arrived_at', 'delivery_detention_status', 'delivery_detention_start_time', 'delivery_detention_end_time']);
        });
    }
}
