<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateLoadDetentionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('load_detentions', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('load_detail_id')->nullable();
            $table->unsignedBigInteger('load_stop_id')->nullable();
            $table->tinyInteger('type')->nullable()->comment('1=Pickup,2=Delivery');
            $table->tinyInteger('is_stop')->default(0)->comment('1=Yes,0=No');
            $table->tinyInteger('detention_status')->default(0)->comment('0=Pending,1=Start,2=Stop and Submit,3=Submit for review');
            $table->datetime('detention_start_time')->nullable();
            $table->datetime('detention_end_time')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('load_detentions');
    }
}
