<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateMaintenancesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('maintenances', function (Blueprint $table) {
            $table->id();
            $table->integer('company_id');
            $table->string('name');
            $table->string('status')->default(1);
            $table->datetime('complete_on')->nullable();
            $table->integer('equipment_type')->nullable();
            $table->integer('truck_namber')->nullable();
            $table->integer('trailer_namber')->nullable();
            $table->integer('type')->nullable();
            $table->integer('notify_dispatcher')->nullable();
            $table->integer('notify_driver')->nullable();
            $table->integer('notify_company')->nullable();
            $table->integer('notify_other')->nullable();
            $table->integer('vendor_id')->nullable();
            $table->float('estimated_cost')->nullable();
            $table->float('final_cost')->nullable();
            $table->string('estimated_file')->nullable();
            $table->integer('due_on')->nullable();
            $table->datetime('due_date')->nullable();
            $table->integer('due_miles')->nullable();
            $table->integer('display_on_calendar_dispatcher')->nullable();
            $table->integer('display_on_calendar_driver')->nullable();
            $table->integer('display_on_calendar_company')->nullable();
            $table->integer('display_on_calendar_other')->nullable();
            $table->integer('repeats')->nullable();
            $table->integer('how_often')->nullable();
            $table->integer('created_by');
            $table->string('odometer_reading_at_completion')->nullable();
            $table->integer('warranty')->nullable();
            $table->datetime('warranty_date')->nullable();
            $table->string('warranty_date_file')->nullable();
            $table->integer('warranty_mileage')->nullable();
            $table->string('warranty_mileage_file')->nullable();
            $table->timestamps();
        });
    }


    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('maintenances');
    }
}
