<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class RemoveIsAcknowledgeToLoadDetentionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_detentions', function (Blueprint $table) {
            $table->dropColumn(['is_acknowledge','acknowledged_at','acknowledged_by','is_approve','approved_at','approved_by','is_deny','denied_at','denied_by']);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_detentions', function (Blueprint $table) {
            $table->tinyInteger('is_acknowledge')->default(0)->comment('1=Yes,0=No')->after('review_by');
            $table->datetime('acknowledged_at')->nullable()->after('is_acknowledge');
            $table->unsignedBigInteger('acknowledged_by')->nullable()->after('acknowledged_at');

            $table->tinyInteger('is_approve')->default(0)->comment('1=Yes,0=No')->after('acknowledged_by');
            $table->datetime('approved_at')->nullable()->after('is_approve');
            $table->unsignedBigInteger('approved_by')->nullable()->after('approved_at');

            $table->tinyInteger('is_deny')->default(0)->comment('1=Yes,0=No')->after('approved_by');
            $table->datetime('denied_at')->nullable()->after('is_deny');
            $table->unsignedBigInteger('denied_by')->nullable()->after('denied_at');
        });
    }
}
