<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddDriverCommentToLoadDetentionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_detentions', function (Blueprint $table) {
            $table->float('adjusted_detention_due')->nullable()->after('detention_due');
            $table->tinyInteger('driver_comment_show_to_broker')->default(0)->comment('1=Yes,0=No')->after('adjusted_detention_due');
            $table->text('driver_comment')->nullable()->after('driver_comment_show_to_broker');
            $table->tinyInteger('reviewer_comment_show_to_broker')->default(0)->comment('1=Yes,0=No')->after('driver_comment');
            $table->text('reviewer_comment')->nullable()->after('reviewer_comment_show_to_broker');
            $table->tinyInteger('billing_comment_show_to_broker')->default(0)->comment('1=Yes,0=No')->after('reviewer_comment');
            $table->datetime('is_send_to_broker_at')->nullable()->after('is_send_to_broker');
        });

        Schema::table('load_detentions', function (Blueprint $table) {
            \DB::statement("ALTER TABLE `load_detentions` CHANGE `comment` `comment` TEXT CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `billing_comment_show_to_broker`; ");
            \DB::statement("ALTER TABLE `load_detentions` CHANGE `review_status` `review_status` ENUM('In Progress','In Progress - Acknowledged','Detention Stopped - Pending Approval','In Progress - Sent to broker','In Progress - Seen by broker','Broker Amendment Request','Denied','Completed') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'In Progress';");

            $table->tinyInteger('sent_acknowledgement_to_broker')->default(0)->comment('1=Yes,0=No')->after('comment');
            $table->datetime('sent_acknowledgement_to_broker_at')->nullable()->after('sent_acknowledgement_to_broker');
            $table->longText('acknowledgement_emails')->nullable()->after('sent_acknowledgement_to_broker_at');
            $table->datetime('acknowledged_at')->nullable()->after('acknowledgement_emails');
            $table->unsignedBigInteger('acknowledged_by')->nullable()->after('acknowledged_at');

            $table->datetime('broker_viewed_acknowledgement_at')->nullable()->after('acknowledged_by');
            $table->string('broker_acknowledgement_ip', 64)->nullable()->after('broker_viewed_acknowledgement_at');

            $table->datetime('stopped_at')->nullable()->after('broker_acknowledgement_ip');
            $table->unsignedBigInteger('stopped_by')->nullable()->after('stopped_at');

            $table->datetime('submitted_at')->nullable()->after('stopped_by');
            $table->unsignedBigInteger('submitted_by')->nullable()->after('submitted_at');

            $table->tinyInteger('sent_to_broker')->default(0)->comment('1=Yes,0=No')->after('submitted_by');
            $table->datetime('sent_to_broker_at')->nullable()->after('sent_to_broker');
            $table->longText('sent_to')->nullable()->after('sent_to_broker_at');

            $table->datetime('approved_at')->nullable()->after('sent_to');
            $table->unsignedBigInteger('approved_by')->nullable()->after('approved_at');
            $table->string('approved_ip', 64)->nullable()->after('approved_by');

            $table->datetime('denied_at')->nullable()->after('approved_ip');
            $table->unsignedBigInteger('denied_by')->nullable()->after('denied_at');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_detentions', function (Blueprint $table) {
            $table->dropColumn(['adjusted_detention_due','driver_comment_show_to_broker','driver_comment','reviewer_comment_show_to_broker','reviewer_comment','billing_comment_show_to_broker','is_send_to_broker_at']);
        });

        Schema::table('load_detentions', function (Blueprint $table) {
            \DB::statement("ALTER TABLE `load_detentions` CHANGE `comment` `comment` TEXT CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `broker_review_status_ip`; ");
            \DB::statement("ALTER TABLE `load_detentions` CHANGE `review_status` `review_status` ENUM('Pending','Acknowledged','Sent to broker','Approved','Denied','Request amended by broker') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Pending';");
            $table->dropColumn(['sent_acknowledgement_to_broker','sent_acknowledgement_to_broker_at','acknowledgement_emails','acknowledged_at','acknowledged_by','broker_viewed_acknowledgement_at','broker_acknowledgement_ip','stopped_at','stopped_by','submitted_at','submitted_by','sent_to_broker','sent_to_broker_at','sent_to','approved_at','approved_by','approved_ip','denied_at','denied_by']);
        });
    }
}
