<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDriverNonViolationsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('driver_non_violations', function (Blueprint $table) {
            $table->id();
            $table->integer('driver_id');
            $table->longText('title');
            $table->datetime('date')->nullable();
            $table->date('event_calendar_date')->nullable();
            $table->integer('type')->nullable();
            $table->string('load_number')->nullable();
            $table->integer('state')->nullable();
            $table->longText('note')->nullable();
            $table->string('image')->nullable();
            $table->string('total_weight')->nullable();
            $table->string('severity_weight')->nullable();
            $table->string('time_weight')->nullable();
            $table->string('dataq_image')->nullable();
            $table->string('disciplinary_image')->nullable();
            $table->string('repair_image')->nullable();
            $table->string('citation_image')->nullable();
            $table->string('injury')->nullable();
            $table->string('towed')->nullable();
            $table->string('dot_crash')->nullable();
            $table->string('dataq')->nullable();
            $table->string('certified_returned')->nullable();
            $table->string('disciplinary_action')->nullable();
            $table->string('hazmat_inspection')->nullable();
            $table->string('unit1')->nullable();
            $table->string('unit2')->nullable();
            $table->string('motor_carrier')->nullable();
            $table->time('starttime')->nullable();
            $table->time('endtime')->nullable();
            $table->string('inspection_level')->nullable();
            $table->text('short_description')->nullable();
            $table->enum('status',['incomplete', 'complete'])->default('incomplete');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('driver_non_violations');
    }
}
