<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddShipperTimezoneAbbrToLoadDetailsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_details', function (Blueprint $table) {
            $table->string('shipper_timezone_abbr')->nullable()->after('shipper_zip');
            $table->tinyInteger('shipper_address_verified')->default(0)->comment('1=Yes,0=No')->after('shipper_timezone_abbr');
            $table->string('delivery_timezone_abbr')->nullable()->after('delivery_zip');
            $table->tinyInteger('delivery_address_verified')->default(0)->comment('1=Yes,0=No')->after('delivery_timezone_abbr');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_details', function (Blueprint $table) {
            $table->dropColumn(['shipper_timezone_abbr','shipper_address_verified','delivery_timezone_abbr','delivery_address_verified']);
        });
    }
}
