<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddShipperTimezoneAbbrToOffersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('offers', function (Blueprint $table) {
            $table->string('shipper_address_one')->after('shipper_location')->nullable();
            $table->string('shipper_address_two')->after('shipper_address_one')->nullable();
            $table->string('shipper_state')->after('shipper_address_two')->nullable();
            $table->string('shipper_city')->after('shipper_state')->nullable();
            $table->string('shipper_zip')->after('shipper_city')->nullable();
            $table->string('shipper_timezone_abbr')->nullable()->after('shipper_zip');
            $table->tinyInteger('shipper_address_verified')->default(0)->comment('1=Yes,0=No')->after('shipper_timezone_abbr');

            $table->string('delivery_address_one')->after('delivery_location')->nullable();
            $table->string('delivery_address_two')->after('delivery_address_one')->nullable();
            $table->string('delivery_state')->after('delivery_address_two')->nullable();
            $table->string('delivery_city')->after('delivery_state')->nullable();
            $table->string('delivery_zip')->after('delivery_city')->nullable();
            $table->string('delivery_timezone_abbr')->nullable()->after('delivery_zip');
            $table->tinyInteger('delivery_address_verified')->default(0)->comment('1=Yes,0=No')->after('delivery_timezone_abbr');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('offers', function (Blueprint $table) {
            $table->dropColumn(['shipper_address_one','shipper_address_two','shipper_state','shipper_city','shipper_zip','shipper_timezone_abbr','shipper_address_verified','delivery_address_one','delivery_address_two','delivery_state','delivery_city','delivery_zip','delivery_timezone_abbr','delivery_address_verified']);
        });
    }
}
