<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddShipperTimezoneOffsetToOffersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('offers', function (Blueprint $table) {
            $table->string('shipper_latitude')->nullable()->after('shipper_zip');
            $table->string('shipper_longitude')->nullable()->after('shipper_latitude');
            $table->string('shipper_timezone')->nullable()->after('shipper_longitude');
            $table->string('shipper_timezone_offset')->nullable()->after('shipper_timezone');
            $table->string('delivery_latitude')->nullable()->after('delivery_zip');
            $table->string('delivery_longitude')->nullable()->after('delivery_latitude');
            $table->string('delivery_timezone')->nullable()->after('delivery_longitude');
            $table->string('delivery_timezone_offset')->nullable()->after('delivery_timezone');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('offers', function (Blueprint $table) {
            $table->dropColumn(['shipper_latitude','shipper_longitude','shipper_timezone','shipper_timezone_offset','delivery_latitude','delivery_longitude','delivery_timezone','delivery_timezone_offset']);
        });
    }
}
