<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateReportDriversTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('report_drivers', function (Blueprint $table) {
            $table->id();
            $table->integer('company_id')->index();
            $table->integer('team_id')->index();
            $table->integer('driver_id')->index();
            $table->date('date')->index();
            $table->float('target_cpm', 10, 2)->default(0.0);
            $table->float('target_occupancy', 10, 2)->default(0.0);
            $table->float('target_revenue', 10, 2)->default(0.0);
            $table->float('target_miles', 10, 2)->default(0.0);
            $table->float('actual_revenue', 10, 2)->default(0.0);
            $table->float('actual_mileage', 10, 2)->default(0.0);
            $table->integer('actual_daycount')->default(0);
            $table->integer('actual_totaldays')->default(0);
            $table->timestamps();
        });

        Schema::table('drivers', function (Blueprint $table) {
             $table->integer('is_report_drivers')->default(0)->after('termination_none');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('report_drivers');

        Schema::table('drivers', function (Blueprint $table) {
            $table->dropColumn('is_report_drivers');
        });
    }
}
