<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddAddressVerifiedToCustomersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        \DB::statement("ALTER TABLE `customers` CHANGE `zip` `zip` VARCHAR(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `state`;");

        Schema::table('customers', function (Blueprint $table) {
            $table->string('latitude')->nullable()->after('zip');
            $table->string('longitude')->nullable()->after('latitude');
            $table->string('timezone')->nullable()->after('longitude');
            $table->string('timezone_offset')->nullable()->after('timezone');
            $table->string('timezone_abbr')->nullable()->after('timezone_offset');
            $table->tinyInteger('address_verified')->default(0)->comment('1=Yes,0=No')->after('timezone_abbr');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        \DB::statement("ALTER TABLE `customers` CHANGE `zip` `zip` VARCHAR(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL AFTER `scale_ticket_type`;");

        Schema::table('customers', function (Blueprint $table) {
            $table->dropColumn(['latitude','longitude','timezone','timezone_offset','timezone_abbr','address_verified']);
        });
    }
}
