<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddPayExtraToLoadDriversTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_drivers', function (Blueprint $table) {
            $table->float('empty_miles')->after('driver_id')->nullable();
            $table->float('loaded_miles')->after('empty_miles')->nullable();
            $table->float('total_miles')->after('loaded_miles')->nullable();
            $table->float('pay_type')->after('total_miles')->nullable();
            $table->float('gross_wage')->after('pay_type')->nullable();
            $table->float('unload_pay')->after('gross_wage')->nullable();
            $table->float('tarp_pay')->after('unload_pay')->nullable();
            $table->float('detention')->after('tarp_pay')->nullable();
            $table->float('deductions')->after('detention')->nullable();
            $table->longText('extra')->after('deductions')->nullable();
            $table->float('total_bill')->after('extra')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_drivers', function (Blueprint $table) {
            $table->dropColumn(['empty_miles', 'loaded_miles', 'total_miles', 'pay_type', 'gross_wage', 'unload_pay', 'tarp_pay', 'detention', 'deductions', 'extra', 'total_bill']);
        });
    }
}
