<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDropTrailersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('drop_trailers', function (Blueprint $table) {
            $table->id();
            $table->integer('load_id')->comment("Added loads id");
            $table->integer('stop_number')->comment("Added stop number");
            $table->integer('driver_id')->nullable()->comment("Added driver id");
            $table->string('truck_number')->nullable()->comment("Added truck number");
            $table->string('trailer_number')->nullable()->comment("Added trailer number");
            $table->enum('empty_loaded', ['0', '1'])->comment("0: Loaded, 1: Empty")->nullable();
            $table->enum('drop_at_stop', ['0', '1'])->nullable();
            $table->enum('keep_assigned', ['0', '1'])->nullable();
            $table->dateTime('drop_date')->nullable()->comment("Added datetime");
            $table->enum('user_type', ['1', '2', '3', '4', '5'])->comment("1: Vendors, 2: Carriers, 3: Shippers/Consignees, 4: Brokers, 5: Terminals")->nullable();
            $table->string('loc')->nullable()->comment("If drop_at_stop 0: added user_id else drop_at_stop 1: added stop_number");
            $table->string('add1')->nullable();
            $table->string('add2')->nullable();
            $table->string('city')->nullable();
            $table->string('state')->nullable();
            $table->string('zip')->nullable();
            $table->text('notes')->nullable();
            $table->text('created_by')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('drop_trailers');
    }
}
