<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

use App\Models\TrailerType;
use App\Models\AdminTrailerType;


class InsertDataToAdminTrailerTypesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        DB::table('admin_trailer_types')->insert([
            ['name' => 'Auto Carrier'],
            ['name' => 'B-Train'],
            ['name' => 'Conestoga'],
            ['name' => 'Container'],
            ['name' => 'Conveyor'],
            ['name' => 'Double Drop'],
            ['name' => 'Drop Deck Landoll'],
            ['name' => 'Dump Trailer'],
            ['name' => 'Flatbed'],
            ['name' => 'Hopper Bottom'],
            ['name' => 'Low Boy'],
            ['name' => 'RGN'],
            ['name' => 'Moving Van'],
            ['name' => 'Pneumatic'],
            ['name' => 'Power Only'],
            ['name' => 'Reefer'],
            ['name' => 'Step Deck'],
            ['name' => 'Straight Box Truck'],
            ['name' => 'Stretch Trailer'],
            ['name' => 'Tanker Aluminum'],
            ['name' => 'Tanker Intermodal'],
            ['name' => 'Tanker Steel'],
            ['name' => 'Truck and Trailer'],
            ['name' => 'Van'],
        ]);

        
        TrailerType::truncate();
        $admin_trailer_types = AdminTrailerType::get();
        foreach($admin_trailer_types as $trailer_types) {
            TrailerType::create(['company_id' => 0, 'name' => $trailer_types->name]);
        }

    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        DB::table('admin_trailer_types')->truncate();
        DB::table('trailer_types')->truncate();
    }
}
