<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddShipperIsLeavesToLoadDetailsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_details', function (Blueprint $table) {
            $table->tinyInteger('shipper_is_leaves')->default(0)->comment('0=No,1=Yes')->after('shipper_arrived_at');
            $table->datetime('shipper_leaves_at')->nullable()->after('shipper_is_leaves');

            $table->tinyInteger('delivery_is_leaves')->default(0)->comment('0=No,1=Yes')->after('delivery_arrived_at');
            $table->datetime('delivery_leaves_at')->nullable()->after('delivery_is_leaves');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_details', function (Blueprint $table) {
            $table->dropColumn(['shipper_is_leaves', 'shipper_leaves_at', 'delivery_is_leaves', 'delivery_leaves_at']);
        });
    }
}
