<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateChartOfAccountsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('chart_of_accounts', function (Blueprint $table) {
            $table->id();
            $table->tinyInteger('account_type')->comment('0: Bank, 1: Income, 2: Expense, 3: Equity, 4: Current Asset, 5: Current Liability, 6: Long Term Liability, 7: Cost Of Sales, 8: Accounts Receivable, 9: Accounts Payable, 10: Other Income, 11: Other Expense');
            $table->integer('parent_account')->nullable();
            $table->string('account_name');
            $table->integer('account_number');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('chart_of_accounts');
    }
}
