<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateChatLoadParticipantsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('chat_load_participants', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('chat_load_id');
            $table->unsignedBigInteger('company_id');
            $table->string('unique_id')->comment('ex:company_id_1,manager_1,dispatcher_1,driver_1');
            $table->string('friendly_name')->comment('ex:user name');
            $table->string('sid')->nullable();
            $table->enum('status', ['active','inactive','closed'])->default('active');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('chat_load_participants');
    }
}
