<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddFirstNameToBrokerContactsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('broker_contacts', function (Blueprint $table) {
            $table->string('first_name')->nullable()->after('name');
            $table->string('last_name')->nullable()->after('first_name');
            $table->string('cell_number')->nullable()->after('phone_number');
            $table->string('preferred_connections')->nullable()->comment('1 - Message, 2 - Email, 3 - Phone, 4 - Telephone')->after('email');
            $table->tinyInteger('primary_contact')->default(0)->comment('1=Yes,0=No')->after('preferred_connections');
            $table->string('primary_contact_id')->nullable()->comment('Dispatcher id')->after('primary_contact');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('broker_contacts', function (Blueprint $table) {
            $table->dropColumn(['first_name','last_name','cell_number','preferred_connections','primary_contact','primary_contact_id']);
        });
    }
}
