<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateFuelSurchargeTemplatesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('fuel_surcharge_templates', function (Blueprint $table) {
            $table->id();
            $table->integer('company_id');
            $table->integer('customer')->comment('broker_id');
            $table->string('customer_file_name', 50);
            $table->string('fuel_type', 30);
            $table->string('region', 30);
            $table->enum('rate_type', ['0', '1', '2'])->comment('0: Per Mile, 1: Percentage, 2: Both');
            $table->float('start_price', 10, 2);
            $table->float('ending_price', 10, 2);
            $table->float('price_change', 10, 2);
            $table->float('base_percentage', 10, 2);
            $table->float('percentage_change', 10, 2);
            $table->float('per_mile_start', 10, 2);
            $table->float('per_mile_change', 10, 2);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('fuel_surcharge_templates');
    }
}
