<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddOwnerLiableToLoadAccessorialTempsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_accessorial_temps', function (Blueprint $table) {
            $table->tinyInteger('owner_liable')->default(0)->comment('0=No, 1=Yes')->after('total');
            $table->unsignedBigInteger('owner_id')->nullable()->after('owner_liable');
            $table->tinyInteger('owner_type')->nullable()->comment('1=carriers,2=truck_owners')->after('owner_id');
            $table->tinyInteger('owner_pay_deduct')->default(0)->comment('0=None, 1=Pay, 2=Deduct')->after('owner_type');
            $table->unsignedBigInteger('owner_qty')->nullable()->after('owner_pay_deduct');
            $table->float('owner_rate', 10, 2)->nullable()->after('owner_qty');
            $table->float('owner_total', 10, 2)->nullable()->after('owner_rate');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_accessorial_temps', function (Blueprint $table) {
            $table->dropColumn(['owner_liable','owner_id','owner_type','owner_pay_deduct','owner_qty','owner_rate','owner_total']);
        });
    }
}
