<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddStartDateToLoadDetailsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_details', function (Blueprint $table) {
            $table->date('start_date')->nullable()->after('delivered');
            $table->date('end_date')->nullable()->after('start_date');
            $table->tinyInteger('itemize')->default(0)->comment('1=Yes,0=No')->after('commodity');
            $table->tinyInteger('temp_type')->default(0)->comment('1=°F,0=°C')->after('weight');
            $table->string('sku_number')->nullable()->after('other_number');

            $table->longText('deadhead_mileage_options')->nullable()->after('end_date');

            $table->unsignedBigInteger('shipper_commodity')->nullable()->after('shipper_address_verified');
            $table->float('shipper_stop_value', 8,2)->nullable()->after('shipper_commodity');
            $table->float('shipper_stop_weight', 8,2)->nullable()->after('shipper_stop_value');
            $table->tinyInteger('shipper_reefer_mode')->nullable()->comment('1=Continuous,2=Cycle')->after('shipper_stop_weight');
            $table->tinyInteger('shipper_reefer_temp_type')->default(0)->comment('1=°F,0=°C')->after('shipper_reefer_mode');
            $table->integer('shipper_reefer_temp')->nullable()->after('shipper_reefer_temp_type');
            $table->string('shipper_pickup_number')->nullable()->after('shipper_reefer_temp');
            $table->longText('shipper_dimension')->nullable()->after('shipper_pickup_number');

            $table->unsignedBigInteger('delivery_commodity')->nullable()->after('delivery_address_verified');
            $table->float('delivery_stop_value', 8,2)->nullable()->after('delivery_commodity');
            $table->float('delivery_stop_weight', 8,2)->nullable()->after('delivery_stop_value');
            $table->tinyInteger('delivery_reefer_mode')->nullable()->comment('1=Continuous,2=Cycle')->after('delivery_stop_weight');
            $table->tinyInteger('delivery_reefer_temp_type')->default(0)->comment('1=°F,0=°C')->after('delivery_reefer_mode');
            $table->integer('delivery_reefer_temp')->nullable()->after('delivery_reefer_temp_type');
            $table->string('delivery_pickup_number')->nullable()->after('delivery_reefer_temp');
            $table->longText('delivery_dimension')->nullable()->after('delivery_pickup_number');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_details', function (Blueprint $table) {
            $table->dropColumn([
                'start_date','end_date',
                'itemize','temp_type','sku_number',
                'deadhead_mileage_options',
                'shipper_commodity','shipper_stop_value','shipper_stop_weight','shipper_reefer_mode','shipper_reefer_temp_type','shipper_reefer_temp','shipper_pickup_number','shipper_dimension',
                'delivery_commodity','delivery_stop_value','delivery_stop_weight','delivery_reefer_mode','delivery_reefer_temp_type','delivery_reefer_temp','delivery_pickup_number','delivery_dimension'
            ]);
        });
    }
}
