<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateLoadAppointmentsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('load_appointments', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('broker_id')->nullable();
            $table->unsignedBigInteger('load_detail_id')->nullable();
            $table->unsignedBigInteger('load_stop_id')->nullable();
            $table->tinyInteger('type')->nullable()->comment('1=Pickup,2=Delivery');
            $table->tinyInteger('is_stop')->default(0)->comment('1=Yes,0=No');
            $table->date('request_date')->nullable();
            $table->time('request_time')->nullable();
            $table->longText('emails')->nullable();
            $table->longText('confirmation_numbers')->nullable();

            $table->string('reminder_on')->nullable()->comment('1=Email,2=SMS');
            $table->enum('reminder_type', ['4 Hours', '24 Hours', 'Custom'])->nullable();
            $table->tinyInteger('reminder_repeat_every')->default(0)->comment('1=On,0=Off');
            $table->unsignedInteger('reminder_custom_hours')->nullable();
            $table->tinyInteger('reminder_status')->default(0)->comment('1=On,0=Off');

            $table->text('note')->nullable();
            $table->tinyInteger('status')->default(0)->comment('0=Pending,1=Confirm');
            $table->timestamp('status_at')->nullable();

            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('load_appointments');
    }
}
