<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateLoadTruckOwnersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('load_truck_owners', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('load_id');
            $table->unsignedBigInteger('load_detail_id');
            $table->unsignedBigInteger('driver_id');
            $table->unsignedBigInteger('owner_id')->nullable();
            $table->tinyInteger('owner_type')->nullable()->comment('1=carriers,2=truck_owners');

            $table->float('empty_miles')->nullable();
            $table->float('loaded_miles')->nullable();
            $table->float('total_miles')->nullable();
            $table->float('pay_type')->nullable();
            $table->float('gross_wage')->nullable();
            $table->float('total_bill')->nullable();

            $table->float('pay_percentage')->nullable();
            $table->float('mileage_percentage')->nullable();
            $table->float('pay')->nullable();
            $table->float('miles')->nullable();

            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('load_truck_owners');
    }
}
