<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
class UpdateUserTypeColumnTwoFactorSettingsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('two_factor_settings', function (Blueprint $table) {
            $table->integer('company_id')->nullable()->change();
            $table->integer('user_type')->nullable()->comment('NULL: admin, 0: company-admin, 1: manager, 2: dispatcher, 3: driver-admin')->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('two_factor_settings', function (Blueprint $table) {
            $table->integer('company_id')->change();
            $table->integer('user_type')->comment('0: company-admin, 1: Manager, 2: Dispatcher, 3: Driver')->after('user_id')->change();
        });
    }
}
