<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateLoadAppointmentLogsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('load_appointment_logs', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('load_appointment_id');
            $table->date('date');
            $table->time('time');
            $table->text('note')->nullable();

            $table->unsignedBigInteger('sender_id')->nullable();
            $table->datetime('sent_at')->nullable();

            $table->string('reply_from')->nullable();
            $table->datetime('reply_at')->nullable();

            $table->string('ip_address', 64)->nullable();

            $table->enum('review_user_type', ['Company Admin', 'Broker'])->nullable();
            $table->unsignedBigInteger('review_by')->nullable();
            $table->tinyInteger('review_status')->default(0)->comment('0=Pending,1=Confirm,2=Reject,3=Amended');
            $table->datetime('review_at')->nullable();

            $table->timestamps();
            $table->softDeletes();

            $table->foreign('load_appointment_id')->references('id')->on('load_appointments')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('load_appointment_logs');
    }
}
