<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\Facades\DB;
use Doctrine\DBAL\Types\Types;

class AddRemoveColumnsInDriversTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('drivers', function (Blueprint $table) {
            $table->string('driver_unique_id')->nullable()->after('id');
            $table->dropColumn(['pro_chat_invite', 'pro_chat_id', 'medical_condition']);
            DB::statement("ALTER TABLE `drivers` CHANGE `suffix` `suffix` ENUM('0', '1', '2', '3', '4') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '0: Mr., 1: Mrs., 2: Ms., 3: Miss, 4: Dr.';");
            $table->enum('status', ['0', '1', '2', '3'])->default('0')->comment('0: Active, 1: OOS, 2: Terminate, 3: Rehire')->after('insurance_file');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('drivers', function (Blueprint $table) {
            $table->enum('pro_chat_invite', ['0', '1'])->nullable()->comment('0: No, 1: Yes')->after('fax');
            $table->integer('pro_chat_id')->nullable()->after('eobr_id');
            $table->enum('medical_condition', ['0', '1', '2', '3', '4', '5'])->nullable()->comment('0: Corrective Lenses, 1: Blood Pressure, 2: Diabetes, 3: Hearing Aid, 4: Sleep Apnea, 5: Short Physical')->after('gender');
            $table->string('suffix', 50)->nullable()->change();
            $table->dropColumn(['status', 'driver_unique_id']);
        });
    }
}
