<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

use App\Models\Company;
use App\Models\LoadDocument;
use App\Models\CompanyLoadDocument;

class InsertDataToAdminLoadDocumentsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        LoadDocument::truncate();
        LoadDocument::insert([
            ['name' => 'AP Form', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Bill of Lading', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Billing Instructions', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Cancelled Check', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Carrier Invoice', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Certificate of Insurance', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Claim Images', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Credit References', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Customer Invoice', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Customer Quote', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Customer Rate Confirmation', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Delivery Receipt', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Detention Slip', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Escort', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Estimate', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Freight Bill', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Fuel Receipt', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Invoice', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Layover', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Lumper Receipt', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Packing Slip', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Permits', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Purchase Order', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Scale Receipt', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Scale Ticket', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Set Up Packet', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Toll Receipt', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'TONU', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Trailer Interchange Contract', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Work Order', 'created_at' => now(), 'updated_at' => now()]
        ]);

        CompanyLoadDocument::truncate();
        $getCompnay = Company::get();
        foreach ($getCompnay as $compnay){
            $load_documents = LoadDocument::get();
            foreach($load_documents as $load_document) {
                CompanyLoadDocument::create(['company_id' => $compnay->id, 'name' => $load_document->name]);
            }
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        LoadDocument::truncate();
        CompanyLoadDocument::truncate();
    }
}
