<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddUpdateColumnsForEmergencyContactInDriversTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('drivers', function (Blueprint $table) {
            $table->text('emergency_contact_name')->nullable()->change();
            $table->text('emergency_contact_number')->nullable()->change();
            $table->text('emergency_contact_relationship_to_driver')->nullable()->change();

            $table->text('emergency_address')->nullable()->after('emergency_contact_name');
            $table->text('emergency_home_phone')->nullable()->after('emergency_contact_number');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('drivers', function (Blueprint $table) {
            $table->string('emergency_contact_name')->nullable()->change();
            $table->string('emergency_contact_number')->nullable()->change();
            $table->string('emergency_contact_relationship_to_driver')->nullable()->change();

            $table->dropColumn(['emergency_address', 'emergency_home_phone']);
        });
    }
}
