<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddLocationToVehicleHistoricalStatsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('vehicle_historical_stats', function (Blueprint $table) {
            $table->unsignedBigInteger('obd_odometer_meters')->nullable()->after('truck_id');
            $table->decimal('obd_odometer_miles', 10, 2)->nullable()->after('obd_odometer_meters');
            $table->decimal('speed_mph', 5, 2)->nullable()->after('obd_odometer_miles');
            $table->string('latitude')->nullable()->after('speed_mph');
            $table->string('longitude')->nullable()->after('latitude');
            $table->string('location')->nullable()->after('longitude');
            $table->dateTime('last_updated_at')->nullable()->after('location');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('vehicle_historical_stats', function (Blueprint $table) {
            $table->dropColumn(['obd_odometer_meters', 'obd_odometer_miles', 'speed_mph', 'latitude', 'longitude', 'location', 'last_updated_at']);
        });
    }
}
