<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnsInDriverAccidentsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('driver_accidents', function (Blueprint $table) {
            $table->string('report_number')->nullable()->after('date');
            $table->enum('injury', ['0', '1'])->default('0')->comment('0: No, 1: Yes')->after('state');
            $table->string('fault')->nullable()->after('injury');
            $table->enum('drug_Test', ['0', '1'])->default('0')->comment('0: No, 1: Yes')->after('fault');
            $table->enum('file_on_insurance', ['0', '1'])->default('0')->comment('0: No, 1: Yes')->after('drug_Test');
            $table->double('damage_estimate', 10, 2)->after('file_on_insurance');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('driver_accidents', function (Blueprint $table) {
            $table->dropColumn(['report_number', 'injury', 'fault', 'drug_Test', 'file_on_insurance', 'damage_estimate']);
        });
    }
}
