<?php

use App\Models\Company;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use App\Models\InsuranceType;
use App\Models\CompanyInsuranceType;

class InsertDefaultInsuranceTypes extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        InsuranceType::truncate();
        CompanyInsuranceType::truncate();

        InsuranceType::insert([
            ['name' => 'Physical Damage Carrier', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Non-Trucking Liability Carrier', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Cargo Insurance Carrier', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Auto Liability Carrier', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Contingent Cargo Carrier', 'created_at' => now(), 'updated_at' => now()],
        ]);

        $getCompnay = Company::get();
        foreach ($getCompnay as $compnay){
            CompanyInsuranceType::insert([
                ['company_id' => $compnay->id, 'name' => 'Physical Damage Carrier', 'created_at' => now(), 'updated_at' => now()],
                ['company_id' => $compnay->id, 'name' => 'Non-Trucking Liability Carrier', 'created_at' => now(), 'updated_at' => now()],
                ['company_id' => $compnay->id, 'name' => 'Cargo Insurance Carrier', 'created_at' => now(), 'updated_at' => now()],
                ['company_id' => $compnay->id, 'name' => 'Auto Liability Carrier', 'created_at' => now(), 'updated_at' => now()],
                ['company_id' => $compnay->id, 'name' => 'Contingent Cargo Carrier', 'created_at' => now(), 'updated_at' => now()],
            ]);
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        InsuranceType::truncate();
        CompanyInsuranceType::truncate();
    }
}
