<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateLoadDocumentRequestItemsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('load_document_request_items', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('load_document_request_id');
            $table->unsignedBigInteger('load_id');
            $table->unsignedBigInteger('load_detail_id')->nullable();
            $table->unsignedBigInteger('driver_id')->nullable();
            $table->unsignedBigInteger('load_stop_id')->nullable();
            $table->tinyInteger('type')->nullable()->comment('1=Pickup,2=Delivery,3=Stop');
            $table->tinyInteger('is_stop')->default(0)->comment('1=Yes,0=No');
            $table->longText('files')->nullable();
            $table->timestamps();
            $table->softDeletes();

            $table->foreign('load_document_request_id')
                ->references('id')
                ->on('load_document_requests')
                ->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('load_document_request_items');
    }
}
