<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnsForComplianceTabToTrucksTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('trucks', function (Blueprint $table) {
            $table->string('oregon_permit_number', 30)->nullable()->after('security_deposit');
            $table->tinyInteger('oregon_axles')->nullable()->after('oregon_permit_number');
            $table->date('oregon_date')->nullable()->after('oregon_axles');
            $table->string('oregon_weight', 30)->nullable()->after('oregon_date');
            $table->string('conf_number_2290', 30)->nullable()->after('oregon_weight');
            $table->date('filed_date_2290')->nullable()->after('conf_number_2290');
            $table->date('exp_date_2290')->nullable()->after('filed_date_2290');
            $table->string('nyhut_unladen', 30)->nullable()->after('exp_date_2290');
            $table->string('kyu_permit_number', 30)->nullable()->after('nyhut_unladen');
            $table->enum('apply_ifta', ['0', '1'])->comment('0: No, 1: Yes')->default('0')->after('kyu_permit_number');
            $table->enum('apply_nyhut', ['0', '1'])->comment('0: No, 1: Yes')->default('0')->after('apply_ifta');
            $table->enum('apply_kyu', ['0', '1'])->comment('0: No, 1: Yes')->default('0')->after('apply_nyhut');
            $table->enum('apply_new_mexico', ['0', '1'])->comment('0: No, 1: Yes')->default('0')->after('apply_kyu');
            $table->enum('apply_oregon', ['0', '1'])->comment('0: No, 1: Yes')->default('0')->after('apply_new_mexico');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('trucks', function (Blueprint $table) {
            $table->dropColumn(['oregon_permit_number', 'oregon_axles', 'oregon_date', 'oregon_weight', 'conf_number_2290', 'filed_date_2290', 'exp_date_2290', 'nyhut_unladen', 'kyu_permit_number', 'apply_ifta', 'apply_nyhut', 'apply_kyu', 'apply_new_mexico', 'apply_oregon']);
        });
    }
}
