<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use App\Models\PmWarrantyProvider;
use App\Models\CompanyPmWarrantyProvider;
use App\Models\Company;

class InsertDefaultPmWarrantyProviders extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        PmWarrantyProvider::truncate();
        CompanyPmWarrantyProvider::truncate();

        PmWarrantyProvider::insert([
            ['name' => 'TA Truckstop', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Premium 2000', 'created_at' => now(), 'updated_at' => now()],
        ]);

        $getCompnay = Company::get();
        foreach ($getCompnay as $compnay){
            CompanyPmWarrantyProvider::insert([
                ['company_id' => $compnay->id, 'name' => 'TA Truckstop', 'created_at' => now(), 'updated_at' => now()],
                ['company_id' => $compnay->id, 'name' => 'Premium 2000', 'created_at' => now(), 'updated_at' => now()],
            ]);
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        PmWarrantyProvider::truncate();
        CompanyPmWarrantyProvider::truncate();
    }
}
