<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTruckIntegrationsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('truck_integrations', function (Blueprint $table) {
            $table->id();
            $table->integer('company_id');
            $table->integer('truck_id');
            $table->tinyInteger('integration_type')->comment('1: ELD Provider, 2: EZ Pass Provider, 3: Air Scale Provider, 4: Tire Sensor Provider, 5: Truck Tracking Provider, 6: Truck Camera Provider, 7: Camera ID, 8: Trailer Tracking Provider');
            $table->enum('eld_provider', ['1', '2', '3', '4'])->nullable()->comment('1: GeoTab, 2: OmniTracs, 3: Samsara, 4: TransFlo');
            $table->enum('vin_number_auto_populate', ['0', '1'])->nullable()->comment('0: No, 1: Yes');
            $table->string('vin_number', 50)->nullable();
            $table->string('eld_id', 50)->nullable();
            $table->enum('connected_status', ['0', '1'])->default('0')->comment('0: No, 1: Yes');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('truck_integrations');
    }
}
