<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use App\Models\DocumentTitle;
use App\Models\CompanyDocumentTitle;
use App\Models\Company;

class InsertDefaultDocumentTitles extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        DocumentTitle::truncate();
        CompanyDocumentTitle::truncate();

        DocumentTitle::insert([
            ['name' => 'Accident Instructions', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'EOBR Instructions', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Inspection Paperwork', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Insurance Certificate', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Lease Agreement', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Registration', 'created_at' => now(), 'updated_at' => now()],
            ['name' => '7 Day Paper Logs', 'created_at' => now(), 'updated_at' => now()],
        ]);

        $getCompnay = Company::get();
        foreach ($getCompnay as $compnay){
            CompanyDocumentTitle::insert([
                ['company_id' => $compnay->id, 'name' => 'Accident Instructions', 'created_at' => now(), 'updated_at' => now()],
                ['company_id' => $compnay->id, 'name' => 'EOBR Instructions', 'created_at' => now(), 'updated_at' => now()],
                ['company_id' => $compnay->id, 'name' => 'Inspection Paperwork', 'created_at' => now(), 'updated_at' => now()],
                ['company_id' => $compnay->id, 'name' => 'Insurance Certificate', 'created_at' => now(), 'updated_at' => now()],
                ['company_id' => $compnay->id, 'name' => 'Lease Agreement', 'created_at' => now(), 'updated_at' => now()],
                ['company_id' => $compnay->id, 'name' => 'Registration', 'created_at' => now(), 'updated_at' => now()],
                ['company_id' => $compnay->id, 'name' => '7 Day Paper Logs', 'created_at' => now(), 'updated_at' => now()],
            ]);
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        DocumentTitle::truncate();
        CompanyDocumentTitle::truncate();
    }
}
