<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTruckProfileDocumentsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('truck_profile_documents', function (Blueprint $table) {
            $table->id();
            $table->integer('company_id');
            $table->integer('truck_id');
            $table->integer('document_profile');
            $table->integer('title')->nullable();
            $table->enum('dot_required', ['0', '1'])->comment('0: No, 1: Yes')->nullable();
            $table->date('exp_date')->nullable();
            $table->enum('doc_type', ['1', '2'])->comment('1: Copy, 2: Original')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('truck_profile_documents');
    }
}
