<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCompanyDropLocationsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('company_drop_locations', function (Blueprint $table) {
            $table->id();
            $table->integer('company_id');
            $table->string('address');
            $table->string('address_2')->nullable();
            $table->string('city')->nullable();
            $table->string('state');
            $table->string('zip');
            $table->string('latitude')->nullable();
            $table->string('longitude')->nullable();
            $table->string('timezone')->nullable();
            $table->string('timezone_offset')->nullable();
            $table->string('timezone_abbr')->nullable();
            $table->tinyInteger('address_verified')->default(0)->comment('1:Yes, 0:No');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('company_drop_locations');
    }
}
