<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnsForTrailerAssignOnTrucksTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('trucks', function (Blueprint $table) {
            $table->date('trailer_assign_date')->nullable()->after('trailer');
            $table->integer('trailer_assign_by')->unsigned()->nullable()->after('trailer_assign_date');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('trucks', function (Blueprint $table) {
            $table->dropColumn(['trailer_assign_date', 'trailer_assign_by']);
        });
    }
}
