<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumndForDriverAssignOnTrucksTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('trucks', function (Blueprint $table) {
            $table->date('driver_assign_date')->nullable()->after('driver');
            $table->integer('driver_assign_by')->unsigned()->nullable()->after('driver_assign_date');
            $table->date('co_driver_assign_date')->nullable()->after('co_driver');
            $table->integer('co_driver_assign_by')->unsigned()->nullable()->after('co_driver_assign_date');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('trucks', function (Blueprint $table) {
            $table->dropColumn(['driver_assign_date', 'driver_assign_by', 'co_driver_assign_date', 'co_driver_assign_by']);
        });
    }
}
