<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddShipperDropTrailerScheduleToLoadDetailsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_details', function (Blueprint $table) {
            $table->tinyInteger('shipper_drop_trailer_schedule')->default(0)->comment('Schedule type 0=Live,1=Drop Trailer,2=Drop & Hook')->after('shipper_dimension');
            $table->string('shipper_drop_trailer_id', 50)->nullable()->after('shipper_drop_trailer_schedule');
            $table->string('shipper_pickup_trailer_id', 50)->nullable()->after('shipper_drop_trailer_id');
            $table->tinyInteger('delivery_drop_trailer_schedule')->default(0)->comment('Schedule type 0=Live,1=Drop Trailer,2=Drop & Hook')->after('delivery_dimension');
            $table->string('delivery_drop_trailer_id', 50)->nullable()->after('delivery_drop_trailer_schedule');
            $table->string('delivery_pickup_trailer_id', 50)->nullable()->after('delivery_drop_trailer_id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_details', function (Blueprint $table) {
            $table->dropColumn(['shipper_drop_trailer_schedule', 'shipper_drop_trailer_id', 'shipper_pickup_trailer_id', 'delivery_drop_trailer_schedule', 'delivery_drop_trailer_id', 'delivery_pickup_trailer_id']);
        });
    }
}
