<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddDropTrailerScheduleToLoadStopsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_stops', function (Blueprint $table) {
            $table->tinyInteger('drop_trailer_schedule')->default(0)->comment('Schedule type 0=Live,1=Drop Trailer,2=Drop & Hook')->after('dimension');
            $table->string('drop_trailer_id', 50)->nullable()->after('drop_trailer_schedule');
            $table->string('pickup_trailer_id', 50)->nullable()->after('drop_trailer_id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_stops', function (Blueprint $table) {
            $table->dropColumn(['drop_trailer_schedule', 'drop_trailer_id', 'pickup_trailer_id']);
        });
    }
}
