<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use App\Models\Company;
use App\Models\InsuranceType;
use App\Models\CompanyInsuranceType;

class InsertDefaultInsuranceTypes02112023 extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        InsuranceType::insert([
            ['name' => 'Occupational Accident', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Workers Compensation', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'General Liability', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Uninsured Motorist', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Mechanical Breakdown', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Reefer Breakdown', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Primary Liability', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Trailer Interchange', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Rental Reimbursement', 'created_at' => now(), 'updated_at' => now()],
        ]);

        $getCompnay = Company::get();
        foreach ($getCompnay as $compnay){
            CompanyInsuranceType::insert([
                ['company_id' => $compnay->id, 'name' => 'Occupational Accident', 'created_at' => now(), 'updated_at' => now()],
                ['company_id' => $compnay->id, 'name' => 'Workers Compensation', 'created_at' => now(), 'updated_at' => now()],
                ['company_id' => $compnay->id, 'name' => 'General Liability', 'created_at' => now(), 'updated_at' => now()],
                ['company_id' => $compnay->id, 'name' => 'Uninsured Motorist', 'created_at' => now(), 'updated_at' => now()],
                ['company_id' => $compnay->id, 'name' => 'Mechanical Breakdown', 'created_at' => now(), 'updated_at' => now()],
                ['company_id' => $compnay->id, 'name' => 'Reefer Breakdown', 'created_at' => now(), 'updated_at' => now()],
                ['company_id' => $compnay->id, 'name' => 'Primary Liability', 'created_at' => now(), 'updated_at' => now()],
                ['company_id' => $compnay->id, 'name' => 'Trailer Interchange', 'created_at' => now(), 'updated_at' => now()],
                ['company_id' => $compnay->id, 'name' => 'Rental Reimbursement', 'created_at' => now(), 'updated_at' => now()],
            ]);
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
