<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnsInAnnouncementsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('announcements', function (Blueprint $table) {
            $table->string('bg_color', 10)->nullable()->after('status');
            $table->enum('sticky', ['0', '1'])->default('0')->after('bg_color');
            $table->dateTime('start_view')->nullable()->after('sticky');
            $table->dateTime('end_view')->nullable()->after('start_view');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('announcements', function (Blueprint $table) {
            $table->dropColumn(['bg_color', 'sticky', 'start_view', 'end_view']);
        });
    }
}
