<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class UpdateLoadNumberLengthInLoadDetailsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        \DB::statement("ALTER TABLE `load_details` CHANGE `is_on_hold` `is_on_hold` TINYINT(1) NULL DEFAULT NULL COMMENT '1 is onhold, 2 is cancelled';");

        Schema::table('load_details', function (Blueprint $table) {
            $table->string('load_number', 100)->change();

            $table->string('brokerage_firm', 100)->change();
            $table->string('brokerage_mc', 100)->change();
            $table->string('phone', 100)->change();
            $table->string('ext', 100)->change();
            $table->string('score_ratting', 100)->change();

            $table->string('carrier_id', 100)->change();
            $table->string('terminal_id', 100)->change();

            $table->string('temp', 100)->change();
            $table->string('weight', 100)->change();
            $table->string('hazardous_options', 100)->change();

            $table->string('broker_load_number', 100)->change();
            $table->string('bol_number', 100)->change();
            $table->string('pickup_number', 100)->change();
            $table->string('delivery_number', 100)->change();
            $table->string('po_Number', 100)->change();
            $table->string('sku_number', 100)->change();

            $table->string('shipper_zip', 100)->change();
            $table->string('shipper_latitude', 100)->change();
            $table->string('shipper_longitude', 100)->change();
            $table->string('shipper_timezone', 100)->change();
            $table->string('shipper_timezone_offset', 100)->change();
            $table->string('shipper_timezone_abbr', 100)->change();

            $table->string('shipper_pickup_number', 100)->change();

            $table->string('delivery_zip', 100)->change();
            $table->string('delivery_latitude', 100)->change();
            $table->string('delivery_longitude', 100)->change();
            $table->string('delivery_timezone', 100)->change();
            $table->string('delivery_timezone_offset', 100)->change();
            $table->string('delivery_timezone_abbr', 100)->change();

            $table->string('delivery_pickup_number', 100)->change();

            $table->string('bill_of_lading', 100)->change();
            $table->string('bill_of_lading_file', 100)->change();
            $table->string('bill_of_lading_file_not_provided', 100)->change();
            $table->string('packing_slip', 100)->change();
            $table->string('packing_slip_file', 100)->change();
            $table->string('packing_slip_file_not_provided', 100)->change();
            $table->string('delivery_receipt', 100)->change();
            $table->string('delivery_receipt_file', 100)->change();
            $table->string('delivery_receipt_file_not_provided', 100)->change();
            $table->string('scale_ticket', 100)->change();
            $table->string('scale_ticket_file', 100)->change();
            $table->string('scale_ticket_file_not_provided', 100)->change();
            $table->string('purchase_order', 100)->change();
            $table->string('purchase_order_file', 100)->change();
            $table->string('purchase_order_file_not_provided', 100)->change();
            $table->string('lumper_receipts', 100)->change();
            $table->string('lumper_receipts_file', 100)->change();
            $table->string('lumper_receipts_file_not_provided', 100)->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        \DB::statement("ALTER TABLE `load_details` CHANGE `is_on_hold` `is_on_hold` VARCHAR(191) NULL DEFAULT NULL COMMENT '1 is onhold, 2 is cancelled';");

        Schema::table('load_details', function (Blueprint $table) {
            $table->string('load_number', 255)->change();

            $table->string('brokerage_firm', 255)->change();
            $table->string('brokerage_mc', 255)->change();
            $table->string('phone', 255)->change();
            $table->string('ext', 255)->change();
            $table->string('score_ratting', 255)->change();

            $table->string('carrier_id', 191)->change();
            $table->string('terminal_id', 191)->change();

            $table->string('temp', 255)->change();
            $table->string('weight', 255)->change();
            $table->string('hazardous_options', 191)->change();

            $table->string('broker_load_number', 255)->change();
            $table->string('bol_number', 255)->change();
            $table->string('pickup_number', 255)->change();
            $table->string('delivery_number', 255)->change();
            $table->string('po_Number', 255)->change();
            $table->string('sku_number', 191)->change();

            $table->string('shipper_zip', 255)->change();
            $table->string('shipper_latitude', 191)->change();
            $table->string('shipper_longitude', 191)->change();
            $table->string('shipper_timezone', 191)->change();
            $table->string('shipper_timezone_offset', 191)->change();
            $table->string('shipper_timezone_abbr', 191)->change();

            $table->string('shipper_pickup_number', 191)->change();

            $table->string('delivery_zip', 255)->change();
            $table->string('delivery_latitude', 191)->change();
            $table->string('delivery_longitude', 191)->change();
            $table->string('delivery_timezone', 191)->change();
            $table->string('delivery_timezone_offset', 191)->change();
            $table->string('delivery_timezone_abbr', 191)->change();

            $table->string('delivery_pickup_number', 191)->change();

            $table->string('bill_of_lading', 191)->change();
            $table->string('bill_of_lading_file', 191)->change();
            $table->string('bill_of_lading_file_not_provided', 191)->change();
            $table->string('packing_slip', 191)->change();
            $table->string('packing_slip_file', 191)->change();
            $table->string('packing_slip_file_not_provided', 191)->change();
            $table->string('delivery_receipt', 191)->change();
            $table->string('delivery_receipt_file', 191)->change();
            $table->string('delivery_receipt_file_not_provided', 191)->change();
            $table->string('scale_ticket', 191)->change();
            $table->string('scale_ticket_file', 191)->change();
            $table->string('scale_ticket_file_not_provided', 191)->change();
            $table->string('purchase_order', 191)->change();
            $table->string('purchase_order_file', 191)->change();
            $table->string('purchase_order_file_not_provided', 191)->change();
            $table->string('lumper_receipts', 191)->change();
            $table->string('lumper_receipts_file', 191)->change();
            $table->string('lumper_receipts_file_not_provided', 191)->change();
        });
    }
}
