<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddVerifiedDropTrailerIdToLoadStopsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_stops', function (Blueprint $table) {
            $table->string('verified_drop_trailer_id', 50)->nullable()->comment('Driver Verified')->after('drop_trailer_id');
            $table->tinyInteger('drop_trailer_match')->nullable()->comment('1=Yes,0=No')->after('verified_drop_trailer_id');
            $table->string('drop_trailer_reminder_on', 50)->nullable()->comment('1=Email,2=SMS')->after('drop_trailer_match');
            $table->datetime('drop_trailer_reminder_date_time')->nullable()->after('drop_trailer_reminder_on');
            $table->tinyInteger('drop_trailer_reminder_status')->default(0)->comment('1=On,0=Off')->after('drop_trailer_reminder_date_time');
            $table->longText('drop_trailer_files')->nullable()->after('drop_trailer_reminder_status');
            $table->tinyInteger('drop_trailer_confirm')->default(0)->comment('0=No,1=Yes')->after('drop_trailer_files');
            $table->datetime('drop_trailer_confirm_at')->nullable()->after('drop_trailer_confirm');

            $table->string('verified_pickup_trailer_id', 50)->nullable()->comment('Driver Verified')->after('pickup_trailer_id');
            $table->tinyInteger('pickup_trailer_match')->nullable()->comment('1=Yes,0=No')->after('verified_pickup_trailer_id');
            $table->longText('pickup_trailer_files')->nullable()->after('pickup_trailer_match');
            $table->tinyInteger('pickup_trailer_confirm')->default(0)->comment('0=No,1=Yes')->after('pickup_trailer_files');
            $table->datetime('pickup_trailer_confirm_at')->nullable()->after('pickup_trailer_confirm');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_stops', function (Blueprint $table) {
            $table->dropColumn([
                'verified_drop_trailer_id',
                'drop_trailer_match',
                'drop_trailer_reminder_on',
                'drop_trailer_reminder_date_time',
                'drop_trailer_reminder_status',
                'drop_trailer_files',
                'drop_trailer_confirm',
                'drop_trailer_confirm_at',

                'verified_pickup_trailer_id',
                'pickup_trailer_match',
                'pickup_trailer_files',
                'pickup_trailer_confirm',
                'pickup_trailer_confirm_at'
            ]);
        });
    }
}
