<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnRateTypeInDefaultFuelSurchargesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('default_fuel_surcharges', function (Blueprint $table) {
            $table->enum('rate_type_diesel', ['0', '1'])->comment('0: Per Mile($), 1: Percentage(%)')->after('default_fuel_surcharge_diesel');
            $table->enum('rate_type_gas', ['0', '1'])->comment('0: Per Mile($), 1: Percentage(%)')->after('default_fuel_surcharge_gas');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('default_fuel_surcharges', function (Blueprint $table) {
            $table->dropColumn(['rate_type_diesel', 'rate_type_gas']);
        });
    }
}
