<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use App\Models\EmailTemplate;
use App\Models\Company;
use App\Models\CompanyEmailTemplate;

class EmailTempleteSeeder extends Seeder
{
    /**
     * Run the database seeds.
     * Command Line
     * php artisan db:seed --class=EmailTempleteSeeder
     * @return void
     */
    public function run()
    {

        EmailTemplate::truncate();
        CompanyEmailTemplate::truncate();

        $email_templates = array(
  array('title' => 'Add Maintenance','subject' => 'Added Maintenance','content' => '<p>Hi {%hiname%},<br />
<br />
Pelaes check below added new Maintenance details.<br />
<br />
<strong>Ticket Number:&nbsp;<a href="{%url%}" target="_blank">{%ticket_number%}</a></strong><br />
<br />
<strong>Maintenance Name:&nbsp;</strong>{%name%}<br />
<br />
<strong>Due Date:&nbsp;</strong>{%due_date%}<br />
<br />
Regards,<br />
{%app_name%}</p>','tags' => '{%hiname%},{%ticket_number%},{%url%},{%name%},{%due_date%},{%app_name%}','description' => 'Added Maintenance','created_at' => '2023-11-17 07:45:37','updated_at' => '2023-11-17 10:14:06','deleted_at' => NULL),
  array('title' => 'Create Leave','subject' => 'Leave Request','content' => '<p>Hi&nbsp;{%hiname%},<br />
<br />
Pleaes check below leave details.<strong>&nbsp;</strong><br />
<br />
<strong>User Name:</strong>&nbsp;{%name%}<br />
<strong>Email:</strong>&nbsp;{%email%}<br />
<strong>Phone:</strong>&nbsp;{%phone%}<br />
<br />
<strong>Date:</strong>&nbsp;{%leave_date%}<br />
<strong>Total Leave:</strong>&nbsp;{%day_count%}<br />
<strong>Comment:</strong>&nbsp;{%comment%}<br />
<br />
Regards,<br />
{%app_name%}</p>','tags' => '{%hiname%},{%name%},{%email%},{%phone%},{%leave_date%},{%day_count%},{%comment%},{%app_name%}','description' => 'Create Leave','created_at' => '2023-11-17 10:11:55','updated_at' => '2023-11-17 10:11:55','deleted_at' => NULL),
  array('title' => 'Approved Leave','subject' => '{%subject%}','content' => '<p>Hi&nbsp;{%hiname%},<br />
<br />
<strong>{%subject%}&nbsp;</strong><br />
<br />
<strong>User Name:</strong>&nbsp;{%name%}<br />
<strong>Email:</strong>&nbsp;{%email%}<br />
<strong>Phone:</strong>&nbsp;{%phone%}<br />
<br />
<strong>Date:</strong>&nbsp;{%leave_date%}<br />
<strong>Total Leave:</strong>&nbsp;{%day_count%}<br />
<strong>Comment:</strong>&nbsp;{%comment%}<br />
<br />
Regards,<br />
{%app_name%}</p>','tags' => '{%hiname%},{%subject%},{%name%},{%email%},{%phone%},{%leave_date%},{%day_count%},{%comment%},{%app_name%}','description' => 'Approved Leave','created_at' => '2023-11-17 10:06:33','updated_at' => '2023-11-17 10:10:33','deleted_at' => NULL),
  array('title' => 'Forgot Password','subject' => 'Reset Password Notification','content' => '<p># Hello!<br />
<br />
You are receiving this email because we received a password reset request for your account.<br />
<br />
<a href="{%reset_link%}" target="_blank">Reset Password</a>&nbsp;<br />
<br />
This password reset link will expire in 60 minutes.<br />
If you did not request a password reset, no further action is required.<br />
<br />
Regards,<br />
{%app_name%}</p>','tags' => '{%reset_link%},{%app_name%}','description' => 'Forgot Password','created_at' => '2023-11-17 10:30:41','updated_at' => '2023-11-17 10:30:41','deleted_at' => NULL),
  array('title' => 'Load Assign Mail To Driver','subject' => 'Load Assign Notification','content' => '<p>Hi {%name%}, new load assign to you:<br />
<br />
<strong>Load Number :&nbsp;</strong>{%load_number%}<br />
<br />
<a href="{%login_link%}">Login from here</a><br />
<br />
Regards,<br />
{%app_name%}</p>','tags' => '{%name%},{%load_number%},{%login_link%},{%app_name%}','description' => 'Load Assign Mail To Driver','created_at' => '2023-11-17 10:35:53','updated_at' => '2023-11-17 10:35:53','deleted_at' => NULL),
  array('title' => 'Load Dropped From Drop Trailer','subject' => 'Load - Dropped from Drop Trailer - Notification','content' => '<p>Hi&nbsp;{%name%},<br />
<br />
Please check below dropped load information.<br />
<br />
<strong>Load Status :&nbsp;</strong>Dropped<br />
<strong>Load Number :&nbsp;</strong>{%load_number%}<br />
<br />
Regards,<br />
{%app_name%}</p>','tags' => '{%name%},{%load_number%},{%app_name%}','description' => 'Load Dropped From Drop Trailer','created_at' => '2023-11-17 10:39:34','updated_at' => '2023-11-17 10:39:34','deleted_at' => NULL),
  array('title' => 'Load Note Create','subject' => 'Added Load Note','content' => '<p>Hi {%hiname%},<br />
<br />
Pelaes check below note details.<br />
<br />
<strong>Note Type:&nbsp;</strong>{%type%}<br />
<strong>Note Request Type:&nbsp;</strong>{%request_type%}<br />
<strong>Note:&nbsp;</strong>{%note%}<br />
<strong>Load No:&nbsp;</strong><a href="{%load_url%}" target="_blank">{%load_no%}</a>&nbsp;<br />
<br />
Regards,<br />
{%app_name%}</p>','tags' => '{%hiname%},{%type%},{%request_type%},{%note%},{%load_url%},{%load_no%},{%app_name%}','description' => 'Load Note Create','created_at' => '2023-11-17 10:48:40','updated_at' => '2023-11-17 10:48:40','deleted_at' => NULL),
  array('title' => 'Load On Hold From Drop Trailer','subject' => 'Load - On Hold from Drop Trailer - Notification','content' => '<p>Hi {%name%},<br />
<br />
Please check below on hold load information.<br />
<br />
<strong>Load Status :&nbsp;</strong>On Hold<br />
<strong>Load Number :&nbsp;</strong>{%load_number%}<br />
<br />
Regards,<br />
{%app_name%}</p>','tags' => '{%name%},{%load_number%},{%app_name%}','description' => 'Load On Hold From Drop Trailer','created_at' => '2023-11-17 10:52:01','updated_at' => '2023-11-17 10:52:01','deleted_at' => NULL),
  array('title' => 'Load Update Mail To Driver','subject' => 'Load Update Notification','content' => '<p>Hi {%name%}, load that assign to you is updated.<br />
<br />
<strong>Load Number :&nbsp;</strong>{%load_number%}<br />
<br />
<a href="{%login_link%}">Login from here</a><br />
<br />
Regards,<br />
{%app_name%}</p>','tags' => '{%name%},{%load_number%},{%login_link%},{%app_name%}','description' => 'Load Update Mail To Driver','created_at' => '2023-11-17 10:56:55','updated_at' => '2023-11-17 10:56:55','deleted_at' => NULL),
  array('title' => 'New Password Mail To Dispatcher','subject' => 'New Password Notification','content' => '<p>Hi {%name%}, here is your new password , now you can login with your new password:<br />
<br />
<strong>Email :&nbsp;</strong>{%email%}<br />
<strong>Password :&nbsp;</strong>{%password%}<br />
<br />
<a href="{%login_link%}">Login from here</a><br />
<br />
Regards,<br />
{%app_name%}</p>','tags' => '{%name%},{%email%},{%password%},{%login_link%},{%app_name%}','description' => 'New Password Mail To Dispatcher','created_at' => '2023-11-17 11:16:05','updated_at' => '2023-11-17 11:16:05','deleted_at' => NULL),
  array('title' => 'New Password Mail To Driver','subject' => 'New Password Notification','content' => '<p>Hi {%name%}, here is your new password , now you can login with your new password:<br />
<br />
<strong>Email :&nbsp;</strong>{%email%}<br />
<strong>Password :&nbsp;</strong>{%password%}<br />
<br />
<a href="{%login_link%}">Login from here</a><br />
<br />
Regards,<br />
{%app_name%}</p>','tags' => '{%name%},{%email%},{%password%},{%login_link%},{%app_name%}','description' => 'New Password Mail To Driver','created_at' => '2023-11-17 11:18:52','updated_at' => '2023-11-17 11:18:52','deleted_at' => NULL),
  array('title' => 'New Password Mail To Manager','subject' => 'New Password Notification','content' => '<p>Hi {%name%}, here is your new password , now you can login with your new password:<br />
<br />
<strong>Email :&nbsp;</strong>{%email%}<br />
<strong>Password :&nbsp;</strong>{%password%}<br />
<br />
<a href="{%login_link%}">Login from here</a><br />
<br />
Regards,<br />
{%app_name%}</p>','tags' => '{%name%},{%email%},{%password%},{%login_link%},{%app_name%}','description' => 'New Password Mail To Manager','created_at' => '2023-11-17 11:20:50','updated_at' => '2023-11-17 11:20:50','deleted_at' => NULL),
  array('title' => 'Note Create','subject' => 'Added Note','content' => '<p>Hi {%hiname%},<br />
<br />
Pelaes check below note details.<br />
<br />
<strong>Note Type:&nbsp;</strong>{%type%}<br />
<strong>Note Request Type:&nbsp;</strong>{%request_type%}<br />
<strong>Note:&nbsp;</strong>{%note%}<br />
<br />
<strong>{%source_type%} No:&nbsp;</strong>{%action_id%} -&nbsp;{%full_name%}<br />
<br />
Regards,<br />
{%app_name%}</p>','tags' => '{%hiname%},{%type%},{%request_type%},{%note%},{%source_type%},{%action_id%},{%full_name%},{%app_name%}','description' => 'Note Create','created_at' => '2023-11-17 11:27:20','updated_at' => '2023-11-17 11:27:20','deleted_at' => NULL),
  array('title' => 'Notification Mail To Dispatcher','subject' => 'On Hold - Notification','content' => '<p>Hi&nbsp;{%name%},<br />
<br />
Please check below on hold load information.<br />
<br />
{%load_data%}<br />
<br />
Regards,<br />
{%app_name%}</p>','tags' => '{%name%},{%load_data%},{%app_name%}','description' => 'Notification Mail To Dispatcher','created_at' => '2023-11-17 11:41:28','updated_at' => '2023-11-17 11:41:28','deleted_at' => NULL),
  array('title' => 'Unread Notification Mail To User','subject' => 'Unread Notification','content' => '<p>Hi {%name%},<br />
<br />
<strong>Note:&nbsp;</strong>{%msg%}<br />
<strong>View All:&nbsp;</strong><a href="{%url%}">{%url%}</a><br />
<br />
Regards,<br />
{%app_name%}</p>','tags' => '{%name%},{%msg%},{%url%},{%app_name%}','description' => 'Unread Notification Mail To User','created_at' => '2023-11-17 11:46:36','updated_at' => '2023-11-17 11:46:36','deleted_at' => NULL),
  array('title' => 'Welcome Mail To Dispatcher','subject' => 'Welcome to Dispatch Pro','content' => '<p>Hi {%name%}, we&rsquo;re glad you&rsquo;re here! Following are your account details:<br />
<br />
<strong>Email :&nbsp;</strong>{%email%}<br />
<strong>Password :&nbsp;</strong>{%password%}<br />
<br />
<a href="{%login_link%}">Login from here</a><br />
<br />
Regards,<br />
{%app_name%}</p>','tags' => '{%name%},{%email%},{%password%},{%login_link%},{%app_name%}','description' => 'Welcome Mail To Dispatcher','created_at' => '2023-11-17 11:54:34','updated_at' => '2023-11-17 11:54:34','deleted_at' => NULL),
  array('title' => 'Welcome Mail To Driver','subject' => 'Welcome to Dispatch Pro','content' => '<p>Hi {%name%}, we&rsquo;re glad you&rsquo;re here! Following are your account details:<br />
<br />
<strong>Email :&nbsp;</strong>{%email%}<br />
<strong>Password :&nbsp;</strong>{%password%}<br />
<br />
<a href="{%login_link%}">Login from here</a><br />
<br />
Regards,<br />
{%app_name%}</p>','tags' => '{%name%},{%email%},{%password%},{%login_link%},{%app_name%}','description' => 'Welcome Mail To Driver','created_at' => '2023-11-17 11:57:10','updated_at' => '2023-11-17 11:57:10','deleted_at' => NULL),
  array('title' => 'Welcome Mail To Manager','subject' => 'Welcome to Dispatch Pro','content' => '<p>Hi {%name%}, we&rsquo;re glad you&rsquo;re here! Following are your account details:<br />
<br />
<strong>Email :&nbsp;</strong>{%email%}<br />
<strong>Password :&nbsp;</strong>{%password%}<br />
<br />
<a href="{%login_link%}">Login from here</a><br />
<br />
Regards,<br />
{%app_name%}</p>','tags' => '{%name%},{%email%},{%password%},{%login_link%},{%app_name%}','description' => 'Welcome Mail To Manager','created_at' => '2023-11-17 12:00:00','updated_at' => '2023-11-17 12:00:00','deleted_at' => NULL),
  array('title' => 'Announcement Email','subject' => 'Announcement','content' => '<p>#&nbsp;{%announcement_name%}<br />
<br />
{%announcement_description%}<br />
<br />
Regards,<br />
{%app_name%}</p>','tags' => '{%announcement_name%},{%announcement_description%},{%app_name%}','description' => 'Announcement Email','created_at' => '2023-11-17 12:04:50','updated_at' => '2023-11-17 12:04:50','deleted_at' => NULL),
  array('title' => 'Appointment Request Broker','subject' => 'Dispatch Pro - Appointment Request for load number: {%load_number%}','content' => '<p># Hi {%name%},<br />
<br />
Click below link to view appointment request for the stop:&nbsp;{%stop_name%}<br />
<br />
<a href="{%link%}" target="_blank">View</a>&nbsp;<br />
<br />
Regards,<br />
{%app_name%}</p>','tags' => '{%load_number%},{%name%},{%stop_name%},{%link%},{%app_name%}','description' => 'Appointment Request Broker','created_at' => '2023-11-17 12:26:14','updated_at' => '2023-11-17 12:26:14','deleted_at' => NULL),
  array('title' => 'Detention Request Broker','subject' => 'Please review this detention request','content' => '<p>Hi {%name%},<br />
<br />
Click below link to view detetion request.<br />
<br />
<a href="{%link%}" target="_blank">View</a>&nbsp;<br />
<br />
Regards,<br />
{%app_name%}</p>','tags' => '{%name%},{%link%},{%app_name%}','description' => 'Detention Request Broker','created_at' => '2023-11-17 12:30:55','updated_at' => '2023-11-17 12:30:55','deleted_at' => NULL),
  array('title' => 'Document Request Driver','subject' => 'Dispatch Pro - Document Request for {%file_name%}','content' => '<p>Hello {%driver_name%},<br />
<br />
{%request_note_or_file_name%}<br />
<br />
Document Requested by {%requested_by%}<br />
<br />
Regards,<br />
{%app_name%}</p>','tags' => '{%file_name%},{%driver_name%},{%request_note_or_file_name%},{%requested_by%},{%app_name%}','description' => 'Document Request Driver','created_at' => '2023-11-17 12:38:29','updated_at' => '2023-11-17 12:38:29','deleted_at' => NULL),
  array('title' => 'Load Document Request Driver','subject' => 'Dispatch Pro - Document Request for load number: {%load_number%}','content' => '<p># Hi {%full_name%},<br />
<br />
A document request has been added to load number: {%load_number%}<br />
<br />
Documents requested:<br />
{%documents%}<br />
<br />
Please upload these documents to the load.<br />
<br />
<a href="{%link%}" target="_blank">Go to Load</a>&nbsp;<br />
<br />
Regards,<br />
{%app_name%}</p>','tags' => '{%load_number%},{%full_name%},{%documents%},{%link%},{%app_name%}','description' => 'Load Document Request Driver','created_at' => '2023-11-17 12:43:11','updated_at' => '2023-11-17 12:43:11','deleted_at' => NULL)
);


        foreach ($email_templates as $template) {
            EmailTemplate::create($template);
        }


        $getCompany = Company::get();
        foreach($getCompany as $company){
            $emailTemplates = EmailTemplate::get(['title', 'subject', 'content', 'tags', 'description'])->toArray();
            foreach ($emailTemplates as $emailTemplate){
                $emailTemplate = array_merge(array('company_id' => $company->id), $emailTemplate);
                CompanyEmailTemplate::create($emailTemplate);
            }    
        }

        

    }
}
