<?php

namespace Database\Seeders;

use App\Models\Load;
use App\Models\LoadDetail;
use App\Models\LoadDriver;
use Illuminate\Database\Seeder;

class LoadSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        echo now()."\n";
        Load::factory(2500)->has(
            LoadDetail::factory()->has(
                LoadDriver::factory()->afterCreating(function (LoadDriver $loadDriver, LoadDetail $loadDetail) {
                    $loadDriver->update(['load_id' => $loadDetail->load_id, 'driver_id' => $loadDetail->driver_id]);
                })->count(1), 'load_drivers'
            )->afterCreating(function (LoadDetail $loadDetail, Load $load) {
                $load->update(['load_detail_id' => $loadDetail->id]);
            })->count(1), 'load_all_details'
        )->create();
        echo now()."\n";
    }
}
