<?php

namespace Database\Seeders;

use App\Models\Timezone;
use Illuminate\Database\Seeder;

use Config;
use Carbon\Carbon;

class TimezoneSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $timestamp      = time();
        foreach (timezone_identifiers_list(\DateTimeZone::PER_COUNTRY, 'US') as $zone) {
            $offset     = Carbon::createFromTimestamp(time(), $zone)->getOffsetString();
            $zones['offset']            = $offset;
            $zones['diff_from_gtm']     = 'UTC/GMT '.$offset;
            Timezone::updateOrCreate(['name' => $zone], $zones);

            /*
            date_default_timezone_set($zone);
            $zones['offset'] 			= date('P', $timestamp);
            $zones['diff_from_gtm'] 	= 'UTC/GMT '.date('P', $timestamp);
            Timezone::updateOrCreate(['name' => $zone], $zones);
            */
        }

        $offset         = Carbon::createFromTimestamp(time(), 'UTC')->getOffsetString();
        $uzones['offset']               = $offset;
        $uzones['diff_from_gtm']        = 'UTC/GMT '.$offset;
        Timezone::updateOrCreate(['name' => 'UTC'], $uzones);

        /*
        date_default_timezone_set('UTC');
        $uzones['offset']               = date('P', $timestamp);
        $uzones['diff_from_gtm']        = 'UTC/GMT '.date('P', $timestamp);
        Timezone::updateOrCreate(['name' => 'UTC'], $uzones);
        */

        $offset         = Carbon::createFromTimestamp(time(), 'Asia/Kolkata')->getOffsetString();
        $uzones['offset']               = $offset;
        $uzones['diff_from_gtm']        = 'UTC/GMT '.$offset;
        Timezone::updateOrCreate(['name' => 'Asia/Kolkata'], $uzones);

        /*
        date_default_timezone_set('Asia/Kolkata');
        $azones['offset']               = date('P', $timestamp);
        $azones['diff_from_gtm']        = 'UTC/GMT '.date('P', $timestamp);
        Timezone::updateOrCreate(['name' => 'Asia/Kolkata'], $azones);

        if(Config::get('app.timezone','UTC')){
            date_default_timezone_set(Config::get('app.timezone','UTC'));
        }
        */
    }
}
