function initialize() {
    // Google Chart
    var restricted_states, avoid_states;

    $('.state-multi-select').on('select2:select select2:unselect', function (e) {
        restricted_states   = $(".restricted-state").val();
        avoid_states        = $(".avoid-state").val();
        stateList(restricted_states, avoid_states);
    });

    google.charts.load('current', {
        'packages':['geochart'],
    });

    google.charts.setOnLoadCallback(drawRegionsMap);

    var token               = $('meta[name="csrf-token"]').attr('content');
    var dataArray           = [['State', '']];

    function stateList(restricted_states, avoid_states) {
        $.ajax({
            url: "/company-admin/drivers/state-list-for-map",
            method: 'POST',
            data: { _token: token, restricted_states: restricted_states, avoid_states: avoid_states },
            dataType: 'json',
            success: function(response) {
                for (var i = 0; i < response.data.length; i++) {
                    dataArray.push([{ v:'US-'+response.data[i][0] , f: response.data[i][2] } , { v:response.data[i][1] , f: response.data[i][3] }]);
                }
                drawRegionsMap();
            }
        });
    }

    stateList(restricted_states, avoid_states);

    function drawRegionsMap() {
        var data    = google.visualization.arrayToDataTable(dataArray);
        var options = {
            region: 'US',
            colorAxis: {
                colors: ['green', 'yellow', 'red'],
                minValue: 0,
                maxValue: 2,
            },
            legend: "none",
            resolution: 'provinces',
            backgroundColor: '#81d4fa',
        };

        var chart   = new google.visualization.GeoChart(document.getElementById('map'));
        chart.draw(data, options);
    }
}

// Joining the trailer program
$("body").on("click","#trailer",function(e){
    if($(this).prop("checked") == true){
        $(".weekly-div").css("display","block");
    } else if($(this).prop("checked") == false){
        $(".weekly-div").css("display","none");
    }
});

// SSN or EIN
$("body").on("click",".ssn-or-ein",function(e){
    var val = $(this).val();

    if(val == 0){
        $(".ssn-input").css("display","block");
        $(".ein-input").css("display","none");
    } else if(val == 1){
        $(".ssn-input").css("display","none");
        $(".ein-input").css("display","block");
    }
});

// Start Date
$('.start-date').datepicker({
    autoclose: true,
    todayHighlight: true,
    // orientation: "bottom right"
});

// State Dropdown
$(".state-multi-select").select2({
    ajax: {
        url: "/state-list",
        dataType: 'json',
        processResults: function (data) {
            return {
                results: $.map(data, function (item) {
                    return {
                        text: item.name,
                        id: item.id
                    }
                })
            };
        }
    }
});

$('.truck-number-select2').select2();
$('.carrier-select2').select2();

// Driver Manager
$("body").on("change",".driver-manager-change",function(e){
    var token   = $('meta[name="csrf-token"]').attr('content');
    var head_id = $(this).val();

    if (head_id) {
        $.ajax({
            url: "/company-admin/drivers/team-of-head",
            method: "POST",
            data: { _token : token , head_id : head_id },
            success: function(response) {
                if (response.team) {
                    $(".team-change").val(response.team.id);
                }
            }
        });
    } else {
        $(".team-change").val('');
    }
});

// Team
$("body").on("change",".team-change",function(e){
    var token   = $('meta[name="csrf-token"]').attr('content');
    var id      = $(this).val();
    if (id) {
        $.ajax({
            url: "/company-admin/drivers/head-of-team",
            method: "POST",
            data: { _token : token , id : id },
            success: function(response) {
                if (response.head) {
                    $(".driver-manager-change").val(response.head.id);
                }
            }
        });
    } else {
        $(".driver-manager-change").val('');
    }
});

// SSN Format
$('.ssn-format').on('keypress', function(e) {
    var key     = e.charCode || e.keyCode || 0;
    var phone   = $(this);
    // Auto-format- do not expose the mask as the user begins to type
    if (key !== 8 && key !== 9) {
        if (phone.val().length === 3) {
            phone.val(phone.val() + '-');
        }
        if (phone.val().length === 6) {
            phone.val(phone.val() + '-');
        }
        if (phone.val().length >= 11) {
            phone.val(phone.val().slice(0, 10));
        }
    }

    // Allow numeric (and tab, backspace, delete) keys only
    return (key == 8 ||
    key == 9 ||
    key == 46 ||
    (key >= 48 && key <= 57) ||
    (key >= 96 && key <= 105));
}).on('focus', function() {
    phone = $(this);
});

// EIN Format
$('.ein-format').on('keypress', function(e) {
    var key     = e.charCode || e.keyCode || 0;
    var phone   = $(this);
    // Auto-format- do not expose the mask as the user begins to type
    if (key !== 8 && key !== 9) {
        if (phone.val().length === 2) {
            phone.val(phone.val() + '-');
        }
        if (phone.val().length >= 10) {
            phone.val(phone.val().slice(0, 9));
        }
    }

    // Allow numeric (and tab, backspace, delete) keys only
    return (key == 8 ||
    key == 9 ||
    key == 46 ||
    (key >= 48 && key <= 57) ||
    (key >= 96 && key <= 105));
}).on('focus', function() {
    phone = $(this);
});