var view = "table";
var filter = null;

$('.change-view').on('click', function(e) {
    view = $(this).data('view');
    getDataView();
});    

$('.grid-view-search').on('keyup', function(e) {
    filter = $(this).val();
    getDataView();
});    

function getDataView() {
    if (view == "table") {
        $(".data-table").DataTable().draw(true);
    } else {
        $.ajax({
            url: "/company-admin/teams",
            data: { view : view , filter : filter },
            success: function(response) {
                $('.append-grid-view').html(response.view);
            }
        });
    } 
}
/*
$(function () {
    var table = $('.data-table').DataTable({
        language: {
            search: "",
            searchPlaceholder: "Search...",
            pagination:"hi"
        },
        processing: true,
        serverSide: true,
        bJQueryUI: true, 
        pageLength : 10,
        order: [[4, "desc"]],
        ajax: {
            url: "/company-admin/teams",
            data: function (d) {
                d.view = view;
            },
        },
        columns: [
        	{ data: 'id', name: 'id', orderable:false, searchable:false },
            { data: 'name', name: 'name' },
            { data: 'head', name: 'head' },
            { data: 'total_drivers', name: 'total_drivers' },
            { data: 'action', name: 'action', orderable:false, searchable:false }
        ]
    });
});*/

$("body").on("click", ".add-new-btn", function () {
    var token = $('meta[name="csrf-token"]').attr('content');

    $.ajax({
        url: "/company-admin/teams/create/form/view",
        method: "POST",
        data: { _token : token },
        success: function(response) {
        	$('#editTeamModal').find('.append-form').html('');
            $('#newTeamModal').find('.append-form').html(response.view);
            imagePreview();
        	storeAjax();
        }
    });
});

$("body").on("click", ".edit-btn", function () {
    var token = $('meta[name="csrf-token"]').attr('content');
	var id = $(this).data('id');

    $.ajax({
        url: "/company-admin/teams/edit/form/view",
        method: "POST",
        data: { _token : token , id : id },
        success: function(response) {
        	$('#newTeamModal').find('.append-form').html('');
            $('#editTeamModal').find('.append-form').html(response.view);
            imagePreview();
            updateAjax();
        }
    });
});

function imagePreview() {
	var container = $('.image-wrapper'), inputFile = $('#file'), img, btn, txt = 'Choose file', txtAfter = 'Changes file';
    if(!container.find('#upload').length){
        container.find('.input').append('<input type="button" value="'+txt+'" id="upload">');
        btn = $('#upload');
        container.prepend('<img src="" class="hidden" alt="Uploaded file" id="uploadImg" width="100">');
        img = $('#uploadImg');
    } else {
        btn = $('#upload');
        img = $('#uploadImg');
    }
    btn.on('click', function(){
        img.animate({opacity: 0}, 300);
        inputFile.click();
    });
    inputFile.on('change', function(e){
        container.find('label').html( inputFile.val() );
        var i = 0;
        for(i; i < e.originalEvent.srcElement.files.length; i++) {
            var file = e.originalEvent.srcElement.files[i], 
                reader = new FileReader();

            reader.onloadend = function(){
                img.attr('src', reader.result).animate({opacity: 1}, 700);
            }
            reader.readAsDataURL(file);
            img.removeClass('hidden');
        }
        btn.val( txtAfter );
        if(btn.val( txtAfter )){
            $('#upload').addClass('changeImg');
        }
    });
}

function storeAjax() {
	$(".storeTeamForm").ajaxForm({
		complete: function (response) {
            if (response.responseJSON.success) {
                window.location.href = window.location.href;
            } else {
                $('.error').text('');
                $.each( response.responseJSON.errors, function( key, value ) {
                    var key = key.replace(/\./g, '_');
                    $.each( value , function( skey, svalue ) {
                        $('.'+key+'_error').text(svalue);
                    });
                });
                toastr.error('Please check the form below for errors', 'Error Alert', {timeOut: 5000})
            }
        },
    });
}

function updateAjax() {
	$(".updateTeamForm").ajaxForm({
        complete: function (response) {
            if (response.responseJSON.success) {
                window.location.href = window.location.href;
            } else {
                $('.error').text('');
                $.each( response.responseJSON.errors, function( key, value ) {
                    var key = key.replace(/\./g, '_');
                    $.each( value , function( skey, svalue ) {
                        $('.'+key+'_error').text(svalue);
                    });
                });
                toastr.error('Please check the form below for errors', 'Error Alert', {timeOut: 5000})
            }
        },
    });
}

$("body").on("click", ".destroy", function () {
    var current_object = $(this);
    Swal.fire({
        title: "Are you sure?",
        text: "You won't be able to revert this!",
        icon: "warning",
        showCancelButton: true,
        confirmButtonColor: "#3085d6",
        cancelButtonColor: "#d33",
        confirmButtonText: "Yes, delete it!",
    }).then((result) => {
        if (result.value) {
            var action = current_object.attr('data-action');
            var id = current_object.attr('data-id');
            var token = $("input[name='_token']").val();

            $('body').html("<form class='form-inline destroy-form' method='POST' action='"+action+"'></form>");
            $('body').find('.destroy-form').append('<input name="_method" type="hidden" value="DELETE">');
            $('body').find('.destroy-form').append('<input name="id" type="hidden" value="'+ id +'">');
            $('body').find('.destroy-form').append('<input name="_token" type="hidden" value="'+ token +'">');
            $('body').find('.destroy-form').submit();
        }
    });
});

// left menu
$('.menuToggle').click(function(){
    $('.left-menu-open').toggleClass('menu-close');
    $('.main-wrapper').toggleClass('wrapper-toggle');
    $('header').toggleClass('header-left');
});

$(document).ready(function(){
    if ($(window).width() < 1199) {
        $('.add-responsive').addClass('table-responsive');
    }
    //list grid
    $('.listClick').addClass('display-list');
    $('.grid-view').addClass('d-none');
    $('.listClick').click(function(){
        $('.listClick').addClass('display-list');
        $('.gridClick').removeClass('display-grid');
        $('.table-view table').removeClass('d-none');
        $('.grid-view').addClass('d-none');
        $('.dataTables_paginate').removeClass('d-none');
        $('.cusotdiv').removeClass('d-none');
        $('.table-view').removeClass('gridv');
        
    });
    $('.gridClick').click(function(){
        $('.listClick').removeClass('display-list');
        $('.gridClick').addClass('display-grid');
        $('.table-view table').addClass('d-none');
        $('.grid-view').removeClass('d-none');
        $('.dataTables_paginate').addClass('d-none');
        $('.cusotdiv').addClass('d-none');
        $('.table-view').addClass('gridv');
        
        
    });
});