$('body').on('change','.geocoding-toll-roads, .geocoding-close-borders',function() {
    drowMapCreate();
});

$('body').on('focusout','.geocoding-max-elevation',function() {
    drowMapCreate();
});

function drowMapCreate(){
    // console.log('drawmap');
    // return false;
    if(!trimbleMapsAPIKey){
        $('#map').html('');
        $('#load-mileage-collapse .loadMileage-main').html('');
        $('#turn-by-collapse .card-body').html('');
    }else{
        var count                           = 0;
        var deadhead                        = [];
        var pickup                          = [];
        var stops                           = [];
        var delivery                        = [];

        var deadhead_mileage_options        = $('input[name="deadhead_mileage_options"]').val();
        if(deadhead_mileage_options){
            var options                     = JSON.parse(deadhead_mileage_options);
            deadhead.push({
                longitude: options.longitude,
                latitude: options.latitude
            });
        }

        var div                             = $('#sortable').find('.geocoding');
        $.each(div, function(key,val) {
            var ele                         = $(this);
            var verified                    = ele.find('.geocoding-verified').val();
            if(verified==1){
                var longitude               = ele.find('.geocoding-longitude').val();
                var latitude                = ele.find('.geocoding-latitude').val();
                if(typeof $(val).attr('data-stop_index') === "undefined"){
                    if(ele.attr('data-customer_type')==1){
                        pickup.push({
                            longitude: longitude,
                            latitude: latitude
                        });
                    }else{
                        delivery.push({
                            longitude: longitude,
                            latitude: latitude
                        });
                    }
                }else{
                    stops.push({
                        longitude: longitude,
                        latitude: latitude
                    });
                }
                count++;
            }
        });

        var drawMap                         = false;
        if(pickup.length > 0 && delivery.length > 0){
            drawMap                         = true;
        }

        if(drawMap){
            var stopArray                   = [];
            if(deadhead.length > 0){
                $.each(deadhead, function( index, value ) {
                    stopArray.push(new TrimbleMaps.LngLat(value.longitude, value.latitude));
                });
            }
            $.each(pickup, function( index, value ) {
                stopArray.push(new TrimbleMaps.LngLat(value.longitude, value.latitude));
            });
            if(stops.length > 0){
                $.each(stops, function( index, value ) {
                    stopArray.push(new TrimbleMaps.LngLat(value.longitude, value.latitude));
                });
            }
            $.each(delivery, function( index, value ) {
                stopArray.push(new TrimbleMaps.LngLat(value.longitude, value.latitude));
            });

            const map                       = new TrimbleMaps.Map({
                container: 'map',
                style: TrimbleMaps.Common.Style.TRANSPORTATION,
                center: new TrimbleMaps.LngLat(stopArray[0].lng, stopArray[0].lat),
                zoom: 4
            });

            mapMenusOptions                 = {
                showContentLayers: true,
                showBaseStyles: true,
                showCustomStyles: false,
                showMobileStyles: false,
                hideStyles: ['Accessible Dark', 'Accessible Light'],
                hideLayers: ['3D Buildings'],
            };

            var ctrl                        = new TrimbleMapsControl.MapMenus(mapMenusOptions);

            // Map#addControl takes an optional second argument to set the position of the control.
            // If no position is specified the control defaults to `top-right`.
            map.addControl(ctrl, "top-right");

            map.addControl(new TrimbleMaps.NavigationControl({
                showCompass : false
            }));

            // If false, custom stop icons can be used, if other values, default icons and styles are used.
            const showDefaultStops          = true;

            var tollRoads                   = $('.geocoding-toll-roads').val();
            tollRoads                       = parseInt(tollRoads);

            var elevLimit                   = 0;
            var elevLimitVal                = $('.geocoding-max-elevation').val();
            if(elevLimitVal){
                elevLimit                   = parseInt(elevLimitVal);
            }

            if($('.geocoding-close-borders').val()==1){
                var avoidCountry            = ['CA', 'MX'];
            }else{
                var avoidCountry            = [];
            }

            var hazMatTypes                 = [];
            if($('select[name="hazardous_load"]').val()==1){
                hazMatTypes                 = [parseInt($('select[name="hazardous_options"]').val())];
            }

            var trkLength                   = '';
            if($('input[name="truck_length"]').val()!=''){
                trkLength                   = $('input[name="truck_length"]').val();
            }
            var trkWidth                    = '';
            if($('input[name="truck_width"]').val()!=''){
                trkWidth                    = $('input[name="truck_width"]').val();
            }
            var trkHeight                   = '';
            if($('input[name="truck_height"]').val()!=''){
                trkHeight                   = $('input[name="truck_height"]').val();
            }
            var trkWeight                   = '';
            if ($('input[name="itemize"]').is(":checked")) {
                var trkWeightArry           = [];
                $('#pickup-delivery-collapse .stop[data-customer_type="1"]').each(function (key, val){
                    var that                = $(this);
                    trkWeightArry.push(that.find('.stop-weight').val());
                });
                var trkWeightArry           = trkWeightArry.filter(function (el) {
                    return el != null && el != "";
                });
                var sum                     = 0;
                $.each(trkWeightArry, function(index, value) {
                    sum                     += removeNumberWithCommas(value);
                });
                if(sum > 0){
                    trkWeight               = sum;
                }
            }else{
                if($('input[name="weight"]').val()!=''){
                    trkWeight               = removeNumberWithCommas($('input[name="weight"]').val());
                }
            }

            var myobj                       = {
                routeId: "myRoute",
                stops: stopArray,
                reportType: [
                    TrimbleMaps.Common.ReportType.MILEAGE,
                    TrimbleMaps.Common.ReportType.DIRECTIONS
                ],
                showStops: showDefaultStops,
                tollRoads: tollRoads,
                elevLimit: elevLimit,
                avoidCountry: avoidCountry,
                hazMatTypes: hazMatTypes
            };
            if(deadhead.length > 0){
                myobj.originIcon            = {
                    size: 1,
                    url: $('.trimble-icons').attr('data-truck-icon'),
                    offset: [0, -6]
                };
            }
            myobj.destinationIcon           = {
                size: 1,
                url: $('.trimble-icons').attr('data-destination-icon'),
                offset: [0, -6]
            };

            const myRoute                   = new TrimbleMaps.Route(myobj);
            //
            map.on('load', function() {
                myRoute.addTo(map);
                if (!showDefaultStops) {
                    // add custom stop icons.
                    myRoute.addStopIcon('start', 'https://developer.trimblemaps.com/maps-sdk/img/marker_blue.png');
                    myRoute.addStopIcon('end', 'https://developer.trimblemaps.com/maps-sdk/img/marker_blue.png');
                    myRoute.addStopIcon('stop', 'https://developer.trimblemaps.com/maps-sdk/img/marker_blue.png');
                    // style custom stop icons. For detailed information, visit https://developer.trimblemaps.com/maps-sdk/style-spec/layers/#symbol
                    const stopLayerStyle    = {
                        layout: {
                            'icon-size': [
                                'case',
                                ['==', ['get', 'stopType'], 'start'], 1, // stopType is an internal property, it has start, end, and stop values for now.
                                ['==', ['get', 'stopType'], 'end'], 1,
                                1 // stops
                            ],
                            'icon-offset': [0, -10]
                        }
                    };
                    myRoute.styleStopIcons(stopLayerStyle);
                }
            });
            //
            myRoute.on('report', function (data) {
                var lastIndex               = stopArray.length;
                lastIndex                   = lastIndex-1;

                // Load Mileage Information
                var reportLines             = data[0].ReportLines;
                if(deadhead.length > 0){
                    var emptyMiles          = reportLines[1].TMiles;
                } else{
                    var emptyMiles          = 0;
                }
                emptyMiles                  = parseFloat(emptyMiles).toFixed(2);
                var totalMiles              = reportLines[lastIndex].TMiles;
                totalMiles                  = parseFloat(totalMiles).toFixed(2);
                var loadedMiles             = totalMiles-emptyMiles;
                loadedMiles                 = parseFloat(loadedMiles).toFixed(2);

                $('.mileage-rating-div .empty-miles').val(formatNumberWithCommas(emptyMiles));
                $('.mileage-rating-div .loaded-miles').val(formatNumberWithCommas(loadedMiles)).keyup();

                var loadMileageHtml         = `<p>Total Loaded Mileage: `+loadedMiles+` Miles</p>`;
                loadMileageHtml            += `<div class="loadMileage-block">`;

                $.each(reportLines, function(i, obj) {
                    var heading             = '';
                    if(deadhead.length > 0){
                        if (i === 0) {
                            // first
                            heading         = 'Deadhead Location';
                        } else if (i === reportLines.length - 1) {
                            // last
                            heading         = 'Stop 99';
                        } else{
                            heading         = 'Stop '+i;
                        }
                    }else{
                        if (i === reportLines.length - 1) {
                            heading         = 'Stop 99';
                        }else{
                            heading         = 'Stop '+(i+1);
                        }
                    }
                    loadMileageHtml        += `<div class="">
                        <h6>`+heading+`</h6>
                        <p></p>
                    </div>`;
                    if (i === 0) {
                        // first
                        loadMileageHtml    += `<div class="">
                            <label>Geo Coordinates</label>
                            <p>`+obj.Stop.Coords.Lat+`, `+obj.Stop.Coords.Lon+`</p>
                        </div>`;
                    } else{
                        // another
                        loadMileageHtml    += `<div>
                            <label>Mileage from Load Start</label>
                            <p>`+obj.TMiles+`</p>
                        </div>
                        <div>
                            <label>Mileage from Last Stop</label>
                            <p>`+obj.LMiles+`</p>
                        </div>`;
                    }
                });

                loadMileageHtml            += `</div>`;
                $('.loadMileage-main').html(loadMileageHtml);
                // Load Mileage Information

                // Turn By Turn Direction
                var loadDirectionHtml       = `<h5>Directions</h5>
                    <div class="table-responsive">
                        <table class="table loadDirections-table table-striped mt-0">
                            <thead>
                                <tr>
                                    <th>Directions</th>
                                    <th>Dist</th>
                                    <th>Time</th>
                                </tr>
                            </thead>
                            <tbody>`;

                var reportLegs              = data[1].ReportLegs;
                $.each(reportLegs, function (i, obj) {
                    var lines               = obj.ReportLines;
                    $.each(lines, function (j, line) {
                        var dist            = '';
                        if(line.Dist){
                            dist            = line.Dist+' Mile(s)';
                        }
                        var time            = '';
                        if(line.Time){
                            var time        = line.Time;
                            var hours       = time.split(":")[0]; // extract the hours from the string
                            var minutes     = time.split(":")[1]; // extract the minutes from the string

                            // Convert hours and minutes to numbers
                            var hoursNum    = parseInt(hours, 10);
                            var minutesNum  = parseInt(minutes, 10);

                            // Convert the total minutes to the desired format
                            var time        = hoursNum + " Hour(s) " + minutesNum + " Minute(s)";
                        }
                        loadDirectionHtml  += `<tr>
                                    <td>`+line.Direction+`</td>
                                    <td>`+dist+`</td>
                                    <td>`+time+`</td>
                                </tr>`;
                    });
                });

                loadDirectionHtml          += `
                            </tbody>
                        </table>
                    </div>`;
                $('#turn-by-collapse .card-body').html(loadDirectionHtml);
                // Turn By Turn Direction
            });
        }else{
            $('#map').html('');
            $('#load-mileage-collapse .loadMileage-main').html('');
            $('#turn-by-collapse .card-body').html('');
        }

        if($('#sortable .geocoding').length === count){
            planTrip(); // This function use for Plan Trip when submit load form
        }
    }
}

function planTrip(){
    // console.log('tripmanagment');
    // return false;
    var deadhead                            = [];
    var pickup                              = [];
    var stops                               = [];
    var delivery                            = [];

    var deadhead_mileage_options            = $('input[name="deadhead_mileage_options"]').val();
    if(deadhead_mileage_options){
        var options                         = JSON.parse(deadhead_mileage_options);
        deadhead.push({
            longitude: options.longitude,
            latitude: options.latitude
        });
    }

    var div                                 = $('#sortable').find('.geocoding');
    $.each(div, function(key,val) {
        var ele                             = $(this);
        var verified                        = ele.find('.geocoding-verified').val();
        if(verified==1){
            var longitude                   = ele.find('.geocoding-longitude').val();
            var latitude                    = ele.find('.geocoding-latitude').val();
            if(typeof $(val).attr('data-stop_index') === "undefined"){
                if(ele.attr('data-customer_type')==1){
                    pickup.push({
                        longitude: longitude,
                        latitude: latitude
                    });
                }else{
                    delivery.push({
                        longitude: longitude,
                        latitude: latitude
                    });
                }
            }else{
                stops.push({
                    longitude: longitude,
                    latitude: latitude
                });
            }
        }
    });

    var drawTrip                            = false;
    if(pickup.length > 0 && delivery.length > 0){
        drawTrip                            = true;
    }

    if(drawTrip){
        console.log('drawTrip');

        var arr1                            = deadhead.concat(pickup);
        var arr2                            = arr1.concat(stops);
        var combinedArray                   = arr2.concat(delivery);

        var plannedStartLocation            = {
            Coords:{
                Lat: combinedArray[0].latitude,
                Lon: combinedArray[0].longitude,
            }
        };

        var stopArray                       = [];
        var stopSequence                    = 0;
        $('#sortable .geocoding').each(function(key, val) {
            if(key == 0){
                var stopType                = 'Origin';
                if(deadhead.length > 0){
                    var myObject            = {
                        Location: {
                            Coords: {
                                Lat: deadhead[0].latitude,
                                Lon: deadhead[0].longitude
                            },
                        },
                        stopType: stopType,
                        stopSequence: stopSequence
                    };
                    var Label               = $('.truck-number').val();
                    if(Label){
                        $.extend(myObject.Location, { Label: Label });
                    }
                    stopArray.push(myObject);

                    ++stopSequence;
                    stopType                = 'Pickup';
                }

                var myObject                = {
                    Location: {
                        Coords: {
                            Lat: $(val).find('.geocoding-latitude').val(),
                            Lon: $(val).find('.geocoding-longitude').val()
                        },
                    },
                    stopType: stopType,
                    stopSequence: stopSequence
                };
                var customer_id             = $("#shipper_id option:selected").val();
                if(customer_id){
                    var Label               = $("#shipper_id option:selected").text();
                    $.extend(myObject.Location, { Label: Label });
                }

                // Input date and time
                var inputDateTime           = $(val).find('[name="shipper_date_time"]').val();
                if(inputDateTime){
                    // Convert inputDateTime to Moment.js object
                    var momentObj           = moment(inputDateTime, DateTimeFormat);
                    // Convert to the desired format "2017-09-19T16:45:00"
                    var desiredFormat       = momentObj.format("YYYY-MM-DDTHH:mm:ss");
                    $.extend(myObject, { earliestArrivalTime: desiredFormat, latestArrivalTime: desiredFormat });
                }

                stopArray.push(myObject);
            }else{
                var Label                   = '';
                var desiredFormat           = '';
                if($(val).attr('data-stop_index')){
                    if($(val).attr('data-customer_type')=='1'){
                        var stopType        = 'Pickup';
                    }else{
                        var stopType        = 'Delivery';
                    }
                    var customer_id         = $(val).find(".stop-select2 option:selected").val();
                    if(customer_id){
                        Label               = $(val).find(".stop-select2 option:selected").text();
                    }
                    // Input date and time
                    var inputDateTime       = $(val).find('.stop-date-time').val();
                    if(inputDateTime){
                        // Convert inputDateTime to Moment.js object
                        var momentObj       = moment(inputDateTime, DateTimeFormat);
                        // Convert to the desired format "2017-09-19T16:45:00"
                        desiredFormat       = momentObj.format("YYYY-MM-DDTHH:mm:ss");
                    }
                }else{
                    var stopType            = 'Destination';
                    var customer_id         = $("#receiver_id option:selected").val();
                    if(customer_id){
                        Label               = $("#receiver_id option:selected").text();
                    }
                    // Input date and time
                    var inputDateTime       = $(val).find('[name="delivery_date_time"]').val();
                    if(inputDateTime){
                        // Convert inputDateTime to Moment.js object
                        var momentObj       = moment(inputDateTime, DateTimeFormat);
                        // Convert to the desired format "2017-09-19T16:45:00"
                        desiredFormat       = momentObj.format("YYYY-MM-DDTHH:mm:ss");
                    }
                }

                var myObject                = {
                    Location: {
                        Coords: {
                            Lat: $(val).find('.geocoding-latitude').val(),
                            Lon: $(val).find('.geocoding-longitude').val()
                        },
                    },
                    stopType: stopType,
                    stopSequence: stopSequence
                };
                if(Label){
                    $.extend(myObject.Location, { Label: Label });
                }
                if(desiredFormat){
                    $.extend(myObject, { earliestArrivalTime: desiredFormat, latestArrivalTime: desiredFormat });
                }

                stopArray.push(myObject);
            }
            ++stopSequence;
        });

        var tollDiscouraged                 = false;
        var tollDiscouragedVal              = $('.geocoding-toll-roads').val();
        if(tollDiscouragedVal!='3'){
            tollDiscouraged                 = true;
        }

        var elevationLimit                  = 0;
        var elevationLimitVal               = $('.geocoding-max-elevation').val();
        if(elevationLimitVal){
            elevationLimit                  = parseInt(elevationLimitVal);
        }

        if($('.geocoding-close-borders').val()==1){
            var bordersOpen                 = false;
        }else{
            var bordersOpen                 = true;
        }

        var hazmatType                      = 0;
        if($('select[name="hazardous_load"]').val()==1){
            hazmatType                      = parseInt($('select[name="hazardous_options"]').val());
        }

        var truckDimensions                 = 0;
        var trkLength                       = '';
        if($('input[name="truck_length"]').val()!=''){
            trkLength                       = convertInches($('input[name="truck_length"]').val());
        }
        var trkWidth                        = '';
        if($('input[name="truck_width"]').val()!=''){
            trkWidth                        = convertInches($('input[name="truck_width"]').val());
        }
        var trkHeight                       = '';
        if($('input[name="truck_height"]').val()!=''){
            trkHeight                       = convertInches($('input[name="truck_height"]').val());
        }
        var trkWeight                       = '';
        if ($('input[name="itemize"]').is(":checked")) {
            var trkWeightArry               = [];
            $('#pickup-delivery-collapse .stop[data-customer_type="1"]').each(function (key, val){
                var that                    = $(this);
                trkWeightArry.push(that.find('.stop-weight').val());
            });
            var trkWeightArry               = trkWeightArry.filter(function (el) {
                return el != null && el != "";
            });
            var sum                         = 0;
            $.each(trkWeightArry, function(index, value) {
                sum                         += removeNumberWithCommas(value);
            });
            if(sum > 0){
                trkWeight                   = sum;
            }
        }else{
            if($('input[name="weight"]').val()!=''){
                trkWeight                   = removeNumberWithCommas($('input[name="weight"]').val());
            }
        }
        if(trkLength!='' && trkWidth!='' && trkHeight!='' && trkWeight!=''){
            truckDimensions                 = 16;
        }

        var myobj                           = {
            tollDiscouraged: tollDiscouraged,
            elevationLimit: elevationLimit,
            bordersOpen: bordersOpen,
            hazmatType: hazmatType
        };
        if(truckDimensions===16){
            // myobj.truckDimensions        = truckDimensions;
        }
        if(trkLength!=''){
            // myobj.totalLength            = trkLength;
        }
        if(trkWidth!=''){
            // myobj.maxWidth               = trkWidth;
        }
        if(trkHeight!=''){
            // myobj.maxHeight              = trkHeight;
        }
        if(trkWeight!=''){
            // myobj.totalWeight            = trkWeight;
        }

        if($("#loadTripId").val() === ""){
            console.log('planTrip');
            // return false;
            let name                        = 'Trip-' + $('[name="load_tms_trip_id"]').val();
            let tmsTripId                   = 'TMS-Trip-' + $('[name="load_tms_trip_id"]').val();

            const reqData                   = JSON.stringify({
                "name": name,
                "tmsTripId": tmsTripId,
                "plannedStartLocation": plannedStartLocation,
                "stops": stopArray,
                "routingProfile": myobj
            });

            $.ajax({
                url: "https://tripmanagement.alk.com/api/trip", // The web service endpoint.
                type: "POST",
                data: reqData, // Request data that will be sent to the service. Details for each API are listed in the help pages.
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                beforeSend: function (xhr) {
                    xhr.setRequestHeader("Authorization", TrimbleMaps.APIKey); // The API key obtained from Trimble Maps.
                },
                success: function (resp) {
                    if(resp != ""){
                        $("#loadTripId").val(resp.alkTripId);

                        if($("#loadIdForTrip").val() != undefined){
                            $.ajax({
                                url: "/company-admin/update-load-trip",
                                type: "POST",
                                data: {
                                    _token: $('[name="csrf-token"]').attr('content'),
                                    load_id: $("#loadIdForTrip").val(),
                                    load_trip_id: resp.alkTripId
                                },
                                dataType: "json",
                                success: function (resp) {
                                    // console.log(resp);
                                }
                            });
                        }
                    }
                },
                error: function (resp) {
                    // console.log(resp);
                }
            });
        }else{
            console.log('modifyTrip');
            // return false;
            let tripId                      = $("#loadTripId").val();
            if(tripId != ""){
                const reqData               = JSON.stringify({
                    "tripId": tripId,
                    "plannedStartLocation": plannedStartLocation,
                    "stops": stopArray,
                    "routingProfile": myobj
                });

                $.ajax({
                    url: "https://tripmanagement.alk.com/api/trip/modify", // The web service endpoint.
                    type: "PUT",
                    data: reqData,
                    contentType: "application/json; charset=utf-8",
                    dataType: "json",
                    beforeSend: function (xhr) {
                        xhr.setRequestHeader("Authorization", TrimbleMaps.APIKey); // The API key obtained from Trimble Maps.
                    },
                    success: function (resp) {
                        if(resp.success){
                            // console.log('Trip updated');
                        }
                    },
                    error: function (resp) {
                        // console.log(resp);
                    }
                });
            }
        }
    }
}

function convertInches(feetInches){
    let data                                = feetInches.split("'");
    let feet                                = parseInt(data[0]);
    let inches                              = parseInt(data[1].replace('"', ''));
    let convertedInches                     = (12 * feet) + inches;
    return parseFloat(convertedInches).toFixed(2);
}