@extends($adminTheme)

@section('title')
    Account Edit
@endsection

@section('header-title')
    Edit User
@endsection

@section('content')
{!! Form::model($account, array('route' => ['admin.accounts.update',$account->id],'method'=>'PATCH','files'=>'true')) !!}

    <div class="row">
        <div class="col-lg-6">
            <div class="white-box mb-4 generalAccount">
                <h4 class="box-title">General Information</h4>
                <div class="box-padding">
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>First name<span>*</span></label>
                                {!! Form::text('first_name', old('first_name'), array('class' => 'form-control', 'autocomplete' => 'new')) !!}
                                @error('first_name')
                                    <span class="text-danger" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>
                        <div class="col-md-6 col-sm-9">
                            <div class="form-group">
                                <label>Last name<span>*</span></label>
                                {!! Form::text('last_name', old('last_name'), array('class' => 'form-control', 'autocomplete' => 'new')) !!}
                                @error('last_name')
                                    <span class="text-danger" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Phone</label>
                                {!! Form::text('phone', old('phone'), array('placeholder' => '(555) 123-1234', 'class' => 'form-control phone', 'autocomplete' => 'new_phone')) !!}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-lg-6">
            <div class="white-box mb-4 generalAccount">
                <h4 class="box-title">Account Information</h4>
                <div class="box-padding">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Email<span>*</span></label>
                                {!! Form::text('email', old('email'), array('class' => 'form-control', 'autocomplete' => 'form-control', 'autocomplete' => 'new_email')) !!}
                                @error('email')
                                    <span class="text-danger" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Type<span>*</span></label>
                                {!! Form::select('type', ['0' => 'Admin', '1' => 'Sub Admin', '2' => 'Support'], null, ['class' => 'custom-select form-control']) !!}
                                @error('type')
                                    <span class="text-danger" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="button-bottom">
        <a href="{{ route('admin.accounts.index') }}" class="cancel-btn">Cancel</a>
        <button class="submit-btn">Submit</button>
    </div>
    
{!! Form::close() !!}
@endsection