@extends($adminTheme)

@section('title')
    Announcement
@endsection

@section('header-title')
    New Announcement
@endsection

@section('style')
    <link rel="stylesheet" href="{{ asset('theme/css/select2.min.css') }}">
    <link rel="stylesheet" href="{{ asset('theme/css/bootstrap-datetimepicker.min.css') }}">
    <style type="text/css">
        .select2-container{
            width: 100% !important;
        }
        .select2-container .select2-selection--single{
            height: 39px;
        }
        .select2-container--default .select2-selection--single{
            border: 1px solid #C5CEE0;
        }
        .select2-container--default .select2-selection--single .select2-selection__rendered{
            line-height: 36px;
            font-size: 17px;
        }
        .select2-container--default .select2-selection--single .select2-selection__arrow{
            height: 31px;
        }
        .ck-editor__editable_inline {
            min-height: 150px !important;
        }
    </style>
@endsection

@section('content')
    {!! Form::open(array('route' => 'admin.announcement.store','method'=>'POST','files'=>'true','autocomplete'=>'off','class'=>'post-form')) !!}
        <div class="row">
            <div class="col-lg-12">
                <div class="white-box mb-4 generalAccount">
                    <h4 class="box-title">Announcement Information</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Name<span>*</span></label>
                                    {!! Form::text(
                                        'name',
                                        old('name'),
                                        array(
                                            'class'         => 'form-control',
                                            'id'            => 'name',
                                            'autocomplete'  => 'new',
                                            'required'      => 'required'
                                        )
                                    ) !!}
                                    @error('name')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-2 mb-3" style="max-width: 10%">
                                <div class="form-group mb-0 pt-1">
                                    <label class="control-label">Make Alert: </label><br/>
                                    <div class="custom-control custom-radio custom-control-inline">
                                        <input type="radio" id="show-on-top-no" name="show_on_top" value="0" class="custom-control-input showOnTop-radio" checked>
                                        <label class="custom-control-label" for="show-on-top-no">No</label>
                                    </div>
                                    <div class="custom-control custom-radio custom-control-inline">
                                        <input type="radio" id="show-on-top-yes" name="show_on_top" value="1" class="custom-control-input showOnTop-radio">
                                        <label class="custom-control-label" for="show-on-top-yes">Yes</label>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-2 d-none alert-div" style="max-width: 10%">
                                <div class="form-group mb-0 pt-1">
                                    <label class="control-label">Sticky: </label><br/>
                                    <div class="custom-control custom-radio custom-control-inline">
                                        <input type="radio" id="not-sticky" name="sticky" value="0" class="custom-control-input sticky-radio" checked>
                                        <label class="custom-control-label" for="not-sticky">No</label>
                                    </div>
                                    <div class="custom-control custom-radio custom-control-inline">
                                        <input type="radio" id="announcement-sticky" name="sticky" value="1" class="custom-control-input sticky-radio">
                                        <label class="custom-control-label" for="announcement-sticky">Yes</label>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-2 d-none alert-div">
                                <div class="form-group">
                                    <label>Schedule Start View<span>*</span></label>
                                    {!! Form::text('start_view', old('start_view'), array('id' => 'start-view', 'class' => 'form-control date', 'autocomplete' => 'new', 'required' => 'required')) !!}
                                </div>
                            </div>
                            <div class="col-md-2 d-none" id="endViewDiv">
                                <div class="form-group">
                                    <label>Schedule End View<span>*</span></label>
                                    {!! Form::text('end_view', old('end_view'), array('id' => 'end-view', 'class' => 'form-control date', 'autocomplete' => 'new')) !!}
                                </div>
                            </div>
                            <div class="col-md-2 d-none alert-div">
                                <div class="form-group mw-10">
                                    <label>Color</label>
                                    {!! Form::color('bg_color', old('bg_color', '#b8daff'), array( 'class' => 'form-control', 'id' => 'bg-color', 'autocomplete'  => 'new', 'title' => 'Choose your color', 'required' => 'required')) !!}
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Description<span>*</span></label>
                                    {!! Form::textarea(
                                        'description',
                                        old('description'),
                                        array(
                                            'class'         => 'form-control tinymce-editor',
                                            'id'            => 'description',
                                            'rows'          => '4',
                                            'required'      => 'required'
                                        )
                                    ) !!}
                                    @error('description')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <div class="checkbox d-inline-block mr-2">
                                                <label class="control-label"><strong>Show: </strong>
                                            </div>
                                            <div class="form-check form-check-inline">
                                              <input class="form-check-input" type="checkbox" name="show_manager" id="show_manager" value="1">
                                              <label class="form-check-label" for="show_manager">Manager</label>
                                            </div>
                                            <div class="form-check form-check-inline">
                                              <input class="form-check-input" type="checkbox" name="show_dispatcher" id="show_dispatcher" value="2">
                                              <label class="form-check-label" for="show_dispatcher">Dispatcher</label>
                                            </div>
                                            <div class="form-check form-check-inline">
                                              <input class="form-check-input" type="checkbox" name="show_driver" id="show_driver" value="3">
                                              <label class="form-check-label" for="show_driver">Driver</label>
                                            </div>
                                            <div class="form-check form-check-inline">
                                              <input class="form-check-input" type="checkbox" name="show_company" id="show_company" value="0">
                                              <label class="form-check-label" for="show_company">CC</label>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-12" id="company_id_div" style="display: none;">
                                        <label>Select Company</label>
                                        <div class="form-group">
                                            <select multiple="multiple" class="form-control" name="company_id[]" id="company_id">
                                            @foreach($getCompanyList as $aKey => $getCompany)
                                                <option value="{{$getCompany->id}}">{{$getCompany->name}}</option>
                                            @endforeach
                                            </select>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <div class="checkbox d-inline-block mr-2">
                                        <label class="control-label"><strong>Notify: </strong>
                                    </div>
                                    <div class="form-check form-check-inline">
                                      <input class="form-check-input" type="checkbox" name="notify_manager" id="notify_manager" value="1">
                                      <label class="form-check-label" for="notify_manager">Manager</label>
                                    </div>
                                    <div class="form-check form-check-inline">
                                      <input class="form-check-input" type="checkbox" name="notify_dispatcher" id="notify_dispatcher" value="2">
                                      <label class="form-check-label" for="notify_dispatcher">Dispatcher</label>
                                    </div>
                                    <div class="form-check form-check-inline">
                                      <input class="form-check-input" type="checkbox" name="notify_driver" id="notify_driver" value="3">
                                      <label class="form-check-label" for="notify_driver">Driver</label>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="button-bottom">
            <a href="{{ route('admin.announcement.index') }}" class="cancel-btn">Cancel</a>
            <button class="submit-btn">Submit</button>
        </div>
    {!! Form::close() !!}
@endsection

@section('script')
    <script src="{{ asset('theme/js/select2.full.min.js') }}"></script>
    <script src="{{ asset('theme/js/ckeditor/full/ckeditor.js') }}"></script>
    <script src="{{ asset('theme/js/bootstrap-datetimepicker.min.js') }}"></script>
    <script type="text/javascript">
        $(function(){
            $('.date').datetimepicker({
                format: 'MM/DD/YYYY HH:mm',
                useCurrent: false
            });
            $(document).on('change', '.showOnTop-radio', function (){
                if($(this).val() == '1'){
                    $('.alert-div').removeClass('d-none');
                    $('#start-view').attr('required', 'required');
                }else{
                    $('.alert-div').addClass('d-none');
                    $('#not-sticky').prop('checked', true).trigger('change');
                    $('#start-view').val("").removeAttr('required');
                }
            });
            $(document).on('change', '.sticky-radio', function (){
                if($(this).val() == '1'){
                    $('#endViewDiv').removeClass('d-none');
                    $('#end-view').attr('required', 'required');
                }else{
                    $('#endViewDiv').addClass('d-none');
                    $('#end-view').val("").removeAttr('required');
                }
            });
        });

        $( document ).ready(function() {
            var parsleyConfig = {
                errorsContainer: function(parsleyField) {
                    if (parsleyField.$element.hasClass('tinymce-editor')) {
                        return parsleyField.$element.parent("div");
                    }
                    return parsleyField;
                }
            };
            $('.post-form').parsley(parsleyConfig);

            $('#company_id').select2();
            CKEDITOR.replace('description');
            CKEDITOR.on('instanceReady', function () {
                $('.post-form #description').attr('required', '');
                $.each(CKEDITOR.instances, function (instance) {
                    CKEDITOR.instances[instance].on("change", function (e) {
                        for (instance in CKEDITOR.instances) {
                            CKEDITOR.instances[instance].updateElement();
                            $('.post-form').parsley().validate();
                        }
                    });
                });
            });

            $('input[type="checkbox"][name="show_company"]').change(function() {
                if (this.checked) {
                    $('#company_id_div').show('200');
                    $('#company_id').prop('required',true);
                } else {
                    $('#company_id_div').hide('200');
                    $('#company_id').prop('required',false);
                }
            });
        });
    </script>
@endsection
