@extends($adminTheme)

@section('title')
    Announcement
@endsection

@section('header-title')
    View Announcement
@endsection

@section('style')
<style type="text/css">
	h5 {
		font-size: 18px;
	}
</style>
@endsection

@section('content')
<div class="row">
    <div class="col-lg-12">
        <div class="white-box mb-4 generalAccount">
            <h4 class="box-title">General Information</h4>
            <div class="box-padding">
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>Name</label>
                            <h5>{{ $announcement->name }}</h5>
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group mb-0">
                            <label>Description</label>
                        </div>
                        <p>{!! $announcement->description !!}</p>
                    </div>
                    <div class="col-md-3">
                        <div class="form-group">
                            <div class="row">
                                <label class="col-md-12">Make Alert</label>
                            </div>
                            @if ($announcement->show_on_top == '1')
                                <label class="badge badge-success text-white">Yes</label>
                            @else
                                <label class="badge badge-danger text-white">No</label>
                            @endif
                        </div>
                    </div>
                    @if ($announcement->show_on_top == '1')
                        <div class="col-md-3">
                            <div class="form-group">
                                <div class="row">
                                    <label class="col-md-12">Sticky</label>
                                </div>
                                @if ($announcement->sticky == '1')
                                    <label class="badge badge-success text-white">Yes</label>
                                @else
                                    <label class="badge badge-danger text-white">No</label>
                                @endif
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label>Schedule Start View</label>
                            </div>
                            <h5>
                                {!! $announcement->start_view ?? '-' !!}
                            </h5>
                        </div>
                        @if($announcement->sticky == '1')
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Schedule End View</label>
                                </div>
                                <h5>
                                    {!! $announcement->end_view ?? '-' !!}
                                </h5>
                            </div>
                        @endif
                        <div class="col-md-3">
                            <div class="form-group mb-0">
                                <label>Color</label>
                            </div>
                            @if($announcement->bg_color != '')
                                <i class="fa fa-square" aria-hidden="true" style="font-size: 35px; color:{!! $announcement->bg_color ?? '' !!}"></i>
                            @endif
                        </div>
                    @endif
                    @php
                        $showCheckboxes             = [];
                        if(!is_null($announcement->show_up)){
                            $showCheckboxes         = explode(',',$announcement->show_up);
                        }
                        $notifyCheckboxes           = [];
                        if(!is_null($announcement->notify)){
                            $notifyCheckboxes       = explode(',',$announcement->notify);
                        }
                        $company_style              = 'style="display:none;"';
                        $company_id                 = [];
                        if(!is_null($announcement->company_id)){
                            $company_id             = explode(',',$announcement->company_id);
                            if(!empty($company_id)){
                                $company_style      = '';
                            }
                        }
                    @endphp
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>Show</label>
                            <div class="row">
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <div class="row">
                                            <label class="col-md-12">Manager</label>
                                        </div>
                                        @if (in_array('1', $showCheckboxes))
                                            <label class="badge badge-success text-white">Yes</label>
                                        @else
                                            <label class="badge badge-danger text-white">No</label>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <div class="row">
                                            <label class="col-md-12">Dispatcher</label>
                                        </div>
                                        @if (in_array('2', $showCheckboxes))
                                            <label class="badge badge-success text-white">Yes</label>
                                        @else
                                            <label class="badge badge-danger text-white">No</label>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <div class="row">
                                            <label class="col-md-12">Driver</label>
                                        </div>
                                        @if (in_array('3', $showCheckboxes))
                                            <label class="badge badge-success text-white">Yes</label>
                                        @else
                                            <label class="badge badge-danger text-white">No</label>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <div class="row">
                                            <label class="col-md-12">CC</label>
                                        </div>
                                        @if ($company_style=='')
                                            <label class="badge badge-success text-white">Yes</label>
                                        @else
                                            <label class="badge badge-danger text-white">No</label>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Select Company</label>
                                        @php
                                            $companyNameArray           = [];
                                        @endphp
                                        @foreach($getCompanyList as $aKey => $getCompany)
                                            @if(in_array($getCompany->id, $company_id))
                                                @php
                                                    $companyNameArray[] = $getCompany->name;
                                                @endphp
                                            @endif
                                        @endforeach
                                        <h5>{{ implode(' , ', $companyNameArray) }}</h5>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>Notify</label>
                            <div class="row">
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <div class="row">
                                            <label class="col-md-12">Manager</label>
                                        </div>
                                        @if (in_array('1', $notifyCheckboxes))
                                            <label class="badge badge-success text-white">Yes</label>
                                        @else
                                            <label class="badge badge-danger text-white">No</label>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <div class="row">
                                            <label class="col-md-12">Dispatcher</label>
                                        </div>
                                        @if (in_array('2', $notifyCheckboxes))
                                            <label class="badge badge-success text-white">Yes</label>
                                        @else
                                            <label class="badge badge-danger text-white">No</label>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <div class="row">
                                            <label class="col-md-12">Driver</label>
                                        </div>
                                        @if (in_array('3', $notifyCheckboxes))
                                            <label class="badge badge-success text-white">Yes</label>
                                        @else
                                            <label class="badge badge-danger text-white">No</label>
                                        @endif
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>Created At</label>
                            <h5>
                                {{ \Carbon\Carbon::createFromFormat('Y-m-d H:i:s', $announcement->created_at)->setTimezone($getTimeZone)->format(getTimeLayout())." ".$getTimeZoneId }}
                            </h5>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
