@extends($adminTheme)

@section('title')
    Company Create
@endsection

@section('header-title')
    New User
@endsection

@section('style')
@endsection

@section('content')
    {!! Form::open(array(
            'route'         => 'admin.companies.store',
            'method'        => 'POST',
            'files'         => 'true',
            'autocomplete'  => 'off',
            'class'         => 'post-form'
        )
    ) !!}
        <div class="row">
            <div class="col-lg-6">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="white-box mb-4 generalAccount">
                            <h4 class="box-title">General Information</h4>
                            <div class="box-padding">
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <label>Company Id<span>*</span></label>
                                            {!! Form::text('company_id', old('company_id'), array(
                                                    'class'                         => 'form-control',
                                                    'autocomplete'                  => 'new',
                                                    'data-parsley-pattern'          => '^[a-zA-Z0-9]+$',
                                                    'data-parsley-pattern-message'  => 'Please enter only alphanumeric characters.',
                                                    'required'                      => 'required'
                                                )
                                            ) !!}
                                            @error('company_id')
                                                <span class="text-danger" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <label>Company Name<span>*</span></label>
                                            {!! Form::text('name', old('name'), array('class' => 'form-control', 'autocomplete' => 'new', 'required' => 'required')) !!}
                                            @error('name')
                                                <span class="text-danger" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                    </div>
                                    <!-- Added at - 18-04-2023 -->
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Short Name<span>*</span> <i class="fa fa-info-circle tooltipSname"><span class="tooltiptextsname">Please enter a short name for the company which would uniquely identify this company. It will also be used as the username for their email address e.g. shortname@info.compellabs.com</span></i></label>
                                            {!! Form::text('shortname', old('shortname'), array('class' => 'form-control', 'autocomplete' => 'new', 'required' => 'required', 'maxlength' => 20)) !!}
                                            @error('shortname')
                                                <span class="text-danger" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="col-md-12 geocoding">
                                        <input type="hidden" class="geocoding-latitude" name="latitude" value="" autocomplete="off">
                                        <input type="hidden" class="geocoding-longitude" name="longitude" value="" autocomplete="off">
                                        <input type="hidden" class="geocoding-abbr" name="timezone_abbr" value="" autocomplete="off" data-parsley-errors-container="#timezone_abbr-errors" data-parsley-required-message="Please verify address" required>
                                        <input type="hidden" class="geocoding-verified" name="address_verified" value="0" autocomplete="off">
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>Address</label>
                                                    {!! Form::text('address', old('address'), array(
                                                            'class'         => 'form-control geocoding-address-1',
                                                            'placeholder'   => '',
                                                            'id'            => 'address',
                                                            'required'      => 'required'
                                                        )
                                                    ) !!}
                                                    @error('address')
                                                        <span class="text-danger" role="alert">
                                                            <strong>{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>Address 2</label>
                                                    {!! Form::text('address_2', old('address_2'), array(
                                                            'class'         => 'form-control geocoding-address-2',
                                                            'placeholder'   => '',
                                                            'id'            => 'address_2'
                                                        )
                                                    ) !!}
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>City</label>
                                                    {!! Form::text('city', old('city'), array(
                                                            'class'         => 'form-control geocoding-city',
                                                            'placeholder'   => '',
                                                            'id'            => 'city'
                                                        )
                                                    ) !!}
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>State</label>
                                                    {!! Form::text('state', old('state'), array(
                                                            'class'         => 'form-control geocoding-state',
                                                            'placeholder'   => '',
                                                            'id'            => 'state',
                                                            'required'      => 'required'
                                                        )
                                                    ) !!}
                                                    @error('state')
                                                        <span class="text-danger" role="alert">
                                                            <strong>{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>Zip</label>
                                                    {!! Form::text('zip', old('zip'), array(
                                                            'class'         => 'form-control geocoding-zip',
                                                            'placeholder'   => '',
                                                            'id'            => 'zip',
                                                            'required'      => 'required'
                                                        )
                                                    ) !!}
                                                    @error('zip')
                                                        <span class="text-danger" role="alert">
                                                            <strong>{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <button type="button" class="btn btn-warning geocoding-btn" data-uid="{{ 'map-'.generateStrUniqueId() }}">Verify</button>
                                                <div id="timezone_abbr-errors"></div>
                                                @error('timezone_abbr')
                                                    <span class="text-danger" role="alert">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                @enderror
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-12">
                        <div class="white-box mb-4 generalAccount">
                            <h4 class="box-title">SMS Limit Information</h4>
                            <div class="box-padding">
                                <div class="row pt-3 pb-3">
                                    <div class="col-md-12">
                                        <div class="form-group mb-0 pt-1">
                                            <div class="custom-control custom-radio custom-control-inline">
                                                <input type="radio" id="unlimited-sms" name="sms_limit_type" value="0" class="custom-control-input" checked>
                                                <label class="custom-control-label" for="unlimited-sms">Unlimited</label>
                                            </div>
                                            <div class="custom-control custom-radio custom-control-inline">
                                                <input type="radio" id="limited-sms" name="sms_limit_type" value="1" class="custom-control-input">
                                                <label class="custom-control-label" for="limited-sms">Limited</label>
                                            </div>
                                            <div class="custom-control-inline d-none" id="smsLimitDiv">
                                                {!! Form::text('sms_limit', null, array('class' => 'form-control integer-input', 'placeholder' => 'Enter Limit', 'autocomplete' => 'new')) !!}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="white-box mb-4 generalAccount">
                            <h4 class="box-title">Account Information</h4>
                            <div class="box-padding">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>First name<span>*</span></label>
                                            {!! Form::text('first_name', old('first_name'), array('class' => 'form-control', 'autocomplete' => 'new', 'required' => 'required', 'data-parsley-pattern' => '^[a-zA-Z ]*$')) !!}
                                            @error('first_name')
                                            <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Last name<span>*</span></label>
                                            {!! Form::text('last_name', old('last_name'), array('class' => 'form-control', 'autocomplete' => 'new', 'required' => 'required', 'data-parsley-pattern' => '^[a-zA-Z ]*$')) !!}
                                            @error('last_name')
                                            <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Email<span>*</span></label>
                                            {!! Form::text('email', old('email'), array('class' => 'form-control', 'autocomplete' => 'new', 'required' => 'required', 'data-parsley-type' => 'email')) !!}
                                            @error('email')
                                            <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Phone</label>
                                            {!! Form::text('phone', old('phone'), array('placeholder' => '(555) 123-1234', 'class' => 'form-control phone', 'autocomplete' => 'new_phone')) !!}
                                            @error('phone')
                                            <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                            @enderror
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-12">
                        <div class="white-box mb-4 generalAccount">
                            <h4 class="box-title">Trimble Information</h4>
                            <div class="box-padding">
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <label>API Key</label>
                                            {!! Form::text('trimble_api_key', old('trimble_api_key'), array('class' => 'form-control', 'autocomplete' => 'new')) !!}
                                            @error('trimble_api_key')
                                                <span class="text-danger" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-12">
                        <div class="white-box mb-4 generalAccount">
                            <h4 class="box-title">Twilio Information</h4>
                            <div class="box-padding">
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <label>SID</label>
                                            {!! Form::text('twilio_sid', old('twilio_sid'), array('class' => 'form-control', 'autocomplete' => 'new')) !!}
                                            @error('twilio_sid')
                                                <span class="text-danger" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <label>Auth Token</label>
                                            {!! Form::text('twilio_auth_token', old('twilio_auth_token'), array('class' => 'form-control', 'autocomplete' => 'new')) !!}
                                            @error('twilio_auth_token')
                                                <span class="text-danger" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <label>Active Number</label>
                                            {!! Form::text('twilio_active_number', old('twilio_active_number'), array('class' => 'form-control', 'autocomplete' => 'new')) !!}
                                            @error('twilio_active_number')
                                                <span class="text-danger" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="button-bottom">
            <a href="{{ route('admin.companies.index') }}" class="cancel-btn">Cancel</a>
            <button class="submit-btn">Submit</button>
        </div>
    {!! Form::close() !!}
@endsection

@section('script')
    <script type="text/javascript">
        $( document ).ready(function() {
            $('.post-form').parsley({
                excluded: 'input[type=button], input[type=submit], input[type=reset]',
                inputs: 'input, textarea, select, input[type=hidden], :hidden',
            });

            $(document).on('click', '[name="sms_limit_type"]', function (){
                if($(this).val() == '1'){
                    $('#smsLimitDiv').removeClass('d-none');
                }else{
                    $('#smsLimitDiv').addClass('d-none').find('input').val('');
                }
            });
        });
    </script>
@endsection

@push('after-scripts')
    <script src="{{ asset('theme/js/trimble.js') }}"></script>
@endpush
