@extends($adminTheme)

@section('title')
    Companies
@endsection

@section('content')
<div class="table-control">
    <a href="{{ route('admin.companies.create') }}" class="btn green-btn green-link-btn">Add New</a>
</div>

<div class="white-box table-view">
   	<h3 class="table-title">Companies</h3>
    <div class="add-responsive">
      <table class="table data-table">
        <thead>
          <tr>
            <th>Company Name</th>
            <th>Drivers</th>
            <th>Phone</th>
            <th>Monthly Revenue</th>
            <th>Signup Date</th>
            <th style="width: 70px;">Action</th>
          </tr>
        </thead>
        <tbody>
        </tbody>
      </table>
    </div>
</div>
@endsection

@section('script')
<script type="text/javascript">
var table = $('.data-table').DataTable({
    stateSave: true,
    language: {
        search: "",
        searchPlaceholder: "Search...",
    },
    processing: true,
    serverSide: true,
    bJQueryUI: true, 
    // pageLength: 1, 
    order: [[4, "desc"]],
    ajax: "{{ route('admin.companies.index') }}",
    columns: [
        { data: 'name', name: 'name' },
        { data: 'drivers', name: 'drivers' },
        { data: 'phone', name: 'phone' },
        { data: 'monthly_revenue', name: 'monthly_revenue' },
        { data: 'signup_date', name: 'signup_date' },
        { data: 'action', name: 'action', sortable: false }
    ]
});
</script>
@endsection