@extends($adminTheme)

@section('title')
    Email Template
@endsection

@section('header-title')
    New Email Template
@endsection

@section('style')
    <style type="text/css">
        .ck-editor__editable_inline {
            min-height: 150px !important;
        }
    </style>
@endsection

@section('content')
    {!! Form::open(array('route' => 'admin.email-templates.store', 'method'=>'POST', 'files'=>'true', 'autocomplete'=>'off', 'class'=>'post-form')) !!}
        <div class="row">
            <div class="col-lg-12">
                <div class="white-box mb-4 generalAccount">
                    <h4 class="box-title">Email Template Information</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Title <span>*</span></label>
                                    {!! Form::text('title', old('title'), array('class' => 'form-control', 'id' => 'title', 'autocomplete' => 'off', 'placeholder' => 'Enter Title',  'required' => 'required')) !!}
                                    @error('title')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Subject <span>*</span></label>
                                    {!! Form::text('subject', old('subject'), array('class' => 'form-control', 'id' => 'subject', 'autocomplete' => 'off', 'placeholder' => 'Enter Subject', 'required' => 'required')) !!}
                                    @error('subject')
                                    <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Content <span>*</span></label>
                                    {!! Form::textarea('content', old('content'), array('class' => 'form-control tinymce-editor', 'id' => 'content', 'rows' => '4', 'required' => 'required')) !!}
                                    @error('content')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Tags</label>
                                    {!! Form::text('tags', old('tags'), array('class' => 'form-control', 'id' => 'tags', 'placeholder' => 'e.g. {%LOAD_NUMBER%},{%LOAD_TYPE%},{%LOAD_URL%}', 'autocomplete' => 'off')) !!}
                                    <p class="mt-1 font-weight-bold text-danger">NOTE: PLEASE PROVIDE TAGS LIKE {%YOUR_TAG%} WITH COMMA SEPARATED. e.g. {%LOAD_NUMBER%},{%LOAD_TYPE%},{%LOAD_URL%}</p>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Description </label>
                                    {!! Form::textarea('description', old('description'), array('class' => 'form-control', 'id' => 'description', 'rows' => '2', 'placeholder' => 'Enter Description', 'autocomplete' => 'off')) !!}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="button-bottom">
            <a href="{{ route('admin.email-templates.index') }}" class="cancel-btn">Cancel</a>
            <button class="submit-btn">Submit</button>
        </div>
    {!! Form::close() !!}
@endsection

@section('script')
    <script src="{{ asset('theme/js/ckeditor/full/ckeditor.js') }}"></script>
    <script type="text/javascript">
        $(function(){
            var parsleyConfig = {
                errorsContainer: function(parsleyField) {
                    if (parsleyField.$element.hasClass('tinymce-editor')) {
                        return parsleyField.$element.parent("div");
                    }
                    return parsleyField;
                }
            };
            $('.post-form').parsley(parsleyConfig);

            CKEDITOR.replace('content');
            CKEDITOR.on('instanceReady', function () {
                $('.post-form #content').attr('required', '');
                $.each(CKEDITOR.instances, function (instance) {
                    CKEDITOR.instances[instance].on("change", function (e) {
                        for (instance in CKEDITOR.instances) {
                            CKEDITOR.instances[instance].updateElement();
                            $('.post-form').parsley().validate();
                        }
                    });
                });
            });
        });
    </script>
@endsection
