@extends($adminTheme)

@section('title')
    Event Type
@endsection

@section('header-title')
    New Event Type
@endsection

@section('style')
<link rel="stylesheet" type="text/css" href="{{ asset('theme/css/datepicker3.min.css') }}">
<link rel="stylesheet" href="{{ asset('theme/css/bootstrap-datetimepicker.min.css') }}">

@endsection

@section('content')
{!! Form::open(array('route' => 'admin.event-type.store','method'=>'POST','files'=>'true','class'=>'store-form')) !!}
    
<div class="row">
    <div class="col-lg-12">
        <div class="white-box mb-4 generalAccount">
            <h4 class="box-title">Event Type Information</h4>
            <div class="box-padding">
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label>Name<span>*</span></label>
                            {!! Form::select('name', ['' => 'Select Event Type']+getEventTypes(), null, ['class' => 'custom-select form-control', 'required' => 'required']) !!}
                            @error('name')
                                <span class="text-danger" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label>Event Type Color<span>*</span></label>
                            <div class="boxcolor">
                                @php $i=0; @endphp
                                @foreach(getColorCode() as $code)
                                <label for="cbox{{$i}}" class="bcodcoe @if($i==0) active @endif" style="background-color:{{$code}}">
                                    <input type="radio" name="color" value="{{$code}}" id="cbox{{$i}}">
                                </label>
                                @php $i++; @endphp
                                @endforeach
                            </div>
                        </div>
                        
                    </div>
                </div>
            </div>
        </div>
    </div>
    
</div>
<div class="button-bottom">
    <a href="{{ route('admin.event-type.index') }}" class="cancel-btn">Cancel</a>
    <button class="submit-btn">Submit</button>
</div>
    
{!! Form::close() !!}
@endsection

@section('script')
<script src="{{ asset('theme/js/moment.min.js') }}"></script>
<script src="{{ asset('theme/js/bootstrap-datetimepicker.min.js') }}"></script>

<script type="text/javascript">
    $('.store-form').parsley();
    $('.boxcolor input[name="color"]').click(function() {
      $(this).parent().addClass('active').siblings('label').removeClass('active')
    });
</script>
@endsection
