@if($type == 'truck_status_logs')

<div class="modal-header">
    <h5 class="modal-title" id="logModalLabel">Truck Status Log - {{ $month_name }} {{ $year }}</h5>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
<div class="modal-body">
    <div class=" px-3 py-2 mb-4">
        <div class="row">
            <div class="col-12">
                <div class="table-responsive logmoald">
                    <table class="table">
                        <thead>
                            <tr>
                                <th>Truck Name</th>
                                <th>Status</th>
                                <th>Date</th>
                            </tr>
                        </thead>
                        <tbody>
                        @if(count($statusLog) > 0)
                            @foreach($statusLog as $data)
                                <tr>
                                    <th>{{ $data->truck->truck_unique_id }} {{ $data->truck->vin_number }}</th>
                                   
                                    @if($data->status_id == 0)
                                    <th class="text-success">Active</th>
                                    @elseif($data->status_id == 1)
                                    <th class="text-success">OOS</th>
                                    @elseif($data->status_id == 2)
                                    <th class="text-danger">Terminate</th>
                                    @elseif($data->status_id == 3)
                                    <th class="text-warning">Rehire</th>
                                    @else
                                    <th>None</th>
                                    @endif
                                    
                                    <th>{{ $data->created_at }}</th>
                                </tr>
                            @endforeach
                        @else
                            <tr>
                                <th colspan="3">no record found!</th>
                            </tr>
                        @endif
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        <div class="row">
            <div></div>
        </div>
    </div>
</div>
@endif

@if($type == 'driver_status_logs')

<div class="modal-header">
    <h5 class="modal-title" id="logModalLabel">Driver Status Log- {{ $month_name }} {{ $year }}</h5>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
<div class="modal-body">
    <div class=" px-3 py-2 mb-4">
        <div class="row">
            <div class="col-12">
                <div class="table-responsive logmoald">
                    <table class="table">
                        <thead>
                            <tr>
                                <th>Truck Name</th>
                                <th>Status</th>
                                <th>Date</th>
                            </tr>
                        </thead>
                        <tbody>
                        @if(count($statusLog) > 0)
                            @foreach($statusLog as $data)
                                <tr>
                                    <th>{{ $data->driver->full_name }}</th>
                                   
                                    @if($data->status_id == 0)
                                    <th class="text-success">Active</th>
                                    @elseif($data->status_id == 1)
                                    <th class="text-success">OOS</th>
                                    @elseif($data->status_id == 2)
                                    <th class="text-danger">Terminate</th>
                                    @elseif($data->status_id == 3)
                                    <th class="text-warning">Rehire</th>
                                    @else
                                    <th>None</th>
                                    @endif
                                    
                                    <th>{{ $data->created_at }}</th>
                                </tr>
                            @endforeach
                        @else
                            <tr>
                                <th colspan="3">no record found!</th>
                            </tr>
                        @endif
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        <div class="row">
            <div></div>
        </div>
    </div>
</div>
@endif

@if($type == 'trailer_status_logs')
<div class="modal-header">
    <h5 class="modal-title" id="logModalLabel">Trailer Status Log- {{ $month_name }} {{ $year }}</h5>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
<div class="modal-body">
    <div class=" px-3 py-2 mb-4">
        <div class="row">
            <div class="col-12">
                <div class="table-responsive logmoald">
                    <table class="table">
                        <thead>
                            <tr>
                                <th>Trailer Name</th>
                                <th>Status</th>
                                <th>Date</th>
                            </tr>
                        </thead>
                        <tbody>
                        @if(count($statusLog) > 0)
                            @foreach($statusLog as $data)
                                <tr>
                                    <th>{{ $data->trailer->trailer_id }} {{ $data->trailer->vin }}</th>
                                   
                                    @if($data->status_id == 0)
                                    <th class="text-success">Available</th>
                                    @elseif($data->status_id == 1)
                                    <th class="text-danger">Inactive</th>
                                    @elseif($data->status_id == 2)
                                    <th class="text-warning">Hold - Safety</th>
                                    @elseif($data->status_id == 3)
                                    <th class="text-warning">Hold - Shop</th>
                                    @elseif($data->status_id == 4)
                                    <th class="text-warning">Other</th>
                                    @elseif($data->status_id == 5)
                                    <th class="text-warning">OOS (DOT)</th>
                                    @elseif($data->status_id == 6)
                                    <th class="text-warning">OOS (Mech)</th>
                                    @else
                                    <th>None</th>
                                    @endif
                                    
                                    <th>{{ $data->created_at }}</th>
                                </tr>
                            @endforeach
                        @else
                            <tr>
                                <th colspan="3">no record found!</th>
                            </tr>
                        @endif
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        <div class="row">
            <div></div>
        </div>
    </div>
</div>
@endif

@if($type == 'dispatcher_status_logs')
<div class="modal-header">
    <h5 class="modal-title" id="logModalLabel">Dispatcher - {{ $month_name }} {{ $year }}</h5>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
<div class="modal-body">
    <div class=" px-3 py-2 mb-4">
        <div class="row">
            <div class="col-12">
                <div class="table-responsive logmoald">
                    <table class="table">
                        <thead>
                            <tr>
                                <th>Dispatcher Name</th>
                                <th>Status</th>
                                <th>Date</th>
                            </tr>
                        </thead>
                        <tbody>
                        @if(count($statusLog) > 0)
                            @foreach($statusLog as $data)
                                <tr>
                                    <th>{{ $data->companyAdmins->first_name }} {{ $data->companyAdmins->last_name }}</th>
                                   
                                    @if($data->status_id == 0)
                                    <th class="text-success">Active</th>
                                    @elseif($data->status_id == 1)
                                    <th class="text-success">OOS</th>
                                    @elseif($data->status_id == 2)
                                    <th class="text-danger">Terminate</th>
                                    @elseif($data->status_id == 3)
                                    <th class="text-warning">Rehire</th>
                                    @else
                                    <th>None</th>
                                    @endif
                                    
                                    <th>{{ $data->created_at }}</th>
                                </tr>
                            @endforeach
                        @else
                            <tr>
                                <th colspan="3">no record found!</th>
                            </tr>
                        @endif
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        <div class="row">
            <div></div>
        </div>
    </div>
</div>
@endif

@if($type == 'manager_status_logs')
<div class="modal-header">
    <h5 class="modal-title" id="logModalLabel">Manager - {{ $month_name }} {{ $year }}</h5>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
<div class="modal-body">
    <div class=" px-3 py-2 mb-4">
        <div class="row">
            <div class="col-12">
                <div class="table-responsive logmoald">
                    <table class="table">
                        <thead>
                            <tr>
                                <th>Manager Name</th>
                                <th>Status</th>
                                <th>Date</th>
                            </tr>
                        </thead>
                        <tbody>
                        @if(count($statusLog) > 0)
                            @foreach($statusLog as $data)
                                <tr>
                                    <th>{{ $data->companyAdmins->full_name }}</th>
                                   
                                    @if($data->status_id == 0)
                                    <th class="text-success">Active</th>
                                    @elseif($data->status_id == 1)
                                    <th class="text-success">OOS</th>
                                    @elseif($data->status_id == 2)
                                    <th class="text-danger">Terminate</th>
                                    @elseif($data->status_id == 3)
                                    <th class="text-warning">Rehire</th>
                                    @else
                                    <th>None</th>
                                    @endif
                                    
                                    <th>{{ $data->created_at }}</th>
                                </tr>
                            @endforeach
                        @else
                            <tr>
                                <th colspan="3">no record found!</th>
                            </tr>
                        @endif
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        <div class="row">
            <div></div>
        </div>
    </div>
</div>
@endif

@if($type == 'load_logs')
<div class="modal-header">
    <h5 class="modal-title" id="logModalLabel">Load Logs - {{ $month_name }} {{ $year }}</h5>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
<div class="modal-body">
    <div class=" px-3 py-2 mb-4">
        <div class="row">
            <div class="col-12">
                <div class="table-responsive logmoald">
                    <table class="table">
                        <thead>
                            <tr>
                                <th>Load Number</th>
                                <th>Status</th>
                                <th>Date</th>
                            </tr>
                        </thead>
                        <tbody>
                        @if(count($statusLog) > 0)
                            @foreach($statusLog as $data)
                                <tr>
                                    @if(!empty($data->load_detail->load_number))
                                    <th>{{ $data->load_detail->load_number }}</th>
                                    @else
                                    <th>{{ $data->load_detail->id }}</th>
                                    @endif
                                    <th class="text-success">Confirmed</th>
                                    <th>{{ $data->created_at }}</th>
                                </tr>
                            @endforeach
                        @else
                            <tr>
                                <th colspan="3">no record found!</th>
                            </tr>
                        @endif
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        <div class="row">
            <div></div>
        </div>
    </div>
</div>
@endif

@if($type == 'sms_logs')
<div class="modal-header">
    <h5 class="modal-title" id="logModalLabel">SMS Logs - {{ $month_name }} {{ $year }}</h5>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
<div class="modal-body">
    <div class=" px-3 py-2 mb-4">
        <div class="row">
            <div class="col-12">
                <h6>SMS Added limit log</h6>
                <div class="table-responsive logmoald">
                    <table class="table">
                        <thead>
                            <tr>
                                <th>SMS QTY</th>
                                <th>Created By</th>
                                <th>Date</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach($purchaseLog as $item)
                            </tr>
                                <td>{{ $item->sms_limit }}</td>
                                <td>{{ $item->created_name }}</td>
                                <td>{{ $item->created_at }}</td>
                            </tr>
                            @endforeach
                            
                        </tbody>
                    </table>
                </div>
                <br/>
                <br/>
                <h5>Sent SMS log</h5>
                <div class="table-responsive logmoald">
                    <table class="table">
                        <thead>
                            <tr>
                                <th>From</th>
                                <th>To</th>
                                <th>SMS Text</th>
                                <th>Date</th>
                            </tr>
                        </thead>
                        <tbody>
                        @if(count($statusLog) > 0)
                            @foreach($statusLog as $data)
                                <tr>
                                    <th>{{ $data->from }}</th>
                                    <th>{{ $data->to }}</th>
                                    <th style="width: 250px;display: block;text-wrap: balance;">{{ $data->content }}</th>
                                    <th>{{ $data->created_at }}</th>
                                </tr>
                            @endforeach
                        @else
                            <tr>
                                <th colspan="4">no record found!</th>
                            </tr>
                        @endif
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        <div class="row">
            <div></div>
        </div>
    </div>
</div>
@endif
