@extends($adminTheme)

@section('title')
    App Center
@endsection

@section('content')
<style>
.logmoald .table thead th {color: #212529;}
</style>
<link rel="stylesheet" href="http://localhost:8000/theme/css/developer-new-theme.css" >
<div class="company-details-content">
        <div class="row">
            <div class="col-md-3">
                    <div class="white-box-small border-none">
                        <h4 class="box-title">Company Details</h4>
                        <div class="box-padding">
                            <div class="filter-box">
                                <div class="filter-box">
                                    <div class="form-group">
                                        <label>Select Company</label>
                                        <select class="form-control company_id" name="company_id" >
                                        <option value="">All Companies</option>
                                        @foreach($companys as $aKey => $getCompany)
                                            <option value="{{$getCompany->id}}">{{$getCompany->name}}</option>
                                        @endforeach
                                        </select>
                                    </div>
                                    <div class="row">
                                        <div class="col-xl-6">
                                            <div class="form-group">
                                                <label>Select Month</label>
                                                <select class="form-control select_month">
                                                    <option selected="" value="month">Select Month</option>
                                                    @for($m=1; $m<=12; $m++)
                                                    <option @if($m == date('m')) selected @endif value="{{ $m }}">{{ date('F', mktime(0,0,0,$m, 1, date('Y'))) }}</option>
                                                    @endfor
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-xl-6">
                                            <div class="form-group">
                                                <label>Select Year</label>
                                                <select class="form-control select_year">
                                                    <option selected="" value="month">Select Year</option>
                                                    @for($m=2021; $m<=date('Y'); $m++)
                                                    <option @if($m == date('Y')) selected @endif value="{{ $m }}">{{ $m }}</option>
                                                    @endfor
                                                    
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                    
                                </div>
                            </div>
                        </div>
                    </div>
            </div>

            <div class="col-md-9 append-view">
                
            </div>
        </div>
  </div>

<div class="modal fade bd-example-modal-lg file-upload-modal" id="logdataModal" tabindex="-1" role="dialog" aria-labelledby="galleryModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-lg modal-blue">
        <div class="modal-content logdatasho">
        </div>
    </div>
</div>


@endsection

@section('script')
<script type="text/javascript">

    var loadimg     = "{{ asset('theme/img/loading.gif') }}";

    var company_id   = $(".company_id").val();
    var get_data    = 'current';
    var cmonth    = $(".select_month").val();
    var cyear    = $(".select_year").val();

    function OccupancyCalanderView(company_id,get_data,cyear,cmonth) {
       $(".append-view").html('<div class="loadingdiv"><img src="'+loadimg+'" /></div>');
       $(".occupanytype").html('<div class="loadingdiv"><img src="'+loadimg+'" /></div>');
       $(".performanceSummary").html('<div class="loadingdiv"><img src="'+loadimg+'" /></div>');

        var token   = $('meta[name="csrf-token"]').attr('content');
        $.ajax({
            url: "{{ route('admin.invoice.reports') }}",
            method: "POST",
            data: { _token : token , company_id : company_id, get_data : get_data, cyear:cyear, cyear:cyear, cmonth:cmonth},
            success: function(response) {
                $(".append-view").html(response.view);
            }
        });
    }




    $("body").on("click",".next-arrow",function(e){
        var company_id   = $(".company_id").val();
        var get_data    = 'next';
        var cyear       = $(".cyear").val();
        var cmonth      = $(".cmonth").val();
        OccupancyCalanderView(company_id,get_data,cyear,cmonth);
    });

    $("body").on("click",".prev-arrow",function(e){
        var company_id   = $(".company_id").val();
        var get_data    = 'previous';
        var cyear       = $(".cyear").val();
        var cmonth      = $(".cmonth").val();

        OccupancyCalanderView(company_id,get_data,cyear,cmonth);
    });

    $('.select_month').on('change', function() {
        var company_id   = $(".company_id").val();
        var get_data    = 'current';
        var cyear       = $(".select_year").val();
        var cmonth      = $(".select_month").val();

        OccupancyCalanderView(company_id,get_data,cyear,cmonth);
    });

    $('.select_year').on('change', function() {
        var company_id   = $(".company_id").val();
        var get_data    = 'current';
        var cyear       = $(".select_year").val();
        var cmonth      = $(".select_month").val();

        OccupancyCalanderView(company_id,get_data,cyear,cmonth);
    });

    $('.company_id').on('change', function() {
        var company_id   = $(".company_id").val();
        var get_data    = 'current';
        var cyear       = $(".cyear").val();
        var cmonth      = $(".cmonth").val();

        OccupancyCalanderView(company_id,get_data,cyear,cmonth);
    });

    $(document).ready(function() {
        OccupancyCalanderView(company_id,get_data,cyear,cmonth);
        
        $(document).on('click', '.logdata', function(event) {
            $(".logdatasho").html('<div class="loadingdiv"><img src="'+loadimg+'" /></div>');
            var company_id   = $(".company_id").val();
            var cyear       = $(".cyear").val();
            var cmonth      = $(".cmonth").val();
            var type      = $(this).attr('data-id');

            var token   = $('meta[name="csrf-token"]').attr('content');
            $.ajax({
                url: "{{ route('admin.invoice.reports.data.view') }}",
                method: "POST",
                data: { _token : token , company_id : company_id, cyear:cyear, cyear:cyear, cmonth:cmonth, type:type},
                success: function(response) {
                    $(".logdatasho").html(response.view);
                }
            });

        });

        
    });


</script>
@endsection