<!DOCTYPE html>
<html lang="en">
<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="{{ asset('theme/css/bootstrap.min.css') }}">
    <!-- custom CSS -->
    <link rel="stylesheet" href="{{ asset('theme/css/font-awesome.min.css') }}">
    <link rel="stylesheet" href="{{ asset('theme/css/default.css') }}">
    <link rel="stylesheet" href="{{ asset('theme/css/media.css') }}">
    <link rel="stylesheet" href="{{ asset('theme/css/login.css') }}">
    <title>Trucking Company</title>
    <style type="text/css">
        .btn-cancel {
            border: 1px solid #305F9C;
            background-color: #F1F3F6;
            color: #305F9C;
            border-radius: 10px;
        }
        .btn-cancel:hover {
            border: 1px solid #305F9C;
            color: #F1F3F6;
            background-color: #305F9C;
            border-radius: 10px;
        }
    </style>
</head>
<body>
<div class="login-main text-center">
    <div class="container-fluid h-100">
        <div class="row g-0 h-100">
            <div class="col-12 col-lg-7 col-xl-custom bg-blueNew text-white ">
                <div class="login-padding">
                    <div class="login-text">
                        <h1>Welcome To <br> <b>Dispatch Pro</b></h1>
                        <ul>
                            <li>Infinite Integrations.</li>
                            <li>Automated Workflow.</li>
                            <li>Simplified Solutions.</li>
                        </ul>
                        {{--
                            <div class="">
                                <a href="{{ url('/') }}" class="btn btn-white">Enter Site</a>
                            </div>
                        --}}
                    </div>
                </div>
            </div>
            <div class="col-xl col-lg-5">
                <div class="login-padding">
                    <div class="login-form">
                        <div class="login-logo">
                            <a href="{{ route('admin.two-factor-authentication.index') }}"><img src="{{ asset('theme/img/logo-new.png') }}" alt="Logo"></a>
                        </div>
                        <h2>2 Factor Verification</h2>
                        @if (session('error'))
                            <div class="alert alert-danger" role="alert">
                                {{ session('error') }}
                            </div>
                        @endif
                        @if (session('success'))
                            <div class="alert alert-success" role="alert">
                                {{ session('success') }}
                            </div>
                        @endif
                        <form method="POST" action="{{ route('admin.two-factor-authentication.verify') }}" autocomplete="off">
                            @csrf
                            <p class="text-center">
                                @if(!is_null(auth()->guard('admin')->user()->email) || !is_null(auth()->guard('admin')->user()->phone))
                                    We sent otp to your
                                    @if($twoFactorSettings->enable_email_verify == '1' && !is_null(auth()->guard('admin')->user()->email))
                                        <b>Email :</b> {{ substr(auth()->guard('admin')->user()->email, 0, 5) . '******' . substr(auth()->guard('admin')->user()->email,  -2) }}
                                    @endif
                                    @if($twoFactorSettings->enable_sms_verify == '1' && !is_null(auth()->guard('admin')->user()->phone))
                                        , <b>Phone :</b> {{ substr(auth()->guard('admin')->user()->phone, 0, 7) . '******' . substr(auth()->guard('admin')->user()->phone,  -2) }}
                                    @endif
                                @endif
                            </p>
                            <div class="form-group">
                                <input type="text" name="two_factor_secret" class="form-control mb-1" placeholder="OTP">
                                @error('two_factor_secret')
                                <span class="text-danger" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                                @enderror
                            </div>
                            <a href="{{ route('admin.two-factor-authentication.resend') }}" class="btn-link">Resend OTP?</a>
                            <div class="d-flex">
                                <a href="javascript:void(0);" class="btn btn-cancel w-100 mr-2" onclick="event.preventDefault();document.getElementById('logout-form').submit();">Cancel</a>
                                <button type="submit" class="btn btn-blue w-100">Verify</button>
                            </div>
                        </form>
                        <form id="logout-form" action="{{ route('admin.logout') }}" method="POST" class="d-none">
                            @csrf
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- jQuery first, then Popper.js, then Bootstrap JS -->
<script src="{{ asset('theme/js/jquery-3.2.1.slim.min.js') }}"></script>
<script src="{{ asset('theme/js/jquery.min.js') }}"></script>
<script src="{{ asset('theme/js/popper.min.js') }}"></script>
<script src="{{ asset('theme/js/bootstrap.min.js') }}"></script>
</body>
</html>
