@extends($extendTheme)

@section('title')
Chat
@endsection
@section('style')
<link rel="stylesheet" href="{{ asset('theme/css/select2.min.css') }}">
<style>
    .main-wrapper.ngd-new,
    .main-wrapper.ngd-wrapper {
        margin-top: 140px;
    }

    .userDetail-close {
        margin-top: auto;
        margin-bottom: 5px;
    }

    .chatCard-footer .chat-content {
        display: none;
    }

    .chatCard-body {
        min-height: 410px;
        height: calc(100vh - 300px);
    }

    .chat-mianRight .chat-content p {
        color: #fff;
        /* background: #5176dd;
            border-bottom-right-radius: 0; */
    }

    .chat-mianLeft .chat-content p {
        color: #000;
        /* background: #5176dd;
            border-bottom-right-radius: 0; */
    }

    .loadMoreBtn {
        width: 100%;
        border: none;
        font-size: large;
    }

    #map {
        top: 0;
        bottom: 0;
        width: 100%;
        height: 270px;
        margin-bottom: 10px;
        margin-top: 10px;
    }

    .marker-label {
        cursor: pointer;
    }

    .marker-image {
        background-image: url('https://maps.alk.com/api/1.2/img/truck_green.png');
        background-repeat: no-repeat;
        width: 26px;
        height: 26px;
        cursor: pointer;
    }

    .truck-location-update {
        cursor: pointer;
    }

    .stared {
        filter: invert(110%) sepia(5%) saturate(3207%) hue-rotate(695deg) brightness(95%) contrast(115%) drop-shadow(0 0 0 gold);
    }

    i.typingInnerText {
        font-weight: 600;
        color: mediumseagreen;
    }

    .typingInnerTextDiv {
        border-bottom: 1px solid;
        padding: 10px;
    }

    span#select2-load-select-container {
        padding-left: 30px;
    }

    #send_email_close_btn {
        border-left: 0px !important;
    }

    #send_sms_close_btn {
        border-left: 0px !important;
    }

    #chat-message {
        height: 38px;
    }

    .receiveEmail span {
        max-width: 150px;
        word-wrap: break-word;
    }

    .load-notes-block table td a {
        color: #000;
        text-decoration: underline;
    }

    .load-notes-block table td a:hover {
        text-decoration: none;
    }

    .load-notes-block table th:first-child,
    .load-notes-block table td:first-child {
        text-align: center;
        padding-right: 60px;
    }

    .load-notes-block table th,
    .load-notes-block table td {
        padding: 3px 5px;
    }

    .internal_group_add_span a {
        color: #000 !important;
        float: left;
        padding: 0 !important;
        top: -21px;
    }

</style>

@endsection

@section('content')
<div class="row">

    <div class="col-auto chat-left">
        <ul>
            <li>
                <a href="#">Starred</a>
                <ul id="starredComverdationCont">
                    {{--
                        <li>
                        <a href="#">
                            <span class="chatMenu-img"
                                style='background-image: url("{{asset('theme/images/left-loads-selected-icon.png')}}");'></span>
                    <span>DAW-45264452</span>
                    </a>
            </li>
            <li>
                <a href="#">
                    <span class="chatMenu-img"><img src="{{asset('theme/images/chat-user.png')}}" alt=""></span>
                    <span>Dany T., Christian S., Bryan maus</span>
                </a>
            </li>
            <li>
                <a href="#">
                    <span class="chatMenu-img" style='background-image: url("{{asset('theme/images/team.png')}}");'></span>
                    <span>Team A</span>
                </a>
            </li>
            --}}
        </ul>
        </li>
        <li id="boardCont">
            <a href="#">
                Boards
            </a>
            <!-- <a href="#" data-toggle="modal" data-target="#boards" class="icon-plus"><i
                        class="fa fa-plus-circle" aria-hidden="true"></i></a> -->
            <ul id="BoardMessagesContactsCont">
                <!-- <li><a href="#"><span class="chatMenu-img"></span><span>General</span></a></li> -->
                {{--<li><a href="#"><span class="chatMenu-img"></span><span>Random</span></a></li>--}}
            </ul>
        </li>
        <li>
            <a href="#">Groups</a>
            <a href="#" data-toggle="modal" data-target="#groups" class="icon-plus"><i class="fa fa-plus-circle" aria-hidden="true" id="create_group"></i></a>
            <ul id="groupMessagesContactsCont">
                {{--
                    <li>
                        <a href="#">
                            <span class="chatMenu-img"
                                style='background-image: url("{{asset('theme/images/team.png')}}");'></span>
                <span> Team A</span>
                </a>
        </li>
        <li>
            <a href="#">
                <span class="chatMenu-img"><img src="{{asset('theme/images/chat-user.png')}}" alt=""></span>
                <span>Dany T., Christian S., Bryan maus</span>
            </a>
        </li>
        <li>
            <a href="#">
                <span class="chatMenu-img"><img src="{{asset('theme/images/chat-user.png')}}" alt=""><span class="chatUser-no">+5</span></span>
                <span>Dany T., Christian S., Bryan maus</span>
            </a>
        </li>
        --}}
        </ul>
        </li>
        <li>
            <a href="#">Direct Messages</a>
            <a href="#" data-toggle="modal" data-target="#directMsg" class="icon-plus"><i class="fa fa-plus-circle" aria-hidden="true"></i></a>
            <ul id="directMessagesContactsCont">
                {{--
                    <li>
                        <a href="#"  >
                            <span class="chatMenu-img userChat-img directMsg-offline">
                                <img  src="{{asset('theme/images/user.png')}}" alt=""></span>
                <!-- <img  src="{{ //asset('storage/companyAdmin/profile/'.$getLoginData->profile_image) }}</span> -->
                <span> Dany Turner</span>
                </a>
                <a href="" class="icon-close">
                    <i class="fa fa-times" aria-hidden="true"></i>
                </a>
        </li>
        <li>
            <a href="#">
                <span class="chatMenu-img userChat-img directMsg-offline">jt</span>
                <span> Jenifer Turner</span>
            </a>
            <a href="" class="icon-close">
                <i class="fa fa-times" aria-hidden="true"></i>
            </a>
        </li>
        <li>
            <a href="#">
                <span class="chatMenu-img userChat-img directMsg-online"><img src="{{asset('theme/images/user.png')}}" alt=""></span>
                <span> Dany Turner</span>
            </a>
            <a href="" class="icon-close">
                <i class="fa fa-times" aria-hidden="true"></i>
            </a>
        </li>
        <li>
            <a href="#">
                <span class="chatMenu-img userChat-img directMsg-online">Jt</span>
                <span> Jenifer Turner</span>
            </a>
            <a href="" class="icon-close">
                <i class="fa fa-times" aria-hidden="true"></i>
            </a>
        </li>
        --}}
        </ul>
        </li>
        <li>
            <a href="">Loads</a>
            <div class="form-group position-relative">
                <select class="form-control select2-select" id="load-select"></select>
                <!-- <input type="text" class="form-control"> -->
                <img src="{{asset('theme/images/search-icon-black.png')}}" alt="search-icon">
            </div>
            <ul id="loadMessagesContactsCont">
                {{--
                    <li>
                        <a href="#">
                            <span class="chatMenu-img"
                                style='background-image: url("{{asset('theme/images/left-loads-selected-icon.png')}}");'></span>
                <span> DAW-45264452</span>
                </a>
                <a href="" class="icon-close">
                    <i class="fa fa-times" aria-hidden="true"></i>
                </a>
        </li>
        <li>
            <a href="#">
                <span class="chatMenu-img" style='background-image: url("{{asset('theme/images/left-loads-selected-icon.png')}}");'></span>
                <span> MED-78694532</span>
            </a>
            <a href="" class="icon-close">
                <i class="fa fa-times" aria-hidden="true"></i>
            </a>
        </li>
        --}}
        </ul>
        </li>
        <li>
            <ul id="loadInternalMessagesContactsCont"></ul>
        </li>
        <li id="externalEmailCont">
            <a href="#">Email Communicatons</a>
            <!-- Added at 11-04-2023 -->
            <a href="javascript:void(0)" class="icon-plus" id="openEmailBox"><i class="fa fa-plus-circle" aria-hidden="true"></i></a>
            <!-- ADDED at 11-04-2023 -->
            <ul id="loadEmails"></ul>
            <input type="hidden" name="">
        </li>
        <li id="externalSMSCont">
            @if( $phoneNumber != '' )
            <a href="#">SMS Communicatons</a>
            <a href="javascript:void(0)" class="icon-plus" id="openPhoneBox"><i class="fa fa-plus-circle" aria-hidden="true"></i></a>
            <ul id="loadSMS"></ul>
            <ul>
                <li>
                    <!-- CODE UPDATED at - 24-03-2023 -->
                    <!-- <a href="javascript:void(0)" id="getChatHistory" data-phone="{{$phoneNumber}}">
                            <span class="chatMenu-img" style="background-image:url('{{asset("theme/images/sms.png")}}');"></span>
                            <span>{{$phoneNumber}}</span>
                            <div id="urdSmsCnt" title="Unread Sms" class="badge badge-info position-absolute d-none" style="right: 0%;"></div>
                        </a> -->
                    <input type="hidden" id="from_number" value="{{$phoneNumber}}">
                </li>
                @endif
            </ul>
        </li>

        </ul>
    </div>
    <div class="col chat-main">
        <div class="chat-tab">
            <!-- Nav tabs -->
            <ul class="nav nav-tabs hidden isloadNav">
                <li class="nav-item">
                    <a class="nav-link driver_tab active" data-toggle="tab" href="#tab1">Driver</a>
                </li>
                <!-- <li class="nav-item">
                    <a class="nav-link" data-toggle="tab" href="#tab2">Broker</a>
                </li> -->
                <li class="nav-item">
                    <a class="nav-link load_internal_tab" data-toggle="tab" href="#tab3" style="padding-left: 15px;">Internal</a>
                    <span class="internal_group_add_span">
                        <a href="#" data-toggle="modal" data-target="#load_internal" class="icon-plus internal_group_add_btn">
                            <i class="fa fa-plus-circle" aria-hidden="true" id="create_load_internal"></i>
                        </a>
                        <input type="hidden" name="selected_load_id" value="" id="selected_load_id">
                        <input type="hidden" name="selected_load_company_id" value="" id="selected_load_company_id">
                        <input type="hidden" name="selected_load_ttl" value="" id="selected_load_ttl">
                    </span>
                </li>
            </ul>

            <!-- Tab panes -->
            <div class="tab-content">
                <div class="tab-pane active" id="tab1">
                    <div class="chatCard">
                        <div class="chatCard-head">
                            <div class="d-flex align-items-center">
                                <div class="userChat-userBlock">
                                    <div class="userChat-imgBlock">
                                        {{-- <span>L</span> --}}
                                        <!-- <img src="http://127.0.0.1:8001/theme/images/user.png" alt=""> -->
                                    </div>
                                    <span id="userChat-userBlock-friendlyName"></span> <i class="fa fa-angle-right" aria-hidden="true"></i>
                                </div>
                                {{-- <div class="">
                                    <div class="userChat-mobile"><i class="fa fa-mobile"
                                            aria-hidden="true"></i>
                                    </div>
                                </div>
                                <div class="userChat-location">
                                    <i class="fa fa-map-marker" aria-hidden="true"></i> 
                                </div> --}}
                            </div>
                            <div class="d-none" id="simpleSearch">
                                <input type="text" class="form-control" placeholder="Search" aria-label="Search" aria-describedby="search-addon" style="border-right: 0; border-radius: 10px 0 0 10px;" id="searchText" />
                                <button type="button" class="btn btn-outline-primary" style="border-radius: 0;" id="msgSearchSubmitBtn">search</button>
                                <button type="button" class="btn btn-outline-primary" style="border-radius: 0 10px 10px 0;" id="clearSearchBtn">clear</button>
                            </div>
                            <!-- Added at 11-04-2023 -->
                            <div class="d-none" id="searchSmsSection">
                                <input type="text" class="form-control" placeholder="Search" aria-label="Search" aria-describedby="search-addon" style="border-right: 0; border-radius: 10px 0 0 10px;" id="searchStringSms" />
                                <button type="button" class="btn btn-outline-primary" style="border-radius: 0;" id="smsSearchSubmitBtn">search</button>
                                <button data-phone="{{$phoneNumber}}" type="button" class="btn btn-outline-primary" style="border-radius: 0 10px 10px 0;" id="clearSmsSearchBtn">clear</button>
                            </div>
                            <!-- Added at 11-04-2023 -->
                            <div class="d-none" id="searchEmailSection">
                                <input type="text" class="form-control" placeholder="Search" aria-label="Search" aria-describedby="search-addon" style="border-right: 0; border-radius: 10px 0 0 10px;" id="searchStringEmail" />
                                <button type="button" class="btn btn-outline-primary" style="border-radius: 0;" id="emailSearchSubmitBtn">search</button>
                                <button type="button" class="btn btn-outline-primary" style="border-radius: 0 10px 10px 0;" id="clearEmailSearchBtn">clear</button>
                            </div>


                            <div class="d-flex align-items-center">
                                {{-- <div>
                                    <div class="userChat-imgBlock w-16 bg-yellow">
                                        <span>a</span>
                                    </div>
                                </div>
                                <div class="">
                                    <ul>
                                        <li><i class="fa fa-check-square-o" aria-hidden="true"></i> </li>
                                        <li> <i class="fa fa-phone" aria-hidden="true"></i> </li>
                                        <li> <i class="fa fa-ellipsis-v" aria-hidden="true"></i> </li>
                                    </ul>

                                </div> --}}
                            </div>
                        </div>
                        <div class="d-flex align-items-center typingInnerTextDiv hidden">
                            <i class="typingInnerText">is typing.....</i>
                        </div>
                        <!-- Added at 12-04-2023 -->
                        <div class="text-center p-2 d-none" id="loadEmailTag">
                            <a href="javascript:void(0)" id="loadMoreEmails">Load more</a>
                        </div>

                        <div class="text-center p-2 d-none" id="loadSmsTag">
                            <a href="javascript:void(0)" id="loadMoreSms">Load more</a>
                        </div>
                        <!-- ---------------------- -->

                        <div class="chatCard-body" id="myDiv">

                        </div>
                        <div class="closed_conver_text_div hidden">
                            <h5 style="text-align:center;color: #9999b3;">Closed conversation</h5>
                        </div>
                        <div class="chatCard-footer" id="source-chatCard-footer">
                            {{-- <form action="#"> --}}
                            <div class="chat-content">
                                <div class="chat-file">
                                    <img src="{{asset('theme/images/audio-file.png')}}" alt="">
                                    <p>Document name </p>
                                </div>
                                <a href="#" class="close"> <i class="fa fa-times" aria-hidden="true"></i></a>

                            </div>
                            <div class="">
                                <form id="message-input">
                                    <!-- Added at 12-04-2023 -->
                                    <input type="text" name="subject" id="subject" class="form-control d-none" placeholder="Enter Subject">
                                    <input type="hidden" name="take" id="take" value="5">
                                    <input type="hidden" name="guard" id="guard">
                                    <input type="hidden" name="toemail" id="toemail">
                                    <input type="hidden" name="toid" id="toid">
                                    <input type="hidden" name="toname" id="toname">
                                    <input type="hidden" name="from_id" id="from_id">
                                    <input type="hidden" name="fromaddress" id="fromaddress">
                                    <input type="hidden" name="company_id" id="company_id">
                                    <input type="hidden" name="tophone" id="tophone">
                                    <select name="chat_user" class="form-control d-none" id="chatUsers" required>
                                        <option selected disabled>Select user</option>
                                    </select>
                                    <!-- ---------------------- -->
                                    <textarea id="chat-message" class="form-control" name="chat-message" placeholder="Enter Message"></textarea>
                                    <input type="hidden" name="isReply" value="false" id="isReply">
                                    <input type="hidden" name="replySourceIndex" value="" id="replySourceIndex">
                                </form>
                            </div>
                            <div class="chatCard-icon">
                                <div class="">
                                    <ul>
                                        <!-- <li><a href="javascript:void(0)"><img src="{{asset('theme/images/chat-doc.png')}}" alt=""></a></li> -->
                                        <li><a href="javascript:void(0)"><img src="{{asset('theme/images/chat-star.png')}}" alt="" id="conversationStarImg"></a></li>
                                        <!-- <li><a href="javascript:void(0)"><img src="{{asset('theme/images/chat-doller.png')}}" alt=""></a>
                                            </li> -->
                                    </ul>
                                </div>
                                <div class="d-flex align-items-center">
                                    <ul>
                                        <li class="position-relative">
                                            <a href="javascript:void(0)" class="chatEmoji-btn"><img src="{{asset('theme/images/chat-smile.png')}}" alt=""></a>
                                            <div class="chatEmoji-block scrollbar">
                                                <div class="">
                                                    <span class="my_emoji" data-attribute="128512">&#128512;</span>
                                                    <span class="my_emoji" data-attribute="128513">&#128513;</span>
                                                    <span class="my_emoji" data-attribute="128514">&#128514;</span>
                                                    <span class="my_emoji" data-attribute="128515">&#128515;</span>
                                                    <span class="my_emoji" data-attribute="128516">&#128516;</span>
                                                    <span class="my_emoji" data-attribute="128517">&#128517;</span>
                                                    <span class="my_emoji" data-attribute="128518">&#128518;</span>
                                                    <span class="my_emoji" data-attribute="128519">&#128519;</span>
                                                    <span class="my_emoji" data-attribute="128520">&#128520;</span>
                                                    <span class="my_emoji" data-attribute="128521">&#128521;</span>
                                                    <span class="my_emoji" data-attribute="128522">&#128522;</span>
                                                    <span class="my_emoji" data-attribute="128523">&#128523;</span>
                                                    <span class="my_emoji" data-attribute="128524">&#128524;</span>
                                                    <span class="my_emoji" data-attribute="128525">&#128525;</span>
                                                    <span class="my_emoji" data-attribute="128526">&#128526;</span>
                                                    <span class="my_emoji" data-attribute="128527">&#128527;</span>
                                                    <span class="my_emoji" data-attribute="128528">&#128528;</span>
                                                    <span class="my_emoji" data-attribute="128529">&#128529;</span>
                                                    <span class="my_emoji" data-attribute="128530">&#128530;</span>
                                                    <span class="my_emoji" data-attribute="128531">&#128531;</span>
                                                    <span class="my_emoji" data-attribute="128532">&#128532;</span>
                                                    <span class="my_emoji" data-attribute="128533">&#128533;</span>
                                                    <span class="my_emoji" data-attribute="128534">&#128534;</span>
                                                    <span class="my_emoji" data-attribute="128535">&#128535;</span>
                                                    <span class="my_emoji" data-attribute="128536">&#128536;</span>
                                                    <span class="my_emoji" data-attribute="128537">&#128537;</span>
                                                    <span class="my_emoji" data-attribute="128538">&#128538;</span>
                                                    <span class="my_emoji" data-attribute="128539">&#128539;</span>
                                                    <span class="my_emoji" data-attribute="128540">&#128540;</span>
                                                    <span class="my_emoji" data-attribute="128541">&#128541;</span>
                                                    <span class="my_emoji" data-attribute="128542">&#128542;</span>
                                                    <span class="my_emoji" data-attribute="128543">&#128543;</span>
                                                    <span class="my_emoji" data-attribute="128544">&#128544;</span>
                                                    <span class="my_emoji" data-attribute="128545">&#128545;</span>
                                                    <span class="my_emoji" data-attribute="128546">&#128546;</span>
                                                    <span class="my_emoji" data-attribute="128547">&#128547;</span>
                                                    <span class="my_emoji" data-attribute="128548">&#128548;</span>
                                                    <span class="my_emoji" data-attribute="128549">&#128549;</span>
                                                    <span class="my_emoji" data-attribute="128550">&#128550;</span>
                                                    <span class="my_emoji" data-attribute="128551">&#128551;</span>
                                                    <span class="my_emoji" data-attribute="128552">&#128552;</span>
                                                    <span class="my_emoji" data-attribute="128553">&#128553;</span>
                                                    <span class="my_emoji" data-attribute="128554">&#128554;</span>
                                                    <span class="my_emoji" data-attribute="128555">&#128555;</span>
                                                    <span class="my_emoji" data-attribute="128556">&#128556;</span>
                                                    <span class="my_emoji" data-attribute="128557">&#128557;</span>
                                                    <span class="my_emoji" data-attribute="128558">&#128558;</span>
                                                    <span class="my_emoji" data-attribute="128559">&#128559;</span>
                                                    <span class="my_emoji" data-attribute="128560">&#128560;</span>
                                                    <span class="my_emoji" data-attribute="128561">&#128561;</span>
                                                    <span class="my_emoji" data-attribute="128562">&#128562;</span>
                                                    <span class="my_emoji" data-attribute="128563">&#128563;</span>
                                                    <span class="my_emoji" data-attribute="128564">&#128564;</span>
                                                    <span class="my_emoji" data-attribute="128565">&#128565;</span>
                                                    <span class="my_emoji" data-attribute="128566">&#128566;</span>
                                                    <span class="my_emoji" data-attribute="128567">&#128567;</span>

                                                </div>
                                            </div>
                                        </li>
                                        <li><span><img class="attachmentImgTag" src="{{asset('theme/images/chat-attech.png')}}" alt="">
                                                <input type="file" class="chatAttachements" id="formInputFile[]" accept="image/*,text/*,video/*,audio/*,application/pdf,.csv, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/vnd.ms-excel, application/vnd.ms-powerpoint, application/vnd.openxmlformats-officedocument.presentationml.presentation,application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,application/vnd.oasis.opendocument.presentation ,application/vnd.oasis.opendocument.spreadsheet,application/vnd.oasis.opendocument.text,application/xml" multiple="multiple">

                                                <input type="file" class="emailAttachements d-none" id="formInputFile1[]" accept="image/*,text/*,video/*,audio/*,application/pdf,.csv, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/vnd.ms-excel, application/vnd.ms-powerpoint, application/vnd.openxmlformats-officedocument.presentationml.presentation,application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,application/vnd.oasis.opendocument.presentation ,application/vnd.oasis.opendocument.spreadsheet,application/vnd.oasis.opendocument.text,application/xml" multiple="multiple">
                                            </span>
                                        </li>
                                    </ul>
                                    <button class="btn btn-border ml-1 ml-sm-3" id="send_close_btn">Send and Close</button>
                                    <div class="btn-group ">
                                        <button type="button" class="btn" id="submitMessage">
                                            <img src="{{asset('theme/images/chat-send.png')}}" alt="">
                                        </button>
                                        <!-- Added at 12-04-2023 -->
                                        <button type="button" class="btn d-none" id="send_email_close_btn">
                                            <img src="{{asset('theme/images/chat-send.png')}}">
                                        </button>
                                        <button type="button" class="btn d-none" id="send_sms_close_btn">
                                            <img src="{{asset('theme/images/chat-send.png')}}">
                                        </button>
                                        <!-- ---------------------- -->
                                        <button type="button" class="btn dropdown-toggle dropdown-toggle-split" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                            <span class="sr-only"><img src="{{asset('theme/images/chat-send.png')}}" alt=""></span>
                                        </button>
                                        <div class="dropdown-menu  dropdown-menu-right" id="eldSelectDiv">
                                            <!-- <button class="dropdown-item" type="button">Action</button>
                                                <button class="dropdown-item" type="button">Another
                                                    action</button>
                                                <button class="dropdown-item" type="button">Something else
                                                    here</button> -->
                                        </div>
                                    </div>

                                </div>
                            </div>
                            {{-- </form> --}}
                        </div>
                    </div>
                </div>

                <div class="tab-pane container fade" id="tab2">Broker<a class="md-emoji" href="javascript:void(0)">😀</a> &#xf556; <p>I will display &#x1F601;</p>
                </div>
                <div class="tab-pane container fade" id="tab3">
                    <div class="chatCard">
                        {{-- <div class="">
                             <div class="d-flex align-items-center text-center" >
                                <a href="#" data-toggle="modal" data-target="#groups" class="icon-plus" style="color: #000;"><i
                                class="fa fa-plus-circle" aria-hidden="true" id="create_group"></i>Create internal group</a>
                            </div>
                        </div> --}}



                        <div class="chatCard-head">
                            <input type="hidden" name="isInternal" id="isInternal" value="0">
                            <div class="d-flex align-items-center">
                                <div class="userChat-userBlock">
                                    <div class="userChat-imgBlock">
                                        {{-- <span>L</span> --}}
                                        <!-- <img src="http://127.0.0.1:8001/theme/images/user.png" alt=""> -->
                                    </div>
                                    <span id="userChat-userBlock-friendlyName"></span> Internal<i class="fa fa-angle-right" aria-hidden="true"></i>
                                </div>
                                {{-- <div class="">
                                    <div class="userChat-mobile"><i class="fa fa-mobile"
                                            aria-hidden="true"></i>
                                    </div>
                                </div>
                                <div class="userChat-location">
                                    <i class="fa fa-map-marker" aria-hidden="true"></i> 
                                </div> --}}
                            </div>
                            <div class="d-flex" id="simpleSearchInternal">
                                <input type="text" class="form-control" placeholder="Search" aria-label="Search" aria-describedby="search-addon" style="border-right: 0; border-radius: 10px 0 0 10px;" id="searchTextInternal" />
                                <button type="button" class="btn btn-outline-primary" style="border-radius: 0;" id="msgSearchSubmitBtnInternal">search</button>
                                <button type="button" class="btn btn-outline-primary" style="border-radius: 0 10px 10px 0;" id="clearSearchBtnInternal">clear</button>
                            </div>
                            <div class="d-flex align-items-center">
                                {{-- <div>
                                    <div class="userChat-imgBlock w-16 bg-yellow">
                                        <span>a</span>
                                    </div>
                                </div>
                                <div class="">
                                    <ul>
                                        <li><i class="fa fa-check-square-o" aria-hidden="true"></i> </li>
                                        <li> <i class="fa fa-phone" aria-hidden="true"></i> </li>
                                        <li> <i class="fa fa-ellipsis-v" aria-hidden="true"></i> </li>
                                    </ul>

                                </div> --}}
                            </div>
                        </div>
                        <div class="d-flex align-items-center typingInnerTextDiv hidden">
                            <i class="typingInnerText">is typing.....</i>
                        </div>
                        <div class="chatCard-body internal-chat-card-body">

                        </div>
                        <div class="closed_conver_text_div hidden">
                            <h5 style="text-align:center;color: #9999b3;">Closed conversation</h5>
                        </div>
                        {{-- <div class="chatCard-footer">
                        </div> --}}
                        <div class="internal-chatCard-footer chatCard-footer">
                            {{-- <form action="#"> --}}
                            <div class="chat-content">
                                <div class="chat-file">
                                    <img src="{{asset('theme/images/audio-file.png')}}" alt="">
                                    <p>Document name </p>
                                </div>
                                <a href="#" class="close"> <i class="fa fa-times" aria-hidden="true"></i></a>
                            </div>
                            <div class="">
                                <form id="message-input-internal">
                                    <textarea id="chat-message-internal" class="form-control" name="chat-message" placeholder="Enter Message"></textarea>
                                    {{-- <input type="hidden" name="isReply" value="false" id="isReply-internal">
                                    <input type="hidden" name="replySourceIndex" value="" id="replySourceIndex-internal"> --}}
                                </form>
                            </div>
                            <div class="chatCard-icon">
                                <div class="">
                                    <ul>
                                        <!-- <li><a href="javascript:void(0)"><img src="{{asset('theme/images/chat-doc.png')}}" alt=""></a></li> -->
                                        {{-- <li><a href="javascript:void(0)" ><img src="{{asset('theme/images/chat-star.png')}}" alt="" id="conversationStarImg-internal"></a></li> --}}
                                        <!-- <li><a href="javascript:void(0)"><img src="{{asset('theme/images/chat-doller.png')}}" alt=""></a>
                                        </li> -->
                                    </ul>
                                </div>
                                <div class="d-flex align-items-center">
                                    <ul>
                                        <li class="position-relative">
                                            <a href="javascript:void(0)" class="chatEmoji-btn"><img src="{{asset('theme/images/chat-smile.png')}}" alt=""></a>
                                            <div class="chatEmoji-block scrollbar">
                                                <div class="">
                                                    <span class="my_emoji" data-attribute="128512">&#128512;</span>
                                                    <span class="my_emoji" data-attribute="128513">&#128513;</span>
                                                    <span class="my_emoji" data-attribute="128514">&#128514;</span>
                                                    <span class="my_emoji" data-attribute="128515">&#128515;</span>
                                                    <span class="my_emoji" data-attribute="128516">&#128516;</span>
                                                    <span class="my_emoji" data-attribute="128517">&#128517;</span>
                                                    <span class="my_emoji" data-attribute="128518">&#128518;</span>
                                                    <span class="my_emoji" data-attribute="128519">&#128519;</span>
                                                    <span class="my_emoji" data-attribute="128520">&#128520;</span>
                                                    <span class="my_emoji" data-attribute="128521">&#128521;</span>
                                                    <span class="my_emoji" data-attribute="128522">&#128522;</span>
                                                    <span class="my_emoji" data-attribute="128523">&#128523;</span>
                                                    <span class="my_emoji" data-attribute="128524">&#128524;</span>
                                                    <span class="my_emoji" data-attribute="128525">&#128525;</span>
                                                    <span class="my_emoji" data-attribute="128526">&#128526;</span>
                                                    <span class="my_emoji" data-attribute="128527">&#128527;</span>
                                                    <span class="my_emoji" data-attribute="128528">&#128528;</span>
                                                    <span class="my_emoji" data-attribute="128529">&#128529;</span>
                                                    <span class="my_emoji" data-attribute="128530">&#128530;</span>
                                                    <span class="my_emoji" data-attribute="128531">&#128531;</span>
                                                    <span class="my_emoji" data-attribute="128532">&#128532;</span>
                                                    <span class="my_emoji" data-attribute="128533">&#128533;</span>
                                                    <span class="my_emoji" data-attribute="128534">&#128534;</span>
                                                    <span class="my_emoji" data-attribute="128535">&#128535;</span>
                                                    <span class="my_emoji" data-attribute="128536">&#128536;</span>
                                                    <span class="my_emoji" data-attribute="128537">&#128537;</span>
                                                    <span class="my_emoji" data-attribute="128538">&#128538;</span>
                                                    <span class="my_emoji" data-attribute="128539">&#128539;</span>
                                                    <span class="my_emoji" data-attribute="128540">&#128540;</span>
                                                    <span class="my_emoji" data-attribute="128541">&#128541;</span>
                                                    <span class="my_emoji" data-attribute="128542">&#128542;</span>
                                                    <span class="my_emoji" data-attribute="128543">&#128543;</span>
                                                    <span class="my_emoji" data-attribute="128544">&#128544;</span>
                                                    <span class="my_emoji" data-attribute="128545">&#128545;</span>
                                                    <span class="my_emoji" data-attribute="128546">&#128546;</span>
                                                    <span class="my_emoji" data-attribute="128547">&#128547;</span>
                                                    <span class="my_emoji" data-attribute="128548">&#128548;</span>
                                                    <span class="my_emoji" data-attribute="128549">&#128549;</span>
                                                    <span class="my_emoji" data-attribute="128550">&#128550;</span>
                                                    <span class="my_emoji" data-attribute="128551">&#128551;</span>
                                                    <span class="my_emoji" data-attribute="128552">&#128552;</span>
                                                    <span class="my_emoji" data-attribute="128553">&#128553;</span>
                                                    <span class="my_emoji" data-attribute="128554">&#128554;</span>
                                                    <span class="my_emoji" data-attribute="128555">&#128555;</span>
                                                    <span class="my_emoji" data-attribute="128556">&#128556;</span>
                                                    <span class="my_emoji" data-attribute="128557">&#128557;</span>
                                                    <span class="my_emoji" data-attribute="128558">&#128558;</span>
                                                    <span class="my_emoji" data-attribute="128559">&#128559;</span>
                                                    <span class="my_emoji" data-attribute="128560">&#128560;</span>
                                                    <span class="my_emoji" data-attribute="128561">&#128561;</span>
                                                    <span class="my_emoji" data-attribute="128562">&#128562;</span>
                                                    <span class="my_emoji" data-attribute="128563">&#128563;</span>
                                                    <span class="my_emoji" data-attribute="128564">&#128564;</span>
                                                    <span class="my_emoji" data-attribute="128565">&#128565;</span>
                                                    <span class="my_emoji" data-attribute="128566">&#128566;</span>
                                                    <span class="my_emoji" data-attribute="128567">&#128567;</span>

                                                </div>
                                            </div>
                                        </li>
                                        <li><span><img class="attachmentImgTag" src="{{asset('theme/images/chat-attech.png')}}" alt="">
                                                <input type="file" class="chatAttachements" id="formInputFile[]-internal" accept="image/*,text/*,video/*,audio/*,application/pdf,.csv, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/vnd.ms-excel, application/vnd.ms-powerpoint, application/vnd.openxmlformats-officedocument.presentationml.presentation,application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,application/vnd.oasis.opendocument.presentation ,application/vnd.oasis.opendocument.spreadsheet,application/vnd.oasis.opendocument.text,application/xml" multiple="multiple">
                                        </li>
                                    </ul>
                                    <button class="btn btn-border ml-1 ml-sm-3" id="send_close_btn-internal">Send and Close</button>
                                    <div class="btn-group ">
                                        <button type="button" class="btn" id="submitMessage-internal">
                                            <img src="{{asset('theme/images/chat-send.png')}}" alt="">
                                        </button>
                                        <!-- Added at 12-04-2023 -->
                                        {{-- <button type="button" class="btn d-none" id="send_email_close_btn">
                                            <img src="{{asset('theme/images/chat-send.png')}}">
                                        </button>
                                        <button type="button" class="btn d-none" id="send_sms_close_btn">
                                            <img src="{{asset('theme/images/chat-send.png')}}">
                                        </button> --}}
                                        <!-- ---------------------- -->
                                        <button type="button" class="btn dropdown-toggle dropdown-toggle-split" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                            <span class="sr-only"><img src="{{asset('theme/images/chat-send.png')}}" alt=""></span>
                                        </button>
                                        {{-- <div class="dropdown-menu  dropdown-menu-right" id="eldSelectDiv"> --}}
                                        <!-- <button class="dropdown-item" type="button">Action</button>
                                            <button class="dropdown-item" type="button">Another
                                                action</button>
                                            <button class="dropdown-item" type="button">Something else
                                                here</button> -->
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>






                </div>
            </div>
        </div>
    </div>
    {{-- </div> --}}
    <div class="col-auto chat-right chat-loadDetail hidden" data-load_number="2132927" id="loaDetailPreview">
        <div class="chatRight-head d-flex align-items-center">
            <img src="{{asset('theme/images/truck.png')}}">
            <h6 class="load_number">DAW-45264452</h6>
            <div class="badge badge-theme load_status">Show Status</div>
            <i class="fa fa-angle-right ml-auto" aria-hidden="true"></i>
        </div>
        <div class="chatRight-content">
            <h6 class="driver_name">Driver: <a href="javascript:void(0);">Driver name and Modal popup</a></h6>
            <h6 class="broker_name">Broker: <a href="javascript:void(0);">Name and Link to Broker</a></h6>
            <div class="d-flex flex-wrap">
                <h6 class="mr-4 truck_number">Truck: <a href="javascript:void(0);">ID and Link</a></h6>
                <h6 class="trailer_number">Trailer: <a href="javascript:void(0);">ID and Link - Type</a></h6>
            </div>
        </div>
        <div class="accordion-chat" id="chat_accrordion">
            <div class="card">
                <div class="card-header" id="headingOne">
                    <h2 class="mb-0">
                        <button class="btn btn-link btn-block text-left collapsed" type="button" data-toggle="collapse" data-target="#current-location-collapse" aria-expanded="true" aria-controls="current-location-collapse">
                            Current Location
                            <i class="fa fa-angle-down" aria-hidden="true"></i>
                        </button>
                    </h2>
                </div>
                <div id="current-location-collapse" class="collapse" aria-labelledby="headingOne" data-parent="#chat_accrordion">
                    <div class="card-body current-location-block">
                        <h6 class="mb-2 last_location">Address: <span></span></h6>
                        <div id="map"></div>
                        <!-- <div class="mb-1">
                            <iframe
                                src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d118106.57842957249!2d73.1030463216296!3d22.322246411063322!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x395fc8ab91a3ddab%3A0xac39d3bfe1473fb8!2sVadodara%2C%20Gujarat!5e0!3m2!1sen!2sin!4v1672227022001!5m2!1sen!2sin"
                                width="100%" height="250" style="border:0;" allowfullscreen=""
                                loading="lazy" referrerpolicy="no-referrer-when-downgrade"></iframe>
                        </div> -->
                        <div class="d-flex align-items-center ">
                            <img src="{{asset('theme/images/last-update.png')}}">
                            <h6 class="last_updated">Last updated: <span></span></h6>
                            <img src="{{asset('theme/images/chat-download.png')}}" class="ml-auto mr-0 truck-location-update">
                        </div>
                    </div>
                </div>
            </div>
            <div class="card">
                <div class="card-header" id="headingTwo">
                    <h2 class="mb-0">
                        <button class="btn btn-link btn-block text-left collapsed" type="button" data-toggle="collapse" data-target="#stops-collapsed" aria-expanded="false" aria-controls="stops-collapsed">
                            Stops<i class="fa fa-angle-down" aria-hidden="true"></i>
                        </button>
                    </h2>
                </div>
                <div id="stops-collapsed" class="collapse" aria-labelledby="headingTwo" data-parent="#chat_accrordion">
                    <div class="card-body">
                        <div class="accordion-stops" id="stops_accrordion">
                        </div>
                    </div>
                </div>
            </div>
            <div class="card">
                <div class="card-header" id="headingTwo">
                    <h2 class="mb-0">
                        <button class="btn btn-link btn-block text-left collapsed" type="button" data-toggle="collapse" data-target="#load-files-collapsed" aria-expanded="false" aria-controls="load-files-collapsed">
                            Load Files<i class="fa fa-angle-down" aria-hidden="true"></i>
                        </button>
                    </h2>
                </div>
                <div id="load-files-collapsed" class="collapse" aria-labelledby="headingTwo" data-parent="#chat_accrordion">
                    <div class="card-body load-files-block">
                    </div>
                </div>
            </div>
            <div class="card">
                <div class="card-header" id="headingTwo">
                    <h2 class="mb-0">
                        <button class="btn btn-link btn-block text-left collapsed" type="button" data-toggle="collapse" data-target="#load-notes-collapsed" aria-expanded="false" aria-controls="load-notes-collapsed">
                            Load Notes<i class="fa fa-angle-down" aria-hidden="true"></i>
                        </button>
                    </h2>
                </div>
                <div id="load-notes-collapsed" class="collapse" aria-labelledby="headingTwo" data-parent="#chat_accrordion">
                    <div class="card-body load-notes-block">
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="col-auto chat-userDetail pl-xl-0 hidden" id="userdetailPreview">
        <div class="userDetail-close text-right">
            <a href="#" class="close"><i class="fa fa-times" aria-hidden="true"></i></a>
        </div>
        <!-- <div class="userDetail-userBlock">
            <div class="userChat-imgBlock">
                <img src="images/user.png" alt="">

            </div>
            <div class="">
                <h6> Lacy</h6>
                <p>(252) 999-0726</p>
            </div>
        </div> -->

        <div class="userDetail-userBlock ">
            <div class="userChat-imgBlock" id="userdetailPreviewImage">
                L
            </div>
            <div class="">
                <h6 id="userdetailPreviewName"> Lacy</h6>
                <p id="userdetailPreviewPhone">(252) 999-0726</p>
            </div>
        </div>
        {{-- <div class="recent-block">
            <h6>Most recent Activity</h6>
            <div class="userrecent-userBlock">
                <div class="userChat-imgBlock">
                    <i class="fa fa-comment-o" aria-hidden="true"></i>
                </div>
                <p> Joy B. send a message <span class="dot"></span> Today</p>
            </div>
            <div class="d-flex">
                <button class="btn btn-border"><img src="{{asset('theme/images/chat-phone.png')}}" alt=""></button>
        <button class="btn btn-border"><img src="{{asset('theme/images/chat-doller.png')}}" alt=""></button>
        <button class="btn btn-border"><img src="{{asset('theme/images/chat-text.png')}}" alt=""></button>
    </div>
</div> --}}
<div class="chatDetail-tab">
    <!-- Nav tabs -->
    <ul class="nav nav-tabs">
        <li class="nav-item">
            <a class="nav-link active" data-toggle="tab" href="#details">Details</a>
        </li>
        {{-- <li class="nav-item">
                    <a class="nav-link" data-toggle="tab" href="#activity">Activity</a>
                </li> --}}
    </ul>

    <!-- Tab panes -->
    <div class="tab-content">
        <div class="tab-pane active" id="details">
            <div class="user-detail">
                <div class="mb-3">
                    <label for="">Name</label>
                    <p id="userdetailPreviewName1">Lacy</p>
                </div>
                <div class="mb-3">
                    <label for="">Phone</label>
                    <p id="userdetailPreviewPhone1">(252) 999-0726</p>
                </div>
                <div class="mb-3">
                    <label for="">Email</label>
                    <p id="userdetailPreviewEmail"></p>
                    {{-- <p><a href="#">Add Email</a></p> --}}
                </div>
                {{-- <div class="mb-3">
                            <label for="">Card on file </label>
                            <p><a href="#">Manage saved cards</a></p>
                        </div>
                        <div class="">
                            <label for="">Tags </label>
                            <div class="">
                                <a href="#" class="btn"> <i class="fa fa-plus-circle"
                                        aria-hidden="true"></i>
                                    Add tag</a>
                            </div>
                        </div> --}}
            </div>
        </div>
        {{-- <div class="tab-pane container fade" id="activity">Activity</div> --}}
    </div>
</div>

</div>
</div>
@endsection

@section('modal')
<!-- Modal -->
<div class="modal fade" id="boards" role="dialog" aria-labelledby="boardsTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-chat" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLongTitle">Boards</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form action="#">
                    <div class="form-group">
                        <label for="brokerage-mc-txt">Selct Box</label>
                        <select class="form-control select2-select" id="boards-select">
                            <option>Select option</option>
                            <option>Option 1</option>
                            <option>Option 2</option>
                            <option>Option 3</option>
                            <option>Option 4</option>
                        </select>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-danger text-white" data-dismiss="modal">Close</button>
                <button type="button" class="btn btn-themeGray">Save</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="groups" tabindex="-1" role="dialog" aria-labelledby="groupsTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-chat" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLongTitle">Groups</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form action="#">
                    <div class="form-group">
                        <label for="brokerage-mc-txt">Group Name</label>
                        <input type="text" class="form-control" id="group_name" name="group_name" required />
                    </div>
                    <div class="form-group">
                        <label for="brokerage-mc-txt">Selct Box</label>
                        <select class="form-control select2-select" id="groups-select" multiple="multiple">
                            <option>Select option</option>
                            <option>Option 1</option>
                            <option>Option 2</option>
                            <option>Option 3</option>
                            <option>Option 4</option>
                        </select>
                        <input type="hidden" name="isGroupEdit" id="isGroupEdit" value="0">
                        <input type="hidden" name="groupSid" id="groupSid" value="">
                        <input type="hidden" name="old_group_name" id="old_group_name" value="">
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-danger text-white" data-dismiss="modal">Close</button>
                <button type="button" class="btn btn-themeGray" id="add_group">Save</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="load_internal" tabindex="-1" role="dialog" aria-labelledby=loadInternalTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-chat" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLongTitle">Load Internal Group</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form action="#">
                    <div class="form-group">
                        {{-- <label for="brokerage-mc-txt"Lload Internal Name</label>
                            <input type="text" class="form-control" id="load_internal_name" name="load_internal_name" required /> --}}
                    </div>
                    <div class="form-group">
                        <label for="brokerage-mc-txt">Selct Box</label>
                        <select class="form-control select2-select" id="load-internal-select" multiple="multiple">
                            <option>Select option</option>
                            <option>Option 1</option>
                            <option>Option 2</option>
                            <option>Option 3</option>
                            <option>Option 4</option>
                        </select>
                        <input type="hidden" name="isLoadInternalEdit" id="isLoadInternalEdit" value="0">
                        <input type="hidden" name="oldLoadInternalParticipants[]" id="oldLoadInternalParticipants" value="">
                        <input type="hidden" name="loadInternalSid" id="loadInternalSid" value="">
                        {{-- <input type="hidden" name="old_load_internal_name" id="old_load_internal_name" value=""> --}}
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-danger text-white" data-dismiss="modal">Close</button>
                <button type="button" class="btn btn-themeGray" id="add_load_internal_group">Save</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="directMsg" role="dialog" aria-labelledby="directMsgTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-chat" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLongTitle">Direct Messages</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form action="#">
                    <div class="form-group">
                        <label for="brokerage-mc-txt">Selct Box</label>
                        <select class="form-control select2-select" id="directMsg-select">
                            <option>Select option</option>
                            <option>Option 1</option>
                            <option>Option 2</option>
                            <option>Option 3</option>
                            <option>Option 4</option>
                        </select>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-danger text-white" data-dismiss="modal">Close</button>
                <button type="button" id="add_direct_message_contact" class="btn btn-themeGray">Save</button>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="forwardMsg" tabindex="-1" role="dialog" aria-labelledby="forwardMsgTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-chat" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLongTitle">Forward Message</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form action="#">
                    <div class="form-group">
                        <label for="brokerage-mc-txt">Selct Box</label>
                        <select class="form-control select2-select" id="forwardMsg-select" multiple="multiple">
                            <option>Select option</option>
                            <option>Option 1</option>
                            <option>Option 2</option>
                            <option>Option 3</option>
                            <option>Option 4</option>
                        </select>
                        <input type="hidden" name="sourceFwdMsgIndex" id="sourceFwdMsgIndex" value="">
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-danger text-white" id="fwdCancleBtn" data-dismiss="modal">Close</button>
                <button type="button" id="fwdSubmitBtn" class="btn btn-themeGray">Save</button>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="extComm" tabindex="-1" role="dialog" aria-labelledby="extCommTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-chat" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLongTitle">External Communicatons</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form action="#">
                    <div class="form-group">
                        <label for="brokerage-mc-txt">Selct Box</label>
                        <select class="form-control select2-select" id="extComm-select">
                            <option>Select option</option>
                            <option>Option 1</option>
                            <option>Option 2</option>
                            <option>Option 3</option>
                            <option>Option 4</option>
                        </select>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-danger text-white" data-dismiss="modal">Close</button>
                <button type="button" class="btn btn-themeGray">Save</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="extCommEmail" role="dialog" aria-labelledby="extCommEmailTitle">
    <div class="modal-dialog modal-dialog-centered modal-chat" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLongTitle">External Communicatons</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form action="#">
                    <div class="form-group">
                        <label for="brokerage-mc-txt">Selct Box</label>
                        <select class="form-control select2-select" id="extCommEmail-select">
                            <option>Select option</option>
                            <option>Option 1</option>
                            <option>Option 2</option>
                            <option>Option 3</option>
                            <option>Option 4</option>
                        </select>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-danger text-white" data-dismiss="modal">Close</button>
                <button type="button" class="btn btn-themeGray" id="showEmailToExternalSection">Save</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="extCommSms" role="dialog" aria-labelledby="extCommSmsTitle">
    <div class="modal-dialog modal-dialog-centered modal-chat" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLongTitle">External SMS Communicatons</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form action="#">
                    <div class="form-group">
                        <label for="brokerage-mc-txt">Selct Box</label>
                        <select class="form-control select2-select" id="extCommSms-select">
                            <option>Select option</option>
                            <option>Option 1</option>
                            <option>Option 2</option>
                            <option>Option 3</option>
                            <option>Option 4</option>
                        </select>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-danger text-white" data-dismiss="modal">Close</button>
                <button type="button" class="btn btn-themeGray" id="showSmsToExternalSection">Save</button>
            </div>
        </div>
    </div>
</div>

<!-- Load File Modal -->
<div class="modal fade teamModal" id="loadModal" tabindex="-1" aria-labelledby="loadModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="loadModalLabel">Lumper</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <img src="{{asset('theme/images/login-banner.jpg')}}" alt="" class="img-fluid mb-2">
                <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry.</p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn cancel-btn" data-dismiss="modal">Cancel</button>
            </div>
        </div>
    </div>
</div>

@include('companyAdmin.dispatchHub.modal.availableDriver')
@endsection

@section('script')
<script src="{{ asset('theme/js/select2.full.min.js') }}"></script>
<script src="{{ asset('theme/js/twilio-conversations.min.js') }}"></script>
<script src="{{ asset('theme/js/axios.min.js') }}"></script>

{{-- <script rel="preload" src="{{ url('node_modules/@twilio/conversations/dist/twilio-conversations.min.js') }}"></script> --}}
{{-- {{!! dd(auth()->guard($logged_in_guard)->user()) !!}} --}}


<script>
    var logged_in_guard = "{{$logged_in_guard}}";
    var company_phone = "{{$phoneNumber}}"; // Added at 19-04-2023
    var baseUrl = "{{env('NODE_CHAT_API_BASE_URL')}}";

    if (logged_in_guard == 'company-admin') {
        var user_type = "{{ auth()->guard($logged_in_guard)->user()->type }}";
    } else {
        var user_type = 3;
    }

    if (logged_in_guard == 'company-admin') {
        var load_internal_detail_url = "{{ route('company.admin.chat.load.internal.detail') }}";
    } else {
        var load_internal_detail_url = "{{ route('driver.admin.chat.load.internal.detail') }}";
    }

    var userID = "{{ auth()->guard($logged_in_guard)->user()->id }}";

    var my_company_id = "{{auth()->guard($logged_in_guard)->user()->company_id}}";

    var tempUsername = '';
    var webBaseUrl = "{{url('/')}}";
    var tempFriendlyName = "{{ auth()->guard($logged_in_guard)->user()->first_name.' '.auth()->guard($logged_in_guard)->user()->last_name}}";
    var tempProfilePic = "{{auth()->guard($logged_in_guard)->user()->profile_image}}";
    var companyAdminProfilePicBasePath = "{{ asset('storage/companyAdmin/profile/')}}";
    var companyAdminDefaultProfilePic = "{{asset('theme/images/user.png')}}";
    // var tempTimeZone = "{{auth()->guard($logged_in_guard)->user()->timezone}}";
    var assetBaseUrl = "{{asset('')}}";
    // console.log(assetBaseUrl+'theme/images/team.png');
    var tempTimeZone = "{{getTimeZone()}}";
    console.log("*****************", tempTimeZone);
    var tempTimeFormat = "{{getTimeFormat()}}";
    console.log("*****************", tempTimeFormat);
    if (tempProfilePic == null) {
        tempProfilePic = "";
    }
    console.log("user_type ", user_type);
    console.log("userID ", userID);

    if (user_type == 2) {
        console.log('basic username', 'dispatcher_' + userID);
        tempUsername = 'dispatcher_' + userID;
    } else if (user_type == 3) {
        tempUsername = 'driver_' + userID;
    } else if (user_type == 0) {
        tempUsername = 'company_admin_' + userID;
    } else if (user_type == 1) {
        tempUsername = 'manager_' + userID;
    } else {
        // console.log('type else');
    }

    $(document).ready(function() {
        $('#load-select').select2({
            ajax: {
                url: webBaseUrl + '/chat/get_chat_load_by_friendly_name'
                , type: 'POST'
                , crossDomain: true
                , delay: 1000
                , dataType: 'json'
                , headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    , "Access-Control-Allow-Origin": "*"
                , }
                , data: function(params) {
                    return {
                        name: params.term
                        , my_identity: tempUsername
                    };
                }
                , processResults: function(data) {
                    console.log('Data**************', data);
                    var arr = []
                    $.each(data, function(index, value) {
                        console.log(index, value);
                        arr.push({
                            id: value.sid
                            , value: value.status
                            , text: value.friendlyName
                        })
                    })
                    return {
                        results: arr
                    };
                }
                , cache: true
            }
        });


        $('#chat-message-internal').on('keyup', function() {
            $('#chat-message').val($('#chat-message-internal').val());
            $('#chat-message').trigger('keyup');
        });

        $('#msgSearchSubmitBtnInternal').on('click', function() {
            $('#msgSearchSubmitBtn').trigger('click');
        });

        $('#clearSearchBtnInternal').on('click', function() {
            $('#searchTextInternal').val('');
            $('.load_internal_tab').trigger('click');
        });

        $('#searchTextInternal').on('keyup', function() {
            $('#searchText').val($('#searchTextInternal').val());
        });




        //content for chat card footer replication for each tabs

        // Get the source element
        //const source = document.getElementById("source-chatCard-footer");

        // Get the destination elements
        //const destinations = document.querySelectorAll("[id^='destination-chatCard-footer']");
        //const destinationElements = document.getElementsByClassName("destination-chatCard-footer");

        // Clone the source element and insert it into all the destination elements
        //for (let i = 0; i < destinationElements.length; i++) {
        //    const clonedNode = source.cloneNode(true);
        //destinationElements[i].appendChild(clonedNode);
        // Loop through the child nodes of the cloned element and append a new string to their ids
        //        const childNodes = clonedNode.childNodes;
        //        for (let j = 0; j < childNodes.length; j++) {
        //            console.log("childNodes[j]");
        //            console.log(childNodes[j]);
        //            console.log("childNodes[j]");
        //            if (childNodes[j].id) {
        //                childNodes[j].id += "-destination-" + i;    
        //            }
        //        }
        //        
        //        destinationElements[i].appendChild(clonedNode);
        //
        //}

        // Add event listeners to the destination elements that trigger the same event on the source element
        //for (let i = 0; i < destinationElements.length; i++) {
        //destinationElements[i].addEventListener("click", function(event) {
        //    console.log("destination event",event)
        //     const inpt = source.querySelector("[name^='chat-message']");
        //    inpt.dispatchEvent(new event.constructor(event.type, event));
        //    source.dispatchEvent(new event.constructor(event.type, event));
        //});
        //destinationElements[i].addEventListener("keyup", function(event) {
        //    console.log("destination event1 ",event.type)
        //    const inpt = source.querySelector("[name^='chat-message']");
        //    inpt.dispatchEvent(new event.constructor(event.type, event));
        //    source.dispatchEvent(new event.constructor(event.type, event));
        //});
        //destinationElements[i].addEventListener("input", function(event) {
        // //   console.log("destination event1 ",event.type)
        //    const inpt = source.querySelector("[name^='chat-message']");
        //    inpt.dispatchEvent(new event.constructor(event.type, event));
        //    source.dispatchEvent(new event.constructor(event.type, event));
        //});

        //}




        //******************************************************

    });

    var logged_in_guard = '{{$logged_in_guard}}';

    if (logged_in_guard == 'company-admin') {
        var getSmsUrl = '{{route("company.admin.chat.get.unread.message")}}';
    } else {
        var getSmsUrl = '{{route("driver.admin.chat.get.unread.message")}}';
    }

    if (logged_in_guard == 'company-admin') {
        var checkNewUnreadSmsUrl = '{{route("company.admin.chat.checknew.unread.emails")}}';
    } else {
        var checkNewUnreadSmsUrl = '{{route("driver.admin.chat.checknew.unread.emails")}}';
    }
    @if($phoneNumber != '')
    setInterval(function() {
        var company_id = "{{auth()->guard($logged_in_guard)->user()->company_id}}";

        var divSms = document.getElementById("loadSMS");
        var inputPhones = divSms.querySelectorAll("input");
        var phoneExt = [];

        inputPhones.forEach(function(input) {
            phoneExt.push(input.value);
        });

        $.ajax({
            type: 'POST'
            , url: getSmsUrl
            , data: {
                company_id: company_id
                , phoneExt: phoneExt
            }
            , dataType: "JSON"
            , headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        , }).done(function(response) {
            if (response.success == true) {
                console.log(response);
                var data = response.data;
                var smsData = response.phones;

                if (smsData.length > 0) {
                    for (var i = 0; i < smsData.length; i++) {
                        var divElement = document.getElementById(smsData[i].liid);

                        if ($('#' + smsData[i].liid).length) {
                            console.log(smsData[i].liid + " exists -" + smsData[i].tophone);
                            var cntDiv = 'urdSmsCnt_' + smsData[i].liid;
                            $("#" + cntDiv).removeClass('d-none');
                            $("#" + cntDiv).text(smsData[i].total);
                        } else {
                            console.log(smsData[i].liid + " does not exists - " + smsData[i].tophone);
                            $("#loadSMS").append(data[i]);
                        }
                    }
                }
            } else {
                toastr.error(response.msg, {
                    timeOut: 5000
                });
            }
        });
    }, 7000);
    @endif

    function SaveTicket(id) {
        var id = $("#lblqyt" + id).html();
        var tcktNo = $("#txtTicketNo" + id).val();
        var Price = $("#txtPrice" + id).val();
        //remove current selected row      
        $("#row" + id).remove();
        //append new row      
        var tblRow = '  <tr id="row' + id + '">    <td><label id="lblTicketNo1">' + tcktNo + '</label>' + '  </td>  <td><label id="lblitem" >' + Price + '</label>  </td>  <td>' + '  <input type="button" class="btn btn-warning" id="btnEdit' + id + '" onclick="EditTicket(' + id + ')" value="Edit" />' + ' |   <input type="button" class="btn btn-danger" id="btnDelete' + id + '" onclick="DeleteTicket(' + id + ')" value="Delete" />  </td>  </tr>'
        $("#tbl").append(tblRow);
    }

    function EditTicket(id) {
        var id = $("#lblqyt" + id).html();
        var tcktNo = $("#lblTicketNo" + id).html();
        var Price = $("#lblPrice" + id).html();
        $("#row" + id).remove();
        var tblRow = '  <tr class="edit-box" id="row' + id + '">      <td>  <div class="form-group mb-0"><input type="text" class="form-control" />  </div></td>' + '  <td> <div class="form-group mb-0"> <input type="text" class="form-control" /> </div> </td>' + '  <td>  <div class="form-group mb-0 float-left"><input type="button" class="btn btn-link btn-link-orange" id="btnUpdate' + id + '" onclick="UpdateTicket(' + id + ')" value="+ ADD ITEM" /></div>  </td>   </tr>'
        $("#tbl").append(tblRow);
    }

    function UpdateTicket(id) {
        var id = $("#lblqyt" + id).html();

        $("#row" + id).remove();

        $("#rowundefined" + id).remove();

    }

    function DeleteTicket(id) {
        $("rowundefined1").remove();
    }

    // file upload
    document.querySelectorAll(".drop-zone__input").forEach((inputElement) => {
        const dropZoneElement = inputElement.closest(".drop-zone");

        dropZoneElement.addEventListener("click", (e) => {
            inputElement.click();
        });

        inputElement.addEventListener("change", (e) => {
            if (inputElement.files.length) {
                updateThumbnail(dropZoneElement, inputElement.files[0]);
            }
        });

        dropZoneElement.addEventListener("dragover", (e) => {
            e.preventDefault();
            dropZoneElement.classList.add("drop-zone--over");
        });

        ["dragleave", "dragend"].forEach((type) => {
            dropZoneElement.addEventListener(type, (e) => {
                dropZoneElement.classList.remove("drop-zone--over");
            });
        });

        dropZoneElement.addEventListener("drop", (e) => {
            e.preventDefault();

            if (e.dataTransfer.files.length) {
                inputElement.files = e.dataTransfer.files;
                updateThumbnail(dropZoneElement, e.dataTransfer.files[0]);
            }

            dropZoneElement.classList.remove("drop-zone--over");
        });
    });

    function updateThumbnail(dropZoneElement, file) {
        let thumbnailElement = dropZoneElement.querySelector(".drop-zone__thumb");

        // First time - remove the prompt
        if (dropZoneElement.querySelector(".drop-zone__prompt")) {
            dropZoneElement.querySelector(".drop-zone__prompt").remove();
        }

        // First time - there is no thumbnail element, so lets create it
        if (!thumbnailElement) {
            thumbnailElement = document.createElement("div");
            thumbnailElement.classList.add("drop-zone__thumb");
            dropZoneElement.appendChild(thumbnailElement);
        }

        thumbnailElement.dataset.label = file.name;

        // Show thumbnail for image files
        if (file.type.startsWith("image/")) {
            const reader = new FileReader();

            reader.readAsDataURL(file);
            reader.onload = () => {
                thumbnailElement.style.backgroundImage = `url('${reader.result}')`;
            };
        } else {
            thumbnailElement.style.backgroundImage = null;
        }
    }
    // file upload end

    // left menu
    $('.menuToggle').click(function() {
        $('.left-menu-open').toggleClass('menu-close');
        $('.main-wrapper').toggleClass('wrapper-toggle');
        $('header').toggleClass('header-left');
    });
    $(document).ready(function() {

        $('.shippingRange').click(function() {
            $('.shippingEnd').addClass('d-block');
        });
        $('.shippingTime').click(function() {
            $('.shippingEnd').removeClass('d-block');
        });
        // equal height
        if ($(window).width() >= 992) {
            $('.main-wrapper').each(function() {
                var highestBox = 0;
                $('.generalAccount', this).each(function() {
                    if ($(this).height() > highestBox) {
                        highestBox = $(this).height();
                    }
                });
                $('.generalAccount', this).height(highestBox);
            });
        }
    });

    // label-color-change-click-on-checkbox

    $("document").ready(function() {
        $("input.clr-check").click(function() {
            if ($(this).is(':checked')) {
                $(this).next('label').addClass('product_ingredients_list_1');
            } else {
                $(this).next('label').removeClass('product_ingredients_list_1');
            }
        })
    });

    // progress
    $("document").ready(function() {
        $('#accepted').click(function() {
            $('#accepted').addClass('fill-active');

            $('#complete').removeClass('fill-active');
            $('#readyToBill').removeClass('fill-active');
            $('#delivered').removeClass('fill-active');
            $('#inTransit').removeClass('fill-active');
            $('#confirmed').removeClass('fill-active');
            $('#preplaned').removeClass('fill-active');

            $('#cancelled').removeClass('cancalled');
            $('#accepted').removeClass('cancalled');
            $('#preplaned').removeClass('cancalled');
            $('#confirmed').removeClass('cancalled');
            $('#inTransit').removeClass('cancalled');
            $('#delivered').removeClass('cancalled');
            $('#readyToBill').removeClass('cancalled');
            $('#complete').removeClass('cancalled');
        });

        $('#inTransit').click(function() {
            $('#inTransit').addClass('fill-active');
            $('#confirmed').addClass('fill-active');
            $('#preplaned').addClass('fill-active');
            $('#accepted').addClass('fill-active');

            $('#complete').removeClass('fill-active');
            $('#readyToBill').removeClass('fill-active');
            $('#delivered').removeClass('fill-active');

            $('#cancelled').removeClass('cancalled');
            $('#accepted').removeClass('cancalled');
            $('#preplaned').removeClass('cancalled');
            $('#confirmed').removeClass('cancalled');
            $('#inTransit').removeClass('cancalled');
            $('#delivered').removeClass('cancalled');
            $('#readyToBill').removeClass('cancalled');
            $('#complete').removeClass('cancalled');
        });

        $('#complete').click(function() {
            $('#complete').addClass('fill-active');
            $('#readyToBill').addClass('fill-active');
            $('#delivered').addClass('fill-active');
            $('#inTransit').addClass('fill-active');
            $('#confirmed').addClass('fill-active');
            $('#preplaned').addClass('fill-active');
            $('#accepted').addClass('fill-active');

            $('#cancelled').removeClass('cancalled');
            $('#accepted').removeClass('cancalled');
            $('#preplaned').removeClass('cancalled');
            $('#confirmed').removeClass('cancalled');
            $('#inTransit').removeClass('cancalled');
            $('#delivered').removeClass('cancalled');
            $('#readyToBill').removeClass('cancalled');
            $('#complete').removeClass('cancalled');
        });

        // $('[data-toggle="tooltip"]').tooltip();
    });

</script>
<script>
    var totalSteps = $("#progressbar li").length;

    $(".submit").on("click", function() {
        return false;
    });

    $("#progressbar li:nth-of-type(1)").addClass("active");
    $(".myContainer .form-container:nth-of-type(1)").addClass("active");

    $(".form-container").on("click", ".next", function() {
        $("#progressbar li").eq($(this).parents(".form-container").index() + 1).addClass("active");
        $(this).parents(".form-container").removeClass("active").next().addClass("active");
    });

    $(".form-container").on("click", ".back", function() {
        $("#progressbar li").eq($(this).parents(".form-container").index() - totalSteps).removeClass("active");
        $(this).parents(".form-container").removeClass("active").prev().addClass("active");
    });

    // 29-12-2022 
    $(".chatEmoji-block").hide();
    $(".chatEmoji-btn").click(function() {
        $(".chatEmoji-block").toggle();
    });
    // $(".chatEmoji-block .cancel-btn").click(function () {
    //     $(".chatEmoji-block").hide();
    // });

    $('#boards-select').select2({
        dropdownParent: $('#boards')
    , });
    $('#groups-select').select2({
        dropdownParent: $('#groups')
    , });
    $('#load-internal-select').select2({
        dropdownParent: $('#load_internal')
    , });
    $('#directMsg-select').select2({
        // dropdownParent: $('#directMsg'),
        dropdownParent: $(this).parent()
    , });
    $('#forwardMsg-select').select2({
        dropdownParent: $('#forwardMsg')
    , });
    $('#extComm-select').select2({
        dropdownParent: $('#extComm')
    , });

    $('#extCommEmail-select').select2({
        placeholder: "Enter email to search"
    , });
    $('#extCommSms-select').select2({
        placeholder: "Enter phone number to search"
    , });

</script>

<script src='https://cdn.socket.io/4.5.4/socket.io.min.js'></script>
<script src="https://www.gstatic.com/firebasejs/4.8.0/firebase-app.js"></script>
<script src="https://www.gstatic.com/firebasejs/4.8.0/firebase-messaging.js"></script>
<!-- <script src="../scripts/notify_actions.js"></script> -->
<script>
    const firebaseConfig = {
        // apiKey: "AIzaSyAD-5eAjL1LAquzz2JkK0Ny19goW-VY_P8",
        apiKey: "AIzaSyDqbXeTi4x7HelxI_4xiFzGZ01P_xiOsIs"
        , authDomain: "twilioconversationsweb.firebaseapp.com"
        , projectId: "twilioconversationsweb"
        , storageBucket: "twilioconversationsweb.appspot.com"
        , messagingSenderId: "507177924723"
        , appId: "1:507177924723:web:bab0a348cb4d37d05c9206"
        , measurementId: "G-YT9RW3LZ8W"
    };

    firebase.initializeApp(firebaseConfig);

    // Retrieve Firebase Messaging object.
    const messaging = firebase.messaging();

    messaging.requestPermission()
        .then(function() {
            console.log('Notification permission granted.');
        })
        .catch(function(err) {
            console.log('Unable to get permission to notify.', err);
        });

</script>


<script src="{{ asset('theme/js/chat.js') }}" defer></script>
<script type="text/javascript">
    $(document).ready(function() {
        // getChatLoadDetail();
    });
    $('body').on('click', '.truck-location-update', function() {
        var that = $(this);
        var chatLoadDetailDiv = that.closest('.chat-loadDetail');
        if (chatLoadDetailDiv.length > 0) {
            var load_number = chatLoadDetailDiv.attr('data-load_number');
            var logged_in_guard = '{{$logged_in_guard}}';

            if (logged_in_guard == 'company-admin') {
                var url = "{{ route('company.admin.chat.load.truck.location.update') }}";
            } else {
                var url = "{{ route('driver.admin.chat.load.truck.location.update') }}";
            }

            if (load_number) {
                $.ajax({
                    url: url
                    , method: "POST"
                    , data: {
                        load_number: load_number
                    }
                    , headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    }
                    , beforeSend: function() {
                        chatLoadDetailDiv.find('.last_location > span').html('');
                        chatLoadDetailDiv.find('.last_updated > span').html('');
                        chatLoadDetailDiv.find('#map').html('');
                    }
                    , success: function(response) {
                        if (response.success) {
                            if (!$.isEmptyObject(response.truckLngLat)) {
                                chatLoadDetailDiv.find('.last_location > span').html(response.truckLngLat.address);
                                chatLoadDetailDiv.find('.last_updated > span').html(response.truckLngLat.last_updated);
                            }
                            if (!$.isEmptyObject(response.routeLngLat)) {
                                drawMap(response.routeLngLat, response.mapOption, response.truckLngLat);
                            }
                        }
                    }
                });
            }
        }
    });
    // Available Driver View Modal
    $('body').on("click", '.show-available-driver', function() {
        var token = $('meta[name="csrf-token"]').attr('content');
        var driver_id = $(this).data('driver-id');
        var logged_in_guard = '{{$logged_in_guard}}';

        var url = "/" + logged_in_guard + "/dispatch-hub/available-driver/view";
        $.ajax({
            url: url
            , method: "POST"
            , data: {
                _token: token
                , driver_id: driver_id
            }
            , success: function(response) {
                $('#availableDriverModal').find('.append-view').html(response.view);
            }
        });
    });

    function getChatLoadDetail() {
        // alert('getchatloaddetails function called...');
        var chatLoadDetailDiv = $('div.chat-loadDetail');
        console.log("chatLoadDetailDiv", chatLoadDetailDiv);
        if (chatLoadDetailDiv.length > 0) {
            var load_number = chatLoadDetailDiv.attr('data-load_number');
            var logged_in_guard = '{{$logged_in_guard}}';

            if (logged_in_guard == 'company-admin') {
                var url = "{{ route('company.admin.chat.load.detail') }}";
            } else {
                var url = "{{ route('driver.admin.chat.load.detail') }}";
            }
            if (load_number) {
                $.ajax({
                    url: url
                    , method: "GET"
                    , data: {
                        load_number: load_number
                    }
                    , beforeSend: function() {
                        chatLoadDetailDiv.addClass('hidden');
                    }
                    , success: function(response) {
                        if (response.success) {
                            chatLoadDetailDiv.find('.load_number').html(response.item.load_number);
                            chatLoadDetailDiv.find('.load_status').html(response.item.load_status);
                            if (response.item.driver.full_name) {
                                chatLoadDetailDiv.find('.driver_name > a').html(response.item.driver.full_name);

                                if (logged_in_guard == 'company-admin') {
                                    chatLoadDetailDiv.find('.driver_name > a').attr({
                                        'data-driver-id': response.item.driver.id
                                        , 'data-toggle': 'modal'
                                        , 'data-target': '#availableDriverModal' // attributes which contain dash(-) should be covered in quotes.
                                    });
                                    chatLoadDetailDiv.find('.driver_name > a').addClass('show-available-driver');
                                }
                            } else {
                                chatLoadDetailDiv.find('.driver_name > a').html('');
                            }
                            if (response.item.broker.name) {
                                chatLoadDetailDiv.find('.broker_name > a').html(response.item.broker.name);
                                if (response.brokerLink) {
                                    chatLoadDetailDiv.find('.broker_name > a').attr({
                                        'href': response.brokerLink
                                        , 'target': response.targetBrokerLink
                                    });
                                }
                            } else {
                                chatLoadDetailDiv.find('.broker_name > a').html('');
                            }
                            if (response.item.truck_number) {
                                chatLoadDetailDiv.find('.truck_number > a').html(response.item.truck_number);
                                if (response.truckLink) {
                                    chatLoadDetailDiv.find('.truck_number > a').attr({
                                        'href': response.truckLink
                                        , 'target': response.targetTruckLink
                                    });
                                }
                            } else {
                                chatLoadDetailDiv.find('.truck_number > a').html('');
                            }
                            if (response.item.trailer_number) {
                                chatLoadDetailDiv.find('.trailer_number > a').html(response.item.trailer_number + ' - ' + response.gtypeLabel);
                                if (response.trailerLink) {
                                    chatLoadDetailDiv.find('.trailer_number > a').attr({
                                        'href': response.trailerLink
                                        , 'target': response.targetTrailerLink
                                    });
                                }
                            } else {
                                chatLoadDetailDiv.find('.trailer_number > a').html('');
                            }
                            chatLoadDetailDiv.find('#stops_accrordion').html(response.stopView);
                            setTimeout(function() {
                                if (chatLoadDetailDiv.find('#stops_accrordion .card').length > 0) {
                                    var tripId = response.item.load_trip_id;
                                    if (tripId) {
                                        tripDetails(tripId);
                                    }
                                }
                            }, 250);
                            chatLoadDetailDiv.find('.load-files-block').html(response.fileView);
                            // console.log(response.notes);
                            chatLoadDetailDiv.find('.load-notes-block').html(response.notes);
                            chatLoadDetailDiv.removeClass('hidden');

                            if (!$.isEmptyObject(response.truckLngLat)) {
                                chatLoadDetailDiv.find('.last_location > span').html(response.truckLngLat.address);
                                chatLoadDetailDiv.find('.last_updated > span').html(response.truckLngLat.last_updated);
                            }
                            if (!$.isEmptyObject(response.routeLngLat)) {
                                drawMap(response.routeLngLat, response.mapOption, response.truckLngLat);
                            }
                        }
                    }
                });
            }
        }
    }

    function drawMap(routeLngLat, mapOption, truckLngLat) {
        var count = 0;
        var pickup = [];
        var delivery = [];
        var stop = [];
        $.each(routeLngLat, function(key, val) {
            if (key == 'pickup') {
                pickup.push(new TrimbleMaps.LngLat(val.longitude, val.latitude));
            } else if (key == 'delivery') {
                delivery.push(new TrimbleMaps.LngLat(val.longitude, val.latitude));
            } else {
                stop.push(new TrimbleMaps.LngLat(val.longitude, val.latitude));
            }
            count++;
        });
        if (pickup.length > 0 && delivery.length > 0) {
            var arr1 = pickup.concat(stop);
            var stopArray = arr1.concat(delivery);

            var showDefaultStops = true; // If false, custom stop icons can be used, if other values, default icons and styles are used.
            var tollRoadsOption = 2;
            var elevLimit = 0;
            var avoidCountry = [];
            if (!$.isEmptyObject(mapOption)) {
                if (mapOption.tollRoadsOption) {
                    tollRoadsOption = parseInt(mapOption.tollRoadsOption);
                }
                if (mapOption.elevLimit) {
                    elevLimit = parseInt(mapOption.elevLimit);
                }
                if (mapOption.avoidCountry == '1') {
                    avoidCountry = ['CA', 'MX'];
                }
            }

            const map = new TrimbleMaps.Map({
                container: 'map'
                , style: TrimbleMaps.Common.Style.TRANSPORTATION
                , center: new TrimbleMaps.LngLat(stopArray[0].lng, stopArray[0].lat)
                , zoom: 8
            });

            const myRoute = new TrimbleMaps.Route({
                routeId: 'myRoute'
                , stops: stopArray
                , showStops: showDefaultStops
                , tollRoads: tollRoadsOption
                , elevLimit: elevLimit
                , avoidCountry: avoidCountry
            });

            map.on('load', function() {
                myRoute.addTo(map);
                if (!showDefaultStops) {
                    // add custom stop icons.
                    myRoute.addStopIcon('start', 'https://developer.trimblemaps.com/maps-sdk/img/marker_blue.png');
                    myRoute.addStopIcon('end', 'https://developer.trimblemaps.com/maps-sdk/img/marker_blue.png');
                    myRoute.addStopIcon('stop', 'https://developer.trimblemaps.com/maps-sdk/img/marker_blue.png');
                    // style custom stop icons. For detailed information, visit https://developer.trimblemaps.com/maps-sdk/style-spec/layers/#symbol
                    const stopLayerStyle = {
                        layout: {
                            'icon-size': [
                                'case'
                                , ['==', ['get', 'stopType'], 'start'], 1, // stopType is an internal property, it has start, end, and stop values for now.
                                ['==', ['get', 'stopType'], 'end'], 1
                                , 1 // stops
                            ]
                            , 'icon-offset': [0, -10]
                        }
                    };
                    myRoute.styleStopIcons(stopLayerStyle);
                }
            });

            if (!$.isEmptyObject(truckLngLat)) {
                // Create a marker with a label on top of an icon.
                if (document.getElementById('truckMarker')) {
                    document.getElementById('truckMarker').remove();
                }
                const el = document.createElement('div');
                el.id = 'truckMarker';
                // el.title             = truckLngLat.address;
                const divLabel = document.createElement('div');
                // divLabel.innerHTML   = truckLngLat.truck_number;
                divLabel.className = 'marker-label';
                el.appendChild(divLabel);
                const divIcon = document.createElement('div');
                divIcon.className = 'marker-image';
                el.appendChild(divIcon);

                const marker = new TrimbleMaps.Marker({
                    // draggable: true,
                    element: el
                }).setLngLat([truckLngLat.longitude, truckLngLat.latitude]).addTo(map);
            }
        } else {
            $('#map').html('');
        }
    }

    function tripDetails(tripId) {
        $.ajax({
            url: "https://tripmanagement.alk.com/api/trip?tripId=" + parseInt(tripId), // The web service endpoint.
            type: "GET"
            , contentType: "application/json; charset=utf-8"
            , dataType: "json"
            , beforeSend: function(xhr) {
                xhr.setRequestHeader("Authorization", TrimbleMaps.APIKey); // The API key obtained from Trimble Maps.
            }
            , success: function(resp) {
                if (resp.stops.length > 0) {
                    var zoneAbbr = moment.tz(timeZone).zoneAbbr();
                    var stops_resp = resp.stops;
                    var stops_accrordion = $('.chat-loadDetail').find('#stops_accrordion');
                    var stops_card = stops_accrordion.find('.card');
                    stops_card.each(function(i) {
                        var detail = stops_resp[i];
                        ++i;
                        var that = $(this);
                        var collapse = that.find('#stop' + i + '-collapse');
                        if (collapse.length > 0) {
                            var etaEle = collapse.find('.eta > span');
                            if (etaEle.length > 0) {
                                if (detail.currentETA) {
                                    etaEle.html(moment(detail.currentETA).tz(timeZone).format(dateTimeLayout) + ' ' + zoneAbbr);
                                }
                            }
                        }
                    });
                }
            }
        });
    }

</script>

<!-- Developed at 11-04-2023 -->
<script type="text/javascript">
    if (logged_in_guard == "driver-admin") {
        $("#boardCont").addClass('hidden');
        $("#externalEmailCont").addClass('hidden');
        $("#externalSMSCont").addClass('hidden');
        $("#create_group").addClass('hidden');
        $(".edit_group_link").addClass('hidden');


    }

    function addMessagesToChatArea1(data) {
        var html_data = 'No messages to show';
        if (data.length > 0) {
            var html_data = '';

            for (var i = data.length; i > 0; i--) {
                var key = i - 1;
                html_data += '<div class="chat-mainBlock ' + data[key].msg_align_class + '">';
                html_data += '<div class="chat-msg">';

                html_data += '<div class="chat-content">';
                html_data += data[key].message;

                html_data += '</div>';
                html_data += '</div>';
                html_data += '<div class="chat-info mr-0 ml-0">' + data[key].from + ' ' + data[key].time + '</div>';
                html_data += '</div>';
            }
        }

        return html_data;
    }

    // Added at 18-04-2023
    var intervalId;
    var smsCountId = null;

    // Add unread SMS COUNT to sidebar 19-04-2023
    if (logged_in_guard == 'company-admin') {
        var getUnreadSmsUrl = '{{route("company.admin.chat.get.unread.smscount")}}';
    } else {
        var getUnreadSmsUrl = '{{route("driver.admin.chat.get.unread.smscount")}}';
    }

    function startSmsInterval() {
        console.log("Sms Count Interval function started");
        smsCountId = setInterval(function() {
            var company_id = "{{auth()->guard($logged_in_guard)->user()->company_id}}";
            $.ajax({
                type: 'POST'
                , url: getUnreadSmsUrl
                , data: {
                    company_id: company_id
                }
                , dataType: "JSON"
                , headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            , }).done(function(response) {
                if (response.success == true) {
                    var total = response.total;

                    if (total > 0) {
                        $("#urdSmsCnt").removeClass('d-none');
                        $("#urdSmsCnt").text(total);
                    }
                } else {
                    toastr.error(response.msg, {
                        timeOut: 5000
                    });
                }
            });
        }, 7000);
    }

    if (company_phone != '') {
        startSmsInterval();
    }

    function stopSmsCountInterval() {
        console.log("SMS count interval function closed");
        clearInterval(smsCountId);
        smsCountId = null
    }

    function startInterval() {
        console.log("Interval function started");
        intervalId = setInterval(function() {
            // var tophone = $("#from_number").val();
            var tophone = $("#tophone").val();
            var logged_in_guard = '{{$logged_in_guard}}';
            var take = 1;

            if (logged_in_guard == 'company-admin') {
                var url = '{{route("company.admin.chat.get.unread.message.details")}}';
            } else {
                var url = '{{route("driver.admin.chat.get.unread.message.details")}}';
            }

            $.ajax({
                type: 'POST'
                , url: url
                , data: {
                    tophone: tophone
                    , logged_in_guard: logged_in_guard
                    , take: take
                }
                , dataType: 'JSON'
                , headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            , }).done(function(response) {
                if (response.success) {
                    var data = response.data;

                    if (data.length > 0) {
                        var html = addMessagesToChatArea1(data);
                        $('.chatCard-body').append(html);
                        var div = document.getElementById("myDiv");
                        div.scrollTop = div.scrollHeight;
                    }
                } else {
                    alert('Something went wrong!');
                }
            });
        }, 5000);
    }

    function stopInterval() {
        console.log("Interval function closed");
        clearInterval(intervalId);
    }

    $(document).ready(function() {
        $(document).on('click', '#getChatHistory', function(e) {
            e.preventDefault();

            startInterval(); // Added at 18-04-2023

            // Added at 19-04-2023
            $("#urdSmsCnt").addClass('d-none');
            $("#urdSmsCnt").text(0);
            stopSmsCountInterval();


            $("#load-select").val(null).trigger('change');
            $(".chatAttachements").addClass('d-none');
            $(".emailAttachements").addClass('d-none');
            $(".attachmentImgTag").addClass('d-none');
            $("#conversationStarImg").addClass('d-none');
            $('#userdetailPreview').addClass('hidden');
            $('#loaDetailPreview').addClass('hidden');

            var tophone = $(this).data('phone');
            var fromphone = "{{$phoneNumber}}";
            var logged_in_guard = '{{$logged_in_guard}}';

            $("#userChat-userBlock-friendlyName").empty();
            $("#userChat-userBlock-friendlyName").text(tophone);

            $("#take").val(5);
            var take = 5;

            if (logged_in_guard == 'company-admin') {
                var url = '{{route("company.admin.chat.get.chat.history")}}';
            } else {
                var url = '{{route("driver.admin.chat.get.chat.history")}}';
            }

            $("#subject").addClass('d-none');
            $("#submitMessage").addClass('d-none');
            $("#send_email_close_btn").addClass('d-none');
            $("#send_sms_close_btn").removeClass('d-none');

            $("#chat-message").val('');
            $("#chat-message").prop('rows', 1);

            // Show hide search box
            $("#searchSmsSection").removeClass('d-none');
            $("#searchSmsSection").addClass('d-flex');
            $("#searchEmailSection").addClass('d-none');
            $("#searchEmailSection").removeClass('d-flex');
            $("#simpleSearch").addClass('d-none');
            $("#simpleSearch").removeClass('d-flex');
            $('.chatCard-footer').removeClass('hidden');
            $('.closed_conver_text_div').addClass('hidden');

            $.ajax({
                type: 'POST'
                , url: url
                , data: {
                    tophone: tophone
                    , fromphone: fromphone
                    , logged_in_guard: logged_in_guard
                    , take: take
                }
                , dataType: 'JSON'
                , headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            , }).done(function(response) {
                if (response.success) {
                    var data = response.data;
                    var users = response.users;
                    var html = addMessagesToChatArea1(data);

                    $('.chatCard-body').empty();
                    $('.chatCard-body').html(html);

                    // $("#chatUsers").empty();
                    // $("#chatUsers").append('<option selected disabled>Select a user</option>');
                    // $("#chatUsers").removeClass('d-none');

                    // $.each(users, function(key, value) {
                    //     $('#chatUsers').append('<option value="+1'+value.cellPhone+'" >'+value.friendlyName+'( +1'+value.cellPhone+' )</option>');
                    // });

                    if (data.length < response.total) {
                        $("#loadEmailTag").addClass('d-none');
                        $("#loadSmsTag").removeClass('d-none');
                    } else if (data.length == response.total) {
                        $("#loadEmailTag").addClass('d-none');
                        $("#loadSmsTag").addClass('d-none');
                    }

                    var div = document.getElementById("myDiv");
                    div.scrollTop = div.scrollHeight;
                } else {
                    alert('Something went wrong!');
                }
            });
        });

        // Send an email using sendgrid
        $(document).on('click', '#send_email_close_btn', function(e) {
            e.preventDefault();

            var to_id = $("#toid").val();
            var from_id = "{{auth()->guard($logged_in_guard)->user()->id}}";
            var guard = $("#guard").val();
            var toName = $("#toname").val();
            var toAddress = $("#toemail").val();
            var fromAddress = "{{auth()->guard($logged_in_guard)->user()->email}}";
            var fromName = "{{auth()->guard($logged_in_guard)->user()->first_name.' '.auth()->guard($logged_in_guard)->user()->last_name}}";
            var company_id = "{{auth()->guard($logged_in_guard)->user()->company_id}}";
            var subject = $("#subject").val();
            var content = $("#chat-message").val();

            var files = document.getElementById('formInputFile1[]').files[0];
            var files2 = $('.emailAttachements')[0].files;

            const totalImages = $(".emailAttachements")[0].files.length;
            var attachements = $(".emailAttachements")[0];

            var fd = new FormData();
            fd.append('to_id', to_id);
            fd.append('from_id', from_id);
            fd.append('company_id', company_id);
            fd.append('guard', guard);
            fd.append('toName', toName);
            fd.append('toAddress', toAddress);
            fd.append('fromAddress', fromAddress);
            fd.append('fromName', fromName);
            fd.append('content', content);
            fd.append('subject', subject);

            for (var i = 0; i < totalImages; i++) {
                fd.append('images[]', attachements.files[i]);
            }

            fd.append('totalImages', totalImages);

            if (subject == '') {
                toastr.error("Subject is required", {
                    timeOut: 5000
                });
                return false;
            }

            if (content == '') {
                toastr.error("Message is required", {
                    timeOut: 5000
                });
                return false;
            }

            $.ajax({
                type: 'POST'
                , url: '{{url("/sendgrid/send-chat-email")}}'
                , data: fd
                , cache: false
                , contentType: false
                , processData: false
                , dataType: 'json'
                , headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
                , async: false
            , }).done(function(response) {
                if (response.success == true) {
                    var data = response.data;

                    var html = addEmailsToChatArea(data);
                    $('#chat-message').val('');
                    $('#subject').val('');
                    $('.chatCard-body').empty();
                    $('.chatCard-body').html(html);

                    var div = document.getElementById("myDiv");
                    div.scrollTop = div.scrollHeight;

                    toastr.success(response.msg, {
                        timeOut: 5000
                    });
                } else {
                    toastr.error(response.msg, {
                        timeOut: 5000
                    });
                }
            });
        });

        // Send a sms using twilio
        $(document).on('click', '#send_sms_close_btn', function(e) {
            e.preventDefault();

            var to_number = $('#tophone').val();
            var from_number = $('#from_number').val();
            var content = $("#chat-message").val();
            var logged_in_guard = '{{$logged_in_guard}}';

            if (logged_in_guard == 'company-admin') {
                var url = '{{route("company.admin.chat.send.sms.twilio")}}';
            } else {
                var url = '{{route("driver.admin.chat.send.sms.twilio")}}';
            }

            $("#take").val(5);
            var take = 5;

            var fd = new FormData();
            fd.append('to_number', to_number);
            fd.append('from_number', from_number);
            fd.append('content', content);
            fd.append('take', take);

            if (to_number == '' || to_number == null) {
                toastr.error("Recipient is required", {
                    timeOut: 5000
                });
                return false;
            }

            if (content == '') {
                toastr.error("Message is required", {
                    timeOut: 5000
                });
                return false;
            }

            $.ajax({
                type: 'POST'
                , url: url
                , data: fd
                , cache: false
                , contentType: false
                , processData: false
                , dataType: 'json'
                , headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
                , async: false
            , }).done(function(response) {
                console.log(response);

                if (response.success == true) {
                    var data = response.data;

                    $('#chat-message').val('');
                    $('#subject').val('');

                    var data = response.data;
                    var html = addMessagesToChatArea1(data);

                    $('.chatCard-body').empty();
                    $('.chatCard-body').html(html);

                    var div = document.getElementById("myDiv");
                    div.scrollTop = div.scrollHeight;

                    if (data.length < response.total) {
                        $("#loadMoreSms").removeClass('d-none');
                    } else if (data.length == response.total) {
                        $("#loadMoreSms").addClass('d-none');
                    }

                    toastr.success(response.msg, {
                        timeOut: 5000
                    });
                } else {
                    toastr.error(response.msg, {
                        timeOut: 5000
                    });

                }
            });
        });

        // Retrive email history using sendgrid
        $(document).on('click', '.receiveEmail', function(e) {
            e.preventDefault();
            stopInterval(); // Added at 18-04-2023
            startSmsInterval(); // Added at 19-04-2023

            $("#load-select").val(null).trigger('change');
            $(".chatAttachements").addClass('d-none');
            $(".emailAttachements").removeClass('d-none');
            $(".attachmentImgTag").removeClass('d-none');
            $("#conversationStarImg").addClass('d-none');
            $('#userdetailPreview').addClass('hidden');
            $('#loaDetailPreview').addClass('hidden');

            $('.isloadNav a[href="#tab1"]').tab('show');
            $('.isloadNav').addClass('hidden');

            // Added at 14-04-2023
            var key = $(this).data('key'); // Added at 14-04-2023
            $("#subject").val('');
            if (typeof key !== "undefined") {
                var emId = "#urdEmailCnt_" + key; // Changed at 19-04-2023
                $(emId).addClass('d-none');
            }

            var guard = $(this).data('guard');
            var toemail = $(this).data('toemail');
            var to_id = $(this).data('id');
            var toName = $(this).data('toname');
            var from_id = "{{auth()->guard($logged_in_guard)->user()->id}}";
            var fromAddress = "{{auth()->guard($logged_in_guard)->user()->email}}";
            var company_id = "{{auth()->guard($logged_in_guard)->user()->company_id}}";

            $("#take").val(5);
            var take = 5;

            $("#userChat-userBlock-friendlyName").empty();
            $("#userChat-userBlock-friendlyName").text(toemail);

            $("#chat-message").val('');
            $("#chat-message").prop('rows', 10);

            $("#chatUsers").addClass('d-none');

            $("#submitMessage").addClass('d-none');
            $("#send_email_close_btn").removeClass('d-none');
            $("#send_sms_close_btn").addClass('d-none');
            $("#subject").removeClass('d-none');

            $("#guard").val(guard);
            $("#toemail").val(toemail);
            $("#toid").val(to_id);
            $("#toname").val(toName);
            $("#from_id").val(from_id);
            $("#fromaddress").val(fromAddress);
            $("#company_id").val(company_id);

            // Show hide search box
            $("#searchSmsSection").addClass('d-none');
            $("#searchSmsSection").removeClass('d-flex');
            $("#searchEmailSection").removeClass('d-none');
            $("#searchEmailSection").addClass('d-flex');
            $("#simpleSearch").addClass('d-none');
            $("#simpleSearch").removeClass('d-flex');
            $('.chatCard-footer').removeClass('hidden');
            $('.closed_conver_text_div').addClass('hidden');

            // Hide load more tag
            $("#loadSmsTag").addClass('d-none');

            $.ajax({
                type: 'POST'
                , url: '{{url("/sendgrid/chat-email-history")}}'
                , data: {
                    guard: guard
                    , toAddress: toemail
                    , from_id: from_id
                    , to_id: to_id
                    , fromAddress: fromAddress
                    , company_id: company_id
                    , take: take
                }
                , dataType: 'json'
                , headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
                , async: false
            , }).done(function(response) {
                console.log(response);

                if (response.success == true) {
                    var data = response.data;
                    console.log(data);

                    var html = addEmailsToChatArea(data);
                    $('.chatCard-body').empty();
                    $('.chatCard-body').html(html);

                    var div = document.getElementById("myDiv");
                    div.scrollTop = div.scrollHeight;

                    if (data.length < response.total) {
                        $("#loadEmailTag").removeClass('d-none');
                    } else if (data.length == response.total) {
                        $("#loadEmailTag").addClass('d-none');
                    }
                } else {
                    toastr.error(response.msg, {
                        timeOut: 5000
                    });
                }
            });
        });

        // Retrive sms history using sendgrid
        $(document).on('click', '.receiveSms', function(e) {
            e.preventDefault();
            startInterval(); // Added at 18-04-2023
            stopSmsCountInterval(); // Added at 19-04-2023

            $("#load-select").val(null).trigger('change');
            $(".chatAttachements").addClass('d-none');
            $(".emailAttachements").addClass('d-none');
            $(".attachmentImgTag").addClass('d-none');
            $("#conversationStarImg").addClass('d-none');
            $('#userdetailPreview').addClass('hidden');
            $('#loaDetailPreview').addClass('hidden');

            $('.isloadNav a[href="#tab1"]').tab('show');
            $('.isloadNav').addClass('hidden');

            // Added at 14-04-2023
            var key = $(this).data('key'); // Added at 14-04-2023
            $("#subject").val('');
            if (typeof key !== "undefined") {
                var emId = "#urdSmsCnt_" + key; // Changed at 19-04-2023
                $(emId).addClass('d-none');
            }

            var guard = $(this).data('guard');
            var tophone = $(this).data('tophone');
            var to_id = $(this).data('id');
            var toName = $(this).data('toname');
            var from_id = "{{auth()->guard($logged_in_guard)->user()->id}}";
            var fromAddress = "{{$phoneNumber}}";
            var company_id = "{{auth()->guard($logged_in_guard)->user()->company_id}}";

            $("#take").val(5);
            var take = 5;

            $("#userChat-userBlock-friendlyName").empty();
            $("#userChat-userBlock-friendlyName").text(tophone);

            $("#chat-message").val('');
            $("#chat-message").prop('rows', 10);

            $("#chatUsers").addClass('d-none');

            $("#submitMessage").addClass('d-none');
            $("#send_email_close_btn").addClass('d-none');
            $("#send_sms_close_btn").removeClass('d-none');
            $("#subject").addClass('d-none');
            $('.chatCard-footer').removeClass('hidden');
            $('.closed_conver_text_div').addClass('hidden');

            $("#guard").val(guard);
            $("#tophone").val(tophone);
            $("#toid").val(to_id);
            $("#toname").val(toName);
            $("#from_id").val(from_id);
            $("#fromaddress").val(fromAddress);
            $("#company_id").val(company_id);
            let logged_in_guard = '{{$logged_in_guard}}';

            // Show hide search box
            $("#searchSmsSection").removeClass('d-none');
            $("#searchSmsSection").addClass('d-flex');
            $("#searchEmailSection").addClass('d-none');
            $("#searchEmailSection").removeClass('d-flex');
            $("#simpleSearch").addClass('d-none');
            $("#simpleSearch").removeClass('d-flex');

            // Hide load more tag
            $("#loadSmsTag").removeClass('d-none');

            if (logged_in_guard == 'company-admin') {
                var url = '{{route("company.admin.chat.get.chat.history")}}';
            } else {
                var url = '{{route("driver.admin.chat.get.chat.history")}}';
            }

            $.ajax({
                type: 'POST'
                , url: url
                , data: {
                    // guard:guard,
                    // toAddress:tophone,
                    // from_id:from_id,
                    // to_id:to_id,
                    // fromAddress:fromAddress,
                    // company_id:company_id,
                    // take:take
                    tophone: tophone
                    , fromphone: fromAddress
                    , logged_in_guard: logged_in_guard
                    , take: take
                }
                , dataType: 'json'
                , headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
                , async: false
            , }).done(function(response) {
                console.log(response);

                if (response.success == true) {
                    var data = response.data;
                    console.log(data);

                    var html = addMessagesToChatArea1(data);
                    $('.chatCard-body').empty();
                    $('.chatCard-body').html(html);

                    if (data.length < response.total) {
                        $("#loadEmailTag").addClass('d-none');
                        $("#loadSmsTag").removeClass('d-none');
                    } else if (data.length == response.total) {
                        $("#loadEmailTag").addClass('d-none');
                        $("#loadSmsTag").addClass('d-none');
                    }

                    var div = document.getElementById("myDiv");
                    div.scrollTop = div.scrollHeight;

                } else {
                    toastr.error(response.msg, {
                        timeOut: 5000
                    });
                }
            });
        });

        $(document).on('click', '.downloadAllFiles', function(e) {
            e.preventDefault();
            var string = $(this).data('urls');

            var links = string.split("|");

            for (let x = 0; x < links.length; x++) {
                const URL = links[x];

                const LINK = document.createElement('a');

                LINK.href = URL;
                LINK.setAttribute('download', 'download');

                document.body.appendChild(LINK);
                LINK.click();
                LINK.parentNode.removeChild(LINK);
                window.URL.revokeObjectURL(URL);
            }
        });

        // Load more email chat
        $(document).on('click', '#loadMoreEmails', function(e) {
            e.preventDefault();

            var to_id = $("#toid").val();
            var from_id = "{{auth()->guard($logged_in_guard)->user()->id}}";
            var guard = $("#guard").val();
            var toAddress = $("#toemail").val();
            var fromAddress = "{{auth()->guard($logged_in_guard)->user()->email}}";
            var fromName = "{{auth()->guard($logged_in_guard)->user()->first_name.' '.auth()->guard($logged_in_guard)->user()->last_name}}";
            var company_id = "{{auth()->guard($logged_in_guard)->user()->company_id}}";
            var take = parseInt($("#take").val()) + 5;
            $("#take").val(take);

            var fd = new FormData();
            fd.append('to_id', to_id);
            fd.append('from_id', from_id);
            fd.append('company_id', company_id);
            fd.append('guard', guard);
            fd.append('toAddress', toAddress);
            fd.append('fromAddress', fromAddress);
            fd.append('fromName', fromName);
            fd.append('take', take);

            $.ajax({
                type: 'POST'
                , url: '{{url("/chat-load-more-email-history")}}'
                , data: fd
                , cache: false
                , contentType: false
                , processData: false
                , dataType: 'json'
                , headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
                , async: false
            , }).done(function(response) {
                console.log(response);

                if (response.success == true) {
                    var data = response.data;
                    console.log(data);

                    var html = addEmailsToChatArea(data);

                    $('.chatCard-body').empty();
                    $('.chatCard-body').html(html);

                    /*var div = document.getElementById("myDiv");
                    div.scrollTop = div.scrollHeight;*/

                    if (data.length < response.total) {
                        $("#loadEmailTag").removeClass('d-none');
                    } else if (data.length == response.total) {
                        $("#loadEmailTag").addClass('d-none');
                    }
                } else {
                    toastr.error(response.msg, {
                        timeOut: 5000
                    });
                }
            });
        });

        // Load more sms chat
        $(document).on('click', '#loadMoreSms', function(e) {
            e.preventDefault();

            var company_id = "{{auth()->guard($logged_in_guard)->user()->company_id}}";
            var take = parseInt($("#take").val()) + 5;
            $("#take").val(take);
            var tophone = $("#tophone").val();

            var fd = new FormData();
            fd.append('company_id', company_id);
            fd.append('take', take);
            fd.append('to_phone', take);
            fd.append('tophone', tophone);

            var logged_in_guard = '{{$logged_in_guard}}';

            if (logged_in_guard == 'company-admin') {
                var url = '{{route("company.admin.chat.load.more.sms.history")}}';
            } else {
                var url = '{{route("driver.admin.chat.load.more.sms.history")}}';
            }

            $.ajax({
                type: 'POST'
                , url: url
                , data: fd
                , cache: false
                , contentType: false
                , processData: false
                , dataType: 'json'
                , headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
                , async: false
            , }).done(function(response) {
                console.log(response);

                if (response.success == true) {
                    var data = response.data;

                    $('#chat-message').val('');
                    $('#subject').val('');

                    var data = response.data;
                    var html = addMessagesToChatArea1(data);

                    $('.chatCard-body').empty();
                    $('.chatCard-body').html(html);

                    var div = document.getElementById("myDiv");
                    div.scrollTop = div.scrollHeight;

                    if (data.length < response.total) {
                        $("#loadMoreSms").removeClass('d-none');
                    } else if (data.length == response.total) {
                        $("#loadMoreSms").addClass('d-none');
                    }

                    toastr.success(response.msg, {
                        timeOut: 5000
                    });
                } else {
                    toastr.error(response.msg, {
                        timeOut: 5000
                    });
                }
            });
        });

        // Added at 11-04-2023
        // Search Sms
        $(document).on('click', '#smsSearchSubmitBtn', function(e) {
            e.preventDefault();

            $("#loadSmsTag").addClass("d-none");

            var company_id = "{{auth()->guard($logged_in_guard)->user()->company_id}}";
            var search_txt = $("#searchStringSms").val();

            if (search_txt == '') {
                toastr.error("Search string is required", {
                    timeOut: 5000
                });
                return false;
            }

            var to_number = $('#tophone').val();

            var fd = new FormData();
            fd.append('company_id', company_id);
            fd.append('search_txt', search_txt);
            fd.append('to_number', to_number);

            var logged_in_guard = '{{$logged_in_guard}}';

            if (logged_in_guard == 'company-admin') {
                var url = '{{route("company.admin.chat.search.sms.history")}}';
            } else {
                var url = '{{route("driver.admin.chat.search.sms.history")}}';
            }

            $.ajax({
                type: 'POST'
                , url: url
                , data: fd
                , cache: false
                , contentType: false
                , processData: false
                , dataType: 'json'
                , headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
                , async: false
            , }).done(function(response) {
                console.log(response);

                if (response.success == true) {
                    var data = response.data;

                    $('#chat-message').val('');
                    $('#subject').val('');

                    var data = response.data;
                    var html = addMessagesToChatArea1(data);

                    $('.chatCard-body').empty();
                    $('.chatCard-body').html(html);

                    var div = document.getElementById("myDiv");
                    div.scrollTop = div.scrollHeight;

                    if (data.length < response.total) {
                        $("#loadMoreSms").removeClass('d-none');
                    } else if (data.length == response.total) {
                        $("#loadMoreSms").addClass('d-none');
                    }

                    toastr.success(response.msg, {
                        timeOut: 5000
                    });
                } else {
                    toastr.error(response.msg, {
                        timeOut: 5000
                    });
                }
            });
        });

        // Clear Search Sms
        $(document).on('click', '#clearSmsSearchBtn', function(e) {
            e.preventDefault();

            // var tophone = $(this).data('phone');
            var tophone = $("#tophone").val();
            var logged_in_guard = '{{$logged_in_guard}}';

            $("#take").val(5);
            var take = 5;

            if (logged_in_guard == 'company-admin') {
                var url = '{{route("company.admin.chat.get.chat.history")}}';
            } else {
                var url = '{{route("driver.admin.chat.get.chat.history")}}';
            }

            $("#searchStringSms").val('');
            $("#loadSmsTag").removeClass('d-none');

            $.ajax({
                type: 'POST'
                , url: url
                , data: {
                    tophone: tophone
                    , logged_in_guard: logged_in_guard
                    , take: take
                }
                , dataType: 'JSON'
                , headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            , }).done(function(response) {
                if (response.success) {
                    var data = response.data;
                    // var users = response.users;
                    var html = addMessagesToChatArea1(data);

                    $('.chatCard-body').empty();
                    $('.chatCard-body').html(html);

                    // $("#chatUsers").empty();
                    // $("#chatUsers").append('<option selected disabled>Select a user</option>');
                    // $("#chatUsers").removeClass('d-none');

                    // $.each(users, function(key, value) {
                    //     $('#chatUsers').append('<option value="+1'+value.cellPhone+'" >'+value.friendlyName+'( +1'+value.cellPhone+' )</option>');
                    // });

                    if (data.length < response.total) {
                        $("#loadEmailTag").addClass('d-none');
                        $("#loadSmsTag").removeClass('d-none');
                    } else if (data.length == response.total) {
                        $("#loadEmailTag").addClass('d-none');
                        $("#loadSmsTag").addClass('d-none');
                    }

                    var div = document.getElementById("myDiv");
                    div.scrollTop = div.scrollHeight;
                } else {
                    alert('Something went wrong!');
                }
            });
        });

        // Search Email
        $(document).on('click', '#emailSearchSubmitBtn', function(e) {
            e.preventDefault();

            $("#loadEmailTag").addClass('d-none');

            var to_id = $("#toid").val();
            var from_id = "{{auth()->guard($logged_in_guard)->user()->id}}";
            var guard = $("#guard").val();
            var toName = $("#toname").val();
            var toAddress = $("#toemail").val();
            var fromAddress = "{{auth()->guard($logged_in_guard)->user()->email}}";
            var fromName = "{{auth()->guard($logged_in_guard)->user()->first_name.' '.auth()->guard($logged_in_guard)->user()->last_name}}";
            var company_id = "{{auth()->guard($logged_in_guard)->user()->company_id}}";

            var search_txt = $("#searchStringEmail").val();

            if (search_txt == '') {
                toastr.error("Search string is required", {
                    timeOut: 5000
                });
                return false;
            }

            var url = '{{url("chat-search-email-history")}}';

            var fd = new FormData();
            fd.append('to_id', to_id);
            fd.append('from_id', from_id);
            fd.append('company_id', company_id);
            fd.append('guard', guard);
            fd.append('toName', toName);
            fd.append('toAddress', toAddress);
            fd.append('fromAddress', fromAddress);
            fd.append('fromName', fromName);
            fd.append('search_txt', search_txt);

            $.ajax({
                type: 'POST'
                , url: url
                , data: fd
                , cache: false
                , contentType: false
                , processData: false
                , dataType: 'json'
                , headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
                , async: false
            , }).done(function(response) {
                if (response.success == true) {
                    var data = response.data;

                    var html = addEmailsToChatArea(data);
                    $('#chat-message').val('');
                    $('#subject').val('');
                    $('.chatCard-body').empty();
                    $('.chatCard-body').html(html);

                    var div = document.getElementById("myDiv");
                    div.scrollTop = div.scrollHeight;

                    toastr.success(response.msg, {
                        timeOut: 5000
                    });
                } else {
                    toastr.error(response.msg, {
                        timeOut: 5000
                    });
                }
            });
        });

        // Clear Search Email
        $(document).on('click', '#clearEmailSearchBtn', function(e) {
            e.preventDefault();

            var guard = $("#guard").val();
            var toemail = $("#toemail").val();
            var to_id = $("#toid").val();
            var toName = $("#toname").val();
            var from_id = "{{auth()->guard($logged_in_guard)->user()->id}}";
            var fromAddress = "{{auth()->guard($logged_in_guard)->user()->email}}";
            var company_id = "{{auth()->guard($logged_in_guard)->user()->company_id}}";

            $("#take").val(5);
            var take = 5;

            $("#searchStringEmail").val('');

            $.ajax({
                type: 'POST'
                , url: '{{url("/sendgrid/chat-email-history")}}'
                , data: {
                    guard: guard
                    , toAddress: toemail
                    , from_id: from_id
                    , to_id: to_id
                    , fromAddress: fromAddress
                    , company_id: company_id
                    , take: take
                }
                , dataType: 'json'
                , headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
                , async: false
            , }).done(function(response) {
                console.log(response);

                if (response.success == true) {
                    var data = response.data;

                    var html = addEmailsToChatArea(data);
                    $('.chatCard-body').empty();
                    $('.chatCard-body').html(html);

                    var div = document.getElementById("myDiv");
                    div.scrollTop = div.scrollHeight;

                    if (data.length < response.total) {
                        $("#loadEmailTag").removeClass('d-none');
                    } else if (data.length == response.total) {
                        $("#loadEmailTag").addClass('d-none');
                    }
                } else {
                    toastr.error(response.msg, {
                        timeOut: 5000
                    });
                }
            });
        });

        // Open email chat box for external communication
        $(document).on('click', '#openEmailBox', function(e) {
            e.preventDefault();

            var logged_in_guard = '{{$logged_in_guard}}';

            var div = document.getElementById("loadEmails");
            var inputs = div.querySelectorAll("input");
            var emails = [];

            inputs.forEach(function(input) {
                emails.push(input.value);
            });

            if (logged_in_guard == 'company-admin') {
                var url = '{{route("company.admin.get.email.for.external.use")}}';
            } else {
                var url = '{{route("driver.admin.get.email.for.external.use")}}';
            }

            $.ajax({
                type: 'POST'
                , url: url
                , data: {
                    emails: emails
                }
                , dataType: "JSON"
                , headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            , }).done(function(response) {
                console.log(response);

                if (response.success == true) {
                    var data = response.data;
                    $("#extCommEmail-select").empty();

                    for (var i = 0; i < data.length; i++) {
                        $("#extCommEmail-select").append("<option value='" + data[i].toid + "' data-guard='" + data[i].guard + "' data-id='" + data[i].toid + "' data-toname='" + data[i].toname + "' data-toemail='" + data[i].email + "' >" + data[i].toname + ' (' + data[i].email + ")</option>");
                        $("#extCommEmail-select").trigger('change');
                    }

                    $("#extCommEmail").modal("show");
                } else {
                    toastr.error(response.msg, {
                        timeOut: 5000
                    });
                }
            });
        });

        // Open phone chat box for external sms communication
        $(document).on('click', '#openPhoneBox', function(e) {
            e.preventDefault();

            var logged_in_guard = '{{$logged_in_guard}}';

            var div = document.getElementById("loadSMS");
            var inputs = div.querySelectorAll("input");
            var phone = [];

            inputs.forEach(function(input) {
                phone.push(input.value);
            });

            if (logged_in_guard == 'company-admin') {
                var url = '{{route("company.admin.chat.get.user.phones")}}';
            } else {
                var url = '{{route("driver.admin.chat.get.user.phones")}}';
            }

            $.ajax({
                type: 'POST'
                , url: url
                , data: {
                    phone: phone
                }
                , dataType: "JSON"
                , headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            , }).done(function(response) {
                console.log(response);

                if (Array.isArray(response)) {
                    var data = response;
                    $("#extCommSms-select").empty();

                    for (var i = 0; i < data.length; i++) {
                        $("#extCommSms-select").append("<option value='" + data[i].uniqueID + "' data-guard='" + data[i].uniqueID.split(".")[0] + "' data-id='" + data[i].uniqueID + "' data-toname='" + data[i].friendlyName + "' data-tophone='+1" + data[i].cellPhone + "' >" + data[i].friendlyName + ' ( +1' + data[i].cellPhone + " )</option>");
                        // $("#extCommSms-select").append("<option value='"+data[i].toid+"' data-guard='"+data[i].guard+"' data-id='"+data[i].toid+"' data-toname='"+data[i].toname+"' data-tophone='"+data[i].phone+"' >"+data[i].phone+"</option>");
                        $("#extCommSms-select").trigger('change');
                    }

                    $("#extCommSms").modal("show");
                } else {
                    toastr.error(response.msg, {
                        timeOut: 5000
                    });
                }
            });
        });

        // Show email to sidebox
        $(document).on('click', '#showEmailToExternalSection', function(e) {
            e.preventDefault();

            var guard = $("#extCommEmail-select").find(':selected').attr('data-guard');
            var id = $("#extCommEmail-select").find(':selected').attr('data-id');
            var toname = $("#extCommEmail-select").find(':selected').attr('data-toname');
            var toemail = $("#extCommEmail-select").find(':selected').attr('data-toemail');
            // var sendtoemail = $("#extCommEmail-select").find(':selected').attr('data-toemail');

            // Added at 19-04-2023
            var unique_id = convertEmailToId(toemail).split('@')[0];

            var html_data = '';
            var emailIcon = '{{$mailchaticn}}';

            html_data += '<li id="' + unique_id + '">';
            html_data += '<a href="javascript:void(0)" data-key="' + unique_id + '" data-guard="' + guard + '" data-id="' + id + '" data-toname="' + toname + '" data-toemail="' + toemail + '" class="receiveEmail">';
            html_data += '<span class="chatMenu-img" style="background-image:url(' + emailIcon + ');"></span>';
            html_data += '<span>' + toname + ' (' + toemail + ')</span>';
            html_data += '<div id="urdEmailCnt_' + unique_id + '" title="Unread Emails" class="badge badge-info position-absolute d-none" style="right: 0%;">0</div>';
            html_data += '</a>';
            html_data += '</li>';
            html_data += '<input type="hidden" name="selectedEmail[]" class="selected_emails" value="' + toemail + '">';

            $("#loadEmails").append(html_data);
            $("#extCommEmail").modal("hide");
        });

        // Show sms to sidebox
        $(document).on('click', '#showSmsToExternalSection', function(e) {
            e.preventDefault();

            var guard = $("#extCommSms-select").find(':selected').attr('data-guard');
            var id = $("#extCommSms-select").find(':selected').attr('data-id');
            var toname = $("#extCommSms-select").find(':selected').attr('data-toname');
            var tophone = $("#extCommSms-select").find(':selected').attr('data-tophone');
            // var sendtophone = $("#extCommSms-select").find(':selected').attr('data-tophone');

            // Added at 19-04-2023
            tempTophone = tophone.substring(tophone.length - 10);
            // var unique_id = convertEmailToId( tophone ).split('@')[0];
            var unique_id = convertEmailToId(tempTophone).split('@')[0];
            // alert(tophone);
            var html_data = '';
            var smsIcon = '{{$smschaticn}}';

            html_data += '<li id="' + unique_id + '">';
            html_data += '<a href="javascript:void(0)" data-key="' + unique_id + '" data-guard="' + guard + '" data-id="' + id + '" data-toname="' + toname + '" data-tophone="' + tophone + '" class="receiveSms">';
            html_data += '<span class="chatMenu-img" style="background-image:url(' + smsIcon + ');"></span>';
            html_data += '<span>' + toname + '(' + tophone + ')</span>';
            html_data += '<div id="urdSmsCnt_' + unique_id + '" title="Unread Sms" class="badge badge-info position-absolute d-none" style="right: 0%;">0</div>';
            html_data += '</a>';
            html_data += '</li>';
            html_data += '<input type="hidden" name="selectedPhone[]" class="selected_emails" value="' + tophone + '">';

            $("#loadSMS").append(html_data);
            $("#extCommSms").modal("hide");

            var logged_in_guard = '{{$logged_in_guard}}';

            if (logged_in_guard == 'company-admin') {
                var getSmsUrl = '{{route("company.admin.chat.get.unread.message")}}';
            } else {
                var getSmsUrl = '{{route("driver.admin.chat.get.unread.message")}}';
            }

            if (logged_in_guard == 'company-admin') {
                var checkNewUnreadSmsUrl = '{{route("company.admin.chat.checknew.unread.emails")}}';
            } else {
                var checkNewUnreadSmsUrl = '{{route("driver.admin.chat.checknew.unread.emails")}}';
            }

            // setInterval(function() {
            //     var company_id = "{{auth()->guard($logged_in_guard)->user()->company_id}}";

            //     var divSms = document.getElementById("loadSMS");
            //     var inputPhones = divSms.querySelectorAll("input");
            //     var phoneExt = [];

            //     inputPhones.forEach(function(input) {
            //         phoneExt.push(input.value);
            //     });

            //     $.ajax({
            //         type:'POST',
            //         url:getSmsUrl,
            //         data:{
            //             company_id: company_id,
            //             phoneExt: phoneExt
            //         },
            //         dataType: "JSON",
            //         headers:{
            //             'X-CSRF-TOKEN':$('meta[name="csrf-token"]').attr('content')
            //         },
            //     }).done(function(response) {
            //         if( response.success == true ) {
            //             console.log(response);
            //             var data = response.data;
            //             var smsData = response.phones;

            //             if( smsData.length > 0 ) {
            //                 for( var i = 0; i < smsData.length; i++ ) {
            //                     var divElement = document.getElementById(smsData[i].liid);

            //                     if( $('#'+smsData[i].liid).length ) {
            //                         console.log(smsData[i].liid+" exists -"+smsData[i].tophone);
            //                         var cntDiv = 'urdSmsCnt_'+smsData[i].liid;
            //                         $("#"+cntDiv).removeClass('d-none');
            //                         $("#"+cntDiv).text(smsData[i].total);
            //                     } else {
            //                         console.log(smsData[i].liid+" does not exists - "+smsData[i].tophone);
            //                         $("#loadSMS").append(data[i]);
            //                     }
            //                 }
            //             }
            //         } else {
            //             toastr.error(response.msg, {
            //                 timeOut: 5000
            //             });
            //         }
            //     });
            // }, 5000);
        });

        // Get unread emails listing on sidebar extrenal communication
        if (logged_in_guard == 'company-admin') {
            var getEmailUrl = '{{route("company.admin.chat.get.unread.emails")}}';
        } else {
            var getEmailUrl = '{{route("driver.admin.chat.get.unread.emails")}}';
        }

        if (logged_in_guard == 'company-admin') {
            var checkNewUnreadEmailUrl = '{{route("company.admin.chat.checknew.unread.emails")}}';
        } else {
            var checkNewUnreadEmailUrl = '{{route("driver.admin.chat.checknew.unread.emails")}}';
        }

        // Add unread email to sidebar
        setInterval(function() {
            var company_id = "{{auth()->guard($logged_in_guard)->user()->company_id}}";

            var divEmail = document.getElementById("loadEmails");
            var inputsEmail = divEmail.querySelectorAll("input");
            var emailsExt = [];

            inputsEmail.forEach(function(input) {
                emailsExt.push(input.value);
            });

            $.ajax({
                type: 'POST'
                , url: getEmailUrl
                , data: {
                    company_id: company_id
                    , emails: emailsExt
                }
                , dataType: "JSON"
                , headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            , }).done(function(response) {
                if (response.success == true) {
                    var data = response.data;
                    var mailData = response.mails;

                    if (mailData.length > 0) {
                        for (var i = 0; i < mailData.length; i++) {
                            var divElement = document.getElementById(mailData[i].liid);

                            if ($('#' + mailData[i].liid).length) {
                                console.log(mailData[i].liid + " exists -" + mailData[i].toemail);
                                var cntDiv = 'urdEmailCnt_' + mailData[i].liid;
                                $("#" + cntDiv).removeClass('d-none');
                                $("#" + cntDiv).text(mailData[i].total);
                            } else {
                                console.log(mailData[i].liid + " does not exists - " + mailData[i].toemail);
                                $("#loadEmails").append(data[i]);
                            }
                        }
                    }
                } else {
                    toastr.error(response.msg, {
                        timeOut: 5000
                    });
                }
            });
        }, 5000);

    });



    function addEmailsToChatArea(data) {
        var html_data = 'No emails to show';
        if (data.length > 0) {
            var html_data = '';

            for (var i = data.length; i > 0; i--) {
                var key = i - 1;

                html_data += '<div class="chat-mainBlock ' + data[key].msg_align_class + '">';
                html_data += '<div class="chat-msg">';

                html_data += '<div class="chat-content">';
                html_data += data[key].message;

                html_data += '</div>';
                html_data += '</div>';
                html_data += '<div class="chat-info mr-0 ml-0">' + data[key].from_email + ' ' + data[key].time + '</div>';
                html_data += '</div>';
            }
        }

        return html_data;
    }

    // Added at 19-04-2023
    function convertEmailToId(email) {
        var getBeforeEmailPart = email.split('@')[0];
        var li_id = btoa(getBeforeEmailPart);
        li_id = li_id.replace(/[^a-zA-Z0-9]/g, "");
        return li_id;
    }

</script>



@endsection
