@extends($companyAdminTheme)

@section('title')
    Account Settings
@endsection

@section('style')
    <link rel="stylesheet" href="{{ asset('theme/css/select2.min.css') }}">
    <style type="text/css">
        .select2-container{
            width: 100% !important;
        }
        .select2-container .select2-selection--single{
            height: 39px;
        }
        .select2-container--default .select2-selection--single{
            border: 1px solid #C5CEE0;
        }
        .select2-container--default .select2-selection--single .select2-selection__rendered{
            line-height: 36px;
            font-size: 17px;
        }
        .select2-container--default .select2-selection--single .select2-selection__arrow{
            height: 31px;
        }
        .select2-search .select2-selection__arrow{
            display: none;
        }
        .select2-search i {
            color: #18203a;
            position: absolute;
            right: 10px;
            bottom: 12px;
        }
    </style>
@endsection

@section('content')
    <ul class="nav nav-tabs" id="myTab" role="tablist">
        <li class="nav-item" role="presentation">
            <a class="nav-link active" id="UserSettings-tab" data-toggle="tab" href="#UserSettings" role="tab" aria-controls="Settings" aria-selected="true">Account Settings</a>
        </li>
    </ul>
    <div class="tab-content" id="myTabContent">
        <div class="tab-pane fade show active" id="UserSettings" role="tabpanel" aria-labelledby="UserSettings-tab">
    		{!! Form::model(auth()->guard('company-admin')->user(), array('route' => ['company.admin.account.update',auth()->guard('company-admin')->user()->id],'method'=>'PATCH','files'=>'true','autocomplete'=>'off')) !!}
                <div class="row">
                    {{--
                    <div class="col-lg-4 col-md-6">
                        <div class="white-box mb-4">
                            <h4 class="box-title">Left Drawer</h4>
                            <div class="box-padding">
                                <ul>
                                    <li>
                                        <div class="custom-control custom-radio">
                                            {!! Form::radio('left_drawer', 0, false, array('class' => 'custom-control-input', 'id' => 'leftDrawerAuto')) !!}
                                            <label class="custom-control-label" for="leftDrawerAuto">Pin</label>
                                        </div>
                                    </li>
                                    <li>
                                        <div class="custom-control custom-radio">
                                            {!! Form::radio('left_drawer', 1, false, array('class' => 'custom-control-input', 'id' => 'leftDrawerpin')) !!}
                                            <label class="custom-control-label" for="leftDrawerpin">Auto Collapse</label>
                                        </div>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                    --}}
                    <div class="col-lg-4 col-md-6">
                        <div class="white-box mb-4">
                            <h4 class="box-title">Load Per Page View</h4>
                            <div class="box-padding">
                                <ul>
                                    <li>
                                        <div class="custom-control custom-radio">
                                            {!! Form::radio('per_page_view', 10, false, array('class' => 'custom-control-input', 'id' => 'perPageView10')) !!}
                                            <label class="custom-control-label" for="perPageView10">10 Data</label>
                                        </div>
                                    </li>
                                    <li>
                                        <div class="custom-control custom-radio">
                                            {!! Form::radio('per_page_view', 20, false, array('class' => 'custom-control-input', 'id' => 'perPageView20')) !!}
                                            <label class="custom-control-label" for="perPageView20">20 Data</label>
                                        </div>
                                    </li>
                                    <li>
                                        <div class="custom-control custom-radio">
                                            {!! Form::radio('per_page_view', 50, false, array('class' => 'custom-control-input', 'id' => 'perPageView50')) !!}
                                            <label class="custom-control-label" for="perPageView50">50 Data</label>
                                        </div>
                                    </li>
                                    <li>
                                        <div class="custom-control custom-radio">
                                            {!! Form::radio('per_page_view', 100, false, array('class' => 'custom-control-input', 'id' => 'perPageView100')) !!}
                                            <label class="custom-control-label" for="perPageView100">100 Data</label>
                                        </div>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4 col-md-6">
                        <div class="white-box mb-4">
                            <h4 class="box-title">Load On Hold Reminder</h4>
                            <div class="row col-lg-12">
                                <div class="col-md-6 mt-2">
                                    <ul>
                                        <li>
                                            <div class="custom-control custom-radio">
                                                {!! Form::radio('notifictiono_hours', 1, false, array('class' => 'custom-control-input', 'id' => 'notifictiono_hours1')) !!}
                                                <label class="custom-control-label" for="notifictiono_hours1">Every Hour</label>
                                            </div>
                                        </li>
                                        <li>
                                            <div class="custom-control custom-radio">
                                                {!! Form::radio('notifictiono_hours', 4, false, array('class' => 'custom-control-input', 'id' => 'notifictiono_hours4')) !!}
                                                <label class="custom-control-label" for="notifictiono_hours4">Every 4 hours</label>
                                            </div>
                                        </li>
                                        <li>
                                            <div class="custom-control custom-radio">
                                                {!! Form::radio('notifictiono_hours', 8, false, array('class' => 'custom-control-input', 'id' => 'notifictiono_hours8')) !!}
                                                <label class="custom-control-label" for="notifictiono_hours8">Every 8 hours</label>
                                            </div>
                                        </li>
                                        <li>
                                            <div class="custom-control custom-radio">
                                                {!! Form::radio('notifictiono_hours', 24, false, array('class' => 'custom-control-input', 'id' => 'notifictiono_hours24')) !!}
                                                <label class="custom-control-label" for="notifictiono_hours24">Once per day</label>
                                            </div>
                                        </li>
                                    </ul>
                                </div>
                                <div class="col-md-6">
                                    <div class="onoffswi mt-3">
                                        <label>On/Off</label>
                                        <div class="custom-control custom-switch">
                                            {!! Form::checkbox('notification', 1, null, array('class' => 'custom-control-input notification-on-off-toggle', 'id' => 'notification')) !!}
                                            <label class="custom-control-label" for="notification"></label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4 col-md-6">
                        <div class="white-box mb-4">
                            <h4 class="box-title">Delivery Date Option</h4>
                            <div class="box-padding">
                                <ul>
                                    <li>
                                        <div class="custom-control custom-radio">
                                            {!! Form::radio('delivery_date_option', 1, false, array('class' => 'custom-control-input', 'id' => 'dateoption1')) !!}
                                            <label class="custom-control-label" for="dateoption1">Use full date and time</label>
                                        </div>
                                    </li>
                                    <li>
                                        <div class="custom-control custom-radio">
                                            {!! Form::radio('delivery_date_option', 2, false, array('class' => 'custom-control-input', 'id' => 'dateoption2')) !!}
                                            <label class="custom-control-label" for="dateoption2">Use date require manual time entry</label>
                                        </div>
                                    </li>
                                    <li>
                                        <div class="custom-control custom-radio">
                                            {!! Form::radio('delivery_date_option', 3, false, array('class' => 'custom-control-input', 'id' => 'dateoption3')) !!}
                                            <label class="custom-control-label" for="dateoption3">Fully manual Date and Time</label>
                                        </div>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4 col-md-6">
                        <div class="white-box mb-4">
                            <h4 class="box-title">Time Format</h4>
                            <div class="box-padding">
                                <ul>
                                    <li>
                                        <div class="custom-control custom-radio">
                                            {!! Form::radio('time_format', 12, false, array('class' => 'custom-control-input', 'id' => 'timeformat1')) !!}
                                            <label class="custom-control-label" for="timeformat1">12 Hours (AM/PM)</label>
                                        </div>
                                    </li>
                                    <li>
                                        <div class="custom-control custom-radio">
                                            {!! Form::radio('time_format', 24, false, array('class' => 'custom-control-input', 'id' => 'timeformat2')) !!}
                                            <label class="custom-control-label" for="timeformat2">24 Hours</label>
                                        </div>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4 col-md-6">
                        <div class="white-box mb-4">
                            <h4 class="box-title">Timezone Type</h4>
                            <div class="box-padding">
                                <ul>
                                    <li>
                                        <div class="custom-control custom-radio">
                                            {!! Form::radio('timezone_type', 0, false, array('class' => 'custom-control-input', 'id' => 'timezonetype0')) !!}
                                            <label class="custom-control-label" for="timezonetype0">Auto ({{ getGeoTimeZone().' - '.getTimeZoneId(1) }})</label>
                                        </div>
                                    </li>
                                    <li>
                                        <div class="custom-control custom-radio">
                                            {!! Form::radio('timezone_type', 1, false, array('class' => 'custom-control-input', 'id' => 'timezonetype1')) !!}
                                            <label class="custom-control-label" for="timezonetype1">Manual</label>
                                        </div>
                                    </li>
                                </ul>
                                <div class="row d-none">
                                    <div class="col-md-12">
                                        <div class="form-group mt-3 select2-search">
                                            <select class="form-control" name="timezone_id" data-parsley-errors-container="#timezone_id-errors">
                                                <option value="">Select TimeZone</option>
                                                @if(isset($timezones))
                                                    @foreach ($timezones as $tkey => $timezone_name)
                                                        <option value="{{ $tkey }}">{{ $timezone_name }}</option>
                                                    @endforeach
                                                @endif
                                            </select>
                                            <i class="fa fa-search"></i>
                                        </div>
                                        <div id="timezone_id-errors"></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4 col-md-6">
                        <div class="white-box mb-4">
                            <h4 class="box-title">Color Option</h4>
                            <div class="box-padding">
                                <ul>
                                    <li>
                                        <div class="custom-control custom-radio">
                                            {!! Form::radio('color_options', 0, false, array('class' => 'custom-control-input', 'id' => 'coloroptions0')) !!}
                                            <label class="custom-control-label" for="coloroptions0">No color coding</label>
                                        </div>
                                    </li>
                                    <li>
                                        <div class="custom-control custom-radio">
                                            {!! Form::radio('color_options', 1, false, array('class' => 'custom-control-input', 'id' => 'coloroptions1')) !!}
                                            <label class="custom-control-label" for="coloroptions1">Active and Complete</label>
                                        </div>
                                    </li>
                                    <li>
                                        <div class="custom-control custom-radio">
                                            {!! Form::radio('color_options', 2, false, array('class' => 'custom-control-input', 'id' => 'coloroptions2')) !!}
                                            <label class="custom-control-label" for="coloroptions2">Full color code tracking</label>
                                        </div>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4 col-md-6">
                        <div class="white-box mb-4">
                            <h4 class="box-title">Week Start Day</h4>
                            <div class="row col-lg-12">
                                <div class="col-md-12 mt-2">
                                    <ul>
                                        @foreach(getDays() as $key => $value)
                                            <li style="float: left;width: 50%;">
                                                <div class="custom-control custom-radio">
                                                    {!! Form::radio('weekly_strat_day', $key, false, array('class' => 'custom-control-input', 'id' => $value)) !!}
                                                    <label class="custom-control-label" for="<?php echo $value; ?>"><?php echo $value; ?></label>
                                                </div>
                                            </li>
                                        @endforeach
                                    </ul>
                                </div>
                            </div>
                            <br/>
                        </div>
                    </div>
                </div>
                <div class="button-bottom">
    	            <a href="{{ route('company.admin.home') }}" class="cancel-btn">Cancel</a>
    	            <button class="submit-btn">Submit</button>
    	        </div>
    		{!! Form::close() !!}
        </div>
    </div>
@endsection

@section('script')
    <script src="{{ asset('theme/js/select2.full.min.js') }}"></script>
    <script type="text/javascript">
        $(document).ready(function() {
            $('select[name="timezone_id"]').select2({
                width:'100%',
                placeholder: "Select Timezone",
            }).on('select2:select', function (e) {
                var data            = e.params.data;
            });

            @if(auth()->guard('company-admin')->user()->timezone_type=='0')
                $('select[name="timezone_id"]').closest('.row').addClass('d-none');
            @else
                $('select[name="timezone_id"]').closest('.row').removeClass('d-none');
                @if(auth()->guard('company-admin')->user()->timezone_id!='')
                    $('select[name="timezone_id"]').val("{{ auth()->guard('company-admin')->user()->timezone_id }}").trigger('change');
                @endif
            @endif
        });
    </script>
    <script type="text/javascript">
        $('input[type=radio][name=timezone_type]').change(function() {
            $('select[name="timezone_id"]').val(null).trigger('change');
            if (this.value == '0') {
                $('select[name="timezone_id"]').closest('.row').addClass('d-none');
            }
            else if (this.value == '1') {
                $('select[name="timezone_id"]').closest('.row').removeClass('d-none');
            }
        });
    </script>
@endsection
