@extends($companyAdminTheme)

@section('title')
    Announcement
@endsection

@section('header-title')
    New Announcement
@endsection

@section('style')
    <style type="text/css">
        .ck-editor__editable_inline {
            min-height: 150px !important;
        }
    </style>
@endsection

@section('content')
    {!! Form::open(array('route' => 'company.admin.announcement.store','method'=>'POST','files'=>'true','autocomplete'=>'off','class'=>'post-form')) !!}
        <div class="row">
            <div class="col-lg-12">
                <div class="white-box mb-4 generalAccount">
                    <h4 class="box-title">Announcement Information</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Name<span>*</span></label>
                                    {!! Form::text(
                                        'name', 
                                        old('name'), 
                                        array(
                                            'class'         => 'form-control', 
                                            'id'            => 'name', 
                                            'autocomplete'  => 'new',
                                            'required'      => 'required'
                                        )
                                    ) !!}
                                    @error('name')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Description<span>*</span></label>
                                    {!! Form::textarea(
                                        'description', 
                                        old('description'), 
                                        array(
                                            'class'         => 'form-control tinymce-editor',
                                            'id'            => 'description', 
                                            'rows'          => '4',
                                            'required'      => 'required'
                                        )
                                    ) !!}
                                    @error('description')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <div class="checkbox d-inline-block mr-2">
                                                <label class="control-label"><strong>Show: </strong>
                                            </div>
                                            <!-- <div class="form-check form-check-inline">
                                              <input class="form-check-input" type="checkbox" name="show_manager" id="show_manager" value="1">
                                              <label class="form-check-label" for="show_manager">Manager</label>
                                            </div> -->
                                            <div class="form-check form-check-inline">
                                              <input class="form-check-input" type="checkbox" name="show_dispatcher" id="show_dispatcher" value="2">
                                              <label class="form-check-label" for="show_dispatcher">Dispatcher</label>
                                            </div>
                                            <div class="form-check form-check-inline">
                                              <input class="form-check-input" type="checkbox" name="show_driver" id="show_driver" value="3">
                                              <label class="form-check-label" for="show_driver">Driver</label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <div class="checkbox d-inline-block mr-2">
                                        <label class="control-label"><strong>Notify: </strong>
                                    </div>
                                    <!-- <div class="form-check form-check-inline">
                                      <input class="form-check-input" type="checkbox" name="notify_manager" id="notify_manager" value="1">
                                      <label class="form-check-label" for="notify_manager">Manager</label>
                                    </div> -->
                                    <div class="form-check form-check-inline">
                                      <input class="form-check-input" type="checkbox" name="notify_dispatcher" id="notify_dispatcher" value="2">
                                      <label class="form-check-label" for="notify_dispatcher">Dispatcher</label>
                                    </div>
                                    <div class="form-check form-check-inline">
                                      <input class="form-check-input" type="checkbox" name="notify_driver" id="notify_driver" value="3">
                                      <label class="form-check-label" for="notify_driver">Driver</label>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="button-bottom">
            <a href="{{ route('company.admin.announcement.index') }}" class="cancel-btn">Cancel</a>
            <button class="submit-btn">Submit</button>
        </div>
    {!! Form::close() !!}
@endsection

@section('script')
    <script src="{{ asset('theme/js/ckeditor/full/ckeditor.js') }}"></script>
    <script type="text/javascript">
        $( document ).ready(function() {
            var parsleyConfig = {
                errorsContainer: function(parsleyField) {
                    if (parsleyField.$element.hasClass('tinymce-editor')) {
                        return parsleyField.$element.parent("div");
                    }
                    return parsleyField;
                }
            };
            $('.post-form').parsley(parsleyConfig);

            CKEDITOR.replace('description');
            CKEDITOR.on('instanceReady', function () {
                $('.post-form #description').attr('required', '');
                $.each(CKEDITOR.instances, function (instance) {
                    CKEDITOR.instances[instance].on("change", function (e) {
                        for (instance in CKEDITOR.instances) {
                            CKEDITOR.instances[instance].updateElement();
                            $('.post-form').parsley().validate();
                        }
                    });
                });
            });
        });
    </script>
@endsection
