@extends($companyAdminTheme)

@section('title')
    Company Announcement
@endsection

@section('header-title')
    View Company Announcement
@endsection

@section('style')
<style type="text/css">
	h5 {
		font-size: 18px;
	}
</style>
@endsection

@section('content')
<div class="row">
    <div class="col-lg-12">
        <div class="white-box mb-4 generalAccount">
            <h4 class="box-title">General Information</h4>
            <div class="box-padding">
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>Name</label>
                            <h5>{{ $announcement->name }}</h5>
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>Description</label>
                        </div>
                        {!! $announcement->description !!}
                    </div>
                    @if(auth()->guard('company-admin')->user()->type=='0' || auth()->guard('company-admin')->user()->type=='1')
                        @php
                            $showCheckboxes             = [];
                            if(!is_null($announcement->show_up)){
                                $showCheckboxes         = explode(',',$announcement->show_up);
                            }
                            $notifyCheckboxes           = [];
                            if(!is_null($announcement->notify)){
                                $notifyCheckboxes       = explode(',',$announcement->notify);
                            }
                        @endphp
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Show</label>
                                <div class="row">
                                    {{--
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <div class="row">
                                                <label class="col-md-12">Manager</label>
                                            </div>
                                            @if (in_array('1', $showCheckboxes))
                                                <label class="badge badge-success text-white">Yes</label>
                                            @else
                                                <label class="badge badge-danger text-white">No</label>
                                            @endif
                                        </div>
                                    </div>
                                    --}}
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <div class="row">
                                                <label class="col-md-12">Dispatcher</label>
                                            </div>
                                            @if (in_array('2', $showCheckboxes))
                                                <label class="badge badge-success text-white">Yes</label>
                                            @else
                                                <label class="badge badge-danger text-white">No</label>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <div class="row">
                                                <label class="col-md-12">Driver</label>
                                            </div>
                                            @if (in_array('3', $showCheckboxes))
                                                <label class="badge badge-success text-white">Yes</label>
                                            @else
                                                <label class="badge badge-danger text-white">No</label>
                                            @endif
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Notify</label>
                                <div class="row">
                                    {{--
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <div class="row">
                                                <label class="col-md-12">Manager</label>
                                            </div>
                                            @if (in_array('1', $notifyCheckboxes))
                                                <label class="badge badge-success text-white">Yes</label>
                                            @else
                                                <label class="badge badge-danger text-white">No</label>
                                            @endif
                                        </div>
                                    </div>
                                    --}}
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <div class="row">
                                                <label class="col-md-12">Dispatcher</label>
                                            </div>
                                            @if (in_array('2', $notifyCheckboxes))
                                                <label class="badge badge-success text-white">Yes</label>
                                            @else
                                                <label class="badge badge-danger text-white">No</label>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <div class="row">
                                                <label class="col-md-12">Driver</label>
                                            </div>
                                            @if (in_array('3', $notifyCheckboxes))
                                                <label class="badge badge-success text-white">Yes</label>
                                            @else
                                                <label class="badge badge-danger text-white">No</label>
                                            @endif
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    @endif
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>Created At</label>
                            <h5>{{ \Carbon\Carbon::createFromFormat('Y-m-d H:i:s', $announcement->created_at)->setTimezone($getTimeZone)->format(getTimeLayout())." ".$getTimeZoneId }}</h5>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection