<!DOCTYPE html>
    <html lang="en">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <meta name="csrf-token" content="{{ csrf_token() }}">
        <title>Dispatch Pro - Appointment Review Request</title>
        <link rel="stylesheet" href="{{ asset('theme/css/bootstrap.min.css') }}">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
        <link rel="stylesheet" href="{{ asset('theme/css/default.css') }}">
        <link rel="stylesheet" href="{{ asset('theme/css/media.css') }}">
        <link rel="stylesheet" href="{{ asset('theme/css/custom.css') }}">
        <link rel="stylesheet" href="{{ asset('theme/css/toastr.min.css') }}">
        <link rel="stylesheet" href="{{ asset('theme/css/bootstrap-datetimepicker.min.css') }}">
        <style>
            .detention-review-Request-section .card {
                max-width: 608px;
                border: none;
                width: 100%;
                background: transparent;
                margin: 50px auto;
            }
            .detention-review-Request-section .btn-success {
                background-color: #6DD400;
                border-color: #6DD400;
            }
            .detention-review-Request-section .form-group label a {
                text-decoration: underline;
            }
            .company-logo {
                max-width: 384px;
                margin: auto;
                background-color: #ddd;
            }
            .company-logo img {
                background-color: white;
            }
            .detention-review-Request-section h1 {
                font-size: 25px;
                margin: auto;
                text-align: center;
                margin: 25px 0;
            }
            .detention-review-Request-section p {
                font-size: 17px;
                margin-bottom: 3px;
                font-weight: 500;
                color: #ABB4C6;
            }
            .detention-review-Request-section .box-padding hr {
                width: 100%;
                border-color: #F0F4FA;
            }
            .detention-review-Request-section .btn-ul {
                display: flex;
                justify-content: end;
            }
            .detention-review-Request-section .btn-ul li {
                margin-left: 15px;
            }
            .detention-review-Request-section .btn-ul a {
                width: 120px;
                color: white;
                border-radius: 5px;
            }
            .footer-section {
                height: 65px;
                display: flex;
                align-items: center;
                justify-content: center;
                border-top: 1px solid #B6B6B6;
            }
            .footer-section p a {
                color: #212529;
                font-weight: 400;
                font-size: 16px;

            }
            .btn-warning{
                color: #fff !important;
            }
            .btn-warning:hover{
                color: #fff !important;
            }
            @media (max-width:575px) {
                .detention-review-Request-section {
                    margin: 15px;
                }
                .detention-review-Request-section .btn-ul {
                    display: inline-block;
                }
                .detention-review-Request-section .btn-ul li {
                    margin-bottom: 15px;
                    margin-left: 0;
                }
                .detention-review-Request-section .btn-ul li a {
                    width: 100%;
                }
            }
        </style>
    </head>
    <body cz-shortcut-listen="true">
        <section class="detention-review-Request-section">
            <div class="container">
                <div class="row">
                    <div class="card">
                        @if(isset($appointment->broker->company->logo) && $appointment->broker->company->logo!='' && \File::exists(public_path('storage/companyAdmin/company_logo/'.$appointment->broker->company->logo)))
                            <div class="company-logo">
                                <img src="{{ asset('storage/companyAdmin/company_logo/'.$appointment->broker->company->logo) }}" alt="Company Logo" class="img-fluid" />
                            </div>
                        @endif
                        <h1>Appointment Review Request</h1>
                        @php
                            $latestLog = $appointment->logs()->latest()->first();
                        @endphp
                        <p class="text-center">Status:
                            <span class="status-label">
                                @if($latestLog->review_status=='1')
                                    Confirm
                                @elseif($latestLog->review_status=='2')
                                    Reject
                                @elseif($latestLog->review_status=='3')
                                    Amended
                                @else
                                    Pending
                                @endif
                            </span>
                        </p>
                        @if($latestLog->review_status!='0')
                            <p class="text-center mt-2 mb-2">Thank You</p>
                        @endif
                        <div class="white-box my-3">
                            <h4 class="box-title">Load Information</h4>
                            <div class="box-padding">
                                <div class="row">
                                    <div class="col-12">
                                        <div class="form-group mb-0">
                                            <label class="control-label">Load Number:
                                                <span>
                                                    {{ isset($appointment->load_detail->load_number)?$appointment->load_detail->load_number:'#########'}}
                                                </span>
                                            </label>
                                        </div>
                                    </div>
                                    <div class="col-12">
                                        <div class="form-group mb-0">
                                            <label class="control-label">Stop Name:
                                                <span>
                                                    @php
                                                        $stop_name                      = '';
                                                        if($appointment->is_stop == 1){
                                                            if(isset($appointment->stop)){
                                                                $stop_no                = $appointment->stop->stop_no;
                                                                if($appointment->type == 1){
                                                                    $stop_name          = 'Pickup - Stop '.($stop_no+1);
                                                                }else{
                                                                    $stop_name          = 'Delivery - Stop '.($stop_no+1);
                                                                }
                                                            }
                                                        }else{
                                                            if($appointment->type == 1){
                                                                $stop_name              = 'Pickup - Stop 1';
                                                            }else{
                                                                $stop_name              = 'Delivery - Stop 99';
                                                            }
                                                        }
                                                    @endphp
                                                    {{ $stop_name }}
                                                </span>
                                            </label>
                                        </div>
                                    </div>
                                    <div class="col-12">
                                        <div class="form-group mb-0">
                                            <label class="control-label">Stop Address:
                                                <span>
                                                    @php
                                                        $stop_address                   = [];
                                                    @endphp
                                                    @if($appointment->is_stop == 1)
                                                        @if(isset($appointment->stop))
                                                            @if(isset($appointment->stop->address_one) && $appointment->stop->address_one!=='')
                                                                @php
                                                                    $stop_address[]     = $appointment->stop->address_one;
                                                                @endphp
                                                            @endif
                                                            @if(isset($appointment->stop->address_two) && $appointment->stop->address_two!=='')
                                                                @php
                                                                    $stop_address[]     = $appointment->stop->address_two;
                                                                @endphp
                                                            @endif
                                                            @if(isset($appointment->stop->city) && $appointment->stop->city!=='')
                                                                @php
                                                                    $stop_address[]     = $appointment->stop->city;
                                                                @endphp
                                                            @endif
                                                            @if(isset($appointment->stop->state) && $appointment->stop->state!=='')
                                                                @php
                                                                    $stop_address[]     = $appointment->stop->state;
                                                                @endphp
                                                            @endif
                                                            @if(isset($appointment->stop->zip) && $appointment->stop->zip!=='')
                                                                @php
                                                                    $stop_address[]     = $appointment->stop->zip;
                                                                @endphp
                                                            @endif
                                                        @endif
                                                    @else
                                                        @if($appointment->type == 1)
                                                            @if(isset($appointment->load_detail->shipper_address_one) && $appointment->load_detail->shipper_address_one!=='')
                                                                @php
                                                                    $stop_address[]     = $appointment->load_detail->shipper_address_one;
                                                                @endphp
                                                            @endif
                                                            @if(isset($appointment->load_detail->shipper_address_two) && $appointment->load_detail->shipper_address_two!=='')
                                                                @php
                                                                    $stop_address[]     = $appointment->load_detail->shipper_address_two;
                                                                @endphp
                                                            @endif
                                                            @if(isset($appointment->load_detail->shipper_city) && $appointment->load_detail->shipper_city!=='')
                                                                @php
                                                                    $stop_address[]     = $appointment->load_detail->shipper_city;
                                                                @endphp
                                                            @endif
                                                            @if(isset($appointment->load_detail->shipper_state) && $appointment->load_detail->shipper_state!=='')
                                                                @php
                                                                    $stop_address[]     = $appointment->load_detail->shipper_state;
                                                                @endphp
                                                            @endif
                                                            @if(isset($appointment->load_detail->shipper_zip) && $appointment->load_detail->shipper_zip!=='')
                                                                @php
                                                                    $stop_address[]     = $appointment->load_detail->shipper_zip;
                                                                @endphp
                                                            @endif
                                                        @else
                                                            @if(isset($appointment->load_detail->delivery_address_one) && $appointment->load_detail->delivery_address_one!=='')
                                                                @php
                                                                    $stop_address[]     = $appointment->load_detail->delivery_address_one;
                                                                @endphp
                                                            @endif
                                                            @if(isset($appointment->load_detail->delivery_address_two) && $appointment->load_detail->delivery_address_two!=='')
                                                                @php
                                                                    $stop_address[]     = $appointment->load_detail->delivery_address_two;
                                                                @endphp
                                                            @endif
                                                            @if(isset($appointment->load_detail->delivery_city) && $appointment->load_detail->delivery_city!=='')
                                                                @php
                                                                    $stop_address[]     = $appointment->load_detail->delivery_city;
                                                                @endphp
                                                            @endif
                                                            @if(isset($appointment->load_detail->delivery_state) && $appointment->load_detail->delivery_state!=='')
                                                                @php
                                                                    $stop_address[]     = $appointment->load_detail->delivery_state;
                                                                @endphp
                                                            @endif
                                                            @if(isset($appointment->load_detail->delivery_zip) && $appointment->load_detail->delivery_zip!=='')
                                                                @php
                                                                    $stop_address[]     = $appointment->load_detail->delivery_zip;
                                                                @endphp
                                                            @endif
                                                        @endif
                                                    @endif
                                                    {{ implode(', ', $stop_address) }}
                                                </span>
                                            </label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <form id="reviewform" name="reviewform" autocomplete="off">
                            <input type="hidden" name="id" value="{{ $appointment->id }}">
                            <input type="hidden" name="emailphone" value="{{ $appointment_contact['source'] }}">
                            <input type="hidden" name="source" value="{{ $source }}">
                            <input type="hidden" name="reply_from" value="{{ $reply_from }}">
                            <input type="hidden" name="appointment_contact" value="{{ json_encode($appointment_contact) }}">
                            @if(isset($appointment_contact['type']) && $appointment_contact['type'] == 1)
                                <input type="hidden" name="review_user_type" value="Broker Contact">
                                <input type="hidden" name="review_by" value="{{ $appointment_contact['id'] }}">
                            @elseif(isset($appointment_contact['type']) && $appointment_contact['type'] == 2)
                                <input type="hidden" name="review_user_type" value="Customer">
                                <input type="hidden" name="review_by" value="{{ $appointment_contact['id'] }}">
                            @else
                                <input type="hidden" name="review_user_type" value="Broker">
                                <input type="hidden" name="review_by" value="{{ $appointment->broker_id }}">
                            @endif
                            <input type="hidden" name="review_status" value="">
                            <div class="white-box my-3">
                                <h4 class="box-title">Appointment Information</h4>
                                <div class="box-padding">
                                    <div role="alert" class="mt-3 mb-2" id="review-alert-div" style="display: none;">
                                        <span></span>
                                    </div>
                                    <div class="row">
                                        <div class="col-12">
                                            <div class="form-group mb-0">
                                                <label class="control-label">Source:
                                                    <span>
                                                        @if($source==2)
                                                            Sms
                                                        @else
                                                            Email
                                                        @endif
                                                    </span>
                                                </label>
                                            </div>
                                        </div>
                                        <div class="col-12">
                                            <div class="form-group mb-0">
                                                <label class="control-label">
                                                    @if($source==2)
                                                        Phone Number:
                                                    @else
                                                        Email:
                                                    @endif
                                                    <span>
                                                        {{ $appointment_contact['source'] }}
                                                    </span>
                                                </label>
                                            </div>
                                        </div>
                                        <div class="col-12">
                                            <div class="form-group mb-0">
                                                <label class="control-label">Requested Date:
                                                    <span>
                                                        {{ date('m/d/Y', strtotime($latestLog->date)) }}
                                                    </span>
                                                </label>
                                            </div>
                                        </div>
                                        <div class="col-12">
                                            <div class="form-group mb-0">
                                                <label class="control-label">Requested Time:
                                                    <span>
                                                        {{ date('H:i', strtotime($latestLog->time)) }}
                                                    </span>
                                                </label>
                                            </div>
                                        </div>
                                        @if($latestLog->review_status!='0')
                                            <div class="col-12">
                                                <div class="form-group mb-0">
                                                    <label class="control-label">Request Notes:
                                                        <span>
                                                            {{ $latestLog->note }}
                                                        </span>
                                                    </label>
                                                </div>
                                            </div>
                                        @endif
                                        <div class="col-12">
                                            <div class="form-group mb-0">
                                                <label class="control-label">Confirmation Numbers:
                                                    <span>
                                                        {{ $appointment->confirmation_numbers }}
                                                    </span>
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                    @if($latestLog->review_status=='0')
                                    <hr>
                                    <div class="amend-div d-none">
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label for="req_date">Date</label>
                                                    <input type="text" class="form-control" id="req_date" name="req_date" value="{{ date('m/d/Y', strtotime($latestLog->date)) }}">
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label for="req_time">Time</label>
                                                    <input type="text" class="form-control" id="req_time" name="req_time" value="{{ date('H:i', strtotime($latestLog->time)) }}">
                                                </div>
                                            </div>
                                        </div>
                                        @php
                                            $confirmation_numbers       = [];

                                            $firstValue                 = '';
                                            $skippedArray               = [];
                                        @endphp
                                        @if(isset($appointment->confirmation_numbers) && $appointment->confirmation_numbers!='')
                                            @php
                                                $confirmation_numbers   = explode(', ', $appointment->confirmation_numbers);
                                            @endphp
                                            @if(!empty($confirmation_numbers))
                                                @php
                                                    $firstValue         = head($confirmation_numbers);
                                                    if($firstValue === false){
                                                        $firstValue     = '';
                                                    }
                                                    $skippedArray       = array_slice($confirmation_numbers, 1);
                                                @endphp
                                            @endif
                                        @endif
                                        <div class="row">
                                            <div class="col-md-12">
                                                <div class="form-group">
                                                    <label for="confirmation_number">Confirmation Numbers</label>
                                                    <div class="row">
                                                        <div class="col">
                                                            <input type="text" class="form-control req-confirmation-number" name="req_confirmation_number[]" value="{{ $firstValue }}">
                                                        </div>
                                                        <div class="col-auto pl-0">
                                                            <button type="button" class="btn req_add_confirmation_number"><i class="fa fa-plus"></i></button>
                                                        </div>
                                                    </div>
                                                    <div class="req_confirmation_number_wrapper">
                                                        @foreach($skippedArray as $key => $confirmation_number)
                                                            <div class="row mt-3">
                                                                <div class="col">
                                                                    <input type="text" class="form-control req-confirmation-number" name="req_confirmation_number[]" value="{{ $confirmation_number }}">
                                                                </div>
                                                                <div class="col-auto pl-0">
                                                                    <button type="button" class="btn req_remove_confirmation_number"><i class="fa fa-trash"></i></button>
                                                                </div>
                                                            </div>
                                                        @endforeach
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-12">
                                            <div class="form-group mb-2">
                                                <label for="req_note">Request Notes</label>
                                                <textarea class="form-control" name="req_note" id="req_note" rows="3">{{ $latestLog->note }}</textarea>
                                            </div>
                                        </div>
                                    </div>
                                    <!-- justify-content-center -->
                                    <div class="row d-none">
                                        <!-- <div class="col-md-6 mt-3 mb-3"> -->
                                        <div class="col-12 mt-2 mb-2">
                                            <a href="javascript:void(0);" class="btn btn-submit w-100">Send Request</a>
                                        </div>
                                    </div>
                                    @endif
                                </div>
                            </div>
                            @if($latestLog->review_status=='0')
                                <!-- justify-content-center -->
                                <ul class="nav btn-ul justify-content-center">
                                    <li class="navbar-items">
                                        <a href="javascript:void(0);" class="btn btn-danger appointment-request" data-status="2">Reject</a>
                                    </li>
                                    <li class="navbar-items">
                                        <a href="javascript:void(0);" class="btn btn-warning appointment-request" data-status="3">Amend</a>
                                    </li>
                                    <li class="navbar-items">
                                        <a href="javascript:void(0);" class="btn btn-success appointment-request" data-status="1">Approve</a>
                                    </li>
                                </ul>
                            @endif
                        </form>
                    </div>
                </div>
            </div>
        </section>
        <footer class="footer-section">
            <div class="container">
                <div class="row">
                    <p class="mx-auto"><a href="javascript:void(0);"> Copyright {{ date('Y') }} Dispatch Pro</a></p>
                </div>
            </div>
        </footer>
        <script src="{{ asset('theme/js/jquery-3.2.1.slim.min.js') }}"></script>
        <script src="{{ asset('theme/js/jquery.min.js') }}"></script>
        <script src="{{ asset('theme/js/popper.min.js') }}"></script>
        <script src="{{ asset('theme/js/bootstrap.min.js') }}"></script>
        <script src="{{ asset('theme/js/moment.min.js') }}"></script>
        <script src="{{ asset('theme/js/sweetalert2.all.min.js') }}"></script>
        <script src="{{ asset('theme/js/toastr.min.js') }}"></script>
        <script src="{{ asset('theme/js/bootstrap-datetimepicker.min.js') }}"></script>
        <script src="{{ asset('theme/js/parsley.js') }}"></script>
        <script src="{{ asset('theme/js/jquery.form.min.js') }}"></script>
        <script type="text/javascript">
            $(document).ready(function(){
                $('#req_date').datetimepicker({
                    format: 'MM/DD/YYYY',
                    useCurrent: false
                }).on('dp.change', function(e) {
                    $(this).parsley().validate();
                });
                $('#req_time').datetimepicker({
                    format: 'HH:mm',
                    useCurrent: false
                }).on('dp.change', function(e) {
                    $(this).parsley().validate();
                });
            });
        </script>
        <script type="text/javascript">
            $(document).on('click', '.appointment-request', function(event) {
                event.preventDefault();
                // console.log('appointment-request');
                // return false;
                var that    = $(this);
                var status  = that.attr('data-status');
                if(status){
                    $('#reviewform').find('input[name="review_status"]').val(status);
                    $('#reviewform').find('.btn-submit').closest('.row').removeClass('d-none');
                    if(status=='3'){
                        $('.amend-div').removeClass('d-none');
                        $('input[name="req_date"]').prop('required', true);
                        $('input[name="req_time"]').prop('required', true);
                        $('#reviewform').parsley().reset();
                        $('#reviewform').find('.btn-submit')
                            .addClass('btn-warning')
                            .removeClass("btn-success btn-danger")
                            .text('Send Amend Request');
                    }else if(status=='2'){
                        $('.amend-div').addClass('d-none');
                        $('input[name="req_date"]').prop('required', false);
                        $('input[name="req_time"]').prop('required', false);
                        $('#reviewform').parsley().reset();
                        $('#reviewform').find('.btn-submit')
                            .addClass('btn-danger')
                            .removeClass("btn-success btn-warning")
                            .text('Send Reject Request');
                    }else{
                        $('.amend-div').addClass('d-none');
                        $('input[name="req_date"]').prop('required', false);
                        $('input[name="req_time"]').prop('required', false);
                        $('#reviewform').parsley().reset();
                        $('#reviewform').find('.btn-submit')
                            .addClass('btn-success')
                            .removeClass("btn-warning btn-danger")
                            .text('Send Approve Request');
                    }
                }
            });
            $(document).on('click', '.btn-submit', function(event) {
                event.preventDefault();
                // console.log('btn-submit');
                // return false;
                var that                = $(this);
                var btnTxt              = that.text();
                var form                = $('#reviewform');
                form.parsley().validate();
                if (form.parsley().isValid()){
                    var formData        = new FormData(form[0]);
                    $.ajax({
                        type: 'POST',
                        url: '{!! route("company.admin.appointment.request.save") !!}',
                        data: formData,
                        dataType: 'json',
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        cache : false,
                        processData: false,
                        contentType: false,
                        beforeSend: function() {
                            that.prop('disabled', true).html('Please Wait...');
                        },
                    }).done(function(response) {
                        if($.isEmptyObject(response.errors)){
                            if(response.success){
                                var txt = btnTxt;
                                txt     = txt.charAt(0).toUpperCase() + txt.slice(1).toLowerCase()
                                toastr.success(
                                    txt+' successfully',
                                    'Success Alert', {
                                        timeOut: 1000,
                                        fadeOut: 1000,
                                        onHidden: function () {
                                            location.reload();
                                        }
                                    }
                                );
                            }else{
                                toastr.error(response.message, {
                                    timeOut: 5000
                                });
                            }
                        }else{
                            var error   = '';
                            $(response.errors).each(function (row, val) {
                                error   += '<li>' + val + '</li>';
                            });
                            if(error!=''){
                                error   = '<ul>'+error+'</ul>';
                                setTimeout(function(){
                                    printMsg('review-alert-div','alert alert-danger',error);
                                },500);
                            }else{
                                toastr.error('Oops! Something went wrong..', {
                                    timeOut: 5000
                                });
                            }
                        }
                    }).fail(function(jqXHR, status, exception)  {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, {
                            timeOut: 5000
                        });
                    }).always(function (dataOrjqXHR, textStatus, jqXHRorErrorThrown) {
                        that.prop('disabled', false).html(btnTxt);
                    });
                }
                return false;
            });
            $(document).on('click', '.req_add_confirmation_number', function(event) {
                event.preventDefault();
                // console.log('add confirmation number');
                // return false;

                $('.req_confirmation_number_wrapper').append(`
                    <div class="row mt-3">
                        <div class="col">
                            <input type="text" class="form-control req-confirmation-number" name="req_confirmation_number[]" value="">
                        </div>
                        <div class="col-auto pl-0">
                            <button type="button" class="btn req_remove_confirmation_number"><i class="fa fa-trash"></i></button>
                        </div>
                    </div>
                `);
            });
            $(document).on('click', '.req_remove_confirmation_number', function(event) {
                event.preventDefault();
                // console.log('remove confirmation number');
                // return false;

                $(this).closest('.row').remove();
            });
            function printMsg(alertDiv,msgclass,message){
                $("#"+alertDiv).show();
                $("#"+alertDiv).addClass(msgclass);
                $("#"+alertDiv+" span").html(message);
                setTimeout(function(){
                    $("#"+alertDiv).hide();
                    $("#"+alertDiv).removeClass(msgclass);
                    $("#"+alertDiv+" span").html('');
                },7000);
            }
        </script>
    </body>
</html>
