@extends($companyAdminTheme)

@section('title')
Broker Show
@endsection

@section('style')

<link rel="stylesheet" href="{{ asset('theme/css/dataTables.bootstrap4.min.css') }}">
<link rel="stylesheet" href="https://cdn.datatables.net/responsive/2.5.0/css/responsive.dataTables.min.css">
<link rel="stylesheet" href="https://cdn.datatables.net/buttons/2.4.2/css/buttons.dataTables.min.css">

<style type="text/css">
    .broker-header .card {
        border-radius: 0.75rem 0.75rem 0.25rem 0.25rem;
    }

    .broker-header .card .card-header {
        padding: 0.25rem 0.50rem;
        background: transparent linear-gradient(180deg, #417CCB 0%, #294E7C 100%) 0% 0% no-repeat padding-box;
        border-radius: 10px 10px 0px 0px;
        height: 55px;
    }

    .broker-header .card .card-header h6 {
        font: normal normal bold 18px/21px Inter, Sans-Serif;
        letter-spacing: 0px;
        color: #FFFFFF;
        padding-top: 4px;
    }

    .broker-header .card .card-header #btnEdit {
        border-radius: 10px;
        height: 45px;
    }

    .broker-header .card .card-header #btnEdit:hover {
        color: #ffffff;
        background: transparent linear-gradient(180deg, #417CCB 0%, #294E7C 100%) 0% 0% no-repeat padding-box;
        border: 1px solid #ffffff;
    }

    .broker-tabs .nav-tabs {
        border: 0;
        padding: 25px 0px 0px
    }

    .broker-tabs .nav-tabs a {
        font: normal normal bold 15px Inter, Sans-Serif;
        color: #305F9C;
        padding: 1rem 1rem;
        position: relative;
        height: 45px;
    }

    .broker-tabs .nav-tabs a.active {
        font: normal normal bold 15px Inter, Sans-Serif;
        letter-spacing: 0px;
        color: #FFFFFF !important;
        background: transparent linear-gradient(180deg, #417CCB 0%, #294E7C 100%) 0% 0% no-repeat padding-box;
    }

    .broker-tabs .nav-tabs .nav-link.disabled {
        font: normal normal bold 15px Inter, Sans-Serif;
        letter-spacing: 0px;
        color: #305F9C;
    }

    .broker-tabs .nav-tabs .nav-item {
        margin-right: 3px;
        border: 1px solid #305F9C;
        border-radius: 10px 10px 0px 0px;
        border-bottom: 1px solid #D8D8D9;
    }

    .broker-tabs .nav-tabs a.active::before {
        content: '';
        background-color: inherit;
        height: 2px;
        width: 100%;
        position: absolute;
        left: 0;
        top: inherit;
        bottom: 0;
    }

    .broker-tabs .tab-content {
        background: #FFFFFF 0% 0% no-repeat padding-box;
        border: 1px solid #D8D8D9;
        border-radius: 0px 10px 10px 10px;
    }

    .broker-tabs .tab-content ul li {
        padding: 0px 0px;
    }

    .broker-tabs .select2-container {
        width: 100% !important;
    }

    .hours-operation-content .select2-container .select2-selection--single {
        border: none !important;
    }

    /*.broker-tabs .select2-container .select2-selection--single {
            height: 43px !important;
            border-radius: 10px !important;
            border: 1px solid #D8D8DD !important;
        }*/
    /* .broker-tabs .select2-container--default .select2-selection--single {
            border: 1px solid #C5CEE0;
        }*/
    /*.broker-tabs .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 40px !important;
        }
        .broker-tabs .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 40px;
            width: 35px;
        }*/
    /* .broker-tabs .select2-container .select2-selection--single .select2-selection__rendered {
            padding-left: 12px;
            font-weight: 600;
            color: #000000e6 !important;
            padding-right: 30px;
        }*/
    .broker-tabs .select2-container .select2-search__field::placeholder {
        font-size: 14px;
        font-weight: 500;
    }

    .broker-tabs .form-group label {
        font: normal normal 600 14px/17px Inter;
        letter-spacing: 0px;
        color: #616376;
    }

    #tabAccount .card {
        border-radius: 10px;
    }

    #tabAccount .card-header {
        background-color: #ffffff;
        border-radius: 10px 10px 0px 0px;
    }

    #tabAccount .top-header-row .broker-details p {
        font: normal normal 600 14px/18px Inter, Sans-Serif;
        letter-spacing: 0px;
        color: #305F9C;
    }

    #tabAccount .top-header-row .broker-details label {
        font: normal normal bold 14px/18px Inter, Sans-Serif;
        letter-spacing: 0px;
        color: #0C0B0B;
    }

    #tabAccount .border-left {
        border-left: 1px solid #CCCCCC;
    }

    #tabAccount .border-top {
        border-top: 1px solid #dee2e6;
    }

    #tabAccount .border-bottom {
        border-bottom: 1px solid #CCCCCC;
    }

    #tabAccount .broker-details-header h6 {
        font: normal normal bold 16px/20px Inter, Sans-Serif;
        letter-spacing: 0px;
        color: #305F9C;
    }

    #tabAccount .broker-details-body p {
        font: normal normal 600 14px/18px Inter, Sans-Serif;
        letter-spacing: 0px;
        color: #305F9C;
    }

    #tabAccount .broker-details-body label {
        font: normal normal bold 14px/18px Inter, Sans-Serif;
        letter-spacing: 0px;
        color: #0C0B0B;
    }

    #tabAccount .thresholdsbox-content input.form-control {
        max-width: 61px;
        text-align: center;
        margin: auto;
        font: normal normal 500 16px/20px 'Inter', sans-serif !important;
        color: #0C0B0B;
        padding: 0;
    }

    #tabAccount .thresholdsbox-content label {
        font: normal normal 600 10px/12px 'Inter', sans-serif !important;
        color: #616376;
    }

    #tabAccount .thresholdsbox-content h6 {
        color: #000000;
    }

    #tabAccount .form-group .thresholdsbox-content img {
        position: inherit;
        right: inherit;
        bottom: inherit;
    }

    #tabAccount .card-shadow {
        box-shadow: 0px 14px 54px #00000026;
        background: #FFFFFF 0% 0% no-repeat padding-box;
        border: inherit;
    }

    @media (max-width:1599px) {
        #tabAccount .thresholdsbox-content input.form-control {
            max-width: 48px;
        }
    }

    @media (max-width:1399px) {
        #tabAccount .thresholdsbox-content input.form-control {
            font-size: 14px !important;
        }

        #tabAccount .thresholdsbox-content input.form-control {
            max-width: 45px;
        }
    }

    @media (max-width:1199px) {
        #tabAccount .thresholdsbox-content input.form-control {
            max-width: 50px;
        }
    }



    /*07-01-2024*/
    /*rating css start*/

    .rating {
        width: fit-content;
        height: 18px;
        text-align: left;
        margin-bottom: 0px;
    }

    .rating>* {
        float: right;
    }

    @keyframes pulse {
        50% {
            color: #5e5e5e;
            text-shadow: 0 0 15px #777777;
        }
    }

    .rating label {
        height: 20px;
        margin-right: 4px;
        display: block;
        position: relative;
        cursor: pointer;
        width: 18px;
    }

    .rating label:nth-of-type(5):after {
        animation-delay: 0.25s;
    }

    .rating label:nth-of-type(4):after {
        animation-delay: 0.2s;
    }

    .rating label:nth-of-type(3):after {
        animation-delay: 0.15s;
    }

    .rating label:nth-of-type(2):after {
        animation-delay: 0.1s;
    }

    .rating label:nth-of-type(1):after {
        animation-delay: 0.05s;
    }

    .rating label:after {
        transition: all 0.4s ease-out;
        -webkit-font-smoothing: antialiased;
        position: absolute;
        content: "★";
        color: #EAEAEA;
        top: -5px;
        line-height: 1;
        left: 0;
        width: 100%;
        height: 100%;
        text-align: center;
        font-size: 28px;
        animation: 1s pulse ease;
    }

    .rating label:hover:after {
        color: #FFC300;

    }

    .rating input {
        display: none;
    }

    .rating input:checked+label:after,
    .rating input:checked~label:after {
        content: "★";
        color: #FFC300;
    }

    /*rating css end*/
</style>
@endsection

@section('content')


<div class="py-2 pt-3 ff-Inter">
    <div class="col-md-12 p-0 broker-header">
        <div class="card mb-1">
            <div class="card-header">
                <div class="d-flex">
                    <div class="mr-auto p-2">
                        <h6>{{ $broker->name }}</h6>
                    </div>
                    <div class="">
                        <a href="{{ route('company.admin.brokers.edit', base64Encode($broker->id)) }}" target="_blank"><button type="button" class="btn btn-blueBr" id="btnEdit">Edit Account</button></a>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="d-flex p-0  equipment-logistics-content w-100 position-relative">
        <div class="left-profile-content">
            <div>
                <div class="d-flex flex-wrap justify-content-between px-sm-3 px-2 ">
                    <a href="#" class="fs-14 fw-600 text-theme-color text-nowrap"> <i class="fa fa-chevron-circle-left mr-1 text-theme-color" aria-hidden="true"></i>Back to customer list</a>

                    <a href="#" class="fs-14 fw-600 text-theme-color text-nowrap" id="btn-profile-hidd"> My Rep <i class="fa fa-eye nl-1 text-theme-color" aria-hidden="true"></i></i></a>
                </div>
                <div class="profile-content">
                    <div class="profile-pic">
                        <img src="{{ asset('theme/images/michelle-marxist.png') }}" alt="icon" />
                    </div>
                    <h2 class="text-center">
                        Michelle Marxist<span class="ml-2 badge bg-success">Active</span>
                    </h2>
                    <ul class="nav text-center justify-content-center">
                        <li class="nav-item">
                            <a href="#">
                                <div class="profile-icons mb-1">
                                    <img src="{{ asset('theme/images/phone-icon.svg') }}" alt=" " class="img-fluid" />
                                </div>
                                <span>Office</span>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="#">
                                <div class="profile-icons mb-1">
                                    <img src="{{ asset('theme/images/smartphone-icon.svg') }}" alt=" " class="img-fluid" />
                                </div>
                                <span>Cell</span>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="#">
                                <div class="profile-icons mb-1">
                                    <img src="{{ asset('theme/images/email-icon.svg') }}" alt=" " class="img-fluid" />
                                </div>
                                <span>Email</span>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="#">
                                <div class="profile-icons mb-1">
                                    <img src="{{ asset('theme/images/msg-or-chat-icon.svg') }}" alt=" " class="img-fluid" />
                                </div>
                                <span>ProChat</span>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="#">
                                <div class="profile-icons mb-1">
                                    <img src="{{ asset('theme/images/three-dot-horizontal-icon.svg') }}" alt=" " class="img-fluid" />
                                </div>
                                <span>More</span>
                            </a>
                        </li>
                    </ul>
                    <p>Last Communication: January 5th 2023 at 10:00 am</p>
                </div>
                <div class="mr-auto mt-1 profileinfo-tab-content ">
                    <nav>
                        <ul class="nav nav-tabs flex-nowrap py-0" role="tablist">
                            <li role="presentation" class="nav-item">
                                <a href="#contact-info-tab" class="nav-link active" data-toggle="tab" aria-controls="Contact-Info" role="tab"> Contact Info </a>
                            </li>
                            <li role="presentation" class="nav-item">
                                <a href="#personal-info-tab" class="nav-link" data-toggle="tab" aria-controls="personal-info" role="tab"> Personal Info </a>
                            </li>
                        </ul>
                    </nav>
                    <div class="tab-content">
                        <div class="tab-pane active" role="tabpanel" id="contact-info-tab">
                            <div class="information-box">
                                <label class="txt-label mb-2 text-theme-color">Full Name:</label>
                                <p>Michelle Obama Marxist</p>
                            </div>
                            <div class="information-box">
                                <label class="txt-label mb-2 text-theme-color">Address:</label>
                                <p>1007 Cherokee Street NE Roanoke, VA 24012</p>
                            </div>
                            <div class="information-box">
                                <label class="txt-label mb-2 text-theme-color">Email:</label>
                                <p>Michell.Marxist@hopedepot.com</p>
                            </div>
                            <div class="information-box">
                                <label class="txt-label mb-2 text-theme-color">Office:</label>
                                <p>Mechanicsburg PA</p>
                            </div>
                            <div class="information-box">
                                <label class="txt-label mb-2 text-theme-color">Department:</label>
                                <p>Billing</p>
                            </div>
                            <div class="information-box">
                                <label class="txt-label mb-2 text-theme-color">Timezone:</label>
                                <p>12:30 EST</p>
                            </div>
                            <div class="information-box">
                                <label class="txt-label mb-2 text-theme-color">Office Phone:</label>
                                <p>(540) 223-4488 Ext. 4877190</p>
                            </div>
                            <div class="information-box">
                                <label class="txt-label mb-2 text-theme-color">Fax:</label>
                                <p>(540) 230-8759</p>
                            </div>
                            <div class="information-box">
                                <label class="txt-label mb-2 text-theme-color">Start Date/Workiversary:</label>
                                <p>12/12/23 (1 Year, 2 Days)</p>
                            </div>
                            <div class="information-box">
                                <label class="txt-label mb-2 text-theme-color">Preferred Contact Method:</label>
                                <p>N/A</p>
                            </div>
                            <div class="information-box">
                                <label class="txt-label mb-2 text-theme-color">ProChat ID: </label>
                                <p>MarxistGir109</p>
                            </div>
                            <div class="col-12">
                                <div class="row g-1">
                                    <div class="col-auto">
                                        <div class="information-box">
                                            <label class="txt-label-2 mb-1">Reminder</label>
                                            <p class="fs-18 fw-600"><img src="{{ asset('theme/images/calendar-blue-icon.svg') }}" alt=" " class="img-fluid mr-1" />18-01-2024</p>
                                        </div>
                                    </div>
                                    <div class="col-auto">
                                        <div class="information-box">
                                            <label class="txt-label-2 mb-1">Loads</label>
                                            <p class="fs-18 fw-600"><img src="{{ asset('theme/images/truck-loads-moving-icon.svg') }}" alt=" " class="img-fluid mr-1" />18-01-2024</p>
                                        </div>
                                    </div>
                                    <div class="col-auto">
                                        <label class="txt-label-2 mb-1">Rating</label>
                                        <div class="rating mb-2 star-yellow">
                                            <input type="radio" name="rating" id="r5" value="5" required="">
                                            <label for="r5"></label>

                                            <input type="radio" name="rating" id="r4" value="4">
                                            <label for="r4"></label>

                                            <input type="radio" name="rating" id="r3" value="3">
                                            <label for="r3"></label>

                                            <input type="radio" name="rating" id="r2" value="2">
                                            <label for="r2"></label>

                                            <input type="radio" name="rating" id="r1" value="1">
                                            <label for="r1"></label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <textarea class="form-control p-3" rows="5" placeholder="Enter Notes"></textarea>
                                <a href="#" class="btn-link text-theme-color fs-14 fw-500 float-right text-underline">Change Reps</a>
                            </div>
                        </div>
                        <div class="tab-pane" role="tabpanel" id="personal-info-tab">
                            <div class="information-box">
                                <label class="txt-label mb-2 text-theme-color">Nickname:</label>
                                <p>Lux</p>
                            </div>
                            <div class="information-box">
                                <label class="txt-label mb-2 text-theme-color">Birthday:</label>
                                <p>09/12/23</p>
                            </div>
                            <div class="information-box">
                                <label class="txt-label mb-2 text-theme-color">Gender:</label>
                                <p>Female</p>
                            </div>
                            <div class="information-box">
                                <label class="txt-label mb-2 text-theme-color">Hobbies/Interests</label>
                                <p>Gun Collection</p>
                            </div>
                            <div class="form-group">
                                <label class="txt-label-2 mb-1">Notes</label>
                                <textarea class="form-control p-3" rows="3" placeholder="Enter Notes"></textarea>
                            </div>
                        </div>
                    </div>


                </div>
            </div>
        </div>
        <div class="right-tabs-content">
            <div class="col-12">
                <div class="row align-items-end ">
                    <div class="col-md-9">
                        <div class="row align-items-center g-2">
                            <div class="col-auto customer-list-show">
                                <a href="#" class="fs-14 fw-600 text-theme-color"> <i class="fa fa-chevron-circle-left mr-1 text-theme-color" aria-hidden="true"></i>Back to customer list</a>
                            </div>
                            <div class="col-auto my-rep-show">
                                <a href="#" id="btn-profile" class="profile-img">
                                    <div class="profile-pic">
                                        <img src="{{ asset('theme/images/profile-user-blue.svg') }}" alt="icon" />
                                    </div>
                                    <span class="fs-12 fw-600 text-theme-color mt-1 d-block">Set My Rep</span>
                                </a>
                            </div>
                            <div class="col-auto">
                                <div class="form-group serchbox mb-0">
                                    <input class="form-control" type="text">
                                </div>
                            </div>
                            <div class="col-auto">
                                <div class="hours-operation-content">
                                    <label>Hours of Operation</label>
                                    <div class="dropdown">
                                        <button class="dropdown-toggle" type="button" data-toggle="dropdown" aria-expanded="false">
                                            <span style="color: #2F9840;">Open </span>- Closes 6 PM
                                        </button>
                                        <div class="dropdown-menu">
                                            <a class="dropdown-item" href="#"><span>Sunday</span>7:00 AM - 7:00 PM</a>
                                            <a class="dropdown-item" href="#"><span>Monday</span>7:00 AM - 7:00 PM</a>
                                            <a class="dropdown-item" href="#"><span>Tuesday</span>Closed</a>
                                            <a class="dropdown-item" href="#"><span>Wednesday</span>7:00 AM - 7:00 PM</a>
                                            <a class="dropdown-item" href="#"><span>Thursday</span>7:00 AM - 7:00 PM</a>
                                            <a class="dropdown-item" href="#"><span>Friday</span>7:00 AM - 7:00 PM</a>
                                            <a class="dropdown-item" href="#"><span>Saturday</span>7:00 AM - 7:00 PM</a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="d-flex">
                            <div class="msg-box">
                                <a href="javascript:void(0);" class="btn-msg-box d-flex">
                                    <img src="http://127.0.0.1:8001/theme/images/comment.svg" alt="Comment">
                                    <span class="d-block"> Minimize <br> ProChat</span>
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="d-flex custom-margin my-trips-content">
                    <div class="order-xl-last">
                        <div class="form-group  mb-1 active-status-s2">
                            {!! Form::select('status', brokerStatus(), $broker->status ?? '1', ['class' => 'form-control select2', 'id' => 'status']) !!}
                        </div>
                    </div>
                    <div class="mr-auto trips-tabs">
                        <ul class="nav nav-tabs flex-nowrap py-0" role="tablist">
                            <li role="presentation" class="nav-item">
                                <a href="#tabAccount" class="nav-link active" data-toggle="tab" aria-controls="tabAccount" role="tab"> Account </a>
                            </li>
                            <li role="presentation" class="nav-item">
                                <a href="#tabActivity" class="nav-link" data-toggle="tab" aria-controls="tabActivity" role="tab"> Activity </a>
                            </li>
                            <li role="presentation" class="nav-item">
                                <a href="#tabLoads" class="nav-link" data-toggle="tab" aria-controls="tabLoads" role="tab"> Loads </a>
                            </li>
                            <li role="presentation" class="nav-item">
                                <a href="#tabBilling" class="nav-link" data-toggle="tab" aria-controls="tabBilling" role="tab"> Billing </a>
                            </li>
                            <li role="presentation" class="nav-item">
                                <a href="#tabLocations" class="nav-link" data-toggle="tab" aria-controls="tabLocations" role="tab"> Locations </a>
                            </li>
                            <li role="presentation" class="nav-item">
                                <a href="#tabQuotes" class="nav-link" data-toggle="tab" aria-controls="tabQuotes" role="tab"> Quotes </a>
                            </li>
                            <li role="presentation" class="nav-item">
                                <a href="#tabFuelSurcharge" class="nav-link" data-toggle="tab" aria-controls="tabFuelSurcharge" role="tab"> Fuel Surcharge </a>
                            </li>
                            <li role="presentation" class="nav-item">
                                <a href="#tabOffice" class="nav-link" data-toggle="tab" aria-controls="tabOffice" role="tab"> Office </a>
                            </li>
                            <li role="presentation" class="nav-item">
                                <a href="#tabOnTimeStats" class="nav-link" data-toggle="tab" aria-controls="tabOnTimeStats" role="tab"> On Time Stats </a>
                            </li>
                            <li role="presentation" class="nav-item">
                                <a href="#tabAccessorialsRates" class="nav-link" data-toggle="tab" aria-controls="tabAccessorialsRates" role="tab"> Accessorials & Rates </a>
                            </li>
                            <li role="presentation" class="nav-item">
                                <a href="#tabFilesImages" class="nav-link" data-toggle="tab" aria-controls="tabFilesImages" role="tab"> Files & Images </a>
                            </li>
                        </ul>
                    </div>

                </div>
                <div class="tab-content">
                    <div class="tab-pane active" role="tabpanel" id="tabAccount">
                        <div class="row px-3 py-4">
                            <div class="col-md-12 text-center">
                                <h6>Coming Soon</h6>
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane" role="tabpanel" id="tabActivity">
                        <div class="row px-3 py-4">
                            <div class="col-md-12 text-center">
                                <h6>Coming Soon</h6>
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane" role="tabpanel" id="tabLoads">
                        <div class="row px-3 py-4">
                            <div class="col-md-12 text-center">
                                <h6>Coming Soon</h6>
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane" role="tabpanel" id="tabBilling">
                        <div class="row px-3 py-4">
                            <div class="col-md-12 text-center">
                                <h6>Coming Soon</h6>
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane" role="tabpanel" id="tabLocations">
                        <div class="row px-3 py-4">
                            <div class="col-md-12 text-center">
                                <h6>Coming Soon</h6>
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane" role="tabpanel" id="tabQuotes">
                        <div class="row px-3 py-4">
                            <div class="col-md-12 text-center">
                                <h6>Coming Soon</h6>
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane" role="tabpanel" id="tabFuelSurcharge">
                        <div class="row px-3 py-4">
                            <div class="col-md-12 text-center">
                                <h6>Coming Soon</h6>
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane" role="tabpanel" id="tabOffice">
                        <div class="row px-3 py-4">
                            <div class="col-md-12 text-center">
                                <h6>Coming Soon</h6>
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane" role="tabpanel" id="tabOnTimeStats">
                        <div class="timestats-box">
                            <div class="col-12">
                                <div class="row g-2">
                                    <div class="col-lg-3">
                                        <div class="card">
                                            <div class="d-flex align-items-center justify-content-between mb-1">
                                                <h3>75%</h3>
                                                <div class="">
                                                    <img src="{{ asset('theme/images/calendar-Due-date.svg') }}" alt="icon" class="img-fluid" />
                                                </div>
                                            </div>
                                            <div class="d-flex align-items-end justify-content-between">
                                                <div class="titel">
                                                    <span class="d-block">This Year</span>
                                                    <p>On Time Percentage</p>
                                                </div>
                                                <div class="live-updown-msg ">
                                                    <!-- <span><img src="{{ asset('theme/img/top-arrow.png') }}" alt=""></span> -->
                                                    <i class="fa fa-long-arrow-up" aria-hidden="true"></i>5%
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-lg-3">
                                        <div class="card">
                                            <div class="d-flex align-items-center justify-content-between mb-1">
                                                <h3>111</h3>
                                                <div class="">
                                                    <img src="{{ asset('theme/images/calendar-Due-date.svg') }}" alt="icon" class="img-fluid" />
                                                </div>
                                            </div>
                                            <div class="d-flex align-items-end justify-content-between">
                                                <div class="titel">
                                                    <span class="d-block">This Year</span>
                                                    <p>Service Failures</p>
                                                </div>
                                                <div class="live-updown-msg ">
                                                    <!-- <span><img src="{{ asset('theme/img/top-arrow.png') }}" alt=""></span> -->
                                                    <i class="fa fa-long-arrow-up" aria-hidden="true"></i>5%
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-lg-3">
                                        <div class="card">
                                            <div class="d-flex align-items-center justify-content-between mb-1">
                                                <h3>5128</h3>
                                                <div class="">
                                                    <img src="{{ asset('theme/images/calendar-Due-date.svg') }}" alt="icon" class="img-fluid" />
                                                </div>
                                            </div>
                                            <div class="d-flex align-items-end justify-content-between">
                                                <div class="titel">
                                                    <span class="d-block">This Year</span>
                                                    <p>Total Loads</p>
                                                </div>
                                                <div class="live-updown-msg ">
                                                    <!-- <span><img src="{{ asset('theme/img/top-arrow.png') }}" alt=""></span> -->
                                                    <i class="fa fa-long-arrow-up" aria-hidden="true"></i>5%
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-lg-3">
                                        <div class="card">
                                            <div class="d-flex align-items-center justify-content-between mb-1">
                                                <h3>19030</h3>
                                                <div class="">
                                                    <img src="{{ asset('theme/images/calendar-Due-date.svg') }}" alt="icon" class="img-fluid" />
                                                </div>
                                            </div>
                                            <div class="d-flex align-items-end justify-content-between">
                                                <div class="titel">
                                                    <span class="d-block">This Year</span>
                                                    <p>Completed Stops</p>
                                                </div>
                                                <div class="live-updown-msg ">
                                                    <!-- <span><img src="{{ asset('theme/img/top-arrow.png') }}" alt=""></span> -->
                                                    <i class="fa fa-long-arrow-up" aria-hidden="true"></i>5%
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="table-responsive">
                                        <table id="timestats-table" class="table nowrap w-100">
                                            <thead>
                                                <tr>
                                                    <th class="border-bottom">On Time Delivery</th>
                                                    <th class="border-bottom">Stops</th>
                                                    <th class="border-bottom">Delay Reason</th>
                                                    <th class="border-bottom">Time Delayed</th>
                                                    <th class="border-bottom">Load</th>
                                                    <th class="border-bottom">Customer</th>
                                                    <th class="border-bottom">Origin</th>
                                                    <th class="border-bottom">Destination</th>
                                                    <th class="border-bottom">Last Location</th>
                                                    <th class="border-bottom">All Time OTD</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <tr>
                                                    <td class="">On Time</td>
                                                    <td class="">In Transit</td>
                                                    <td class="">On Time</td>
                                                    <td class="">30 min</td>
                                                    <td class=""><a href="#">DTL-$964</a></td>
                                                    <td class="">TBD</td>
                                                    <td class="">Tupelo, MS</td>
                                                    <td class="">Texarkana, TX</td>
                                                    <td class="">Chesapeake, VA</td>
                                                    <td class="">75.77%</td>
                                                </tr>
                                                <tr>
                                                    <td class="">Service Failure</td>
                                                    <td class="">In Transit - Stop 1</td>
                                                    <td class="">On Time</td>
                                                    <td class="">7 hr 30 min</td>
                                                    <td class=""><a href="#">DTL40491</a></td>
                                                    <td class="">East Windsor, CT</td>
                                                    <td class="">Breningsville, PA</td>
                                                    <td class="">Texarkana, TX</td>
                                                    <td class="">Chicago, IL</td>
                                                    <td class="">73.99%</td>
                                                </tr>

                                            </tbody>
                                        </table>
                                    </div>
                                    <div class="lane-rates-tables p-25">
                                        <div class="table-responsive">
                                            <table id="lane-rates-tab-table" class="table nowrap w-100">
                                                <thead class="bg-transparent border-bottom">
                                                    <tr>
                                                        <th class="border-bottom">Lane ID</th>
                                                        <th class="border-bottom">Origin</th>
                                                        <th class="border-bottom">Destination</th>
                                                        <th class="border-bottom">Miles</th>
                                                        <th class="border-bottom">Linehaul</th>
                                                        <th class="border-bottom">Fuel Surcharge</th>
                                                        <th class="border-bottom">Total Rate</th>
                                                        <th class="border-bottom">Rating Type</th>
                                                        <th class="border-bottom">Includes FSC</th>
                                                        <th class="border-bottom">Entered By</th>
                                                        <th class="border-bottom">Updated</th>
                                                        <th class="border-bottom"></th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <tr>
                                                        <td class="">Lane 1</td>
                                                        <td class="">Roanoke, VA</td>
                                                        <td class="">Columbus, OH</td>
                                                        <td class="">456</td>
                                                        <td class="">$ 940.00</td>
                                                        <td class="">$ 120.00</td>
                                                        <td class="">$ 1,060.00</td>
                                                        <td class="">LH + FSC</td>
                                                        <td class="">Yes</td>
                                                        <td class="">Christian Snead</td>
                                                        <td class="">04/07/2023</td>
                                                        <td class="">
                                                            <a href="#"><img src="{{ asset('theme/images/graph-blue-icon.svg') }}" alt="icon"></a>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td colspan="12" class="py-0">
                                                            <table class="table w-100 my-0">
                                                                <thead class="bg-transparent border-bottom">
                                                                    <tr>
                                                                        <th>Origin</th>
                                                                        <th>Load Type</th>
                                                                        <th>Pickup Date</th>
                                                                        <th>Delivery Date</th>
                                                                        <th>Trailer</th>
                                                                        <th>Linehaul</th>
                                                                        <th>FSC</th>
                                                                        <th>Accessorial</th>
                                                                        <th>Total Rate</th>
                                                                        <th>Rating Type</th>
                                                                        <th>FSC/Mile</th>
                                                                        <th>Status</th>
                                                                    </tr>
                                                                </thead>
                                                                <tbody>
                                                                    <tr>
                                                                        <td>Roanoke, VA</td>
                                                                        <td>Full Truckload</td>
                                                                        <td>07/21/2023 20:15 EST</td>
                                                                        <td>07/31/2023 08:00 EST</td>
                                                                        <td>Dry Van - Solo</td>
                                                                        <td>$ 2,070.00</td>
                                                                        <td>$ 505.11</td>
                                                                        <td>$ 150.00</td>
                                                                        <td>$ 2,725.11</td>
                                                                        <td>LH+FSC</td>
                                                                        <td>.46</td>
                                                                        <td>In Transit</td>
                                                                    </tr>
                                                                </tbody>
                                                            </table>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td class="">Lane 2</td>
                                                        <td class="">Roanoke, VA</td>
                                                        <td class="">Mount Crawford, VA</td>
                                                        <td class="">456</td>
                                                        <td class="">$ 940.00</td>
                                                        <td class="">$ 120.00</td>
                                                        <td class="">$ 1,060.00</td>
                                                        <td class="">Min + FSC</td>
                                                        <td class="">Yes</td>
                                                        <td class="">Christian Snead</td>
                                                        <td class="">04/07/2023</td>
                                                        <td class="">
                                                            <a href="#"><img src="{{ asset('theme/images/graph-blue-icon.svg') }}" alt="icon"></a>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td class="">Lane 3</td>
                                                        <td class="">Roanoke, VA</td>
                                                        <td class="">Harrisburg, PA</td>
                                                        <td class="">456</td>
                                                        <td class="">$ 940.00</td>
                                                        <td class="">$ 120.00</td>
                                                        <td class="">$ 1,060.00</td>
                                                        <td class="">Flat + FSC</td>
                                                        <td class="">Yes</td>
                                                        <td class="">Christian Snead</td>
                                                        <td class="">04/07/2023</td>
                                                        <td class="">
                                                            <a href="#"><img src="{{ asset('theme/images/graph-blue-icon.svg') }}" alt="icon"></a>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td class="">Lane 4</td>
                                                        <td class="">Roanoke, VA</td>
                                                        <td class="">Greensboro, NC</td>
                                                        <td class="">456</td>
                                                        <td class="">$ 940.00</td>
                                                        <td class="">$ 120.00</td>
                                                        <td class="">$ 1,060.00</td>
                                                        <td class="">Flat Rate</td>
                                                        <td class="">No</td>
                                                        <td class="">Christian Snead</td>
                                                        <td class="">04/07/2023</td>
                                                        <td class="">
                                                            <a href="#"><img src="{{ asset('theme/images/graph-blue-icon.svg') }}" alt="icon"></a>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td class="">Lane 5</td>
                                                        <td class="">Roanoke, VA</td>
                                                        <td class="">Madison, WI</td>
                                                        <td class="">456</td>
                                                        <td class="">$ 940.00</td>
                                                        <td class="">$ 120.00</td>
                                                        <td class="">$ 1,060.00</td>
                                                        <td class="">Min + FSC</td>
                                                        <td class="">No</td>
                                                        <td class="">Christian Snead</td>
                                                        <td class="">04/07/2023</td>
                                                        <td class="">
                                                            <a href="#"><img src="{{ asset('theme/images/graph-blue-icon.svg') }}" alt="icon"></a>
                                                        </td>
                                                    </tr>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                    <div class="tab-pane" role="tabpanel" id="tabAccessorialsRates">
                        <nav class="inner-navtabs p-25 pb-0">
                            <ul class="nav nav-pills " id="pills-tab" role="tablist">
                                <li class="nav-item" role="presentation">
                                    <a href="#pills-lane-rates" id="pills-lane-rates-tab" data-toggle="pill" role="tab" aria-controls="pills-lane-rates" aria-selected="true">Lane Rates</a>
                                </li>
                                <li class="nav-item" role="presentation">
                                    <a href="#pills-accessorial-charges" id="pills-accessorial-charges-tab" data-toggle="pill" role="tab" aria-controls="pills-accessorial-charges" aria-selected="true">Accessorial Charges</a>
                                </li>
                            </ul>
                        </nav>
                        <div class="tab-content" id="pills-tabContent">
                            <div class="tab-pane fade show active" id="pills-lane-rates" role="tabpanel" aria-labelledby="pills-lane-rates-tab">
                                <div class="lane-rates-tables p-25">
                                    <div class="table-responsive">
                                        <table id="lane-rates-tab-table" class="table nowrap w-100">
                                            <thead class="bg-transparent border-bottom">
                                                <tr>
                                                    <th class="border-bottom">Lane ID</th>
                                                    <th class="border-bottom">Origin</th>
                                                    <th class="border-bottom">Destination</th>
                                                    <th class="border-bottom">Miles</th>
                                                    <th class="border-bottom">Linehaul</th>
                                                    <th class="border-bottom">Fuel Surcharge</th>
                                                    <th class="border-bottom">Total Rate</th>
                                                    <th class="border-bottom">Rating Type</th>
                                                    <th class="border-bottom">Includes FSC</th>
                                                    <th class="border-bottom">Entered By</th>
                                                    <th class="border-bottom">Updated</th>
                                                    <th class="border-bottom"></th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <tr>
                                                    <td class="">Lane 1</td>
                                                    <td class="">Roanoke, VA</td>
                                                    <td class="">Columbus, OH</td>
                                                    <td class="">456</td>
                                                    <td class="">$ 940.00</td>
                                                    <td class="">$ 120.00</td>
                                                    <td class="">$ 1,060.00</td>
                                                    <td class="">LH + FSC</td>
                                                    <td class="">Yes</td>
                                                    <td class="">Christian Snead</td>
                                                    <td class="">04/07/2023</td>
                                                    <td class="">
                                                        <a href="#"><img src="{{ asset('theme/images/graph-blue-icon.svg') }}" alt="icon"></a>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="12" class="py-0">
                                                        <table class="table w-100 my-0">
                                                            <thead class="bg-transparent border-bottom">
                                                                <tr>
                                                                    <th>Origin</th>
                                                                    <th>Load Type</th>
                                                                    <th>Pickup Date</th>
                                                                    <th>Delivery Date</th>
                                                                    <th>Trailer</th>
                                                                    <th>Linehaul</th>
                                                                    <th>FSC</th>
                                                                    <th>Accessorial</th>
                                                                    <th>Total Rate</th>
                                                                    <th>Rating Type</th>
                                                                    <th>FSC/Mile</th>
                                                                    <th>Status</th>
                                                                </tr>
                                                            </thead>
                                                            <tbody>
                                                                <tr>
                                                                    <td>Roanoke, VA</td>
                                                                    <td>Full Truckload</td>
                                                                    <td>07/21/2023 20:15 EST</td>
                                                                    <td>07/31/2023 08:00 EST</td>
                                                                    <td>Dry Van - Solo</td>
                                                                    <td>$ 2,070.00</td>
                                                                    <td>$ 505.11</td>
                                                                    <td>$ 150.00</td>
                                                                    <td>$ 2,725.11</td>
                                                                    <td>LH+FSC</td>
                                                                    <td>.46</td>
                                                                    <td>In Transit</td>
                                                                </tr>
                                                            </tbody>
                                                        </table>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="">Lane 2</td>
                                                    <td class="">Roanoke, VA</td>
                                                    <td class="">Mount Crawford, VA</td>
                                                    <td class="">456</td>
                                                    <td class="">$ 940.00</td>
                                                    <td class="">$ 120.00</td>
                                                    <td class="">$ 1,060.00</td>
                                                    <td class="">Min + FSC</td>
                                                    <td class="">Yes</td>
                                                    <td class="">Christian Snead</td>
                                                    <td class="">04/07/2023</td>
                                                    <td class="">
                                                        <a href="#"><img src="{{ asset('theme/images/graph-blue-icon.svg') }}" alt="icon"></a>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="">Lane 3</td>
                                                    <td class="">Roanoke, VA</td>
                                                    <td class="">Harrisburg, PA</td>
                                                    <td class="">456</td>
                                                    <td class="">$ 940.00</td>
                                                    <td class="">$ 120.00</td>
                                                    <td class="">$ 1,060.00</td>
                                                    <td class="">Flat + FSC</td>
                                                    <td class="">Yes</td>
                                                    <td class="">Christian Snead</td>
                                                    <td class="">04/07/2023</td>
                                                    <td class="">
                                                        <a href="#"><img src="{{ asset('theme/images/graph-blue-icon.svg') }}" alt="icon"></a>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="">Lane 4</td>
                                                    <td class="">Roanoke, VA</td>
                                                    <td class="">Greensboro, NC</td>
                                                    <td class="">456</td>
                                                    <td class="">$ 940.00</td>
                                                    <td class="">$ 120.00</td>
                                                    <td class="">$ 1,060.00</td>
                                                    <td class="">Flat Rate</td>
                                                    <td class="">No</td>
                                                    <td class="">Christian Snead</td>
                                                    <td class="">04/07/2023</td>
                                                    <td class="">
                                                        <a href="#"><img src="{{ asset('theme/images/graph-blue-icon.svg') }}" alt="icon"></a>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="">Lane 5</td>
                                                    <td class="">Roanoke, VA</td>
                                                    <td class="">Madison, WI</td>
                                                    <td class="">456</td>
                                                    <td class="">$ 940.00</td>
                                                    <td class="">$ 120.00</td>
                                                    <td class="">$ 1,060.00</td>
                                                    <td class="">Min + FSC</td>
                                                    <td class="">No</td>
                                                    <td class="">Christian Snead</td>
                                                    <td class="">04/07/2023</td>
                                                    <td class="">
                                                        <a href="#"><img src="{{ asset('theme/images/graph-blue-icon.svg') }}" alt="icon"></a>
                                                    </td>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                                <div class="border-top">
                                    <div class="d-flex justify-content-end p-3">
                                        <a href="#" class="btn btn-blue">Save & Continue</a>
                                    </div>
                                </div>
                            </div>
                            <div class="tab-pane fade " id="pills-accessorial-charges" role="tabpanel" aria-labelledby="pills-accessorial-charges-tab">
                                <div class="p-25">
                                    <div class="row">
                                        <div class="col-lg-3">
                                            <div class="card h-100 radius-10 overflow-hidden">
                                                <div class="card-header bg-gradient-blue py-3">
                                                    <h6 class="text-white text-center fs-14 font-weight-bolder">Customer Accessorial Charges</h6>
                                                </div>
                                                <div class="card-body p-0">
                                                    <div class="col-12">
                                                        <div class="row border-bottom p-2 gx-1">
                                                            <div class="col-8"><label class="fs-12 fw-600 text-dark-grey-grey mb-0">Accessorial</label></div>
                                                            <div class="col-4"><label class="fs-12 fw-600 text-dark-grey-grey mb-0">Charge</label></div>
                                                        </div>
                                                        <div class="row p-2 gx-1">
                                                            <div class="col-8"><label class="fs-12 fw-600 text-dark-grey mb-0">Detention:</label></div>
                                                            <div class="col-4"><label class="fs-12 fw-600 text-dark-grey mb-0">$ 50.00</label></div>
                                                        </div>
                                                        <div class="row p-2 gx-1">
                                                            <div class="col-8"><label class="fs-12 fw-600 text-dark-grey mb-0">Layover</label></div>
                                                            <div class="col-4"><label class="fs-12 fw-600 text-dark-grey mb-0">$ 250.00</label></div>
                                                        </div>
                                                        <div class="row p-2 gx-1">
                                                            <div class="col-8"><label class="fs-12 fw-600 text-dark-grey mb-0">4' Tarp Pay</label></div>
                                                            <div class="col-4"><label class="fs-12 fw-600 text-dark-grey mb-0">$ 125.00</label></div>
                                                        </div>
                                                        <div class="row p-2 gx-1">
                                                            <div class="col-8"><label class="fs-12 fw-600 text-dark-grey mb-0">8' Tarp Pay</label></div>
                                                            <div class="col-4"><label class="fs-12 fw-600 text-dark-grey mb-0">$ 200.00</label></div>
                                                        </div>
                                                        <div class="row p-2 gx-1">
                                                            <div class="col-8"><label class="fs-12 fw-600 text-dark-grey mb-0">Block & Brace</label></div>
                                                            <div class="col-4"><label class="fs-12 fw-600 text-dark-grey mb-0">$ 150.00</label></div>
                                                        </div>
                                                        <div class="row p-2 gx-1">
                                                            <div class="col-8"><label class="fs-12 fw-600 text-dark-grey mb-0">TONU</label></div>
                                                            <div class="col-4"><label class="fs-12 fw-600 text-dark-grey mb-0">$ 300.00</label></div>
                                                        </div>
                                                        <div class="row p-2 gx-1">
                                                            <div class="col-8"><label class="fs-12 fw-600 text-dark-grey mb-0">Extra Stop</label></div>
                                                            <div class="col-4"><label class="fs-12 fw-600 text-dark-grey mb-0">$ 50.00</label></div>
                                                        </div>
                                                        <div class="row p-2 gx-1">
                                                            <div class="col-8"><label class="fs-12 fw-600 text-dark-grey mb-0">Extra Stops (2+)</label></div>
                                                            <div class="col-4"><label class="fs-12 fw-600 text-dark-grey mb-0">$ 75.00</label></div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-lg-3">
                                            <div class="card h-100 radius-10 overflow-hidden">
                                                <div class="card-header bg-gradient-blue py-3">
                                                    <h6 class="text-white text-center fs-14 font-weight-bolder">Carrier Accessorial Pay</h6>
                                                </div>
                                                <div class="card-body p-0">
                                                    <div class="col-12">
                                                        <div class="row border-bottom p-2 gx-1">
                                                            <div class="col-8"><label class="fs-12 fw-600 text-dark-grey mb-0">Accessorial</label></div>
                                                            <div class="col-4"><label class="fs-12 fw-600 text-dark-grey mb-0">Charge</label></div>
                                                        </div>
                                                        <div class="row p-2 gx-1">
                                                            <div class="col-8"><label class="fs-12 fw-600 text-dark mb-0">Detention:</label></div>
                                                            <div class="col-4"><label class="fs-12 fw-600 text-dark mb-0">$ 50.00</label></div>
                                                        </div>
                                                        <div class="row p-2 gx-1">
                                                            <div class="col-8"><label class="fs-12 fw-600 text-dark mb-0">Layover</label></div>
                                                            <div class="col-4"><label class="fs-12 fw-600 text-dark mb-0">$ 250.00</label></div>
                                                        </div>
                                                        <div class="row p-2 gx-1">
                                                            <div class="col-8"><label class="fs-12 fw-600 text-dark mb-0">4' Tarp Pay</label></div>
                                                            <div class="col-4"><label class="fs-12 fw-600 text-dark mb-0">$ 125.00</label></div>
                                                        </div>
                                                        <div class="row p-2 gx-1">
                                                            <div class="col-8"><label class="fs-12 fw-600 text-dark mb-0">8' Tarp Pay</label></div>
                                                            <div class="col-4"><label class="fs-12 fw-600 text-dark mb-0">$ 200.00</label></div>
                                                        </div>
                                                        <div class="row p-2 gx-1">
                                                            <div class="col-8"><label class="fs-12 fw-600 text-dark mb-0">Block & Brace</label></div>
                                                            <div class="col-4"><label class="fs-12 fw-600 text-dark mb-0">$ 150.00</label></div>
                                                        </div>
                                                        <div class="row p-2 gx-1">
                                                            <div class="col-8"><label class="fs-12 fw-600 text-dark mb-0">TONU</label></div>
                                                            <div class="col-4"><label class="fs-12 fw-600 text-dark mb-0">$ 300.00</label></div>
                                                        </div>
                                                        <div class="row p-2 gx-1">
                                                            <div class="col-8"><label class="fs-12 fw-600 text-dark mb-0">Extra Stop</label></div>
                                                            <div class="col-4"><label class="fs-12 fw-600 text-dark mb-0">$ 50.00</label></div>
                                                        </div>
                                                        <div class="row p-2 gx-1">
                                                            <div class="col-8"><label class="fs-12 fw-600 text-dark mb-0">Extra Stops (2+)</label></div>
                                                            <div class="col-4"><label class="fs-12 fw-600 text-dark mb-0">$ 75.00</label></div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-lg-3">
                                            <div class="card h-100 radius-10 overflow-hidden border-none">
                                                <div class="card-header bg-gradient-blue py-3 invisible">
                                                    <h6 class="text-white text-center fs-14 font-weight-bolder">Carrier Accessorial Pay</h6>
                                                </div>
                                                <div class="card-body p-0">
                                                    <div class="col-12">
                                                        <div class="row border-bottom p-2 gx-1">
                                                            <div class="col-8"><label class="fs-12 fw-600 text-dark-grey mb-0">Accessorial</label></div>
                                                            <div class="col-4"><label class="fs-12 fw-600 text-dark-grey mb-0">Charge</label></div>
                                                        </div>
                                                        <div class="row p-2 gx-1">
                                                            <div class="col-8"><label class="fs-12 fw-600 text-dark-grey mb-0">Detention:</label></div>
                                                            <div class="col-4"><label class="fs-12 fw-600 text-dark-grey mb-0">$ 50.00</label></div>
                                                        </div>
                                                        <div class="row p-2 gx-1">
                                                            <div class="col-8"><label class="fs-12 fw-600 text-dark-grey mb-0">Layover</label></div>
                                                            <div class="col-4"><label class="fs-12 fw-600 text-dark-grey mb-0">$ 250.00</label></div>
                                                        </div>
                                                        <div class="row p-2 gx-1">
                                                            <div class="col-8"><label class="fs-12 fw-600 text-dark-grey mb-0">4' Tarp Pay</label></div>
                                                            <div class="col-4"><label class="fs-12 fw-600 text-dark-grey mb-0">$ 125.00</label></div>
                                                        </div>
                                                        <div class="row p-2 gx-1">
                                                            <div class="col-8"><label class="fs-12 fw-600 text-dark-grey mb-0">8' Tarp Pay</label></div>
                                                            <div class="col-4"><label class="fs-12 fw-600 text-dark-grey mb-0">$ 200.00</label></div>
                                                        </div>
                                                        <div class="row p-2 gx-1">
                                                            <div class="col-8"><label class="fs-12 fw-600 text-dark-grey mb-0">Block & Brace</label></div>
                                                            <div class="col-4"><label class="fs-12 fw-600 text-dark-grey mb-0">$ 150.00</label></div>
                                                        </div>
                                                        <div class="row p-2 gx-1">
                                                            <div class="col-8"><label class="fs-12 fw-600 text-dark-grey mb-0">TONU</label></div>
                                                            <div class="col-4"><label class="fs-12 fw-600 text-dark-grey mb-0">$ 300.00</label></div>
                                                        </div>
                                                        <div class="row p-2 gx-1">
                                                            <div class="col-8"><label class="fs-12 fw-600 text-dark-grey mb-0">Extra Stop</label></div>
                                                            <div class="col-4"><label class="fs-12 fw-600 text-dark-grey mb-0">$ 50.00</label></div>
                                                        </div>
                                                        <div class="row p-2 gx-1">
                                                            <div class="col-8"><label class="fs-12 fw-600 text-dark-grey mb-0">Extra Stops (2+)</label></div>
                                                            <div class="col-4"><label class="fs-12 fw-600 text-dark-grey mb-0">$ 75.00</label></div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane" role="tabpanel" id="tabFilesImages">
                        <nav class="inner-navtabs p-25 pb-0">
                            <ul class="nav nav-pills " id="pills-tab" role="tablist">
                                <li class="nav-item" role="presentation">
                                    <a href="#pills-files" id="pills-files-tab" data-toggle="pill" role="tab" aria-controls="pills-files" aria-selected="true">Files</a>
                                </li>
                                <li class="nav-item" role="presentation">
                                    <a href="#pills-images" id="pills-images-tab" data-toggle="pill" role="tab" aria-controls="pills-images" aria-selected="true">Images</a>
                                </li>
                            </ul>
                        </nav>
                        <div class="tab-content" id="pills-tabContent">
                            <div class="tab-pane fade " id="pills-files" role="tabpanel" aria-labelledby="pills-files-tab">
                                <div class="table-responsive">
                                    <table id="company-files-table" class="table  nowrap w-100">
                                        <thead>
                                            <tr>
                                                <th>Category</th>
                                                <th>File Name</th>
                                                <th>Description</th>
                                                <th>Entered By</th>
                                                <th>Date Entered</th>

                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr>
                                                <td class="border-0">Contracts</td>
                                                <td class="border-0"><a href="#" class="text-theme-color text-underline">2024 RFP</a></td>
                                                <td class="border-0">Full Truckload RFP</td>
                                                <td class="border-0">Christian Snead</td>
                                                <td class="border-0">12/15/2023</td>
                                            </tr>
                                            <tr>
                                                <td class="border-0">Pricing</td>
                                                <td class="border-0"><a href="#" class="text-theme-color text-underline">2024 Fuel Surcharge</a></td>
                                                <td class="border-0">Full Truckload Fuel Surcharge</td>
                                                <td class="border-0">Joy Bailey</td>
                                                <td class="border-0">12/02/2023</td>
                                            </tr>
                                            <tr>
                                                <td class="border-0">Fuel Tables</td>
                                                <td class="border-0"><a href="#" class="text-theme-color text-underline">2023 RFP</a></td>
                                                <td class="border-0">Full Truckload RFP</td>
                                                <td class="border-0">Chris Taylor</td>
                                                <td class="border-0">12/15/2022</td>
                                            </tr>
                                            <tr>
                                                <td class="border-0">Quick Quotes</td>
                                                <td class="border-0"><a href="#" class="text-theme-color text-underline">2023 Fuel Surcharghe</a></td>
                                                <td class="border-0">Full Truckload Fuel Surcharge</td>
                                                <td class="border-0">Joy Bailey</td>
                                                <td class="border-0">12/10/2022</td>
                                            </tr>
                                            <tr>
                                                <td class="border-0">Performance Review</td>
                                                <td class="border-0"><a href="#" class="text-theme-color text-underline">2022 RFP</a></td>
                                                <td class="border-0">Full Truckload RFP</td>
                                                <td class="border-0">JLois Gisiner</td>
                                                <td class="border-0">10/11/2021</td>
                                            </tr>
                                            <tr>
                                                <td class="border-0">Performance Review</td>
                                                <td class="border-0"><a href="#" class="text-theme-color text-underline">2022 Fuel Surchage</a></td>
                                                <td class="border-0">Full Truckload Fuel Surcharge</td>
                                                <td class="border-0">Micheal Surge</td>
                                                <td class="border-0">09/06/2021</td>
                                            </tr>

                                        </tbody>
                                    </table>
                                </div>
                                <div class="border-top">
                                    <div class="d-flex justify-content-end p-3">
                                        <a href="#" class="btn btn-blue">Save & Continue</a>
                                    </div>
                                </div>
                            </div>
                            <div class="tab-pane fade show active" id="pills-images" role="tabpanel" aria-labelledby="pills-images-tab">
                                <div class="hedding-content col-12">
                                    <div class="row align-items-end border-bottom p-25 pt-0">
                                        <div class="col-md-6 pl-md-0">
                                            <h3 class="fs-14 fw-600 text-theme-color">Company Images</h3>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="row align-items-end justify-content-between ">
                                                <div class="col-auto">
                                                    <h3 class="fs-14 fw-600 text-theme-color">Company Images</h3>
                                                </div>
                                                <div class="col-auto">
                                                    <div class="row g-2 align-items-end">
                                                        <div class="col-auto">
                                                            <a href="#" class="text-center text-theme-color fs-14 fw-500">
                                                                <span class="plus-box">
                                                                    <img src="{{ asset('theme/images/plus-normal.svg') }}" alt="plus icon" class="img-fluid">
                                                                </span>
                                                                <span class="mt-1 d-block">Add</span>
                                                            </a>
                                                        </div>
                                                        <div class="col-auto">
                                                            <div class="form-group">
                                                                <select class="form-control w-100 select2">
                                                                    <option value="0">Sort</option>
                                                                    <option value="1">Sort 1</option>
                                                                </select>
                                                            </div>
                                                        </div>
                                                        <div class="col-auto">
                                                            <div class="form-group serchbox">
                                                                <input class="form-control" type="text">
                                                            </div>
                                                        </div>

                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="body-content col-12">
                                    <div class="row g-0">
                                        <div class="col-md-6 border-right">
                                            <div class="p-25 pt-0">
                                                <div class="row g-2">
                                                    <div class="col-xl-2 col-sm-4 col-6">
                                                        <div class="company-image-box text-center">
                                                            <div class="overflow-hidden mb-1">
                                                                <img src="{{ asset('theme/images/company-images-1.png') }}" alt="" class="img-fluid">
                                                            </div>
                                                            <a href="#" class="text-theme-color mt-2 text-underline d-block">Company Logo</a>
                                                        </div>
                                                    </div>
                                                    <div class="col-xl-2 col-sm-4 col-6">
                                                        <div class="company-image-box text-center">
                                                            <div class="overflow-hidden mb-1">
                                                                <img src="{{ asset('theme/images/company-images-1.png') }}" alt="" class="img-fluid">
                                                            </div>
                                                            <a href="#" class="text-theme-color mt-2 text-underline d-block">Company Logo</a>
                                                        </div>
                                                    </div>
                                                    <div class="col-xl-2 col-sm-4 col-6">
                                                        <div class="company-image-box text-center">
                                                            <div class="overflow-hidden mb-1">
                                                                <img src="{{ asset('theme/images/company-images-1.png') }}" alt="" class="img-fluid">
                                                            </div>
                                                            <a href="#" class="text-theme-color mt-2 text-underline d-block">Company Logo</a>
                                                        </div>
                                                    </div>
                                                    <div class="col-xl-2 col-sm-4 col-6">
                                                        <div class="company-image-box text-center">
                                                            <div class="overflow-hidden mb-1">
                                                                <img src="{{ asset('theme/images/company-images-1.png') }}" alt="" class="img-fluid">
                                                            </div>
                                                            <a href="#" class="text-theme-color mt-2 text-underline d-block">Company Logo</a>
                                                        </div>
                                                    </div>
                                                    <div class="col-xl-2 col-sm-4 col-6">
                                                        <div class="company-image-box text-center">
                                                            <div class="overflow-hidden mb-1">
                                                                <img src="{{ asset('theme/images/company-images-1.png') }}" alt="" class="img-fluid">
                                                            </div>
                                                            <a href="#" class="text-theme-color mt-2 text-underline d-block">Company Logo</a>
                                                        </div>
                                                    </div>
                                                    <div class="col-xl-2 col-sm-4 col-6">
                                                        <div class="company-image-box text-center">
                                                            <div class="overflow-hidden mb-1">
                                                                <img src="{{ asset('theme/images/company-images-1.png') }}" alt="" class="img-fluid">
                                                            </div>
                                                            <a href="#" class="text-theme-color mt-2 text-underline d-block">Company Logo</a>
                                                        </div>
                                                    </div>
                                                    <div class="col-xl-2 col-sm-4 col-6">
                                                        <div class="company-image-box text-center">
                                                            <div class="overflow-hidden mb-1">
                                                                <img src="{{ asset('theme/images/company-images-1.png') }}" alt="" class="img-fluid">
                                                            </div>
                                                            <a href="#" class="text-theme-color mt-2 text-underline d-block">Company Logo</a>
                                                        </div>
                                                    </div>
                                                    <div class="col-xl-2 col-sm-4 col-6">
                                                        <div class="company-image-box text-center">
                                                            <div class="overflow-hidden mb-1">
                                                                <img src="{{ asset('theme/images/company-images-1.png') }}" alt="" class="img-fluid">
                                                            </div>
                                                            <a href="#" class="text-theme-color mt-2 text-underline d-block">Company Logo</a>
                                                        </div>
                                                    </div>
                                                    <div class="col-xl-2 col-sm-4 col-6">
                                                        <div class="company-image-box text-center">
                                                            <div class="overflow-hidden mb-1">
                                                                <img src="{{ asset('theme/images/company-images-1.png') }}" alt="" class="img-fluid">
                                                            </div>
                                                            <a href="#" class="text-theme-color mt-2 text-underline d-block">Company Logo</a>
                                                        </div>
                                                    </div>
                                                    <div class="col-xl-2 col-sm-4 col-6">
                                                        <div class="company-image-box text-center">
                                                            <div class="overflow-hidden mb-1">
                                                                <img src="{{ asset('theme/images/company-images-1.png') }}" alt="" class="img-fluid">
                                                            </div>
                                                            <a href="#" class="text-theme-color mt-2 text-underline d-block">Company Logo</a>
                                                        </div>
                                                    </div>
                                                    <div class="col-xl-2 col-sm-4 col-6">
                                                        <div class="company-image-box text-center">
                                                            <div class="overflow-hidden mb-1">
                                                                <img src="{{ asset('theme/images/company-images-1.png') }}" alt="" class="img-fluid">
                                                            </div>
                                                            <a href="#" class="text-theme-color mt-2 text-underline d-block">Company Logo</a>
                                                        </div>
                                                    </div>
                                                    <div class="col-xl-2 col-sm-4 col-6">
                                                        <div class="company-image-box text-center">
                                                            <div class="overflow-hidden mb-1">
                                                                <img src="{{ asset('theme/images/company-images-1.png') }}" alt="" class="img-fluid">
                                                            </div>
                                                            <a href="#" class="text-theme-color mt-2 text-underline d-block">Company Logo</a>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="p-25 pt-0">
                                                <div class="row g-2">
                                                    <div class="col-xl-2 col-sm-4 col-6">
                                                        <div class="company-image-box text-center">
                                                            <div class="overflow-hidden mb-1">
                                                                <img src="{{ asset('theme/images/company-images-2.png') }}" alt="" class="img-fluid">
                                                            </div>
                                                            <a href="#" class="text-theme-color mt-2 text-underline d-block">Company Logo</a>
                                                        </div>
                                                    </div>
                                                    <div class="col-xl-2 col-sm-4 col-6">
                                                        <div class="company-image-box text-center">
                                                            <div class="overflow-hidden mb-1">
                                                                <img src="{{ asset('theme/images/company-images-2.png') }}" alt="" class="img-fluid">
                                                            </div>
                                                            <a href="#" class="text-theme-color mt-2 text-underline d-block">Company Logo</a>
                                                        </div>
                                                    </div>
                                                    <div class="col-xl-2 col-sm-4 col-6">
                                                        <div class="company-image-box text-center">
                                                            <div class="overflow-hidden mb-1">
                                                                <img src="{{ asset('theme/images/company-images-2.png') }}" alt="" class="img-fluid">
                                                            </div>
                                                            <a href="#" class="text-theme-color mt-2 text-underline d-block">Company Logo</a>
                                                        </div>
                                                    </div>
                                                    <div class="col-xl-2 col-sm-4 col-6">
                                                        <div class="company-image-box text-center">
                                                            <div class="overflow-hidden mb-1">
                                                                <img src="{{ asset('theme/images/company-images-2.png') }}" alt="" class="img-fluid">
                                                            </div>
                                                            <a href="#" class="text-theme-color mt-2 text-underline d-block">Company Logo</a>
                                                        </div>
                                                    </div>
                                                    <div class="col-xl-2 col-sm-4 col-6">
                                                        <div class="company-image-box text-center">
                                                            <div class="overflow-hidden mb-1">
                                                                <img src="{{ asset('theme/images/company-images-2.png') }}" alt="" class="img-fluid">
                                                            </div>
                                                            <a href="#" class="text-theme-color mt-2 text-underline d-block">Company Logo</a>
                                                        </div>
                                                    </div>
                                                    <div class="col-xl-2 col-sm-4 col-6">
                                                        <div class="company-image-box text-center">
                                                            <div class="overflow-hidden mb-1">
                                                                <img src="{{ asset('theme/images/company-images-2.png') }}" alt="" class="img-fluid">
                                                            </div>
                                                            <a href="#" class="text-theme-color mt-2 text-underline d-block">Company Logo</a>
                                                        </div>
                                                    </div>
                                                    <div class="col-xl-2 col-sm-4 col-6">
                                                        <div class="company-image-box text-center">
                                                            <div class="overflow-hidden mb-1">
                                                                <img src="{{ asset('theme/images/company-images-2.png') }}" alt="" class="img-fluid">
                                                            </div>
                                                            <a href="#" class="text-theme-color mt-2 text-underline d-block">Company Logo</a>
                                                        </div>
                                                    </div>
                                                    <div class="col-xl-2 col-sm-4 col-6">
                                                        <div class="company-image-box text-center">
                                                            <div class="overflow-hidden mb-1">
                                                                <img src="{{ asset('theme/images/company-images-2.png') }}" alt="" class="img-fluid">
                                                            </div>
                                                            <a href="#" class="text-theme-color mt-2 text-underline d-block">Company Logo</a>
                                                        </div>
                                                    </div>
                                                    <div class="col-xl-2 col-sm-4 col-6">
                                                        <div class="company-image-box text-center">
                                                            <div class="overflow-hidden mb-1">
                                                                <img src="{{ asset('theme/images/company-images-2.png') }}" alt="" class="img-fluid">
                                                            </div>
                                                            <a href="#" class="text-theme-color mt-2 text-underline d-block">Company Logo</a>
                                                        </div>
                                                    </div>
                                                    <div class="col-xl-2 col-sm-4 col-6">
                                                        <div class="company-image-box text-center">
                                                            <div class="overflow-hidden mb-1">
                                                                <img src="{{ asset('theme/images/company-images-2.png') }}" alt="" class="img-fluid">
                                                            </div>
                                                            <a href="#" class="text-theme-color mt-2 text-underline d-block">Company Logo</a>
                                                        </div>
                                                    </div>
                                                    <div class="col-xl-2 col-sm-4 col-6">
                                                        <div class="company-image-box text-center">
                                                            <div class="overflow-hidden mb-1">
                                                                <img src="{{ asset('theme/images/company-images-2.png') }}" alt="" class="img-fluid">
                                                            </div>
                                                            <a href="#" class="text-theme-color mt-2 text-underline d-block">Company Logo</a>
                                                        </div>
                                                    </div>
                                                    <div class="col-xl-2 col-sm-4 col-6">
                                                        <div class="company-image-box text-center">
                                                            <div class="overflow-hidden mb-1">
                                                                <img src="{{ asset('theme/images/company-images-2.png') }}" alt="" class="img-fluid">
                                                            </div>
                                                            <a href="#" class="text-theme-color mt-2 text-underline d-block">Company Logo</a>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="border-top">
                                    <div class="d-flex justify-content-end p-3">
                                        <a href="#" class="btn btn-blue">Save & Continue</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>



@endsection

@section('modal')

@endsection

@section('script')
<script src="{{ asset('theme/js/jquery.dataTables.min.js') }}"></script>
<script src="{{ asset('theme/js/dataTables.colReorder.js') }}"></script>
<script src="{{ asset('theme/js/dataTables.bootstrap4.min.js') }}"></script>
<script src="https://cdn.datatables.net/responsive/2.5.0/js/dataTables.responsive.min.js"></script>
<script src="https://cdn.datatables.net/responsive/2.5.0/js/responsive.bootstrap4.min.js"></script>
<script src="https://cdn.datatables.net/buttons/2.4.2/js/dataTables.buttons.min.js"></script>


<script type="text/javascript">
    $(document).ready(function() {
        // Attach click event to the button
        $('#btn-profile').click(function() {
            // Toggle the 'active' class on the button
            // $('.equipment-logistics-content').toggleClass('show-profile');
            $('.equipment-logistics-content').addClass('show-profile');
            $('.customer-list-show').addClass('d-none');
            $('.my-rep-show').addClass('d-none')
        });

        $('#btn-profile-hidd').click(function() {
            // Toggle the 'active' class on the button
            // $('.equipment-logistics-content').toggleClass('show-profile');
            $('.equipment-logistics-content').removeClass('show-profile');
            $('.customer-list-show').removeClass('d-none');
            $('.my-rep-show').removeClass('d-none');
            // $('.customer-list-show').addClass('d-inline-block')
            // $('.my-rep-show').addClass('d-inline-block')
        });
    });

    $(function() {
        $(".select2").select2({
            width: '100%'
        });
    });

    // DataTable js
    $('#company-files-table').DataTable({
        responsive: true,
        // dom: '<"search-box"r"H"lf>t<"F"p>' ,
        dom: "<'row border-bottom pb-2 align-items-end'<'col-md-6'<'header'i>><'col-md-6 pr-3'<'row justify-content-end' <'col-auto'><'col-auto'B><'col-auto'f>>>>",
        // + "<'row'<'col-sm-12'tr>>" + "<'row'<'col-sm-12'p>>",

        oLanguage: {
            "sInfo": "Charges list"
        },
        buttons: [
            'selected',
        ],
    });

    $('#lane-rates-tab-table').DataTable({
        responsive: true,
        dom: '',
    });


    $('#timestats-table').DataTable({
        responsive: true,
        dom: "<'row border-bottom pb-2 align-items-end'<'col-md-3'<'header'i>><'col-md-9 pr-3'<'row justify-content-end' <'col-auto'B><'col-auto'B><'col-auto'f>>>>",
        // + "<'row'<'col-sm-12'tr>>" + "<'row'<'col-sm-12'p>>",
        oLanguage: {
            "sInfo": "Loads"
        },

    });




    // DataTable js
</script>

<script type="text/javascript">

</script>
@endsection

@push('after-scripts')

@endpush