@extends($companyAdminTheme)

@section('title')
    Carrier Edit
@endsection

@section('style')
@endsection

@section('content')
    {!! Form::model($carrier,array(
            'route'     => ['company.admin.carriers.update',$carrier->id],
            'method'    => 'PATCH',
            'files'     => 'true',
            'class'     => 'updateCarrierForm'
        )
    ) !!}
        <div class="row">
            <div class="col-lg-6">
                <div class="white-box mb-4">
                    <h4 class="box-title">General Information</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Name<span>*</span></label>
                                    {!! Form::text('name', old('name'), array('class' => 'form-control', 'autocomplete' => 'new','required' => 'required')) !!}
                                    <span class="error name_error text-danger"></span>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>MC Number</label>
                                    {!! Form::text('mc_number', old('mc_number'), array('class' => 'form-control', 'autocomplete' => 'new_phone','required' => 'required')) !!}
                                    <span class="error mc_number_error text-danger"></span>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Identifier<span>*</span></label>
                                    {!! Form::text('identifier', old('identifier'), array('class' => 'form-control', 'autocomplete' => 'new', 'id' => 'identifier', 'maxlength' => '3','required' => 'required')) !!}
                                    <span class="error identifier_error text-danger"></span>
                                </div>
                            </div>
                            <div class="col-md-12 geocoding">
                                <input type="hidden" class="geocoding-latitude" name="latitude" value="{{ isset($carrier->latitude)?$carrier->latitude:'' }}" autocomplete="off">
                                <input type="hidden" class="geocoding-longitude" name="longitude" value="{{ isset($carrier->longitude)?$carrier->longitude:'' }}" autocomplete="off">
                                <input type="hidden" class="geocoding-abbr" name="timezone_abbr" value="{{ isset($carrier->timezone_abbr)?$carrier->timezone_abbr:'' }}" autocomplete="off" data-parsley-errors-container="#timezone_abbr-errors" data-parsley-required-message="Please verify address" required>
                                <input type="hidden" class="geocoding-verified" name="address_verified" value="{{ isset($carrier->address_verified)?$carrier->address_verified:'0' }}" autocomplete="off">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Address</label>
                                            {!! Form::text('address', old('address'), array(
                                                    'class'         => 'form-control geocoding-address-1',
                                                    'placeholder'   => '',
                                                    'id'            => 'address',
                                                    'required'      => 'required'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Address 2</label>
                                            {!! Form::text('address_2', old('address_2'), array(
                                                    'class'         => 'form-control geocoding-address-2',
                                                    'placeholder'   => '',
                                                    'id'            => 'address_2'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>City</label>
                                            {!! Form::text('city', old('city'), array(
                                                    'class'         => 'form-control geocoding-city',
                                                    'placeholder'   => '',
                                                    'id'            => 'city'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>State</label>
                                            {!! Form::text('state', old('state'), array(
                                                    'class'         => 'form-control geocoding-state',
                                                    'placeholder'   => '',
                                                    'id'            => 'state',
                                                    'required'      => 'required'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Zip</label>
                                            {!! Form::text('zip', old('zip'), array(
                                                    'class'         => 'form-control geocoding-zip',
                                                    'placeholder'   => '',
                                                    'id'            => 'zip',
                                                    'required'      => 'required'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        @if(isset($carrier->address_verified) && $carrier->address_verified=='1')
                                            <button type="button" class="btn btn-success geocoding-btn" data-uid="{{ 'map-'.generateStrUniqueId() }}">Verified</button>
                                        @else
                                            <button type="button" class="btn btn-warning geocoding-btn" data-uid="{{ 'map-'.generateStrUniqueId() }}">Verify</button>
                                        @endif
                                        <div id="timezone_abbr-errors"></div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12 mt-1">
                                <div class="form-group">
                                    <label>Desired Load Number<span>*</span></label>
                                    <div class="row">
                                        <div class="col-sm-5 pr-0">
                                            <div class="custom-control custom-radio">
                                                {!! Form::radio('desired_option', 0, null, array('class' => 'custom-control-input desiredOption', 'id' => 'desired_option_existing', 'required' => 'required')) !!}
                                                <label class="custom-control-label notAllow" for="desired_option_existing">Continue from your existing load number</label>
                                            </div>
                                        </div>
                                        <div class="col-sm-7">
                                            <div class="custom-control custom-radio">
                                                {!! Form::radio('desired_option', 1, null, array('class' => 'custom-control-input desiredOption', 'id' => 'desired_option_fresh')) !!}
                                                <label class="custom-control-label notAllow" for="desired_option_fresh">Enter directly on the add load page</label>
                                            </div>
                                        </div>
                                    </div>
                                    <span class="error desired_option_error text-danger"></span>
                                </div>
                            </div>
                            <div class="col-md-6 d-none" id="textDesiredDiv">
                                <div class="form-group">
                                    {!! Form::text('text_desired_load_number', old('text_desired_load_number'), array('class' => 'form-control', 'autocomplete' => 'new', 'placeholder' => 'Enter Existing Load Number', 'maxlength' => '10')) !!}
                                    <span class="error text_desired_load_number_error text-danger"></span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12">
                <div class="white-box mb-4" style="min-height: 280px;">
                    <h4 class="box-title">Contact Information</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-2">
                                <div class="form-group m-0">
                                    <label>Department</label>
                                </div>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group m-0">
                                    <label>Name</label>
                                </div>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group m-0">
                                    <label>Phone Number</label>
                                </div>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group m-0">
                                    <label>Ext</label>
                                </div>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group m-0">
                                    <label>Email</label>
                                </div>
                            </div>
                        </div>
                        <div class="add-more-section">
                            @if (count($carrier->carrier_contacts))
                                @foreach($carrier->carrier_contacts as $key => $contact)
                                    <div class="row add-more">
                                        <div class="col-md-2">
                                            <div class="form-group">
                                                {!! Form::hidden('contacts['.$key.'][id]', $contact->id) !!}
                                                {!! Form::text('contacts['.$key.'][department]', $contact->department, array('class' => 'form-control', 'placeholder' => 'Department' ,'autocomplete' => 'new','required' => 'required')) !!}
                                            </div>
                                        </div>
                                        <div class="col-md-2">
                                            <div class="form-group">
                                                {!! Form::text('contacts['.$key.'][name]', $contact->name, array('class' => 'form-control', 'placeholder' => 'Name', 'autocomplete' => 'new','required' => 'required')) !!}
                                                <span class="error contacts_{{ $key }}_name_error text-danger"></span>
                                            </div>
                                        </div>
                                        <div class="col-md-2">
                                            <div class="form-group">
                                                {!! Form::text('contacts['.$key.'][phone_number]', $contact->phone_number, array('class' => 'form-control phone', 'placeholder' => '(555) 123-1234', 'autocomplete' => 'new','required' => 'required')) !!}
                                                <span class="error contacts_{{ $key }}_phone_number_error text-danger"></span>
                                            </div>
                                        </div>
                                        <div class="col-md-2">
                                            <div class="form-group">
                                                {!! Form::text('contacts['.$key.'][ext]', $contact->ext, array('class' => 'form-control', 'placeholder' => 'Ext', 'autocomplete' => 'new')) !!}
                                            </div>
                                        </div>
                                        <div class="col-md-2">
                                            <div class="form-group">
                                                {!! Form::text('contacts['.$key.'][email]', $contact->email, array('class' => 'form-control', 'placeholder' => 'Email', 'autocomplete' => 'new')) !!}
                                                <span class="error contacts_{{ $key }}_email_error text-danger"></span>
                                            </div>
                                        </div>
                                        <div class="col-md-2">
                                            <div class="form-group">
                                                @if ($loop->first)
                                                    <button type="button" class="btn btn-success btn-sm add-btn"><i class="fa fa-plus"></i></button>
                                                @else
                                                    <button type="button" class="btn btn-danger btn-sm remove-btn"><i class="fa fa-minus"></i></button>
                                                @endif
                                            </div>
                                        </div>
                                    </div>
                                @endforeach
                            @endif
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="button-bottom">
            <a href="{{ route('company.admin.carriers.index') }}" class="cancel-btn">Cancel</a>
            <button class="submit-btn">Submit</button>
        </div>
    {!! Form::close() !!}

    <div class="add-more-copy-section" style="display: none;">
        <div class="row add-more">
            <div class="col-md-2">
                <div class="form-group">
                    {!! Form::text('contacts[replace_key][department]', null, array('class' => 'form-control', 'placeholder' => 'Department' ,'autocomplete' => 'new','required' => 'required')) !!}
                </div>
            </div>
            <div class="col-md-2">
                <div class="form-group">
                    {!! Form::text('contacts[replace_key][name]', null, array('class' => 'form-control', 'placeholder' => 'Name', 'autocomplete' => 'new','required' => 'required')) !!}
                    <span class="error contacts_replace_key_name_error text-danger"></span>
                </div>
            </div>
            <div class="col-md-2">
                <div class="form-group">
                    {!! Form::text('contacts[replace_key][phone_number]', null, array('class' => 'form-control phone', 'placeholder' => '(555) 123-1234', 'autocomplete' => 'new','required' => 'required')) !!}
                    <span class="error contacts_replace_key_phone_number_error text-danger"></span>
                </div>
            </div>
            <div class="col-md-2">
                <div class="form-group">
                    {!! Form::text('contacts[replace_key][ext]', null, array('class' => 'form-control', 'placeholder' => 'Ext', 'autocomplete' => 'new')) !!}
                </div>
            </div>
            <div class="col-md-2">
                <div class="form-group">
                    {!! Form::text('contacts[replace_key][email]', null, array('class' => 'form-control', 'placeholder' => 'Email', 'autocomplete' => 'new')) !!}
                    <span class="error contacts_replace_key_email_error text-danger"></span>
                </div>
            </div>
            <div class="col-md-2">
                <div class="form-group">
                    <button type="button" class="btn btn-danger btn-sm remove-btn"><i class="fa fa-minus"></i></button>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('script')
    <script type="text/javascript">
        $( document ).ready(function() {
            $('.updateCarrierForm').parsley({
                excluded: 'input[type=button], input[type=submit], input[type=reset]',
                inputs: 'input, textarea, select, input[type=hidden], :hidden',
            });
        });
    </script>
    <script type="text/javascript">
        // Add New Contact
        $("body").on("click", ".add-btn", function () {
            var counter = $(".add-more-section").find(".add-more").length + 1;
            $(".add-more-copy-section").find('.error').text('');
            var copy    = $(".add-more-copy-section").html().replaceAll('replace_key',counter);
            $(".add-more-section").append(copy);
            phoneFormat();
        });

        // Remove Contact
        $("body").on("click", ".remove-btn", function () {
            $(this).parents(".add-more").remove();
        });

        $(".updateCarrierForm").ajaxForm({
            beforeSubmit: function () {
                $(".updateCarrierForm").parsley().validate();
                return $(".updateCarrierForm").parsley().isValid(); // TRUE when form is valid, FALSE will cancel submit
            },
            complete: function (response) {
                if (response.responseJSON.success) {
                    window.location.href = '/company-admin/carriers';
                } else {
                    $('.error').text('');
                    $.each( response.responseJSON.errors, function( key, value ) {
                        var key = key.replace(/\./g, '_');
                        $.each( value , function( skey, svalue ) {
                            $('.'+key+'_error').text(svalue);
                        });
                    });
                    toastr.error('Please check the form below for errors', 'Error Alert', {timeOut: 5000})
                }
            },
        });

        function phoneFormat() {
            // Phone Format
            $('.phone').on('keypress', function(e) {
                var key     = e.charCode || e.keyCode || 0;
                var phone   = $(this);
                if (phone.val().length === 0) {
                    phone.val(phone.val() + '(');
                }
                // Auto-format- do not expose the mask as the user begins to type
                if (key !== 8 && key !== 9) {
                    if (phone.val().length === 4) {
                        phone.val(phone.val() + ')');
                    }
                    if (phone.val().length === 5) {
                        phone.val(phone.val() + ' ');
                    }
                    if (phone.val().length === 9) {
                        phone.val(phone.val() + '-');
                    }
                    if (phone.val().length >= 14) {
                        phone.val(phone.val().slice(0, 13));
                    }
                }

                // Allow numeric (and tab, backspace, delete) keys only
                return (key == 8 || key == 9 || key == 46 || (key >= 48 && key <= 57) || (key >= 96 && key <= 105));
            }).on('focus', function() {
                phone = $(this);ccccc
                if (phone.val().length === 0) {
                    phone.val('(');
                } else {
                    var val = phone.val();
                    phone.val('').val(val); // Ensure cursor remains at the end
                }
            }).on('blur', function() {
                $phone = $(this);
                if ($phone.val() === '(') {
                    $phone.val('');
                }
            });
        }

        $(function (){
            @if(!is_null($carrier->identifier))
                $("#identifier").prop('readonly', true);
            @else
                $(document).on("keydown", "#identifier", function (e){
                    if ((e.keyCode >= 65 && e.keyCode <= 90) || e.keyCode == 8 || e.keyCode == 9 || e.keyCode == 46 || e.keyCode == 37|| e.keyCode == 38|| e.keyCode == 39|| e.keyCode == 40) {
                        return true;
                    }
                    return false;
                });
                $(document).on("keyup", "#identifier", function (){
                    $(this).val($(this).val().toUpperCase());
                });
                $(document).on("click", ".submit-btn", function (e){
                    e.preventDefault();
                    let desiredOption = $("[name='desired_option']:checked").val();
                    let desiredLoadNumber = "";
                    if(desiredOption){
                        desiredLoadNumber = (desiredOption == '0') ? $("[name='text_desired_load_number']").val() : "";
                    }

                    if($("#identifier").val() !== ""){
                        Swal.fire({
                            title: "Are you sure?",
                            html: "The <b>Identifier</b> value cannot be updated later. This is a one-time action.",
                            icon: "warning",
                            showCancelButton: true,
                            confirmButtonColor: "#3085d6",
                            cancelButtonColor: "#d33",
                            confirmButtonText: "&nbsp;&nbsp; Yes &nbsp;&nbsp;",
                        }).then((result) => {
                            if (result.value) {
                                if(desiredOption == '0' || desiredOption == '1'){
                                    if(desiredOption == '0' && desiredLoadNumber == ""){
                                        $('.storeCarrierForm').submit();
                                    }else{
                                        Swal.fire({
                                            title: "Are you sure?",
                                            html: "Are you sure regarding the <b>Desired Load Number</b> option? This is a one-time action and cannot be updated later.",
                                            icon: "warning",
                                            showCancelButton: true,
                                            confirmButtonColor: "#3085d6",
                                            cancelButtonColor: "#d33",
                                            confirmButtonText: "&nbsp;&nbsp; Yes &nbsp;&nbsp;",
                                        }).then((res) => {
                                            if (res.value) {
                                                $('.updateCarrierForm').submit();
                                            }
                                        });
                                    }
                                }else{
                                    $('.updateCarrierForm').submit();
                                }
                            }
                        });
                    }else{
                        $('.updateCarrierForm').submit();
                    }
                });
            @endif

            @if(!is_null($carrier->desired_option))
                @if($carrier->desired_option == "0")
                    $("#textDesiredDiv").removeClass('d-none');
                    $("[name='text_desired_load_number']").attr('required', 'required');

                    $("[name='text_desired_load_number']").val({{$carrier->desired_load_number}}).prop('readonly', true);

                    $("[name='desired_option']").prop('disabled', true);
                    $(".notAllow").css('cursor', 'not-allowed');
                @endif
                @if($carrier->desired_option == "1")
                    $("#textDesiredDiv").addClass('d-none');
                    $("[name='text_desired_load_number']").removeAttr('required', 'required');

                    $("[name='desired_option']").prop('disabled', true);
                    $(".notAllow").css('cursor', 'not-allowed');
                @endif
            @else
                @if(!is_null($carrier->identifier) && is_null($carrier->desired_load_number))
                    $(document).on("click", ".submit-btn", function (e){
                        e.preventDefault();
                        let desiredOption = $("[name='desired_option']:checked").val();
                        let desiredLoadNumber = "";
                        if(desiredOption){
                            desiredLoadNumber = (desiredOption == '0') ? $("[name='text_desired_load_number']").val() : "";
                        }

                        if(desiredOption == '0' || desiredOption == '1'){
                            if(desiredOption == '0' && desiredLoadNumber == ""){
                                $('.updateCarrierForm').submit();
                            }else{
                                Swal.fire({
                                    title: "Are you sure?",
                                    html: "Are you sure regarding the <b>Desired Load Number</b> option? This is a one-time action and cannot be updated later.",
                                    icon: "warning",
                                    showCancelButton: true,
                                    confirmButtonColor: "#3085d6",
                                    cancelButtonColor: "#d33",
                                    confirmButtonText: "&nbsp;&nbsp; Yes &nbsp;&nbsp;",
                                }).then((res) => {
                                    if (res.value) {
                                        $('.updateCarrierForm').submit();
                                    }
                                });
                            }
                        }else{
                            $('.updateCarrierForm').submit();
                        }
                    });
                @endif
            @endif

            $(document).on("keydown", "[name='text_desired_load_number']", function (e){
                if ((e.keyCode >= 48 && e.keyCode <= 57) || (e.keyCode >= 96 && e.keyCode <= 105) || e.keyCode == 8 || e.keyCode == 9 || e.keyCode == 46 || e.keyCode == 37|| e.keyCode == 38|| e.keyCode == 39|| e.keyCode == 40) {
                    return true;
                }
                return false;
            });
            $(document).on("change", ".desiredOption", function (){
                let desiredOption = $(this).val();
                if(desiredOption === '0'){
                    $("#textDesiredDiv").removeClass('d-none');
                    $("[name='text_desired_load_number']").attr('required', 'required');
                }else{
                    $("#textDesiredDiv").addClass('d-none');
                    $("[name='text_desired_load_number']").removeAttr('required', 'required');
                }
                $("[name='text_desired_load_number']").val('');
            });
        });
    </script>
@endsection

@push('after-scripts')
    <script src="{{ asset('theme/js/trimble.js') }}"></script>
@endpush
