@extends($companyAdminTheme)

@section('title')
    Carrier Show
@endsection

@section('style')
    <style type="text/css">
    	h5 {
    		font-size: 18px;
    	}
    </style>
@endsection

@section('content')
    <div class="row">
        <div class="col-lg-6">
            <div class="white-box mb-4 generalAccount">
                <h4 class="box-title">General Information</h4>
                <div class="box-padding">
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Name</label>
                                <h5>{{ $carrier->name }}</h5>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group m-0">
                                <label>MC Number</label>
                                <h5>{{ $carrier->mc_number }}</h5>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Address</label>
                                <h5>{{ $carrier->address }}</h5>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Address 2</label>
                                <h5>{{ $carrier->address_2 }}</h5>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>City</label>
                                <h5>{{ $carrier->city }}</h5>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>State</label>
                                <h5>{{ $carrier->state }}</h5>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Zip</label>
                                <h5>{{ $carrier->zip }}</h5>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12">
            <div class="white-box mb-4 generalAccount">
                <h4 class="box-title">Contact Information</h4>
                <div class="box-padding">
                    <div class="row">
                        <div class="col-md-2">
                            <div class="form-group m-0">
                                <label>Department</label>
                            </div>
                        </div>
                        <div class="col-md-2">
                            <div class="form-group m-0">
                                <label>Name</label>
                            </div>
                        </div>
                        <div class="col-md-2">
                            <div class="form-group m-0">
                                <label>Phone Number</label>
                            </div>
                        </div>
                        <div class="col-md-2">
                            <div class="form-group m-0">
                                <label>Ext</label>
                            </div>
                        </div>
                        <div class="col-md-2">
                            <div class="form-group m-0">
                                <label>Email</label>
                            </div>
                        </div>
                    </div>
                    <div class="add-more-section">
                        @if (count($carrier->carrier_contacts))
                            @foreach($carrier->carrier_contacts as $key => $contact)
                                <div class="row add-more">
                                    <div class="col-md-2">
                                        <div class="form-group">
                                            <h5>{{ $contact->department ?? '-' }}</h5>
                                        </div>
                                    </div>
                                    <div class="col-md-2">
                                        <div class="form-group">
                                            <h5>{{ $contact->name }}</h5>
                                        </div>
                                    </div>
                                    <div class="col-md-2">
                                        <div class="form-group">
                                            @if ($contact->phone_number)
                                                <a href="tel:{{ $contact->phone_number }}" class="mt-0 text-primary">{{ $contact->phone_number }}</a>
                                            @else
                                                -
                                            @endif
                                        </div>
                                    </div>
                                    <div class="col-md-2">
                                        <div class="form-group">
                                            <h5>{{ $contact->ext ?? '-' }}</h5>
                                        </div>
                                    </div>
                                    <div class="col-md-2">
                                        <div class="form-group">
                                            <h5>{{ $contact->email ?? '-' }}</h5>
                                        </div>
                                    </div>
                                </div>
                            @endforeach
                        @endif
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection