@foreach($complianceList as $listViewData)
    @if($listViewData['isActive'])
    <div class="col-xxl-auto col-lg-6 list-item {{($listViewData['isDraggable'] == '0' || is_null($listViewData['id'])) ? 'fixed' : ''}}" data-id="{{$listViewData['id']}}" data-index="{{$listViewData['displayNo']}}">
        <div class="compliance-base-box">
            <div>
                <div class="row align-items-center">
                    <div class="col-sm-7 pr-0">
                        <h3 title="{{$listViewData['widget_name']}} - {{sprintf("%02d", $listViewData['dataCount'])}}">{{$listViewData['widget_name']}} - {{sprintf("%02d", $listViewData['dataCount'])}}</h3>
                        <div class="form-group border-none mb-0">
                            <select class="form-select select-range-dd listRange" aria-label="Default select example">
                                @foreach($rangeArr as $range => $rangeName)
                                    <option value="{{$range}}" {{($range == $listViewData['range']) ? 'selected' : ''}}>{{$rangeName}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="col-sm-5">
                        <div class="d-flex justify-content-sm-end mt-sm-0 mt-3">
                            <a href="{{ route('company.admin.compliance.report', ['index' => $listViewData['displayNo']]) }}" class="btn btn-blue viewAllUrl" target="_blank">View all</a>
                            <a href="javascript:void(0);" class="ml-3 drag {{($listViewData['isDraggable'] == '0' || is_null($listViewData['id'])) ? 'd-none' : ''}}"> <img src="{{ asset('theme/images/drag-drop-icon.png') }}" class="img-fluid" alt=""></a>
                        </div>
                    </div>
                </div>
            </div>
            <div class="table-responsive">
                <table class="table">
                    <thead>
                    <tr>
                        @foreach($listViewData['columns'] as $columnName)
                            <th>{{$columnName}}</th>
                        @endforeach
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($listViewData['data'] as $data)
                        <tr>
                            @foreach(array_keys($listViewData['columns']) as $dbColumnName)
                                <td>{{(isset($data[$dbColumnName])) ? $data[$dbColumnName] : '-'}}</td>
                            @endforeach
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    @endif
@endforeach
