@foreach($complianceList as $listViewData)
    @if($listViewData['isActive'])
        <div class="compliance-dashboard-report-tbox list-item {{(!is_null($displayListNo)) ? (($displayListNo != $listViewData['displayNo']) ? 'd-none' : '') : ''}}" data-id="{{$listViewData['id']}}" data-index="{{$listViewData['displayNo']}}" data-name="{{$listViewData['widget_name']}}" data-is-draggable="{{$listViewData['isDraggable']}}" data-is-active="{{$listViewData['isActive']}}">
            <div class="row rangeDiv">
                <div class="col-6">
                    <h3>{{$listViewData['widget_name']}} - {{sprintf("%02d", $listViewData['dataCount'])}}</h3>
                </div>
                <div class="col-6 text-right">
                    <h6 class="range-label d-none">{{$rangeArr[$listViewData['range']] ?? ''}}</h6>
                    <div class="form-group mb-0 border-none">
                        <select class="form-select select-range-dd listRange" aria-label="Default select example">
                            @foreach($rangeArr as $range => $rangeName)
                                <option value="{{$range}}" {{($range == $listViewData['range']) ? 'selected' : ''}}>{{$rangeName}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
            </div>
            <div class="table-responsive">
                <table class="table table-borderless mt-0">
                    <thead>
                        <tr>
                            @foreach($listViewData['columns'] as $columnName)
                                <th width="{{count($listViewData['columns'])*50}}">{{$columnName}}</th>
                            @endforeach
                        </tr>
                    </thead>
                    <tbody>
                    @forelse($listViewData['data'] as $data)
                        <tr>
                            @foreach(array_keys($listViewData['columns']) as $dbColumnName)
                                <td>{{(isset($data[$dbColumnName])) ? $data[$dbColumnName] : '-'}}</td>
                            @endforeach
                        </tr>
                    @empty
                        <tr>
                            <td colspan="{{count($listViewData['columns'])}}" class="text-center text-danger" style="padding: 15px 0 !important;">No record found</td>
                        </tr>
                    @endforelse
                    </tbody>
                </table>
            </div>
        </div>
    @endif
@endforeach
