@extends($companyAdminTheme)

@section('title')
    Compliance Dashboard
@endsection

@section('style')
    <link rel="stylesheet" href="{{ asset('theme/css/select2.min.css') }}">
    <style>
        .topbar-visible .main-wrapper.ngd-new, .topbar-visible .main-wrapper.ngd-wrapper {
            margin-top: 150px !important;
        }
        .dropdown.dropdown-blue-theme .dropdown-menu ul {
            max-height: 100% !important;
        }
        .dropdown.dropdown-blue-theme .dropdown-menu .dropdown-body {
            padding: 3px 30px 11px !important;
        }
        .dropleft .dropdown-menu {
            top: 48px !important;
        }
        .compliance-base-navbar .navbar-nav .nav-item .dropdown-menu, .compliance-base-navbar .dropdown-menu {
            right: -8px !important;
            top: 52px !important;
        }
        .custom-footer-padding {
            padding: 18px 30px !important;
        }
        .dropdown.dropdown-blue-theme .dropdown-menu ul li.fixed::before {
            background-image: none !important;
        }
        .drag-drop {
            cursor: move !important;
        }
        .fixed {
            cursor: default !important;
        }
        .drag {
            cursor: move !important;
        }
        .select2-container .select2-dropdown .select2-results .select2-results__options::-webkit-scrollbar {
            width: 0 !important;
        }
    </style>
@endsection

@section('content')
<div class="row">
    <div class="col-12">
        <div class="dropdown dropdown-blue-theme btn-widget dropleft float-right">
            <a class="btn btn-blue mb-1 mb-sm-2 dropdown-toggle" href="javascript:void(0);" role="button" data-toggle="dropdown" aria-expanded="false">
                Add Widget
            </a>
            <form class="dropdown-menu p-0">
                <div class="arrow">
                    <div class="dropdown-hedding">
                        <div>
                            <h6 class="">Select Widgets</h6>
                            <span>Select Up To 5</span>
                        </div>
                    </div>
                    <div class="dropdown-body">
                        @if(!empty($defaultWidgets) || !empty($complianceWidgets))
                        <ul id="counterSortable">
                            @if(!empty($complianceWidgets))
                                @foreach($complianceWidgets as $widgets)
                                    <li class="widgets-item drag-drop" data-item="{{$widgets['range']}}" data-index="{{$widgets['display_no']}}" data-name="{{$widgets['widget_name']}}">
                                        <div class="d-flex align-items-center justify-content-between">
                                            <div class="form-check">
                                                <input class="form-check-input" type="checkbox" id="chk_{{$widgets['range']}}" value="1" {{($widgets['isActive'] == '1') ? 'checked' : ''}}>
                                                <label class="form-check-label" for="chk_{{$widgets['range']}}">{{$widgets['widget_name']}}</label>
                                            </div>
                                            <img src="{{ asset($widgets['icon']) }}" class="img-fluid float-right" alt="">
                                        </div>
                                    </li>
                                @endforeach
                            @else
                                @foreach($defaultWidgets as $widgets)
                                    <li class="widgets-item drag-drop" data-item="{{$widgets['range']}}" data-index="{{$widgets['display_no']}}" data-name="{{$widgets['widget_name']}}">
                                        <div class="d-flex align-items-center justify-content-between">
                                            <div class="form-check">
                                                <input class="form-check-input" type="checkbox" id="chk_{{$widgets['range']}}" value="1" {{($widgets['isActive'] == '1') ? 'checked' : ''}}>
                                                <label class="form-check-label" for="chk_{{$widgets['range']}}">{{$widgets['widget_name']}}</label>
                                            </div>
                                            <img src="{{ asset($widgets['icon']) }}" class="img-fluid float-right" alt="">
                                        </div>
                                    </li>
                                @endforeach
                            @endif
                        </ul>
                        @else
                            <h5 class="m-0 mt-3 text-center text-black font-weight-bold">No found widgets</h5>
                        @endif
                    </div>
                </div>
                <hr class="dropdown-divider">
                <div class="dropdown-footer d-sm-flex justify-content-between pt-3">
                    <button type="button" class="btn btn-outline-blue btn-cancel">Cancel</button>
                    @if(!empty($defaultWidgets) || !empty($complianceWidgets))
                        <button type="button" class="btn btn-blue btn-filter updateCounterFilter">Filter Selected</button>
                    @endif
                </div>
            </form>
        </div>
    </div>
    <div class="col-12 counterDiv">
        <div class="grid-container" id="complianceCounterDiv">
            @if(!empty($complianceWidgets))
                @foreach($complianceWidgets as $widgets)
                    @if($widgets['isActive'] == '1')
                        <div class="grid-item">
                            <div class="card-box">
                                <div class="row align-items-xl-center">
                                    <div class="col-xl-8 col-7">
                                        <h2>{{($widgets['count'] < 10) ? sprintf("%02d", $widgets['count']) : $widgets['count']}}</h2>
                                        <h5>{{$widgets['widget_name']}}</h5>
                                    </div>
                                    <div class="col-xl-4 col-5 pl-0">
                                        <img src="{{ asset($widgets['icon']) }}" class="img-fluid" alt="">
                                    </div>
                                </div>
                            </div>
                        </div>
                    @endif
                @endforeach
            @else
                @foreach($defaultWidgets as $widgets)
                    @if($loop->iteration > 5)
                        @break
                    @endif
                        <div class="grid-item">
                            <div class="card-box">
                                <div class="row align-items-xl-center">
                                    <div class="col-xl-8 col-7">
                                        <h2>{{($widgets['count'] < 10) ? sprintf("%02d", $widgets['count']) : $widgets['count']}}</h2>
                                        <h5>{{$widgets['widget_name']}}</h5>
                                    </div>
                                    <div class="col-xl-4 col-5 pl-0">
                                        <img src="{{ asset($widgets['icon']) }}" class="img-fluid" alt="">
                                    </div>
                                </div>
                            </div>
                        </div>
                @endforeach
            @endif
        </div>
    </div>
    <nav class="navbar navbar-expand-lg compliance-base-navbar w-100 mt-3 mb-3">
        <div class=" navbar-collapse" id="navbarSupportedContent">
            <div class="form-inline  my-0">
                <a href="{{ route('company.admin.compliance.report') }}" class="nav-link" target="_blank">View All</a>
            </div>
            <ul class="navbar-nav ml-sm-auto">
                <li class="nav-item">
                    <div class="self-dispatch-group">
                        <div class="custom-control drag-drop-switch drag-drop-check">
                            <input type="checkbox" class="custom-control-input" id="isDraggable" value="1" {{($isDraggable == '1') ? 'checked' : ''}}>
                            <label class="custom-control-label" for="isDraggable"></label>Drag
                        </div>
                    </div>
                </li>
                <li class="nav-item compliance-filter">
                    <div class="dropdown dropdown-blue-theme Filter-dd float-right">
                        <a class="nav-link  dropdown-toggle" href="javascript:void(0);" data-toggle="dropdown" aria-expanded="false">
                            Filter
                        </a>
                        <form class="dropdown-menu p-0" style="min-width: 382px;">
                            <div class="arrow">
                                <div class="dropdown-hedding">
                                    <h6 class="">Select Filter</h6>
                                </div>
                                <div class="dropdown-body">
                                    @if(count(getCarrierList()) > 0 || count(getTerminalList()) > 0 || count(getTeamList()) > 0 || count(getTeamHeadListByCompany(auth()->guard('company-admin')->user()->company_id)) > 0 || count(getTrailerTypeList()) > 0)
                                        <ul>
                                            <li>
                                                <div class="d-flex align-items-center">
                                                    <div class="form-check all-check">
                                                        <input class="form-check-input" type="checkbox" id="select_all_filter" value="1">
                                                        <label class="form-check-label" for="select_all_filter">Select All</label>
                                                    </div>
                                                </div>
                                            </li>
                                            {{-- All Carrier Dropdown --}}
                                            @if(count(getCarrierList()) > 0)
                                            <li class="pl-2">
                                                <div>
                                                    <div class="form-check">
                                                        <input class="form-check-input chkFilter" type="checkbox" id="select_all_carrier" value="1">
                                                        <label class="form-check-label" for="select_all_carrier">All Carrier</label>
                                                        <img src="{{ asset('theme/images/compliance-truck.svg') }}" class="img-fluid ml-2" width="11%" alt="">
                                                        <a data-toggle="collapse" href="#collapseCarrier" role="button" aria-expanded="false" aria-controls="collapseCarrier">
                                                            <i class="fa fa-sort-desc" aria-hidden="true"></i>
                                                        </a>
                                                    </div>
                                                    <div class="collapse show" id="collapseCarrier">
                                                        <div class="card border-none">
                                                            <ul>
                                                                @foreach(getCarrierList() as $carrierId => $carrierName)
                                                                    <li>
                                                                        <div class="form-check">
                                                                            <input class="form-check-input chkFilter" type="checkbox" id="carrier_{{$carrierId}}" data-id="{{$carrierId}}" value="{{$carrierId}}" {{(isset($filters['carrierFilter']) && in_array($carrierId, $filters['carrierFilter']) ? 'checked' : '')}}>
                                                                            <label class="form-check-label" for="carrier_{{$carrierId}}">{{$carrierName}}</label>
                                                                        </div>
                                                                    </li>
                                                                @endforeach
                                                            </ul>
                                                        </div>
                                                    </div>
                                                </div>
                                            </li>
                                            @endif

                                            {{-- All Terminals Dropdown --}}
                                            @if(count(getTerminalList()) > 0)
                                                <li class="pl-2">
                                                    <div>
                                                        <div class="form-check">
                                                            <input class="form-check-input chkFilter" type="checkbox" id="select_all_terminal" value="1">
                                                            <label class="form-check-label" for="select_all_terminal">All Terminals</label>
                                                            <img src="{{ asset('theme/images/compliance-office.svg') }}" class="img-fluid ml-2" width="11%" alt="">
                                                            <a data-toggle="collapse" href="#collapseTerminal" role="button" aria-expanded="false" aria-controls="collapseTerminal">
                                                                <i class="fa fa-sort-desc" aria-hidden="true"></i>
                                                            </a>
                                                        </div>
                                                        {{--<div class="collapse show" id="collapseTerminal">--}}
                                                        <div class="collapse" id="collapseTerminal">
                                                            <div class="card border-none">
                                                                <ul>
                                                                    @foreach(getTerminalList() as $terminalId => $terminalName)
                                                                        <li>
                                                                            <div class="form-check">
                                                                                <input class="form-check-input chkFilter" type="checkbox" id="terminal_{{$terminalId}}" data-id="{{$terminalId}}" value="{{$terminalId}}" {{(isset($filters['terminalFilter']) && in_array($terminalId, $filters['terminalFilter']) ? 'checked' : '')}}>
                                                                                <label class="form-check-label" for="terminal_{{$terminalId}}">{{$terminalName}}</label>
                                                                            </div>
                                                                        </li>
                                                                    @endforeach
                                                                </ul>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </li>
                                            @endif

                                            {{-- All Team Dropdown --}}
                                            @if(count(getTeamList()) > 0)
                                            <li class="pl-2">
                                                <div>
                                                    <div class="form-check">
                                                        <input class="form-check-input chkFilter" type="checkbox" id="select_all_team" value="1">
                                                        <label class="form-check-label" for="select_all_team">All Teams</label>
                                                        <img src="{{ asset('theme/images/compliance-team.svg') }}" class="img-fluid ml-2" width="11%" alt="">
                                                        <a data-toggle="collapse" href="#collapseTeam" role="button" aria-expanded="false" aria-controls="collapseTeam">
                                                            <i class="fa fa-sort-desc" aria-hidden="true"></i>
                                                        </a>
                                                    </div>
                                                    {{--<div class="collapse show" id="collapseTeam">--}}
                                                    <div class="collapse" id="collapseTeam">
                                                        <div class="card border-none">
                                                            <ul>
                                                                @foreach(getTeamList() as $teamId => $teamName)
                                                                    <li>
                                                                        <div class="form-check">
                                                                            <input class="form-check-input chkFilter" type="checkbox" id="team_{{$teamId}}" data-id="{{$teamId}}" value="{{$teamId}}" {{(isset($filters['teamFilter']) && in_array($teamId, $filters['teamFilter']) ? 'checked' : '')}}>
                                                                            <label class="form-check-label" for="team_{{$teamId}}">{{$teamName}}</label>
                                                                        </div>
                                                                    </li>
                                                                @endforeach
                                                            </ul>
                                                        </div>
                                                    </div>
                                                </div>
                                            </li>
                                            @endif

                                            {{-- All Dispatcher Dropdown --}}
                                            @if(count(getTeamHeadListByCompany(auth()->guard('company-admin')->user()->company_id)) > 0)
                                                <li class="pl-2">
                                                    <div>
                                                        <div class="form-check">
                                                            <input class="form-check-input chkFilter" type="checkbox" id="select_all_dispatcher" value="1">
                                                            <label class="form-check-label" for="select_all_dispatcher">All Dispatcher</label>
                                                            <img src="{{ asset('theme/images/compliance-headset.svg') }}" class="img-fluid ml-2" width="8%" alt="">
                                                            <a data-toggle="collapse" href="#collapseDispatcher" role="button" aria-expanded="false" aria-controls="collapseDispatcher">
                                                                <i class="fa fa-sort-desc" aria-hidden="true"></i>
                                                            </a>
                                                        </div>
                                                        {{--<div class="collapse show" id="collapseDispatcher">--}}
                                                        <div class="collapse" id="collapseDispatcher">
                                                            <div class="card border-none">
                                                                <ul>
                                                                    @foreach(getTeamHeadListByCompany(auth()->guard('company-admin')->user()->company_id) as $dispatcherId => $dispatcherName)
                                                                        <li>
                                                                            <div class="form-check">
                                                                                <input class="form-check-input chkFilter" type="checkbox" id="dispatcher_{{$dispatcherId}}" data-id="{{$dispatcherId}}" value="{{$dispatcherId}}" {{(isset($filters['dispatcherFilter']) && in_array($dispatcherId, $filters['dispatcherFilter']) ? 'checked' : '')}}>
                                                                                <label class="form-check-label" for="dispatcher_{{$dispatcherId}}">{{$dispatcherName}}</label>
                                                                            </div>
                                                                        </li>
                                                                    @endforeach
                                                                </ul>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </li>
                                            @endif

                                            {{-- All Equipment Dropdown --}}
                                            @if(count(getTrailerTypeList()) > 0)
                                                <li class="pl-2">
                                                    <div>
                                                        <div class="form-check">
                                                            <input class="form-check-input chkFilter" type="checkbox" id="select_all_equipment" value="1">
                                                            <label class="form-check-label" for="select_all_equipment">All Equipment</label>
                                                            <img src="{{ asset('theme/images/compliance-equipment.svg') }}" class="img-fluid ml-2" width="10%" alt="">
                                                            <a data-toggle="collapse" href="#collapseEquipment" role="button" aria-expanded="false" aria-controls="collapseEquipment">
                                                                <i class="fa fa-sort-desc" aria-hidden="true"></i>
                                                            </a>
                                                        </div>
                                                        {{--<div class="collapse show" id="collapseEquipment">--}}
                                                        <div class="collapse" id="collapseEquipment">
                                                            <div class="card border-none">
                                                                <ul>
                                                                    @foreach(getTrailerTypeList() as $equipmentId => $equipmentName)
                                                                        <li>
                                                                            <div class="form-check">
                                                                                <input class="form-check-input chkFilter" type="checkbox" id="equipment_{{$equipmentId}}" data-id="{{$equipmentId}}" value="{{$equipmentId}}" {{(isset($filters['equipmentFilter']) && in_array($equipmentId, $filters['equipmentFilter']) ? 'checked' : '')}}>
                                                                                <label class="form-check-label" for="equipment_{{$equipmentId}}">{{$equipmentName}}</label>
                                                                            </div>
                                                                        </li>
                                                                    @endforeach
                                                                </ul>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </li>
                                            @endif
                                        </ul>
                                    @else
                                        <h5 class="m-0 mt-3 text-center text-black font-weight-bold">No data found</h5>
                                    @endif
                                </div>
                            </div>
                            {{--<hr class="dropdown-divider">--}}
                            <div class="dropdown-footer d-none justify-content-between pt-3">
                                <button type="button" class="btn btn-outline-blue btn-cancel">Cancel</button>
                                @if(count(getCarrierList()) > 0 || count(getTerminalList()) > 0 || count(getTeamList()) > 0 || count(getTeamHeadListByCompany(auth()->guard('company-admin')->user()->company_id)) > 0 || count(getTrailerTypeList()) > 0)
                                    <button type="button" class="btn btn-blue btn-filter">Filter Selected</button>
                                @endif
                            </div>
                        </form>
                    </div>
                </li>
                <li class="nav-item">
                    <div class="dropdown dropdown-blue-theme float-right">
                        <a class="nav-link display-options-imgdropdown-toggle" href="javascript:void(0);" data-toggle="dropdown" aria-expanded="false">
                            <img src="{{ asset('theme/images/filter.svg') }}" class="img-fluid" alt="">
                        </a>
                        <form class="dropdown-menu p-0">
                            <div class="arrow">
                                <div class="dropdown-hedding">
                                    <h6 class="">Select Display Options</h6>
                                </div>
                                <div class="dropdown-body" style="width: 415px;">
                                    <ul id="listingOptionSortable">
                                        {!! $listDisplayOption !!}
                                    </ul>
                                </div>
                            </div>
                            {{--<hr class="dropdown-divider">--}}
                            <div class="dropdown-footer d-none justify-content-between custom-footer-padding pt-3">
                                <button type="button" class="btn btn-outline-blue">Cancel</button>
                                <button type="button" class="btn btn-blue updateListDisplayOption">Confirm Selection</button>
                            </div>
                        </form>
                    </div>
                </li>
            </ul>
        </div>
    </nav>
    <div class="col-12 px-xl-custom">
        <div class="row w-100 m-0" id="listingSortable">
            {!! $listViews !!}
        </div>
    </div>
</div>
@endsection

@section('script')
    <script src="{{ asset('theme/js/select2.full.min.js') }}"></script>
    <script type="text/javascript">
        $(".select-range-dop").select2({placeholder: "", allowClear: false, minimumResultsForSearch: -1, width: 'auto'});
        $(".select-range-dop~.select2").click(function() {
            $(".select2-dropdown--below").addClass("select2-dd-range");
        });

        $(".select-range-dd").select2({placeholder: "", allowClear: false, minimumResultsForSearch: -1, width: 'auto'});
        $(".select-range-dd~.select2").click(function() {
            $(".select2-dropdown--below").addClass("select2-dd-range");
        });
    </script>

    <script type="text/javascript">
        function reArrangeIndexNo(type){
            var index = 1; let viewAllUrl = '{!! route('company.admin.compliance.report') !!}';

            if(type == 'displayOption'){
                $('#listingOptionSortable .list-options').each(function (key, val){
                    var that = $(this);
                    that.attr('data-index', index);
                    index++;
                });
                $(".updateListDisplayOption").click();
            }else if(type == 'listView'){
                $('#listingSortable .list-item').each(function (key, val){
                    var that = $(this);
                    that.attr('data-index', index);
                    that.find('.viewAllUrl').attr('href', viewAllUrl + '/' + index);
                    index++;
                });
            }else{
                $('#counterSortable .widgets-item').each(function (key, val){
                    var that = $(this);
                    that.attr('data-index', index);
                    index++;
                });
            }
        }

        function updateDisplayOption()
        {
            let dataArr = [];
            $('#listingSortable .list-item').each(function (key, val){
                let that = $(this);
                let id = that.attr('data-id');
                let index = that.attr('data-index');
                dataArr.push({'id': id, 'displayNo': index});
            });

            $.ajax({
                type: 'POST',
                url: '{!! route("company.admin.compliance.list.option") !!}',
                data: { dataArray: JSON.stringify(dataArr) },
                dataType: 'json',
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
            }).done(function(response) {
                if(response.success){
                    let displayOptionData = response.displayOptionData;
                    $("#listingOptionSortable").html("").html(displayOptionData);

                    $(".select-range-dop").select2({placeholder: "", allowClear: false, minimumResultsForSearch: -1, width: 'auto'});

                    if($("#listingOptionSortable .form-check-input").not(':first').filter(':checked').length === $("#listingOptionSortable .form-check-input").not(':first').length){
                        $("#select_all_display_option").prop('checked', true);
                        $("#select_all_display_option").parent().removeClass('select-all-dash');
                    }else{
                        $("#select_all_display_option").prop('checked', false);

                        if($("#listingOptionSortable .form-check-input").not(':first').filter(':checked').length > 0){
                            $("#select_all_display_option").parent().addClass('select-all-dash');
                        }else{
                            $("#select_all_display_option").parent().removeClass('select-all-dash');
                        }
                    }

                    toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                }else{
                    toastr.error(response.message, {
                        timeOut: 5000
                    });
                }
            });
        }

        $(function (){
            //Counter Widgets
            $('#counterSortable').sortable({
                items: '.widgets-item:not(.fixed)',
                axis: "y",
                cursor: 'move',
                placeholder: "movable-placeholder", //placeholder: "ui-state-highlight",
                opacity: 0.7,
                revert: 300,
                delay: 150,
                disableSelection: true,
                start: function(e, ui) {
                    ui.placeholder.height(ui.helper.outerHeight());
                },
                stop: function(e, ui) {
                },
                update:function(e, ui) {
                    reArrangeIndexNo('counter');
                }
            });

            //Filter
            $(document).on("change", "#select_all_filter", function (){
                if($(this).is(':checked')){
                    $('[id^="select_all_carrier"],[id^="carrier_"]').prop('checked', true);
                    $('[id^="select_all_terminal"],[id^="terminal_"]').prop('checked', true);
                    $('[id^="select_all_team"],[id^="team_"]').prop('checked', true);
                    $('[id^="select_all_dispatcher"],[id^="dispatcher_"]').prop('checked', true);
                    $('[id^="select_all_equipment"],[id^="equipment_"]').prop('checked', true);
                    $(this).parent().removeClass('filter-select-all-dash');
                    $('.Filter-dd [id^="select_all_"]').each(function (){
                        $(this).parent().removeClass('select-all-dash')
                    });
                }else{
                    $('[id^="select_all_carrier"],[id^="carrier_"]').prop('checked', false);
                    $('[id^="select_all_terminal"],[id^="terminal_"]').prop('checked', false);
                    $('[id^="select_all_team"],[id^="team_"]').prop('checked', false);
                    $('[id^="select_all_dispatcher"],[id^="dispatcher_"]').prop('checked', false);
                    $('[id^="select_all_equipment"],[id^="equipment_"]').prop('checked', false);
                }
                $(".updateListDisplayOption").click();
            });
            $(document).on("change", ".chkFilter", function (){
                setTimeout(function(){
                    let totalAllIsChecked = ($("[id^='carrier_'],[id^='terminal_'],[id^='team_'],[id^='dispatcher_'],[id^='equipment_']").length  + $("#select_all_carrier,#select_all_terminal,#select_all_team,#select_all_dispatcher,#select_all_equipment").length);

                    let isChecked = ($("[id^='carrier_'],[id^='terminal_'],[id^='team_'],[id^='dispatcher_'],[id^='equipment_']").filter(':checked').length  + $("#select_all_carrier,#select_all_terminal,#select_all_team,#select_all_dispatcher,#select_all_equipment").filter(':checked').length);

                    if(isChecked > 0){
                        if(totalAllIsChecked == isChecked){
                            $("#select_all_filter").prop('checked', true);
                            $("#select_all_filter").parent().removeClass('filter-select-all-dash');
                        }else{
                            $("#select_all_filter").prop('checked', false);
                            $("#select_all_filter").parent().addClass('filter-select-all-dash');
                        }
                    }else{
                        $("#select_all_filter").parent().removeClass('filter-select-all-dash');
                    }
                    $(".updateListDisplayOption").click();
                }, 10);
            });

            //Carrier Filter
            $(document).on("change", "#select_all_carrier", function (){
                if($(this).is(':checked')){
                    $('[id^="carrier_"]').prop('checked', true);
                    $(this).parent().removeClass('select-all-dash');
                }else{
                    $('[id^="carrier_"]').prop('checked', false);
                }
            });
            $(document).on("change", "[id^='carrier_']", function (){
                if($("[id^='carrier_']").filter(':checked').length === $("[id^='carrier_']").length){
                    $("#select_all_carrier").prop('checked', true);
                    $("#select_all_carrier").parent().removeClass('select-all-dash');
                }else{
                    $("#select_all_carrier").prop('checked', false);

                    if($("[id^='carrier_']").filter(':checked').length > 0){
                        $("#select_all_carrier").parent().addClass('select-all-dash');
                    }else{
                        $("#select_all_carrier").parent().removeClass('select-all-dash');
                    }
                }
            });

            // Team Filter
            $(document).on("change", "#select_all_terminal", function (){
                if($(this).is(':checked')){
                    $('[id^="terminal_"]').prop('checked', true);
                    $(this).parent().removeClass('select-all-dash');
                }else{
                    $('[id^="terminal_"]').prop('checked', false);
                }
            });
            $(document).on("change", "[id^='terminal_']", function() {
                if ($("[id^='terminal_']").filter(':checked').length === $("[id^='terminal_']").length) {
                    $("#select_all_terminal").prop('checked', true);
                    $("#select_all_terminal").parent().removeClass('select-all-dash');
                } else {
                    $("#select_all_terminal").prop('checked', false);

                    if($("[id^='terminal_']").filter(':checked').length > 0){
                        $("#select_all_terminal").parent().addClass('select-all-dash');
                    }else{
                        $("#select_all_terminal").parent().removeClass('select-all-dash');
                    }
                }
            });

            // Team Filter
            $(document).on("change", "#select_all_team", function (){
                if($(this).is(':checked')){
                    $('[id^="team_"]').prop('checked', true);
                    $(this).parent().removeClass('select-all-dash');
                }else{
                    $('[id^="team_"]').prop('checked', false);
                }
            });
            $(document).on("change", "[id^='team_']", function() {
                if ($("[id^='team_']").filter(':checked').length === $("[id^='team_']").length) {
                    $("#select_all_team").prop('checked', true);
                    $("#select_all_team").parent().removeClass('select-all-dash');
                } else {
                    $("#select_all_team").prop('checked', false);

                    if($("[id^='team_']").filter(':checked').length > 0){
                        $("#select_all_team").parent().addClass('select-all-dash');
                    }else{
                        $("#select_all_team").parent().removeClass('select-all-dash');
                    }
                }
            });

            // Dispatcher Filter
            $(document).on("change", "#select_all_dispatcher", function (){
                if($(this).is(':checked')){
                    $('[id^="dispatcher_"]').prop('checked', true);
                    $(this).parent().removeClass('select-all-dash');
                }else{
                    $('[id^="dispatcher_"]').prop('checked', false);
                }
            });
            $(document).on("change", "[id^='dispatcher_']", function (){
                if($("[id^='dispatcher_']").filter(':checked').length === $("[id^='dispatcher_']").length){
                    $("#select_all_dispatcher").prop('checked', true);
                    $("#select_all_dispatcher").parent().removeClass('select-all-dash');
                }else{
                    $("#select_all_dispatcher").prop('checked', false);

                    if($("[id^='dispatcher_']").filter(':checked').length > 0){
                        $("#select_all_dispatcher").parent().addClass('select-all-dash');
                    }else{
                        $("#select_all_dispatcher").parent().removeClass('select-all-dash');
                    }
                }
            });

            // Equipment Filter
            $(document).on("change", "#select_all_equipment", function (){
                if($(this).is(':checked')){
                    $('[id^="equipment_"]').prop('checked', true);
                    $(this).parent().removeClass('select-all-dash');
                }else{
                    $('[id^="equipment_"]').prop('checked', false);
                }
            });
            $(document).on("change", "[id^='equipment_']", function (){
                if($("[id^='equipment_']").filter(':checked').length === $("[id^='equipment_']").length){
                    $("#select_all_equipment").prop('checked', true);
                    $("#select_all_equipment").parent().removeClass('select-all-dash');
                }else{
                    $("#select_all_equipment").prop('checked', false);

                    if($("[id^='equipment_']").filter(':checked').length > 0){
                        $("#select_all_equipment").parent().addClass('select-all-dash');
                    }else{
                        $("#select_all_equipment").parent().removeClass('select-all-dash');
                    }
                }
            });

            $(document).on("click", ".btn-filter, .btn-cancel", function (){
                $(this).parent().parent().parent().find('a').trigger('click');
            });

            $(document).on("click", ".updateCounterFilter", function (){
                let dataArr = {}; let chkChecked = 0;
                $('#counterSortable .widgets-item').each(function (key, val){
                    let that = $(this);
                    let item = that.attr('data-item');
                    let index = that.attr('data-index');
                    let itemName = that.attr('data-name');
                    let isActive = that.find('.form-check-input').is(':checked');
                    if(isActive){
                        chkChecked++;
                    }
                    dataArr[item] = {'displayNo': index, 'itemName': itemName, 'isActive': (isActive) ? '1' : '0' };
                });

                if(chkChecked < 5 || chkChecked > 5){
                    Swal.fire({
                        title: "Error!",
                        html: "<h4>Please select up to 5 widget</h4>",
                        icon: "warning",
                        confirmButtonText: "&nbsp;&nbsp;&nbsp;OK&nbsp;&nbsp;&nbsp;&nbsp;",
                    });
                }else{
                    $.ajax({
                        type: 'POST',
                        url: '{!! route("company.admin.compliance.widget.data") !!}',
                        data: { dataArr: JSON.stringify(dataArr) },
                        dataType: 'json',
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                    }).done(function(response) {
                        if(response.success){
                            let widgetData = response.widgetData;
                            $("#complianceCounterDiv").html("").html(widgetData);
                            toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                        }else{
                            toastr.error(response.message, {
                                timeOut: 5000
                            });
                        }
                    });
                    return false;
                }
            });

            //Listing Widgets
            $('#listingOptionSortable').sortable({
                items: '.list-options:not(.fixed)',
                axis: "y",
                cursor: 'move',
                placeholder: "movable-placeholder", //placeholder: "ui-state-highlight",
                opacity: 0.7,
                revert: 300,
                delay: 150,
                disableSelection: true,
                start: function(e, ui) {
                    ui.placeholder.height(ui.helper.outerHeight());
                },
                stop: function(e, ui) {
                },
                update:function(e, ui) {
                    reArrangeIndexNo('displayOption');
                }
            });

            $('#listingSortable').sortable({
                items: '.list-item:not(.fixed)',
                axis: ['x', 'y'],
                cursor: 'move',
                placeholder: "ui-state-highlight", //placeholder: "movable-placeholder",
                opacity: 0.7,
                revert: 300,
                delay: 150,
                disableSelection: true,
                start: function(e, ui) {
                    ui.placeholder.height(ui.helper.outerHeight());
                },
                stop: function(e, ui) {
                },
                update:function(e, ui) {
                    reArrangeIndexNo('listView');
                    updateDisplayOption();
                }
            });

            $(document).on("change", "#isDraggable", function (){
                let isDraggable = 0;
                if($(this).is(':checked')){
                    isDraggable = 1;
                    $(".list-item, .list-options").removeClass('fixed');
                    $(".drag").removeClass('d-none');
                    $("#listingSortable").sortable("enable");
                    $("#listingOptionSortable").sortable("enable");
                }else{
                    isDraggable = 0;
                    $(".list-item, .list-options").addClass('fixed');
                    $(".drag").addClass('d-none');
                    $("#listingSortable").sortable("disable");
                    $("#listingOptionSortable").sortable("disable");
                }

                if('{{$isDefault}}' == "1"){
                    $(".updateListDisplayOption").click();
                }else{
                    $.ajax({
                        type: 'POST',
                        url: '{!! route("company.admin.compliance.draggable") !!}',
                        data: { isDraggable: isDraggable },
                        dataType: 'json',
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                    }).done(function(response) {
                        if(response.success){
                            toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                        }else{
                            toastr.error(response.message, {
                                timeOut: 5000
                            });
                        }
                    });
                }
            });

            $(document).on("change", "#select_all_display_option", function (){
                if($(this).is(':checked')){
                    $(this).parent().removeClass('select-all-dash');
                    $(this).closest('ul').find('li').not(':first').find('.form-check-input').prop('checked', true);
                    $(".updateListDisplayOption").click();
                }else{
                    $(this).closest('ul').find('li').not(':first').find('.form-check-input').prop('checked', false);
                    $(".updateListDisplayOption").click();
                }
            });

            $(document).ready(function() {
                if($("#listingOptionSortable .form-check-input").not(':first').filter(':checked').length === $("#listingOptionSortable .form-check-input").not(':first').length){
                    $("#select_all_display_option").prop('checked', true);
                    $("#select_all_display_option").parent().removeClass('select-all-dash');
                }else{
                    $("#select_all_display_option").prop('checked', false);

                    if($("#listingOptionSortable .form-check-input").not(':first').filter(':checked').length > 0){
                        $("#select_all_display_option").parent().addClass('select-all-dash');
                    }else{
                        $("#select_all_display_option").parent().removeClass('select-all-dash');
                    }
                }
            });

            $(document).on("change", "#listingOptionSortable .form-check-input", function (){
                if($("#listingOptionSortable .form-check-input").not(':first').filter(':checked').length === $("#listingOptionSortable .form-check-input").not(':first').length){
                    $("#select_all_display_option").prop('checked', true);
                    $("#select_all_display_option").parent().removeClass('select-all-dash');
                }else{
                    $("#select_all_display_option").prop('checked', false);

                    if($("#listingOptionSortable .form-check-input").not(':first').filter(':checked').length > 0){
                        $("#select_all_display_option").parent().addClass('select-all-dash');
                    }else{
                        $("#select_all_display_option").parent().removeClass('select-all-dash');
                    }
                }
            });

            $(document).on("change", ".updateListView", function (){
                $(".updateListDisplayOption").click();
            });

            $(document).on("click", ".updateListDisplayOption", function (){
                let dataArr = []; let filterArr = {};
                let carrierFilter = []; let terminalFilter = []; let teamFilter = [];
                let dispatcherFilter = []; let equipmentFilter = [];

                $('[id^="carrier_"]').filter(':checked').each(function (){ carrierFilter.push($(this).attr('data-id')); });
                $('[id^="terminal_"]').filter(':checked').each(function (){ terminalFilter.push($(this).attr('data-id')); });
                $('[id^="team_"]').filter(':checked').each(function (){ teamFilter.push($(this).attr('data-id')); });
                $('[id^="dispatcher_"]').filter(':checked').each(function (){ dispatcherFilter.push($(this).attr('data-id')); });
                $('[id^="equipment_"]').filter(':checked').each(function (){ equipmentFilter.push($(this).attr('data-id')); });
                Object.assign(filterArr, {'carrierFilter': carrierFilter, 'terminalFilter': terminalFilter, 'teamFilter': teamFilter, 'dispatcherFilter': dispatcherFilter, 'equipmentFilter': equipmentFilter});

                $('#listingOptionSortable .list-options').each(function (key, val){
                    let that = $(this);
                    let id = that.attr('data-id');
                    let index = that.attr('data-index');
                    let listName = that.attr('data-name');
                    let range = that.find('.form-select').find(':selected').val();
                    let isDraggable = $('#isDraggable').is(':checked');
                    let isActive = that.find('.form-check-input').is(':checked');
                    dataArr.push({'id': id, 'displayNo': index, 'listName': listName, 'range': range, 'isDraggable': (isDraggable) ? '1' : '0', 'isActive': ((isActive) ? '1' : '0')});
                });

                $.ajax({
                    type: 'POST',
                    url: '{!! route("company.admin.compliance.list.data") !!}',
                    data: { dataArray: JSON.stringify(dataArr), filterArr: JSON.stringify(filterArr) },
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                }).done(function(response) {
                    if(response.success){
                        let listData = response.listData;
                        let displayOptionData = response.displayOptionData;
                        $("#listingSortable").html("").html(listData);
                        $("#listingOptionSortable").html("").html(displayOptionData);

                        $(".select-range-dd").select2({placeholder: "", allowClear: false, minimumResultsForSearch: -1, width: 'auto'});
                        $(".select-range-dop").select2({placeholder: "", allowClear: false, minimumResultsForSearch: -1, width: 'auto'});

                        if($("#listingOptionSortable .form-check-input").not(':first').filter(':checked').length === $("#listingOptionSortable .form-check-input").not(':first').length){
                            $("#select_all_display_option").prop('checked', true);
                            $("#select_all_display_option").parent().removeClass('select-all-dash');
                        }else{
                            $("#select_all_display_option").prop('checked', false);

                            if($("#listingOptionSortable .form-check-input").not(':first').filter(':checked').length > 0){
                                $("#select_all_display_option").parent().addClass('select-all-dash');
                            }else{
                                $("#select_all_display_option").parent().removeClass('select-all-dash');
                            }
                        }

                        toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                    }else{
                        toastr.error(response.message, {
                            timeOut: 5000
                        });
                    }
                });
            });

            $(document).on("change", ".listRange", function (){
                let selectedRange = $(this).val();
                let listDisplayNo = $(this).parent().parent().parent().parent().parent().parent().attr('data-index');
                $('#listingOptionSortable li[data-index="'+listDisplayNo+'"]').find('.form-select').val(selectedRange).trigger('change');
            });

            @if($isDraggable == '1')
                $("#listingSortable").sortable("enable");
                $("#listingOptionSortable").sortable("enable");
            @else
                $("#listingSortable").sortable("disable");
                $("#listingOptionSortable").sortable("disable");
            @endif

            @if(!empty($filters))
                let carrierFilterCount = '{!! (isset($filters['carrierFilter'])) ? count($filters['carrierFilter']) : 0 !!}';
                let terminalFilterCount = '{!! (isset($filters['terminalFilter'])) ? count($filters['terminalFilter']) : 0 !!}';
                let teamFilterCount = '{!! (isset($filters['teamFilter'])) ? count($filters['teamFilter']) : 0 !!}';
                let dispatcherFilterCount = '{!! (isset($filters['dispatcherFilter'])) ? count($filters['dispatcherFilter']) : 0 !!}';
                let equipmentFilterCount = '{!! (isset($filters['equipmentFilter'])) ? count($filters['equipmentFilter']) : 0 !!}';

                if(carrierFilterCount == $("[id^='carrier_']").length){
                    $("#select_all_carrier").prop('checked', true);
                    $("#select_all_carrier").parent().removeClass('select-all-dash');
                }else{
                    $("#select_all_carrier").prop('checked', false);

                    if($("[id^='carrier_']").filter(':checked').length > 0){
                        $("#select_all_carrier").parent().addClass('select-all-dash');
                    }else{
                        $("#select_all_carrier").parent().removeClass('select-all-dash');
                    }
                }

                if(terminalFilterCount == $("[id^='terminal_']").length){
                    $("#select_all_terminal").prop('checked', true);
                    $("#select_all_terminal").parent().removeClass('select-all-dash');
                }else{
                    $("#select_all_terminal").prop('checked', false);

                    if($("[id^='terminal_']").filter(':checked').length > 0){
                        $("#select_all_terminal").parent().addClass('select-all-dash');
                    }else{
                        $("#select_all_terminal").parent().removeClass('select-all-dash');
                    }
                }

                if(teamFilterCount == $("[id^='team_']").length){
                    $("#select_all_team").prop('checked', true);
                    $("#select_all_team").parent().removeClass('select-all-dash');
                }else{
                    $("#select_all_team").prop('checked', false);

                    if($("[id^='team_']").filter(':checked').length > 0){
                        $("#select_all_team").parent().addClass('select-all-dash');
                    }else{
                        $("#select_all_team").parent().removeClass('select-all-dash');
                    }
                }

                if(dispatcherFilterCount == $("[id^='dispatcher_']").length){
                    $("#select_all_dispatcher").prop('checked', true);
                    $("#select_all_dispatcher").parent().removeClass('select-all-dash');
                }else{
                    $("#select_all_dispatcher").prop('checked', false);

                    if($("[id^='dispatcher_']").filter(':checked').length > 0){
                        $("#select_all_dispatcher").parent().addClass('select-all-dash');
                    }else{
                        $("#select_all_dispatcher").parent().removeClass('select-all-dash');
                    }
                }

                if(equipmentFilterCount == $("[id^='equipment_']").length){
                    $("#select_all_equipment").prop('checked', true);
                    $("#select_all_equipment").parent().removeClass('select-all-dash');
                }else{
                    $("#select_all_equipment").prop('checked', false);

                    if($("[id^='equipment_']").filter(':checked').length > 0){
                        $("#select_all_equipment").parent().addClass('select-all-dash');
                    }else{
                        $("#select_all_equipment").parent().removeClass('select-all-dash');
                    }
                }

                if(carrierFilterCount == $("[id^='carrier_']").length && terminalFilterCount == $("[id^='terminal_']").length && teamFilterCount == $("[id^='team_']").length && dispatcherFilterCount == $("[id^='dispatcher_']").length && equipmentFilterCount == $("[id^='equipment_']").length){
                    $("#select_all_filter").prop('checked', true);
                    $("#select_all_filter").parent().removeClass('filter-select-all-dash');
                }else{
                    $("#select_all_filter").prop('checked', false);
                    $("#select_all_filter").parent().addClass('filter-select-all-dash');
                }
            @endif
        });
    </script>
@endsection
