<div class="shadow">
    <table class="table m-0 table-blueLight table-dishpatchHubSmall">
        <thead>
        <tr>
            <th></th>
            <th>Credit</th>
            <th>MC#</th>
            <th>Broker</th>
            <th>Contact Name</th>
            <th>Phone</th>
            <th>Ship Date</th>
            <th>Origin</th>
            <th>Delivery Date</th>
            <th>Destination</th>
            <th>Extra Stops</th>
            <th>Empty</th>
            <th>Loaded</th>
            <th>Total Miles</th>
            <th>Rate</th>
            <th>CPM</th>
            <th>Trailer Type</th>
            <th></th>
        </tr>
        </thead>
        <tbody>
            @forelse($offers as $offer)
                @php
                    $cpm = '0';
                    if(!is_null($offer)){
                        $finalRate = (!is_null($offer->rate)) ? $offer->rate : '';
                        if(($finalRate != '' && $finalRate > 0) && (isset($offer->loaded_miles) && $offer->loaded_miles != '' && $offer->loaded_miles > 0)) {
                            $cpm = number_format($finalRate/$offer->loaded_miles, 2, '.', ',');
                        }
                    }
                    $Origin = null;
                    if(!is_null($offer->shipper_city)){
                        $Origin .= $offer->shipper_city.', ';
                    }
                    if(!is_null($offer->shipper_state)){
                        $Origin .= $offer->shipper_state;
                    }
                    /*if(!is_null($offer->shipper_zip)){
                        $Origin .= $offer->shipper_zip;
                    }*/

                    $Destination = null;
                    if(!is_null($offer->delivery_city)){
                        $Destination .= $offer->delivery_city.', ';
                    }
                    if(!is_null($offer->delivery_state)){
                        $Destination .= $offer->delivery_state;
                    }
                    /*if(!is_null($offer->delivery_zip)){
                        $Destination .= $offer->delivery_zip;
                    }*/
                @endphp
                <tr>
                    <td>
                        <div class="btnLink-group">
                            <a href="{{ route('company.admin.book.offer', base64Encode($offer->id)) }}" class="btn-link" target="_blank">Book</a>
                            <a href="{{ route('company.admin.book.offer', base64Encode($offer->id)) }}" class="btn-link" target="_blank">View</a>
                        </div>
                    </td>
                    <td>
                        <span class="text-success">{{ $offer->score_ratting ?? '' }}</span>
                    </td>
                    <td>{{ $offer->brokerage_mc ?? '' }}</td>
                    <td>{{ $offer->broker_name ?? '' }}</td>
                    <td>{{ $offer->point_of_contact ?? '' }}</td>
                    <td>{{ $offer->phone ?? '' }}</td>
                    <td>{{ (!is_null($offer->shipper_date_time)) ? \Illuminate\Support\Carbon::parse($offer->shipper_date_time)->timezone(getTimeZone())->format(getTimeLayout()) : '' }}</td>
                    <td>{{ $Origin }}</td>
                    <td>{{ (!is_null($offer->delivery_date_time)) ? \Illuminate\Support\Carbon::parse($offer->delivery_date_time)->timezone(getTimeZone())->format(getTimeLayout()) : '' }}</td>
                    <td>{{ $Destination }}</td>
                    <td>{{ $offer->stops_count ?? '' }}</td>
                    <td>{{ $offer->empty_miles ?? '' }}</td>
                    <td>{{ $offer->loaded_miles ?? '' }}</td>
                    <td>{{ $offer->total_miles ?? '' }}</td>
                    <td>${{ number_format($offer->rate_offered, 2, '.', ',') ?? 0 }}</td>
                    <td>${{ $cpm }}</td>
                    <td>{{ $offer->trailer_type ?? '' }}</td>
                    <td class="offerActionBtn">
                        @if(hasPermission(config('settings.company_admin_modules.load_reservations'),config('settings.permissions.delete')))
                            <a href="javascript:void(0);" class="btn btn-danger destroyOffer" data-action="{{ route('company.admin.book.offer.delete', $offer->id) }}"><i class="fa fa-trash" aria-hidden="true"></i></a>
                        @else
                            -
                        @endif
                    </td>
                </tr>
            @empty
                <tr>
                    <td colspan="17" class="text-danger">No record found</td>
                </tr>
            @endforelse
        </tbody>
    </table>
    @if(count($offers) > 0)
        <div class="dishpatchCompare">
            <a href="javascript:void(0);" class="text-danger text-uppercase loadComparison" data-driver="{{(count(array_unique(array_column($offers, 'driver_id'))) > 0) ? array_unique(array_column($offers, 'driver_id'))[0] : ''}}">Compare</a>
        </div>
    @endif
</div>
