@php
    $gtypeLabel         = 'Not specified';
    if (isset($driver->previous_trailer_type) && isset(getTrailerTypeList()[$driver->previous_trailer_type])) {
        $gtypeLabel     = getTrailerTypeList()[$driver->previous_trailer_type];
    }
@endphp
<form id="offerForm" name="offerForm" class="form-horizontal" autocomplete="off">
    <input type="hidden" name="driver_id" value="{{ $driver->id }}">
    <input type="hidden" name="offer_id" value="{{ isset($offer->id)?$offer->id:'' }}">
    <div class="white-box card card-new offer-status-block">
        <div class="card--header">
            <div class="row g-5 justify-content-between align-items-center">
                <div class="col-lg-7">
                    <h5>Offer | Status:
                        <span class="status-txt" data-status="{{ isset($offer->status)?$offer->status:'1' }}">
                            @if(isset($offer->status))
                                @if($offer->status==0)
                                Pending
                                @elseif($offer->status==1)
                                New
                                @elseif($offer->status==2)
                                Reserved
                                @elseif($offer->status==3)
                                Converted to Load
                                @elseif($offer->status==4)
                                Expired
                                @else
                                New
                                @endif
                            @else
                            New
                            @endif
                        </span>
                    </h5>
                </div>
                <div class="col-auto">
                    <h5>Favorite this offer to use later
                        @if(isset($offer->favorite) && $offer->favorite=='Yes')
                            <img src="{{ asset('theme/img/star-1.png') }}" alt="Favorite offer" class="ml-2 star-icon active">
                        @else
                            <img src="{{ asset('theme/img/star.png') }}" alt="Favorite offer" class="ml-2 star-icon">
                        @endif
                    </h5>
                </div>
            </div>
        </div>
        <div class="card--body">
            <div class="row g-10">
                <div class="col-xl-7">
                    <div class="row g-10">
                        <div class="col-md-6 mb-3">
                            <h5>Driver: {{ isset($driver->full_name)?$driver->full_name:''}} <br>
                                Truck: {{ isset($driver->driver_information->truck_number)?$driver->driver_information->truck_number:''}} <br>
                                Trailer: {{ isset($driver->previous_trailer_number)?$driver->previous_trailer_number:''}} <br>
                                Trailer Type: {{ $gtypeLabel }}</h5>
                        </div>
                        <div class="col-md-6 mb-3">
                            <h5>Driver Dispatcher: {{ isset($driver->dispatcher->full_name)?$driver->dispatcher->full_name:''}}<br>
                                Last Location:
                                @php
                                    $location               = getAddressCityState($driver->previous_load_delivery_city, $driver->previous_load_delivery_state);
                                @endphp
                                @if(isset($samsara_data['vehicleloc']))
                                    @if(isset($samsara_data['vehicleloc']->location->reverseGeo->formattedLocation) && $samsara_data['vehicleloc']->location->reverseGeo->formattedLocation!='')
                                        @php
                                            $location       = $samsara_data['vehicleloc']->location->reverseGeo->formattedLocation;
                                        @endphp
                                    @endif
                                @endif
                                {{ $location }}
                                <br>
                                Last Location Update:
                                @php
                                    $locationUpdate         = (isset($driver->load_actual_delivery_date) && $driver->load_actual_delivery_date!='')?date(getTimeLayout(), strtotime($driver->load_actual_delivery_date)).' '.$driver->load_delivery_timezone_abbr:'';
                                @endphp
                                @if(isset($samsara_data['vehicleloc']))
                                    @if(isset($samsara_data['vehicleloc']->location->time) && $samsara_data['vehicleloc']->location->time!='')
                                        @php
                                            $locationUpdate = \Carbon\Carbon::parse($samsara_data['vehicleloc']->location->time)->setTimezone($getTimeZone)->format(getTimeLayout())." ".$getTimeZoneId;
                                        @endphp
                                    @endif
                                @endif
                                {{ $locationUpdate }}
                            </h5>
                        </div>
                    </div>
                </div>
                <div class="col-xl-5 mb-3">
                    @if(isset($checkAPIKey) && !is_null($checkAPIKey))
                    <div class="table-responsive hours-table">
                        <table class="table m-0">
                            <thead>
                                <tr>
                                    <th colspan="4" class="text-center">Hours of Service</th>
                                    <th></th>
                                </tr>
                                <tr>
                                    <th>Drive</th>
                                    <th>Shift</th>
                                    <th>Cycle</th>
                                    <th>Cycle Tom.</th>
                                    <th>Duty Status</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>{{ isset($samsara_data['clocks'])?formatSeconds($samsara_data['clocks']->clocks->drive->driveRemainingDurationMs):'-' }}</td>
                                    <td>{{ isset($samsara_data['clocks'])?formatSeconds($samsara_data['clocks']->clocks->shift->shiftRemainingDurationMs):'-' }}</td>
                                    <td>{{ isset($samsara_data['clocks'])?formatSeconds($samsara_data['clocks']->clocks->cycle->cycleRemainingDurationMs):'-' }}</td>
                                    <td>{{ isset($samsara_data['clocks'])?formatSeconds($samsara_data['clocks']->clocks->cycle->cycleTomorrowDurationMs):'-' }}</td>
                                    <td>{{ isset($samsara_data['clocks'])?$samsara_data['clocks']->currentDutyStatus->hosStatusType:'-' }}</td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                    @endif
                </div>
                @if(isset($offer->id))
                    <div class="col-md-7">
                        <div class="form-group">
                            <div class="form-check">
                                <input class="form-check-input" type="radio" name="bound_call" id="inbound" value="1" {!! (old('bound_call', isset($offer->bound_call) ? $offer->bound_call : '')=='1')?'checked':'' !!}>
                                <label class="form-check-label" for="inbound">
                                    Inbound call
                                </label>
                            </div>
                            <div class="form-check">
                                <input class="form-check-input" type="radio" name="bound_call" id="outbound" value="0" {!! (old('bound_call', isset($offer->bound_call) ? $offer->bound_call : '')=='0')?'checked':'' !!}>
                                <label class="form-check-label" for="outbound">
                                    Outbound call
                                </label>
                            </div>
                        </div>
                    </div>
                @else
                    <div class="col-md-7">
                        <div class="form-group">
                            <div class="form-check">
                                <input class="form-check-input" type="radio" name="bound_call" id="inbound" value="1">
                                <label class="form-check-label" for="inbound">
                                    Inbound call
                                </label>
                            </div>
                            <div class="form-check">
                                <input class="form-check-input" type="radio" name="bound_call" id="outbound" value="0" checked>
                                <label class="form-check-label" for="outbound">
                                    Outbound call
                                </label>
                            </div>
                        </div>
                    </div>
                @endif
                <div class="col-md-5 flex-all">
                    <div class="form-group">
                        <label>Driver Dispatcher:</label>
                        <span>{{ isset($driver->dispatcher->full_name)?$driver->dispatcher->full_name:'' }}</span>
                    </div>
                </div>
                <div class="col-12 brok-input-block mb-2">
                    <div class="row g-10">
                        <div class="col-auto">
                            <div class="form-group select2-search">
                                <label for="brokerage_firm">Brokerage Firm</label>
                                <select class="form-control" name="brokerage_firm" data-parsley-errors-container="#brokerage_firm-errors">
                                    <option value="">Brokerage Firm</option>
                                    @foreach (getBrokerList() as $key => $node)
                                        <option value="{{ $key }}" {{ (isset($offer->broker_id)?$offer->broker_id:'') == $key ? "selected" :""}}>{{ $node }}</option>
                                    @endforeach
                                </select>
                                <i class="fa fa-search"></i>
                            </div>
                            <div id="brokerage_firm-errors"></div>
                        </div>
                        <div class="col-auto">
                            <div class="form-group">
                                <label for="brokerage_mc">Brokerage MC</label>
                                <input type="text" class="form-control" name="brokerage_mc" value="{{ isset($offer->brokerage_mc)?$offer->brokerage_mc:'' }}" readonly>
                            </div>
                        </div>
                        <div class="col-auto">
                            <div class="form-group">
                                <label for="point_of_contact">Point of Contact</label>
                                <input type="text" class="form-control" name="point_of_contact" data-parsley-pattern="^[a-zA-Z ]*$" maxlength="190" value="{{ isset($offer->point_of_contact)?$offer->point_of_contact:'' }}">
                            </div>
                        </div>
                        <div class="col-auto">
                            <div class="form-group">
                                <label for="phone">Phone</label>
                                <input type="text" class="form-control phone" name="phone" placeholder="(555) 123-1234" value="{{ isset($offer->phone)?$offer->phone:'' }}">
                            </div>
                        </div>
                        <div class="col-auto small">
                            <div class="form-group">
                                <label for="ext">Ext.</label>
                                <input type="text" class="form-control" name="ext" value="{{ isset($offer->ext)?$offer->ext:'' }}">
                            </div>
                        </div>
                        <div class="col-auto">
                            <div class="form-group">
                                <label for="email">Email</label>
                                <input type="email" class="form-control" name="email" data-parsley-type="email" value="{{ isset($offer->email)?$offer->email:'' }}">
                            </div>
                        </div>
                        <div class="col-auto small">
                            <div class="form-group">
                                <label for="credit">Credit</label>
                                <input type="text" class="form-control number" name="credit" value="{{ isset($offer->credit)?$offer->credit:'' }}">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-6 mb-3">
                    <div class="card card-new geocoding" data-except="1">
                        <div class="card--header">
                            <h5>Shipping Dates and Location</h5>
                        </div>
                        <div class="card--body">
                            <div class="row g-10">
                                <input type="hidden" class="geocoding-abbr" name="shipper_timezone_abbr" value="{{ isset($offer->shipper_timezone_abbr)?$offer->shipper_timezone_abbr:'' }}" autocomplete="off" data-parsley-errors-container="#shipper_timezone_abbr-errors" data-parsley-required-message="Please verify address">
                                <input type="hidden" class="geocoding-latitude" name="shipper_latitude" value="{{ isset($offer->shipper_latitude)?$offer->shipper_latitude:'' }}" autocomplete="off">
                                <input type="hidden" class="geocoding-longitude" name="shipper_longitude" value="{{ isset($offer->shipper_longitude)?$offer->shipper_longitude:'' }}" autocomplete="off">
                                <input type="hidden" class="geocoding-verified" name="shipper_address_verified" value="{{ isset($offer->shipper_address_verified)?$offer->shipper_address_verified:'0' }}" autocomplete="off">
                                <div class="col-sm-12">
                                    <div class="form-group">
                                        <label for="shipper_date_time">Shipper Date/Time <span>(This date and time will be based on location)</span></label>
                                        <div class="row align-items-center">
                                            <div class="col-md-6">
                                                <div class="position-relative">
                                                    <input type="text" class="form-control" name="shipper_date_time" onPaste="return false" value="{{ isset($offer->shipper_date_time)?date(getTimeLayout(), strtotime($offer->shipper_date_time)):'' }}">
                                                    <img src="{{ asset('theme/img/calendar.png') }}" alt="Shipper Date/Time" data-datepickerimage="1">
                                                </div>
                                            </div>
                                            <div class="col-md-4">
                                                <span class="geocoding-timezone d-none"></span>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label>Address</label>
                                        <input type="text" class="form-control geocoding-address-1" name="shipper_address_one" value="{{ isset($offer->shipper_address_one)?$offer->shipper_address_one:'' }}">
                                    </div>
                                </div>
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label>Address  2</label>
                                        <input type="text" class="form-control geocoding-address-2" name="shipper_address_two" value="{{ isset($offer->shipper_address_two)?$offer->shipper_address_two:'' }}">
                                    </div>
                                </div>
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label>City</label>
                                        <input type="text" class="form-control geocoding-city" name="shipper_city" value="{{ isset($offer->shipper_city)?$offer->shipper_city:'' }}">
                                    </div>
                                </div>
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label>State</label>
                                        <input type="text" class="form-control geocoding-state" name="shipper_state" value="{{ isset($offer->shipper_state)?$offer->shipper_state:'' }}">
                                    </div>
                                </div>
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label>Zip</label>
                                        <input type="text" class="form-control geocoding-zip" name="shipper_zip" value="{{ isset($offer->shipper_zip)?$offer->shipper_zip:'' }}">
                                    </div>
                                </div>
                                <div class="col-sm-6">
                                    @if(isset($offer->shipper_timezone_abbr))
                                        <button type="button" class="btn btn-success geocoding-btn" data-uid="{{ 'map-'.generateStrUniqueId() }}">Verified</button>
                                    @else
                                        <button type="button" class="btn btn-warning geocoding-btn" data-uid="{{ 'map-'.generateStrUniqueId() }}">Verify</button>
                                    @endif
                                    <div id="shipper_timezone_abbr-errors"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-6 mb-4">
                    <div class="card card-new geocoding" data-except="1">
                        <div class="card--header">
                            <h5>Delivery Dates and Location</h5>
                        </div>
                        <div class="card--body">
                            <div class="row g-10">
                                <input type="hidden" class="geocoding-abbr" name="delivery_timezone_abbr" value="{{ isset($offer->delivery_timezone_abbr)?$offer->delivery_timezone_abbr:'' }}" autocomplete="off" data-parsley-errors-container="#delivery_timezone_abbr-errors" data-parsley-required-message="Please verify address">
                                <input type="hidden" class="geocoding-latitude" name="delivery_latitude" value="{{ isset($offer->delivery_latitude)?$offer->delivery_latitude:'' }}" autocomplete="off">
                                <input type="hidden" class="geocoding-longitude" name="delivery_longitude" value="{{ isset($offer->delivery_longitude)?$offer->delivery_longitude:'' }}" autocomplete="off">
                                <input type="hidden" class="geocoding-verified" name="delivery_address_verified" value="{{ isset($offer->delivery_address_verified)?$offer->delivery_address_verified:'0' }}" autocomplete="off">
                                <div class="col-sm-12">
                                    <div class="form-group">
                                        <label for="delivery_date_time">Delivery Date/Time <span>(This date and time will be based on location)</span></label>
                                        <div class="row align-items-center">
                                            <div class="col-md-6">
                                                <div class="position-relative">
                                                    <input type="text" class="form-control" name="delivery_date_time" onPaste="return false" value="{{ isset($offer->delivery_date_time)?date(getTimeLayout(), strtotime($offer->delivery_date_time)):'' }}">
                                                    <img src="{{ asset('theme/img/calendar.png') }}" alt="Delivery Date/Time" data-datepickerimage="1">
                                                </div>
                                            </div>
                                            <div class="col-md-4">
                                                <span class="geocoding-timezone d-none"></span>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label>Address</label>
                                        <input type="text" class="form-control geocoding-address-1" name="delivery_address_one" value="{{ isset($offer->delivery_address_one)?$offer->delivery_address_one:'' }}">
                                    </div>
                                </div>
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label>Address  2</label>
                                        <input type="text" class="form-control geocoding-address-2" name="delivery_address_two" value="{{ isset($offer->delivery_address_two)?$offer->delivery_address_two:'' }}">
                                    </div>
                                </div>
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label>City</label>
                                        <input type="text" class="form-control geocoding-city" name="delivery_city" value="{{ isset($offer->delivery_city)?$offer->delivery_city:'' }}">
                                    </div>
                                </div>
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label>State</label>
                                        <input type="text" class="form-control geocoding-state" name="delivery_state" value="{{ isset($offer->delivery_state)?$offer->delivery_state:'' }}">
                                    </div>
                                </div>
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label>Zip</label>
                                        <input type="text" class="form-control geocoding-zip" name="delivery_zip" value="{{ isset($offer->delivery_zip)?$offer->delivery_zip:'' }}">
                                    </div>
                                </div>
                                <div class="col-sm-6">
                                    @if(isset($offer->delivery_timezone_abbr))
                                        <button type="button" class="btn btn-success geocoding-btn" data-uid="{{ 'map-'.generateStrUniqueId() }}">Verified</button>
                                    @else
                                        <button type="button" class="btn btn-warning geocoding-btn" data-uid="{{ 'map-'.generateStrUniqueId() }}">Verify</button>
                                    @endif
                                    <div id="delivery_timezone_abbr-errors"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-6 col-custom-1">
                    <div class="row g-5">
                        <div class="col-md-4">
                            <div class="form-group">
                                <label for="empty_miles">Empty Miles</label>
                                <input type="number" class="form-control number evalute-miles" name="empty_miles" min="0" step=".01" value="{{ isset($offer->empty_miles)?$offer->empty_miles:'' }}">
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label for="loaded_miles">Loaded Miles</label>
                                <input type="number" class="form-control number evalute-miles" name="loaded_miles" min="0" step=".01" value="{{ isset($offer->loaded_miles)?$offer->loaded_miles:'' }}">
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label for="total_miles">Total Miles</label>
                                <input type="number" class="form-control" name="total_miles" min="0" step=".01" value="{{ isset($offer->total_miles)?$offer->total_miles:'' }}" readonly>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="rate_offered">Rate Offered</label>
                                <input type="number" class="form-control number" name="rate_offered" min="0" step=".01" value="{{ isset($offer->rate_offered)?$offer->rate_offered:'' }}">
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="fuel_surcharge_cost_per_mile">Fuel Surcharge Cost Per Mile</label>
                                <input type="number" class="form-control number" name="fuel_surcharge_cost_per_mile" min="0" step=".01" value="{{ isset($offer->fuel_surcharge_cost_per_mile)?$offer->fuel_surcharge_cost_per_mile:'' }}">
                            </div>
                        </div>
                        @if(isset($offer->rate_offered) && $offer->rate_offered!='')
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="counter_offer">Counter Offer</label>
                                    <input type="number" class="form-control number" name="counter_offer" min="0" step=".01">
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <a href="javascript:void(0)" class="btn green-btn record-btn counter-btn">Record Counter Offer</a>
                                </div>
                            </div>
                        @else
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="counter_offer">Counter Offer</label>
                                    <input type="number" class="form-control number" name="counter_offer" min="0" step=".01" disabled>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <a href="javascript:void(0)" class="btn green-btn record-btn counter-btn">Record Counter Offer</a>
                                </div>
                            </div>
                        @endif
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="agreed_upon_rate">Agreed Upon Rate</label>
                                <input type="number" class="form-control number" name="agreed_upon_rate" min="0" step=".01" value="{{ isset($offer->agreed_upon_rate)?$offer->agreed_upon_rate:'' }}">
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <a href="javascript:void(0)" class="btn green-btn record-btn confirm-btn">Confirm Final Rate</a>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-6 col-custom-2">
                    <div class="table-responsive mb-3">
                        <table class="table w-auto offer-history-table">
                            <tr>
                                <td colspan="4">Offer History</td>
                            </tr>
                            @if(isset($offer->histories) && $offer->histories->isNotEmpty())
                                @foreach ($offer->histories as $key => $history)
                                    <tr>
                                        <td>
                                            @if($history->type==1)
                                                Counter Offer:
                                            @elseif($history->type==2)
                                                Final Rate:
                                            @else
                                                Original Offer:
                                            @endif
                                        </td>
                                        <td>{{ isset($history->rate)?'$'.number_format($history->rate, 2, '.', ','):''}}</td>
                                        <td>{{ isset($history->company_admin->full_name) ? $history->company_admin->full_name : '' }}</td>
                                        <td>
                                            @if(isset($history->created_at) && !is_null($history->created_at))
                                                {{ \Carbon\Carbon::createFromFormat('Y-m-d H:i:s', $history->created_at)->setTimezone($getTimeZone)->format(getTimeLayout())." ".$getTimeZoneId }}
                                            @endif
                                        </td>
                                    </tr>
                                @endforeach
                            @else
                                <tr>
                                    <td colspan="4">No Offer found.</td>
                                </tr>
                            @endif
                        </table>
                    </div>
                </div>
                <div class="col-12">
                    <div class="form-group">
                        <label for="notes">Notes</label>
                        <textarea name="notes" rows="5" class="form-control">{{ isset($offer->notes)?$offer->notes:'' }}</textarea>
                    </div>
                </div>
                <div class="col-12">
                    <div class="row g-10 justify-content-between">
                        <div class="col-auto mb-2 flex-all justify-content-start">
                            <p class="mb-2 mr-2"> Add notes to load if booked</p>
                            <div class="custom-control custom-switch" style="margin-top: -10px;">
                                <input type="checkbox" class="custom-control-input" name="is_add_note_to_load" id="is_add_note_to_load" value="1" {!! (old('is_add_note_to_load', isset($offer->is_add_note_to_load) ? $offer->is_add_note_to_load : '')=='1')?'checked':'' !!}>
                                <label class="custom-control-label" for="is_add_note_to_load"></label>
                            </div>
                        </div>
                        <div class="col-auto mb-2">
                            <div class="row g-5">
                                <div class="col-auto mb-2"><a href="javascript:void(0);" class="btn btn-danger" data-dismiss="modal">Cancel</a></div>
                                <div class="col-auto mb-2"><a href="javascript:void(0);" class="btn btn-info save-offer-btn">Save Offer</a></div>
                                @if(isset($offer))
                                    @if($offer->status==2)
                                        <div class="col-auto mb-2"><a href="javascript:void(0);" class="btn btn-warning cancel-reserve-offer-btn">Cancel Reservation</a></div>
                                    @else
                                        <div class="col-auto mb-2"><a href="javascript:void(0);" class="btn btn-warning reserve-offer-btn">Reserve Offer</a></div>
                                    @endif
                                @else
                                    <div class="col-auto mb-2"><a href="javascript:void(0);" class="btn btn-warning reserve-offer-btn">Reserve Offer</a></div>
                                @endif
                                <div class="col-auto mb-2"><a href="javascript:void(0);" class="btn btn-success book-load-btn">Book Load</a></div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-12 flex-all justify-content-start">
                    <div class="form-group">
                        <label>Submitted By:</label>
                        <span>{{ auth()->guard('company-admin')->user()->first_name }} {{ auth()->guard('company-admin')->user()->last_name }}</span>
                    </div>
                </div>
            </div>
        </div>
    </div>
</form>