@extends($companyAdminTheme)

@section('title')
    Driver Offer
@endsection

@section('style')
    <link rel="stylesheet" href="{{ asset('theme/css/select2.min.css') }}">
    <style>
        .down-arrow,
        .up-arrow {
            position: relative;
            width: 14px;
            height: 7px;
            display: block;
            margin: 0 auto;
        }

        .down-arrow:after,
        .up-arrow:after {
            content: '';
            position: absolute;
            width: 0;
            height: 0;
            left: 0;
            top: 50%;
            transform: translateY(-50%);
            border-left: 7px solid transparent;
            border-right: 7px solid transparent;
            border-top: 7px solid #000;
        }

        .up-arrow:after {
            border-top: 0;
            border-bottom: 7px solid #000;
        }

        .offer-block h5 {
            font-weight: bold;
            margin-bottom: 20px;
        }

        .offer-img {
            background: #eff4fa;
            padding: 15px;
        }

        .offer-img img {
            max-width: 200px;
        }

        .offer-block .table thead th {
            padding: 10px 15px !important;
            font-size: 16px;
        }

        .offer-block .table tbody td {
            padding: 10px 15px !important;
            font-size: 16px;
        }

        .offer-block .table tbody td:nth-child(2) {
            text-align: center;
        }

        .offer-block .table img {
            max-width: 26px;
            margin-left: 5px;
        }

        .offer-block .table .btn {
            min-width: 90px;
        }

        .offer-block .table .badge {
            padding: 4px 6px;
            font-size: 10px;
            color: #fff;
            text-transform: uppercase;
        }

        .offer-block .table .badge+* {
            text-transform: uppercase;
            font-size: 12px;
            margin-left: 5px;
        }

        .badge-on {
            background-color: #fd9664;
        }

        @media (max-width: 767px) {
            .offer-block .table .btn {
                line-height: 1.2;
                padding: 4px 8px;
                min-width: 82px;
            }

            .offer-block .table img, {
                max-width: 22px;
            }
        }

        @media (max-width: 575px) {
            .offer-block .pl-3 {
                padding-left: 7px !important;
            }

            .offer-block h5 {
                font-weight: 600;
                margin-bottom: 10px;
                font-size: 18px;
            }
        }
    </style>
    <!-- popup -->
    <style type="text/css">
        .offer-status-block .btn-warning{
            color: #fff;
        }
        .offer-status-block .btn-success{
            background-color: #6dd400;
            border-color: #6dd400;
        }
        .offer-status-block h5 i {
            font-size: 24px;
        }
        .star-icon {
            max-height: 24px;
        }
        .row.g-5 {
            margin-left: -5px;
            margin-right: -5px;
        }
        .row.g-5>* {
            padding-left: 5px;
            padding-right: 5px;
        }
        .row.g-10 {
            margin-left: -10px;
            margin-right: -10px;
        }
        .row.g-10>* {
            padding-left: 10px;
            padding-right: 10px;
        }
        .hours-table .table thead th {
            padding: 10px 5px !important;
            font-size: 14px;
        }
        .hours-table .table thead tr:first-child th {
            padding-bottom: 0 !important;
        }
        .hours-table .table thead tr:last-child th {
            padding-top: 0 !important;
        }
        .hours-table .table tbody td {
            font-size: 14px !important;
            padding: 10px 5px !important;
        }
        .hours-table .table thead th,
        .hours-table .table tbody td {
            text-align: center;
        }
        .hours-table .table .badge {
            padding: 4px 6px;
            font-size: 10px;
            color: #fff;
            text-transform: uppercase;
        }
        .hours-table .table .badge+* {
            text-transform: uppercase;
            font-size: 12px;
            margin-left: 5px;
        }
        .brok-input-block .col-auto {
            width: 16.8%;
            min-width: 140px;
        }
        .brok-input-block .col-auto.small {
            width: 8%;
            min-width: 80px;
        }
        .green-btn.record-btn {
            margin-top: 28px;
            padding: 4px 12px;
            height: 35px;
            background-color: #6dd400;
            border-color: #6dd400;
            color: #fff;
        }
        .table.offer-history-table td {
            font-size: 14px !important;
            padding: 0px 15px !important;
            border: 0;
            color: #ABB4C6;
        }
        .table.offer-history-table td:first-child {
            padding-left: 0 !important;
        }
    </style>
    <style type="text/css">
        .badge-on {
            background-color: #fd9664;
        }
        .form-group .form-check-input {
            margin-top: 0.5rem;
        }
        .flex-all {
            display: flex;
            flex-wrap: wrap;
            align-items: center;
            justify-content: center;
        }
        .card.card-new {
            border: 1px solid #ddd;
        }
        .card-new .card--header {
            border-bottom: 1px solid #ddd;
            padding: 12px 15px;
        }
        .card-new .card--body {
            padding: 12px 15px;
        }
    </style>
    <style type="text/css">
        @media (max-width: 1540px) {
            .offer-status-block h5 {
                font-size: 18px;
            }
        }
        @media (max-width: 1365px) {
            .offer-status-block .col-xl-7,
            .offer-status-block .col-xl-5 {
                -ms-flex: 0 0 100%;
                flex: 0 0 100%;
                max-width: 100%;
            }
        }
        @media (max-width: 1279px) {
            .col-custom-1 {
                -ms-flex: 0 0 54%;
                flex: 0 0 54%;
                max-width: 54%;
            }
            .col-custom-2 {
                -ms-flex: 0 0 46%;
                flex: 0 0 46%;
                max-width: 46%;
            }
        }
        @media (max-width: 991px) {
            .col-custom-1 {
                -ms-flex: 0 0 59%;
                flex: 0 0 59%;
                max-width: 59%;
            }
            .col-custom-2 {
                -ms-flex: 0 0 41%;
                flex: 0 0 41%;
                max-width: 41%;
            }
            .offer-status-block .green-btn {
                font-size: 15px;
                line-height: 1.8;
            }
        }
        @media (max-width: 767px) {
            .col-custom-1,
            .col-custom-2 {
                -ms-flex: 0 0 100%;
                flex: 0 0 100%;
                max-width: 100%;
            }
        }
        @media (max-width: 575px) {
            .card-new .card--header,
            .card-new .card--body {
                padding: 12px 10px;
            }
        }
    </style>
    <style type="text/css">
        .select2-container{
            width: 100% !important;
        }
        .select2-container .select2-selection--single{
            height: 39px;
        }
        .select2-container--default .select2-selection--single{
            border: 1px solid #C5CEE0;
        }
        .select2-container--default .select2-selection--single .select2-selection__rendered{
            line-height: 36px;
            font-size: 17px;
        }
        .select2-container--default .select2-selection--single .select2-selection__arrow{
            height: 31px;
        }
        .select2-search .select2-selection__arrow{
            display: none;
        }
        .select2-search i {
            color: #18203a;
            position: absolute;
            right: 10px;
            bottom: 12px;
        }
    </style>
@endsection

@section('content')
    <div class="white-box mb-3 offer-block">
        <div class="d-flex flex-wrap">
            <div class="offer-img  mb-1">
                <img src="{{ asset('theme/img/offer.png') }}" alt="offer">
            </div>
            <div class="pl-3">
                <h5>{{ isset($driver->full_name)?$driver->full_name:'' }} <br>
                    Truck {{ isset($driver->previous_truck_number)?'#'.$driver->previous_truck_number:'' }} <br>
                    Trailer {{ isset($driver->previous_trailer_number)?$driver->previous_trailer_number:'' }}</h5>
                <h5>Last Location:
                    @php
                        $location               = getAddressCityState($driver->previous_load_delivery_city, $driver->previous_load_delivery_state);
                    @endphp
                    @if(isset($samsara_data['vehicleloc']))
                        @if(isset($samsara_data['vehicleloc']->location->reverseGeo->formattedLocation) && $samsara_data['vehicleloc']->location->reverseGeo->formattedLocation!='')
                            @php
                                $location       = $samsara_data['vehicleloc']->location->reverseGeo->formattedLocation;
                            @endphp
                        @endif
                    @endif
                    {{ $location }}
                    <br>
                    Last Location Update:
                    @php
                        $locationUpdate         = (isset($driver->load_actual_delivery_date) && $driver->load_actual_delivery_date!='')?date(getTimeLayout(), strtotime($driver->load_actual_delivery_date)).' '.$driver->load_delivery_timezone_abbr:'';
                    @endphp
                    @if(isset($samsara_data['vehicleloc']))
                        @if(isset($samsara_data['vehicleloc']->location->time) && $samsara_data['vehicleloc']->location->time!='')
                            @php
                                $locationUpdate = \Carbon\Carbon::parse($samsara_data['vehicleloc']->location->time)->setTimezone($getTimeZone)->format(getTimeLayout())." ".$getTimeZoneId;
                            @endphp
                        @endif
                    @endif
                    {{ $locationUpdate }}
                </h5>
            </div>
        </div>
        <div class="table-responsive">
            <table class="table data-table m-0">
                <thead>
                    <tr>
                        <th></th>
                        <th>Reserve Status</th>
                        <th>DH Miles</th>
                        <th>Broker Name</th>
                        <th>MC#</th>
                        <th>Contact Name</th>
                        <th>Phone</th>
                        <th>Ext.</th>
                        <th>Origin City, State</th>
                        <th>Delivery City, State</th>
                        <th>Ld Miles</th>
                        <th>Rate</th>
                        <th>CPM</th>
                        @if(isset($checkAPIKey) && !is_null($checkAPIKey))
                        <th>Drive</th>
                        <th>Shift</th>
                        <th>Cycle</th>
                        <th>Status</th>
                        <th>ETA</th>
                        @endif
                        <th>Notes</th>
                    </tr>
                </thead>
                <tbody></tbody>
            </table>
        </div>
    </div>
    <div class="modal fade" id="offerModal" role="dialog" aria-labelledby="offerModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-xl" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="offerModalLabel">Offer</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body append-view"></div>
            </div>
        </div>
    </div>
@endsection

@section('script')
    <script src="{{ asset('theme/js/select2.full.min.js') }}"></script>
    <script type="text/javascript">
        if (timeFormat == 12){
            var DateTimeFormat      = 'MM/DD/YYYY hh:mm A';
            var TimeFormat          = 'hh:mm A';
            var TimeMaskFormat      = '99:99 aa';
            var SetTime12           = '12:00 PM';
            var TimeFormatPlace     = 'HH:MM A';
        }else{
            var DateTimeFormat      = 'MM/DD/YYYY HH:mm';
            var TimeFormat          = 'HH:mm';
            var TimeMaskFormat      = '99:99';
            var SetTime12           = '12:00';
            var TimeFormatPlace     = 'HH:MM';
        }
    </script>
    <script type="text/javascript">
        var offerTable;
        $(document).ready(function() {
            offerTable = $('.data-table').DataTable({
                bSort: false,
                searching: false,
                bPaginate: false,
                processing: true,
                serverSide: true,
                ordering: false,
                ajax:{
                    url:"{!! route('company.admin.driver.offers.data') !!}",
                    type:'POST',
                    data: {
                        id: "{{ $driver->id }}"
                    },
                    dataType: "json",
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function () {
                        if (typeof offerTable != 'undefined' && offerTable.hasOwnProperty('settings')) {
                            offerTable.settings()[0].jqXHR.abort();
                        }
                    }
                },
                columns: [
                    { data: 'tag', name: 'tag', orderable: false, searchable: false },
                    { data: 'reserve_status', name: 'reserve_status', orderable: false, searchable: false },
                    { data: 'empty_miles', name: 'empty_miles' },
                    { data: 'broker_name', name: 'broker_name', orderable: false, searchable: false },
                    { data: 'brokerage_mc', name: 'brokerage_mc' },
                    { data: 'point_of_contact', name: 'point_of_contact' },
                    { data: 'phone', name: 'phone' },
                    { data: 'ext', name: 'ext' },
                    { data: 'shipper_location', name: 'shipper_location' },
                    { data: 'delivery_location', name: 'delivery_location' },
                    { data: 'loaded_miles', name: 'loaded_miles' },
                    { data: 'final_rate', name: 'final_rate', orderable: false, searchable: false },
                    { data: 'cpm', name: 'cpm', orderable: false, searchable: false },
                    @if(isset($checkAPIKey) && !is_null($checkAPIKey))
                        { data: 'drive', name: 'drive', orderable: false, searchable: false , "render": function (data, type, row) {
                                return "{{ isset($samsara_data['clocks'])?formatSeconds($samsara_data['clocks']->clocks->drive->driveRemainingDurationMs):'' }}";
                            }
                        },
                        { data: 'shift', name: 'shift', orderable: false, searchable: false , "render": function (data, type, row) {
                                return "{{ isset($samsara_data['clocks'])?formatSeconds($samsara_data['clocks']->clocks->shift->shiftRemainingDurationMs):'' }}";
                            }
                        },
                        { data: 'cycle', name: 'cycle', orderable: false, searchable: false , "render": function (data, type, row) {
                                return "{{ isset($samsara_data['clocks'])?formatSeconds($samsara_data['clocks']->clocks->cycle->cycleRemainingDurationMs):'' }}";
                            }
                        },
                        { data: 'status', name: 'status', orderable: false, searchable: false , "render": function (data, type, row) {
                                return "{{ isset($samsara_data['clocks'])?$samsara_data['clocks']->currentDutyStatus->hosStatusType:'' }}";
                            }
                        },
                        { data: 'eta', name: 'eta', orderable: false, searchable: false , "render": function (data, type, row) {
                                return '';
                            }
                        },
                    @endif
                    { data: 'notes', name: 'notes', orderable: false, searchable: false },
                ],
            });
        });
    </script>
    <script type="text/javascript">
        $(document).on('click', '.offerButton', function(event) {
            event.preventDefault();
            // console.log('offerButton');
            // return false;
            let href        = $(this).attr('data-href');
            let id          = $(this).attr('data-id');
            let offer_id    = $(this).attr('data-offer_id');
            var formData    = {};
            formData['id']  = id;
            if (typeof offer_id !== "undefined") {
                formData['offer_id'] = offer_id;
            }
            $.ajax({
                type: 'POST',
                url: href,
                data: formData,
                dataType: 'json',
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                beforeSend: function() {
                    $('#offerModal').modal({backdrop: 'static', keyboard: false}, 'show');
                },
                success: function(response) {
                    if(response.success){
                        var html = response.html;
                        if(typeof html !== "undefined"){
                            $('#offerModal').find('.append-view').html(html);

                            setTimeout(function() {
                                setPhoneNumber();

                                var modalForm       = $('#offerModal #offerForm');

                                var brokerage_firm  = modalForm.find('select[name="brokerage_firm"]');
                                if(brokerage_firm.hasClass("select2-hidden-accessible")) {
                                    brokerage_firm.select2('destroy');
                                }
                                brokerage_firm.select2({
                                    dropdownParent: $("#offerModal")
                                }).on("select2:select", function(event) {
                                    var value   = $(event.currentTarget).find("option:selected").val();
                                    if(value!=''){
                                        $.ajax({
                                            url: "/company-admin/loads/broker-info",
                                            method: "POST",
                                            data: { id: value},
                                            dataType: 'json',
                                            headers: {
                                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                                            },
                                            success: function(response) {
                                                if (response.data) {
                                                    modalForm.find('input[name="brokerage_mc"]').val(response.data.mc_number);
                                                } else {
                                                    modalForm.find('input[name="brokerage_mc"]').val('');
                                                }
                                            }
                                        });
                                    }else{
                                        modalForm.find('input[name="brokerage_mc"]').val('');
                                    }
                                });

                                modalForm.find('input[name="shipper_date_time"]').datetimepicker({
                                    format: DateTimeFormat,
                                    useCurrent: false,
                                }).on('dp.change', function(e) {
                                    getWeeklyFuelSurcharge();
                                });

                                modalForm.find('input[name="delivery_date_time"]').datetimepicker({
                                    format: DateTimeFormat,
                                    useCurrent: false,
                                });
                            }, 250);
                        }else{
                            toastr.error(
                                'Oops! Something went wrong..',
                                'Error Alert', {
                                    timeOut: 1000,
                                    fadeOut: 1000,
                                    onHidden: function () {
                                        $('#offerModal').modal('hide');
                                    }
                                }
                            );
                        }
                    }else{
                        toastr.error(
                            response.message,
                            'Error Alert', {
                                timeOut: 1000,
                                fadeOut: 1000,
                                onHidden: function () {
                                    $('#offerModal').modal('hide');
                                }
                            }
                        );
                    }
                },
                complete: function() {
                    //console.log('complete');
                },
                error: function(jqXHR, status, exception) {
                    if (jqXHR.status === 0) {
                        error = 'Not connected.\nPlease verify your network connection.';
                    } else if (jqXHR.status == 404) {
                        error = 'The requested page not found. [404]';
                    } else if (jqXHR.status == 500) {
                        error = 'Internal Server Error [500].';
                    } else if (exception === 'parsererror') {
                        error = 'Requested JSON parse failed.';
                    } else if (exception === 'timeout') {
                        error = 'Time out error.';
                    } else if (exception === 'abort') {
                        error = 'Ajax request aborted.';
                    } else {
                        error = 'Uncaught Error.\n' + jqXHR.responseText;
                    }
                    toastr.error(
                        error,
                        'Error Alert', {
                            timeOut: 1000,
                            fadeOut: 1000,
                            onHidden: function () {
                                $('#offerModal').modal('hide');
                            }
                        }
                    );
                }
            });
        });
        $(document).on('click', '#offerModal .star-icon', function(event) {
            event.preventDefault();
            var that = $(this);
            if (that.hasClass("active")) {
                that.attr("src", "{{ asset('theme/img/star.png') }}").removeClass('active');
            }else{
                that.attr("src", "{{ asset('theme/img/star-1.png') }}").addClass('active');
            }
        });
        $(document).on('keypress', '#offerModal .number', function(event) {
            if ((event.which != 46 || $(this).val().indexOf('.') != -1) && (event.which < 48 || event.which > 57)) {
                event.preventDefault();
            }
        });
        $(document).on('click', 'img[data-datepickerimage]', function(event) {
            event.preventDefault();
            var that    = $(this);
            if (that.attr('data-datepickerimage') == '1') {
                var ele = $(this).parent().find('input');
                ele.focus();
                that.attr('data-datepickerimage', '0');
            } else {
                that.attr('data-datepickerimage', '1');
            }
        });
        $(document).on("keyup change", ".evalute-miles", function(event) {
            var sum         = 0;
            $('.evalute-miles').each(function() {
                var val = $(this).val();
                if (val != "") {
                    sum += parseFloat(val);
                }
            });
            $('#offerModal input[name="total_miles"]').val(sum);
        });
        $(document).on("click", ".save-offer-btn", function(e) {
            event.preventDefault();
            // console.log('save-offer-btn');
            // return false;
            var that                = $(this);
            var btnTxt              = that.text();

            var form                = $('#offerModal #offerForm');
            var status              = form.find('.status-txt').attr('data-status');
            var parsley             = form.parsley({
                excluded: 'input[type=button], input[type=submit], input[type=reset]',
                inputs: 'input, textarea, select, input[type=hidden], :hidden',
            });
            parsley.validate();
            if (parsley.isValid()){
                var favorite        = 'No';
                if(form.find('.star-icon').hasClass('active')){
                    favorite        = 'Yes'
                }
                var formData        = new FormData(form[0]);
                formData.append('favorite', favorite);
                $.ajax({
                    type: 'POST',
                    url: "href",
                    url: "{{ route('company.admin.book.offer.save') }}",
                    data: formData,
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    cache : false,
                    processData: false,
                    contentType: false,
                    beforeSend: function() {
                        that.prop('disabled', true).html('Please Wait...');
                    },
                    success: function(response) {
                        if(response.success){
                            var offer = response.offer;
                            if (typeof offer !== "undefined") {
                                form.find('input[name="offer_id"]').val(offer.id);
                                form.find('.status-txt').attr('data-status', offer.status);
                                if(offer.status==0){
                                    form.find('.status-txt').html('Pending');
                                }
                                form.find('.offer-history-table').html(response.offerHistory);
                                if(form.find('input[name="rate_offered"]').val()!=''){
                                    form.find('input[name="counter_offer"]').prop("disabled", false);
                                }else{
                                    form.find('input[name="counter_offer"]').prop("disabled", true).val('');
                                }
                                toastr.success(
                                    response.message,
                                    'Success Alert', {
                                        timeOut: 1000,
                                        fadeOut: 1000,
                                        onHidden: function () {
                                            $('#offerModal').modal('hide');
                                        }
                                    }
                                );
                            }
                        }else{
                            toastr.error(response.message, 'Error Alert');
                        }
                    },
                    complete: function() {
                        that.prop('disabled', false).html(btnTxt);
                    },
                    error: function(jqXHR, status, exception) {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert');
                    }
                });
                return false;
            }
        });
        $(document).on("click", ".reserve-offer-btn", function(e) {
            event.preventDefault();
            // console.log('reserve-offer-btn');
            // return false;
            var that                = $(this);
            var btnTxt              = that.text();

            var form                = $('#offerModal #offerForm');
            var status              = form.find('.status-txt').attr('data-status');
            var parsley             = form.parsley({
                excluded: 'input[type=button], input[type=submit], input[type=reset]',
                inputs: 'input, textarea, select, input[type=hidden], :hidden',
            });
            parsley.validate();
            if (parsley.isValid()){
                var favorite        = 'No';
                if(form.find('.star-icon').hasClass('active')){
                    favorite        = 'Yes'
                }
                var formData        = new FormData(form[0]);
                formData.append('favorite', favorite);
                formData.append('status', 2); //Reserved
                $.ajax({
                    type: 'POST',
                    url: "href",
                    url: "{{ route('company.admin.book.offer.save') }}",
                    data: formData,
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    cache : false,
                    processData: false,
                    contentType: false,
                    beforeSend: function() {
                        that.prop('disabled', true).html('Please Wait...');
                    },
                    success: function(response) {
                        if(response.success){
                            that.prop('disabled', false).html('Cancel Reservation').addClass('cancel-reserve-offer-btn').removeClass('reserve-offer-btn');
                            var offer = response.offer;
                            if (typeof offer !== "undefined") {
                                form.find('input[name="offer_id"]').val(offer.id);
                                form.find('.status-txt').attr('data-status', offer.status);
                                if(offer.status==2){
                                    form.find('.status-txt').html('Reserved');
                                }
                                form.find('.offer-history-table').html(response.offerHistory);
                                if(form.find('input[name="rate_offered"]').val()!=''){
                                    form.find('input[name="counter_offer"]').prop("disabled", false);
                                }else{
                                    form.find('input[name="counter_offer"]').prop("disabled", true).val('');
                                }
                                toastr.success(
                                    'Offer reserved successfully.',
                                    'Success Alert', {
                                        timeOut: 1000,
                                        fadeOut: 1000,
                                        onHidden: function () {
                                            $('#offerModal').modal('hide');
                                        }
                                    }
                                );
                            }
                        }else{
                            that.prop('disabled', false).html(btnTxt);
                            toastr.error(response.message, 'Error Alert');
                        }
                    },
                    error: function(jqXHR, status, exception) {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        that.prop('disabled', false).html(btnTxt);
                        toastr.error(error, 'Error Alert');
                    }
                });
                return false;
            }
        });
        $(document).on("click", ".book-load-btn", function(e) {
            event.preventDefault();
            // console.log('book-load-btn');
            // return false;
            var that                = $(this);
            var btnTxt              = that.text();

            var form                = $('#offerModal #offerForm');
            var status              = form.find('.status-txt').attr('data-status');
            var parsley             = form.parsley({
                excluded: 'input[type=button], input[type=submit], input[type=reset]',
                inputs: 'input, textarea, select, input[type=hidden], :hidden',
            });
            parsley.validate();
            if (parsley.isValid()){
                var favorite        = 'No';
                if(form.find('.star-icon').hasClass('active')){
                    favorite        = 'Yes'
                }
                var formData        = new FormData(form[0]);
                formData.append('favorite', favorite);
                $.ajax({
                    type: 'POST',
                    url: "href",
                    url: "{{ route('company.admin.book.offer.save') }}",
                    data: formData,
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    cache : false,
                    processData: false,
                    contentType: false,
                    beforeSend: function() {
                        that.prop('disabled', true).html('Please Wait...');
                    },
                    success: function(response) {
                        if(response.success){
                            var offer = response.offer;
                            if (typeof offer !== "undefined") {
                                form.find('input[name="offer_id"]').val(offer.id);
                                form.find('.status-txt').attr('data-status', offer.status);
                                if(offer.status==0){
                                    form.find('.status-txt').html('Pending');
                                }
                                form.find('.offer-history-table').html(response.offerHistory);
                                if(form.find('input[name="rate_offered"]').val()!=''){
                                    form.find('input[name="counter_offer"]').prop("disabled", false);
                                }else{
                                    form.find('input[name="counter_offer"]').prop("disabled", true).val('');
                                }
                                toastr.success(
                                    'Book load successfully.',
                                    'Success Alert', {
                                        timeOut: 1000,
                                        fadeOut: 1000,
                                        onHidden: function () {
                                            window.location.href = "{{ route('company.admin.loads.create')}}?offer_id="+offer.id;
                                        }
                                    }
                                );
                            }
                        }else{
                            toastr.error(response.message, 'Error Alert');
                        }
                    },
                    complete: function() {
                        that.prop('disabled', false).html(btnTxt);
                    },
                    error: function(jqXHR, status, exception) {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert');
                    }
                });
                return false;
            }
        });
        $(document).on("click", ".counter-btn", function(e) {
            event.preventDefault();
            // console.log('counter-btn');
            // return false;
            var that                = $(this);
            var btnTxt              = that.text();

            var form                = $('#offerModal #offerForm');
            var offer_id            = form.find('input[name="offer_id"]').val();
            var counter_offer       = form.find('input[name="counter_offer"]');
            var counter_offer_val   = counter_offer.val();
            var isDisabled          = counter_offer.is(':disabled');
            if (!isDisabled){
                if(counter_offer_val==''){
                    toastr.error('Please enter counter Offer.', 'Error Alert', { timeOut: 5000 });
                    return false;
                }
                $.ajax({
                    type: 'POST',
                    url: "href",
                    url: "{{ route('company.admin.counter.offer.save') }}",
                    data: { offer_id:offer_id, counter_offer:counter_offer_val },
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function() {
                        that.prop('disabled', true).html('Please Wait...');
                    },
                    success: function(response) {
                        that.prop('disabled', false).html(btnTxt);
                        if(response.success){
                            var offerHistory = response.offerHistory;
                            if (typeof offerHistory !== "undefined") {
                                form.find('.offer-history-table').html(response.offerHistory);
                                form.find('input[name="counter_offer"]').val('');
                                toastr.success(response.message, 'Success Alert');
                            }
                        }else{
                            toastr.error(response.message, 'Error Alert');
                        }
                    },
                    error: function(jqXHR, status, exception) {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        that.prop('disabled', false).html(btnTxt);
                        toastr.error(error, 'Error Alert');
                    }
                });
                return false;
            }
        });
        $(document).on("click", ".confirm-btn", function(e) {
            event.preventDefault();
            // console.log('confirm-btn');
            // return false;
            var that                = $(this);
            var btnTxt              = that.text();

            var form                = $('#offerModal #offerForm');
            var offer_id            = form.find('input[name="offer_id"]').val();
            var agreed_upon_rate    = form.find('input[name="agreed_upon_rate"]').val();
            if(agreed_upon_rate==''){
                toastr.error('Please enter final rate.', 'Error Alert', { timeOut: 5000 });
                return false;
            }
            var parsley             = form.parsley({
                excluded: 'input[type=button], input[type=submit], input[type=reset]',
                inputs: 'input, textarea, select, input[type=hidden], :hidden',
            });
            parsley.validate();
            if (parsley.isValid()){
                var favorite        = 'No';
                if(form.find('.star-icon').hasClass('active')){
                    favorite        = 'Yes'
                }
                var formData        = new FormData(form[0]);
                formData.append('favorite', favorite);
                formData.append('is_final_rate', 1);
                $.ajax({
                    type: 'POST',
                    url: "href",
                    url: "{{ route('company.admin.book.offer.save') }}",
                    data: formData,
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    cache : false,
                    processData: false,
                    contentType: false,
                    beforeSend: function() {
                        that.prop('disabled', true).html('Please Wait...');
                    },
                    success: function(response) {
                        if(response.success){
                            var offer = response.offer;
                            if (typeof offer !== "undefined") {
                                form.find('input[name="offer_id"]').val(offer.id);
                                form.find('.status-txt').attr('data-status', offer.status);
                                if(offer.status==0){
                                    form.find('.status-txt').html('Pending');
                                }
                                form.find('.offer-history-table').html(response.offerHistory);
                                if(form.find('input[name="rate_offered"]').val()!=''){
                                    form.find('input[name="counter_offer"]').prop("disabled", false);
                                }else{
                                    form.find('input[name="counter_offer"]').prop("disabled", true).val('');
                                }
                                toastr.success(
                                    'Final rate confirm successfully.',
                                    'Success Alert', {
                                        timeOut: 1000,
                                        fadeOut: 1000,
                                        onHidden: function () {
                                            //$('#offerModal').modal('hide');
                                        }
                                    }
                                );
                            }
                        }else{
                            toastr.error(response.message, 'Error Alert');
                        }
                    },
                    complete: function() {
                        that.prop('disabled', false).html(btnTxt);
                    },
                    error: function(jqXHR, status, exception) {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert');
                    }
                });
                return false;
            }
        });
        $(document).on("click", ".cancel-reserve-offer-btn", function(e) {
            event.preventDefault();
            // console.log('cancel-reserve-offer-btn');
            // return false;
            var that                = $(this);
            var btnTxt              = that.text();

            var form                = $('#offerModal #offerForm');
            var offer_id            = form.find('input[name="offer_id"]').val();
            if(offer_id){
                $.ajax({
                    type: 'POST',
                    url: "href",
                    url: "{{ route('company.admin.cancel.reservation.offer') }}",
                    data: { offer_id:offer_id },
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function() {
                        that.prop('disabled', true).html('Please Wait...');
                    },
                    success: function(response) {
                        if(response.success){
                            form.find('.status-txt').attr('data-status', 0).html('Pending');
                            that.prop('disabled', false).html('Reserve Offer').addClass('reserve-offer-btn').removeClass('cancel-reserve-offer-btn');
                            toastr.success(response.message, 'Success Alert');
                        }else{
                            that.prop('disabled', false).html(btnTxt);
                            toastr.error(response.message, 'Error Alert');
                        }
                    },
                    error: function(jqXHR, status, exception) {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        that.prop('disabled', false).html(btnTxt);
                        toastr.error(error, 'Error Alert');
                    }
                });
                return false;
            }
        });
        $('#offerModal').on('hidden.bs.modal', function () {
            //console.log('Offer modal hidden');
            offerTable.ajax.reload(null, false);
            $('#offerModal').find('.append-view').html('');
        });
        $('#offerModal').on('shown.bs.modal', function (e) {
            //console.log('Offer modal shown');
        });
        $('#offerModal').on('hide.bs.modal', function () {
            //console.log('Offer modal hide');
        });
        $('#offerModal').on('show.bs.modal', function (e) {
            //console.log('Offer modal show');
            $('#offerModal').find('.append-view').html(`
                <div class="loadingdiv">
                    <img src="{{ asset('theme/img/loading.gif') }}">
                </div>
            `);
        })
        function getWeeklyFuelSurcharge() {
            var modalForm   = $('#offerModal #offerForm');
            var start_date  = modalForm.find('input[name="shipper_date_time"]').val();
            var end_date    = "";
            $.ajax({
                type: 'POST',
                url: "/company-admin/loads/fuel-surcharge-info",
                data: {
                    start_date: start_date,
                    end_date: end_date
                },
                dataType: 'json',
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                success: function(response) {
                    var modalForm                       = $('#offerModal #offerForm');
                    var fuel_surcharge_cost_per_mile    = modalForm.find('input[name="fuel_surcharge_cost_per_mile"]');
                    if (response.data) {
                        fuel_surcharge_cost_per_mile.val(response.data.fuel_surcharge);
                    } else {
                        fuel_surcharge_cost_per_mile.val('');
                    }
                }
            });
        }
    </script>
@endsection

@push('after-scripts')
    <script src="{{ asset('theme/js/trimble.js') }}"></script>
@endpush
