@extends($companyAdminTheme)

@section('title')
    Dispatcher Create
@endsection

@section('header-title')
    New User
@endsection

@section('style')
    <link rel="stylesheet" type="text/css" href="{{ asset('theme/css/datepicker3.min.css') }}">
@endsection

@section('content')
    {!! Form::open(array(
            'route'         => 'company.admin.dispatchers.store',
            'method'        => 'POST',
            'files'         => 'true',
            'autocomplete'  => 'off',
            'class'         => 'post-form'
        )
    ) !!}
        <div class="row">
            <div class="col-lg-6">
                <div class="white-box mb-4 generalAccount">
                    <h4 class="box-title">General Information</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-5">
                                <div class="form-group">
                                    <label>First name<span>*</span></label>
                                    {!! Form::text('first_name', old('first_name'), array('class' => 'form-control', 'required' => 'required', 'data-parsley-pattern' => '^[a-zA-Z ]*$')) !!}
                                    @error('first_name')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-5 col-sm-9">
                                <div class="form-group">
                                    <label>Last name<span>*</span></label>
                                    {!! Form::text('last_name', old('last_name'), array('class' => 'form-control', 'required' => 'required', 'data-parsley-pattern' => '^[a-zA-Z ]*$')) !!}
                                    @error('last_name')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-2 col-sm-3">
                                <div class="form-group">
                                    <label>M</label>
                                    {!! Form::text('middle_name', old('middle_name'), array('class' => 'form-control', 'data-parsley-pattern' => '^[a-zA-Z ]*$')) !!}
                                </div>
                            </div>
                            <div class="col-md-12 geocoding">
                                <input type="hidden" class="geocoding-latitude" name="latitude" value="" autocomplete="off">
                                <input type="hidden" class="geocoding-longitude" name="longitude" value="" autocomplete="off">
                                <input type="hidden" class="geocoding-abbr" name="timezone_abbr" value="" autocomplete="off" data-parsley-errors-container="#timezone_abbr-errors" data-parsley-required-message="Please verify address" required>
                                <input type="hidden" class="geocoding-verified" name="address_verified" value="0" autocomplete="off">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Address</label>
                                            {!! Form::text('address', old('address'), array(
                                                    'class'         => 'form-control geocoding-address-1',
                                                    'placeholder'   => '',
                                                    'id'            => 'address',
                                                    'required'      => 'required'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Address 2</label>
                                            {!! Form::text('address_2', old('address_2'), array(
                                                    'class'         => 'form-control geocoding-address-2',
                                                    'placeholder'   => '',
                                                    'id'            => 'address_2'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>City</label>
                                            {!! Form::text('city', old('city'), array(
                                                    'class'         => 'form-control geocoding-city',
                                                    'placeholder'   => '',
                                                    'id'            => 'city'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>State</label>
                                            {!! Form::text('state', old('state'), array(
                                                    'class'         => 'form-control geocoding-state',
                                                    'placeholder'   => '',
                                                    'id'            => 'state',
                                                    'required'      => 'required'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Zip</label>
                                            {!! Form::text('zip', old('zip'), array(
                                                    'class'         => 'form-control geocoding-zip',
                                                    'placeholder'   => '',
                                                    'id'            => 'zip',
                                                    'required'      => 'required'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <button type="button" class="btn btn-warning geocoding-btn" data-uid="{{ 'map-'.generateStrUniqueId() }}">Verify</button>
                                        <div id="timezone_abbr-errors"></div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Cell Phone</label>
                                    {!! Form::text('cell_phone', old('cell_phone'), array('placeholder' => '(555) 123-1234', 'class' => 'form-control phone')) !!}
                                    @error('cell_phone')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label>SMS</label>
                                    <div class="custom-control custom-switch">
                                        {!! Form::checkbox('sms', 1, null, array('class' => 'custom-control-input', 'id' => 'sms')) !!}
                                        <label class="custom-control-label" for="sms"></label>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Home Phone</label>
                                    {!! Form::text('home_phone', old('home_phone'), array('placeholder' => '(555) 123-1234', 'class' => 'form-control phone')) !!}
                                    @error('home_phone')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Start Date<span>*</span></label>
                                    {!! Form::text('start_date', old('start_date'), array('class' => 'form-control start-date', 'required' => 'required')) !!}
                                    @error('start_date')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Notes</label>
                                    {!! Form::textarea('notes', old('notes'), array('placeholder' => 'Type your note...', 'class' => 'textarea form-control', 'rows' => '4')) !!}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="white-box mb-4 generalAccount">
                    <h4 class="box-title">Account Information</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Role</label>
                                    {!! Form::select('role_id', ['' => 'Select Role']+getRoleDispatcherList(), null, ['class' => 'custom-select form-control', 'required' => 'required']) !!}
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Email<span>*</span></label>
                                    {!! Form::text('email', old('email'), array('class' => 'form-control', 'autocomplete' => 'email', 'required' => 'required', 'data-parsley-type' => 'email')) !!}
                                    @error('email')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Password<span>*</span></label>
                                    {!! Form::password('password', array('class' => 'form-control', 'autocomplete' => 'new-password', 'required' => 'required')) !!}
                                    @error('password')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            {{--
                            <div class="col-xl-6 col-sm-6">
                                <div class="form-group">
                                    <label>Send Welcome Email</label>
                                    <div class="custom-control custom-switch">
                                        {!! Form::checkbox('send_welcome_email', 1, null, array('class' => 'custom-control-input', 'id' => 'welcomeEmail')) !!}
                                        <label class="custom-control-label" for="welcomeEmail"></label>
                                    </div>
                                </div>
                            </div>
                            --}}
                            <div class="col-xl-6 col-sm-6">
                                <div class="form-group">
                                    <label>Allow Login</label>
                                    <div class="custom-control custom-switch">
                                        {!! Form::checkbox('allow_login', 1, null, array('class' => 'custom-control-input', 'id' => 'allowLogin')) !!}
                                        <label class="custom-control-label" for="allowLogin"></label>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Profile Image</label>
                                    {!! Form::file('profile_image', ['class' => 'form-control']) !!}
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Team</label>
                                    {!! Form::select('team_id', ['' => 'Select Team']+getTeamList(), null, ['class' => 'custom-select form-control']) !!}
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label for="active-status">Status</label>
                                    {!! Form::select('status', ['' => 'Select Status', '0' => 'Active', '1' => 'OOS', '2' => 'Terminate', '3' => 'Rehire'], 0, ['class' => 'form-control select2', 'id' => 'status']) !!}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-12">
                <div class="white-box mb-4 driverFinancial">
                    <h4 class="box-title">Company Info</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-xl-2 col-md-6 col-sm-6">
                                <div class="form-group">
                                    <label>Extension Number</label>
                                    {!! Form::text('extension_number', old('extension_number'), array('class' => 'form-control', 'placeholder' => 'Extension Number')) !!}
                                </div>
                            </div>
                            <div class="col-xl-2 col-md-6 col-sm-6">
                                <div class="form-group">
                                    <label>Text Number</label>
                                    {!! Form::text('text_number', old('text_number'), array('class' => 'form-control phone', 'placeholder' => '(555) 123-1234')) !!}
                                    @error('text_number')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-xl-4 col-md-6 col-sm-6">
                                <div class="form-group">
                                    <label>After Hours Extension</label>
                                    {!! Form::text('after_hours_extension', old('after_hours_extension'), array('class' => 'form-control', 'placeholder' => 'After hour....')) !!}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-12">
                <div class="white-box">
                    <h4 class="box-title">Dashboard Access</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="empty-box">
                                    <p>Show defaults set for user type, and allow for custom access</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="button-bottom">
            <a href="{{ route('company.admin.dispatchers.index') }}" class="cancel-btn">Cancel</a>
            <button class="submit-btn">Submit</button>
        </div>
    {!! Form::close() !!}
@endsection

@section('script')
    <script src="{{ asset('theme/js/bootstrap-datepicker.js') }}"></script>
    <script type="text/javascript">
        $( document ).ready(function() {
            $('.post-form').parsley({
                excluded: 'input[type=button], input[type=submit], input[type=reset]',
                inputs: 'input, textarea, select, input[type=hidden], :hidden',
            });
            $('.start-date').datepicker({
                autoclose: true,
                todayHighlight: true,
            });
        });
    </script>
    <script type="text/javascript">
        var teamVal;
        $('select[name="team_id"]').on('change', function (e) {
            var optionSelected = $("option:selected", this);
            var newVal      = this.value;
            if(newVal!=''){
                if (!confirm("Are you sure?")) {
                    $(this).val(teamVal); //set back
                    return; //abort!
                }
                teamVal     = newVal;
            }else{
                teamVal     = newVal;
            }
        });
    </script>
@endsection

@push('after-scripts')
    <script src="{{ asset('theme/js/trimble.js') }}"></script>
@endpush