@extends($companyAdminTheme)

@section('title')
    Dispatcher Report
@endsection

@section('style')
    <link rel="stylesheet" href="{{ asset('theme/css/daterangepicker.css') }}">
    <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/buttons/2.2.3/css/buttons.dataTables.min.css">
    <style type="text/css">
        .card {
            width: 100%;
            height: 100%;
        }
        .card .card-header{
            background: #fff;
        }
        .card .card-body {
            padding: 5px;
            height: calc(100% - 63px);
        }
        .highcharts-container {
            height: auto !important;
        }
    </style>
    <style type="text/css">
        div.dt-buttons {
          float: right;
          margin-left: 1rem!important;
          margin-top: 3px!important;
        }
        input[type="number"] {
          min-width: 50px;
        }
    </style>
@endsection

@section('content')
    <div class="row">
        <div class="col-md-12 mb-4">
            <div class="dropdown date-selection dowpdowdate">
                <div id="reportrange" style="background: #fff; cursor: pointer; padding: 5px 10px; border: 1px solid #ccc; width: 100%">
                    <i class="fa fa-calendar"></i>&nbsp;
                    <span></span> <i class="fa fa-caret-down"></i>
                </div>
            </div>
        </div>
    </div>
    <div id="chart-div" class="chart-div"></div>

    <div class="white-box table-view mt-4">
        <div class="add-responsive"  style="overflow-x: auto">

            <table class="table dispatcherReportDataTable" style="width:auto">
                <thead>
                    <tr>
                        @foreach($getField as $key => $filed)
                            @if($filed == 1 && isset(config('settings.table_dispatcher_report')[$key]['name']))
                                @if(config('settings.table_dispatcher_report')[$key]['name'] == "Action")
                                <th class="notexport">{{ config('settings.table_dispatcher_report')[$key]['name'] }}</th>
                                @else
                                <th>{{ config('settings.table_dispatcher_report')[$key]['name'] }}</th>
                                @endif
                            @endif
                        @endforeach
                    </tr>
                </thead>
                <tbody>
                </tbody>
            </table>
        </div>
    </div>
    <div class="modal fade" id="exampleModal6" tabindex="-1" role="dialog" aria-labelledby="exampleModal6Label" aria-hidden="true">
        <div class="modal-dialog" role="document">
            {!! Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')) !!}
                <input type="hidden" name="table_id" value="dispatcher_report">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModal6Label">Adjust Table Columns</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <ul class="sortableList connected-sortable droppable-area1" id="sortable">
                            @foreach($getField as $key => $filed)
                                @if(isset(config('settings.table_dispatcher_report')[$key]['name']))
                                    <li class="ui-state-default">
                                        <div class="custom-control custom-checkbox">
                                            <input type='hidden' value='0' name='field[{{ $key }}]'>
                                            <input type="checkbox" class="custom-control-input" id="Check{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed==1) checked @endif>
                                            <label class="custom-control-label" for="Check{{ $key }}">{{ config('settings.table_dispatcher_report')[$key]['name'] }}</label>
                                        </div>
                                        <i class="fa fa-align-justify drag-icon"></i>
                                    </li>
                                @endif
                            @endforeach
                        </ul>
                    </div>
                    <div class="modal-footer">
                        <button type="submit" class="btn btn-primary">Save</button>
                    </div>
                </div>
            {!! Form::close() !!}
        </div>
    </div>
@endsection

@section('script')
    <script src="{{ asset('theme/js/daterangepicker.min.js') }}"></script>
    <script src="{{ asset('companyAdmin/js/highstock.js') }}"></script>
    <script src="{{ asset('companyAdmin/js/data.js') }}"></script>
    <script src="{{ asset('companyAdmin/js/exporting.js') }}"></script>
    <script src="{{ asset('companyAdmin/js/export-data.js') }}"></script>
    <script src="{{ asset('companyAdmin/js/accessibility.js') }}"></script>
    <script src="{{ asset('companyAdmin/js/highcharts-more.js') }}"></script>

    <script type="text/javascript" src="https://cdn.datatables.net/buttons/2.2.3/js/dataTables.buttons.min.js"></script>
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js"></script>
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js"></script>
    <script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.2/js/buttons.html5.min.js"></script>

    <script type="text/javascript">
        if(localTimeZone!=timeZone){
            moment.tz.setDefault(timeZone);
        }
    </script>
    <script type="text/javascript">
        var token               = $('meta[name="csrf-token"]').attr('content');
        $(function() {
            var Weekse          = localStorage.getItem('Weekse');
            var Weekee          = localStorage.getItem('Weekee');
            if(Weekse){
                if(localTimeZone!=timeZone){
                    var start   = moment(Weekse, 'MM/DD/YYYY').tz(timeZone);
                    var end     = moment(Weekee, 'MM/DD/YYYY').tz(timeZone);
                }else{
                    var start   = moment(Weekse);
                    var end     = moment(Weekee);
                }
            }else{
                var start       = moment().startOf('week');
                var end         = moment().endOf('week');
            }

            $('#reportrange').daterangepicker({
                startDate: start,
                endDate: end,
                ranges: {
                   'Today': [moment(), moment()],
                   'Yesterday': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                   'Last Week': [moment().subtract(1, 'week').startOf('week'), moment().subtract(1, 'week').endOf('week')],
                   'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                   'This Week': [moment().startOf('week'), moment().endOf('week')],
                   'This Month': [moment().startOf('month'), moment().endOf('month')],
                   'This Year': [moment().subtract(0, 'year').startOf('year'), moment().subtract(0, 'year').endOf('year')],
                   'Last Month': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')],
                   'Last Year': [moment().subtract(1, 'year').startOf('year'), moment().subtract(1, 'year').endOf('year')]
                }
            }, cb);

            cb(start, end);
        });
        function cb(start, end) {
            $('#reportrange span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'));

            var start_date  = start.format('MM/DD/YYYY');
            var end_date    = end.format('MM/DD/YYYY');

            localStorage.setItem('Weekse', start_date);
            localStorage.setItem('Weekee', end_date);

            chartDataByDispatcher(start_date,end_date);
            chartAccount(start_date, end_date);
        }
        function chartDataByDispatcher(start_date,end_date) {
            //console.table([start_date, end_date, "chartDataByDispatcher"]);
            $.ajax({
                url: "{{ route('company.admin.dispatcher.report.chart.data') }}",
                method: "POST",
                data: { _token: token, start_date: start_date, end_date: end_date},
                success: function(response) {
                    $(".chart-div").html(response.view);
                    setTimeout(function () {
                        if(response.driver_chart)
                            driverHighchart(response.driver_chart);
                        if(response.load_chart)
                            loadHighchart(response.load_chart);
                        if(response.miles_chart)
                            milesHighchart(response.miles_chart);
                        if(response.revenue_chart)
                            revenueHighchart(response.revenue_chart);
                    }, 200);
                }
            });
        }
        function driverHighchart(chartData){
            var total           = parseInt(chartData.total_drivers_count);
            var arraData        = JSON.parse(chartData.driversData);

            var chart           = new Highcharts.Chart({
                tooltip: {
                    valueDecimals : false,
                    formatter: function() {
                        return this.point.name + ': <b>' + this.y + '</b>';
                    }
                },
                chart: {
                    renderTo: 'container',
                    type: 'pie',
                    events: {
                        load: function () {
                            if (this.title) {
                                this.title.destroy();
                            }
                            var r = this.renderer,
                                x = this.series[0].center[0],
                                y = this.series[0].center[1];

                            this.title = r.text(total+'<br>Drivers', x, y, true)
                                .css({
                                'text-align': 'center',
                                fontSize: '100%'
                            }).hide()
                                .add();

                            var bbox = this.title.getBBox();
                            this.title.attr({
                                x: x - (bbox.width / 2),
                                y: y - bbox.height / 4
                            }).show();
                        },
                        redraw: function () {
                            if (this.title) {
                                this.title.destroy();
                            }
                            var r = this.renderer,
                                x = this.series[0].center[0],
                                y = this.series[0].center[1];

                            this.title = r.text(total+'<br>Drivers', x, y, true)
                                .css({
                                'text-align': 'center',
                                fontSize: '100%'
                            }).hide()
                                .add();

                            var bbox = this.title.getBBox();
                            this.title.attr({
                                x: x - (bbox.width / 2),
                                y: y - bbox.height / 4
                            }).show();
                        }
                    },
                    marginLeft:0,
                    marginRight:0,
                    marginTop:0,
                    spacingTop: 0,
                    spacingBottom: 0,
                    spacingLeft: 0,
                    spacingRight: 0,
                    //backgroundColor: '#FCFFC5',
                    height: '100%',
                },
                title: {
                    text: "",
                    margin: 0,
                    y: 0,
                    x: 0,
                    align: 'center',
                    verticalAlign: 'middle',
                },
                exporting: {
                    enabled: false
                },
                plotOptions: {
                    pie: {
                        allowPointSelect: true,
                        cursor: 'pointer',
                        dataLabels: {
                            enabled: true
                        },
                        showInLegend: true,
                        innerSize: '60%'
                    }
                },
                legend: {
                    align: 'right',
                    verticalAlign: 'middle',
                    layout: 'vertical'
                },
                series: [{
                    data: arraData
                }],
                responsive: {
                    rules: [{
                        condition: {
                            maxWidth: 500
                        },
                        chartOptions: {
                            legend: {
                                align: 'center',
                                verticalAlign: 'bottom',
                                layout: 'horizontal'
                            }
                        }
                    }]
                }
            });
        }
        function loadHighchart(chartData){
            var total           = parseInt(chartData.total_load_count);
            var arraData        = JSON.parse(chartData.loadsData);

            var chart1          = new Highcharts.Chart({
                tooltip: {
                    valueDecimals : false,
                    formatter: function() {
                        return this.point.name + ': <b>' + Highcharts.numberFormat(this.y,0) + '</b>';
                    }
                },
                chart: {
                    renderTo: 'container1',
                    type: 'pie',
                    events: {
                        load: function () {
                            if (this.title) {
                                this.title.destroy();
                            }
                            var r = this.renderer,
                                x = this.series[0].center[0],
                                y = this.series[0].center[1];

                            this.title = r.text(Highcharts.numberFormat(total,0,'',',')+'<br>Loads', x, y, true)
                                .css({
                                'text-align': 'center',
                                fontSize: '100%'
                            }).hide()
                                .add();

                            var bbox = this.title.getBBox();
                            this.title.attr({
                                x: x - (bbox.width / 2),
                                y: y - bbox.height / 4
                            }).show();
                        },
                        redraw: function () {
                            if (this.title) {
                                this.title.destroy();
                            }
                            var r = this.renderer,
                                x = this.series[0].center[0],
                                y = this.series[0].center[1];

                            this.title = r.text(Highcharts.numberFormat(total,0,'',',')+'<br>Loads', x, y, true)
                                .css({
                                'text-align': 'center',
                                fontSize: '100%'
                            }).hide()
                                .add();

                            var bbox = this.title.getBBox();
                            this.title.attr({
                                x: x - (bbox.width / 2),
                                y: y - bbox.height / 4
                            }).show();
                        }
                    },
                    marginLeft:0,
                    marginRight:0,
                    marginTop:0,
                    spacingTop: 0,
                    spacingBottom: 0,
                    spacingLeft: 0,
                    spacingRight: 0,
                    //backgroundColor: '#FCFFC5',
                    height: '100%',
                },
                title: {
                    text: "",
                    margin: 0,
                    y: 0,
                    x: 0,
                    align: 'center',
                    verticalAlign: 'middle',
                },
                exporting: {
                    enabled: false
                },
                plotOptions: {
                    pie: {
                        allowPointSelect: true,
                        cursor: 'pointer',
                        dataLabels: {
                            enabled: true
                        },
                        showInLegend: true,
                        innerSize: '60%'
                    }
                },
                legend: {
                    align: 'right',
                    verticalAlign: 'middle',
                    layout: 'vertical'
                },
                series: [{
                    data: arraData
                }],
                responsive: {
                    rules: [{
                        condition: {
                            maxWidth: 500
                        },
                        chartOptions: {
                            legend: {
                                align: 'center',
                                verticalAlign: 'bottom',
                                layout: 'horizontal'
                            }
                        }
                    }]
                }
            });
        }
        function milesHighchart(chartData){
            var total           = parseInt(chartData.total_miles);
            var arraData        = JSON.parse(chartData.milesData);

            var chart2          = new Highcharts.Chart({
                tooltip: {
                    valueDecimals : false,
                    formatter: function() {
                        return this.point.name + ': <b>'+ Highcharts.numberFormat(this.y, 0, '', ',') + '</b>';
                    }
                },
                chart: {
                    renderTo: 'container2',
                    type: 'pie',
                    events: {
                        load: function () {
                            if (this.title) {
                                this.title.destroy();
                            }
                            var r = this.renderer,
                                x = this.series[0].center[0],
                                y = this.series[0].center[1];

                            this.title = r.text(Highcharts.numberFormat(total,0,'',',')+'<br>Miles', x, y, true)
                                .css({
                                'text-align': 'center',
                                fontSize: '100%'
                            }).hide()
                                .add();

                            var bbox = this.title.getBBox();
                            this.title.attr({
                                x: x - (bbox.width / 2),
                                y: y - bbox.height / 4
                            }).show();
                        },
                        redraw: function () {
                            if (this.title) {
                                this.title.destroy();
                            }
                            var r = this.renderer,
                                x = this.series[0].center[0],
                                y = this.series[0].center[1];

                            this.title = r.text(Highcharts.numberFormat(total,0,'',',')+'<br>Miles', x, y, true)
                                .css({
                                'text-align': 'center',
                                fontSize: '100%'
                            }).hide()
                                .add();

                            var bbox = this.title.getBBox();
                            this.title.attr({
                                x: x - (bbox.width / 2),
                                y: y - bbox.height / 4
                            }).show();
                        }
                    },
                    marginLeft:0,
                    marginRight:0,
                    marginTop:0,
                    spacingTop: 0,
                    spacingBottom: 0,
                    spacingLeft: 0,
                    spacingRight: 0,
                    //backgroundColor: '#FCFFC5',
                    height: '100%',
                },
                title: {
                    text: "",
                    margin: 0,
                    y: 0,
                    x: 0,
                    align: 'center',
                    verticalAlign: 'middle',
                },
                exporting: {
                    enabled: false
                },
                plotOptions: {
                    pie: {
                        allowPointSelect: true,
                        cursor: 'pointer',
                        dataLabels: {
                            enabled: true
                        },
                        showInLegend: true,
                        innerSize: '60%'
                    }
                },
                legend: {
                    align: 'right',
                    verticalAlign: 'middle',
                    layout: 'vertical'
                },
                series: [{
                    data: arraData
                }],
                responsive: {
                    rules: [{
                        condition: {
                            maxWidth: 500
                        },
                        chartOptions: {
                            legend: {
                                align: 'center',
                                verticalAlign: 'bottom',
                                layout: 'horizontal'
                            }
                        }
                    }]
                }
            });
        }
        function revenueHighchart(chartData){
            var total           = parseInt(chartData.total_revenue);
            var arraData        = JSON.parse(chartData.revenueData);

            var chart3           = new Highcharts.Chart({
                tooltip: {
                    formatter: function() {
                        return this.point.name + ': <b>' +'$'+ Highcharts.numberFormat(this.y, 2, '.', ',') + '</b>';
                    }
                },
                chart: {
                    renderTo: 'container3',
                    type: 'pie',
                    events: {
                        load: function () {
                            if (this.title) {
                                this.title.destroy();
                            }
                            var r = this.renderer,
                                x = this.series[0].center[0],
                                y = this.series[0].center[1];

                            this.title = r.text('$'+Highcharts.numberFormat(total, 2, '.', ',')+'<br>Revenue', x, y, true)
                                .css({
                                'text-align': 'center',
                                fontSize: '100%'
                            }).hide()
                                .add();

                            var bbox = this.title.getBBox();
                            this.title.attr({
                                x: x - (bbox.width / 2),
                                y: y - bbox.height / 4
                            }).show();
                        },
                        redraw: function () {
                            if (this.title) {
                                this.title.destroy();
                            }
                            var r = this.renderer,
                                x = this.series[0].center[0],
                                y = this.series[0].center[1];

                            this.title = r.text('$'+Highcharts.numberFormat(total, 2, '.', ',')+'<br>Revenue', x, y, true)
                                .css({
                                'text-align': 'center',
                                fontSize: '100%'
                            }).hide()
                                .add();

                            var bbox = this.title.getBBox();
                            this.title.attr({
                                x: x - (bbox.width / 2),
                                y: y - bbox.height / 4
                            }).show();
                        }
                    },
                    marginLeft:0,
                    marginRight:0,
                    marginTop:0,
                    spacingTop: 0,
                    spacingBottom: 0,
                    spacingLeft: 0,
                    spacingRight: 0,
                    //backgroundColor: '#FCFFC5',
                    height: '100%',
                },
                title: {
                    text: "",
                    margin: 0,
                    y: 0,
                    x: 0,
                    align: 'center',
                    verticalAlign: 'middle',
                },
                exporting: {
                    enabled: false
                },
                plotOptions: {
                    pie: {
                        allowPointSelect: true,
                        cursor: 'pointer',
                        dataLabels: {
                            enabled: true
                        },
                        showInLegend: true,
                        innerSize: '60%'
                    }
                },
                legend: {
                    align: 'right',
                    verticalAlign: 'middle',
                    layout: 'vertical'
                },
                series: [{
                    data: arraData
                }],
                responsive: {
                    rules: [{
                        condition: {
                            maxWidth: 500
                        },
                        chartOptions: {
                            legend: {
                                align: 'center',
                                verticalAlign: 'bottom',
                                layout: 'horizontal'
                            }
                        }
                    }]
                }
            });
        }
    </script>
    <script type="text/javascript">
        // datatable by calendar filter
        function chartAccount(start_date, end_date) {
            var table = $('.dispatcherReportDataTable').DataTable({
                bDestroy: true,
                stateSave: true,
                // bSortCellsTop: true,
                language: {
                    search: "",
                    searchPlaceholder: "Search...",
                },
                // dom: "<'row cusotdiv'<'col-sm-5 col-md-6'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
                bSort: true,
                // processing: true,
                ordering: false,
                serverSide: false,
                paging: false,

                pageLength: "{{ perPageView() }}",
                dom: 'Bfrtip',
                buttons: [
                    {
                        text: '<img style="height: 25px;width: 20px;" src="{{ asset("theme/img/pdf.png") }}">',
                        extend: 'pdfHtml5',
                        orientation: 'landscape',
                        pageSize: 'LEGAL',
                        customize: function(doc) {
                            doc.styles.tableBodyEven.alignment = 'center';
                            doc.styles.tableBodyOdd.alignment = 'center';
                        },
                        exportOptions: {
                            columns: ':not(.notexport)',
                        },
                    }
                ],
                columnDefs: [{
                    "defaultContent": "-",
                    "targets": "_all"
                }],
                //order: [[0, "desc"]],
                ajax:{
                    url:"{{ route('company.admin.dispatcher.report.data') }}",
                    type: "POST",
                    data: { _token: token, start_date: start_date, end_date: end_date}
                },
                columns: [
                    <?php foreach($getField as $key => $filed): ?>
                        <?php if($filed == 1): ?> {
                            data: '{{ $key }}',
                            name: '{{ $key }}',
                            orderable: true,
                            searchable: true
                        },
                        <?php endif; ?>
                    <?php endforeach; ?>
                ]
            });

            $('<button type="button" class="btn btn-primary ml-3" data-toggle="modal" data-target="#exampleModal6">Columns</button>').appendTo(".dataTables_filter");
        }
        // alert('safdsa');

        $(function() {
            $("#sortable").sortable();
        });
    </script>
@endsection
