@extends($companyAdminTheme)

@section('title')
    Driver Create
@endsection

@section('header-title')
    New User
@endsection

@section('style')
    <link rel="stylesheet" href="{{ asset('theme/css/datepicker3.min.css') }}">
    <link rel="stylesheet" href="{{ asset('theme/css/select2.min.css') }}">
    <style type="text/css">
        .select2-container{
            width: 100% !important;
        }
        .select2-container .select2-selection--single{
            height: 35px;
        }
        .select2-container--default .select2-selection--single{
            border: 1px solid #C5CEE0;
        }
        .select2-container--default .select2-selection--single .select2-selection__rendered{
            line-height: 34px;
        }
        .select2-container--default .select2-selection--single .select2-selection__arrow{
            height: 31px;
        }
    </style>
@endsection

@php $dummy_id = time(); @endphp

@section('content')
    {!! Form::open(array(
            'route'         => 'company.admin.drivers.store',
            'method'        => 'POST',
            'files'         => 'true',
            'autocomplete'  => 'off',
            'class'         => 'store-form'
        )
    ) !!}
        <input type="hidden" name="dummy_id" value="{{$dummy_id}}">
        <div class="row">
            <div class="col-lg-6">
                <div class="white-box mb-4 generalAccount">
                    <h4 class="box-title">General Information</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-5">
                                <div class="form-group">
                                    <label>First name<span>*</span></label>
                                    {!! Form::text('first_name', old('first_name'), array('class' => 'form-control', 'required' => 'required', 'data-parsley-pattern' => '^[a-zA-Z ]*$')) !!}
                                    @error('first_name')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-5 col-sm-9">
                                <div class="form-group">
                                    <label>Last name<span>*</span></label>
                                    {!! Form::text('last_name', old('last_name'), array('class' => 'form-control', 'required' => 'required', 'data-parsley-pattern' => '^[a-zA-Z ]*$')) !!}
                                    @error('last_name')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-2 col-sm-3">
                                <div class="form-group">
                                    <label>M</label>
                                    {!! Form::text('middle_name', old('middle_name'), array('class' => 'form-control', 'data-parsley-pattern' => '^[a-zA-Z ]*$')) !!}
                                </div>
                            </div>
                            <div class="col-md-12 geocoding">
                                <input type="hidden" class="geocoding-latitude" name="latitude" value="" autocomplete="off">
                                <input type="hidden" class="geocoding-longitude" name="longitude" value="" autocomplete="off">
                                <input type="hidden" class="geocoding-abbr" name="timezone_abbr" value="" autocomplete="off" data-parsley-errors-container="#timezone_abbr-errors" data-parsley-required-message="Please verify address" required>
                                <input type="hidden" class="geocoding-verified" name="address_verified" value="0" autocomplete="off">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Address</label>
                                            {!! Form::text('address', old('address'), array(
                                                    'class'         => 'form-control geocoding-address-1',
                                                    'placeholder'   => '',
                                                    'id'            => 'address',
                                                    'required'      => 'required'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Address 2</label>
                                            {!! Form::text('address_2', old('address_2'), array(
                                                    'class'         => 'form-control geocoding-address-2',
                                                    'placeholder'   => '',
                                                    'id'            => 'address_2'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>City</label>
                                            {!! Form::text('city', old('city'), array(
                                                    'class'         => 'form-control geocoding-city',
                                                    'placeholder'   => '',
                                                    'id'            => 'city'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>State</label>
                                            {!! Form::text('state', old('state'), array(
                                                    'class'         => 'form-control geocoding-state',
                                                    'placeholder'   => '',
                                                    'id'            => 'state',
                                                    'required'      => 'required'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Zip</label>
                                            {!! Form::text('zip', old('zip'), array(
                                                    'class'         => 'form-control geocoding-zip',
                                                    'placeholder'   => '',
                                                    'id'            => 'zip',
                                                    'required'      => 'required'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <button type="button" class="btn btn-warning geocoding-btn" data-uid="{{ 'map-'.generateStrUniqueId() }}">Verify</button>
                                        <div id="timezone_abbr-errors"></div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Cell Phone</label>
                                    {!! Form::text('cell_phone', old('cell_phone'), array('placeholder' => '(555)-123-1234', 'class' => 'form-control phone')) !!}
                                    @error('cell_phone')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label>SMS</label>
                                    <div class="custom-control custom-switch">
                                        {!! Form::checkbox('sms', 1, null, array('class' => 'custom-control-input', 'id' => 'sms')) !!}
                                        <label class="custom-control-label" for="sms"></label>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Home Phone</label>
                                    {!! Form::text('home_phone', old('home_phone'), array('placeholder' => '(555)-123-1234', 'class' => 'form-control phone')) !!}
                                    @error('home_phone')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>SSN or EIN</label>
                                    <div class="row">
                                        <div class="col-4">
                                            <div class="custom-control custom-radio">
                                                {!! Form::radio('ssn_or_ein', 0, false, array('class' => 'custom-control-input ssn-or-ein', 'id' => 'ssn')) !!}
                                                <label class="custom-control-label" for="ssn">SSN</label>
                                            </div>
                                        </div>
                                        <div class="col-4">
                                            <div class="custom-control custom-radio">
                                                {!! Form::radio('ssn_or_ein', 1, false, array('class' => 'custom-control-input ssn-or-ein', 'id' => 'ein')) !!}
                                                <label class="custom-control-label" for="ein">EIN</label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group ssn-input" style="{{ old('ssn_or_ein') == 0 ? '' : 'display:none' }};">
                                    <label>Social Security Number</label>
                                    {!! Form::text('ssn', old('ssn'), array('class' => 'form-control ssn-format')) !!}
                                    @error('ssn')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                                <div class="form-group ein-input" style="{{ old('ssn_or_ein') == 1 ? 'display:block' : 'display:none' }};">
                                    <label>Employer Identification Number</label>
                                    {!! Form::text('ein', old('ein'), array('class' => 'form-control ein-format')) !!}
                                    @error('ein')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Company Name</label>
                                    {!! Form::text('company_name', old('company_name'), array('class' => 'form-control')) !!}
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Start Date<span>*</span></label>
                                    {!! Form::text('start_date', old('start_date'), array('class' => 'form-control start-date', 'required' => 'required')) !!}
                                    @error('start_date')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            {{--
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Hired</label>
                                    <div class="custom-control custom-switch">
                                        {!! Form::checkbox('mark_as_completed', 1, null, array('class' => 'custom-control-input completed_cls', 'id' => 'mark-as-completed')) !!}
                                        <label class="custom-control-label" for="mark-as-completed"></label>
                                    </div>
                                </div>
                            </div>
                            --}}
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Notes</label>
                                    {!! Form::textarea('notes', old('notes'), array('placeholder' => 'Type your note...', 'class' => 'textarea form-control', 'rows' => '2')) !!}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="white-box mb-4 generalAccount">
                    <h4 class="box-title">Account Information</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Role</label>
                                    {!! Form::select('role_id', ['' => 'Select Role']+getRoledriverList(), null, ['class' => 'custom-select form-control', 'required' => 'required']) !!}
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Email<span>*</span></label>
                                    {!! Form::text('email', old('email'), array('class' => 'form-control', 'autocomplete' => 'email', 'required' => 'required', 'data-parsley-type' => 'email')) !!}
                                    @error('email')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Password<span>*</span></label>
                                    {!! Form::password('password', array('class' => 'form-control', 'autocomplete' => 'new-password', 'required' => 'required')) !!}
                                    @error('password')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            {{--
                            <div class="col-xl-6 col-sm-6">
                                <div class="form-group">
                                    <label>Send Welcome Email</label>
                                    <div class="custom-control custom-switch">
                                        {!! Form::checkbox('send_welcome_email', 1, null, array('class' => 'custom-control-input', 'id' => 'welcomeEmail')) !!}
                                        <label class="custom-control-label" for="welcomeEmail"></label>
                                    </div>
                                </div>
                            </div>
                            --}}
                            <div class="col-xl-3 col-md-6 col-sm-6">
                                <div class="form-group">
                                    <label>Allow Login</label>
                                    <div class="custom-control custom-switch">
                                        {!! Form::checkbox('allow_login', 1, null, array('class' => 'custom-control-input', 'id' => 'allowLogin')) !!}
                                        <label class="custom-control-label" for="allowLogin"></label>
                                    </div>
                                </div>
                            </div>
                             <div class="col-xl-3 col-sm-6">
                                <div class="form-group">
                                    <label>Company Driver</label>
                                    <div class="custom-control custom-switch">
                                        {!! Form::radio('is_company_driver', 1, null, array('class' => 'custom-control-input', 'id' => 'is_company_driver_yes')) !!}
                                        <label class="custom-control-label" for="is_company_driver_yes"></label>
                                    </div>
                                </div>
                            </div>

                            <div class="col-xl-3 col-sm-6">
                                <div class="form-group">
                                    <label>Owner Operator</label>
                                    <div class="custom-control custom-switch">
                                        {!! Form::radio('is_company_driver', 0, null, array('class' => 'custom-control-input', 'id' => 'is_company_driver_no')) !!}
                                        <label class="custom-control-label" for="is_company_driver_no"></label>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Profile Image</label>
                                    <a href="javascript:void(0);" class="gallary-edit mr-4 form-control" data-id="{{$dummy_id}}" data-source="drivers" data-field="profile_image" data-toggle="modal" data-target="#galleryModal">Upload
                                        <img src="{{ asset('theme/img/picture.png') }}" alt="">
                                    </a>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Dispatcher<span>*</span></label>
                                    {!! Form::select('manager_id', ['' => 'Select Dispatcher']+getDispatcherListByCompany(auth()->guard('company-admin')->user()->company_id), null, ['class' => 'custom-select driver-manager-change form-control', 'required' => 'required']) !!}
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Team</label>
                                    {!! Form::select('team_id', ['' => 'Select Team']+getHeadTeamListByCompany(auth()->guard('company-admin')->user()->company_id), null, ['class' => 'custom-select team-change form-control','disabled' => true]) !!}
                                </div>
                            </div>
                        </div>
                        <div class="row justify-content-center my-3">
                            <div class="col-xl-8 col-lg-10">
                                <div class="row">
                                    <div class="col-sm-6">
                                        <div class="custom-control custom-radio">
                                            {!! Form::radio('dispatch_type', 0, false, array('class' => 'custom-control-input', 'id' => 'Entrusted')) !!}
                                            <label class="custom-control-label" for="Entrusted">Self Dispatch</label>
                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <div class="custom-control custom-radio">
                                            {!! Form::radio('dispatch_type', 1, false, array('class' => 'custom-control-input', 'id' => 'Managed')) !!}
                                            <label class="custom-control-label" for="Managed">Managed Dispatch</label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="white-box mb-4 driverFinancial">
                    <h4 class="box-title">Driver Information</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group mt-3">
                                    <label>Truck Number</label>
                                    {!! Form::select('truck_number', ['' => 'Truck Number']+getTruckNumberList(), null, ['class' => 'custom-select truck-number-select2 form-control']) !!}
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Trailer Number</label>
                                    {!! Form::select('trailer_number', ['' => 'Trailer Number']+getTrailerNumberListByCompany(), null, ['class' => 'custom-select truck-number-select2 form-control']) !!}
                                </div>
                            </div>
                            <div class="col-md-6 mb-2">
                                <div class="form-group m-0">
                                    <label>Carrier</label>
                                    {!! Form::select('carrier_id', ['' => 'Carrier']+getCarrierList(), null, ['class' => 'custom-select carrier-select2 form-control carrier_id']) !!}
                                </div>
                                <a href="{{ route('company.admin.carriers.create') }}" target="_blank">Add new</a>
                            </div>
                            <div class="col-md-6 mb-2 terminal_cls" style="display:none;">
                                <div class="form-group m-0">
                                    <label>Terminal</label>
                                    <select class="custom-select form-control" name="terminal_id" id="terminal_id">
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Vehicle Type</label>
                                    <div class="btn-group btn-group-toggle d-block" data-toggle="buttons">
                                        <label class="btn btn-secondary active">
                                            {!! Form::radio('vehicle_type', 0, true, array('class' => 'custom-control-input', 'id' => 'Vehicle1')) !!} Leased
                                        </label>
                                        <label class="btn btn-secondary">
                                            {!! Form::radio('vehicle_type', 1, false, array('class' => 'custom-control-input', 'id' => 'Vehicle2')) !!} Purchased
                                        </label>
                                        <label class="btn btn-secondary">
                                            {!! Form::radio('vehicle_type', 2, false, array('class' => 'custom-control-input', 'id' => 'Vehicle3')) !!} Owned
                                        </label>
                                    </div>
                                </div>
                            </div>
                            {{--
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Trailer Type</label>
                                    <div class="btn-group btn-group-toggle d-block" data-toggle="buttons">
                                        <label class="btn btn-secondary active">
                                            {!! Form::radio('trailer_type', 0, true, array('class' => 'custom-control-input', 'id' => 'Trailer1')) !!} REEFER
                                        </label>
                                        <label class="btn btn-secondary">
                                            {!! Form::radio('trailer_type', 1, false, array('class' => 'custom-control-input', 'id' => 'Trailer2')) !!} VAN
                                        </label>
                                        <label class="btn btn-secondary">
                                            {!! Form::radio('trailer_type', 2, false, array('class' => 'custom-control-input', 'id' => 'Trailer3')) !!} Flatbed
                                        </label>
                                    </div>
                                </div>
                            </div>
                            --}}
                            <div class="col-xl-6">
                                <div class="form-group">
                                    <label>Are you joining the trailer program?</label>
                                    <div class="row">
                                        <div class="col-xl-4 col-sm-6">
                                            <div class="custom-control custom-switch">
                                                {!! Form::checkbox('joining_trailer_program', 1, null, array('class' => 'custom-control-input', 'id' => 'trailer')) !!}
                                                <label class="custom-control-label" for="trailer"></label>
                                            </div>
                                        </div>
                                        <div class="col-xl-8 col-sm-6 weekly-top weekly-div" style="{{ old('joining_trailer_program') ? : 'display: none' }};">
                                            <div class="form-group d-flex align-items-center">
                                                <label class="white-space">Weekly $</label>
                                                {!! Form::text('weekly', old('weekly'), array('class' => 'form-control weekly')) !!}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-6">
                                <div class="form-group">
                                    <label>Pets?</label>
                                    <div class="custom-control custom-switch">
                                        {!! Form::checkbox('pets', 1, null, array('class' => 'custom-control-input', 'id' => 'Pets')) !!}
                                        <label class="custom-control-label" for="Pets"></label>
                                    </div>
                                </div>
                            </div>
                            <div class="col-6">
                                <div class="form-group">
                                    <label>Passenger?</label>
                                    <div class="custom-control custom-switch">
                                        {!! Form::checkbox('passenger', 1, null, array('class' => 'custom-control-input', 'id' => 'Passenger')) !!}
                                        <label class="custom-control-label" for="Passenger"></label>
                                    </div>
                                </div>
                            </div>
                            <div class="col-6">
                                <div class="form-group">
                                    <label>Smoke?</label>
                                    <div class="custom-control custom-switch">
                                        {!! Form::checkbox('smoke', 1, null, array('class' => 'custom-control-input', 'id' => 'Smoke')) !!}
                                        <label class="custom-control-label" for="Smoke"></label>
                                    </div>
                                </div>
                            </div>
                            <div class="col-6">
                                <div class="form-group">
                                    <label>TWIC</label>
                                    <div class="custom-control custom-switch">
                                        {!! Form::checkbox('twic', 1, null, array('class' => 'custom-control-input', 'id' => 'TWIC')) !!}
                                        <label class="custom-control-label" for="TWIC"></label>
                                    </div>
                                </div>
                            </div>
                            <div class="col-6">
                                <div class="form-group">
                                    <label>Tanker</label>
                                    <div class="custom-control custom-switch">
                                        {!! Form::checkbox('tanker', 1, null, array('class' => 'custom-control-input', 'id' => 'Tanker')) !!}
                                        <label class="custom-control-label" for="Tanker"></label>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="white-box mb-4 driverFinancial financial-new">
                    <h4 class="box-title">Financial</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group mt-2">
                                    <label><strong>Note:</strong> Goals for a driver can't be set until the driver account is saved</label>
                                    <!--a class="addmorecut" data-toggle="modal" data-target="#newFinancialModal">+ Add</a-->
                                </div>
                            </div>
                            <div class="col-md-12 hidden">
                                <div class="table-responsive add-responsive mb-3">
                                    <table class="table dataTable" >
                                        <thead>
                                            <tr>
                                                <th>Year</th>
                                                <th>Quarter</th>
                                                <th>Occupancy%</th>
                                                <th>Gross Revenue Target</th>
                                                <th>CPM Target</th>
                                                <th>Target Miles</th>
                                                <th>Date Rate</th>
                                                <th style="width: 70px;"></th>
                                            </tr>
                                        </thead>
                                        <tbody  id="targetTable">
                                        </tbody>
                                    </table>
                                </div>
                                <div class="text-center mb-5">
                                  <a href="javascript:void(0);" class="more-financ">
                                      <span>Load More <img src="{{ asset('theme/img/more.png') }}" alt=""></span>
                                  </a>
                                </div>
                            </div>
                            <div class="col-md-7 hidden">
                                <div class="form-group">
                                    <label>Desired Weekly Take Home (Realistic)</label>
                                    <input type="text" class="form-control">
                                </div>
                            </div>
                            <div class="col-md-5 hidden">
                                <div class="form-group">
                                    <label>Annual Target</label>
                                    <input type="text" class="form-control" placeholder="[Gross Rev] x [Occupancy]">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-12">
                <div class="white-box mb-4 driverFinancial">
                    <h4 class="box-title">Compliance & Safety</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>License Number</label>
                                    {!! Form::text('license_number', old('license_number'), array('class' => 'form-control')) !!}
                                 </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Drivers License Exp.</label>
                                    {!! Form::text('license_exp', old('license_exp'), array('class' => 'form-control date', 'id' => 'shipperDate')) !!}
                                    <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                                 </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Upload License Image.</label>
                                    <a href="javascript:void(0);" class="gallary-edit mr-4 form-control" data-id="{{$dummy_id}}" data-source="drivers" data-field="license_exp_file" data-toggle="modal" data-target="#galleryModal">Upload
                                        <img src="{{ asset('theme/img/picture.png') }}" alt="">
                                    </a>
                                 </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>MVR Date</label>
                                    {!! Form::text('mvr_date', old('mvr_date'), array('class' => 'form-control date', 'id' => 'shipperDate')) !!}
                                    <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                                 </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Anniversary</label>
                                    {!! Form::text('anniversary', old('anniversary'), array('class' => 'form-control date', 'id' => 'shipperDate')) !!}
                                    <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                                 </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Medical Cert</label>
                                    {!! Form::text('medical_cert', old('medical_cert'), array('class' => 'form-control date', 'id' => 'shipperDate')) !!}
                                    <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                                 </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Birthday</label>
                                    {!! Form::text('birthday', old('birthday'), array('class' => 'form-control date', 'id' => 'shipperDate')) !!}
                                    <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                                 </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Drug & Alcohol</label>
                                    {!! Form::text('drug_alcohol', old('drug_alcohol'), array('class' => 'form-control date', 'id' => 'shipperDate')) !!}
                                    <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                                 </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Next Review</label>
                                    {!! Form::text('next_review', old('next_review'), array('class' => 'form-control date', 'id' => 'shipperDate')) !!}
                                    <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                                 </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Passport Number</label>
                                    {!! Form::text('passport_number', old('passport_number'), array('class' => 'form-control', 'id' => 'shipperDate')) !!}
                                 </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Passport Expiration</label>
                                    {!! Form::text('passport_expiration', old('passport_expiration'), array('class' => 'form-control date', 'id' => 'shipperDate')) !!}
                                    <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                                 </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-12">
                <div class="white-box mb-4 driverFinancial">
                    <h4 class="box-title">Emergency Contact Details</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Emergency Contact Name</label>
                                    {!! Form::text('emergency_contact_name', old('emergency_contact_name'), array('class' => 'form-control', 'id' => 'shipperDate')) !!}
                                 </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Emergency Contact Number</label>
                                    {!! Form::text('emergency_contact_number', old('emergency_contact_number'), array('class' => 'form-control phone', 'id' => 'shipperDate')) !!}
                                 </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Emergency Contact Relationship To Driver</label>
                                    {!! Form::text('emergency_contact_relationship_to_driver', old('emergency_contact_relationship_to_driver'), array('class' => 'form-control', 'id' => 'shipperDate')) !!}
                                 </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-12">
                <div class="white-box">
                    <h4 class="box-title">Restrictions</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Restricted States</label>
                                    {!! Form::select('restricted_states[]', [], null, ['class' => 'state-multi-select restricted-state form-control', 'multiple' => 'multiple']) !!}
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>States to avoid</label>
                                    {!! Form::select('states_to_avoid[]', [], null, ['class' => 'state-multi-select avoid-state form-control', 'multiple' => 'multiple']) !!}
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div id="map" style="height: 450px;">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="button-bottom">
            <a href="{{ route('company.admin.drivers.index') }}" class="cancel-btn">Cancel</a>
            <button class="submit-btn">Submit</button>
        </div>
    {!! Form::close() !!}
    <!-- Add New Modal -->
    <div class="modal fade" id="newFinancialModal" tabindex="-1" aria-labelledby="newFinancialModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            {!! Form::open(array('route' => 'company.admin.loads.store','method'=>'POST','files'=>'true','class'=>'financial-form','id'=>'finanform')) !!}
                <input type="hidden" name="driver_id"  value="{{ ip2long(\Request::ip()) }}">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="newFinancialModalLabel">Add New</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Year</label>
                                    <select class="custom-select form-control" id="yearfirns" name="year" required>
                                        <?php for ($x = 2020; $x <= 2030; $x++): ?>
                                            <option <?php if($x == 2022){ echo "selected";} ?> value="<?php echo $x; ?>"><?php echo $x; ?></option>
                                        <?php endfor; ?>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Quarter</label>
                                    <select class="custom-select form-control" id="quarter" name="quarter" required>
                                        <option value="">Select Quarter</option>
                                        <option value="1">Quarter 1</option>
                                        <option value="2">Quarter 2</option>
                                        <option value="3">Quarter 3</option>
                                        <option value="4">Quarter 4</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Occupancy%</label>
                                    <input type="number" class="form-control" name="occupancy" placeholder="Occupancy%" required>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Gross Revenue Target</label>
                                    <input type="number" class="form-control" name="revenue_target" placeholder="Gross Revenue Target" required>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>CPM Target</label>
                                    <input type="number" class="form-control" name="cpm_target" placeholder="CPM Target" required>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Date Rate</label>
                                    <input type="text" class="form-control" id="fistartdate" placeholder="Start Date" disabled>
                                    <input type="hidden" name="start_date" value="" id="fistartdatevalue" />
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="invisible">Date Rate</label>
                                    <input type="text" class="form-control" id="fienddate" placeholder="End Date" disabled>
                                    <input type="hidden" name="end_date" value="" id="fienddatevalue" />
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn cancel-btn" data-dismiss="modal">Cancel</button>
                        <button type="submit" class="btn blue-btn">Add New</button>
                    </div>
                </div>
            {!! Form::close() !!}
        </div>
    </div>
    <input type="hidden" id="take" value="1">
@endsection

@section('script')
    <script defer src="https://maps.google.com/maps/api/js?key={{ env('GOOGLE_MAPS_KEY') }}&callback=initialize&libraries=places,visualization"></script>
    <script src="{{ asset('theme/js/bootstrap-datepicker.js') }}"></script>
    <script src="{{ asset('theme/js/select2.full.min.js') }}"></script>
    <script src="{{ asset('theme/js/charts-loader.js') }}"></script>
    <script src="{{ asset('companyAdmin/js/driver.js') }}"></script>
    <script type="text/javascript">
        $( document ).ready(function() {
            $('.store-form').parsley({
                excluded: 'input[type=button], input[type=submit], input[type=reset]',
                inputs: 'input, textarea, select, input[type=hidden], :hidden',
            });
            $('.financial-form').parsley();
            $('.date').datepicker({
                autoclose: true,
                todayHighlight: true,
            });
        });
    </script>
    <script type="text/javascript">
        var targetTable    = "{{ asset('theme/img/loading.gif') }}";
        $("#targetTable").html('<tr><td colspan="7"><img src="'+targetTable+'" width="70" /></td></tr>');
        $(document).ready(function () {
            $('#quarter').on('change', function() {
                var sevalue         = this.value;
                var year            = $("select[name=year]").find("option:selected").val();

                var today           = new Date(year, 1, 1);
                var quarter         = Math.floor((today.getMonth() / 3));
                if(sevalue == '1'){
                    var startDate   = new Date(today.getFullYear(), quarter * 3, 1);
                    var endDate     = new Date(startDate.getFullYear(), startDate.getMonth() + 3, 0);
                    var startDate   = moment(startDate).format('MM/DD/YYYY');
                    var endDate     = moment(endDate).format('MM/DD/YYYY');

                    $('#fistartdate').val(startDate);
                    $('#fistartdatevalue').val(startDate);
                    $('#fienddate').val(endDate);
                    $('#fienddatevalue').val(endDate);
                }else if(sevalue == '2'){
                    var startDate   = new Date(today.getFullYear(), quarter * 3 + 3, 1);
                    var endDate     = new Date(startDate.getFullYear(), startDate.getMonth() + 3, 0);
                    var startDate   = moment(startDate).format('MM/DD/YYYY');
                    var endDate     = moment(endDate).format('MM/DD/YYYY');

                    $('#fistartdate').val(startDate);
                    $('#fistartdatevalue').val(startDate);
                    $('#fienddate').val(endDate);
                    $('#fienddatevalue').val(endDate);
                }else if(sevalue == '3'){
                    var startDate   = new Date(today.getFullYear(), quarter * 3 + 6, 1);
                    var endDate     = new Date(startDate.getFullYear(), startDate.getMonth() + 3, 0);
                    var startDate   = moment(startDate).format('MM/DD/YYYY');
                    var endDate     = moment(endDate).format('MM/DD/YYYY');

                    $('#fistartdate').val(startDate);
                    $('#fistartdatevalue').val(startDate);
                    $('#fienddate').val(endDate);
                    $('#fienddatevalue').val(endDate);
                }else if(sevalue == '4'){
                    var startDate   = new Date(today.getFullYear(), quarter * 3 + 9, 1);
                    var endDate     = new Date(startDate.getFullYear(), startDate.getMonth() + 3, 0);
                    var startDate   = moment(startDate).format('MM/DD/YYYY');
                    var endDate     = moment(endDate).format('MM/DD/YYYY');

                    $('#fistartdate').val(startDate);
                    $('#fistartdatevalue').val(startDate);
                    $('#fienddate').val(endDate);
                    $('#fienddatevalue').val(endDate);
                }else{
                    var startDate   = new Date(today.getFullYear(), quarter * 3, 1);
                    var endDate     = new Date(startDate.getFullYear(), startDate.getMonth() + 3, 0);
                    var startDate   = moment(startDate).format('MM/DD/YYYY');
                    var endDate     = moment(endDate).format('MM/DD/YYYY');

                    $('#fistartdate').val(startDate);
                    $('#fistartdatevalue').val(startDate);
                    $('#fienddate').val(endDate);
                    $('#fienddatevalue').val(endDate);
                }
            });

            $('.carrier_id').on('change',function() {
                var carrierId = this.value;
                $("#terminal_id").empty();
                $('.terminal_cls').hide();
                $.ajax({
                    url: "/company-admin/get-carrier-terminals",
                    type: "POST",
                    data: {
                        carrier_id: carrierId,
                        _token: '{{csrf_token()}}'
                    },
                    dataType: 'json',
                    success: function (result) {
                        $("#terminal_id").empty();

                        $('#terminal_id').html('<option value="">Select Terminal</option>');
                        if(result){
                            $('.terminal_cls').show();
                            $.each(result.terminals, function (key, value) {
                                $("#terminal_id").append('<option value="' + value.id + '">' + value.name + '</option>');
                            });
                        }else{
                            $('.terminal_cls').hide();
                        }
                        $("#terminal_id").select2();
                    }
                });
            }).trigger('change');

            $(".financial-form").on("submit", function(event){
                event.preventDefault();
                var formValues      = $(this).serialize();
                $.ajax({
                    url: "/company-admin/drivers/target-revenue",
                    method: "POST",
                    data: formValues,
                    success: function(response) {
                        if(response == '1'){
                            $("#finanform")[0].reset();
                            $('.cancel-btn').trigger('click');
                            targetTableView();
                        }else{
                            toastr.error('year and quarter already use.', 'Already Exists', {timeOut: 5000})
                        }
                    }
                });
            });

            $(".more-financ").click(function() {
                var take        = $("#take").val();
                var updatetake  = parseFloat(take)+100;
                $("#take").val(updatetake);
                targetTableView();
                $(".more-financ").remove();
            });

            targetTableView();
        });
        function targetTableView() {
            $("#targetTable").html('<tr><td colspan="7"><img src="'+targetTable+'" width="70" /></td></tr>');

            var token   = $('meta[name="csrf-token"]').attr('content');
            var take    = $('#take').val();
            $.ajax({
                url: "/company-admin/drivers/target-revenue-view",
                method: "POST",
                data: { _token : token ,take : take, driver_id : <?php echo ip2long(\Request::ip()); ?>},
                success: function(response) {
                    $("#targetTable").html(response.view);
                }
            });
        }
    </script>
@endsection

@push('after-scripts')
    <script src="{{ asset('theme/js/trimble.js') }}"></script>
@endpush