@extends($companyAdminTheme)

@section('title')
    Driver Show
@endsection

@section('header-title')
    View User
@endsection

@section('style')
    <link rel="stylesheet" href="{{ asset('theme/css/datepicker3.min.css') }}">
    <link rel="stylesheet" href="{{ asset('theme/css/select2.min.css') }}">
    <link rel="stylesheet" href="{{ asset('theme/css/media3.css') }}">
    <link rel="stylesheet" href="{{ asset('theme/css/jquery.lineProgressbar.css') }}">
    <link rel="stylesheet" href="{{ asset('theme/css/daterangepicker.css') }}">
    <style type="text/css">
        .samsaratab .box-title {
            padding: 20px;
            color: #222b45;
            font-size: 20px;
        }
        #events_selector {
            padding: 4px;
        }
        .target-calendar button.fc-next-button.fc-button.fc-state-default.fc-corner-right {
            position: relative;
            right: auto;
        }
        .target-calendar button.fc-prev-button.fc-button.fc-state-default.fc-corner-left {
            position: relative;
            left: auto;
        }
        .addevent {
            cursor: pointer;
        }
        .modal .form-group h5 {
            font-size: 16px;
        }
        .select2-container {
            width: 100% !important;
        }
        .select2-container .select2-selection--single {
            height: 35px;
        }
        .select2-container--default .select2-selection--single {
            border: 1px solid #C5CEE0;
        }
        .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 34px;
        }
        .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 31px;
        }
        .select2-container--open .select2-dropdown {
            left: -1px;
        }
        #EvoCalendar {
            margin: 20px 20px;
        }
        .fc-unthemed .fc-divider, .fc-unthemed .fc-list-heading td, .fc-unthemed .fc-popover .fc-header {
            background: #eee;
        }
        .fc-list-heading .fc-list-heading-alt {
            margin-left: 8px;
        }
        .fc th, .fc td {
            border-width: 0px !important;
        }
        .fc-list-item .fc-list-item-time {
            padding: 7px 0px;
        }
        .tab-content .custom-control-input:checked ~ .custom-control-label.birthdayscolor::before,.custom-control-label.birthdayscolor::before {
            background-color: <?php echo getEventColor(0) ?>   !important;
            border-color: <?php echo getEventColor(0) ?>   !important;
        }
        .tab-content .custom-control-input:checked ~ .custom-control-label.expirationscolor::before,.custom-control-label.expirationscolor::before {
            background-color: <?php echo getEventColor(3) ?>   !important;
            border-color: <?php echo getEventColor(3) ?>   !important;
        }
        .tab-content .custom-control-input:checked ~ .custom-control-label.truckscolor::before,.custom-control-label.truckscolor::before {
            background-color: <?php echo getEventColor(4) ?>   !important;
            border-color: <?php echo getEventColor(4) ?>   !important;
        }
        .tab-content .custom-control-input:checked ~ .custom-control-label.trailerscolor::before,.custom-control-label.trailerscolor::before {
            background-color: <?php echo getEventColor(5) ?>   !important;
            border-color: <?php echo getEventColor(5) ?>   !important;
        }
        .tab-content .custom-control-input:checked ~ .custom-control-label.dueDatecolor::before,.custom-control-label.dueDatecolor::before {
            background-color: <?php echo getEventColor(7) ?>   !important;
            border-color: <?php echo getEventColor(7) ?>   !important;
        }
        .tab-content .custom-control-input:checked~.custom-control-label.personalcolor::before,.custom-control-label.personalcolor::before {
            background-color: <?php echo getEventColor(8) ?>   !important;
            border-color: <?php echo getEventColor(8) ?>   !important;
        }
        .tab-content .custom-control-input:checked~.custom-control-label.myLeaveslcolor::before,.custom-control-label.myLeaveslcolor::before {
            background-color: <?php echo getEventColor(7) ?>   !important;
            border-color: <?php echo getEventColor(7) ?>   !important;
        }
        .tab-content .custom-control-input:checked~.custom-control-label.myViolationscolor::before,.custom-control-label.myViolationscolor::before {
            background-color: <?php echo getEventColor(11) ?>   !important;
            border-color: <?php echo getEventColor(11) ?>   !important;
        }
        .tab-content .custom-control-input:checked~.custom-control-label.maintenanceTicketcolor::before,.custom-control-label.maintenanceTicketcolor::before {
            background-color: <?php echo getEventColor(12) ?>   !important;
            border-color: <?php echo getEventColor(12) ?>   !important;
        }
        .occupancy-toolbar h2 {
            font-size: 18px;
        }
        .occupancy-table table thead th {background-color: #fff;}
        .occupancy-table table td:first-child {font-weight: normal;}
        .occupancy-table table td {height: 39px;}
        .prifileedit {background-color: #18203a78;position: absolute;right: 5px;top: 5px;height: 25px;width: 25px;text-align: center;align-items: center;border-radius: 50px;}
        .prifiledelete {background-color: #18203a78;position: absolute;right: 34px;top: 5px;height: 25px;width: 25px;text-align: center;align-items: center;border-radius: 50px;}
        .tab-content .green-btn {min-width: auto;}
        .file-request-modal .form-group label {
            font-size: 12px;
        }
        .makenone {display: none;}
        .bg-gray-box {background-color: #E2E4E9;padding: 10px;}
    </style>
@endsection

@section('content')
    <div class="load-wrapper">
        <div class="row">
            <div class="col-md-12">
                <div class="white-box mb-4">
                    <div class="box-padding pad-30 position-relative">
                        <ul class="top-section">
                            <li>
                                <div class="main-blue-box">
                                    <span class="blue-box">
                                        @if (!is_null($driver->profile_image))
                                            <img
                                                src="{{ asset('storage/companyAdmin/profile/'.$driver->profile_image) }}"
                                                style="position: unset;height: 100%; width: 100%;">
                                        @else
                                            <img
                                                src="{{ asset('theme/img/avtar.png') }}"
                                                style="position: unset;height: 100%; width: 100%;">
                                        @endif
                                    </span>
                                </div>
                            </li>
                            <li class="right-bdr">
                                <div class="address-details">
                                    <h2>
                                        {{ $driver->first_name }} {{ $driver->last_name }}
                                        @if (!is_null($driver->team))
                                            - {{ $driver->team->name }}
                                        @endif
                                    </h2>
                                    <ul>
                                        @php
                                            $addresses         = [];
                                        @endphp
                                        @if(isset($driver->address) && $driver->address!=='')
                                            @php
                                                $addresses[]   = $driver->address;
                                            @endphp
                                        @endif
                                        @if(isset($driver->address_2) && $driver->address_2!=='')
                                            @php
                                                $addresses[]   = $driver->address_2;
                                            @endphp
                                        @endif
                                        @if(isset($driver->city) && $driver->city!=='')
                                            @php
                                                $addresses[]   = $driver->city;
                                            @endphp
                                        @endif
                                        @if(isset($driver->state) && $driver->state!=='')
                                            @php
                                                $addresses[]   = $driver->state;
                                            @endphp
                                        @endif
                                        @if(isset($driver->zip) && $driver->zip!=='')
                                            @php
                                                $addresses[]   = $driver->zip;
                                            @endphp
                                        @endif
                                        @php
                                            $addresses         = implode(', ', $addresses);
                                        @endphp
                                        @if($addresses!='')
                                            <li>
                                                <i class="fa fa-map-marker"></i> {{ $addresses }}
                                            </li>
                                        @endif
                                        @if(!empty($driver->cell_phone))
                                            <li>
                                                <i class="fa fa-mobile"></i>Cell Phone:
                                                @if ($driver->cell_phone)
                                                    <a href="tel:{{ $driver->cell_phone }}">{{ $driver->cell_phone }}</a>
                                                @else
                                                    -
                                                @endif
                                                SMS:
                                                @if ($driver->sms == 0)
                                                    <label class="badge badge-danger text-white">No</label>
                                                @else
                                                    <label class="badge badge-success text-white">Yes</label>
                                                @endif
                                            </li>
                                        @endif
                                        @if(!empty($driver->home_phone))
                                            <li>
                                                <i class="fa fa-phone"></i>Home Phone:
                                                @if ($driver->home_phone)
                                                    <a href="tel:{{ $driver->home_phone }}">{{ $driver->home_phone }}</a>
                                                @else
                                                    -
                                                @endif
                                            </li>
                                        @endif
                                        @if(!empty($driver->email))
                                            <li>
                                                <i class="fa fa-envelope"></i>Email: <a href="mailto:{{ $driver->email }}">{{ $driver->email }}</a>
                                            </li>
                                        @endif
                                        @if(!empty($driver->emergency_contact_name))
                                            <li>
                                                <i class="fa fa-ambulance"></i>Emergency Contact:
                                                <ul>
                                                    <li>Name: {{ $driver->emergency_contact_name }}</li>
                                                    <li>Phone: {{ $driver->emergency_contact_number }}</li>
                                                    <li>Relationship: {{ $driver->emergency_contact_relationship_to_driver }}</li>
                                                </ul>
                                            </li>
                                        @endif
                                        @if(checkOosDriver($driver->id))
                                            <li>
                                                <i class="fa fa-check"></i>OOS Status: <span class="text-danger">Yes</span>
                                            </li>
                                        @else
                                            <li>
                                                <i class="fa fa-check"></i>OOS Status: <span class="text-green">No</span>
                                            </li>
                                        @endif
                                    </ul>
                                </div>
                            </li>
                            <li>
                                <div class="address-details">
                                    <ul>
                                        @if(!empty($driver->managerDetails->first_name))
                                            <li>
                                                <i class="fa fa-user-circle-o"></i>Manager:
                                                <span>{{ $driver->managerDetails->first_name ?? '-' }} {{ $driver->managerDetails->last_name ?? '' }}</span>
                                            </li>
                                            <li>
                                                <i class="fa fa-map-signs"></i> Manager
                                                Ext: {{ !is_null($driver->managerDetails) ? $driver->managerDetails->extension_number : '-' }}
                                            </li>
                                        @endif
                                        @if(!empty($driver->birthday))
                                            <li>
                                                <i class="fa fa-birthday-cake"></i>Birthday:
                                                <span>{{ $driver->birthday }}</span>
                                            </li>
                                        @endif
                                        @if(!empty($driver->samsara_id))
                                            <li>
                                                <i class="fa fa-bullseye"></i>Samsara Id:
                                                <span>{{ $driver->samsara_id }}</span>
                                            </li>
                                        @endif
                                        @if(!empty($driver->tanker))
                                            <li>
                                                <i class="fa fa-bullseye"></i>Tanker Endorsement:
                                                <span>Yes</span>
                                            </li>
                                        @else
                                            <li>
                                                <i class="fa fa-bullseye"></i>Tanker Endorsement:
                                                <span>No</span>
                                            </li>
                                        @endif
                                        @if(!empty($driver->twic))
                                            <li>
                                                <i class="fa fa-bullseye"></i>TWIC Card:
                                                <span>Yes</span>
                                            </li>
                                        @else
                                            <li>
                                                <i class="fa fa-bullseye"></i>TWIC Card:
                                                <span>No</span>
                                            </li>
                                        @endif
                                        @if(!empty($driver->passport_number))
                                            <li>
                                                <i class="fa fa-bullseye"></i>Passport:
                                                <span>Yes</span>
                                            </li>
                                        @else
                                            <li>
                                                <i class="fa fa-bullseye"></i>Passport:
                                                <span>No</span>
                                            </li>
                                        @endif
                                        @if(!empty($driver->passenger))
                                            <li>
                                                <i class="fa fa-bullseye"></i>Passenger:
                                                <span>Yes</span>
                                            </li>
                                        @else
                                            <li>
                                                <i class="fa fa-bullseye"></i>Passenger:
                                                <span>No</span>
                                            </li>
                                        @endif
                                        @if(!empty($driver->pets))
                                            <li>
                                                <i class="fa fa-bullseye"></i>Pets:
                                                <span>Yes</span>
                                            </li>
                                        @else
                                            <li>
                                                <i class="fa fa-bullseye"></i>Pets:
                                                <span>No</span>
                                            </li>
                                        @endif
                                        @if(!empty($driver->anniversary))
                                            <li>
                                                <i class="fa fa-bullseye"></i>Anniversary:
                                                <span>{{ $driver->anniversary }}</span>
                                            </li>
                                        @endif
                                        @if(!empty($driver->license_number))
                                            <li>
                                                <i class="fa fa-bullseye"></i>License Restrictions:
                                                <span>{{ $driver->license_number }}</span>
                                            </li>
                                        @endif
                                    </ul>
                                </div>
                            </li>
                            <li class="toggle-icon-right">
                                <div class="dropdown-option">
                                    <div class="dropdown">
                                        <a
                                            href=""
                                            class="tgl-menu"
                                            id="dropdownMenuButton"
                                            data-toggle="dropdown"
                                            aria-haspopup="true"
                                            aria-expanded="false">
                                            <img src="{{ asset('theme/img/menu-icon.png') }}" alt="Menu">
                                        </a>
                                        <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                            <a class="dropdown-item tgl-item" href="{{ route('company.admin.drivers.edit', base64Encode($driver->id)) }}">Edit Account</a>
                                            <a class="dropdown-item tgl-item btm-bdr" href="javascript:void(0);" onclick="event.preventDefault(); document.getElementById('send-new-password-mail-form').submit();">
                                                Send New Password
                                                <form id="send-new-password-mail-form"
                                                      action="{{ route('company.admin.driver.send.new.password.mail',$driver->id) }}"
                                                      method="POST" class="d-none">
                                                    @csrf
                                                </form>
                                            </a>
                                            <a class="dropdown-item red destroy" href="javascript:void(0);" data-action="{{ route('company.admin.drivers.destroy',$driver->id) }}" data-id="{{ $driver->id }}">Termninate Employee</a>
                                        </div>
                                    </div>
                                </div>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
            @if(!empty($samsara_data))
            <div class="col-md-12">
                <div class="white-box mb-4 samsaratab">
                    <h4 class="box-title">Hours of Service Report - {{ $driver->first_name }} {{ $driver->last_name }}</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-12">
                                <ul>
                                    <li>
                                        <p>Duty Status</p>
                                        <h4><strong>{{ $samsara_data->currentDutyStatus->hosStatusType }}</strong></h4>
                                    </li>
                                    {{--
                                    <li>
                                        <p>Time in current status</p>
                                        <h4><strong>{{ $cycleStartedAtTime }}</strong></h4>
                                    </li>
                                    --}}
                                    <li>
                                        <p>Vehicle Name</p>
                                        <h4><strong>{{ $vehical_data }}</strong></h4>
                                    </li>
                                    <li>
                                        <p>Time until break</p>
                                        <h4><strong>{{ formatSeconds($samsara_data->clocks->break->timeUntilBreakDurationMs); }}</strong></h4>
                                    </li>
                                    <li>
                                        <p>Drive remaining</p>
                                        <h4><strong>{{ formatSeconds($samsara_data->clocks->drive->driveRemainingDurationMs); }}</strong></h4>
                                    </li>
                                    <li>
                                        <p>Shift remaining</p>
                                        <h4><strong>{{ formatSeconds($samsara_data->clocks->shift->shiftRemainingDurationMs); }}</strong></h4>
                                    </li>
                                    <li>
                                        <p>Cycle Remaining</p>
                                        <h4><strong>{{ formatSeconds($samsara_data->clocks->cycle->cycleRemainingDurationMs); }}</strong></h4>
                                    </li>
                                    <li>
                                        <p>Cycle Tomorrow</p>
                                        <h4><strong>{{ formatSeconds($samsara_data->clocks->cycle->cycleTomorrowDurationMs); }}</strong></h4>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            @endif
            <div class="col-md-12">
                <div class="">
                    <ul class="nav nav-tabs" id="myTab" role="tablist">
                        <li class="nav-item" role="presentation">
                            <a
                                class="nav-link active Account"
                                id="All-tab"
                                data-ids="commanC"
                                data-toggle="tab"
                                href="#Account"
                                role="tab"
                                aria-controls="All"
                                aria-selected="true"
                            >Account</a>
                        </li>
                        <li class="nav-item" role="presentation">
                            <a
                                class="nav-link Loads"
                                id="View-tab"
                                data-ids="commanC"
                                data-toggle="tab"
                                href="#Loads"
                                role="tab"
                                aria-controls="View"
                                aria-selected="false"
                            >Loads</a>
                        </li>
                        <li class="nav-item" role="presentation">
                            <a
                                class="nav-link ComplianceSafety"
                                id="leave-tab"
                                data-ids="commanC"
                                data-toggle="tab"
                                href="#ComplianceSafety"
                                role="tab"
                                aria-controls="leave"
                                aria-selected="false"
                            >Compliance & Safety</a>
                        </li>
                        <li class="nav-item" role="presentation">
                            <a
                                class="nav-link Documents"
                                id="leave-tab"
                                data-ids="commanC"
                                data-toggle="tab"
                                href="#Documents"
                                role="tab"
                                aria-controls="leave"
                                aria-selected="false"
                            >Documents</a>
                        </li>
                        <li class="nav-item" role="presentation">
                            <a
                                class="nav-link OccupancyCalendar"
                                id="leave-tab"
                                data-ids="commanC"
                                data-toggle="tab"
                                href="#OccupancyCalendar"
                                role="tab"
                                aria-controls="leave"
                                aria-selected="false"
                            >Occupancy Calendar</a>
                        </li>
                        <li class="nav-item" role="presentation">
                            <a
                                class="nav-link eveclFullc"
                                id="leave-tab"
                                data-ids="commanC"
                                data-toggle="tab"
                                href="#EventsCalendar"
                                role="tab"
                                aria-controls="leave"
                                aria-selected="false"
                            >Events Calendar</a>
                        </li>
                        <li class="nav-item" role="presentation">
                            <a
                                class="nav-link DriverOnboarding"
                                id="leave-tab"
                                data-ids="commanC"
                                data-toggle="tab"
                                href="#DriverOnboarding"
                                role="tab"
                                aria-controls="leave"
                                aria-selected="false"
                            >Driver Onboarding</a>
                        </li>
                        <li class="nav-item" role="presentation">
                            <a
                                class="nav-link"
                                id="leave-tab"
                                data-toggle="tab"
                                data-ids="commanC"
                                href="#statemap"
                                role="tab"
                                aria-controls="leave"
                                aria-selected="false"
                            >State Map</a>
                        </li>
                        <li class="nav-item" role="presentation">
                            <a
                                class="nav-link cliclveartab"
                                id="leave-tab"
                                data-toggle="tab"
                                data-ids="commanC"
                                href="#yourLeave"
                                role="tab"
                                aria-controls="yourLeave"
                                aria-selected="false"
                            >Your Leave</a>
                        </li>
                    </ul>
                    <div class="tab-content" id="myTabContent">
                        <div
                            class="tab-pane fade show active"
                            id="Account"
                            data-ids="commanC"
                            role="tabpanel"
                            aria-labelledby="All-tab"
                        >
                            @include('companyAdmin.driver.tab.account')
                        </div>
                        <div
                            class="tab-pane fade"
                            id="Loads"
                            data-ids="commanC"
                            role="tabpanel"
                            aria-labelledby="View-tab"
                        >
                            @include('companyAdmin.driver.tab.loads')
                        </div>
                        <div
                            class="tab-pane fade"
                            id="ComplianceSafety"
                            data-ids="commanC"
                            role="tabpanel"
                            aria-labelledby="leave-tab"
                        >
                            @include('companyAdmin.driver.tab.complianceSafety')
                        </div>
                        <div
                            class="tab-pane fade"
                            id="Documents"
                            data-ids="commanC"
                            role="tabpanel"
                            aria-labelledby="View-tab"
                        >
                            @include('companyAdmin.driver.tab.documents')
                        </div>
                        <div
                            class="tab-pane fade"
                            id="OccupancyCalendar"
                            data-ids="commanC"
                            role="tabpanel"
                            aria-labelledby="View-tab"
                        >
                            @include('companyAdmin.driver.tab.OccupancyCalendar')
                        </div>
                        <div
                            class="tab-pane fade DriverOnboardingContent"
                            data-ids="commanC"
                            id="DriverOnboarding"
                            role="tabpanel"
                            aria-labelledby="leave-tab"
                        >
                            @include('companyAdmin.driver.tab.driverOnboarding')
                        </div>
                        <div
                            class="tab-pane fade"
                            id="EventsCalendar"
                            data-ids="commanC"
                            role="tabpanel"
                            aria-labelledby="leave-tab"
                        >
                            @include('companyAdmin.driver.tab.eventsCalendar')
                        </div>
                        <div
                            class="tab-pane fade"
                            id="statemap"
                            role="tabpanel"
                            aria-labelledby="View-tab"
                        >
                            State Map
                        </div>
                        <div
                            class="tab-pane fade"
                            id="yourLeave"
                            role="tabpanel"
                            aria-labelledby="View-tab"
                        >
                            @include('companyAdmin.driver.tab.yourLeave')
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    {{--02-05-22--}}

    <!-- maintenance ticket show modal -->
    <div class="modal blank-modal-body show-event" id="showEvent" tabindex="-1" aria-labelledby="showEvent" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Show Event</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body show-data">

                </div>
            </div>
        </div>
    </div>

    <div class="modal blank-modal-body teamModal-3" id="editEvent" tabindex="-1" aria-labelledby="editEvent" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Edit Event</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body data">

                </div>
            </div>
        </div>
    </div>

    <div class="modal fade teamModal-2 blank-modal-body" id="leaveDetailsModal" tabindex="-1" aria-labelledby="leaveDetailsModal" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="leaveDetailsModal">Leave Details</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="append-leave-view">

                </div>
            </div>
        </div>
    </div>

    @include('companyAdmin.driver.modal.createHosViolation')
    @include('companyAdmin.driver.modal.editHosViolation')
    @include('companyAdmin.driver.modal.showHosViolation')
    @include('companyAdmin.driver.modal.createCitation')
    @include('companyAdmin.driver.modal.editCitation')
    @include('companyAdmin.driver.modal.showCitation')
    @include('companyAdmin.driver.modal.createAccident')
    @include('companyAdmin.driver.modal.editAccident')
    @include('companyAdmin.driver.modal.showAccident')
    @include('companyAdmin.driver.modal.createMechanicalIssue')
    @include('companyAdmin.driver.modal.editMechanicalIssue')
    @include('companyAdmin.driver.modal.showMechanicalIssue')
    @include('companyAdmin.driver.modal.onboardingFile')
    @include('companyAdmin.driver.modal.editLeavesAllowance')
    @include('companyAdmin.driver.modal.createNonViolation')
    @include('companyAdmin.driver.modal.editNonViolation')
    @include('companyAdmin.driver.modal.showNonViolation')
@endsection

@section('script')
    <script src="https://www.gstatic.com/charts/loader.js"></script>
    <script src="https://code.highcharts.com/highcharts.js"></script>
    <script src="https://code.highcharts.com/modules/variable-pie.js"></script>
    <script src="https://code.highcharts.com/modules/export-data.js"></script>
    <script src="https://code.highcharts.com/modules/accessibility.js"></script>

    <script src="{{ asset('theme/js/bootstrap-datepicker.js') }}"></script>
    <script src="{{ asset('theme/js/fullcalendar.min.js') }}"></script>
    <script src="{{ asset('theme/js/select2.full.min.js') }}"></script>
    <script src="{{ asset('theme/js/jquery.lineProgressbar.js') }}"></script>
    <script src="{{ asset('theme/js/daterangepicker.min.js') }}"></script>
    <script type="text/javascript">
        if(localTimeZone!=timeZone){
            moment.tz.setDefault(timeZone);
        }
    </script>
    <script type="text/javascript">
        /********Document **********/
        var table = $('.request-documents-data-table').DataTable({
            stateSave: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            processing: true,
            serverSide: true,
            bJQueryUI: true,
            ordering: false,
            pageLength: "{{ perPageView() }}",
            lengthMenu: [[10, 20, 50, 100, -1], [10, 20, 50, 100, "All"]],
            dom: "<'row cusotdiv'<'col-sm-2 col-md-2'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
            ajax: "{{  route('company.admin.driver.get.request.documents', $driver->id) }}",
            columns: [
                {data: 'field_name', name: 'field_name'},
                {data: 'created_by', name: 'created_by'},
                {data: 'date', name: 'date'},
                {data: 'status', name: 'status'},
                {data: 'requested_by', name: 'requested_by'},
                {data: 'approved_by', name: 'approved_by'},
                {data: 'access', name: 'access'},
                {data: 'action', name: 'action'},
            ]
        });

        $('.storeForm').parsley();

        $(".addmorefile").click(function () {
            var html = '';
            html    += '<div class="form-row" id="inputFormRow">';
            html    += '<div class="form-group col-lg-4 col-sm-6">';
            html    += '<label>Files</label>';
            html    += '<select class="form-control cfile_name" name="field_name[]" required>';
            html    += '<option value="" style="display: none;">Select Files Name</option>';
            <?php foreach(getRequestDocumentsList() as $fdata): ?>
                <?php if($fdata['source'] == 'driver'): ?>
                    html += '<option value="{{ $fdata['field_name'] }}" class="{{ $fdata['source'] }}">{{ $fdata['name'] }}</option>';
                <?php endif; ?>
            <?php endforeach; ?>
            html    += '</select>';
            html    += '</div>';
            html    += '<div class="form-group col-lg-6">';
            html    += '<label for="inputEmail4">Name</label>';
            html    += '<input class="form-control" placeholder="File Name" required="required" name="file_name[]" type="text">';
            html    += '</div>';
            html    += '<div class="form-group col-lg-2 ">';
            html    += '<label for="inputEmail4" class="invisible d-lg-block d-none">125</label>';
            html    += '<a href="javascript:void(0)" class="btn btn-danger" id="removeRow"><i class="fa fa-trash"></i></a>';
            html    += '</div>';
            html    += '</div>';
            $('#newRow').append(html);
            //setSource();
        });

        $(document).ready(function() {
            <?php if(isset($driver->driver_onboarding) && $driver->driver_onboarding->status == 2):?>
                driverOnboardingFormSubmit();
            <?php endif?>

            $('.driversediv select').select2({
                dropdownParent: $('#requestDocModal .driversediv')
            });
            $('.dispasediv select').select2({
                dropdownParent: $('#requestDocModal .dispasediv')
            });

            $(".driversediv").show();
            $(".dispasediv").hide();

            $("select[name=share]").on('change', function() {
                var value           = this.value;

                $(".driversediv").hide();
                $(".dispasediv").hide();
                var driverse        = $('.driverse').prop('required',false).attr('aria-describedby');
                $('#'+driverse).hide();
                var dispase         = $('.dispase').prop('required',false).attr('aria-describedby');
                $('#'+dispase).hide();
                if(value == 1){
                    $(".driversediv").show(300);
                    var driverse    = $('.driverse').prop('required',true).attr('aria-describedby');
                    $('#'+driverse).show();
                }
                if(value == 2){
                    $(".dispasediv").show(300);
                    var dispase     = $('.dispase').prop('required',true).attr('aria-describedby');
                    $('#'+dispase).hide();
                }
            });
        });

        $(document).on('click', '#removeRow', function () {
            $(this).closest('#inputFormRow').remove();
        });

        $(function() {
            $("#sortable").sortable();
        });

        /******************/
        // import {isString} from "../../../../public/js/app";
        function initialize() {
            // Google Chart
            var restricted_states       = JSON.parse("{{ $driver->driver_restricted_states()->pluck('state_id') }}");
            var avoid_states            = JSON.parse("{{ $driver->driver_avoid_states()->pluck('state_id') }}");

            $('.state-multi-select').on('select2:select select2:unselect', function (e) {
                restricted_states       = $(".restricted-state").val();
                avoid_states            = $(".avoid-state").val();
                stateList(restricted_states, avoid_states);
            });

            google.charts.load('current', {
                'packages': ['geochart'],
            });

            google.charts.setOnLoadCallback(drawRegionsMap);

            var token                   = $('meta[name="csrf-token"]').attr('content');
            var id                      = "{{ $driver->id }}";
            var dataArray               = [['State', '']];

            function stateList(restricted_states, avoid_states) {
                $.ajax({
                    url: "{{ route('company.admin.driver.state.list.for.map') }}",
                    method: 'POST',
                    data: {
                        _token: token,
                        id: id,
                        restricted_states: restricted_states,
                        avoid_states: avoid_states,
                        page_type: 'edit'
                    },
                    dataType: 'json',
                    success: function (response) {
                        for (var i = 0; i < response.data.length; i++) {
                            dataArray.push([{
                                v: 'US-' + response.data[i][0],
                                f: response.data[i][2]
                            }, {v: response.data[i][1], f: response.data[i][3]}]);
                        }
                        drawRegionsMap();
                    }
                });
            }

            stateList(restricted_states, avoid_states);

            function drawRegionsMap() {
                var data                = google.visualization.arrayToDataTable(dataArray);
                var options             = {
                    region: 'US',
                    colorAxis: {
                        colors: ['green', 'yellow', 'red'],
                        minValue: 0,
                        maxValue: 2,
                    },
                    legend: "none",
                    resolution: 'provinces',
                    backgroundColor: '#81d4fa',
                };
                var chart               = new google.visualization.GeoChart(document.getElementById('map'));
                chart.draw(data, options);
            }
        }

        $(document).ready(function () {
            $('.storeAddEvent').parsley();
            /*
                var events_list = {{ Illuminate\Support\Js::from(getDriverEventFullCalendar($driver->id)) }};
                console.log(eval(events_list));
            */
            $('#calendar').fullCalendar({
                header: {
                    left: 'today, prevYear, nextYear, printButton',
                    center: 'prev, title, next',
                    right: 'month,agendaWeek,agendaDay,listMonth'
                },
                dayRender: function (date, cell) {
                    cell.append('<img src="{{ asset('theme/img/blue-plus.png') }}" onclick="newEvent(' + date + ')" class="addevent plus-btn" alt="">');
                },
                editable: false,
                eventLimit: true,
                //events: eval(events_list),
                eventRender: function eventRender(event, element, view) {
                    element.attr('title', event.title);
                    if (event.icon) {
                        element.find(".fc-title").prepend("<i class='fa " + event.icon + "'></i>");
                    }
                    if (event.id) {
                        element.prepend("<span class='closeon'>X</span>");
                        element.prepend("<span class='editon'><i class='fa fa-pencil' aria-hidden='true'></i></span>");
                    }
                    if (event.dataid) {
                        element.prepend("<span class='edit-hos-violations-btn editon' data-id='"+event.dataid+"' data-toggle='modal' data-target='#editHOSViolationsModal'><i class='fa fa-pencil' aria-hidden='true'></i></span>");
                    }
                    if(event.maintenance_id){
                        element.click(function(){
                            var token   = $('meta[name="csrf-token"]').attr('content');
                            $.ajax({
                                url: "{{ route('company.admin.managers.show.event') }}",
                                method: "POST",
                                data: { _token : token , maintenance_event_id : event.maintenance_id },
                                success: function (response) {
                                    $(".show-event").modal('show');
                                    $(".show-data").html(response['html']);
                                }
                            });

                        });
                    }
                    element.find(".closeon").click(function () {
                        Swal.fire({
                            title: "Are you sure?",
                            text: "You won't be able to revert this!",
                            showCancelButton: true,
                            reverseButtons: true,
                            confirmButtonColor: "#3085d6",
                            cancelButtonColor: "#d33",
                            confirmButtonText: "Confirm and Submit",
                            cancelButtonText: "Cancel",
                        }).then((result) => {
                            if (result.value) {
                                var token   = $('meta[name="csrf-token"]').attr('content');
                                $.ajax({
                                    url: "{{ route('company.admin.driver.remove.event') }}",
                                    method: "POST",
                                    data: {_token: token, event_id: event.id},
                                    success: function (response) {
                                        $('#calendar').fullCalendar('removeEvents', event._id);
                                        toastr.success('Event Deleted successfully.', 'Success Alert', {timeOut: 5000})
                                    }
                                });
                            }
                        });
                    });
                    element.find(".editon").click(function () {
                        var id              = event.id;
                        var token           = $('meta[name="csrf-token"]').attr('content');
                        $.ajax({
                            url: "{{ route('company.admin.driver.edit.event') }}",
                            method: "POST",
                            data: {_token: token, event_id: id},
                            success: function (response) {
                                $(".teamModal-3").modal('show');
                                $(".data").html(response['html'])
                            }
                        });
                    });
                },
            });

            $(document).ready(function () {
                // Open modal on page load
                // Close modal on button click
                $(".close").click(function () {
                    $(".teamModal-3").modal('hide');
                });
            });

            var driver_id               = '{{ $driver->id }}';
            // var driver_id            = $(".driver_id").val();
            var calendarEvent           = $("#calendarEvent").val();
            var birthdays               = $("#birthdays:checked").val();
            var expirations             = $("#expirations:checked").val();
            var maintenanceTrucks       = $("#maintenanceTrucks:checked").val();
            var maintenanceTrailers     = $("#maintenanceTrailers:checked").val();
            var hidePersonalEvents      = $("#hidePersonalEvents:checked").val();
            var myLeaves                = $("#myLeaves:checked").val();
            var myViolations            = $("#myViolations:checked").val();
            var maintenanceTicket       = $("#maintenanceTicket:checked").val();

            function getEvent(driver_id, calendarEvent, birthdays, expirations, maintenanceTrucks, maintenanceTrailers,hidePersonalEvents,myLeaves,myViolations,maintenanceTicket) {
                var token               = $('meta[name="csrf-token"]').attr('content');
                $.ajax({
                    url: "{{ route('company.admin.driver.get.event') }}",
                    data: {_token: token, driver_id: driver_id,calendarEvent: calendarEvent,birthdays: birthdays,expirations: expirations,maintenanceTrucks: maintenanceTrucks,hidePersonalEvents: hidePersonalEvents,maintenanceTrailers: maintenanceTrailers,myLeaves: myLeaves,myViolations: myViolations,maintenanceTicket: maintenanceTicket},
                    method: "POST",
                    success: function (response) {
                        //console.log(eval(response.view));
                        $('#calendar').fullCalendar('removeEvents');
                        $('#calendar').fullCalendar('addEventSource', eval(response.view))
                        $('#calendar').fullCalendar('rerenderEvents');
                        $('.fc-event').tooltip();
                    }
                });
            }

            getEvent(driver_id, calendarEvent, birthdays, expirations, maintenanceTrucks, maintenanceTrailers,hidePersonalEvents,myLeaves,myViolations,maintenanceTicket);

            $('.changeEvent').on('change', function () {
                var driver_id           = '{{ $driver->id }}';
                // var driver_id        = $(".driver_id").val();
                var calendarEvent       = $("#calendarEvent").val();
                var birthdays           = $("#birthdays:checked").val();
                var expirations         = $("#expirations:checked").val();
                var maintenanceTrucks   = $("#maintenanceTrucks:checked").val();
                var maintenanceTrailers = $("#maintenanceTrailers:checked").val();
                var hidePersonalEvents  = $("#hidePersonalEvents:checked").val();
                var myLeaves            = $("#myLeaves:checked").val();
                var myViolations        = $("#myViolations:checked").val();
                var maintenanceTicket   = $("#maintenanceTicket:checked").val();
                getEvent(driver_id, calendarEvent, birthdays, expirations, maintenanceTrucks, maintenanceTrailers,hidePersonalEvents,myLeaves,myViolations,maintenanceTicket)
            });

            $('#calendar').fullCalendar('refetchEvents');

            $(".eveclFullc").click(function () {
                setTimeout(function () {
                    $('#calendar').fullCalendar('refetchEvents');
                }, 500);
            });

            <?php if(isset($_GET['calendar']) && $_GET['calendar'] == 1): ?>
            setTimeout(function () {
                $('.eveclFullc').trigger('click');
            }, 300);
            <?php endif; ?>

            $('.faicon input[type="radio"]').click(function () {
                $(this).parent().addClass('active').siblings('label').removeClass('active')
            });

            $(".faicon").hide();
            $(".addshoicon").click(function () {
                if ($(this).is(":checked")) {
                    $(".faicon").show(300);
                } else {
                    $(".faicon").hide(200);
                }
            });
        });

        function newEvent(date) {
            var CurrentDate     = moment(new Date(date)).tz(localTimeZone);
            var CurrentD        = moment(CurrentDate).tz(localTimeZone).add(0, 'day').format('MM/DD/YYYY');
            $(".storeAddEvent")[0].reset();
            $('#newEvent').modal('toggle');
            $('.eventstart').val(CurrentD).change();
            $('.eventend').val(CurrentD).change();
            $('.eventend').data('DateTimePicker').minDate(CurrentD);
        }

        $('.eventstart,.eventend').datetimepicker({
            format: dateTimeLayout,
            useCurrent: false,
            //minDate: moment()
        });

        $('.eventstart').datetimepicker().on('dp.change', function (e) {
            var CurrentDate     = $(this).val();
            var CurrentD        = moment(CurrentDate).tz(localTimeZone).add(0, 'day').format(dateTimeLayout);
            $('.eventend').data('DateTimePicker').minDate(CurrentD);
            $('.eventend').val(CurrentD);
        });

        $('.date').datetimepicker({
            format: 'MM/DD/YYYY',
            useCurrent: false,
        });

        $("body").on("click", ".create-hos-violations-btn", function () {
            var token           = $('meta[name="csrf-token"]').attr('content');
            var driver_id       = $(this).data('driver-id');
            $.ajax({
                url: "/company-admin/hos-violation/create/form/view",
                method: "POST",
                data: {_token: token, driver_id: driver_id},
                success: function (response) {
                    $('.blank-modal-body').find('.append-form').html('');
                    $('#createHOSViolationsModal').find('.append-form').html(response.view);

                    $('.date').datetimepicker({
                        format: 'MM/DD/YYYY',
                        useCurrent: false,
                    });

                    $('.cutomtime').datetimepicker({
                        format: timeLayout,
                        useCurrent: true,
                    });

                    $('.select2').select2({
                        dropdownParent: $('.storeHOSViolationForm')
                    });

                    imagePreview();
                    storeHOSViolationFormAjax();
                    AddMoreHOS();

                    $('.unit1').change();
                    $('.unit2').change();
                }
            });
        });

        // create non violation modal
        $("body").on("click",".create-non-violations-btn",function() {
            var token           = $('meta[name="csrf-token"]').attr('content');
            var driver_id       = $(this).data('driver-id');
            $.ajax({
                url: "/company-admin/non-violation/create/form/view",
                method: "POST",
                data: {_token: token, driver_id: driver_id},
                success: function (response) {
                    $('.blank-modal-body').find('.append-form').html('');
                    $('#createNonViolationsModal').find('.append-form').html(response.view);

                    $('.date').datetimepicker({
                        format: 'MM/DD/YYYY',
                        useCurrent: false,
                    });

                    $('.cutomtime').datetimepicker({
                        format: timeLayout,
                        useCurrent: true,
                    });

                    $('.select2').select2({
                        dropdownParent: $('.storeHOSViolationForm')
                    });

                    imagePreview();
                    storeHOSViolationFormAjax();
                    AddMoreHOS();

                    $('.unit1').change();
                    $('.unit2').change();
                }
            });
        });

        function storeHOSViolationFormAjax() {
            $(".storeHOSViolationForm").ajaxForm({
                complete: function (response) {
                    if (response.responseJSON.success) {
                        window.location.href = window.location.href;
                    } else {
                        $('.error').text('');
                        $.each(response.responseJSON.errors, function (key, value) {
                            var key = key.replace(/\./g, '_');
                            $.each(value, function (skey, svalue) {
                                $('.' + key + '_error').text(svalue);
                            });
                        });
                        toastr.error('Please check the form below for errors', 'Error Alert', {timeOut: 5000})
                    }
                },
            });
        }

        $("body").on("click", ".edit-hos-violations-btn", function () {
            var token           = $('meta[name="csrf-token"]').attr('content');
            var id              = $(this).data('id');
            $.ajax({
                url: "/company-admin/hos-violation/edit/form/view",
                method: "POST",
                data: {_token: token, id: id},
                success: function (response) {
                    $('.blank-modal-body').find('.append-form').html('');
                    $('#editHOSViolationsModal').find('.append-form').html(response.view);

                    $('.date').datetimepicker({
                        format: 'MM/DD/YYYY',
                        useCurrent: false,
                    });

                    $('.cutomtime').datetimepicker({
                        format: timeLayout,
                        useCurrent: true,
                    });

                    $('.select2').select2({
                        dropdownParent: $('.updateHOSViolationForm')
                    });

                    imagePreview();
                    updateHOSViolationFormAjax();
                    AddMoreHOS();

                    $('.unit1').change();
                    $('.unit2').change();
                    $('.unittype:first').trigger('change');
                }
            });
        });


        $("body").on("click", ".edit-non-violations-btn", function () {
            var token           = $('meta[name="csrf-token"]').attr('content');
            var id              = $(this).data('id');
            $.ajax({
                url: "/company-admin/non-violation/edit/form/view",
                method: "POST",
                data: {_token: token, id: id},
                success: function (response) {
                    $('.blank-modal-body').find('.append-form').html('');
                    $('#editNONViolationsModal').find('.append-form').html(response.view);

                    $('.date').datetimepicker({
                        format: 'MM/DD/YYYY',
                        useCurrent: false,
                    });

                    $('.cutomtime').datetimepicker({
                        format: timeLayout,
                        useCurrent: true,
                    });

                    $('.select2').select2({
                        dropdownParent: $('.updateHOSViolationForm')
                    });

                    imagePreview();
                    updateHOSViolationFormAjax();
                    AddMoreHOS();

                    $('.unit1').change();
                    $('.unit2').change();
                    $('.unittype:first').trigger('change');
                }
            });
        });

        function updateHOSViolationFormAjax() {
            $(".updateHOSViolationForm").ajaxForm({
                complete: function (response) {
                    if (response.responseJSON.success) {
                        window.location.href = window.location.href;
                    } else {
                        $('.error').text('');
                        $.each(response.responseJSON.errors, function (key, value) {
                            var key = key.replace(/\./g, '_');
                            $.each(value, function (skey, svalue) {
                                $('.' + key + '_error').text(svalue);
                            });
                        });
                        toastr.error('Please check the form below for errors', 'Error Alert', {timeOut: 5000})
                    }
                },
            });
        }

        $("body").on("click", ".show-hos-violations-btn", function () {
            var token           = $('meta[name="csrf-token"]').attr('content');
            var id              = $(this).data('id');
            $.ajax({
                url: "/company-admin/hos-violation/show/view",
                method: "POST",
                data: {_token: token, id: id},
                success: function (response) {
                    $('#showHOSViolationsModal').find('.append-form').html(response.view);
                }
            });
        });

        $("body").on("click", ".show-non-violations-btn", function () {
            var token           = $('meta[name="csrf-token"]').attr('content');
            var id              = $(this).data('id');
            $.ajax({
                url: "/company-admin/non-violation/show/view",
                method: "POST",
                data: {_token: token, id: id},
                success: function (response) {
                    $('#showNONViolationsModal').find('.append-form').html(response.view);
                }
            });
        });

        $("body").on("click", ".create-citation-btn", function () {
            var token           = $('meta[name="csrf-token"]').attr('content');
            var driver_id       = $(this).data('driver-id');
            $.ajax({
                url: "/company-admin/citation/create/form/view",
                method: "POST",
                data: {_token: token, driver_id: driver_id},
                success: function (response) {
                    $('.blank-modal-body').find('.append-form').html('');
                    $('#createCitationModal').find('.append-form').html(response.view);

                    $('.date').datetimepicker({
                        format: 'MM/DD/YYYY',
                        useCurrent: false,
                    });

                    $('.select2').select2({
                        dropdownParent: $('.storeCitationForm')
                    });

                    imagePreview();
                    storeCitationFormAjax();
                }
            });
        });

        function storeCitationFormAjax() {
            $(".storeCitationForm").ajaxForm({
                complete: function (response) {
                    if (response.responseJSON.success) {
                        window.location.href = window.location.href;
                    } else {
                        $('.error').text('');
                        $.each(response.responseJSON.errors, function (key, value) {
                            var key = key.replace(/\./g, '_');
                            $.each(value, function (skey, svalue) {
                                $('.' + key + '_error').text(svalue);
                            });
                        });
                        toastr.error('Please check the form below for errors', 'Error Alert', {timeOut: 5000})
                    }
                },
            });
        }

        $("body").on("click", ".edit-citation-btn", function () {
            var token           = $('meta[name="csrf-token"]').attr('content');
            var id              = $(this).data('id');
            $.ajax({
                url: "/company-admin/citation/edit/form/view",
                method: "POST",
                data: {_token: token, id: id},
                success: function (response) {
                    $('.blank-modal-body').find('.append-form').html('');
                    $('#editCitationModal').find('.append-form').html(response.view);

                    $('.date').datetimepicker({
                        format: 'MM/DD/YYYY',
                        useCurrent: false,
                    });

                    $('.select2').select2({
                        dropdownParent: $('.updateCitationForm')
                    });

                    imagePreview();
                    updateCitationFormAjax();
                }
            });
        });

        function updateCitationFormAjax() {
            $(".updateCitationForm").ajaxForm({
                complete: function (response) {
                    if (response.responseJSON.success) {
                        window.location.href = window.location.href;
                    } else {
                        $('.error').text('');
                        $.each(response.responseJSON.errors, function (key, value) {
                            var key = key.replace(/\./g, '_');
                            $.each(value, function (skey, svalue) {
                                $('.' + key + '_error').text(svalue);
                            });
                        });
                        toastr.error('Please check the form below for errors', 'Error Alert', {timeOut: 5000})
                    }
                },
            });
        }

        $("body").on("click", ".show-citation-btn", function () {
            var token           = $('meta[name="csrf-token"]').attr('content');
            var id              = $(this).data('id');
            $.ajax({
                url: "/company-admin/citation/show/view",
                method: "POST",
                data: {_token: token, id: id},
                success: function (response) {
                    $('#showCitationModal').find('.append-form').html(response.view);
                }
            });
        });

        $("body").on("click", ".create-accident-btn", function () {
            var token           = $('meta[name="csrf-token"]').attr('content');
            var driver_id       = $(this).data('driver-id');
            $.ajax({
                url: "/company-admin/accident/create/form/view",
                method: "POST",
                data: {_token: token, driver_id: driver_id},
                success: function (response) {
                    $('.blank-modal-body').find('.append-form').html('');
                    $('#createAccidentModal').find('.append-form').html(response.view);

                    $('.date').datetimepicker({
                        format: 'MM/DD/YYYY',
                        useCurrent: false,
                    });

                    $('.select2').select2({
                        dropdownParent: $('.storeAccidentForm')
                    });

                    imagePreview();
                    storeAccidentFormAjax();
                }
            });
        });

        function storeAccidentFormAjax() {
            $(".storeAccidentForm").ajaxForm({
                complete: function (response) {
                    if (response.responseJSON.success) {
                        window.location.href = window.location.href;
                    } else {
                        $('.error').text('');
                        $.each(response.responseJSON.errors, function (key, value) {
                            var key = key.replace(/\./g, '_');
                            $.each(value, function (skey, svalue) {
                                $('.' + key + '_error').text(svalue);
                            });
                        });
                        toastr.error('Please check the form below for errors', 'Error Alert', {timeOut: 5000})
                    }
                },
            });
        }

        $("body").on("change", ".accident-type", function () {
            var type            = $(this).val();
            if (type == 5) {
                $(".accident-modal").find(".other-div").css('display', 'block');
            } else {
                $(".accident-modal").find(".other-div").css('display', 'none');
            }
        });

        $("body").on("click", ".edit-accident-btn", function () {
            var token           = $('meta[name="csrf-token"]').attr('content');
            var id              = $(this).data('id');
            $.ajax({
                url: "/company-admin/accident/edit/form/view",
                method: "POST",
                data: {_token: token, id: id},
                success: function (response) {
                    $('.blank-modal-body').find('.append-form').html('');
                    $('#editAccidentModal').find('.append-form').html(response.view);

                    $('.date').datetimepicker({
                        format: 'MM/DD/YYYY',
                        useCurrent: false,
                    });

                    imagePreview();
                    updateAccidentFormAjax();
                }
            });
        });

        function updateAccidentFormAjax() {
            $(".updateAccidentForm").ajaxForm({
                complete: function (response) {
                    if (response.responseJSON.success) {
                        window.location.href = window.location.href;
                    } else {
                        $('.error').text('');
                        $.each(response.responseJSON.errors, function (key, value) {
                            var key = key.replace(/\./g, '_');
                            $.each(value, function (skey, svalue) {
                                $('.' + key + '_error').text(svalue);
                            });
                        });
                        toastr.error('Please check the form below for errors', 'Error Alert', {timeOut: 5000})
                    }
                },
            });
        }

        $("body").on("click", ".show-accident-btn", function () {
            var token           = $('meta[name="csrf-token"]').attr('content');
            var id              = $(this).data('id');
            $.ajax({
                url: "/company-admin/accident/show/view",
                method: "POST",
                data: {_token: token, id: id},
                success: function (response) {
                    $('#showAccidentModal').find('.append-form').html(response.view);
                }
            });
        });

        $("body").on("click", ".create-mechanical-issues-btn", function () {
            var token           = $('meta[name="csrf-token"]').attr('content');
            var driver_id       = $(this).data('driver-id');
            $.ajax({
                url: "/company-admin/mechanical-issue/create/form/view",
                method: "POST",
                data: {_token: token, driver_id: driver_id},
                success: function (response) {
                    $('.blank-modal-body').find('.append-form').html('');
                    $('#createMechanicalIssuesModal').find('.append-form').html(response.view);

                    $('.date').datetimepicker({
                        format: 'MM/DD/YYYY',
                        useCurrent: false,
                    });

                    $('.select2').select2({
                        dropdownParent: $('.storeMechanicalIssueForm')
                    });

                    imagePreview();
                    storeMechanicalIssueFormAjax();
                }
            });
        });

        function storeMechanicalIssueFormAjax() {
            $(".storeMechanicalIssueForm").ajaxForm({
                complete: function (response) {
                    if (response.responseJSON.success) {
                        window.location.href = window.location.href;
                    } else {
                        $('.error').text('');
                        $.each(response.responseJSON.errors, function (key, value) {
                            var key = key.replace(/\./g, '_');
                            $.each(value, function (skey, svalue) {
                                $('.' + key + '_error').text(svalue);
                            });
                        });
                        toastr.error('Please check the form below for errors', 'Error Alert', {timeOut: 5000})
                    }
                },
            });
        }

        $("body").on("change", ".mechanical-issue-type", function () {
            var type            = $(this).val();
            if (type == 1) {
                $(".mechanical-issue-modal").find(".other-div").css('display', 'block');
            } else {
                $(".mechanical-issue-modal").find(".other-div").css('display', 'none');
            }
        });

        $("body").on("click", ".edit-mechanical-issues-btn", function () {
            var token           = $('meta[name="csrf-token"]').attr('content');
            var id              = $(this).data('id');
            $.ajax({
                url: "/company-admin/mechanical-issue/edit/form/view",
                method: "POST",
                data: {_token: token, id: id},
                success: function (response) {
                    $('.blank-modal-body').find('.append-form').html('');
                    $('#editMechanicalIssuesModal').find('.append-form').html(response.view);

                    $('.date').datetimepicker({
                        format: 'MM/DD/YYYY',
                        useCurrent: false,
                    });

                    $('.select2').select2({
                        dropdownParent: $('.updateMechanicalIssueForm')
                    });

                    imagePreview();
                    updateMechanicalIssueFormAjax();
                }
            });
        });

        function updateMechanicalIssueFormAjax() {
            $(".updateMechanicalIssueForm").ajaxForm({
                complete: function (response) {
                    if (response.responseJSON.success) {
                        window.location.href = window.location.href;
                    } else {
                        $('.error').text('');
                        $.each(response.responseJSON.errors, function (key, value) {
                            var key = key.replace(/\./g, '_');
                            $.each(value, function (skey, svalue) {
                                $('.' + key + '_error').text(svalue);
                            });
                        });
                        toastr.error('Please check the form below for errors', 'Error Alert', {timeOut: 5000})
                    }
                },
            });
        }

        $("body").on("click", ".show-mechanical-issues-btn", function () {
            var token           = $('meta[name="csrf-token"]').attr('content');
            var id              = $(this).data('id');
            $.ajax({
                url: "/company-admin/mechanical-issue/show/view",
                method: "POST",
                data: {_token: token, id: id},
                success: function (response) {
                    $('#showMechanicalIssuesModal').find('.append-form').html(response.view);
                }
            });
        });

        function imagePreview() {
            var container       = $('.image-wrapper'), inputFile = $('#file'), img, btn, txt = 'Choose file',
                txtAfter        = 'Changes file';
            if (!container.find('#upload').length) {
                container.find('.input').append('<input type="button" value="' + txt + '" id="upload">');
                btn             = $('#upload');
                container.prepend('<img src="" class="hidden" alt="Uploaded file" id="uploadImg" width="100">');
                img             = $('#uploadImg');
            } else {
                btn             = $('#upload');
                img             = $('#uploadImg');
            }
            btn.on('click', function () {
                img.animate({opacity: 0}, 300);
                inputFile.click();
            });
            inputFile.on('change', function (e) {
                container.find('label').html(inputFile.val());
                var i           = 0;
                for (i; i < e.originalEvent.srcElement.files.length; i++) {
                    var file    = e.originalEvent.srcElement.files[i],
                        reader  = new FileReader();
                    reader.onloadend = function () {
                        img.attr('src', reader.result).animate({opacity: 1}, 700);
                    }
                    reader.readAsDataURL(file);
                    img.removeClass('hidden');
                }
                btn.val(txtAfter);
                if (btn.val(txtAfter)) {
                    $('#upload').addClass('changeImg');
                }
            });

            var container2      = $('.image-wrapper2'), inputFile2 = $('#file2'), img2, btn2, txt2 = 'Choose file',
                txtAfter2       = 'Changes file';
            if (!container2.find('#upload2').length) {
                container2.find('.input2').append('<input type="button" value="' + txt2 + '" id="upload2">');
                btn2            = $('#upload2');
                container2.prepend('<img src="" class="hidden" alt="Uploaded file" id="uploadImg2" width="100">');
                img2            = $('#uploadImg2');
            } else {
                btn2            = $('#upload2');
                img2            = $('#uploadImg2');
            }
            btn2.on('click', function () {
                img2.animate({opacity: 0}, 300);
                inputFile2.click();
            });
            inputFile2.on('change', function (e) {
                container2.find('label2').html(inputFile2.val());
                var i = 0;
                for (i; i < e.originalEvent.srcElement.files.length; i++) {
                    var file2   = e.originalEvent.srcElement.files[i],
                        reader2 = new FileReader();
                    reader2.onloadend = function () {
                        img2.attr('src', reader2.result).animate({opacity: 1}, 700);
                    }
                    reader2.readAsDataURL(file2);
                    img2.removeClass('hidden');
                }
                btn2.val(txtAfter2);
                if (btn2.val(txtAfter2)) {
                    $('#upload2').addClass('changeImg2');
                }
            });

            var container3      = $('.image-wrapper3'), inputFile3 = $('#file3'), img3, btn3, txt3 = 'Choose file',
                txtAfter3       = 'Changes file';
            if (!container3.find('#upload3').length) {
                container3.find('.input3').append('<input type="button" value="' + txt3 + '" id="upload3">');
                btn3            = $('#upload3');
                container3.prepend('<img src="" class="hidden" alt="Uploaded file" id="uploadImg3" width="100">');
                img3            = $('#uploadImg3');
            } else {
                btn3            = $('#upload3');
                img3            = $('#uploadImg3');
            }
            btn3.on('click', function () {
                img3.animate({opacity: 0}, 300);
                inputFile3.click();
            });
            inputFile3.on('change', function (e) {
                container3.find('label3').html(inputFile3.val());
                var i = 0;
                for (i; i < e.originalEvent.srcElement.files.length; i++) {
                    var file3   = e.originalEvent.srcElement.files[i],
                        reader3 = new FileReader();
                    reader3.onloadend = function () {
                        img3.attr('src', reader3.result).animate({opacity: 1}, 700);
                    }
                    reader3.readAsDataURL(file3);
                    img3.removeClass('hidden');
                }
                btn3.val(txtAfter3);
                if (btn3.val(txtAfter3)) {
                    $('#upload3').addClass('changeImg3');
                }
            });

            var container4      = $('.image-wrapper4'), inputFile4 = $('#file4'), img4, btn4, txt4 = 'Choose file',
                txtAfter4       = 'Changes file';
            if (!container4.find('#upload4').length) {
                container4.find('.input4').append('<input type="button" value="' + txt4 + '" id="upload4">');
                btn4            = $('#upload4');
                container4.prepend('<img src="" class="hidden" alt="Uploaded file" id="uploadImg4" width="100">');
                img4            = $('#uploadImg4');
            } else {
                btn4            = $('#upload4');
                img4            = $('#uploadImg4');
            }
            btn4.on('click', function () {
                img4.animate({opacity: 0}, 400);
                inputFile4.click();
            });
            inputFile4.on('change', function (e) {
                container4.find('label4').html(inputFile4.val());
                var i = 0;
                for (i; i < e.originalEvent.srcElement.files.length; i++) {
                    var file4   = e.originalEvent.srcElement.files[i],
                        reader4 = new FileReader();
                    reader4.onloadend = function () {
                        img4.attr('src', reader4.result).animate({opacity: 1}, 700);
                    }
                    reader4.readAsDataURL(file4);
                    img4.removeClass('hidden');
                }
                btn4.val(txtAfter4);
                if (btn4.val(txtAfter4)) {
                    $('#upload4').addClass('changeImg4');
                }
            });
        }

        // store compliance safety
        function complianceSafetyFormSubmit() {
            $(".storeComplianceSafetyForm").submit();
        }

        $(".storeComplianceSafetyForm").ajaxForm({
            complete: function (response) {
                console.log(response);
            },
        });

        // store driver onboarding
        function driverOnboardingFormSubmit(id = null) {
            if (id != null) {
                var staid       = '.child' + id;
                var parrentid   = '#yes-no-' + id;
                var numberOfChildCheckBoxes = $(staid).length;
                var checkedChildCheckBox    = $(staid + ':checked').length;
                if (checkedChildCheckBox == numberOfChildCheckBoxes) {
                    $(parrentid).prop('checked', true);
                } else {
                    $(parrentid).prop('checked', false);
                }
            }
            $(".storeDriverOnboardingForm").submit();
        }

        $(".storeDriverOnboardingForm").ajaxForm({
            complete: function (response) {
                console.log(response);
            },
        });

        // Days to onboard
        $("body").on("change", ".application-date , .start-date", function () {
            daysToOnboard();
        });

        function daysToOnboard() {
            if ($('.application-date').val() != '' && $('.start-date').val() != '') {
                var applicationDate = $('.application-date').datepicker('getDate');
                var startDate       = $('.start-date').datepicker('getDate');
                var days            = (startDate - applicationDate) / 1000 / 60 / 60 / 24;
                var round           = Math.round(days);
                $('.days-to-onboard').val(round);
            } else {
                $('.days-to-onboard').val(0);
            }
        }

        // Onboard Yes/No Checkbox
        $("body").on("click", ".yes-no-checkbox", function () {
            var stage_name          = $(this).data('stage-name');
            var stage_no            = $(this).data('stage-no');
            $('.onboard-progress-bar li').each(function (i, li) {
                var li_stage_no     = $(li).data('stage-no');
                if ($(li).hasClass("fill-active") == false && li_stage_no <= stage_no) {
                    $(li).removeClass('fill-active');
                    $(li).addClass('fill-inactive');
                }
            });
            if ($(this).prop("checked") == true) {
                $(".onboard-progress-bar").find("li[data-stage-name='" + stage_name + "']").removeClass('fill-inactive');
                $(".onboard-progress-bar").find("li[data-stage-name='" + stage_name + "']").addClass('fill-active');
            } else if ($(this).prop("checked") == false) {
                $(".onboard-progress-bar").find("li[data-stage-name='" + stage_name + "']").removeClass('fill-active');
                $(".onboard-progress-bar").find("li[data-stage-name='" + stage_name + "']").addClass('fill-inactive');
            }
        });

        // Onboard view file modal
        $("body").on("click", ".show-onboarding-file-btn", function () {
            var token               = $('meta[name="csrf-token"]').attr('content');
            var driver_id           = $(this).data('driver-id');
            var stage_name          = $(this).data('stage-name');
            $.ajax({
                url: "/company-admin/driver-onboarding/file/view",
                method: "POST",
                data: {_token: token, driver_id: driver_id, stage_name: stage_name},
                success: function (response) {
                    $('#onboardingFileModal').find('.append-form').html(response.view);
                }
            });
        });

        // Delete onboarding file
        $("body").on("click", ".delete-onboarding-file", function () {
            var token               = $('meta[name="csrf-token"]').attr('content');
            var onboarding_id       = $(this).data('onboarding-id');
            var stage_name          = $(this).data('stage-name');
            $.ajax({
                url: "/company-admin/driver-onboarding/file/delete",
                method: "POST",
                data: {_token: token, onboarding_id: onboarding_id, stage_name: stage_name},
                success: function (response) {
                    if (response.success) {
                        toastr.success(response.success, 'Success Alert', {timeOut: 5000})
                        $("#onboardingFileModal").modal('hide');
                    }
                }
            });
        });

        var table = $('.new-load-data-table').DataTable({
            stateSave: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            processing: true,
            serverSide: true,
            bJQueryUI: true,
            ordering: false,
            pageLength: "{{ perPageView() }}",
            lengthMenu: [[10, 20, 50, 100, -1], [10, 20, 50, 100, "All"]],
            dom: "<'row cusotdiv'<'col-sm-2 col-md-2'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
            ajax: "{{ url('company-admin/drivers/'.$driver->id.'/loads') }}",
            columns: [
                {data: 'load_number', name: 'load_number'},
                {data: 'driver', name: 'driver', visible: false},
                {data: 'truck_number', name: 'truck_number', orderable: false},
                {data: 'trailer_number', name: 'trailer_number', orderable: false},
                {data: 'phone_number', name: 'phone_number', orderable: false, visible: false},
                {data: 'dispatcher', name: 'dispatcher'},
                {data: 'shipper_location', name: 'shipper_location', orderable: false},
                {data: 'delivery_location', name: 'delivery_location', orderable: false},
                {data: 'status', name: 'status', orderable: false},
                {data: 'last_location', name: 'last_location', orderable: false},
                {data: 'total_bill', name: 'total_bill', orderable: false},
                {data: 'created_at', name: 'created_at', visible: false, searchable: false},
                {data: 'action', name: 'action', orderable: false, searchable: false, visible: false}
            ]
        });

        $('#EvoCalendar').fullCalendar({
            header: {
                left: 'prev,next today',
                center: 'title',
                right: 'agendaWeek,month,yearly,list'
            },
            events: 'https://fullcalendar.io/demo-events.json'
        });


        /******Occupancy Calendar********/
        var loadimg         = "{{ asset('theme/img/loading.gif') }}";
        var driver_id       = $(".driver_id").val();
        var showtype        = $(".showtype").val();
        var get_data        = 'current';
        var cyear           = $(".cyear").val();
        var cmonth          = $(".cmonth").val();
        var start_date      = $(".start_date").val();
        var end_date        = $(".end_date").val();

        function OccupancyCalanderView(driver_id, showtype, get_data, cyear, cmonth, start_date, end_date) {
            $(".append-view").html('<div class="loadingdiv"><img src="' + loadimg + '" /></div>');
            $(".occupanytype").html('<div class="loadingdiv"><img src="' + loadimg + '" /></div>');
            $(".performanceSummary").html('<div class="loadingdiv"><img src="' + loadimg + '" /></div>');
            var token       = $('meta[name="csrf-token"]').attr('content');
            $.ajax({
                url: "{{ route('company.admin.occupancy.calander.view') }}",
                method: "POST",
                data: {
                    _token: token,
                    driver_id: driver_id,
                    showtype: showtype,
                    get_data: get_data,
                    cyear: cyear,
                    cmonth: cmonth,
                    start_date: start_date,
                    end_date: end_date
                },
                success: function (response) {
                    $(".append-view").html(response.view);
                    $(".occupanytype").html(response.occupanytype);
                    $(".performanceSummary").html(response.performanceSummary);
                    $(".driver_name").html(response.driver_name);
                    $('.holid').tooltip();

                    if ($('.holidychecked').is(':checked')) {
                        $(".holid").removeClass("hidden")
                    } else {
                        $(".holid").addClass("hidden")
                    }
                }
            });
        }

        $("body").on("click", ".next-arrow", function (e) {
            var driver_id   = $(".driver_id").val();
            var showtype    = $(".showtype").val();
            var get_data    = 'next';
            var cyear       = $(".cyear").val();
            var cmonth      = $(".cmonth").val();
            var start_date  = $(".start_date").val();
            var end_date    = $(".end_date").val();
            OccupancyCalanderView(driver_id, showtype, get_data, cyear, cmonth, start_date, end_date);
        });

        $("body").on("click", ".prev-arrow", function (e) {
            var driver_id   = $(".driver_id").val();
            var showtype    = $(".showtype").val();
            var get_data    = 'previous';
            var cyear       = $(".cyear").val();
            var cmonth      = $(".cmonth").val();
            var start_date  = $(".start_date").val();
            var end_date    = $(".end_date").val();
            OccupancyCalanderView(driver_id, showtype, get_data, cyear, cmonth, start_date, end_date);
        });

        $('.showtype').on('change', function () {
            var driver_id   = $(".driver_id").val();
            var showtype    = this.value;
            var get_data    = 'current';
            var cyear       = $(".cyear").val();
            var cmonth      = $(".cmonth").val();
            var start_date  = $(".start_date").val();
            var end_date    = $(".end_date").val();
            OccupancyCalanderView(driver_id, showtype, get_data, cyear, cmonth, start_date, end_date);
        });

        $('.driver_id').on('change', function () {
            var driver_id   = this.value;
            var showtype    = $(".showtype").val();
            var get_data    = 'current';
            var cyear       = $(".cyear").val();
            var cmonth      = $(".cmonth").val();
            var start_date  = $(".start_date").val();
            var end_date    = $(".end_date").val();
            OccupancyCalanderView(driver_id, showtype, get_data, cyear, cmonth, start_date, end_date);
        });

        $(document).ready(function () {
            OccupancyCalanderView(driver_id, showtype, get_data, cyear, cmonth, start_date, end_date);

            $('.holidychecked').click(function () {
                if ($(this).is(':checked')) {
                    $(".holid").removeClass("hidden")
                } else {
                    $(".holid").addClass("hidden")
                }
            });

            $('.checkdate').click(function () {
                var dataid  = $(this).attr('data-id');
                if ($(this).is(':checked')) {
                    $(".ondate" + dataid).show(300)
                } else {
                    $(".ondate" + dataid).hide()
                }
            });

            $('.checkfile').click(function () {
                var dataid  = $(this).attr('data-id');
                if ($(this).is(':checked')) {
                    $(".onfile" + dataid).show(300)
                } else {
                    $(".onfile" + dataid).hide()
                }
            });
        });

        /******End Occupancy Calendar********/


        /******Account Chart***************/
        $(function () {
            var start               = moment().subtract(29, 'days');
            var end                 = moment();
            var token               = $('meta[name="csrf-token"]').attr('content');
            var driver_id           = "{{ $driver->id }}";

            function cb(start, end) {
                $('#reportrange span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'));
                var start_date      = start.format('MM/DD/YYYY');
                var end_date        = end.format('MM/DD/YYYY');
                chartAccount(driver_id, start_date, end_date);
            }

            $('#reportrange').daterangepicker({
                startDate: start,
                endDate: end,
                ranges: {
                    'Today': [moment(), moment()],
                    'Yesterday': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                    'Last 7 Days': [moment().subtract(6, 'days'), moment()],
                    'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                    'This Month': [moment().startOf('month'), moment().endOf('month')],
                    'Last Month': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')],
                    'Last Year': [moment().subtract(1, 'year').startOf('year'), moment().subtract(1, 'year').endOf('year')]
                }
            }, cb);

            cb(start, end);

            function chartAccount(driver_id, start_date, end_date) {
                $("#accountTable,#chartAccount,#topfiler1,#topfiler2,#topfiler3,#topfiler4").html('<div class="loadingdiv"><img src="' + loadimg + '" /></div>');
                $.ajax({
                    url: "{{ route('company.admin.driver.account.tab.chart') }}",
                    method: 'POST',
                    data: {_token: token, driver_id: driver_id, start_date: start_date, end_date: end_date},
                    dataType: 'json',
                    success: function (response) {
                        $('#chartAccount').html(response.view);
                        $('#accountTable').html(response.goalsview);
                        $('#topfiler1').html(response.topfiler1);
                        $('#topfiler2').html(response.topfiler2);
                        $('#topfiler3').html(response.topfiler3);
                        $('#topfiler4').html(response.topfiler4);
                    }
                });
            }
        });
        /***********End Account Chart************/

        var obD                     = "<?php if(isset($_GET['DonB'])){echo 1;} ?>";
        if (obD == 1) {
            $('.Account').removeClass('active')
            $('.DriverOnboarding').addClass('active');
            $('.DriverOnboardingContent').addClass('active show');
        }

        $(".cliclveartab").click(function () {
            $( "#leaves-tab" ).tab('show');
        });

        /*******Leave Module*********/
        var year                    = "{{ date('Y') }}";
        $('.leavesAllowanceYear').datetimepicker({
            format: 'YYYY',
            useCurrent: true,
        });

        $('.leavesAllowanceYear').datetimepicker().on('dp.change', function (e) {
            var CurrentDate         = $(this).val();
            if(localTimeZone!=timeZone){
                var year            = moment(CurrentDate).tz(localTimeZone).add(0, 'day').format('YYYY');
            }else{
                var year            = moment(CurrentDate).add(0, 'day').format('YYYY');
            }
            leavesAllowance(driver_id, year);
        });

        function leavesAllowance(driver_id, year) {
            $(".leavesAllowance").html('<tr><td colspan="2"><div class="loadingdiv"><img src="'+loadimg+'" /></div></tr></td>');
            var token               = $('meta[name="csrf-token"]').attr('content');
            $.ajax({
                url: "{{ route('company.admin.get.user.leaves.allowance') }}",
                method: "POST",
                data: { _token : token , type : 'driver', driver_id : driver_id , year : year},
                success: function(response) {
                    $('.leavesAllowance').html(response.view);
                }
            });
        }

        leavesAllowance(driver_id, year);

        $("body").on("click", ".edit-leaves-allowance", function () {
            var token               = $('meta[name="csrf-token"]').attr('content');
            var data_id             = $(this).data('leave-user-type-id');
            $.ajax({
                url: "{{ route('company.admin.edit.user.leaves.allowance.view') }}",
                method: "POST",
                data: {_token: token, data_id: data_id},
                success: function (response) {
                    $('.blank-modal-body').find('.append-form').html('');
                    $('#editLeavesAllowance').find('.append-form').html(response.view);
                    editLeaveAllowanceForm()
                }
            });
        });

        function editLeaveAllowanceForm() {
            $(".editLeaveAllowanceForm").ajaxForm({
                complete: function (response) {
                    $(".editLeaveAllowanceForm").trigger("reset");
                    $('.error').text('');
                    toastr.success('Days updated.', 'Success Alert', {timeOut: 5000})
                    $("#editLeavesAllowance").modal("hide");
                    var year = $(".leavesAllowanceYear").val();
                    leavesAllowance(driver_id, year);
                },
            });
        }

        $('.leavesAllowanceYear2').datetimepicker({
            format: 'YYYY',
            useCurrent: true,
        });

        $('.leavesAllowanceYear2').datetimepicker().on('dp.change', function (e) {
            var CurrentDate         = $(this).val();
            if(localTimeZone!=timeZone){
                var year            = moment(CurrentDate).tz(localTimeZone).add(0, 'day').format('YYYY');
            }else{
                var year            = moment(CurrentDate).add(0, 'day').format('YYYY');
            }
            leavesAllowance2(driver_id, year);
        });

        function leavesAllowance2(driver_id, year) {
            $(".leavesAllowance2").html('<tr><td colspan="2"><div class="loadingdiv"><img src="'+loadimg+'" /></div></tr></td>');
            $(".leavesAllowance3").html('<tr><td colspan="2"><div class="loadingdiv"><img src="'+loadimg+'" /></div></tr></td>');
            var token               = $('meta[name="csrf-token"]').attr('content');
            $.ajax({
                url: "{{ route('company.admin.get.user.leaves.timeoff') }}",
                method: "POST",
                data: { _token : token , type : 'driver', driver_id : driver_id , year : year},
                success: function(response) {
                    $('.leavesAllowance2').html(response.view);
                    $('.leavesAllowance3').html(response.view2);
                }
            });
        }

        leavesAllowance2(driver_id, year);

        function leaveColumn3(driver_id, year) {
            $(".leavesAllowance2").html('<tr><td colspan="2"><div class="loadingdiv"><img src="'+loadimg+'" /></div></tr></td>');
            $(".leavesAllowance3").html('<tr><td colspan="2"><div class="loadingdiv"><img src="'+loadimg+'" /></div></tr></td>');
            var token               = $('meta[name="csrf-token"]').attr('content');
            $.ajax({
                url: "{{ route('company.admin.get.user.leaves.timeoff') }}",
                method: "POST",
                data: { _token : token , type : 'driver', driver_id : driver_id , year : year},
                success: function(response) {
                    $('.leaveColumn3').html(response.view);
                    $('.leaveColumn4').html(response.view2);
                }
            });
        }

        leaveColumn3(driver_id, year);

        $('.createLeave').parsley();

        $('.leave_from_date').datetimepicker({
            format: 'MM/DD/YYYY',
            useCurrent: true,
        });

        $('.leave_from_date').datetimepicker().on('dp.change', function (e) {
            var CurrentDate         = $(this).val();
            if(localTimeZone!=timeZone){
                var CurrentD        = moment(CurrentDate).tz(localTimeZone).add(0, 'day').format('MM/DD/YYYY');
            }else{
                var CurrentD        = moment(CurrentDate).add(0, 'day').format('MM/DD/YYYY');
            }
            $('.leave_to_date').val(CurrentD);
            $('.leave_to_date').data('DateTimePicker').minDate(CurrentD);
        });

        $('.leave_to_date').datetimepicker({
            format: 'MM/DD/YYYY',
            useCurrent: true,
        });

        var get_data                = 'current';
        var cyear                   = $(".cyear").val();
        var cmonth                  = $(".cmonth").val();

        function leaveCalanderView(get_data,cyear,cmonth) {
           $(".append-view-leave").html('<div class="loadingdiv"><img src="'+loadimg+'" /></div>');
           $(".tooembo-box-leave").addClass('disabled-click');
            var token               = $('meta[name="csrf-token"]').attr('content');
            $.ajax({
                url: "{{ route('company.admin.leave.calendar.show') }}",
                method: "POST",
                data: { _token : token , get_data:get_data, cyear:cyear, cmonth:cmonth, driver_id:'{{ $driver->id }}'},
                success: function(response) {
                    $(".append-view-leave").html(response.view);
                    $(".cmonth-leave").val(response.month);
                    $(".cyear-leave").val(response.year);
                    $(".mtitle-leave").html(response.month_name+' '+response.year);
                    $(".tooembo-box-leave").removeClass('disabled-click');
                }
            });
        }

        $("body").on("click",".next-arrow",function(e){
            var get_data            = 'next';
            var cyear               = $(".cyear-leave").val();
            var cmonth              = $(".cmonth-leave").val();
            leaveCalanderView(get_data,cyear,cmonth);
        });

        $("body").on("click",".prev-arrow",function(e){
            var get_data            = 'previous';
            var cyear               = $(".cyear-leave").val();
            var cmonth              = $(".cmonth-leave").val();
            leaveCalanderView(get_data,cyear,cmonth);
        });

        $(document).ready(function() {
            leaveCalanderView(get_data,cyear,cmonth);
        });

        $("body").on("click", ".show-leave-details", function () {
            $('#leaveDetailsModal').find('.append-view').html('');
            var token               = $('meta[name="csrf-token"]').attr('content');
            var leave_id            = $(this).data('leave-id');
            $.ajax({
                url: "{{ route('company.admin.leave.details.view') }}",
                method: "POST",
                data: { _token : token , leave_id : leave_id },
                success: function(response) {
                    $('#leaveDetailsModal').find('.append-leave-view').html(response.view);
                }
            });
        });

        $('select[name="leave_type_id"]').change(function() {
            var leave_type_id       = this.value;
            var token               = $('meta[name="csrf-token"]').attr('content');
            $.ajax({
                url: "{{ route('company.admin.check.leave.option') }}",
                method: "POST",
                data: { _token : token , leave_type_id : leave_type_id },
                success: function(response) {
                    if(response.half_day_request == 1){
                        $('select[name="duration"] option[value=2]').prop('disabled', false);
                    }else{
                        $('select[name="duration"] option[value=2]').prop('disabled', true);
                    }

                    if(response.register_in_the_past == 1){
                        var CurrentDate     = moment(new Date());
                        var CurrentDate     = moment(CurrentDate).subtract(12, 'months').format('MM/DD/YYYY');
                        $('.leave_from_date').data('DateTimePicker').minDate(CurrentDate);
                    }else{
                        var CurrentDate     = moment(new Date());
                        $('.leave_from_date').data('DateTimePicker').minDate(CurrentDate);
                    }

                    if(response.enforce_allowance == 1){
                        $('.createLeave button').prop('disabled', false);
                    }else{
                        $('.createLeave button').prop('disabled', true);
                        $('.leave_to_date').datetimepicker().on('dp.change', function (e) {
                            var startDate   = moment( $('.leave_from_date').val(), "MM/DD/YYYY");
                            var endDate     = moment( $('.leave_to_date'  ).val(), "MM/DD/YYYY");
                            var diff        = endDate.diff(startDate, 'days') + 1;

                            var leave_days = $('select[name="leave_type_id"]').find(":selected").attr('leave');
                            var leave_name = $('select[name="leave_type_id"]').find(":selected").text();

                            if(leave_days < diff){
                                toastr.error('Available "'+leave_name+'" leave only '+leave_days+', so please change the dates accordingly.', 'Error Alert', {timeOut: 5000})
                                $('.createLeave button').prop('disabled', true);
                            }else{
                                $('.createLeave button').prop('disabled', false);
                            }
                        });
                    }
                }
            });
        });

        //var hash = $(location).prop('hash');
        //alert(hash);
        /********End Leave Module*********/

        function AddMoreHOS(){
            $("#HosaddRow").click(function () {
                var html = '';
                html += '<div class="row" id="hosvolation">';
                html += '<div class="col-md-2">';
                html += '<div class="form-group">';
                html += '<label>Unit</label>';
                html += '<select name="unit_type[]" class="form-control unittype">';
                html += '<option value="">Select Unit</option>';
                html += '<option value="1">Driver</option>';
                html += '<option value="2">Truck</option>';
                html += '<option value="3">Trailer</option>';
                html += '</select>';
                html += '</div>';
                html += '</div>';
                html += '<div class="col-md-2 make d-none">';
                html += '<div class="form-group">';
                html += '<label>Make</label>';
                html += '<input type="text" name="make[]" value="" class="form-control">';
                html += '</div>';
                html += '</div>';
                html += '<div class="col-md-2 year d-none">';
                html += '<div class="form-group">';
                html += '<label>Year</label>';
                html += '<input type="text" name="year[]" value="" class="form-control">';
                html += '</div>';
                html += '</div>';
                html += '<div class="col-md-4 vin d-none">';
                html += '<div class="form-group">';
                html += '<label>VIN</label>';
                html += '<input type="text" name="vin[]" value="" class="form-control">';
                html += '</div>';
                html += '</div>';
                html += '<div class="col-md-2">';
                html += '<div class="form-group">';
                html += '<label>OOS</label>';
                html += '<select name="oos[]" class="form-control">';
                html += '<option value="">Select OOS</option>';
                html += '<option value="1">Yes</option>';
                html += '<option value="0">No</option>';
                html += '</select>';
                html += '</div>';
                html += '</div>';
                html += '<div class="col-md-3 violation_code">';
                html += '<div class="form-group">';
                html += '<label>Violation Code</label>';
                html += '<select name="violation_code[]" class="form-control">';
                html += '<option value="">Violation Code</option>';
                html += '</select>';
                html += '</div>';
                html += '</div>';
                html += '<div class="col-md-4 description">';
                html += '<div class="form-group">';
                html += '<label>Description </label>';
                html += '<input type="text" name="description[]" value="" class="form-control">';
                html += '</div>';
                html += '</div>';
                html += '<div class="col-md-1">';
                html += '<div class="form-group">';
                html += '<label class="d-block" style="visibility: hidden;">Action</label>';
                html += '<a href="javascript:void(0)" class="btn btn-danger" id="HosremoveRow"><i class="fa fa-trash"></i></a>';
                html += '</div>';
                html += '</div>';
                html += '</div>';
                $('#HosnewRow').append(html);
            });
        }

        // remove row
        $(document).on('click', '#HosremoveRow', function () {
            $(this).closest('#hosvolation').remove();

            var unit_types      = [];
            $(".unittype").each(function() {
                var val         = $(this).val();
                if(val){
                    unit_types.push($(this).val());
                }
            });
            var unit_types      = unit_types.filter(function(itm, i, a) {
                return i == a.indexOf(itm);
            });
            if (unit_types.length === 0) {
                $('.unittypeset').addClass('d-none');
                $('.unittruck').addClass('d-none');
                $('.unittrailer').addClass('d-none');
            }else{
                var unittypeset = false;
                var unittruck   = false;
                var unittrailer = false;
                if(jQuery.inArray("2", unit_types) !== -1){
                    unittypeset = true;
                    unittruck   = true;
                }
                if(jQuery.inArray("3", unit_types) !== -1){
                    unittypeset = true;
                    unittrailer = true;
                }
                if(unittypeset){
                    $('.unittypeset').removeClass('d-none');
                    if(unittruck)
                        $('.unittruck').removeClass('d-none');
                    else
                        $('.unittruck').addClass('d-none');
                    if(unittrailer)
                        $('.unittrailer').removeClass('d-none');
                    else
                        $('.unittrailer').addClass('d-none');
                }else{
                    $('.unittypeset').addClass('d-none');
                    $('.unittruck').addClass('d-none');
                    $('.unittrailer').addClass('d-none');
                }
            }
        });

        var previousUnitype;
        $(document).on('focus', '.unittype', function () {
            // Store the current value on focus and on change
            previousUnitype = this.value;
        });

        $(document).on('change', '.unittype', function () {
            // Do something with the previous value after the change
            if($.inArray(this.value, ['2','3']) !== -1){
                if(this.value=='2'){
                    if($('select[name="unit1"] option:selected').val()==''){
                        Swal.fire({
                            icon: 'error',
                            text: 'Please Select Unit 1(Truck)',
                        });
                        $(this).val(previousUnitype); //set back
                        return; //abort!
                    }
                }
                if(this.value=='3'){
                    if($('select[name="unit2"] option:selected').val()==''){
                        Swal.fire({
                            icon: 'error',
                            text: 'Please Select Unit 2(Trailer)',
                        });
                        $(this).val(previousUnitype); //set back
                        return; //abort!
                    }
                }
            }
            //console.log(previousUnitype);
            // Make sure the previous value is updated
            previousUnitype     = this.value;
            //console.log(previousUnitype);

            var value           = this.value;

            var unit_types      = [];
            $(".unittype").each(function() {
                var val         = $(this).val();
                if(val){
                    unit_types.push($(this).val());
                }
            });
            var unit_types      = unit_types.filter(function(itm, i, a) {
                return i == a.indexOf(itm);
            });
            if (unit_types.length === 0) {
                $('.unittypeset').addClass('d-none');
                $('.unittruck').addClass('d-none');
                $('.unittrailer').addClass('d-none');
            }else{
                var unittypeset = false;
                var unittruck   = false;
                var unittrailer = false;
                if(jQuery.inArray("2", unit_types) !== -1){
                    unittypeset = true;
                    unittruck   = true;
                }
                if(jQuery.inArray("3", unit_types) !== -1){
                    unittypeset = true;
                    unittrailer = true;
                }
                if(unittypeset){
                    $('.unittypeset').removeClass('d-none');
                    if(unittruck)
                        $('.unittruck').removeClass('d-none');
                    else
                        $('.unittruck').addClass('d-none');
                    if(unittrailer)
                        $('.unittrailer').removeClass('d-none');
                    else
                        $('.unittrailer').addClass('d-none');
                }else{
                    $('.unittypeset').addClass('d-none');
                    $('.unittruck').addClass('d-none');
                    $('.unittrailer').addClass('d-none');
                }
            }

            if(value == '1'){
                if ($(this).closest('#hosvolation').find('.violation_code select').hasClass("select2-hidden-accessible")){
                    $(this).closest('#hosvolation').find('.violation_code select').select2("destroy");
                }
                $(this).closest('#hosvolation').find('.violation_code select').remove();
                $(this).closest('#hosvolation').find('.violation_code span').remove();
                $(".hosvolationdata.firsttime").clone().appendTo($(this).closest('#hosvolation').find('.violation_code .form-group'));
                $(this).closest('#hosvolation').find('.violation_code select').removeClass('firsttime');

                $(this).closest('#hosvolation').find('.make').hide(300);
                $(this).closest('#hosvolation').find('.year').hide(300);
                $(this).closest('#hosvolation').find('.vin').hide(300);

                $(this).closest('#hosvolation').find('.make input').prop('required',false);
                $(this).closest('#hosvolation').find('.year input').prop('required',false);
                $(this).closest('#hosvolation').find('.vin input').prop('required',false);
            }

            if(value == '2' || value == '3'){
                if ($(this).closest('#hosvolation').find('.violation_code select').hasClass("select2-hidden-accessible")){
                    $(this).closest('#hosvolation').find('.violation_code select').select2("destroy");
                }
                $(this).closest('#hosvolation').find('.violation_code select').remove();
                $(this).closest('#hosvolation').find('.violation_code span').remove();
                $(".hoscitationsdata.firsttime").clone().appendTo($(this).closest('#hosvolation').find('.violation_code .form-group'));
                $(this).closest('#hosvolation').find('.violation_code select').removeClass('firsttime');

                $(this).closest('#hosvolation').find('.make').show(300);
                $(this).closest('#hosvolation').find('.year').show(300);
                $(this).closest('#hosvolation').find('.vin').show(300);

                $(this).closest('#hosvolation').find('.make input').prop('required',true);
                $(this).closest('#hosvolation').find('.year input').prop('required',true);
                $(this).closest('#hosvolation').find('.vin input').prop('required',true);

                if(value == '2'){
                    var truck_make      = $('.noneusedata input[name="truck_make"]').val();
                    var truck_year      = $('.noneusedata input[name="truck_year"]').val();
                    var truck_vin       = $('.noneusedata input[name="truck_vin"]').val();

                    $(this).closest('#hosvolation').find('.make input').val(truck_make);
                    $(this).closest('#hosvolation').find('.year input').val(truck_year);
                    $(this).closest('#hosvolation').find('.vin input').val(truck_vin);
                }

                if(value == '3'){
                    var trailer_make    = $('.noneusedata input[name="trailer_make"]').val();
                    var trailer_year    = $('.noneusedata input[name="trailer_year"]').val();
                    var trailer_vin     = $('.noneusedata input[name="truck_vin"]').val();

                    $(this).closest('#hosvolation').find('.make input').val(trailer_make);
                    $(this).closest('#hosvolation').find('.year input').val(trailer_year);
                    $(this).closest('#hosvolation').find('.vin input').val(trailer_vin);
                }
            }

            setTimeout( function(){
                if($('#editHOSViolationsModal').hasClass('show') || $('#editNONViolationsModal').hasClass('show')){
                    $('.select2').select2({
                        dropdownParent: $('.updateHOSViolationForm')
                    });
                }else{
                    $('.select2').select2({
                        dropdownParent: $('.storeHOSViolationForm')
                    });
                }
            }, 500);
        });

        $(document).on('change', '.unit1', function () {
            var truck_id        = this.value;
            if(truck_id){
                var token       = $('meta[name="csrf-token"]').attr('content');
                $.ajax({
                    url: "{{route('company.admin.truck.get.details')}}",
                    method: "POST",
                    data: { _token : token , truck_id : truck_id},
                    success: function(response) {
                        $('.noneusedata input[name="truck_make"]').val(response.make);
                        $('.noneusedata input[name="truck_year"]').val(response.year);
                        $('.noneusedata input[name="truck_vin"]').val(response.vin_number);

                        $('.unittruck .make').text(response.make);
                        $('.unittruck .year').text(response.year);
                        $('.unittruck .vin').text(response.vin_number);
                    }
                });
            }else{
                $('.noneusedata input[name="truck_make"]').val('');
                $('.noneusedata input[name="truck_year"]').val('');
                $('.noneusedata input[name="truck_vin"]').val('');

                $('.unittruck .make').text('');
                $('.unittruck .year').text('');
                $('.unittruck .vin').text('');
            }
        });

        $(document).on('change', '.unit2', function () {
            var trailer_id      = this.value;
            if(trailer_id){
                var token       = $('meta[name="csrf-token"]').attr('content');
                $.ajax({
                    url: "{{route('company.admin.trailer.get.details')}}",
                    method: "POST",
                    data: { _token : token , trailer_id : trailer_id},
                    success: function(response) {
                        $('.noneusedata input[name="trailer_make"]').val(response.make);
                        $('.noneusedata input[name="trailer_year"]').val(response.year);
                        $('.noneusedata input[name="trailer_vin"]').val(response.vin);

                        $('.unittrailer .make').text(response.make);
                        $('.unittrailer .year').text(response.year);
                        $('.unittrailer .vin').text(response.vin);
                    }
                });
            }else{
                $('.noneusedata input[name="trailer_make"]').val('');
                $('.noneusedata input[name="trailer_year"]').val('');
                $('.noneusedata input[name="trailer_vin"]').val('');

                $('.unittrailer .make').text('');
                $('.unittrailer .year').text('');
                $('.unittrailer .vin').text('');
            }
        });

        $(document).on('change', '.hosvolationdata', function () {
            var title = $(this).find(":selected").data("title");
            $(this).closest('#hosvolation').find('.description input').val(title);
        });

        $(document).on('change', '.hoscitationsdata', function () {
            var title = $(this).find(":selected").data("title");
            $(this).closest('#hosvolation').find('.description input').val(title);
        });
    </script>
@endsection
