@php $fmt = new NumberFormatter('en_US', NumberFormatter::CURRENCY); @endphp

@if($showtype == 'weekly')
    <div class="card-header">
        <div class="row">
            <div class="col-md-12">
                <h6>Weekly Performance Summary</h6>
            </div>
        </div>
    </div>
    <div class="card-body px-3 py-2">
        <div class="panel-group" id="accordion">
            <div class="panel panel-default my-1">
                <div class="panel-heading">
                    <h6 class="panel-title">
                        <a href="javascript:void(0);" data-target="#Exampleone" data-toggle="collapse" data-parent="#accordion">
                            <i class="fa fa-plus-square mr-1"></i>
                            <label>Total Weekly Revenue:</label>
                            <label class="float-right">{{ $fmt->formatCurrency($getLoadGrossRevenue, "USD") }}</label>
                        </a>
                    </h6>
                </div>
                <div class="panel-collapse collapse" id="Exampleone">
                    <div class="panel-body pl-4">
                        <ul>
                            <li class="pt-1">
                                <label>Linehaul:</label>
                                <label class="float-right">{{ $fmt->formatCurrency($getLoadLinehaul, "USD") }}</label>
                            </li>
                            <li>
                                <label>Fuel Surcharge:</label>
                                <label class="float-right">{{ $fmt->formatCurrency($getLoadFuelSurcharge, "USD") }}</label>
                            </li>
                            <li>
                                <label>Accessorials:</label>
                                <label class="float-right">{{ $fmt->formatCurrency($getLoadAccessorials, "USD") }}</label>
                            </li>
                            <li class="pb-1">
                                <label>Other:</label>
                                <label class="float-right">$0.00</label>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="panel panel-default my-1">
                <div class="panel-heading">
                    <h6 class="panel-title">
                        <a href="javascript:void(0);" data-target="#Exampletwo" data-toggle="collapse" data-parent="#accordion">
                            <i class="fa fa-plus-square mr-1"></i>
                            <label>Total Weekly Mile:</label>
                            <label class="float-right">{{ $getLoadTotalMileage }}</label>
                        </a>
                    </h6>
                </div>
                <div class="panel-collapse collapse" id="Exampletwo">
                    <div class="panel-body pl-4">
                        <ul>
                            <li class="pt-1">
                                <label>Total Weekly Miles: Empty</label>
                                <label class="float-right">{{ $getLoadDeadheadMileage }}</label>
                            </li>
                            <li class="pb-1">
                                <label>Total Weekly Miles: Loaded</label>
                                <label class="float-right">{{ $getLoadLoadedMileage }}</label>
                            </li>
                        </ul>
                        <div class="d-flex justify-content-between pt-1">
                            <p class="mb-2">Average Revenue Per Day:</p>
                            <p class="mb-2">{{ $fmt->formatCurrency($verageRevenuePerDay, "USD") }}</p>
                        </div>
                    </div>
                </div>
            </div>
            <div class="panel panel-default my-1">
                <div class="panel-heading">
                    <h6 class="panel-title">
                        <a href="javascript:void(0);" data-target="#Examplethree" data-toggle="collapse" data-parent="#accordion">
                            <i class="fa fa-plus-square mr-1"></i>
                            <label>Average Mile Per Day:</label>
                            <label class="float-right">{{ $AverageTotalMilePerDay }}</label>
                        </a>
                    </h6>
                </div>
                <div class="panel-collapse collapse" id="Examplethree">
                    <div class="panel-body pl-4">
                        <ul>
                            <li class="pt-1">
                                <label>Average Miles Per Day (Deadhead)</label>
                                <label class="float-right">{{ $AverageDeadheadMilePerDay }}</label>
                            </li>
                            <li class="pb-1">
                                <label>Average Miles Per Day (Loaded)</label>
                                <label class="float-right">{{ $AverageLoadedMilePerDay }}</label>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="panel panel-default my-1">
                <div class="panel-heading">
                    <h6 class="panel-title">
                        <a href="javascript:void(0);" data-target="#Examplefour" data-toggle="collapse" data-parent="#accordion">
                            <i class="fa fa-plus-square mr-1"></i>
                            <label>Cent Per Mile:</label>
                            <label class="float-right">{{ $fmt->formatCurrency($CentTotalPerMile, "USD") }}</label>
                        </a>
                    </h6>
                </div>
                <div class="panel-collapse collapse" id="Examplefour">
                    <div class="panel-body pl-4">
                        <ul>
                            <li class="pt-1">
                                <label>Loaded CPM</label>
                                <label class="float-right">{{ $fmt->formatCurrency($CentLoadedPerMile, "USD") }}</label>
                            </li>
                            <li class="pb-1">
                                <label>Total CPM</label>
                                <label class="float-right">{{ $fmt->formatCurrency($CentTotalPerMile, "USD") }}</label>
                            </li>
                        </ul>
                        <div class="d-flex justify-content-between pt-1">
                            <p class="mb-2">Weekly Target:</p>
                            <p class="mb-2">{{ $getDriverTargetRevenue }}%</p>
                        </div>
                        <div class="d-flex justify-content-between">
                            <p class="mb-2">Weekly Occupancy Target:</p>
                            <p class="mb-2">{{ $getDriverTargetOccupancy }}%</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endif

@if($showtype == 'month')
    <div class="card-header">
        <div class="row">
            <div class="col-md-12">
                <h6>Monthly Performance Summary</h6>
            </div>
        </div>
    </div>
    <div class="card-body px-3 py-2">
        <div class="panel-group" id="accordion">
            <div class="panel panel-default my-1">
                <div class="panel-heading">
                    <h6 class="panel-title">
                        <a href="javascript:void(0);" data-target="#Exampleone" data-toggle="collapse" data-parent="#accordion">
                            <i class="fa fa-plus-square mr-1"></i>
                            <label>Total Monthly Revenue:</label>
                            <label class="float-right">{{ $fmt->formatCurrency($getLoadGrossRevenue, "USD") }}</label>
                        </a>
                    </h6>
                </div>
                <div class="panel-collapse collapse" id="Exampleone">
                    <div class="panel-body pl-4">
                        <ul>
                            <li class="pt-1">
                                <label>Linehaul:</label>
                                <label class="float-right">{{ $fmt->formatCurrency($getLoadLinehaul, "USD") }}</label>
                            </li>
                            <li>
                                <label>Fuel Surcharge:</label>
                                <label class="float-right">{{ $fmt->formatCurrency($getLoadFuelSurcharge, "USD") }}</label>
                            </li>
                            <li>
                                <label>Accessorials:</label>
                                <label class="float-right">{{ $fmt->formatCurrency($getLoadAccessorials, "USD") }}</label>
                            </li>
                            <li class="pb-1">
                                <label>Other:</label>
                                <label class="float-right">$0.00</label>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="panel panel-default my-1">
                <div class="panel-heading">
                    <h6 class="panel-title">
                        <a href="javascript:void(0);" data-target="#Exampletwo" data-toggle="collapse" data-parent="#accordion">
                            <i class="fa fa-plus-square mr-1"></i>
                            <label>Total Monthly Mile:</label>
                            <label class="float-right">{{ $getLoadTotalMileage }}</label>
                        </a>
                    </h6>
                </div>
                <div class="panel-collapse collapse" id="Exampletwo">
                    <div class="panel-body pl-4">
                        <ul>
                            <li class="pt-1">
                                <label>Total Monthly Miles: Empty</label>
                                <label class="float-right">{{ $getLoadDeadheadMileage }}</label>
                            </li>
                            <li class="pb-1">
                                <label>Total Monthly Miles: Loaded</label>
                                <label class="float-right">{{ $getLoadLoadedMileage }}</label>
                            </li>
                        </ul>
                        <div class="d-flex justify-content-between pt-1">
                            <p class="mb-2">Average Revenue Per Day:</p>
                            <p class="mb-2">{{ $fmt->formatCurrency($verageRevenuePerDay, "USD") }}</p>
                        </div>
                    </div>
                </div>
            </div>
            <div class="panel panel-default my-1">
                <div class="panel-heading">
                    <h6 class="panel-title">
                        <a href="javascript:void(0);" data-target="#Examplethree" data-toggle="collapse" data-parent="#accordion">
                            <i class="fa fa-plus-square mr-1"></i>
                            <label>Average Mile Per Day:</label>
                            <label class="float-right">{{ $AverageTotalMilePerDay }}</label>
                        </a>
                    </h6>
                </div>
                <div class="panel-collapse collapse" id="Examplethree">
                    <div class="panel-body pl-4">
                        <ul>
                            <li class="pt-1">
                                <label>Average Miles Per Day (Deadhead)</label>
                                <label class="float-right">{{ $AverageDeadheadMilePerDay }}</label>
                            </li>
                            <li class="pb-1">
                                <label>Average Miles Per Day (Loaded)</label>
                                <label class="float-right">{{ $AverageLoadedMilePerDay }}</label>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="panel panel-default my-1">
                <div class="panel-heading">
                    <h6 class="panel-title">
                        <a href="javascript:void(0);" data-target="#Examplefour" data-toggle="collapse" data-parent="#accordion">
                            <i class="fa fa-plus-square mr-1"></i>
                            <label>Cent Per Mile:</label>
                            <label class="float-right">{{ $fmt->formatCurrency($CentTotalPerMile, "USD") }}</label>
                        </a>
                    </h6>
                </div>
                <div class="panel-collapse collapse" id="Examplefour">
                    <div class="panel-body pl-4">
                        <ul>
                            <li class="pt-1">
                                <label>Loaded CPM</label>
                                <label class="float-right">{{ $fmt->formatCurrency($CentLoadedPerMile, "USD") }}</label>
                            </li>
                            <li class="pb-1">
                                <label>Total CPM</label>
                                <label class="float-right">{{ $fmt->formatCurrency($CentTotalPerMile, "USD") }}</label>
                            </li>
                        </ul>
                        <div class="d-flex justify-content-between pt-1">
                            <p class="mb-2">Monthly Target:</p>
                            <p class="mb-2">{{ $getDriverTargetRevenue }}%</p>
                        </div>
                        <div class="d-flex justify-content-between">
                            <p class="mb-2">Monthly Occupancy Target:</p>
                            <p class="mb-2">{{ $getDriverTargetOccupancy }}%</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endif

@if($showtype == 'quarterly')
    <div class="card-header">
        <div class="row">
            <div class="col-md-12">
                <h6>Quarterly Performance Summary</h6>
            </div>
        </div>
    </div>
    <div class="card-body px-3 py-2">
        <div class="panel-group" id="accordion">
            <div class="panel panel-default my-1">
                <div class="panel-heading">
                    <h6 class="panel-title">
                        <a href="javascript:void(0);" data-target="#Exampleone" data-toggle="collapse" data-parent="#accordion">
                            <i class="fa fa-plus-square mr-1"></i>
                            <label>Total Quarterly Revenue:</label>
                            <label class="float-right">{{ $fmt->formatCurrency($getLoadGrossRevenue, "USD") }}</label>
                        </a>
                    </h6>
                </div>
                <div class="panel-collapse collapse" id="Exampleone">
                    <div class="panel-body pl-4">
                        <ul>
                            <li class="pt-1">
                                <label>Linehaul:</label>
                                <label class="float-right">{{ $fmt->formatCurrency($getLoadLinehaul, "USD") }}</label>
                            </li>
                            <li>
                                <label>Fuel Surcharge:</label>
                                <label class="float-right">{{ $fmt->formatCurrency($getLoadFuelSurcharge, "USD") }}</label>
                            </li>
                            <li>
                                <label>Accessorials:</label>
                                <label class="float-right">{{ $fmt->formatCurrency($getLoadAccessorials, "USD") }}</label>
                            </li>
                            <li class="pb-1">
                                <label>Other:</label>
                                <label class="float-right">$0.00</label>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="panel panel-default my-1">
                <div class="panel-heading">
                    <h6 class="panel-title">
                        <a href="javascript:void(0);" data-target="#Exampletwo" data-toggle="collapse" data-parent="#accordion">
                            <i class="fa fa-plus-square mr-1"></i>
                            <label>Total Quarterly Mile:</label>
                            <label class="float-right">{{ $getLoadTotalMileage }}</label>
                        </a>
                    </h6>
                </div>
                <div class="panel-collapse collapse" id="Exampletwo">
                    <div class="panel-body pl-4">
                        <ul>
                            <li class="pt-1">
                                <label>Total Quarterly Miles: Empty</label>
                                <label class="float-right">{{ $getLoadDeadheadMileage }}</label>
                            </li>
                            <li class="pb-1">
                                <label>Total Quarterly Miles: Loaded</label>
                                <label class="float-right">{{ $getLoadLoadedMileage }}</label>
                            </li>
                        </ul>
                        <div class="d-flex justify-content-between pt-1">
                            <p class="mb-2">Average Revenue Per Day:</p>
                            <p class="mb-2">{{ $fmt->formatCurrency($verageRevenuePerDay, "USD") }}</p>
                        </div>
                    </div>
                </div>
            </div>
            <div class="panel panel-default my-1">
                <div class="panel-heading">
                    <h6 class="panel-title">
                        <a href="javascript:void(0);" data-target="#Examplethree" data-toggle="collapse" data-parent="#accordion">
                            <i class="fa fa-plus-square mr-1"></i>
                            <label>Average Mile Per Day:</label>
                            <label class="float-right">{{ $AverageTotalMilePerDay }}</label>
                        </a>
                    </h6>
                </div>
                <div class="panel-collapse collapse" id="Examplethree">
                    <div class="panel-body pl-4">
                        <ul>
                            <li class="pt-1">
                                <label>Average Miles Per Day (Deadhead)</label>
                                <label class="float-right">{{ $AverageDeadheadMilePerDay }}</label>
                            </li>
                            <li class="pb-1">
                                <label>Average Miles Per Day (Loaded)</label>
                                <label class="float-right">{{ $AverageLoadedMilePerDay }}</label>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="panel panel-default my-1">
                <div class="panel-heading">
                    <h6 class="panel-title">
                        <a href="javascript:void(0);" data-target="#Examplefour" data-toggle="collapse" data-parent="#accordion">
                            <i class="fa fa-plus-square mr-1"></i>
                            <label>Cent Per Mile:</label>
                            <label class="float-right">{{ $fmt->formatCurrency($CentTotalPerMile, "USD") }}</label>
                        </a>
                    </h6>
                </div>
                <div class="panel-collapse collapse" id="Examplefour">
                    <div class="panel-body pl-4">
                        <ul>
                            <li class="pt-1">
                                <label>Loaded CPM</label>
                                <label class="float-right">{{ $fmt->formatCurrency($CentLoadedPerMile, "USD") }}</label>
                            </li>
                            <li class="pb-1">
                                <label>Total CPM</label>
                                <label class="float-right">{{ $fmt->formatCurrency($CentTotalPerMile, "USD") }}</label>
                            </li>
                        </ul>
                        <div class="d-flex justify-content-between pt-1">
                            <p class="mb-2">Quarterly Target:</p>
                            <p class="mb-2">{{ $getDriverTargetRevenue }}%</p>
                        </div>
                        <div class="d-flex justify-content-between">
                            <p class="mb-2">Quarterly Occupancy Target:</p>
                            <p class="mb-2">{{ $getDriverTargetOccupancy }}%</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endif

@if($showtype == 'year')
    <div class="card-header">
        <div class="row">
            <div class="col-md-12">
                <h6>Yearly Performance Summary</h6>
            </div>
        </div>
    </div>
    <div class="card-body px-3 py-2">
        <div class="panel-group" id="accordion">
            <div class="panel panel-default my-1">
                <div class="panel-heading">
                    <h6 class="panel-title">
                        <a href="javascript:void(0);" data-target="#Exampleone" data-toggle="collapse" data-parent="#accordion">
                            <i class="fa fa-plus-square mr-1"></i>
                            <label>Total Yearly Revenue:</label>
                            <label class="float-right">{{ $fmt->formatCurrency($getLoadGrossRevenue, "USD") }}</label>
                        </a>
                    </h6>
                </div>
                <div class="panel-collapse mb-3 collapse" id="Exampleone">
                    <div class="panel-body pl-4">
                        <ul>
                            <li class="pt-1">
                                <label>Linehaul:</label>
                                <label class="float-right">{{ $fmt->formatCurrency($getLoadLinehaul, "USD") }}</label>
                            </li>
                            <li>
                                <label>Fuel Surcharge:</label>
                                <label class="float-right">{{ $fmt->formatCurrency($getLoadFuelSurcharge, "USD") }}</label>
                            </li>
                            <li>
                                <label>Accessorials:</label>
                                <label class="float-right">{{ $fmt->formatCurrency($getLoadAccessorials, "USD") }}</label>
                            </li>
                            <li class="pb-1">
                                <label>Other:</label>
                                <label class="float-right">$0.00</label>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="panel panel-default my-1">
                <div class="panel-heading">
                    <h6 class="panel-title">
                        <a href="javascript:void(0);" data-target="#Exampletwo" data-toggle="collapse" data-parent="#accordion">
                            <i class="fa fa-plus-square mr-1"></i>
                            <label>Total Yearly Mile:</label>
                            <label class="float-right">{{ $getLoadTotalMileage }}</label>
                        </a>
                    </h6>
                </div>
                <div class="panel-collapse collapse" id="Exampletwo">
                    <div class="panel-body pl-4">
                        <ul>
                            <li class="pt-1">
                                <label>Total Yearly Miles: Empty</label>
                                <label class="float-right">{{ $getLoadDeadheadMileage }}</label>
                            </li>
                            <li class="pb-1">
                                <label>Total Yearly Miles: Loaded</label>
                                <label class="float-right">{{ $getLoadLoadedMileage }}</label>
                            </li>
                        </ul>
                        <div class="d-flex justify-content-between pt-1">
                            <p class="mb-2">Average Revenue Per Day:</p>
                            <p class="mb-2">{{ $fmt->formatCurrency($verageRevenuePerDay, "USD") }}</p>
                        </div>
                    </div>
                </div>
            </div>
            <div class="panel panel-default my-1">
                <div class="panel-heading">
                    <h6 class="panel-title">
                        <a href="javascript:void(0);" data-target="#Examplethree" data-toggle="collapse" data-parent="#accordion">
                            <i class="fa fa-plus-square mr-1"></i>
                            <label>Average Mile Per Day:</label>
                            <label class="float-right">{{ $AverageTotalMilePerDay }}</label>
                        </a>
                    </h6>
                </div>
                <div class="panel-collapse mb-3 collapse" id="Examplethree">
                    <div class="panel-body pl-4">
                        <ul>
                            <li class="pt-1">
                                <label>Average Miles Per Day (Deadhead)</label>
                                <label class="float-right">{{ $AverageDeadheadMilePerDay }}</label>
                            </li>
                            <li class="pb-1">
                                <label>Average Miles Per Day (Loaded)</label>
                                <label class="float-right">{{ $AverageLoadedMilePerDay }}</label>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="panel panel-default my-1">
                <div class="panel-heading">
                    <h6 class="panel-title">
                        <a href="javascript:void(0);" data-target="#Examplefour" data-toggle="collapse" data-parent="#accordion">
                            <i class="fa fa-plus-square mr-1"></i>
                            <label>Cent Per Mile:</label>
                            <label class="float-right">{{ $fmt->formatCurrency($CentTotalPerMile, "USD") }}</label>
                        </a>
                    </h6>
                </div>
                <div class="panel-collapse collapse" id="Examplefour">
                    <div class="panel-body pl-4">
                        <ul>
                            <li class="pt-1">
                                <label>Loaded CPM</label>
                                <label class="float-right">{{ $fmt->formatCurrency($CentLoadedPerMile, "USD") }}</label>
                            </li>
                            <li class="pb-1">
                                <label>Total CPM</label>
                                <label class="float-right">{{ $fmt->formatCurrency($CentTotalPerMile, "USD") }}</label>
                            </li>
                        </ul>
                        <div class="d-flex justify-content-between pt-1">
                            <p class="mb-2">Yearly Target:</p>
                            <p class="mb-2">{{ $getDriverTargetRevenue }}%</p>
                        </div>
                        <div class="d-flex justify-content-between">
                            <p class="mb-2">Yearly Occupancy Target:</p>
                            <p class="mb-2">{{ $getDriverTargetOccupancy }}%</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endif

{{--
@php
    $fmt = new \NumberFormatter('en_US', \NumberFormatter::CURRENCY);
@endphp
@if($showtype == 'month')
<div class="card-header">
    <div class="row">
        <div class="col-md-12">
            <h6>Monthly Performance Summary</h6>
        </div>
    </div>
</div>
<div class="card-body px-3 py-2">
    <p>Total Monthly Revenue <span>{{ $fmt->formatCurrency($getLoadGrossRevenue, "USD") }}</span></p>
    <p>Total Monthly Mile <span>{{ $getLoadMileage }}</span></p>
    <p>Average Revenue Per Day <span>{{ $fmt->formatCurrency($verageRevenuePerDay, "USD") }}</span></p>
    <p>Average Mile Per Day <span>{{ $AverageMilePerDay }}</span></p>
    <p>Cent Per Mile <span>{{ $fmt->formatCurrency($CentPerMile, "USD") }}</span></p>
    <p>Monthly Target (% of $ Goal) <span>{{ $getDriverTargetRevenue }}%</span></p>
    <p>Monthly Occupancy Target <span>{{ $getDriverTargetOccupancy }}%</span></p>
</div>
@endif

@if($showtype == 'year')
<div class="card-header">
    <div class="row">
        <div class="col-md-12">
            <h6>Yearly Performance Summary</h6>
        </div>
    </div>
</div>
<div class="card-body px-3 py-2">
    <p>Total Yearly Revenue <span>{{ $fmt->formatCurrency($getLoadGrossRevenue, "USD") }}</span></p>
    <p>Total Yearly Mile <span>{{ $getLoadMileage }}</span></p>
    <p>Average Revenue Per Day <span>{{ $fmt->formatCurrency($verageRevenuePerDay, "USD") }}</span></p>
    <p>Average Mile Per Day <span>{{ $AverageMilePerDay }}</span></p>
    <p>Cent Per Mile <span>{{ $fmt->formatCurrency($CentPerMile, "USD") }}</span></p>
    <p>Yearly Target (% of $ Goal) <span>{{ $getDriverTargetRevenue }}%</span></p>
    <p>Yearly Occupancy Target <span>{{ $getDriverTargetOccupancy }}%</span></p>
</div>
@endif

@if($showtype == 'quarterly')
<div class="card-header">
    <div class="row">
        <div class="col-md-12">
            <h6>Quarterly Performance Summary</h6>
        </div>
    </div>
</div>
<div class="card-body px-3 py-2">
    <p>Total Quarterly Revenue <span>{{ $fmt->formatCurrency($getLoadGrossRevenue, "USD") }}</span></p>
    <p>Total Quarterly Mile <span>{{ $getLoadMileage }}</span></p>
    <p>Average Revenue Per Day <span>{{ $fmt->formatCurrency($verageRevenuePerDay, "USD") }}</span></p>
    <p>Average Mile Per Day <span>{{ $AverageMilePerDay }}</span></p>
    <p>Cent Per Mile <span>{{ $fmt->formatCurrency($CentPerMile, "USD") }}</span></p>
    <p>Quarterly Target (% of $ Goal) <span>{{ $getDriverTargetRevenue }}%</span></p>
    <p>Quarterly Occupancy Target <span>{{ $getDriverTargetOccupancy }}%</span></p>
</div>
@endif

@if($showtype == 'weekly')
<div class="card-header">
    <div class="row">
        <div class="col-md-12">
            <h6>Weekly Performance Summary</h6>
        </div>
    </div>
</div>
<div class="card-body px-3 py-2">
    <p>Total Weekly Revenue <span>{{ $fmt->formatCurrency($getLoadGrossRevenue, "USD") }}</span></p>
    <p>Total Weekly Mile <span>{{ $getLoadMileage }}</span></p>
    <p>Average Revenue Per Day <span>{{ $fmt->formatCurrency($verageRevenuePerDay, "USD") }}</span></p>
    <p>Average Mile Per Day <span>{{ $AverageMilePerDay }}</span></p>
    <p>Cent Per Mile <span>{{ $fmt->formatCurrency($CentPerMile, "USD") }}</span></p>
    <p>Weekly Target (% of $ Goal) <span>{{ $getDriverTargetRevenue }}%</span></p>
    <p>Weekly Occupancy Target <span>{{ $getDriverTargetOccupancy }}%</span></p>
</div>
@endif
--}}

<script type="text/javascript">
    $(document).ready(function(){
        $('.collapse.in').each(function(){
            $(this).parent().find(".fa").removeClass("fa-plus-square").addClass("fa-minus-square");
        });
        $('.collapse').on('shown.bs.collapse', function(){
            $(this).parent().find(".fa-plus-square").removeClass("fa-plus-square").addClass("fa-minus-square");
        }).on('hidden.bs.collapse', function(){
            $(this).parent().find(".fa-minus-square").removeClass("fa-minus-square").addClass("fa-plus-square");
        });
    });
</script>
