{!! Form::open(array('route' => 'company.admin.accident.store','method'=>'POST','files'=>'true','class'=>'storeAccidentForm')) !!}
    <div class="modal-body mb-0 pb-3">
        {!! Form::hidden('driver_id', $driverId) !!}
        <div class="row">
            <div class="col-md-12">
                <div class="form-group">
                    <label>Title<span>*</span></label>
                    {!! Form::text('title', old('title'), array('class' => 'form-control', 'autocomplete' => 'new', 'placeholder' => 'Enter Title', 'required' => 'required')) !!}
                    <span class="error title_error text-danger"></span>
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label>Date</label>
                    <div class="input-group">
                        {!! Form::text('date', old('date'), array('class' => 'form-control date', 'autocomplete' => 'off', 'placeholder' => 'Enter Date')) !!}
                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                    </div>
                    <span class="error date_error text-danger"></span>
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label>Report Number</label>
                    {!! Form::text('report_number', old('report_number'), array('class' => 'form-control', 'autocomplete' => 'new', 'placeholder' => 'Enter Report Number')) !!}
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label>Type</label>
                    {!! Form::select('type', ['' => 'Select Type']+getAccidentIncidentClaimInjuryList(), null, ['class' => 'custom-select form-control accident-type select2']) !!}
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label>Load Number</label>
                    {!! Form::text('load_number', old('load_number'), array('class' => 'form-control', 'autocomplete' => 'new', 'placeholder' => 'Enter Load Number')) !!}
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label>State</label>
                    {!! Form::select('state', ['' => 'Select State']+getStateList(), null, ['class' => 'custom-select select2 form-control']) !!}
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label>Injury</label>
                    {!! Form::select('injury', ['' => 'Select Yes/No', '0' => 'No', '1' => 'Yes'], null, ['class' => 'custom-select select2 form-control']) !!}
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label>Fault</label>
                    {!! Form::text('fault', old('fault'), array('class' => 'form-control', 'autocomplete' => 'new', 'placeholder' => 'Enter Fault')) !!}
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label>Drug Test Required</label>
                    {!! Form::select('drug_Test', ['' => 'Select Yes/No', '0' => 'No', '1' => 'Yes'], null, ['class' => 'custom-select select2 form-control']) !!}
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label>File on Insurance</label>
                    {!! Form::select('file_on_insurance', ['' => 'Select Yes/No', '0' => 'No', '1' => 'Yes'], null, ['class' => 'custom-select select2 form-control']) !!}
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label>Damage Estimate</label>
                    <div class="input-group">
                        <div class="input-group-prepend">
                            <span class="input-group-text">$</span>
                        </div>
                        {!! Form::number('damage_estimate', old('damage_estimate'), array('class' => 'form-control number', 'min' => 0, 'step' => .01, 'placeholder' => 'Enter Damage Estimate')) !!}
                    </div>
                </div>
            </div>
            <div class="col-md-12">
                <div class="form-group">
                    <label>Notes</label>
                    {!! Form::textarea('note', old('note'), array('class' => 'form-control spl-tarea', 'autocomplete' => 'new', 'rows' => '5', 'placeholder' => 'Enter Notes')) !!}
                </div>
            </div>
            <div class="col-md-12">
                <div class="image-wrapper mt-2 mb-0">
                    <div class="input">
                        <input name="image" id="file" type="file">
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
        <button class="btn btn-blue">Add</button>
    </div>
{!! Form::close() !!}
