

 <div class="box-padding accochart">
    <div class="row">
       <div class="col-md-4">
          <div id="accountChart"></div>
       </div>
       <div class="col-md-8">
          <div class="row mt-4">
             <div class="col-md-3 text-right">
                <p><strong>Occupied</strong></p>
             </div>
             <div class="col-md-9">
                <div id="linebarOccupied"></div>
             </div>
             <div class="col-md-3 text-right">
                <p><strong>Maintenance</strong></p>
             </div>
             <div class="col-md-9">
                <div id="linebarMaintenance"></div>
             </div>
             <div class="col-md-3 text-right">
                <p><strong>Unauthorized</strong></p>
             </div>
             <div class="col-md-9">
                <div id="linebarUnauthorized"></div>
             </div>
             <div class="col-md-3 text-right">
                <p><strong>HOS</strong></p>
             </div>
             <div class="col-md-9">
                <div id="linebarHOS"></div>
             </div>
             <div class="col-md-3 text-right">
                <p><strong>No Dispatch</strong></p>
             </div>
             <div class="col-md-9">
                <div id="linebarNoDispatch"></div>
             </div>
          </div>
       </div>
    </div>
 </div>


<script type="text/javascript">
	 Highcharts.chart('accountChart', {
    chart: {
        type: 'variablepie',
        height: 280,
    },
    title: {
        text: 'Occupancy<br/>{{ $getOccupancy }}%',
        verticalAlign: 'middle',
        floating: true
    },
    tooltip: {
        headerFormat: '',
        pointFormat: '<span style="color:{point.color}">\u25CF</span> <b> {point.name}</b>: <b>{point.y}%</b>'
    },
    plotOptions: {
    variablepie: {
        allowPointSelect: true,
        cursor: 'pointer',
            dataLabels: {
                enabled: false,
            }
        }
    },
    series: [{
        minPointSize: 10,
        innerSize: '80%',
        zMin: 0,
        name: 'countries',

        data: [{
            name: 'Occupied',
            color: '#00b050',
            y: {{ $occupied }},
            z: 500
        }, {
            name: 'Maintenance',
            color: '#0070c0',
            y: {{ $maintenance }},
            z: 500
        }, {
            name: 'Unauthorized',
            color: '#c00000',
            y: {{ $unauthorized }},
            z: 500
        }, {
            name: 'HOS',
            color: '#a5c6cd',
            y: {{ $hos }},
            z: 500,
        }, {
            name: 'No Dispatch',
            color: '#f00',
            y: {{ $timeOff }},
            z: 500
        }]
    }]
});

var lineheight = '10px';
$('#linebarOccupied').LineProgressbar({
  percentage: {{ $occupied }},
  fillBackgroundColor: '#00b050',
  height: lineheight,
  radius: '15px'
});
$('#linebarMaintenance').LineProgressbar({
  percentage: {{ $maintenance }},
  fillBackgroundColor: '#0070c0',
  height: lineheight,
  radius: '15px'
});
$('#linebarUnauthorized').LineProgressbar({
  percentage: {{ $unauthorized }},
  fillBackgroundColor: '#c00000',
  height: lineheight,
  radius: '15px'
});
$('#linebarHOS').LineProgressbar({
  percentage: {{ $hos }},
  fillBackgroundColor: '#a5c6cd',
  height: lineheight,
  radius: '15px'
});
$('#linebarNoDispatch').LineProgressbar({
  percentage: {{ $timeOff }},
  fillBackgroundColor: '#f00',
  height: lineheight,
  radius: '15px'
});


</script>
