@extends($companyAdminTheme)

@section('title')
    Driver Onboarding Setting Create
@endsection

@section('content')
{!! Form::open(array('route' => 'company.admin.driver.onboarding.setting.store','method'=>'POST','files'=>'true','class'=>'storeOnboardingSettingForm')) !!}
    
    <div class="row">
        <div class="col-lg-6">
            <div class="white-box mb-4">
                <h4 class="box-title">Stage Information</h4>
                <div class="box-padding">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Title<span>*</span></label>
                                {!! Form::text('title', old('title'), array('class' => 'form-control', 'autocomplete' => 'new')) !!}
                                <span class="error title_error text-danger"></span>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Date</label>
                                <div class="custom-control custom-switch">
                                    {!! Form::checkbox('date', 1, null, array('class' => 'custom-control-input', 'id' => 'date')) !!}
                                    <label class="custom-control-label" for="date"></label>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>File</label>
                                <div class="custom-control custom-switch">
                                    {!! Form::checkbox('file', 1, null, array('class' => 'custom-control-input', 'id' => 'file')) !!}
                                    <label class="custom-control-label" for="file"></label>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12">
            <div class="white-box mb-4" style="min-height: 280px;">
                <h4 class="box-title">Sub Stage Information</h4>
                <div class="box-padding">
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group m-0">
                                <label>Title</label>
                            </div>
                        </div>
                    </div>
                    <div class="add-more-section">
                        <div class="row add-more">
                            <div class="col-md-6">
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            {!! Form::text('sub_stage[1][title]', null, array('class' => 'form-control', 'placeholder' => 'Title' ,'autocomplete' => 'new')) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Date</label>
                                            <div class="custom-control custom-switch">
                                                {!! Form::checkbox('sub_stage[1][date]', 1, null, array('class' => 'custom-control-input', 'id' => 'date-1')) !!}
                                                <label class="custom-control-label" for="date-1"></label>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>File</label>
                                            <div class="custom-control custom-switch">
                                                {!! Form::checkbox('sub_stage[1][file]', 1, null, array('class' => 'custom-control-input', 'id' => 'file-1')) !!}
                                                <label class="custom-control-label" for="file-1"></label>
                                            </div>
                                        </div>
                                    </div>
                                    <!-- <div class="col-md-4">
                                        <div class="form-group m-0">
                                            <label>Mark as Completed</label>
                                            <div class="custom-control custom-switch">
                                                {!! Form::checkbox('sub_stage[1][mark_as_completed]', 1, null, array('class' => 'custom-control-input completed_cls', 'id' => 'mark-as-completed')) !!}
                                                <label class="custom-control-label" for="mark-as-completed"></label>
                                            </div>
                                        </div>
                                    </div> -->
                                </div>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group">
                                    <button type="button" class="btn btn-success btn-sm add-btn"><i class="fa fa-plus"></i></button>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="add-more-copy-section" style="display: none;">
                        <div class="row add-more">
                            <div class="col-md-6">
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            {!! Form::text('sub_stage[replace_key][title]', null, array('class' => 'form-control', 'placeholder' => 'Title' ,'autocomplete' => 'new')) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-6" id="testt">
                                        <div class="form-group">
                                            <label>Date</label>
                                            <div class="custom-control custom-switch">
                                                {!! Form::checkbox('sub_stage[replace_key][date]', 1, null, array('class' => 'custom-control-input', 'id' => 'date-replace_key')) !!}
                                                <label class="custom-control-label" for="date-replace_key"></label>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6" id="test">
                                        <div class="form-group">
                                            <label>File</label>
                                            <div class="custom-control custom-switch">
                                                {!! Form::checkbox('sub_stage[replace_key][file]', 1, null, array('class' => 'custom-control-input d1', 'id' => 'file-replace_key')) !!}
                                                <label class="custom-control-label" for="file-replace_key"></label>
                                            </div>
                                        </div>
                                    </div>
                                    <!-- <div class="col-md-4">
                                        <div class="form-group m-0">
                                            <label>Mark as Completed</label>
                                            <div class="custom-control custom-switch">
                                                {!! Form::checkbox('sub_stage[replace_key][mark_as_completed]', 1, null, array('class' => 'custom-control-input completed_cls', 'id' => 'mark-as-completed-replace_key')) !!}
                                                <label class="custom-control-label" for="mark-as-completed-replace_key"></label>
                                            </div>
                                        </div>
                                    </div> -->
                                </div>
                                
                            </div>
                            <div class="col-md-2">
                                <div class="form-group">
                                    <button type="button" class="btn btn-danger btn-sm remove-btn"><i class="fa fa-minus"></i></button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- hired driver completed row -->
    <div class="row">
        <div class="col-lg-12">
            <div class="white-box mb-4">
                <h4 class="box-title">Apply to hired drivers</h4>
                <div class="box-padding">
                    <div class="row mt-3">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Auto completed this stage and substages for all currently hired drivers. This is a one-time operation and will apply to all drivers with a hired status. If a date and/or files are requested for this stage or substage, they will be left blank for all drivers that this applies to. Once completed this operation can not be undone. If you add a new substage to this stage, you can choose to rerun this, but it will only apply to the new substage.</label>

                            </div>
                            
                        </div>
                    </div>
                    <div class="row mb-3 mt-3">
                        <div class="col-md-6">
                            <div class="form-group">
                                <div class="custom-control custom-radio">
                                    <label class="btn">
                                    <input type="radio" name="mark_as_completed" id="mark_as_completed1" checked> Do not mark complete for currently hired drivers
                                </label>
                                </div>
                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="form-group">
                                <div class="custom-control custom-radio">
                                    <label class="btn">
                                        <input type="radio" name="mark_as_completed" id="mark_as_completed2" value="1"> Mark complete for currently hired drivers
                                    </label>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="button-bottom">
        <a href="{{ route('company.admin.driver.onboarding.setting.index') }}" class="cancel-btn">Cancel</a>
        <button class="submit-btn">Submit</button>
    </div>
    
{!! Form::close() !!}
@endsection

@section('script')
<script src="{{ asset('theme/js/jquery.form.min.js') }}"></script>
<script type="text/javascript">
// Add New Contact
$("body").on("click", ".add-btn", function () {
    var counter = $(".add-more-section").find(".add-more").length + 1;
    $(".add-more-copy-section").find('.error').text('');
    var copy = $(".add-more-copy-section").html().replaceAll('replace_key',counter);
    $(".add-more-section").append(copy);
 
});

$('body').on('change', '.completed_cls', function () {
    var complted_id = $(this).attr('id');
    var split_string = complted_id.split("-");
    var counter = split_string[3];
    if ($(this).is(':checked')) {
        if(counter){
            $('#date-'+counter).prop('checked',false);
            $('#file-'+counter).prop('checked',false);
        }else{
            // $('#date').find('input[type=checkbox]').prop('checked',false);
            $('#date-1').prop('checked',false);
            $('#file-1').prop('checked',false);
        }
        
        
    }

    // $(this).closest('.col-md-4').prev().css( "border", "2px solid red" );
    
});

// Remove Contact
$("body").on("click", ".remove-btn", function () {
    $(this).parents(".add-more").remove();
});

var url = "{{ route('company.admin.driver.onboarding.setting.index') }}";
$(".storeOnboardingSettingForm").ajaxForm({
    complete: function (response) {
        if (response.responseJSON.success) {
            window.location.href = url;
        } else {
            $('.error').text('');
            console.log(response.responseJSON.errors);
            $.each( response.responseJSON.errors, function( key, value ) {
                var key = key.replace(/\./g, '_');
                $.each( value , function( skey, svalue ) {
                    $('.'+key+'_error').text(svalue);
                });
            });
            toastr.error('Please check the form below for errors', 'Error Alert', {timeOut: 5000})
        }
    },
});
</script>
@endsection