@extends($companyAdminTheme)

@section('title')
    Driver Onboarding Setting Edit
@endsection

@section('style')
    <link rel="stylesheet" href="{{ asset('theme/css/select2.min.css') }}">
    <style type="text/css">
        .card {
            border-radius: 10px !important;
        }
        .card .card-header {
            background: transparent linear-gradient(180deg, #417CCB 0%, #294E7C 100%) 0% 0% no-repeat padding-box;
            border-radius: 10px 10px 0px 0px;
            height: 55px;
            padding-top: 7px;
        }
        .card .card-header h6 {
            font: normal normal bold 18px/21px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #FFFFFF;
            padding-top: 7px;
        }
        .btn {
            border-radius: 10px !important;
        }
        .btn-blueBr {
            color: #305F9C !important;
            background-color: #F1F3F6 !important;
            border: 1px solid #305F9C !important;
        }
        .btn-blueBr:hover {
            color: #F1F3F6 !important;
            background-color: #305F9C !important;
            border: 1px solid #F1F3F6 !important;
        }
        .button-bottom button, .button-bottom a{
            width: 8%;
            height: 39px !important;
        }
        .button-bottom {
            justify-content: right;
        }
        input[type=text].form-control {
            font-size: 14px;
            font-weight: bolder;
            border: 1px solid #D8D8DD;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding: 0px 12px;
        }
        #file {
            display: inherit;
            margin: inherit;
        }
        .select2-container {
            width: 100% !important;
        }
        .select2-container .select2-selection--single {
            height: 43px !important;
            border-radius: 10px !important;
            border: 1px solid #D8D8DD !important;
        }
        .select2-container--default .select2-selection--single {
            border: 1px solid #C5CEE0;
        }
        .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 40px !important;
        }
        .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 40px;
            width: 35px;
        }
        .select2-container .select2-selection--single .select2-selection__rendered {
            padding-left: 12px;
            font-weight: 600;
            color: #000000e6 !important;
        }
        .fa-plus-square {
            color: #305F9C;
            border-radius: 8px;
            font-size: 35px;
        }
        .fa-minus-square {
            color: #c82333;
            border-radius: 8px;
            font-size: 35px;
        }
    </style>
@endsection

@section('content')
    <div class="card px-3 py-3">
        {!! Form::model($data, array('route' => ['company.admin.driver.onboarding.setting.update', ['driver_id' => request()->driver_id, 'id' => $data->id]],'method'=>'PATCH','files'=>'true','class'=>'updateOnboardingSettingForm')) !!}
        <input type="hidden" class="driver-id" name="driver_id" value="{{ request()->driver_id ?? ''}}">
        <div class="card mb-3">
            <div class="card-header">
                <div class="row">
                    <div class="col-md-12">
                        <h6>Stage Information</h6>
                    </div>
                </div>
            </div>
            <div class="card-body">
                <div class="row">
                    <div class="col-md-6">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Title<span>*</span></label>
                                    {!! Form::text('title', old('title'), array('class' => 'form-control', 'autocomplete' => 'new', 'placeholder' => 'Enter Title')) !!}
                                    <span class="error title_error text-danger"></span>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Date</label>
                                    {!! Form::select('date', ['' => 'Select Yes/No', '0' => 'No', '1' => 'Yes'], null, ['class' => 'form-control select2', 'id' => 'date']) !!}
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>File</label>
                                    {!! Form::select('file', ['' => 'Select Yes/No', '0' => 'No', '1' => 'Yes'], null, ['class' => 'form-control select2', 'id' => 'file']) !!}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="card mb-3">
            <div class="card-header">
                <div class="row">
                    <div class="col-md-12">
                        <h6>Sub Stage Information</h6>
                    </div>
                </div>
            </div>
            <div class="card-body">
                <div class="row">
                    <div class="col-md-6">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group m-0">
                                    <label>Title</label>
                                </div>
                            </div>
                        </div>
                        <div class="add-more-section">
                            @if(count($data->sub_stages))
                                @foreach($data->sub_stages as $key => $subStage)
                                    <div class="row add-more">
                                        <div class="col-md-11">
                                            <div class="row">
                                                <div class="col-md-12">
                                                    <div class="form-group">
                                                        {!! Form::hidden('sub_stage['.$key.'][id]', $subStage->id) !!}
                                                        {!! Form::text('sub_stage['.$key.'][title]', $subStage->title, array('class' => 'form-control', 'placeholder' => 'Enter Title' ,'autocomplete' => 'new')) !!}
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Date</label>
                                                        {!! Form::select('sub_stage['.$key.'][date]', ['' => 'Select Yes/No', '0' => 'No', '1' => 'Yes'], $subStage->date, ['class' => 'form-control date-'.$key.' select2']) !!}
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>File</label>
                                                        {!! Form::select('sub_stage['.$key.'][file]', ['' => 'Select Yes/No', '0' => 'No', '1' => 'Yes'], $subStage->file, ['class' => 'form-control file-'.$key.' select2']) !!}
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-1">
                                            <div class="form-group">
                                                @if ($loop->first)
                                                    <a href="javascript:void(0);" class="add-btn"><i class="fa fa-plus-square mt-1"></i></a>
                                                @else
                                                    <a href="javascript:void(0);" class="remove-btn"><i class="fa fa-minus-square mt-1"></i></a>
                                                @endif
                                            </div>
                                        </div>
                                    </div>
                                @endforeach
                            @else
                                <div class="row add-more">
                                    <div class="col-md-11">
                                        <div class="row">
                                            <div class="col-md-12">
                                                <div class="form-group">
                                                    {!! Form::text('sub_stage[1][title]', null, array('class' => 'form-control', 'placeholder' => 'Enter Title' ,'autocomplete' => 'new')) !!}
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>Date</label>
                                                    {!! Form::select('sub_stage[1][date]', ['' => 'Select Yes/No', '0' => 'No', '1' => 'Yes'], null, ['class' => 'form-control date-1 select2']) !!}
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>File</label>
                                                    {!! Form::select('sub_stage[1][file]', ['' => 'Select Yes/No', '0' => 'No', '1' => 'Yes'], null, ['class' => 'form-control file-1 select2']) !!}
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-1">
                                        <div class="form-group">
                                            <a href="javascript:void(0);" class="add-btn"><i class="fa fa-plus-square mt-1"></i></a>
                                        </div>
                                    </div>
                                </div>
                            @endif
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="card mb-3">
            <div class="card-header">
                <div class="row">
                    <div class="col-md-12">
                        <h6>Apply to hired drivers</h6>
                    </div>
                </div>
            </div>
            <div class="card-body py-0">
                <div class="row">
                    <div class="col-md-12">
                        <div class="row mt-3">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Auto completed this stage and substages for all currently hired drivers. This is a one-time operation and will apply to all drivers with a hired status. If a date and/or files are requested for this stage or substage, they will be left blank for all drivers that this applies to. Once completed this operation can not be undone. If you add a new substage to this stage, you can choose to rerun this, but it will only apply to the new substage.</label>
                                </div>
                            </div>
                        </div>
                        <div class="row mb-3 mt-3">
                            <div class="col-md-3">
                                <div class="form-group">
                                    {!! Form::select('apply_to', ['0' => 'Apply to this profile only', '1' => 'Apply to all profiles'], $data->apply_to, ['class' => 'form-control applyTo select2']) !!}

                                    {{--
                                    <div class="custom-control custom-radio">
                                        <label class="btn">
                                            <input type="radio" name="mark_as_completed" id="mark_as_completed1" checked> Do not mark complete for currently hired drivers
                                        </label>
                                    </div>
                                    --}}
                                </div>
                            </div>
                            <div class="col-md-3 @if($data->apply_to == 0) d-none @endif" id="updateProfileDiv">
                                <div class="form-group">
                                    @if($data->apply_to == 0)
                                        {!! Form::select('update_profile', ['0' => 'Do not mark complete for previously hired drivers', '1' => 'Mark complete for currently previously drivers'], $data->update_profile, ['class' => 'form-control updateProfile select2', 'disabled' => 'disabled']) !!}
                                    @else
                                        {!! Form::select('update_profile', ['0' => 'Do not mark complete for previously hired drivers', '1' => 'Mark complete for currently previously drivers'], $data->update_profile, ['class' => 'form-control updateProfile select2']) !!}
                                    @endif
                                    {{--
                                    <div class="custom-control custom-radio">
                                        <label class="btn">
                                            <input type="radio" name="mark_as_completed" id="mark_as_completed2" value="1"> Mark complete for currently hired drivers
                                        </label>
                                    </div>
                                    --}}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="button-bottom">
            <a href="{{ route('company.admin.driver.onboarding.setting.index', ['driver_id' => request()->driver_id]) }}" class="btn btn-blueBr">Cancel</a>
            <button type="submit" class="btn btn-blue ml-3">Submit</button>
        </div>
        {!! Form::close() !!}
    </div>
@endsection

@section('script')
    <script src="{{ asset('theme/js/select2.full.min.js') }}"></script>
    <script src="{{ asset('theme/js/jquery.form.min.js') }}"></script>
    <script type="text/javascript">
        $(function (){
            $('.select2').select2({ width: '100%'});

            // Add New Contact
            $(document).on("click", ".add-btn", function () {
                let index = $(".add-more-section").find(".add-more").length + 1;

                let html = '';

                html += '<div class="row add-more mt-4">';
                html += '<div class="col-md-11">';
                html += '<div class="row">';
                html += '<div class="col-md-12">';
                html += '<div class="form-group">';
                html += '<input class="form-control" placeholder="Title" autocomplete="new" name="sub_stage['+ index +'][title]" type="text">';
                html += '</div>';
                html += '</div>';
                html += '<div class="col-md-6" id="testt">';
                html += '<div class="form-group">';
                html += '<label>Date</label>';
                html += '<select class="form-control date-'+ index +' select2 select2-hidden-accessible" name="sub_stage['+ index +'][date]">';
                html += '<option value="">Select Yes/No</option>';
                html += '<option value="0">No</option>';
                html += '<option value="1">Yes</option>';
                html += '</select>';
                html += '</div>';
                html += '</div>';
                html += '<div class="col-md-6" id="test">';
                html += '<div class="form-group">';
                html += '<label>File</label>';
                html += '<select class="form-control file-'+ index +' select2 select2-hidden-accessible" name="sub_stage['+ index +'][file]">';
                html += '<option value="">Select Yes/No</option>';
                html += '<option value="0">No</option>';
                html += '<option value="1">Yes</option>';
                html += '</select>';
                html += '</div>';
                html += '</div>';
                html += '</div>';
                html += '</div>';
                html += '<div class="col-md-1">';
                html += '<div class="form-group">';
                html += '<div class="form-group">';
                html += '<a href="javascript:void(0);" class="remove-btn"><i class="fa fa-minus-square mt-1"></i></a>';
                html += '</div>';
                html += '</div>';
                html += '</div>';
                html += '</div>';

                $(".add-more-section").append(html);
                $('.select2').select2({ width: '100%'});
            });

            // Remove Contact
            $(document).on("click", ".remove-btn", function () {
                $(this).parents(".add-more").remove();
            });

            $(document).on("change", ".applyTo", function () {
                if($(this).val() == '1'){
                    $("#updateProfileDiv").removeClass('d-none');
                    $("#updateProfileDiv").find('.updateProfile').removeAttr('disabled');
                }else{
                    $("#updateProfileDiv").addClass('d-none');
                    $("#updateProfileDiv").find('.updateProfile').attr('disabled', 'disabled');
                }
            });

            $(".updateOnboardingSettingForm").ajaxForm({
                complete: function (response) {
                    if (response.responseJSON.success) {
                        window.location.href = "{{ route('company.admin.driver.onboarding.setting.index', ['driver_id' => request()->driver_id]) }}";
                    } else {
                        $('.error').text('');
                        $.each( response.responseJSON.errors, function( key, value ) {
                            var key = key.replace(/\./g, '_');
                            $.each( value , function( skey, svalue ) {
                                $('.'+key+'_error').text(svalue);
                            });
                        });
                        toastr.error('Please check the form below for errors', 'Error Alert', {timeOut: 5000})
                    }
                },
            });
        });
    </script>
@endsection
