@extends($companyAdminTheme)

@section('title')
    Drop Locations
@endsection

@section('header-title')
    Edit Drop Location
@endsection

@section('style')
    <link rel="stylesheet" type="text/css" href="{{ asset('theme/css/datepicker3.min.css') }}">
    <link rel="stylesheet" href="{{ asset('theme/css/bootstrap-datetimepicker.min.css') }}">
@endsection
@section('content')
    {!! Form::model($dropLocation, array('route' => ['company.admin.drop-locations.update',$dropLocation->id],'method'=>'PATCH','files'=>'true','class'=>'update-form')) !!}
    <div class="row">
        <div class="col-lg-12">
            <div class="white-box mb-4 generalAccount">
                <h4 class="box-title">Drop Location</h4>
                <div class="box-padding">
                    <div class="row">
                        <div class="col-md-12 geocoding">
                            <input type="hidden" class="geocoding-latitude" name="latitude" value="{{ isset($dropLocation->latitude)?$dropLocation->latitude:'' }}" autocomplete="off">
                            <input type="hidden" class="geocoding-longitude" name="longitude" value="{{ isset($dropLocation->longitude)?$dropLocation->longitude:'' }}" autocomplete="off">
                            <input type="hidden" class="geocoding-abbr" name="timezone_abbr" value="{{ isset($dropLocation->timezone_abbr)?$dropLocation->timezone_abbr:'' }}" autocomplete="off" data-parsley-errors-container="#timezone_abbr-errors" data-parsley-required-message="Please verify address" required>
                            <input type="hidden" class="geocoding-verified" name="address_verified" value="{{ isset($dropLocation->address_verified)?$dropLocation->address_verified:'0' }}" autocomplete="off">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Address<span>*</span></label>
                                        {!! Form::text('address', old('address'), array(
                                                'class'         => 'form-control geocoding-address-1',
                                                'placeholder'   => '',
                                                'id'            => 'address',
                                                'required'      => 'required'
                                            )
                                        ) !!}
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Address 2</label>
                                        {!! Form::text('address_2', old('address_2'), array(
                                                'class'         => 'form-control geocoding-address-2',
                                                'placeholder'   => '',
                                                'id'            => 'address_2'
                                            )
                                        ) !!}
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>City</label>
                                        {!! Form::text('city', old('city'), array(
                                                'class'         => 'form-control geocoding-city',
                                                'placeholder'   => '',
                                                'id'            => 'city'
                                            )
                                        ) !!}
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>State<span>*</span></label>
                                        {!! Form::text('state', old('state'), array(
                                                'class'         => 'form-control geocoding-state',
                                                'placeholder'   => '',
                                                'id'            => 'state',
                                                'required'      => 'required'
                                            )
                                        ) !!}
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Zip<span>*</span></label>
                                        {!! Form::text('zip', old('zip'), array(
                                                'class'         => 'form-control geocoding-zip',
                                                'placeholder'   => '',
                                                'id'            => 'zip',
                                                'required'      => 'required'
                                            )
                                        ) !!}
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    @if(isset($dropLocation->address_verified) && $dropLocation->address_verified=='1')
                                        <button type="button" class="btn btn-success geocoding-btn" data-uid="{{ 'map-'.generateStrUniqueId() }}">Verified</button>
                                    @else
                                        <button type="button" class="btn btn-warning geocoding-btn" data-uid="{{ 'map-'.generateStrUniqueId() }}">Verify</button>
                                    @endif
                                    <div id="timezone_abbr-errors"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="button-bottom">
        <a href="{{ route('company.admin.drop-locations.index') }}" class="cancel-btn">Cancel</a>
        <button class="submit-btn">Submit</button>
    </div>
    {!! Form::close() !!}
@endsection

@section('script')
<script src="{{ asset('theme/js/moment.min.js') }}"></script>
<script src="{{ asset('theme/js/bootstrap-datetimepicker.min.js') }}"></script>

<script type="text/javascript">
    $('.update-form').parsley({
        excluded: 'input[type=button], input[type=submit], input[type=reset]',
        inputs: 'input, textarea, select, input[type=hidden], :hidden',
    });
    $(".submit-btn").click(function(){
        $(".update-form").submit(); // Submit the form
    });
</script>
@endsection

@push('after-scripts')
    <script src="{{ asset('theme/js/trimble.js') }}"></script>
@endpush

