@extends($companyAdminTheme)

@section('title')
    Email Templates
@endsection

@section('style')
    <link rel="stylesheet" href="//code.jquery.com/ui/1.13.1/themes/base/jquery-ui.css">
    <style>
        #editor-container {
            flex: 1;
            display: flex;
        }
        .modal-xl {
            max-width: 1480px;
        }
    </style>
@endsection

@section('content')
    <div class="white-box table-view">
        <h3 class="table-title">Email Templates</h3>
        <div class="add-responsive">
            <table id="driversTable" class="table data-table">
                <thead>
                    <tr>
                      @foreach($getField as $key => $filed)
                      @if($filed == 1 && isset(config('settings.table_email_templates')[$key]['name']))
                          @if(isset(config('settings.table_email_templates')[$key]['searchBuilderType']))
                              @if( config('settings.table_email_templates')[$key]['searchBuilderType'] == 'string' )
                              <th>{{ config('settings.table_email_templates')[$key]['name'] }} <i class="fa fa-filter columnFilter table_email_templates_{{$key}}_string" data-modal="SearchByStringModal{{ $key }}"></i></th>
                              @elseif( config('settings.table_email_templates')[$key]['searchBuilderType'] == 'date' )
                              <th>{{ config('settings.table_email_templates')[$key]['name'] }} <i class="fa fa-filter columnFilter table_email_templates_{{$key}}_date" data-modal="SearchByDateModal{{ $key }}"></i></th>
                              @endif
                          @else
                              <th>{{ config('settings.table_email_templates')[$key]['name'] }}</th>
                          @endif
                      @endif
                @endforeach
                    </tr>
                </thead>
                <tbody>
                </tbody>
            </table>
        </div>
    </div>
@endsection

@section('modal')
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            {!! Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')) !!}
            <input type="hidden" name="table_id" value="email_templates" />

            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Adjust Table Columns</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <ul class="sortableList connected-sortable droppable-area1" id="sortable">
                        @foreach($getField as $key => $filed)
                            @if(isset(config('settings.table_email_templates')[$key]['name']))
                                <li class="ui-state-default">
                                    <div class="custom-control custom-checkbox">
                                        <input type='hidden' value='0' name='field[{{ $key }}]'>
                                        <input type="checkbox" class="custom-control-input" id="Check{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed == 1) checked @endif>
                                        <label class="custom-control-label" for="Check{{ $key }}">{{ config('settings.table_email_templates')[$key]['name'] }}</label>
                                    </div>
                                    <i class="fa fa-align-justify drag-icon"></i>
                                </li>
                            @endif
                        @endforeach
                    </ul>
                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn-primary">Save</button>
                </div>
            </div>
            {!! Form::close() !!}
        </div>
    </div>

    <div class="modal fade" id="emailWrapperTemplate" aria-labelledby="emailWrapperTemplateLabel" aria-hidden="true" data-backdrop="static">
        <div class="modal-dialog modal-xl modal-dishpatch">
            {!! Form::open(array('route' => 'company.admin.email.wrapper.template', 'method'=>'POST', 'files'=>'false', 'autocomplete'  => 'off', 'class'=>'email-wrapper-store')) !!}
            <input type="hidden" name="company_id" value="{{ auth()->guard('company-admin')->user()->company_id ?? '' }}">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="emailWrapperTemplateLabel">Advanced Customization</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body px-4 py-3">
                    {!! Form::textarea('content', $emailWrapper ?? '', array('class' => 'form-control', 'id' => 'content', 'rows' => '20', 'required' => 'required')) !!}
                </div>
                <div class="modal-footer">
                    <div class="col-md-6 text-right">
                        <button type="button" class="btn bg-danger text-white revert-email-wrapper-templates">Revert Template</button>
                        <button type="submit" class="btn btn-blue">Update Template</button>
                        <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                    </div>
                </div>
            </div>
            {!! Form::close() !!}
        </div>
    </div>
@endsection

@section('script')
    <script src="https://code.jquery.com/ui/1.13.1/jquery-ui.js"></script>
    <script>
        var table = $('.data-table').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            dom: "<'row cusotdiv'<'col-sm-6 col-md-8'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
            processing: true,
            serverSide: true,
            fixedHeader: true,
            ordering: false,
            pageLength: "{{ perPageView() }}",
            ajax: {
            url: "{{ route('company.admin.email-templates.index') }}",
            data: function (d) {
              <?php foreach($getField as $key => $filed): ?>
                d.search_string_value_{{$key}}              = $('#search_string_{{$key}}').val();
                d.search_string_name_{{$key}}               = $('#stringKey{{$key}}').val();
                d.search_string_type_{{$key}}               = $('#stringType{{$key}}').val();
                d.search_table_name_{{$key}}                = $('#stringTableType{{$key}}').val();
                d.search_string_condition_{{$key}}          = $("input[type='radio'][name='condition{{$key}}']:checked").val();
                d.search_string_sort_{{$key}}               = $("input[type='radio'][name='string_sort_{{$key}}']:checked").val();
                d.search_string_relation_table_{{$key}}     = $('#stringRelationTable{{$key}}').val();
                d.search_string_col_name1_{{$key}}          = $('#stringColName1{{$key}}').val();
                d.search_string_col_name2_{{$key}}          = $('#stringColName2{{$key}}').val();
                d.search_string_static_{{$key}}             = $('#stringStatic{{$key}}').val();

                d.search_string_having_{{$key}}             = $('#stringHaving{{$key}}').val();

                d.search_string_col_alias1_name_{{$key}}    = $('#stringColAl1{{$key}}').val();
                d.search_string_col_alias2_name_{{$key}}    = $('#stringColAl2{{$key}}').val();
                d.search_string_col_alias3_name_{{$key}}    = $('#stringColAl3{{$key}}').val();
                d.search_string_col_alias4_name_{{$key}}    = $('#stringColAl4{{$key}}').val();
                d.search_string_col_alias5_name_{{$key}}    = $('#stringColAl5{{$key}}').val();
                d.search_string_col_alias6_name_{{$key}}    = $('#stringColAl6{{$key}}').val();

                d.search_date_from_value_{{$key}} = $('#search_date_{{$key}}').val();
                d.search_date_to_value_{{$key}} = $('#search_date_end_{{$key}}').val();
                d.search_date_name_{{$key}} = $('#dateKey{{$key}}').val();
                d.search_date_type_{{$key}} = $('#dateType{{$key}}').val();
                d.search_date_table_name_{{$key}} = $('#dateTableType{{$key}}').val();
                d.search_date_condition_{{$key}} = $("input[type='radio'][name='conditiondate{{$key}}']:checked").val();
                d.search_date_sort_{{$key}} = $("input[type='radio'][name='date_sort_{{$key}}']:checked").val();
              <?php endforeach; ?>
            }
            },
            columns: [
                <?php foreach($getField as $key => $filed): ?>
                    <?php if($filed == 1): ?>
                        <?php if(isset(config('settings.table_email_templates')[$key]['name'])): ?>
                            <?php if(config("settings.table_email_templates")[$key]["orderable"] == 1 && config("settings.table_email_templates")[$key]["searchable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                            <?php elseif(config("settings.table_email_templates")[$key]["orderable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                            <?php elseif(config("settings.table_email_templates")[$key]["searchable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                            <?php else: ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endforeach; ?>
            ]
        });

        $('<a type="button" class="refreshAll btn btn-primary mr-2"><i class="fa fa-refresh"></i> Refresh</a>').prependTo(".dataTables_filter");
        $('<a type="button" id="clearAll{{str_replace("settings.","",$tableName)}}" class="clearAll filter_{{str_replace("settings.","",$tableName)}} d-none btn btn-orange mr-3 {{str_replace("settings.","",$tableName)}}">Clear filters</a>').prependTo(".dataTables_filter");
        $('<a type="button" class="btn btn-danger text-white mr-3 revert-templates">Revert Templates</a>').prependTo(".dataTables_filter");
        $('<a type="button" class="btn bg-green text-white mr-3 edit-email-wrapper" data-toggle="modal" data-target="#emailWrapperTemplate">Edit HTML Of Email Wrapper</a>').prependTo(".dataTables_filter");
        $('<button type="button" class="btn btn-primary ml-3" data-toggle="modal" data-target="#exampleModal">Columns</button>').appendTo(".dataTables_filter");

        $( function() {
            $("#sortable").sortable();

            $('#emailWrapperTemplate .email-wrapper-store').parsley();

            $(document).on('click', '.revert-templates', function (){
                Swal.fire({
                  title: "Are you Sure?",
                  text: "This will restore all of your Email templates to the default settings.",
                  icon: "warning",
                  showCancelButton: true,
                  confirmButtonColor: "#3085d6",
                  cancelButtonColor: "#d33",
                  cancelButtonText: "Cancel",
                  confirmButtonText: "Yes, go ahead!",
                }).then((result) => {
                    if (result.value) {
                        $.ajax({
                            url: "{{ route('company.admin.email.templates.revert') }}",
                            method: "get",
                            data: {},
                            success: function(response) {
                                if(response.success == true){
                                    table.draw();
                                    toastr.success(response.msg, 'Success Alert', { timeOut: 5000 });
                                }else{
                                    toastr.error(response.msg, 'Error Alert', { timeOut: 5000 });
                                }
                            }
                        });
                    }
                });
            });

            $(document).on('click', '.revert-email-wrapper-templates', function (){
                Swal.fire({
                  title: "Are you Sure?",
                  text: "This will restore HTML Of Email Wrapper to the default settings.",
                  icon: "warning",
                  showCancelButton: true,
                  confirmButtonColor: "#3085d6",
                  cancelButtonColor: "#d33",
                  cancelButtonText: "Cancel",
                  confirmButtonText: "Yes, go ahead!",
                }).then((result) => {
                    if (result.value) {
                        $.ajax({
                            url: "{{ route('company.admin.email.wrapper.templates.revert') }}",
                            method: "get",
                            data: {},
                            success: function(response) {
                                if(response.success == true){
                                    $('#emailWrapperTemplate #content').val(response.emailWrapper);
                                    toastr.success(response.msg, 'Success Alert', { timeOut: 5000 });
                                }else{
                                    toastr.error(response.msg, 'Error Alert', { timeOut: 5000 });
                                }
                            }
                        });
                    }
                });
            });
        } );
    </script>
@endsection
