@extends($companyAdminTheme)

@section('title')
    Edit Tools, Equipment & Accessories
@endsection

@section('header-title')
    Edit Tools, Equipment & Accessories
@endsection

@section('style')
    <link rel="stylesheet" href="{{ asset('theme/css/datepicker3.min.css') }}">
    <link rel="stylesheet" href="{{ asset('theme/css/select2.min.css') }}">
    <style type="text/css">
        .modal-xl {
            max-width: 1720px;
        }
        .addMoreBtn i.fa-plus-square {
            padding-top: 2px;
            margin: 2px 5px;
            cursor: pointer;
            font-size: 32px;
            color: #305F9C;
        }
        .removeMoreBtn i.fa-minus-square {
            padding-top: 2px;
            margin: 2px 5px;
            cursor: pointer;
            font-size: 32px;
            color: #dc3545;
        }
        .form-group img {
            width: 15px;
        }
        .input-group-text {
            background: transparent;
            border-radius: 10px 0px 0px 10px;
            color: #342828;
            padding: 4px 14px;
            font-family: 'Inter', sans-serif;
        }
        .border-radius-none {
            border-radius: 0px 10px 10px 0px !important;
        }
         hr {
            border-color: #D8D8D9 !important;
        }
        .equipment-custom-grid {
            max-width: 16.20%;
        }
        .select2-container {
            width: 100% !important;
        }
        .select2-container .select2-selection--single {
            height: 43px !important;
            border-radius: 10px !important;
            border: 1px solid #D8D8DD !important;
        }
        .select2-container--default .select2-selection--single {
            border: 1px solid #C5CEE0;
        }
        .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 40px !important;
        }
        .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 40px;
            width: 35px;
        }
        .select2-container .select2-selection--single .select2-selection__rendered {
            padding-left: 12px;
            font-weight: 600;
            color: #000000e6 !important;
        }
        .select2-container .select2-search__field::placeholder {
            font-size: 14px;
            font-weight: 500;
        }
        input[type=text].form-control {
            font-size: 14px;
            font-weight: bolder;
            border: 1px solid #D8D8DD;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding: 0px 12px;
            height: 43px;
        }
        input::placeholder {
            font-weight: 200;
            color: #616376 !important;
        }
        select.form-control {
            font-size: 14px;
            border: 1px solid #C5CEE0;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding-left: 12px;
            font-weight: 400;
            color: #616376;
        }
        label {
            font-size: 14px;
            line-height: 1.215;
            font-weight: bold;
            color: #616376;
            margin-bottom: 8px;
        }
        .input-group>.custom-select:not(:last-child), .input-group>.form-control:not(:last-child) {
            border-top-right-radius: 10px;
            border-bottom-right-radius: 10px;
        }
        .btn-blue {
            background: #305F9C 0% 0% no-repeat padding-box;
            border: 1px solid #305F9C;
            border-radius: 10px !important;
            color: #F1F3F6;
            line-height: 18px;
            text-align: center;
            padding: 12.5px 0.75rem;
            transition: all 0.3s linear;
            min-width: 210px;
        }
        .btn-blue:hover {
            border: 1px solid #305F9C;
            background-color: #F1F3F6;
            color: #305F9C;
        }
        .btn-blueBr {
            font-size: 14px;
            font-weight: bold;
            height: auto;
            line-height: 18px;
            text-align: center;
            padding: 12.5px 0.75rem;
            transition: all 0.3s linear;
            border-radius: 10px !important;
            min-width: 210px;
        }
    </style>
@endsection

@section('content')
{!! Form::open(array('route' => ['company.admin.equipment-profiles.update', $equipmentProfile->id],'method'=>'PATCH','files'=>'true','class'=>'post-form')) !!}
    <input type="hidden" name="company_id" value="{{ auth()->guard('company-admin')->user()->company_id }}" />
    <div class="row px-4 py-3">
        <div class="col-md-3" style="max-width: 19.25%;">
            <label for="profile-name" class="mb-1">Equipment Profile Name</label>
            <div class="form-group">
                {!! Form::text('profile_name', $equipmentProfile->profile_name ?? null, array('class' => 'form-control', 'placeholder' => 'Enter Equipment Profile Name', 'required' => 'required')) !!}
            </div>
        </div>
    </div>
    <div class="row px-4">
        <div class="col-md-2 equipment-custom-grid pr-1">
            <label for="title" class="mb-1">Title</label>
        </div>
        <div class="col-md-2 equipment-custom-grid pl-1 pr-1">
            <label for="qty" class="mb-1">Qty</label>
        </div>
        <div class="col-md-2 equipment-custom-grid pl-1 pr-1">
            <label for="value" class="mb-1">Value</label>
        </div>
        <div class="col-md-2 equipment-custom-grid pl-1 pr-1">
            <label for="description" class="mb-1">Description</label>
        </div>
        <div class="col-md-2 equipment-custom-grid pl-1 pr-1">
            <label for="entered-by" class="mb-1">Entered By</label>
        </div>
        <div class="col-md-2 equipment-custom-grid pl-1 pr-1">
            <label for="date-entered" class="mb-1">Date Entered</label>
        </div>
        <div class="pl-1">
            <label class="mb-1"></label>
        </div>
    </div>
    <hr class="my-0 pb-3">
    @if(count($equipmentProfile->titles) > 0)
        @foreach($equipmentProfile->titles as $title)
            @if($loop->first)
                <div class="row px-4 pb-2">
                    <div class="col-md-2 pr-1 equipment-custom-grid">
                        <div class="form-group">
                            {!! Form::select('titles[]', ['' => 'Select'] + getEquipmentTitles(), $title ?? null, ['class' => 'form-control select2']) !!}
                        </div>
                    </div>
                    <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
                        <div class="form-group">
                            {!! Form::text('qty[]', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
                        </div>
                    </div>
                    <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
                        <div class="form-group">
                            <div class="input-group pre-append">
                                <div class="input-group-prepend readonly-input">
                                    <span class="input-group-text">$</span>
                                </div>
                                {!! Form::text('value[]', null, array('class' => 'form-control integer-input comma-integer-input', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
                            </div>
                        </div>
                    </div>
                    <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
                        <div class="form-group">
                            {!! Form::text('description[]', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
                        </div>
                    </div>
                    <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
                        <div class="form-group">
                            {!! Form::text('entered_by[]', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
                        </div>
                    </div>
                    <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
                        <div class="form-group">
                            <div class="input-group">
                                {!! Form::text('date_entered[]', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
                                <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                            </div>
                        </div>
                    </div>
                    <div class="pl-1 equipment-custom-grid">
                        <div class="form-group d-flex">
                            @if($loop->last)
                                <div>
                                    <a href="javascript:void(0);" class="addMoreBtn addMoreEquipmentProfileRows">
                                        <i class="fa fa-plus-square" aria-hidden="true"></i>
                                    </a>
                                </div>
                            @else
                                <div>
                                    <a href="javascript:void(0);" class="removeMoreBtn removeMoreEquipmentProfileRows">
                                        <i class="fa fa-minus-square" aria-hidden="true"></i>
                                    </a>
                                </div>
                            @endif
                        </div>
                    </div>
                </div>
            @endif
        @endforeach
        <div id="equipmentProfileMoreRows">
            @foreach($equipmentProfile->titles as $title)
                @if(!$loop->first)
                    <div class="row px-4 pb-2">
                        <div class="col-md-2 pr-1 equipment-custom-grid">
                            <div class="form-group">
                                {!! Form::select('titles[]', ['' => 'Select'] + getEquipmentTitles(), $title ?? null, ['class' => 'form-control select2']) !!}
                            </div>
                        </div>
                        <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
                            <div class="form-group">
                                {!! Form::text('qty[]', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
                            </div>
                        </div>
                        <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
                            <div class="form-group">
                                <div class="input-group pre-append">
                                    <div class="input-group-prepend readonly-input">
                                        <span class="input-group-text">$</span>
                                    </div>
                                    {!! Form::text('value[]', null, array('class' => 'form-control integer-input comma-integer-input', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
                                </div>
                            </div>
                        </div>
                        <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
                            <div class="form-group">
                                {!! Form::text('description[]', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
                            </div>
                        </div>
                        <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
                            <div class="form-group">
                                {!! Form::text('entered_by[]', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
                            </div>
                        </div>
                        <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
                            <div class="form-group">
                                <div class="input-group">
                                    {!! Form::text('date_entered[]', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
                                    <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                </div>
                            </div>
                        </div>
                        <div class="pl-1 equipment-custom-grid">
                            <div class="form-group d-flex">
                                @if($loop->last)
                                    <div>
                                        <a href="javascript:void(0);" class="addMoreBtn addMoreEquipmentProfileRows">
                                            <i class="fa fa-plus-square" aria-hidden="true"></i>
                                        </a>
                                    </div>
                                @else
                                    <div>
                                        <a href="javascript:void(0);" class="removeMoreBtn removeMoreEquipmentProfileRows">
                                            <i class="fa fa-minus-square" aria-hidden="true"></i>
                                        </a>
                                    </div>
                                @endif
                            </div>
                        </div>
                    </div>
                @endif
            @endforeach
        </div>
    @else
        <div class="row px-4 pb-2">
            <div class="col-md-2 pr-1 equipment-custom-grid">
                <div class="form-group">
                    {!! Form::select('titles[]', ['' => 'Select'] + getEquipmentTitles(), null, ['class' => 'form-control select2']) !!}
                </div>
            </div>
            <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
                <div class="form-group">
                    {!! Form::text('qty[]', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
                </div>
            </div>
            <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
                <div class="form-group">
                    <div class="input-group pre-append">
                        <div class="input-group-prepend readonly-input">
                            <span class="input-group-text">$</span>
                        </div>
                        {!! Form::text('value[]', null, array('class' => 'form-control integer-input comma-integer-input', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
                    </div>
                </div>
            </div>
            <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
                <div class="form-group">
                    {!! Form::text('description[]', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
                </div>
            </div>
            <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
                <div class="form-group">
                    {!! Form::text('entered_by[]', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
                </div>
            </div>
            <div class="col-md-2 pl-1 pr-1 equipment-custom-grid">
                <div class="form-group">
                    <div class="input-group">
                        {!! Form::text('date_entered[]', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                    </div>
                </div>
            </div>
            <div class="pl-1 equipment-custom-grid">
                <div class="form-group">
                    <div>
                        <a href="javascript:void(0);" class="addMoreBtn addMoreEquipmentProfileRows">
                            <i class="fa fa-plus-square" aria-hidden="true"></i>
                        </a>
                    </div>
                </div>
            </div>
        </div>
        <div id="equipmentProfileMoreRows"></div>
    @endif
    <div class="text-center mt-4">
        <a href="{{ route('company.admin.equipment-profiles.index') }}" class="btn btn-blueBr mr-2">Cancel</a>
        <button type="submit" class="btn btn-blue ml-2">Update</button>
    </div>
{!! Form::close() !!}
@endsection

@section('script')
    <script src="{{ asset('theme/js/select2.full.min.js') }}"></script>
    <script type="text/javascript">
        $(function (){
            $('.post-form').parsley();

            $(".select2").select2({ width: '100%' });

            $(document).on('click', '.addMoreEquipmentProfileRows', function (){
                let cloneRow = $(this).closest('.row').clone().find('.equipment-custom-grid:first span').remove().end();
                $(this).closest('.row').after(cloneRow);
                $(this).parent().parent().append('<div><a href="javascript:void(0);" class="removeMoreBtn removeMoreEquipmentProfileRows"><i class="fa fa-minus-square" aria-hidden="true"></i></a></div>');
                $(this).parent().remove();
                $(".select2").select2({ width: '100%' });
            });

            $(document).on('click', '.removeMoreEquipmentProfileRows', function (){
                $(this).parent().parent().parent().parent().remove();
            });
        });
    </script>
@endsection
