@extends($companyAdminTheme)

@section('title')
    Fuel Surcharges
@endsection

@section('style')
    <link rel="stylesheet" href="{{ asset('theme/css/select2.min.css') }}">
    <style type="text/css">
        .select2-container {
            width: 100% !important;
        }
        .select2-container .select2-selection--single {
            height: 40px !important;
            border-radius: 10px !important;
            border: 1px solid #D8D8DD !important;
        }
        .select2-container--default .select2-selection--single {
            border: 1px solid #C5CEE0;
        }
        .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 40px !important;
        }
        .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 40px;
            width: 35px;
        }
        .breadcrumb li {
            text-decoration: none !important;
        }
        .breadcrumb li a {
            color: #305F9C !important;
        }
        .card-fuelSurcharges {
            color: #342828;
            border-color: #CCCCCC;
            border-radius: 10px;
            /*height: 100%;*/
        }
        .card-fuelSurcharges .card-header {
            background: transparent linear-gradient(180deg, #417CCB 0%, #294E7C 100%) 0% 0% no-repeat padding-box;
            color: #fff;
            text-align: center;
            padding: 10px 0px 0px 0px;
            position: relative;
            border-radius: 10px 10px 0 0;
            height: 56px;
        }
        .card-fuelSurcharges .card-header h6 {
            padding: 7px;
            letter-spacing: 0px;
        }
        .card-fuelSurcharges .card-body {
            padding: 0;
        }
        .card-fuelSurcharges .card-body .row {
            padding: 10px 15px 10px 15px;
            font-weight: 600;
        }
        .card-fuelSurcharges hr {
            border-color: #D8D8DD;
            margin: 0;
        }
        .card-fuelSurcharges .card-footer {
            background-color: rgb(255 255 255 / 3%);
            padding: 12px;
        }
        .card-fuelSurcharges .card-footer .btn-blueBr {
            background: #F1F3F6 0% 0% no-repeat padding-box;
            border: 1px solid #305F9C;
            border-radius: 10px;
            opacity: 1;
            width: 116px;
            height: 45px;
        }
        .card-fuelSurcharges .card-footer .btn-blue {
            background: #305F9C 0% 0% no-repeat padding-box;
            border: 1px solid #305F9C;
            border-radius: 10px;
            opacity: 1;
            width: 116px;
            height: 45px;
        }
        .card-fuelSurcharges .card-footer .btn-blueBr:hover {
            color: #fff;
            background-color: #305F9C;
        }
        .card-fuelSurcharges .card-footer .btn-blue:hover {
            border: 1px solid #305F9C;
            background-color: #F1F3F6;
            color: #305F9C;
        }
        .card-fuelSurcharges .card-footer .btn-bottom .btn {
            font-size: 13px;
            padding: 10px;
        }
        .card-fuelSurcharges .card-footer .btn-bottom .img-fluid {
            width: 30%;
        }
        .card-fuelSurcharges .table {
            color: #fff;
            margin-top: inherit !important;
        }
        .card-fuelSurcharges table th {
            padding: inherit;
        }
        .card-fuelSurcharges .table td {
            text-align: center;
            font-size: 14px;
            color: #322727;
            font-weight: 600;
        }
        .card-fuelSurcharges .form-control {
            font-size: 14px;
            font-weight: 600;
            border: 1px solid #D8D8DD;
            border-radius: 10px;
            height: 40px;
            font-family: 'Inter', sans-serif;
        }
        .card-fuelSurcharges label {
            margin-bottom: 0px;
            font-size: 14px;
            font-weight: 600;
            font-family: 'Inter', sans-serif;
            text-align: left;
            letter-spacing: 0px;
            color: #322727;
            opacity: 1;
        }
        .card-fuelSurcharges .row p {
            text-align: left;
            font-family: 'Inter', sans-serif;
            letter-spacing: 0px;
            color: #7C8C9D;
            opacity: 1;
        }
        .card-fuelSurcharges .section-heading {
            font-weight: 600;
            padding: 8px 13px;
            text-align: left;
            font-family: 'Inter', sans-serif;
            letter-spacing: 0px;
            color: #305F9C;
            opacity: 1;
            margin-bottom: 0rem;
        }
        .card-fuelSurcharges .input-group>.custom-select:not(:last-child),
        .input-group>.form-control:not(:last-child) {
            border-top-right-radius: 10px 10px;
            border-bottom-right-radius: 10px 10px;
        }
        .form-group img {
            width: 15px;
        }
        .text-info-box {
            color: #305F9C;
        }
        .region-map-url {
            text-decoration: underline !important;
            letter-spacing: 0px;
            color: #305F9C;
        }
        .card-fuelSurcharges .input-group-text {
            background: transparent;
            border-radius: 10px;
            color: #342828;
            padding: 4px 14px;
            font-weight: 600;
            font-family: 'Inter', sans-serif;
        }
        .card-fuelSurcharges .table tbody tr:first-child td {
            border: 1px solid #dee2e6 !important;
        }
        #detailsDiv .templateDetails h6 {
            text-align: left;
            font: normal normal bold 14px/17px Inter, sans-serif;
            letter-spacing: 0px;
            color: #322727;
            opacity: 1;
        }
        #detailsDiv .templateDetails ul>li {
            text-align: left;
            font: normal normal medium 14px/17px Inter, sans-serif;
            letter-spacing: 0px;
            color: #7C8C9D;
            opacity: 1;
            padding: 2px 10px;
        }
        #detailsDiv .templateDetails a {
            text-align: left;
            text-decoration: underline;
            font: normal normal bold 14px/17px Inter, sans-serif;
            letter-spacing: 0px;
            color: #305F9C;
            opacity: 1;
        }
        .dateComparison-top-header {
            background: #F1F3F6 0% 0% no-repeat padding-box;
            opacity: 1;
        }
        .dateComparison-top-header p {
            text-align: left;
            font: normal normal bold 14px/17px Inter, sans-serif;
            letter-spacing: 0px;
            color: #322727;
            opacity: 1;
        }
        #detailsDiv .comparisonDataDiv h6 {
            text-align: left;
            font: normal normal bold 14px/17px Inter, sans-serif;
            letter-spacing: 0px;
            color: #322727;
            opacity: 1;
        }
        #detailsDiv .comparisonDataDiv ul>li:not(.comparison-date) {
            text-align: left;
            font: normal normal medium 14px/17px Inter, sans-serif;
            letter-spacing: 0px;
            color: #7C8C9D;
            opacity: 1;
            border-bottom: 1px solid #D8D8DD;
            line-height: 25px;
            margin-right: 5px;
        }
        #detailsDiv .comparisonDataDiv ul>li:last-child {
            border-bottom: inherit;
        }
        #detailsDiv .comparisonDataDiv .comparison-date {
            max-width: 95px;
            max-height: 24px;
            font-weight: 600;
            border-radius: 6px;
        }
        .down-icon {
            background: #2F9840;
        }
        .up-icon {
            background: #FF1010;
        }
        .disabled {
            opacity: 0.5 !important;
            pointer-events: none !important;
        }
        .override:hover {
            background: #305F9C 0% 0% no-repeat padding-box;
            border: 1px solid #305F9C;
            color: #F1F3F6;
        }
        .comparisonDataDiv li {
            margin: 0 !important;
        }
        .comparisonDataDiv li>.d-flex>div:first-child {
            flex-grow: 1;
        }
        .comparisonDataDiv li>.d-flex>div:nth-child(2) {
            width: 83px;
            min-width: 83px;
            margin: 0 16px !important;
            text-align: center;
        }
        .comparisonDataDiv li>.d-flex>div:last-child {
            width: 70px;
            min-width: 70px;
            margin-right: 0 !important;
        }
        .comparisonDataDiv li>.d-flex>div:last-child .d-flex {
            justify-content: space-between;
        }
        .ui-widget-shadow {
            opacity: 1 !important;
        }
        .ui-tooltip.ui-widget-shadow {
            max-width: 210px;
            padding: 0;
            background: #FFFFFF;
            box-shadow: 0px 3px 46px #0000001F;
            border-radius: 10px;
            border: 0;
        }
        .ui-tooltip .ui-tooltip-content{
            color: #322727;
            font-size: 12px;
            font-weight: 500;
            font-family: 'Inter', sans-serif;
            padding: 17px 14px;
        }
        .ui-tooltip .ui-tooltip-content strong{
            font-weight: 600;
        }
    </style>
@endsection

@section('content')
    <div class="row new-load">
        <div class="col-12">
            <nav aria-label="breadcrumb mb-3">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href="{{ route('company.admin.dispatch.hub.index') }}">Dispatch</a></li>
                    <li class="breadcrumb-item"><a href="javascript:void(0);">Fuel Surcharges</a></li>
                </ol>
            </nav>
        </div>
        <div class="col-3 pl-2 pr-2 d-flex flex-column">
            <div class="card card-fuelSurcharges mb-4">
                <div class="card-header">
                    <h6>Fuel Surcharge Calculator &nbsp;<i class="fa fa-info-circle font-16 text-white tooltip_new" title="<strong>Fuel Surcharge Calculator</strong> <br> A system of calculating a charge to help safeguard carriers from fluctuating fuel costs. Fuel surcharge acts as a protective barrier for carriers on rising fuel costs and provides similar benefits to protect customers when fuel costs decrease. Fuel surcharge can be calculated per mile or as a percentage of transit. This mechanism is typically a direct passthrough to the truck and not calculated as part of the linehaul."></i></h6>
                </div>
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-5">
                            <label class="mt-2">Request Date</label>
                        </div>
                        <div class="col-md-7">
                            <div class="form-group">
                                <div class="input-group">
                                    {!! Form::text('request_date', null, array('class' => 'form-control', 'id' => 'request-date')) !!}
                                    <img src="{{ asset('theme/images/proRouter-date.svg') }}" alt="icon">
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-5">
                            <label class="mt-2">Last Release Date</label>
                        </div>
                        <div class="col-md-7">
                            {!! Form::text('last_release_date', null, array('class' => 'form-control', 'id' => 'last-release-date', 'readonly' => 'readonly')) !!}
                        </div>
                    </div>
                    <hr/>
                    <div class="row">
                        <div class="col-md-5">
                            <label>Fuel Type</label>
                            <p>Last Release <span id="fuel-type-last-release"></span></p>
                        </div>
                        <div class="col-md-7">
                            {!! Form::select('fuel_type', ['' => 'Select Fuel Type', 'EPMR' => 'U.S. Regular Gasoline Price', 'EPD2D' => 'U.S. On-Highway Diesel'], null, ['class' => 'form-control select2', 'id' => 'fuel-type']) !!}
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-5">
                            <label class="mt-2">Region &nbsp;<a href="javascript:void(0);" class="region-map-url">Map</a></label>
                        </div>
                        <div class="col-md-7">
                            {!! Form::select('region', ['' => 'Select Region'], null, ['class' => 'form-control select2', 'id' => 'region']) !!}
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-5">
                            <label class="mt-2">Rate Type</label>
                        </div>
                        <div class="col-md-7">
                            {!! Form::select('rate_type', ['0' => 'Per Mile', '1' => 'Percentage', '2' => 'Both'], '2', ['class' => 'form-control select2', 'id' => 'rate-type']) !!}
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-5">
                            <label>Start Price (PPG) &nbsp;<i class="fa fa-info-circle font-16 text-info-box tooltip_new" title="<strong>Start Price (PPG)</strong> <br> The start price determines the price per gallon a fuel surcharge calculator will be begin. Start price is commonly referred to as the base price."></i></label>
                            <p>Starting Price</p>
                        </div>
                        <div class="col-md-7">
                            <div class="input-group">
                                <div class="input-group-prepend">
                                    <span class="input-group-text">$</span>
                                </div>
                                {!! Form::number('start_price', null, array('class' => 'form-control number', 'id' => 'start-price', 'min' => 0, 'step' => .01)) !!}
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-5">
                            <label>Max Price (PPG) &nbsp;<i class="fa fa-info-circle font-16 text-info-box tooltip_new" title="<strong>Max Price (PPG)</strong> <br> The max price acts as the ceiling of your Fuel Surcharge calculator. The max price ends the visual calculations but does not imply that a surcharge doesn't exists if the fuel costs exceeds the max price, it just isn't visualized. The pattern established below the max price would carry forward past the max price."></i></label>
                            <p>Ending Price</p>
                        </div>
                        <div class="col-md-7">
                            <div class="input-group">
                                <div class="input-group-prepend">
                                    <span class="input-group-text">$</span>
                                </div>
                                {!! Form::number('ending_price', null, array('class' => 'form-control number', 'id' => 'ending-price', 'min' => 0, 'step' => .01)) !!}
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-5">
                            <label>Price Change &nbsp;<i class="fa fa-info-circle font-16 text-info-box tooltip_new" title="<strong>Price Change</strong> <br> Price change is the indicator showing the difference between each price per gallon band. This interval determines when the next band is created. The incremental changes applied to the calculator are based on this factor. The larger the Price Change the smaller the fuel surcharge becomes. (Example: A $.05 Price Change indicates that the fuel surcharge will change every time a gallon of fuel fluctuates $.05, but a $0.10 Price Change indicates that the fuel surcharge will change ever time a gallon of fuel fluctuates $.10)"></i></label>
                            <p>Interval Band</p>
                        </div>
                        <div class="col-md-7">
                            <div class="input-group">
                                <div class="input-group-prepend">
                                    <span class="input-group-text">$</span>
                                </div>
                                {!! Form::number('price_change', null, array('class' => 'form-control number', 'id' => 'price-change', 'min' => 0, 'step' => .01)) !!}
                            </div>
                        </div>
                    </div>
                    <hr/>
                    <p class="section-heading">Percentage Intervals</p>
                    <hr/>
                    <div class="row">
                        <div class="col-md-5">
                            <label class="mt-2">Base Percentage &nbsp;<i class="fa fa-info-circle font-16 text-info-box tooltip_new" title="<strong>Base Percentage</strong> <br> The beginning measurement that a percentage-based fuel surcharge is calculated. This number determines the initial amount the first fuel 'band' is multiplied against to establish the commencement of fuel surcharge."></i></label>
                        </div>
                        <div class="col-md-7">
                            <div class="input-group">
                                <div class="input-group-prepend">
                                    <span class="input-group-text">%</span>
                                </div>
                                {!! Form::number('base_percentage', null, array('class' => 'form-control number', 'id' => 'base-percentage', 'min' => 0, 'step' => .01)) !!}
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-5 pr-0">
                            <label class="mt-2">Percentage Change &nbsp;<i class="fa fa-info-circle font-16 text-info-box tooltip_new" title="<strong>Percentage Change</strong> <br> The Percentage Change represents an incremental increase provided at each interval. The change signifies the percentage rise at each band as fuel increases."></i></label>
                        </div>
                        <div class="col-md-7">
                            <div class="input-group">
                                <div class="input-group-prepend">
                                    <span class="input-group-text">%</span>
                                </div>
                                {!! Form::number('percentage_change', null, array('class' => 'form-control number', 'id' => 'percentage-change', 'min' => 0, 'step' => .01)) !!}
                            </div>
                        </div>
                    </div>
                    <hr/>
                    <p class="section-heading">Per Mile Intervals</p>
                    <hr/>
                    <div class="row">
                        <div class="col-md-5">
                            <label class="mt-2">Per Mile Start &nbsp;<i class="fa fa-info-circle font-16 text-info-box tooltip_new" title="<strong>Per Mile Start</strong> <br> Per Mile Start is the beginning measurement that a per mile fuel surcharge is calculated. This number determines the initial amount the first fuel ‘band’ is multiplied against to establish the commencement of fuel surcharge."></i></label>
                        </div>
                        <div class="col-md-7">
                            <div class="input-group">
                                <div class="input-group-prepend">
                                    <span class="input-group-text">$</span>
                                </div>
                                {!! Form::number('per_mile_start', null, array('class' => 'form-control number', 'id' => 'per-mile-start', 'min' => 0, 'step' => .01)) !!}
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-5">
                            <label class="mt-2">Per Mile Change &nbsp;<i class="fa fa-info-circle font-16 text-info-box tooltip_new" title="<strong>Per Mile Change</strong> <br> The Per Mile Change represents an incremental increase provided at each interval. The change signifies the per mile rise at each band as fuel increases."></i></label>
                        </div>
                        <div class="col-md-7">
                            <div class="input-group">
                                <div class="input-group-prepend">
                                    <span class="input-group-text">$</span>
                                </div>
                                {!! Form::number('per_mile_change', null, array('class' => 'form-control number', 'id' => 'per-mile-change', 'min' => 0, 'step' => .01)) !!}
                            </div>
                        </div>
                    </div>
                </div>
                <div class="card-footer">
                    <div class="text-right">
                        <button type="button" class="btn btn-blueBr mr-1" id="clearPricing">Clear</button>
                        <button type="button" class="btn btn-blue" id="calculatePricing">Calculate</button>
                    </div>
                    <div class="d-flex justify-content-between mt-2 btn-bottom">
                        <button class="btn btn-blue mr-2 disabled" id="btnEmail">
                            Email <img src="{{ asset('theme/images/mail-send.svg') }}" class="img-fluid" width="20" height="20" alt="">
                        </button>
                        <button class="btn btn-blue mr-2 disabled">
                            PDF <img src="{{ asset('theme/images/download-pdf.svg') }}" class="img-fluid" width="18" height="18" alt="">
                        </button>
                        <button class="btn btn-blue mr-2 disabled" id="btnPrint">
                            Print <img src="{{ asset('theme/images/printer.svg') }}" class="img-fluid" width="18" height="18" alt="">
                        </button>
                        <button class="btn btn-blue disabled" id="btnExport">
                            Export <img src="{{ asset('theme/images/export.svg') }}" class="img-fluid" width="18" height="18" alt="">
                        </button>
                    </div>
                </div>
            </div>

            <div class="card card-fuelSurcharges mb-4">
                <div class="card-header">
                    <h6>Template Options</h6>
                </div>
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-5">
                            <label class="mt-2">Customer</label>
                        </div>
                        <div class="col-md-7">
                            {!! Form::select('customer', ['' => 'Select Customer']+$brokersList, null, ['class' => 'form-control select2', 'id' => 'customer']) !!}
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-5">
                            <label class="mt-2">File Name</label>
                        </div>
                        <div class="col-md-7">
                            {!! Form::text('customer_file_name', null, array('class' => 'form-control', 'id' => 'customer-file-name')) !!}
                        </div>
                    </div>
                </div>
                <div class="card-footer">
                    <div class="text-right">
                        <button type="button" class="btn btn-blue" id="saveTemplate">Save</button>
                    </div>
                </div>
            </div>

            <div class="card card-fuelSurcharges mb-4">
                <div class="card-header">
                    <h6>Quick Calculator</h6>
                </div>
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-5">
                            <label class="mt-2">Fuel Price Baseline</label>
                        </div>
                        <div class="col-md-7">
                            <div class="input-group">
                                <div class="input-group-prepend">
                                    <span class="input-group-text">$</span>
                                </div>
                                {!! Form::number('fuel_price_baseline', null, array('class' => 'form-control number', 'id' => 'fuel-price-baseline', 'min' => 0, 'step' => .01)) !!}
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-5">
                            <label class="mt-2">Average Miles Per Gallon</label>
                        </div>
                        <div class="col-md-7">
                            {!! Form::text('average_miles_per_gallon', null, array('class' => 'form-control', 'id' => 'average-miles-per-gallon')) !!}
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-5">
                            <label class="mt-2">Average Diesel Fuel Price</label>
                        </div>
                        <div class="col-md-7">
                            <div class="input-group">
                                <div class="input-group-prepend">
                                    <span class="input-group-text">$</span>
                                </div>
                                {!! Form::number('average_diesel_fuel_price', null, array('class' => 'form-control number', 'id' => 'average-diesel-fuel-price', 'min' => 0, 'step' => .01)) !!}
                            </div>
                        </div>
                    </div>
                    <hr/>
                    <p class="section-heading">Fuel Surcharge (Per Mile) <span class="float-right mr-2" id="QuickCalculateTotal">0.00</span></p>
                </div>
                <div class="card-footer">
                    <div class="text-right">
                        <button type="button" class="btn btn-blueBr mr-1" id="clearQuickCalculator">Clear</button>
                        <button type="button" class="btn btn-blue" id="calculateQuickCalculator">Calculate</button>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-5 pl-2 pr-2" id="pricingDiv">
            <div class="card card-fuelSurcharges mb-4">
                <div class="card-header">
                    <table class="table">
                        <tr>
                            <th width="25%"><h6>Fuel Price Start</h6></th>
                            <th width="25%"><h6>Fuel Price End</h6></th>
                            <th width="25%" class="fulPm"><h6>Fuel Surcharge <small>(Per Mile)</small></h6></th>
                            <th width="25%" class="fulPer"><h6>Fuel Surcharge <small>(Percentage)</small></h6></th>
                        </tr>
                    </table>
                </div>
                <div class="card-body">
                    <table class="table table-bordered" id="pricingTable">
                        <tr>
                            <td colspan="4">No data</td>
                        </tr>
                    </table>
                </div>
            </div>
        </div>
        <div class="col-4 pl-2 pr-2 d-flex flex-column" id="detailsDiv">
            <div class="card card-fuelSurcharges mb-4">
                <div class="card-header">
                    <h6>Fuel Research Center</h6>
                </div>
                <div class="card-footer text-center">
                    <a href="{{ route('company.admin.fuel-surcharges.research') }}" class="btn btn-blue" target="_blank">Research</a>
                </div>
            </div>

            <div class="card card-fuelSurcharges mb-4">
                <div class="card-header">
                    <h6>Date Comparison</h6>
                </div>
                <div class="card-body">
                    <div class="d-flex justify-content-between dateComparison-top-header">
                        <p class="ml-3 mt-2 mb-2">Gasoline</p>
                        <p class="mr-3 mt-2 mb-2">Change Since</p>
                    </div>
                    <div class="comparisonDataDiv">
                        <div class="row pt-0">
                            <div class="col-12 mb-2">
                                <div class="d-none" id="gasolineHeading">
                                    <div class="d-flex" style="margin: -7px 0px -10px 0px;">
                                        <div class="mr-auto p-2">
                                            <label class="mt-1">{{ $regionOptions[0]['children'][0]['text'] ?? '' }}</label>
                                        </div>
                                        <div class="p-2">
                                            <h6 class="mt-1 current-week-release-date"></h6>
                                        </div>
                                        <div class="pt-2 pb-2 pr-0 pl-2">
                                            {!! Form::text('gasoline_comparison_date', null, array('class' => 'form-control comparison-date', 'id' => 'gasoline-comparison-date')) !!}
                                        </div>
                                    </div>
                                </div>
                                <div id="gasolineDiv">
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="d-flex justify-content-between dateComparison-top-header">
                        <p class="ml-3 mt-2 mb-2">On-Highway Diesel</p>
                        <p class="mr-3 mt-2 mb-2">Change Since</p>
                    </div>
                    <div class="comparisonDataDiv">
                        <div class="row pt-0">
                            <div class="col-12 mb-2">
                                <div class="d-none" id="dieselHeading">
                                    <div class="d-flex" style="margin: -7px 0px -10px 0px;">
                                        <div class="mr-auto p-2">
                                            <label class="mt-1">{{ $regionOptions[1]['children'][0]['text'] ?? '' }}</label>
                                        </div>
                                        <div class="p-2">
                                            <h6 class="mt-1 current-week-release-date"></h6>
                                        </div>
                                        <div class="pt-2 pb-2 pr-0 pl-2">
                                            {!! Form::text('diesel_comparison_date', null, array('class' => 'form-control comparison-date', 'id' => 'diesel-comparison-date')) !!}
                                        </div>
                                    </div>
                                </div>
                                <div id="dieselDiv">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="card card-fuelSurcharges mb-4">
                <div class="card-header">
                    <h6>Template Details</h6>
                </div>
                <div class="card-body templateDetails">
                    <div class="row">
                        <div class="col-12 mb-2">
                            <h6>U.S. Regular Gasoline</h6>
                            <ul>
                                <li>Current Release Date &nbsp;: <span class="current-release-date"></span></li>
                                <li>Next Release Date &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;: <span class="next-release-date"></span></li>
                            </ul>
                        </div>
                        <div class="col-12 mb-2">
                            <h6>On Highway Diesel</h6>
                            <ul>
                                <li>Current Release Date &nbsp;: <span class="current-release-date"></span></li>
                                <li>Next Release Date &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;: <span class="next-release-date"></span></li>
                            </ul>
                        </div>
                        <div class="col-12 mb-2">
                            <div class="d-flex justify-content-start">
                                <h6>Source:</h6> <a href="https://www.eia.gov/petroleum/gasdiesel/" class="ml-2" target="_blank">https://www.eia.gov/petroleum/gasdiesel/</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row map d-none">
        <div class="col-12">
            <div class="row">
                <div class="col-md-12">
                    <div class="row">
                        <div class="col-12 text-center">
                            <a href="https://www.eia.gov/petroleum/gasdiesel/diesel_map.php" target="_blank">
                                <img src="{{asset('theme/images/fuel-surcharges-region-map.png')}}" alt="" width="100%" height="100%" style="height: 100%;width: auto;margin: 0 auto;max-height: 612px;" />
                            </a>
                        </div>
                        <div class="col-12 text-center mt-4">
                            <a href="javascript:void(0);" class="btn btn-blue region-map-close override" style="min-width: 100px;">Back</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('script')
    <script src="{{ asset('theme/js/select2.full.min.js') }}"></script>
    <script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>
    <script type="text/javascript">
        function getComparisonFuelData(startDate, endDate = null){
            let data = [];

            $.ajax({
                url: "https://api.eia.gov/v2/petroleum/pri/gnd/data/",
                method: "GET",
                async: false,
                data: {
                    api_key: '{!! env('EIA_API_KEY') !!}',
                    frequency: 'weekly',
                    'data[0]': 'value',
                    'facets[product][0]': 'EPMR',
                    'facets[product][1]': 'EPD2D',
                    start: startDate,
                    end: (endDate != null) ? endDate : startDate,
                    'sort[0][column]': 'period',
                    'sort[0][direction]': 'desc',
                },
                dataType: 'json',
                success: function(responseJSON){
                    $.merge(data, responseJSON.response.data);
                }
            });

            return data;
        }

        function printGasolineFuelData(currentWeekData, lastWeekData){
            let gasolineHtml = ''; let currentWeekVal = 0.00; let lastWeekVal = 0.00;

            @foreach($regionOptions as $key => $values)
                @if($key == 0)
                    @foreach($values['children'] as $childs)
                        @if($childs['text'] != "U.S. Region")
                            gasolineHtml += '<h6 class="mt-1">{!! $childs['text'] !!}</h6>';
                        @endif
                        gasolineHtml += '<ul class="pl-3 pr-3">';
                        @foreach($childs['children'] as $child)
                            @if($child['code'] != "")
                                currentWeekVal = findData('EPMR', '{!! strtoupper($child['code']) !!}', currentWeekData, false);
                                lastWeekVal = findData('EPMR', '{!! strtoupper($child['code']) !!}', lastWeekData, true, currentWeekVal);
                            @else
                                currentWeekVal = findData('EPMR', '{!! strtoupper($child['text']) !!}', currentWeekData, false);
                                lastWeekVal = findData('EPMR', '{!! strtoupper($child['text']) !!}', lastWeekData, true, currentWeekVal);
                            @endif

                            gasolineHtml += '<li>';
                            gasolineHtml += '<div class="d-flex">';
                            gasolineHtml += '<div class="mr-auto">';
                            @if($child['code'] != "")
                                gasolineHtml += '{!! $child['text'].' ('.$child['code'].')' !!}';
                            @else
                                gasolineHtml += '{!! $child['text'] !!}';
                            @endif
                            gasolineHtml += '</div>';
                            gasolineHtml += '<div class="mr-5">';
                            gasolineHtml += currentWeekVal;
                            gasolineHtml += '</div>';
                            gasolineHtml += '<div class="mr-3">';
                            gasolineHtml += '<div class="d-flex align-items-center">';

                            if(lastWeekVal != 0){
                                if(lastWeekVal > 0){
                                    gasolineHtml += '<div class="round-icon up-icon mr-2">';
                                    gasolineHtml += '<i class="fa fa-caret-down fa-caret-up" aria-hidden="true"></i>';
                                    gasolineHtml += '</div>';
                                }else{
                                    gasolineHtml += '<div class="round-icon down-icon mr-2">';
                                    gasolineHtml += '<i class="fa fa-caret-down" aria-hidden="true"></i>';
                                    gasolineHtml += '</div>';
                                }
                            }else{
                                gasolineHtml += '<div></div>';
                            }

                            gasolineHtml += '<div>';
                            gasolineHtml += lastWeekVal;
                            gasolineHtml += '</div>';
                            gasolineHtml += '</div>';
                            gasolineHtml += '</div>';
                            gasolineHtml += '</div>';
                            gasolineHtml += '</li>';
                        @endforeach
                        gasolineHtml += '</ul>';
                    @endforeach
                @endif
            @endforeach

            $("#gasolineHeading").removeClass('d-none');
            $("#gasolineDiv").html($.parseHTML(gasolineHtml));
        }

        function printDieselFuelData(currentWeekData, lastWeekData){
            let dieselHtml = ''; let currentWeekVal = 0.00; let lastWeekVal = 0.00;

            @foreach($regionOptions as $key => $values)
                @if($key != 0)
                    @foreach($values['children'] as $childs)
                        @if($childs['text'] != "U.S. Region")
                            dieselHtml += '<h6 class="mt-1">{!! $childs['text'] !!}</h6>';
                        @endif
                        dieselHtml += '<ul class="pl-3 pr-3">';
                        @foreach($childs['children'] as $child)
                            @if($child['code'] != "")
                                currentWeekVal = findData('EPD2D', '{!! strtoupper($child['code']) !!}', currentWeekData, false);
                                lastWeekVal = findData('EPD2D', '{!! strtoupper($child['code']) !!}', lastWeekData, true, currentWeekVal);
                            @else
                                currentWeekVal = findData('EPD2D', '{!! strtoupper($child['text']) !!}', currentWeekData, false);
                                lastWeekVal = findData('EPD2D', '{!! strtoupper($child['text']) !!}', lastWeekData, true, currentWeekVal);
                            @endif
                            dieselHtml += '<li>';
                            dieselHtml += '<div class="d-flex">';
                            dieselHtml += '<div class="mr-auto">';
                            @if($child['code'] != "")
                                dieselHtml += '{!! $child['text'].' ('.$child['code'].')' !!}';
                            @else
                                dieselHtml += '{!! $child['text'] !!}';
                            @endif
                            dieselHtml += '</div>';
                            dieselHtml += '<div class="mr-5">';
                            dieselHtml += currentWeekVal;
                            dieselHtml += '</div>';
                            dieselHtml += '<div class="mr-3">';
                            dieselHtml += '<div class="d-flex align-items-center">';

                            if(lastWeekVal != 0){
                                if(lastWeekVal > 0){
                                    dieselHtml += '<div class="round-icon up-icon mr-2">';
                                    dieselHtml += '<i class="fa fa-caret-down fa-caret-up" aria-hidden="true"></i>';
                                    dieselHtml += '</div>';
                                }else{
                                    dieselHtml += '<div class="round-icon down-icon mr-2">';
                                    dieselHtml += '<i class="fa fa-caret-down" aria-hidden="true"></i>';
                                    dieselHtml += '</div>';
                                }
                            }else{
                                dieselHtml += '<div></div>';
                            }

                            dieselHtml += '<div>';
                            dieselHtml += lastWeekVal;
                            dieselHtml += '</div>';
                            dieselHtml += '</div>';
                            dieselHtml += '</div>';
                            dieselHtml += '</div>';
                            dieselHtml += '</li>';
                        @endforeach
                        dieselHtml += '</ul>';
                    @endforeach
               @endif
            @endforeach

            $("#dieselHeading").removeClass('d-none');
            $("#dieselDiv").html($.parseHTML(dieselHtml));
        }

        function findData(fuelType, searchVal, data, isLastWeek, currentWeekVal = null) {
            let pricingData = data.find(function(e) { return fuelType == e['product'] && searchVal === e['area-name'] });
            if (pricingData) {
                if(isLastWeek){
                    currentWeekVal = currentWeekVal.replace('$', '');
                    return (currentWeekVal- pricingData.value).toFixed(3);
                }
                return '$' + parseFloat(pricingData.value).toFixed(3);
            }else{
                return '-';
            }
        }

        $(function (){
            $(".select2").select2();

            let currentWeekData = [];
            let lastWeekData = [];

            window.currentWeekMonday = moment().day(1);
            window.lastWeekMonday = moment().subtract(1, 'weeks').day(1);

            currentWeekData = getComparisonFuelData(moment(currentWeekMonday).format('YYYY-MM-DD'));
            if(currentWeekData.length > 0){
                lastWeekData = getComparisonFuelData(moment(lastWeekMonday).format('YYYY-MM-DD'));
            }else{
                currentWeekMonday = lastWeekMonday;
                lastWeekMonday = moment(currentWeekMonday).subtract(1, 'weeks').day(1);

                currentWeekData = getComparisonFuelData(moment(currentWeekMonday).format('YYYY-MM-DD'));
                lastWeekData = getComparisonFuelData(moment(lastWeekMonday).format('YYYY-MM-DD'));
            }

            printGasolineFuelData(currentWeekData, lastWeekData);
            printDieselFuelData(currentWeekData, lastWeekData);

            $('#request-date').datetimepicker({ format: 'MM/DD/YYYY', defaultDate: currentWeekMonday, maxDate: currentWeekMonday });
            $('#gasoline-comparison-date').datetimepicker({ format: 'MM/DD/YYYY', defaultDate: lastWeekMonday, maxDate: lastWeekMonday });
            $('#diesel-comparison-date').datetimepicker({ format: 'MM/DD/YYYY', defaultDate: lastWeekMonday, maxDate: lastWeekMonday });

            $("#last-release-date").val(moment(currentWeekMonday).format('MM/DD/YYYY'));
            $("#fuel-type-last-release").text(moment(currentWeekMonday).format('MM/DD/YYYY'));
            $(".current-release-date").text(moment(currentWeekMonday).format('MMMM Do YYYY'));
            $(".current-week-release-date").text(moment(currentWeekMonday).format('MM/DD/YYYY'));
            $(".next-release-date").text(moment(currentWeekMonday).add(1, 'weeks').format('MMMM Do YYYY'));

            $(document).on("change", "#fuel-type", function (){
                if($(this).val() == "EPMR"){
                    $("#region").html('{!! $regionEPMRHtml !!}');
                }else if($(this).val() == "EPD2D"){
                    $("#region").html('{!! $regionEPD2DHtml !!}');
                }else{
                    $("#region").html('<option value="">Select Region</option>');
                }
            });

            $(document).on("change", "#rate-type", function (){
                if($(this).val() == "0"){
                    $(".fulPm").removeClass('d-none');
                    $(".fulPer").addClass('d-none');
                    $("#pricingDiv").removeClass('col-5').addClass('col-4');
                    $("#detailsDiv").removeClass('col-4').addClass('col-5');
                }else if($(this).val() == "1"){
                    $(".fulPm").addClass('d-none');
                    $(".fulPer").removeClass('d-none');
                    $("#pricingDiv").removeClass('col-5').addClass('col-4');
                    $("#detailsDiv").removeClass('col-4').addClass('col-5');
                }else{
                    $(".fulPm").removeClass('d-none');
                    $(".fulPer").removeClass('d-none');
                    $("#pricingDiv").removeClass('col-4').addClass('col-5');
                    $("#detailsDiv").removeClass('col-5').addClass('col-4');
                }
            });

            $(document).on("click", "#clearPricing", function (){
                $("#request-date").val(moment(currentWeekMonday).format('MM/DD/YYYY'));
                $("#fuel-type").val("").trigger('change');
                $("#rate-type").val("2").trigger('change');
                $("#start-price,#ending-price,#price-change,#base-percentage,#percentage-change,#per-mile-start,#per-mile-change").val("");

                let pricingTableHtml = '';
                pricingTableHtml += '<tr>';
                pricingTableHtml += '<td colspan="4">No data</td>';
                pricingTableHtml += '</tr>';
                $("#pricingTable").html(pricingTableHtml);
            });

            $(document).on("click", "#calculatePricing", function (){
                let startPrice = parseFloat($("#start-price").val()).toFixed(2);
                let endingPrice = parseFloat($("#ending-price").val()).toFixed(2);
                let priceChange = parseFloat($("#price-change").val()).toFixed(2);
                let perMileStart = parseFloat($("#per-mile-start").val()).toFixed(2);
                let perMileChange = parseFloat($("#per-mile-change").val()).toFixed(2);
                let basePercentage = parseFloat($("#base-percentage").val()).toFixed(2);
                let percentageChange = parseFloat($("#percentage-change").val()).toFixed(2);

                if(isNaN(startPrice) || isNaN(endingPrice) || isNaN(priceChange)  || isNaN(basePercentage) || isNaN(percentageChange) || isNaN(perMileStart) || isNaN(perMileChange)){
                    let msg = '';
                    if(isNaN(startPrice)){
                        msg = "Please enter <b>Start Price (PPG)</b>.";
                    }else if(isNaN(endingPrice)){
                        msg = "Please enter <b>Max Price (PPG)</b>.";
                    }else if(isNaN(priceChange)){
                        msg = "Please enter <b>Price Change</b>.";
                    }else if(isNaN(basePercentage)){
                        msg = "Please enter <b>Base Percentage</b>.";
                    }else if(isNaN(percentageChange)){
                        msg = "Please enter <b>Percentage Change</b>.";
                    }else if(isNaN(perMileStart)){
                        msg = "Please enter <b>Per Mile Start</b>.";
                    }else if(isNaN(perMileChange)){
                        msg = "Please enter <b>Per Mile Change</b>.";
                    }

                    Swal.fire({
                        title: "Error!",
                        html: msg,
                        icon: "warning",
                        confirmButtonText: "&nbsp;&nbsp;&nbsp;OK&nbsp;&nbsp;&nbsp;&nbsp;",
                    });
                }

                if(!isNaN(startPrice) && !isNaN(endingPrice) && !isNaN(priceChange) && !isNaN(perMileStart) && !isNaN(perMileChange) && !isNaN(basePercentage) && !isNaN(percentageChange)){
                    let pricingTableHtml = '';
                    for (let i = parseFloat(startPrice), l = parseFloat(endingPrice); i < l; i+= parseFloat(priceChange)){
                        if(i == startPrice){
                            pricingTableHtml += '<tr>';
                            pricingTableHtml += '<td width="25%">_______</td>';
                            pricingTableHtml += '<td width="25%">$ '+ (parseFloat(i) - 0.01).toFixed(2) +'</td>';
                            pricingTableHtml += '<td width="25%" class="fulPm">No Surcharge</td>';
                            pricingTableHtml += '<td width="25%" class="fulPer">No Surcharge</td>';
                            pricingTableHtml += '</tr>';

                            pricingTableHtml += '<tr>';
                            pricingTableHtml += '<td>$ '+ parseFloat(i).toFixed(2) +'</td>';
                            pricingTableHtml += '<td>$ '+ (parseFloat(i) + (parseFloat(priceChange) - 0.01)).toFixed(2) +'</td>';
                            pricingTableHtml += '<td class="fulPm">$ '+ parseFloat(perMileStart).toFixed(2) +'</td>';
                            pricingTableHtml += '<td class="fulPer">'+ parseFloat(basePercentage).toFixed(2) +'%</td>';
                            pricingTableHtml += '</tr>';
                        }else{
                            perMileStart = parseFloat(perMileStart) + parseFloat(perMileChange);
                            basePercentage = parseFloat(basePercentage) + parseFloat(percentageChange);

                            pricingTableHtml += '<tr>';
                            pricingTableHtml += '<td>$ '+ parseFloat(i).toFixed(2) +'</td>';
                            pricingTableHtml += '<td>$ '+ (parseFloat(i) + (parseFloat(priceChange) - 0.01)).toFixed(2) +'</td>';
                            pricingTableHtml += '<td class="fulPm">$ '+ parseFloat(perMileStart).toFixed(2) +'</td>';
                            pricingTableHtml += '<td class="fulPer">'+ parseFloat(basePercentage).toFixed(2) +'%</td>';
                            pricingTableHtml += '</tr>';
                        }
                    }

                    if(pricingTableHtml == ''){
                        pricingTableHtml += '<tr>';
                        pricingTableHtml += '<td colspan="4">No data</td>';
                        pricingTableHtml += '</tr>';
                        $("#pricingTable").html(pricingTableHtml);
                    }else{
                        $("#pricingTable").html(pricingTableHtml);
                    }
                }
            });

            $(document).on("click", "#clearQuickCalculator", function (){
                $("#fuel-price-baseline").val('');
                $("#average-miles-per-gallon").val('');
                $("#average-diesel-fuel-price").val('');
                $("#QuickCalculateTotal").text(parseFloat(0.00).toFixed(2));
            });

            $(document).on("click", "#calculateQuickCalculator", function (){
                let fuelSurcharge = 0.00;
                let fuelPriceBaseline = parseFloat($("#fuel-price-baseline").val()).toFixed(2);
                let averageMilesPerGallon = parseFloat($("#average-miles-per-gallon").val()).toFixed(2);
                let averageDieselFuelPrice = parseFloat($("#average-diesel-fuel-price").val()).toFixed(2);

                if(isNaN(fuelPriceBaseline) || isNaN(averageMilesPerGallon) || isNaN(averageDieselFuelPrice)){
                    let msg = '';
                    if(isNaN(fuelPriceBaseline)){
                        msg = "Please enter <b>Fuel Price Baseline</b>.";
                    }else if(isNaN(averageMilesPerGallon)){
                        msg = "Please enter <b>Average Miles Per Gallon</b>.";
                    }else if(isNaN(averageDieselFuelPrice)){
                        msg = "Please enter <b>Average Diesel Fuel Price</b>.";
                    }

                    Swal.fire({
                        title: "Error!",
                        html: msg,
                        icon: "warning",
                        confirmButtonText: "&nbsp;&nbsp;&nbsp;OK&nbsp;&nbsp;&nbsp;&nbsp;",
                    });
                }

                fuelSurcharge = (parseFloat(averageDieselFuelPrice) - parseFloat(fuelPriceBaseline)) / parseFloat(averageMilesPerGallon);

                if(!isNaN(fuelSurcharge)){
                    $("#QuickCalculateTotal").text(parseFloat(fuelSurcharge).toFixed(2));
                }else{
                    $("#QuickCalculateTotal").text(parseFloat(0.00).toFixed(2));
                }
            });

            $(document).on("click", "#saveTemplate", function (){
                let fuelType = $("#fuel-type").val();
                let region = $("#region").val();
                let rateType = $("#rate-type").val();
                let startPrice = parseFloat($("#start-price").val()).toFixed(2);
                let endingPrice = parseFloat($("#ending-price").val()).toFixed(2);
                let priceChange = parseFloat($("#price-change").val()).toFixed(2);
                let perMileStart = parseFloat($("#per-mile-start").val()).toFixed(2);
                let perMileChange = parseFloat($("#per-mile-change").val()).toFixed(2);
                let basePercentage = parseFloat($("#base-percentage").val()).toFixed(2);
                let percentageChange = parseFloat($("#percentage-change").val()).toFixed(2);
                let customer = $("#customer").val();
                let customerFileName = $("#customer-file-name").val();

                if(fuelType == "" || region == "" || rateType == "" || isNaN(startPrice) || isNaN(endingPrice) || isNaN(priceChange)  || isNaN(basePercentage) || isNaN(percentageChange) || isNaN(perMileStart) || isNaN(perMileChange) || customer == "" || customerFileName == ""){
                    let msg = '';
                    if(fuelType == "" ){
                        msg = "Please select <b>Fuel Type</b>.";
                    }else if(region == ""){
                        msg = "Please select <b>Region</b>.";
                    }else if(rateType == ""){
                        msg = "Please select <b>Rate Type</b>.";
                    }else if(isNaN(startPrice)){
                        msg = "Please enter <b>Start Price (PPG)</b>.";
                    }else if(isNaN(endingPrice)){
                        msg = "Please enter <b>Max Price (PPG)</b>.";
                    }else if(isNaN(priceChange)){
                        msg = "Please enter <b>Price Change</b>.";
                    }else if(isNaN(basePercentage)){
                        msg = "Please enter <b>Base Percentage</b>.";
                    }else if(isNaN(percentageChange)){
                        msg = "Please enter <b>Percentage Change</b>.";
                    }else if(isNaN(perMileStart)){
                        msg = "Please enter <b>Per Mile Start</b>.";
                    }else if(isNaN(perMileChange)){
                        msg = "Please enter <b>Per Mile Change</b>.";
                    }else if(customer == ""){
                        msg = "Please select <b>Customer</b>.";
                    }else if(customerFileName == ""){
                        msg = "Please enter <b>File Name</b>.";
                    }

                    Swal.fire({
                        title: "Error!",
                        html: msg,
                        icon: "warning",
                        confirmButtonText: "&nbsp;&nbsp;&nbsp;OK&nbsp;&nbsp;&nbsp;&nbsp;",
                    });
                }

                if(fuelType != "" && region != "" && rateType != "" && !isNaN(startPrice) && !isNaN(endingPrice) && !isNaN(priceChange) && !isNaN(perMileStart) && !isNaN(perMileChange) && !isNaN(basePercentage) && !isNaN(percentageChange) && customer != "" && customerFileName != ""){
                    $.ajax({
                        url: "{!! route('company.admin.fuel-surcharges.save') !!}",
                        method: "POST",
                        data: {
                            fuelType: fuelType,
                            region: region,
                            rateType: rateType,
                            startPrice: startPrice,
                            endingPrice: endingPrice,
                            priceChange: priceChange,
                            perMileStart: perMileStart,
                            perMileChange: perMileChange,
                            basePercentage: basePercentage,
                            percentageChange: percentageChange,
                            customer: customer,
                            customerFileName: customerFileName,
                        },
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        dataType: 'json',
                        success: function(response) {
                            if(response.success){
                                toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                            }else{
                                toastr.error(response.message, 'Error Alert', { timeOut: 5000 });
                            }
                        },
                        error: function () {
                            toastr.error('Oops! Something went wrong..', 'Error Alert', { timeOut: 5000 });
                        }
                    });
                }
            });

            $(document).on('dp.change', '#gasoline-comparison-date', function(e) {
                let selectedDate = moment(new Date($(this).val())).format('YYYY-MM-DD');
                let mondayDate = moment(moment(selectedDate).day(1)).format('YYYY-MM-DD');
                let lastWeekDate = '';

                if(selectedDate == mondayDate){
                    lastWeekDate = selectedDate;
                }else{
                    if(selectedDate > mondayDate){
                        lastWeekDate = moment(moment(selectedDate).add(1, 'weeks').day(1)).format('YYYY-MM-DD');
                    }else{
                        lastWeekDate = moment(moment(selectedDate).day(1)).format('YYYY-MM-DD');
                    }
                }
                setTimeout(function(){
                    printGasolineFuelData(currentWeekData, getComparisonFuelData(lastWeekDate));
                }, 100);
            });

           $(document).on('dp.change', '#diesel-comparison-date', function(e) {
               let selectedDate = moment(new Date($(this).val())).format('YYYY-MM-DD');
               let mondayDate = moment(moment(selectedDate).day(1)).format('YYYY-MM-DD');
               let lastWeekDate = '';

               if(selectedDate == mondayDate){
                   lastWeekDate = selectedDate;
               }else{
                   if(selectedDate > mondayDate){
                       lastWeekDate = moment(moment(selectedDate).add(1, 'weeks').day(1)).format('YYYY-MM-DD');
                   }else{
                       lastWeekDate = moment(moment(selectedDate).day(1)).format('YYYY-MM-DD');
                   }
               }
                setTimeout(function(){
                    printDieselFuelData(currentWeekData, getComparisonFuelData(lastWeekDate));
                }, 100);
            });

            $(document).on('click', '.region-map-url, .region-map-close', function () {
                if($('.map').hasClass('d-none')){
                    $('.map').removeClass('d-none');
                    $('.new-load').addClass('d-none');
                }else{
                    $('.map').addClass('d-none');
                    $('.new-load').removeClass('d-none');
                }
            });

            $('.tooltip_new').tooltip({
                content: function () {
                    return $(this).prop('title');
                },
                position: {
                    my: "left+15 top",
                    at: "right center"
                }
            });
        });
    </script>
@endsection
