@extends($companyAdminTheme)

@section('title')
    Gallery Document Names
@endsection

@section('style')
<link id="bsdp-css" href="https://unpkg.com/bootstrap-datepicker@1.9.0/dist/css/bootstrap-datepicker3.min.css" rel="stylesheet">
@endsection

@section('content')
<div class="table-control">
    <button class="green-btn create-btn" data-toggle="modal" data-target="#createModal">Add New</button>
</div>
<div class="white-box table-view">
    <h3 class="table-title">Document Names</h3>
    <div class="add-responsive">
        <table id="teamsTable" class="table data-table">
            <thead>
                <tr>
                    @foreach($getField as $key => $filed)
                      @if($filed == 1 && isset(config('settings.table_gallery_document_name')[$key]['name']))
                        <th>{{ config('settings.table_gallery_document_name')[$key]['name'] }}</th>
                      @endif
                    @endforeach
                </tr>
            </thead>
            <tbody>
            </tbody>
        </table>
    </div>
</div>

<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    {!! Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')) !!}
    <input type="hidden" name="table_id" value="weekly_fuel_surcharge" />

    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Adjust Table Columns</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <ul class="sortableList connected-sortable droppable-area1" id="sortable">
            @foreach($getField as $key => $filed)
                @if(isset(config('settings.table_gallery_document_name')[$key]['name']))
                  <li class="ui-state-default">
                      <div class="custom-control custom-checkbox">
                        <input type='hidden' value='0' name='field[{{ $key }}]'>
                        <input type="checkbox" class="custom-control-input" id="Check{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed == 1) checked @endif>
                        <label class="custom-control-label" for="Check{{ $key }}">{{ config('settings.table_gallery_document_name')[$key]['name'] }}</label>
                      </div>
                      <i class="fa fa-align-justify drag-icon"></i>
                  </li>
                @endif
            @endforeach


        </ul>

      </div>
      <div class="modal-footer">
        <button type="submit" class="btn btn-primary">Save</button>
      </div>
    </div>
    {!! Form::close() !!}
  </div>
</div>


<!-- Create Modal -->
@include('companyAdmin.galleryDocumentName.create')
<!-- Create Modal -->

<!-- Edit Modal -->
@include('companyAdmin.galleryDocumentName.edit')
<!-- Edit Modal -->

@endsection

@section('script')
<script src="https://unpkg.com/bootstrap-datepicker@1.9.0/dist/js/bootstrap-datepicker.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.form/4.3.0/jquery.form.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.18.1/moment.min.js"></script>
<script src="https://code.jquery.com/ui/1.13.1/jquery-ui.js"></script>
<script>



$('.storeForm').parsley();



var table = $('.data-table').DataTable({
    stateSave: true,
    bSortCellsTop: true,
    language: {
        search: "",
        searchPlaceholder: "Search...",
    },
    dom: "<'row cusotdiv'<'col-sm-5 col-md-6'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
    processing: true,
    serverSide: true,
    fixedHeader: true,
    ordering: false,
    pageLength: "{{ perPageView() }}",

    //order: [[0, "desc"]],
    ajax: "{{ route('company.admin.gallery-document-names.index') }}",
    columns: [
        <?php foreach($getField as $key => $filed): ?>
          <?php if($filed == 1): ?>
            <?php if(isset(config('settings.table_gallery_document_name')[$key]['name'])): ?>
                <?php if(config("settings.table_gallery_document_name")[$key]["orderable"] == 1 && config("settings.table_gallery_document_name")[$key]["searchable"] == 1): ?>
                  { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                <?php elseif(config("settings.table_gallery_document_name")[$key]["orderable"] == 1): ?>
                  { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                <?php elseif(config("settings.table_gallery_document_name")[$key]["searchable"] == 1): ?>
                  { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                <?php else: ?>
                  { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                <?php endif; ?>
            <?php endif; ?>
          <?php endif; ?>
        <?php endforeach; ?>


    ]
});

$('<button type="button" class="btn btn-primary ml-3" data-toggle="modal" data-target="#exampleModal">Columns</button>').appendTo(".dataTables_filter");

$(document).ready(function() {
    $('.data-table thead tr').clone(true).appendTo('.data-table thead');
    $('.data-table thead tr:eq(1) th').each( function (i) {
        console.log();
        var title = $(this).text();
        var getClass = $(this).attr("class");
        if(getClass == 'sorting'){
          var search_value = table.column(i).search();
          $(this).html( '<input type="text" value="'+search_value+'" placeholder=" Search '+title+'" class="sercol" onclick="stopPropagation(event);" />' );

          $( 'input,select', this ).on( 'keyup change', function () {
              if ( table.column(i).search() !== this.value ) {
                  table
                      .column(i)
                      .search( this.value )
                      .draw();
              }
          });
        }else{
          $(this).html('');
        }


    });
});

$( function() {
  $("#sortable").sortable();
} );


    $(document).ready(function(){
	    $('#weeklyDate').datepicker({
	        calendarWeeks: true,
	        todayHighlight: true,
	    }).on("changeDate", function (e) {
	    	var date = moment(e.date).format(dateLayout);
		    $('.date').val(date);
		});
    });

    $(".storeForm").ajaxForm({
		complete: function (response) {
            if (response.responseJSON.success) {
                window.location.href = window.location.href;
            } else {
                $('.error').text('');
                $.each( response.responseJSON.errors, function( key, value ) {
                    var key = key.replace(/\./g, '_');
                    $.each( value , function( skey, svalue ) {
                        $('.'+key+'_error').text(svalue);
                    });
                });
            }
        },
    });

    $("body").on("click", ".create-btn", function () {
        $(".storeForm").trigger("reset");
        $(".storeForm").find(".date").val('');
        $(".storeForm").find(".error").text('');
    });

    $("body").on("click", ".edit-btn", function () {
        var token = $('meta[name="csrf-token"]').attr('content');
        var id = $(this).data('id');

        $.ajax({
            url: "/company-admin/gallery-document-names/edit/form/view",
            method: "POST",
            data: { _token : token , id : id },
            success: function(response) {
                $('#editModal').find('.append-form').html(response.view);
                $('.updateForm').parsley();
                $(".updateForm").ajaxForm({
                    complete: function (response) {
                        if (response.responseJSON.success) {
                            window.location.href = window.location.href;
                        } else {
                            $('.error').text('');
                            $.each( response.responseJSON.errors, function( key, value ) {
                                var key = key.replace(/\./g, '_');
                                $.each( value , function( skey, svalue ) {
                                    $('.'+key+'_error').text(svalue);
                                });
                            });
                        }
                    },
                });

            }
        });
    });
</script>
@endsection
