@extends($companyAdminTheme)

@section('title')
    Edit Insurance Profile
@endsection

@section('header-title')
    Edit Insurance Profile
@endsection

@section('style')
    <link rel="stylesheet" href="{{ asset('theme/css/datepicker3.min.css') }}">
    <link rel="stylesheet" href="{{ asset('theme/css/select2.min.css') }}">
    <style type="text/css">
        .modal-xl {
            max-width: 1720px;
        }
        .addMoreProfileRows i.fa-plus-square {
            padding-top: 2px;
            margin: 2px 10px;
            cursor: pointer;
            font-size: 32px;
            color: #305F9C;
        }
        .removeMoreProfileRows i.fa-minus-square {
            padding-top: 2px;
            margin: 2px 10px;
            cursor: pointer;
            font-size: 32px;
            color: #dc3545;
        }
        .insuranceFile i.fa-picture-o {
            padding-top: 7px;
            margin: 2px 10px;
            cursor: pointer;
            font-size: 26px;
            color: #00000082;
        }
        .form-group img {
            width: 15px;
        }
        .input-group-text {
            background: transparent;
            border-radius: 10px 0px 0px 10px;
            color: #342828;
            padding: 4px 14px;
            font-family: 'Inter', sans-serif;
        }
        .border-radius-none {
            border-radius: 0px 10px 10px 0px !important;
        }
         hr {
            border-color: #D8D8D9 !important;
        }
        .ins-modal-custom-grid {
            max-width: 18.50%;
        }
        .select2-container {
            width: 100% !important;
        }
        .select2-container .select2-selection--single {
            height: 43px !important;
            border-radius: 10px !important;
            border: 1px solid #D8D8DD !important;
        }
        .select2-container--default .select2-selection--single {
            border: 1px solid #C5CEE0;
        }
        .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 40px !important;
        }
        .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 40px;
            width: 35px;
        }
        .select2-container .select2-selection--single .select2-selection__rendered {
            padding-left: 12px;
            font-weight: 600;
            color: #000000e6 !important;
        }
        .select2-container .select2-search__field::placeholder {
            font-size: 14px;
            font-weight: 500;
        }
        input[type=text].form-control {
            font-size: 14px;
            font-weight: bolder;
            border: 1px solid #D8D8DD;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding: 0px 12px;
            height: 43px;
        }
        input::placeholder {
            font-weight: 200;
            color: #616376 !important;
        }
        select.form-control {
            font-size: 14px;
            border: 1px solid #C5CEE0;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding-left: 12px;
            font-weight: 400;
            color: #616376;
        }
        label {
            font-size: 14px;
            line-height: 1.215;
            font-weight: bold;
            color: #616376;
            margin-bottom: 8px;
        }
        .input-group>.custom-select:not(:last-child), .input-group>.form-control:not(:last-child) {
            border-top-right-radius: 10px;
            border-bottom-right-radius: 10px;
        }
        .btn-blue {
            background: #305F9C 0% 0% no-repeat padding-box;
            border: 1px solid #305F9C;
            border-radius: 10px !important;
            color: #F1F3F6;
            line-height: 18px;
            text-align: center;
            padding: 12.5px 0.75rem;
            transition: all 0.3s linear;
            min-width: 210px;
        }
        .btn-blue:hover {
            border: 1px solid #305F9C;
            background-color: #F1F3F6;
            color: #305F9C;
        }
        .btn-blueBr {
            font-size: 14px;
            font-weight: bold;
            height: auto;
            line-height: 18px;
            text-align: center;
            padding: 12.5px 0.75rem;
            transition: all 0.3s linear;
            border-radius: 10px !important;
            min-width: 210px;
        }
    </style>
@endsection

@section('content')
{!! Form::open(array('route' => ['company.admin.insurance-profiles.update', $insuranceProfile->id],'method'=>'PATCH','files'=>'true','class'=>'post-form')) !!}
    <input type="hidden" name="company_id" value="{{ auth()->guard('company-admin')->user()->company_id }}" />
    <div class="row px-4 py-3">
        <div class="col-md-3" style="max-width: 19.25%;">
            <label for="profile-name" class="mb-1">Insurance Profile Name</label>
            <div class="form-group">
                {!! Form::text('profile_name', $insuranceProfile->profile_name ?? null, array('class' => 'form-control', 'placeholder' => 'Enter Profile Name', 'required' => 'required')) !!}
            </div>
        </div>
    </div>
    <div class="row px-4">
        <div class="col-md-3 ins-modal-custom-grid pr-1">
            <label for="insurance-types" class="mb-1">Type</label>
        </div>
        <div class="col-md-3 ins-modal-custom-grid pl-1 pr-1">
            <label for="policy-number" class="mb-1">Policy No.</label>
        </div>
        <div class="col-md-3 ins-modal-custom-grid pl-1 pr-1">
            <label for="value" class="mb-1">Value</label>
        </div>
        <div class="col-md-3 ins-modal-custom-grid pl-1 pr-1">
            <label for="date-added" class="mb-1">Date Added</label>
        </div>
        <div class="col-md-3 ins-modal-custom-grid pl-1 pr-1">
            <label for="expiration-date" class="mb-1">Expiration Date</label>
        </div>
        <div class="pl-1">
            <label class="mb-1"></label>
        </div>
    </div>
    <hr class="my-0" />

    @if(count($insuranceProfile->insurance_types) > 0)
        @foreach($insuranceProfile->insurance_types as $insuranceTypes)
            @if($loop->first)
                <div class="row px-4 pt-3">
                    <div class="col-md-3 ins-modal-custom-grid pr-1">
                        <div class="form-group">
                            {!! Form::select('insurance_types[]', ['' => 'Select Insurance Type'] + getCompanyInsuranceTypes(), $insuranceTypes, ['class' => 'form-control select2']) !!}
                        </div>
                    </div>
                    <div class="col-md-3 ins-modal-custom-grid pl-1 pr-1">
                        <div class="form-group">
                            {!! Form::text('policy_number[]', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
                        </div>
                    </div>
                    <div class="col-md-3 ins-modal-custom-grid pl-1 pr-1">
                        <div class="form-group">
                            <div class="input-group">
                                <div class="input-group-prepend readonly-input">
                                    <span class="input-group-text">$</span>
                                </div>
                                {!! Form::text('value[]', null, array('class' => 'form-control border-radius-none', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
                            </div>
                        </div>
                    </div>
                    <div class="col-md-3 ins-modal-custom-grid pl-1 pr-1">
                        <div class="form-group">
                            <div class="input-group">
                                {!! Form::text('date_added[]', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
                                <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                            </div>
                        </div>
                    </div>
                    <div class="col-md-3 ins-modal-custom-grid pl-1 pr-1">
                        <div class="form-group">
                            <div class="input-group">
                                {!! Form::text('expiration_date[]', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
                                <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                            </div>
                        </div>
                    </div>
                    <div class="pl-1">
                        <div class="form-group d-flex">
                            <div>
                                <a href="javascript:void(0);" class="insuranceFile">
                                    <i class="fa fa-picture-o" aria-hidden="true" title="Insurance File"></i>
                                </a>
                            </div>
                            @if($loop->last)
                                <div>
                                    <a href="javascript:void(0);" class="addMoreProfileRows">
                                        <i class="fa fa-plus-square" aria-hidden="true"></i>
                                    </a>
                                </div>
                            @else
                                <div>
                                    <a href="javascript:void(0);" class="removeMoreProfileRows">
                                        <i class="fa fa-minus-square" aria-hidden="true"></i>
                                    </a>
                                </div>
                            @endif
                        </div>
                    </div>
                </div>
            @endif
        @endforeach
        <div id="insuranceProfileMoreRows">
            @foreach($insuranceProfile->insurance_types as $insuranceTypes)
                @if(!$loop->first)
                    <div class="row px-4 pt-3">
                        <div class="col-md-3 ins-modal-custom-grid pr-1">
                            <div class="form-group">
                                {!! Form::select('insurance_types[]', ['' => 'Select Insurance Type'] + getCompanyInsuranceTypes(), $insuranceTypes, ['class' => 'form-control select2']) !!}
                            </div>
                        </div>
                        <div class="col-md-3 ins-modal-custom-grid pl-1 pr-1">
                            <div class="form-group">
                                {!! Form::text('policy_number[]', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
                            </div>
                        </div>
                        <div class="col-md-3 ins-modal-custom-grid pl-1 pr-1">
                            <div class="form-group">
                                <div class="input-group">
                                    <div class="input-group-prepend readonly-input">
                                        <span class="input-group-text">$</span>
                                    </div>
                                    {!! Form::text('value[]', null, array('class' => 'form-control border-radius-none', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
                                </div>
                            </div>
                        </div>
                        <div class="col-md-3 ins-modal-custom-grid pl-1 pr-1">
                            <div class="form-group">
                                <div class="input-group">
                                    {!! Form::text('date_added[]', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
                                    <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                </div>
                            </div>
                        </div>
                        <div class="col-md-3 ins-modal-custom-grid pl-1 pr-1">
                            <div class="form-group">
                                <div class="input-group">
                                    {!! Form::text('expiration_date[]', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
                                    <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                </div>
                            </div>
                        </div>
                        <div class="pl-1">
                            <div class="form-group d-flex">
                                <div>
                                    <a href="javascript:void(0);" class="insuranceFile">
                                        <i class="fa fa-picture-o" aria-hidden="true" title="Insurance File"></i>
                                    </a>
                                </div>
                                @if($loop->last)
                                    <div>
                                        <a href="javascript:void(0);" class="addMoreProfileRows">
                                            <i class="fa fa-plus-square" aria-hidden="true"></i>
                                        </a>
                                    </div>
                                @else
                                    <div>
                                        <a href="javascript:void(0);" class="removeMoreProfileRows">
                                            <i class="fa fa-minus-square" aria-hidden="true"></i>
                                        </a>
                                    </div>
                                @endif
                            </div>
                        </div>
                    </div>
                @endif
            @endforeach
        </div>
    @else
        <div class="row pt-2">
            <div class="col-md-3 ins-modal-custom-grid pr-1">
                <div class="form-group">
                    {!! Form::select('insurance_types[]', ['' => 'Select Insurance Type'] + getCompanyInsuranceTypes(), null, ['class' => 'form-control select2']) !!}
                </div>
            </div>
            <div class="col-md-3 ins-modal-custom-grid pl-1 pr-1">
                <div class="form-group">
                    {!! Form::text('policy_number[]', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
                </div>
            </div>
            <div class="col-md-3 ins-modal-custom-grid pl-1 pr-1">
                <div class="form-group">
                    <div class="input-group">
                        <div class="input-group-prepend readonly-input">
                            <span class="input-group-text">$</span>
                        </div>
                        {!! Form::text('value[]', null, array('class' => 'form-control border-radius-none', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
                    </div>
                </div>
            </div>
            <div class="col-md-3 ins-modal-custom-grid pl-1 pr-1">
                <div class="form-group">
                    <div class="input-group">
                        {!! Form::text('date_added[]', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                    </div>
                </div>
            </div>
            <div class="col-md-3 ins-modal-custom-grid pl-1 pr-1">
                <div class="form-group">
                    <div class="input-group">
                        {!! Form::text('expiration_date[]', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                    </div>
                </div>
            </div>
            <div class="pl-1">
                <div class="form-group d-flex">
                    <div>
                        <a href="javascript:void(0);" class="insuranceFile">
                            <i class="fa fa-picture-o" aria-hidden="true" title="Insurance File"></i>
                        </a>
                    </div>
                    <div>
                        <a href="javascript:void(0);" class="addMoreProfileRows">
                            <i class="fa fa-plus-square" aria-hidden="true"></i>
                        </a>
                    </div>
                </div>
            </div>
        </div>
        <div id="insuranceProfileMoreRows"></div>
    @endif
    <div class="text-center mt-4">
        <a href="{{ route('company.admin.insurance-profiles.index') }}" class="btn btn-blueBr mr-2">Cancel</a>
        <button type="submit" class="btn btn-blue ml-2" id="insurance-profile-save">Update</button>
    </div>
{!! Form::close() !!}
@endsection

@section('script')
    <script src="{{ asset('theme/js/select2.full.min.js') }}"></script>
    <script type="text/javascript">
        $(function (){
            $('.post-form').parsley();

            $(".select2").select2({ width: '100%' });

            $(document).on('click', '.addMoreProfileRows', function (){
                $(this).parent().html('<a href="javascript:void(0);" class="removeMoreProfileRows"><i class="fa fa-minus-square" aria-hidden="true"></i></a>');

                let insuranceProfileHtml = '';

                insuranceProfileHtml += '<div class="row px-4 pt-3">';
                insuranceProfileHtml += '<div class="col-md-3 ins-modal-custom-grid pr-1">';
                insuranceProfileHtml += '<div class="form-group">';
                insuranceProfileHtml += '{!! Form::select('insurance_types[]', ['' => 'Select Insurance Type'] + getCompanyInsuranceTypes(), null, ['class' => 'form-control select2']) !!}';
                insuranceProfileHtml += '</div>';
                insuranceProfileHtml += '</div>';
                insuranceProfileHtml += '<div class="col-md-3 ins-modal-custom-grid pl-1 pr-1">';
                insuranceProfileHtml += '<div class="form-group">';
                insuranceProfileHtml += '{!! Form::text('policy_number', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}';
                insuranceProfileHtml += '</div>';
                insuranceProfileHtml += '</div>';
                insuranceProfileHtml += '<div class="col-md-3 ins-modal-custom-grid pl-1 pr-1">';
                insuranceProfileHtml += '<div class="form-group">';
                insuranceProfileHtml += '<div class="input-group">';
                insuranceProfileHtml += '<div class="input-group-prepend readonly-input">';
                insuranceProfileHtml += '<span class="input-group-text">$</span>';
                insuranceProfileHtml += '</div>';
                insuranceProfileHtml += '{!! Form::text('value', null, array('class' => 'form-control border-radius-none', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}';
                insuranceProfileHtml += '</div>';
                insuranceProfileHtml += '</div>';
                insuranceProfileHtml += '</div>';
                insuranceProfileHtml += '<div class="col-md-3 ins-modal-custom-grid pl-1 pr-1">';
                insuranceProfileHtml += '<div class="form-group">';
                insuranceProfileHtml += '<div class="input-group">';
                insuranceProfileHtml += '{!! Form::text('date_added', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}';
                insuranceProfileHtml += '<img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">';
                insuranceProfileHtml += '</div>';
                insuranceProfileHtml += '</div>';
                insuranceProfileHtml += '</div>';
                insuranceProfileHtml += '<div class="col-md-3 ins-modal-custom-grid pl-1 pr-1">';
                insuranceProfileHtml += '<div class="form-group">';
                insuranceProfileHtml += '<div class="input-group">';
                insuranceProfileHtml += '{!! Form::text('expiration_date', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}';
                insuranceProfileHtml += '<img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">';
                insuranceProfileHtml += '</div>';
                insuranceProfileHtml += '</div>';
                insuranceProfileHtml += '</div>';
                insuranceProfileHtml += '<div class="pl-1">';
                insuranceProfileHtml += '<div class="form-group d-flex">';
                insuranceProfileHtml += '<div>';
                insuranceProfileHtml += '<a href="javascript:void(0);" class="insuranceFile">';
                insuranceProfileHtml += '<i class="fa fa-picture-o" aria-hidden="true" title="Insurance File"></i>';
                insuranceProfileHtml += '</a>';
                insuranceProfileHtml += '</div>';
                insuranceProfileHtml += '<div>';
                insuranceProfileHtml += '<a href="javascript:void(0);" class="addMoreProfileRows">';
                insuranceProfileHtml += '<i class="fa fa-plus-square" aria-hidden="true"></i>';
                insuranceProfileHtml += '</a>';
                insuranceProfileHtml += '</div>';
                insuranceProfileHtml += '</div>';
                insuranceProfileHtml += '</div>';
                insuranceProfileHtml += '</div>';

                $('#insuranceProfileMoreRows').append(insuranceProfileHtml);
                $(".select2").select2({ width: '100%' });
            });

            $(document).on('click', '.removeMoreProfileRows', function (){
                $(this).parent().parent().parent().parent().remove();
            });
        });
    </script>
@endsection
