@extends($companyAdminTheme)

@section('title')
    Leave Type
@endsection

@section('header-title')
    New Leave Type
@endsection

@section('style')

<link rel="stylesheet" type="text/css" href="{{ asset('theme/css/datepicker3.min.css') }}">
<link rel="stylesheet" href="{{ asset('theme/css/bootstrap-datetimepicker.min.css') }}">

<style type="text/css">
    .boxcolor .bcodcoe {height: 25px;width: 25px;margin: 3px;cursor: pointer;border-radius: 32px;}
</style>

@endsection

@section('content')
{!! Form::open(array('route' => 'company.admin.leave-type.store','method'=>'POST','files'=>'true')) !!}
    
<div class="row">
    <div class="col-lg-12">
        <div class="white-box mb-4 generalAccount">
            <h4 class="box-title">Holiday Information</h4>
            <div class="box-padding">
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label>Name<span>*</span></label>
                            {!! Form::text('name', old('name'), array('class' => 'form-control', 'autocomplete' => 'new','required' => 'required')) !!}
                            @error('name')
                                <span class="text-danger" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                        <div class="form-group mb-4">
                            <label>Allowance days per year<span>*</span></label>
                            {!! Form::select('days_per_year', ['' => 'Select Allowance days per year']+getDaysPerYear(), null, ['class' => 'custom-select form-control', 'required' => 'required']) !!}
                            @error('days_per_year')
                                <span class="text-danger" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                        <div class="form-group">
                            <div class="row mb-3">
                                <div class="col-md-10">
                                    <label>Half day request</label>
                                </div>
                                <div class="col-md-2">
                                    <div class="custom-control custom-switch">
                                        {!! Form::checkbox('half_day_request', 1, null, array('class' => 'custom-control-input', 'id' => 'allowLogin')) !!}
                                        <label class="custom-control-label" for="allowLogin"></label>
                                    </div>
                                </div>
                            </div>
                            <div class="row mb-3">
                                <div class="col-md-10">
                                    <label>Register in the past</label>
                                </div>
                                <div class="col-md-2">
                                    <div class="custom-control custom-switch">
                                        {!! Form::checkbox('register_in_the_past', 1, null, array('class' => 'custom-control-input', 'id' => 'allowLogin2')) !!}
                                        <label class="custom-control-label" for="allowLogin2"></label>
                                    </div>
                                </div>
                            </div>
                            <div class="row mb-3">
                                <div class="col-md-10">
                                    <label>Enforce allowance</label>
                                </div>
                                <div class="col-md-2">
                                    <div class="custom-control custom-switch">
                                        {!! Form::checkbox('enforce_allowance', 1, null, array('class' => 'custom-control-input', 'id' => 'allowLogin3')) !!}
                                        <label class="custom-control-label" for="allowLogin3"></label>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                    
                    <div class="col-md-6">
                        <div class="form-group">
                            <label>Leave Type Color<span>*</span></label>
                            <div class="boxcolor">
                                @php $i=0; @endphp
                                @foreach(getColorCode() as $code)
                                <label for="cbox{{$i}}" class="bcodcoe" style="background-color:{{$code}}">
                                    <input type="radio" name="color" value="{{$code}}" id="cbox{{$i}}">
                                </label>
                                @php $i++; @endphp
                                @endforeach
                            </div>
                        </div>
                        <div class="form-group">
                            <label>Description</label>
                            {!! Form::textarea('description', old('description'), array('placeholder' => 'Type your note...', 'class' => 'textarea form-control', 'rows' => '5')) !!}
                        </div>
                    </div>
                    
                </div>
            </div>
        </div>
    </div>
    
</div>
<div class="button-bottom">
    <a href="{{ route('company.admin.leave-type.index') }}" class="cancel-btn">Cancel</a>
    <button class="submit-btn">Submit</button>
</div>
    
{!! Form::close() !!}
@endsection

@section('script')
<script src="{{ asset('theme/js/moment.min.js') }}"></script>
<script src="{{ asset('theme/js/bootstrap-datetimepicker.min.js') }}"></script>

<script type="text/javascript">
    $('.store-form').parsley();
    $('.boxcolor input[name="color"]').click(function() {
      $(this).parent().addClass('active').siblings('label').removeClass('active')
    });
</script>
@endsection
