@extends($companyAdminTheme)

@section('title')
    Apply For Leave
@endsection

@section('style')
<link rel="stylesheet" href="{{ asset('theme/css/daterangepicker.css') }}">
<style type="text/css">
    .yenot-btn {border: 1px solid #ddd;background-color: #fff;width: 100%;margin-top: 15px;border-radius: 10px;}
    .yenot-btn:hover {background-color: #eee;}
    
</style>

@endsection

@section('content')
<div class="row mb-4">
    <div class="col-md-6">
        <h3 class="table-title">Pending Approval Leave</h3>
    </div>
   <div class="col-md-6">
      <div class="dropdown date-selection dowpdowdate">
          <div id="reportrange" style="background: #fff; cursor: pointer; padding: 5px 10px; border: 1px solid #ccc; width: 100%">
             <i class="fa fa-calendar"></i>&nbsp;
             <span></span> <i class="fa fa-caret-down"></i>
         </div>
       </div>
   </div>
</div>
<div class="row append-view">

           

</div>         

<div class="modal fade teamModal-2 blank-modal-body" id="takeADecisionModal" tabindex="-1" aria-labelledby="takeADecisionModal" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="takeADecisionModal">Take A Decision</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="append-leave-view">
                
            </div>
        </div>
    </div>
</div>

@endsection

@section('script')
<script src="{{ asset('theme/js/daterangepicker.min.js') }}"></script>
<script src="{{ asset('theme/js/jquery.form.min.js') }}"></script>
<script type="text/javascript">

    $(function () {

        var start = moment().startOf('month');
        var end = moment().endOf('month');
        var token = $('meta[name="csrf-token"]').attr('content');

        function cb(start, end) {
            $('#reportrange span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'));

            var start_date = start.format('MM/DD/YYYY');
            var end_date = end.format('MM/DD/YYYY');
            chartAccount(start_date, end_date);
        }

        $('#reportrange').daterangepicker({
            startDate: start,
            endDate: end,
            ranges: {
                'Today': [moment(), moment()],
                'Yesterday': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                'Last 7 Days': [moment().subtract(6, 'days'), moment()],
                'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                'This Month': [moment().startOf('month'), moment().endOf('month')],
                'Last Month': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')],
                'Last Year': [moment().subtract(1, 'year').startOf('year'), moment().subtract(1, 'year').endOf('year')]
            }
        }, cb);

        cb(start, end);

        function chartAccount(start_date, end_date) {
            $(".append-view").html('<div class="loadingdiv"><img src="' + loadimg + '" /></div>');
            $.ajax({
                url: "{{ route('company.admin.leaves.index') }}",
                method: 'GET',
                data: {_token: token, start_date: start_date, end_date: end_date},
                dataType: 'json',
                success: function (response) {
                    $('.append-view').html(response.view);
                }
            });
        }
    });

    $("body").on("click", ".take-decision", function () {
        $('#takeADecisionModal').find('.append-view').html('');
        var token = $('meta[name="csrf-token"]').attr('content');
        var leave_id = $(this).data('leave-id');

        $.ajax({
            url: "{{ route('company.admin.leave.take.decision') }}",
            method: "GET",
            data: { _token : token , id : leave_id },
            success: function(response) {
                $('#takeADecisionModal').find('.append-leave-view').html(response.view);
            }
        });
    });

</script>
@endsection