@php
    $owner_liable                               = $item->owner_liable;
    $owner_type                                 = $item->owner_type;
    $owner_id                                   = $item->owner_id;
    $owner_pay_deduct                           = $item->owner_pay_deduct;
    $owner_qty                                  = $item->owner_qty;
    $owner_rate                                 = $item->owner_rate;
    $owner_total                                = $item->owner_total;

    $driver_liable                              = $item->driver_liable;
    $driver_id                                  = $item->driver_id;
    $pay_deduct                                 = $item->pay_deduct;
    $is_deduction                               = $item->is_deduction;
    $driver_qty                                 = $item->driver_qty;
    $driver_rate                                = $item->driver_rate;
    $driver_total                               = $item->driver_total;
@endphp
@if(isset($item->temp_details) && is_serialized($item->temp_details) && !empty(unserialize($item->temp_details)))
    @php
        $temp_details                           = unserialize($item->temp_details);
    @endphp
    @if(isset($temp_details['owner_id']))
        @php
            $owner_type                         = $temp_details['owner_type'];
            $owner_id                           = $temp_details['owner_id'];
        @endphp
    @else
        @php
            $owner_liable                       = 0;
            $owner_id                           = null;
            $owner_type                         = null;
            $owner_pay_deduct                   = 1;
            $owner_qty                          = null;
            $owner_rate                         = null;
            $owner_total                        = null;
        @endphp
    @endif
    @if(isset($temp_details['driver_id']))
        @php
            $driver_id                          = $temp_details['driver_id'];
        @endphp
    @else
        @php
            $driver_liable                      = 0;
            $driver_id                          = null;
            $pay_deduct                         = 1;
            $is_deduction                       = 0;
            $driver_qty                         = null;
            $driver_rate                        = null;
            $driver_total                       = null;
        @endphp
    @endif
@endif

@php
    $truck_owner_id                             = '';
    if($owner_id!=''){
        $truck_owner_id                         = $owner_type.'_'.$owner_id;
    }
    $status                                     = isset($temp_details['status'])?$temp_details['status']:$item->status;
@endphp

@if($status=='1')
    @php
        $status_txt                             = 'Completed';
    @endphp
@elseif($status=='2')
    @php
        $status_txt                             = 'Driver Bypass';
    @endphp
@else
    @php
        $status_txt                             = 'Pending';
    @endphp
@endif
<tr
    data-temp="{{ $temp }}"

    data-id="{{ $item->id }}"
    data-company_accessorial_id="{{ $item->company_accessorial_id }}"
    data-company_accessorial_name="{{ $item->company_accessorial->name ?? '' }}"
    data-paid_by="{{ $item->paid_by }}"
    data-charge_deduct="{{ $item->charge_deduct }}"
    data-paid_type="{{ $item->paid_type }}"

    data-qty="{{ $item->qty }}"
    data-rate="{{ $item->rate }}"
    data-total="{{ $item->total }}"

    data-owner_liable="{{ $owner_liable }}"
    data-owner_type="{{ $owner_type }}"
    data-owner_id="{{ $owner_id }}"
    data-truck_owner_id="{{ $truck_owner_id }}"
    data-owner_pay_deduct="{{ $owner_pay_deduct }}"
    data-owner_qty="{{ $owner_qty }}"
    data-owner_rate="{{ $owner_rate }}"
    data-owner_total="{{ $owner_total }}"

    data-driver_liable="{{ $driver_liable }}"
    data-driver_id="{{ $driver_id }}"
    data-pay_deduct="{{ $pay_deduct }}"
    data-is_deduction="{{ $is_deduction }}"
    data-driver_qty="{{ $driver_qty }}"
    data-driver_rate="{{ $driver_rate }}"
    data-driver_total="{{ $driver_total }}"

    data-doc_required="{{ $item->doc_required }}"
    data-is_received="{{ $item->is_received }}"
    data-status="{{ $status }}"
    >
	<td class="status">
        {{ $status_txt }}
    </td>
    <td>{{ $item->company_accessorial->name ?? '' }}</td>
    <td class="qty">{{ $item->qty ?? '' }}</td>
    <td class="rate">{{ isset($item->rate)?'$'.number_format((float)$item->rate, 2, '.', ','):''}}</td>
    <td class="total">{{ isset($item->total)?'$'.number_format((float)$item->total, 2, '.', ','):''}}</td>
    @if($item->doc_required=='0')
        <td class="is_received"></td>
        <td class="text-right">
            <a href="javascript:void(0);" class="editCircle-link accessorial-edit" data-id="{{ $item->id }}" data-temp="{{ $temp }}">
                <i class="fa fa-pencil" aria-hidden="true"></i>
            </a>
            <a href="javascript:void(0);" class="deleteCircle-link accessorial-delete" data-id="{{ $item->id }}" data-temp="{{ $temp }}">
                <i class="fa fa-trash" aria-hidden="true"></i>
            </a>
        </td>
    @else
        <td class="is_received">
            <div class="custom-control custom-checkbox d-inline-block text-left">
                <input type="checkbox" class="custom-control-input" id="is_received_{{ $item->id }}_{{ $temp }}" {{ ($item->is_received=="1")? "checked" : "" }} onclick="return false">
                <label class="custom-control-label" for="is_received_{{ $item->id }}_{{ $temp }}"></label>
            </div>
        </td>
        <td class="text-right">
            @if($item->is_received=="1")
                <a
                    href="javascript:void(0);"
                    class="a-link list-file-upload gallary-edit"
                    data-temp="{{ $temp }}"
                    data-id="{{ $item->id }}"
                    data-source="{{ $temp==0?'load_accessorials':'load_accessorial_temps' }}"
                    data-field="accessorial_files"
                    data-toggle="modal"
                    data-target="#galleryModal"
                    data-upload-status="1">
                    View
                </a>
            @else
                <a
                    href="javascript:void(0);"
                    class="a-link list-file-upload gallary-edit"
                    data-temp="{{ $temp }}"
                    data-id="{{ $item->id }}"
                    data-source="{{ $temp==0?'load_accessorials':'load_accessorial_temps' }}"
                    data-field="accessorial_files"
                    data-toggle="modal"
                    data-target="#galleryModal"
                    data-upload-status="0">
                    Upload
                </a>
            @endif
            <a href="javascript:void(0);" class="editCircle-link accessorial-edit" data-id="{{ $item->id }}" data-temp="{{ $temp }}">
                <i class="fa fa-pencil" aria-hidden="true"></i>
            </a>
            <a href="javascript:void(0);" class="deleteCircle-link accessorial-delete" data-id="{{ $item->id }}" data-temp="{{ $temp }}">
                <i class="fa fa-trash" aria-hidden="true"></i>
            </a>
        </td>
    @endif
</tr>