@php
	$timezone_abbr 							= isset($formData['timezone_abbr']) ? $formData['timezone_abbr'] : '';
	$bracket 								= '';
	if($timezone_abbr!=''){
		$bracket 							= '('.$timezone_abbr.')';
	}else{
		$timezone_abbr 						= \Carbon\Carbon::now()->timezone($getGeoTimeZone)->format('T');
		$bracket 							= '('.$timezone_abbr.')';
	}
@endphp

@if(isset($detention))
	@php
		$detention_status 					= isset($detention->detention_status) ? $detention->detention_status : 0;
		$review_status 						= isset($detention->review_status) ? $detention->review_status : 'In Progress';

		$driver_comment_show_to_broker 		= isset($detention->driver_comment_show_to_broker) ? $detention->driver_comment_show_to_broker : 0;
		$driver_comment 					= isset($detention->driver_comment) ? $detention->driver_comment : '';
		$reviewer_comment_show_to_broker 	= isset($detention->reviewer_comment_show_to_broker) ? $detention->reviewer_comment_show_to_broker : 0;
		$reviewer_comment 					= isset($detention->reviewer_comment) ? $detention->reviewer_comment : '';
		$billing_comment_show_to_broker 	= isset($detention->billing_comment_show_to_broker) ? $detention->billing_comment_show_to_broker : 0;
		$comment 							= isset($detention->comment) ? $detention->comment : '';

		$free_time 							= isset($detention->free_time) ? $detention->free_time : $broker->detention_time;
		$billed_time 						= isset($detention->billed_time) ? $detention->billed_time : '';
		$is_billed_time 					= isset($detention->billed_time) ? '1' : '0';
		$adjusted_billed_time 				= isset($detention->adjusted_billed_time) ? $detention->adjusted_billed_time : '';
		$rate 								= isset($detention->rate) ? formatNumberWithoutZeros($detention->rate) : '';
		$broker_detention_price 			= isset($broker->detention_price) ? formatNumberWithoutZeros($broker->detention_price) : '';
		$adjusted_rate 						= isset($detention->adjusted_rate) ? formatNumberWithoutZeros($detention->adjusted_rate): $broker_detention_price;
		$detention_due 						= isset($detention->detention_due) ? formatNumberWithoutZeros($detention->detention_due) : '';
		$adjusted_detention_due 			= isset($detention->adjusted_detention_due) ? formatNumberWithoutZeros($detention->adjusted_detention_due) : '';

		$reviewer_comment_rows 				= 5;
		if($detention_status==1){
			if(in_array($review_status,[
				'In Progress - Acknowledged',
				'In Progress - Acknowledged - Sent to broker',
				'In Progress - Acknowledged - Seen by broker'
			])){
				$reviewer_comment_rows		= 7;
			}
		}else{
			$reviewer_comment_rows 			= 7;
		}

		$is_send_to_broker 					= isset($detention->is_send_to_broker) ? $detention->is_send_to_broker:0;
		$is_send_to_broker_disabled 		= '';
		if($is_send_to_broker=='1'){
			if(in_array($review_status,[
				'In Progress - Acknowledged - Sent to broker',
				'In Progress - Acknowledged - Seen by broker',
				'In Progress - Sent to broker',
				'Pending Broker Review',
				'Broker Amendment Request',
				'Broker Denied Request'
			])){
				$is_send_to_broker_disabled = 'disabled';
			}
		}
	@endphp

	@php
		$detention_arrival_time 			= isset($detention->detention_arrival_time) ? convertTimeToUSERzone([
			'str' 							=> $detention->detention_arrival_time,
			'toFormat' 						=> getTimeLayout(),
			'fromFormat' 					=> 'Y-m-d H:i:s',
			'abbr' 							=> $timezone_abbr
		]) : '';
		$detention_start_time 				= isset($detention->detention_start_time) ? convertTimeToUSERzone([
			'str' 							=> $detention->detention_start_time,
			'toFormat' 						=> getTimeLayout(),
			'fromFormat' 					=> 'Y-m-d H:i:s',
			'abbr' 							=> $timezone_abbr
		]) : '';
		$detention_end_time 				= isset($detention->detention_end_time) ? convertTimeToUSERzone([
			'str' 							=> $detention->detention_end_time,
			'toFormat' 						=> getTimeLayout(),
			'fromFormat' 					=> 'Y-m-d H:i:s',
			'abbr' 							=> $timezone_abbr
		]) : '';
	@endphp
	@if($detention_arrival_time == '')
		@if($detention->is_stop==1)
			@php
				$detention_arrival_time 	= isset($detention->stop->arrived_at) ? convertTimeToUSERzone([
					'str' 					=> $detention->stop->arrived_at,
					'toFormat' 				=> getTimeLayout(),
					'fromFormat' 			=> 'Y-m-d H:i:s',
					'abbr' 					=> $timezone_abbr
				]) : '';
			@endphp
		@else
			@if($detention->type==1)
				@php
					$detention_arrival_time = isset($detention->load_detail->shipper_arrived_at) ? convertTimeToUSERzone([
						'str' 				=> $detention->load_detail->shipper_arrived_at,
						'toFormat' 			=> getTimeLayout(),
						'fromFormat' 		=> 'Y-m-d H:i:s',
						'abbr' 				=> $timezone_abbr
					]) : '';
				@endphp
			@else
				@php
					$detention_arrival_time = isset($detention->load_detail->delivery_arrived_at) ? convertTimeToUSERzone([
						'str' 				=> $detention->load_detail->delivery_arrived_at,
						'toFormat' 			=> getTimeLayout(),
						'fromFormat' 		=> 'Y-m-d H:i:s',
						'abbr' 				=> $timezone_abbr
					]) : '';
				@endphp
			@endif
		@endif
	@endif

	@if(isset($detention->broker_emails) && !empty(unserialize($detention->broker_emails)))
		@php
			$broker_emails 					= unserialize($detention->broker_emails);
		@endphp
	@else
		@php
			if(isset($formData['broker_email']) && $formData['broker_email']!=''){
				$broker_emails 				= array($formData['broker_email']);
			}else{
				$broker_emails 				= array(isset($broker->email) ? $broker->email : '');
			}
		@endphp
	@endif
	<form id="detentionForm" name="detentionForm" class="form-horizontal">
		<input type="hidden" name="timezone" value="{{ timezone_name_from_abbr($timezone_abbr) }}">
		<input type="hidden" name="type" value="{{ $formData['type'] }}">
		<input type="hidden" name="is_stop" value="{{ $formData['is_stop'] }}">
		<input type="hidden" name="load_detail_id" value="{{ $formData['load_detail_id'] }}">
		@if(isset($formData['load_stop_id']) && $formData['load_stop_id']!='')
			<input type="hidden" name="load_stop_id" value="{{ $formData['load_stop_id'] }}">
		@endif
		@if(isset($formData['random_id']) && $formData['random_id']!='')
			<input type="hidden" name="random_id" value="{{ $formData['random_id'] }}">
		@endif
		<input type="hidden" name="unique_id" value="{{ $formData['unique_id'] }}">

		<input type="hidden" name="driver_id" value="{{ isset($driver) ? $driver->id : '' }}">
		<input type="hidden" name="broker_id" value="{{ isset($broker) ? $broker->id : '' }}">

		<input type="hidden" name="detention_id" value="{{ $detention->id }}">
		<input type="hidden" name="detention_status" value="{{ $detention_status }}">
		<input type="hidden" name="review_status" value="{{ $review_status }}">
		@if($is_send_to_broker_disabled=='disabled')
			<input type="hidden" name="is_send_to_broker" value="1">
		@endif

		@if(
			(isset($driver) && !is_null($driver)) ||
			(isset($broker) && !is_null($broker)) ||
			(isset($gpsLocation) && !is_null($gpsLocation)) ||
			(isset($formData['address']) && $formData['address']!='')
		)
			<div class="detail-block">
				@if(isset($driver) && !is_null($driver))
				<div class="form-group mb-0">
					<label class="control-label">Driver Name:
						<span>
							{{ isset($driver->full_name) ? $driver->full_name : ''}}
						</span>
					</label>
				</div>
				@endif
				@if(isset($broker) && !is_null($broker))
				<div class="form-group mb-0">
					<label class="control-label">Broker:
						<span>
							{{ isset($broker->name) ? $broker->name : '' }}
						</span>
					</label>
				</div>
				@endif
				@if(isset($formData['address']) && $formData['address']!='')
				<div class="form-group mb-0">
					<label class="control-label">Address:
						<span>{{ $formData['address'] }}</span>
					</label>
				</div>
				@endif
				@if(isset($gpsLocation) && !is_null($gpsLocation))
				<div class="form-group mb-0">
					<label class="control-label">GPS Location:
						<span>
							{{ $gpsLocation }}
						</span>
					</label>
				</div>
				@endif
			</div>
		@endif
		<div class="row">
			<div class="col-md-6 border-right">
				<div class="form-group">
					<div class="row align-items-center">
						<div class="col-sm-4">
							<label class="control-label arrival_time_label" data-arrival_time="{{ $detention_arrival_time }}">Arrival Time {{ $bracket }}</label>
						</div>
						<div class="col-sm-8">
							<div class="position-relative">
								<input type="text" class="form-control" name="detention_arrival_time" value="{{ $detention_arrival_time }}" onPaste="return false" readonly="true">
								<img src="{{ asset('theme/img/calendar.png') }}" alt="Start Time" data-datepickerimage="1">
							</div>
						</div>
					</div>
				</div>
				<div class="form-group">
					<div class="row align-items-center">
						<div class="col-sm-4">
							<label class="control-label start_time_label" data-start_time="{{ $detention_start_time }}">Start Time {{ $bracket }}</label>
						</div>
						<div class="col-sm-8">
							<div class="position-relative">
								<input type="text" class="form-control" name="detention_start_time" value="{{ $detention_start_time }}" onPaste="return false" readonly="true" required>
								<img src="{{ asset('theme/img/calendar.png') }}" alt="Start Time" data-datepickerimage="1">
							</div>
						</div>
					</div>
				</div>
				@if($detention_status==1)
					<div class="form-group">
						<div class="row align-items-center">
							<div class="col-sm-4">
								<label class="control-label">Time Lapsed</label>
							</div>
							<div class="col-sm-8">
								<input type="text" class="form-control" name="time_lapsed" value="00:00" disabled="true">
								<span class="time-lapsed d-none">00:00</span>
							</div>
						</div>
					</div>
					@if(in_array($review_status,[
						'In Progress - Acknowledged',
						'In Progress - Acknowledged - Sent to broker',
						'In Progress - Acknowledged - Seen by broker'
					]))
						<button type="button" class="btn btn-block btn-blue detention-force-stop mb-2" data-detention_id="{{ $detention->id }}">Force Stop</button>
					@endif
				@else
					<div class="form-group">
						<div class="row align-items-center">
							<div class="col-sm-4">
								<label class="control-label end_time_label" data-end_time="{{ $detention_end_time }}">End Time {{ $bracket }}</label>
							</div>
							<div class="col-sm-8">
								<div class="position-relative">
									<input type="text" class="form-control" name="detention_end_time" value="{{ $detention_end_time }}" onPaste="return false" readonly="true" required>
									<img src="{{ asset('theme/img/calendar.png') }}" alt="End Time" data-datepickerimage="1">
								</div>
							</div>
						</div>
					</div>
					<div class="form-group">
						<div class="row align-items-center">
							<div class="col-sm-4">
								<label class="control-label">Detained Time</label>
							</div>
							<div class="col-sm-8">
								<input type="text" class="form-control" name="time_lapsed" value="00:00" disabled="true">
								<span class="time-lapsed d-none">00:00</span>
							</div>
						</div>
					</div>
				@endif
			</div>
			<div class="col-md-6">
				@if($detention_status!=1)
					<div class="form-group free_time_div">
						<div class="row align-items-center">
							<div class="col-sm-4">
								<label class="control-label">Free Time</label>
							</div>
							<div class="col-sm-8">
								<input type="text" class="form-control html-duration-picker" name="free_time" value="{{ $free_time }}" data-hide-seconds>
								<span class="invalid-feedback" style="display: none;">Please enter correct value</span>
							</div>
						</div>
					</div>
					@if($review_status=='Broker Amendment Request')
						<div class="form-group">
							<label class="control-label">Broker Amendment Request</label>
						</div>
					@endif
					<div class="form-group">
						<div class="row align-items-center">
							<div class="col-sm-4">
								<label class="control-label">Billed Time</label>
							</div>
							<div class="col-sm-8">
								<input type="text" class="form-control" name="billed_time" value="{{ $billed_time }}" data-billed_time="{{ $is_billed_time }}" readonly>
							</div>
						</div>
					</div>
					@if($review_status=='Broker Amendment Request')
						<input type="hidden" name="is_adjusted_billed_time" value="0">
						<div class="form-group adjusted_div">
							<div class="row align-items-center">
								<div class="col-sm-4">
									<label class="control-label">Billed Time
										@if($adjusted_billed_time!='')
											<a href="javascript:void(0);" class="btn-link adjusted_billed_time_btn ml-2" data-adjusted_billed_time="{{ $adjusted_billed_time }}" data-billed_time="{{ $billed_time }}" data-is_accept="0">Accept</a>
										@endif
									</label>
								</div>
								<div class="col-sm-8">
									<input type="text" class="form-control" name="adjusted_billed_time" value="{{ $adjusted_billed_time }}" readonly>
								</div>
							</div>
						</div>
					@endif
					<div class="form-group">
						<div class="row align-items-center">
							<div class="col-sm-4">
								<label class="control-label">$/hr</label>
							</div>
							<div class="col-sm-8">
								<div class="input-group mb-3">
								  	<div class="input-group-prepend">
								    	<span class="input-group-text">$</span>
								  	</div>
								  	<input type="text" class="form-control two-decimal-input comma-two-decimal-input" name="rate" value="{{ $rate }}" aria-label="Amount (to the nearest dollar)" data-parsley-errors-container="#rate-errors" required>
								</div>
								<div id="rate-errors"></div>
							</div>
						</div>
					</div>
					@if($review_status=='Broker Amendment Request')
						<input type="hidden" name="is_adjusted_rate" value="0">
						<div class="form-group adjusted_div">
							<div class="row align-items-center">
								<div class="col-sm-4">
									<label class="control-label">$/hr
										@if($adjusted_rate!='')
											<a href="javascript:void(0);" class="btn-link adjusted_rate_btn ml-2" data-adjusted_rate="{{ $adjusted_rate }}" data-rate="{{ $rate }}" data-is_accept="0"
											>Accept</a>
										@endif
									</label>
								</div>
								<div class="col-sm-8">
									<div class="input-group mb-3">
									  	<div class="input-group-prepend">
									    	<span class="input-group-text">$</span>
									  	</div>
									  	<input type="text" class="form-control" name="adjusted_rate" value="{{ $adjusted_rate }}" readonly>
									</div>
								</div>
							</div>
						</div>
					@endif
					<div class="form-group">
						<div class="row align-items-center">
							<div class="col-sm-4">
								<label class="control-label">Detention Due</label>
							</div>
							<div class="col-sm-8">
								<div class="input-group mb-3">
								  	<div class="input-group-prepend">
								    	<span class="input-group-text">$</span>
								  	</div>
								  	<input type="text" class="form-control" name="detention_due" value="{{ $detention_due }}" readonly>
								</div>
							</div>
						</div>
					</div>
					@if($review_status=='Broker Amendment Request')
						<div class="form-group adjusted_div">
							<div class="row align-items-center">
								<div class="col-sm-4">
									<label class="control-label">Detention Due</label>
								</div>
								<div class="col-sm-8">
									<div class="input-group mb-3">
									  	<div class="input-group-prepend">
									    	<span class="input-group-text">$</span>
									  	</div>
									  	<input type="text" class="form-control" name="adjusted_detention_due" value="{{ $adjusted_detention_due }}" readonly>
									</div>
								</div>
							</div>
						</div>
					@endif
				@endif
			</div>
		</div>
		<div class="form-group">
		    <div class="d-flex align-items-center justify-content-between">
		    	<label>Driver Comments</label>
		    	<div class="justify-content-between">
			    	<div class="flex-all justify-content-start">
			        	<label class="control-label mr-2" for="driver_comment_show_to_broker">Show To Customer</label>
			        	<div class="custom-control custom-checkbox">
			        	    <input type="checkbox" class="custom-control-input" name="driver_comment_show_to_broker" id="driver_comment_show_to_broker" value="1" @if($driver_comment_show_to_broker=='1') checked @endif>
			        	    <label class="custom-control-label pl-2" for="driver_comment_show_to_broker">
			        	    	<!-- <span>Show To Customer</span> -->
			        	    </label>
			        	</div>
			    	</div>
				</div>
			</div>
		    <textarea class="form-control" name="driver_comment" rows="3">{{ $driver_comment }}</textarea>
		</div>
		<div class="form-group">
		    <div class="d-flex align-items-center justify-content-between">
		    	<label>Reviewer Comments</label>
		    	<div class="justify-content-between">
			    	<div class="flex-all justify-content-start">
			    		<label class="control-label mr-2" for="reviewer_comment_show_to_broker">Show To Customer</label>
			    		<div class="custom-control custom-checkbox">
			    		    <input type="checkbox" class="custom-control-input" name="reviewer_comment_show_to_broker" id="reviewer_comment_show_to_broker" value="1" @if($reviewer_comment_show_to_broker=='1') checked @endif>
			    		    <label class="custom-control-label pl-2" for="reviewer_comment_show_to_broker">
			    		    	<!-- <span>Show To Customer</span> -->
			    		    </label>
			    		</div>
			    	</div>
				</div>
			</div>
		    <textarea class="form-control" name="reviewer_comment" rows="3">{{ $reviewer_comment }}</textarea>
		</div>
		@if($detention_status!=1)
			<div class="form-group">
			    <div class="d-flex align-items-center justify-content-between">
			    	<label>Billing Comments</label>
			    	<div class="justify-content-between">
				    	<div class="flex-all justify-content-start">
				        	<label class="control-label mr-2" for="billing_comment_show_to_broker">Show To Customer</label>
				        	<div class="custom-control custom-checkbox">
				        	    <input type="checkbox" class="custom-control-input" name="billing_comment_show_to_broker" id="billing_comment_show_to_broker" value="1" @if($billing_comment_show_to_broker=='1') checked @endif>
				        	    <label class="custom-control-label pl-2" for="billing_comment_show_to_broker">
				        	    	<!-- <span>Show To Customer</span> -->
				        	    </label>
				        	</div>
				    	</div>
					</div>
				</div>
			    <textarea class="form-control" name="comment" rows="3">{{ $comment }}</textarea>
			</div>
		@endif
		<div class="form-group justify-content-between">
		    <div class="flex-all justify-content-start">
		        <label class="control-label mr-2" for="is_send_to_broker">Send To broker?</label>
		        <div class="custom-control custom-checkbox">
		            <input type="checkbox" class="custom-control-input" name="is_send_to_broker" id="is_send_to_broker" value="1" @if($is_send_to_broker=='1') checked @endif {{ $is_send_to_broker_disabled }}>
		            <label class="custom-control-label pl-2" for="is_send_to_broker">
		            	<!-- <span>Send To broker?</span> -->
		            </label>
		        </div>
		    </div>
		</div>
		<div class="field_wrapper">
			@foreach ($broker_emails as $key => $broker_email)
				<div class="row">
					<div class="col-md-4">
						<div class="form-group">
							<input type="email" class="form-control" name="broker_email[]" data-parsley-type="email" value="{{ $broker_email }}" placeholder="Enter Broker Email" @if($is_send_to_broker=='1') required @endif>
						</div>
					</div>
					<div class="col-md-1">
						@if ($loop->first)
							<a href="javascript:void(0);" class="btn btn-blue btn-plus add_broker_email_button" title="Add field"><i class="fa fa-plus"></i></a>
						@else
							<a href="javascript:void(0);" class="btn btn-danger btn-minus remove_broker_email_button" title="Remove field"><i class="fa fa-trash"></i></a>
					    @endif
					</div>
					@if ($loop->first)
						@if($is_send_to_broker=='1')
							@if(in_array($review_status,[
								'In Progress - Acknowledged - Sent to broker',
								'In Progress - Sent to broker',
							]))
								<div class="col-md-7">
									<button type="button" class="btn btn-blue resend-to-broker float-right" data-detention_id="{{ $detention->id }}">Resend to Broker</button>
								</div>
							@endif
						@endif
					@endif
				</div>
			@endforeach
		</div>
		<div class="modal-footer footer-block justify-content-between">
			<div>
				<p class="mb-0 review-status-p">Status: {{ $review_status }}</p>
			</div>
			<div>
				@if($detention_status==1)
					@if($review_status=='In Progress')
						<button type="button" class="btn btn-blueBr btn-sm detention-deny" data-detention_id="{{ $detention->id }}" data-review_status="Denied">Deny Detention Request</button>
						@if($is_send_to_broker==1)
							<button type="button" class="btn btn-blue btn-sm detention-submit" data-review_status="In Progress - Acknowledged - Sent to broker">Acknowledge and Send</button>
						@else
							<button type="button" class="btn btn-blue btn-sm detention-submit" data-review_status="In Progress - Acknowledged">Acknowledge</button>
						@endif
					@elseif($review_status=='In Progress - Acknowledged')
						<button type="button" class="btn btn-blueBr btn-sm" data-dismiss="modal">Close</button>
						<button type="button" class="btn btn-blueBr btn-sm detention-deny" data-detention_id="{{ $detention->id }}" data-review_status="Denied">Deny Detention Request</button>
						<button type="button" class="btn btn-blue btn-sm detention-submit d-none" data-review_status="In Progress - Acknowledged" data-is_send_to_broker="0">Acknowledge</button>
					@elseif(in_array($review_status,[
						'In Progress - Acknowledged - Sent to broker',
						'In Progress - Acknowledged - Seen by broker',
					]))
						<button type="button" class="btn btn-blueBr btn-sm" data-dismiss="modal">Close</button>
						<button type="button" class="btn btn-blue btn-sm detention-deny" data-detention_id="{{ $detention->id }}" data-review_status="Denied">Deny Detention Request</button>
					@elseif($review_status=='Denied')
						<button type="button" class="btn btn-blueBr btn-sm" data-dismiss="modal">Close</button>
						<button type="button" class="btn btn-blue btn-sm detention-revert" data-detention_id="{{ $detention->id }}" data-review_status="{{ $review_status }}">Revert</button>
					@endif
				@else
					@if($review_status=='In Progress')
						<button type="button" class="btn btn-blueBr btn-sm detention-deny" data-detention_id="{{ $detention->id }}" data-review_status="Denied">Deny Detention Request</button>
						@if($is_send_to_broker=='1')
							<button type="button" class="btn btn-blue btn-sm detention-submit" data-review_status="In Progress - Sent to broker">Save and Send</button>
						@else
							<button type="button" class="btn btn-blue btn-sm detention-submit" data-review_status="Completed">Approve</button>
						@endif
					@elseif($review_status=='Detention Stopped - Pending Approval')
						<button type="button" class="btn btn-blueBr btn-sm detention-deny" data-detention_id="{{ $detention->id }}" data-review_status="Denied">Deny Detention Request</button>
						@if($is_send_to_broker=='1')
							<button type="button" class="btn btn-blue btn-sm detention-submit" data-review_status="In Progress - Sent to broker">Save and Send</button>
						@else
							<button type="button" class="btn btn-blue btn-sm detention-submit" data-review_status="Completed">Approve</button>
						@endif
					@elseif(in_array($review_status,[
						'In Progress - Sent to broker',
						'Pending Broker Review',
					]))
						<button type="button" class="btn btn-blueBr btn-sm detention-deny" data-detention_id="{{ $detention->id }}" data-review_status="Denied">Deny Detention Request</button>
						<button type="button" class="btn btn-blue btn-sm detention-submit" data-review_status="Completed">Approve</button>
					@elseif($review_status=='Broker Amendment Request')
						<button type="button" class="btn btn-blueBr btn-sm detention-deny" data-detention_id="{{ $detention->id }}" data-review_status="Denied">Deny Detention Request</button>
						<button type="button" class="btn btn-blue btn-sm detention-submit" data-review_status="Completed">Approve</button>
					@elseif($review_status=='Broker Denied Request')
						<button type="button" class="btn btn-blueBr btn-sm detention-deny" data-detention_id="{{ $detention->id }}" data-review_status="Denied">Accept Deny Detention Request</button>
						<button type="button" class="btn btn-blue btn-sm detention-submit" data-review_status="Completed">Approve</button>
					@elseif($review_status=='Denied' || $review_status=='Completed')
						<button type="button" class="btn btn-blueBr btn-sm" data-dismiss="modal">Close</button>
						<button type="button" class="btn btn-blue btn-sm detention-revert" data-detention_id="{{ $detention->id }}" data-review_status="{{ $review_status }}">Revert</button>
					@endif
				@endif
			</div>
		</div>
		@if($review_status!='In Progress')
			<div class="modal-footer footer-block justify-content-between">
				<div>
					<p class="mb-0 logs">Logs</p>
					@if(isset($detention->acknowledged_by) && $detention->acknowledged_by!='')
						<p class="mb-0 logs">Acknowledged by:
							@if($detention->acknowledged_user_type=='Driver')
								{{ isset($detention->acknowledgedor->full_name) ? $detention->acknowledgedor->full_name : '' }}
							@else
								{{ isset($detention->acknowledgedor->full_name) ? $detention->acknowledgedor->full_name : '' }}
							@endif
						</p>
						<p class="mb-0 logs">Acknowledged on:
							{{ isset($detention->acknowledged_at) ? convertTimeToUSERzone([
								'str' 					=> $detention->acknowledged_at,
								'toFormat' 				=> getTimeLayout(),
								'fromFormat' 			=> 'Y-m-d H:i:s',
								'abbr' 					=> $timezone_abbr
							]).' '.$timezone_abbr : '' }}
						</p>

						<p class="mb-0 logs">Sent acknowledgement to broker: {{ $detention->sent_acknowledgement_to_broker=='1' ? 'Yes' : 'No' }}</p>
						@if($detention->sent_acknowledgement_to_broker=='1')
							<p class="mb-0 logs">Time sent acknowledgement to broker:
								{{ isset($detention->sent_acknowledgement_to_broker_at) ? convertTimeToUSERzone([
									'str' 				=> $detention->sent_acknowledgement_to_broker_at,
									'toFormat' 			=> getTimeLayout(),
									'fromFormat' 		=> 'Y-m-d H:i:s',
									'abbr' 				=> $timezone_abbr
								]).' '.$timezone_abbr : '' }}
							</p>
							@if(isset($detention->acknowledgement_emails) && !empty(unserialize($detention->acknowledgement_emails)))
								@php
									$broker_emails 		= unserialize($detention->acknowledgement_emails);
								@endphp
								<p class="mb-0 logs">Acknowledgement emails sent to: {{ implode(', ', $broker_emails) }}</p>
							@else
								<p class="mb-0 logs">Acknowledgement emails sent to: </p>
							@endif

							<p class="mb-0 logs">Broker viewed acknowledgement: {{ isset($detention->broker_viewed_acknowledgement_at) ? 'Yes' : 'No' }}</p>
							@if(isset($detention->broker_viewed_acknowledgement_at) && !is_null($detention->broker_viewed_acknowledgement_at))
								<p class="mb-0 logs">Broker viewed acknowledgement at:
									{{ isset($detention->broker_viewed_acknowledgement_at) ? convertTimeToUSERzone([
										'str' 			=> $detention->broker_viewed_acknowledgement_at,
										'toFormat' 		=> getTimeLayout(),
										'fromFormat' 	=> 'Y-m-d H:i:s',
										'abbr' 			=> $timezone_abbr
									]).' '.$timezone_abbr : '' }}
								</p>
								<p class="mb-0 logs">Broker acknowledgement IP: {{ $detention->broker_acknowledgement_ip }}</p>
							@endif
						@endif
					@endif

					@if(isset($detention->stopped_by) && $detention->stopped_by!='')
						<p class="mb-0 logs">Detention Stopped by:
							@if($detention->stopped_user_type=='Driver')
								{{ isset($detention->stoppedor->full_name) ? $detention->stoppedor->full_name : '' }}
							@else
								{{ isset($detention->stoppedor->full_name) ? $detention->stoppedor->full_name : '' }}
							@endif
						</p>
						<p class="mb-0 logs">Detention Stopped at:
							{{ isset($detention->stopped_at) ? convertTimeToUSERzone([
								'str' 					=> $detention->stopped_at,
								'toFormat' 				=> getTimeLayout(),
								'fromFormat' 			=> 'Y-m-d H:i:s',
								'abbr' 					=> $timezone_abbr
							]).' '.$timezone_abbr : '' }}
						</p>
					@endif

					@if(isset($detention->submitted_by) && $detention->submitted_by!='')
						<p class="mb-0 logs">Detention Billing Submitted by:
							@if($detention->submitted_user_type=='Driver')
								{{ isset($detention->submittedor->full_name) ? $detention->submittedor->full_name : '' }}
							@else
								{{ isset($detention->submittedor->full_name) ? $detention->submittedor->full_name : '' }}
							@endif
						</p>
						<p class="mb-0 logs">Detention Billing Submitted at:
							{{ isset($detention->submitted_at) ? convertTimeToUSERzone([
								'str' 					=> $detention->submitted_at,
								'toFormat' 				=> getTimeLayout(),
								'fromFormat' 			=> 'Y-m-d H:i:s',
								'abbr' 					=> $timezone_abbr
							]).' '.$timezone_abbr : '' }}
						</p>

						<p class="mb-0 logs">Detention Billing sent to broker: {{ $detention->sent_to_broker=='1' ? 'Yes' : 'No' }}</p>
						@if($detention->sent_to_broker=='1')
							@if(isset($detention->sent_to) && !empty(unserialize($detention->sent_to)))
								@php
									$broker_emails 		= unserialize($detention->sent_to);
								@endphp
								<p class="mb-0 logs">Detention Billing sent to: {{ implode(', ', $broker_emails) }}</p>
							@else
								<p class="mb-0 logs">Detention Billing sent to: </p>
							@endif
							<p class="mb-0 logs">Detention Billing sent to broker at:
								{{ isset($detention->sent_to_broker_at) ? convertTimeToUSERzone([
									'str' 				=> $detention->sent_to_broker_at,
									'toFormat' 			=> getTimeLayout(),
									'fromFormat' 		=> 'Y-m-d H:i:s',
									'abbr' 				=> $timezone_abbr
								]).' '.$timezone_abbr : '' }}
							</p>
						@endif

						@if(isset($detention->approved_by) && $detention->approved_by!='')
							<p class="mb-0 logs">Detention Billing Approved by:
								@if($detention->approved_user_type=='Company Admin')
									{{ isset($detention->approvedor->full_name) ? $detention->approvedor->full_name : '' }}
								@elseif($detention->approved_user_type=='Broker')
									{{ isset($detention->approvedor->name) ? $detention->approvedor->name : '' }} - {{ $detention->signature_name }}
								@endif
							</p>
							<p class="mb-0 logs">Detention Billing Approved at:
								{{ isset($detention->approved_at) ? convertTimeToUSERzone([
									'str' 				=> $detention->approved_at,
									'toFormat' 			=> getTimeLayout(),
									'fromFormat' 		=> 'Y-m-d H:i:s',
									'abbr' 				=> $timezone_abbr
								]).' '.$timezone_abbr : '' }}
							</p>
							<p class="mb-0 logs">Detention Billing Approved by IP address: {{ $detention->approved_ip }}</p>
						@endif

						@if(isset($detention->amended_by) && $detention->amended_by!='')
							<p class="mb-0 logs">Detention Billing Amendment Request by:
								{{ isset($detention->amended_broker->name) ? $detention->amended_broker->name : '' }} - {{ $detention->signature_name }}
							</p>
							<p class="mb-0 logs">Detention Billing Amendment Request at:
								{{ isset($detention->amended_at) ? convertTimeToUSERzone([
									'str' 				=> $detention->amended_at,
									'toFormat' 			=> getTimeLayout(),
									'fromFormat' 		=> 'Y-m-d H:i:s',
									'abbr' 				=> $timezone_abbr
								]).' '.$timezone_abbr : '' }}
							</p>
							<p class="mb-0 logs">Detention Billing Amendment Request by IP address: {{ $detention->amended_ip }}</p>
						@endif

						@if(isset($detention->broker_denied_by) && $detention->broker_denied_by!='')
							<p class="mb-0 logs">Detention Billing Boker Denied Request by:
								{{ isset($detention->denied_broker_request->name) ? $detention->denied_broker_request->name : '' }} - {{ $detention->signature_name }}
							</p>
							<p class="mb-0 logs">Detention Billing Boker Denied Request at:
								{{ isset($detention->broker_denied_at) ? convertTimeToUSERzone([
									'str' 				=> $detention->broker_denied_at,
									'toFormat' 			=> getTimeLayout(),
									'fromFormat' 		=> 'Y-m-d H:i:s',
									'abbr' 				=> $timezone_abbr
								]).' '.$timezone_abbr : '' }}
							</p>
							<p class="mb-0 logs">Detention Billing Boker Denied Request by IP address: {{ $detention->broker_denied_ip }}</p>
						@endif

						@if(isset($detention->signature) && $detention->signature!='' && \File::exists(public_path('storage/companyAdmin/signature/'.$detention->signature)))
							<p class="mb-0 logs">Detention Billing Signature:
								<a href="{{ asset('storage/companyAdmin/signature/'.$detention->signature) }}" target="_blank" class="mr-2"><i class="fa fa-file-image-o" aria-hidden="true"></i> Click To Open</a>
							</p>
						@endif
					@endif

					@if(isset($detention->denied_by) && $detention->denied_by!='')
						<p class="mb-0 logs">Detention Billing Denied by:
							@if($detention->denied_user_type=='Company Admin')
								{{ isset($detention->deniedor->full_name) ? $detention->deniedor->full_name : '' }}
							@elseif($detention->denied_user_type=='Broker')
								{{ isset($detention->deniedor->name) ? $detention->deniedor->name : '' }} - {{ $detention->signature_name }}
							@endif
						</p>
						<p class="mb-0 logs">Detention Billing Denied at:
							{{ isset($detention->denied_at) ? convertTimeToUSERzone([
								'str' 					=> $detention->denied_at,
								'toFormat' 				=> getTimeLayout(),
								'fromFormat' 			=> 'Y-m-d H:i:s',
								'abbr' 					=> $timezone_abbr
							]).' '.$timezone_abbr : '' }}
						</p>
						<p class="mb-0 logs">Detention Billing Denied by IP address: {{ $detention->denied_ip }}</p>
					@endif
				</div>
			</div>
		@else
			@if(isset($detention->submitted_by) && $detention->submitted_by!='')
				<div class="modal-footer footer-block justify-content-between">
					<div>
						<p class="mb-0 logs">Logs</p>
						<p class="mb-0 logs">Detention Billing Submitted by:
							@if($detention->submitted_user_type=='Driver')
								{{ isset($detention->submittedor->full_name) ? $detention->submittedor->full_name : '' }}
							@else
								{{ isset($detention->submittedor->full_name) ? $detention->submittedor->full_name : '' }}
							@endif
						</p>
						<p class="mb-0 logs">Detention Billing Submitted at:
							{{ isset($detention->submitted_at) ? convertTimeToUSERzone([
								'str' 					=> $detention->submitted_at,
								'toFormat' 				=> getTimeLayout(),
								'fromFormat' 			=> 'Y-m-d H:i:s',
								'abbr' 					=> $timezone_abbr
							]).' '.$timezone_abbr : '' }}
						</p>
					</div>
				</div>
			@endif
		@endif
	</form>
@else
	@php
		if(isset($formData['broker_email']) && $formData['broker_email']!=''){
			$broker_emails = array($formData['broker_email']);
		}else{
			$broker_emails = array(isset($broker->email) ? $broker->email : '');
		}
	@endphp
	<form id="detentionForm" name="detentionForm" class="form-horizontal">
		<input type="hidden" name="timezone" value="{{ timezone_name_from_abbr($timezone_abbr) }}">
		<input type="hidden" name="type" value="{{ $formData['type'] }}">
		<input type="hidden" name="is_stop" value="{{ $formData['is_stop'] }}">
		<input type="hidden" name="load_detail_id" value="{{ $formData['load_detail_id'] }}">
		@if(isset($formData['load_stop_id']) && $formData['load_stop_id']!='')
			<input type="hidden" name="load_stop_id" value="{{ $formData['load_stop_id'] }}">
		@endif
		@if(isset($formData['random_id']) && $formData['random_id']!='')
			<input type="hidden" name="random_id" value="{{ $formData['random_id'] }}">
		@endif
		<input type="hidden" name="unique_id" value="{{ $formData['unique_id'] }}">

		<input type="hidden" name="driver_id" value="{{ isset($driver) ? $driver->id : '' }}">
		<input type="hidden" name="broker_id" value="{{ isset($broker) ? $broker->id : '' }}">

		<input type="hidden" name="detention_status" value="3">

		@if(
			(isset($driver) && !is_null($driver)) ||
			(isset($broker) && !is_null($broker)) ||
			(isset($gpsLocation) && !is_null($gpsLocation)) ||
			(isset($formData['address']) && $formData['address']!='')
		)
			<div class="detail-block">
				@if(isset($driver) && !is_null($driver))
				<div class="form-group mb-0">
					<label class="control-label">Driver Name:
						<span>
							{{ isset($driver->full_name) ? $driver->full_name : ''}}
						</span>
					</label>
				</div>
				@endif
				@if(isset($broker) && !is_null($broker))
				<div class="form-group mb-0">
					<label class="control-label">Broker:
						<span>
							{{ isset($broker->name) ? $broker->name : '' }}
						</span>
					</label>
				</div>
				@endif
				@if(isset($formData['address']) && $formData['address']!='')
				<div class="form-group mb-0">
					<label class="control-label">Address:
						<span>{{ $formData['address'] }}</span>
					</label>
				</div>
				@endif
				@if(isset($gpsLocation) && !is_null($gpsLocation))
				<div class="form-group mb-0">
					<label class="control-label">GPS Location:
						<span>
							{{ $gpsLocation }}
						</span>
					</label>
				</div>
				@endif
			</div>
		@endif
		<div class="row">
			<div class="col-md-6 border-right">
				<div class="form-group">
					<div class="row align-items-center">
						<div class="col-sm-4">
							<label class="control-label arrival_time_label" data-arrival_time="{{ convertTimeToUSERzone(['str' => \Carbon\Carbon::now()->format(getTimeLayout()),'toFormat' => getTimeLayout(),'abbr' => $timezone_abbr]) }}">Arrival Time {{ $bracket }}</label>
						</div>
						<div class="col-sm-8">
							<div class="position-relative">
								<input type="text" class="form-control" name="detention_arrival_time" value="{{ convertTimeToUSERzone(['str' => \Carbon\Carbon::now()->format(getTimeLayout()),'toFormat' => getTimeLayout(),'abbr' => $timezone_abbr]) }}" onPaste="return false" readonly="true">
								<img src="{{ asset('theme/img/calendar.png') }}" alt="Start Time" data-datepickerimage="1">
							</div>
						</div>
					</div>
				</div>
				<div class="form-group">
					<div class="row align-items-center">
						<div class="col-sm-4">
							<label class="control-label start_time_label" data-start_time="{{ convertTimeToUSERzone(['str' => \Carbon\Carbon::now()->format(getTimeLayout()),'toFormat' => getTimeLayout(),'abbr' => $timezone_abbr]) }}">Start Time {{ $bracket }}</label>
						</div>
						<div class="col-sm-8">
							<div class="position-relative">
								<input type="text" class="form-control" name="detention_start_time" value="{{ convertTimeToUSERzone(['str' => \Carbon\Carbon::now()->format(getTimeLayout()),'toFormat' => getTimeLayout(),'abbr' => $timezone_abbr]) }}" onPaste="return false" readonly="true" required>
								<img src="{{ asset('theme/img/calendar.png') }}" alt="Start Time" data-datepickerimage="1">
							</div>
						</div>
					</div>
				</div>
				<div class="form-group">
					<div class="row align-items-center">
						<div class="col-sm-4">
							<label class="control-label end_time_label" data-end_time="">End Time {{ $bracket }}</label>
						</div>
						<div class="col-sm-8">
							<div class="position-relative">
								<input type="text" class="form-control" name="detention_end_time" value="" onPaste="return false" readonly="true" required>
								<img src="{{ asset('theme/img/calendar.png') }}" alt="End Time" data-datepickerimage="1">
							</div>
						</div>
					</div>
				</div>
				<div class="form-group">
					<div class="row align-items-center">
						<div class="col-sm-4">
							<label class="control-label">Detained Time</label>
						</div>
						<div class="col-sm-8">
							<input type="text" class="form-control" name="time_lapsed" value="00:00" disabled="true">
							<span class="time-lapsed d-none">00:00</span>
						</div>
					</div>
				</div>
			</div>
			<div class="col-md-6">
				<div class="form-group free_time_div">
					<div class="row align-items-center">
						<div class="col-sm-4">
							<label class="control-label">Free Time</label>
						</div>
						<div class="col-sm-8">
							<input type="text" class="form-control html-duration-picker" name="free_time" value="{{ $broker->detention_time }}" data-hide-seconds>
							<span class="invalid-feedback" style="display: none;">Please enter correct value</span>
						</div>
					</div>
				</div>
				<div class="form-group">
					<div class="row align-items-center">
						<div class="col-sm-4">
							<label class="control-label">Billed Time</label>
						</div>
						<div class="col-sm-8">
							<input type="text" class="form-control" name="billed_time" value="" readonly>
						</div>
					</div>
				</div>
				<div class="form-group">
					<div class="row align-items-center">
						<div class="col-sm-4">
							<label class="control-label">$/hr</label>
						</div>
						<div class="col-sm-8">
							<div class="input-group mb-3">
							  	<div class="input-group-prepend">
							    	<span class="input-group-text">$</span>
							  	</div>
							  	<input type="text" class="form-control two-decimal-input comma-two-decimal-input" name="rate" value="{{ isset($broker->detention_price) ? formatNumberWithoutZeros($broker->detention_price) : '' }}" aria-label="Amount (to the nearest dollar)" value="" data-parsley-errors-container="#rate-errors" required>
							</div>
							<div id="rate-errors"></div>
						</div>
					</div>
				</div>
				<div class="form-group">
					<div class="row align-items-center">
						<div class="col-sm-4">
							<label class="control-label">Detention Due</label>
						</div>
						<div class="col-sm-8">
							<div class="input-group mb-3">
							  	<div class="input-group-prepend">
							    	<span class="input-group-text">$</span>
							  	</div>
							  	<input type="text" class="form-control" name="detention_due" value="" readonly>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="form-group">
		    <div class="d-flex align-items-center justify-content-between">
		    	<label>Driver Comments</label>
		    	<div class="justify-content-between">
			    	<div class="flex-all justify-content-start">
			        	<label class="control-label mr-2" for="driver_comment_show_to_broker">Show To Customer</label>
			        	<div class="custom-control custom-checkbox">
			        	    <input type="checkbox" class="custom-control-input" name="driver_comment_show_to_broker" id="driver_comment_show_to_broker" value="1">
			        	    <label class="custom-control-label pl-2" for="driver_comment_show_to_broker">
			        	    	<!-- <span>Show To Customer</span> -->
			        	    </label>
			        	</div>
			    	</div>
				</div>
			</div>
		    <textarea class="form-control" name="driver_comment" rows="3"></textarea>
		</div>
		<div class="form-group">
		    <div class="d-flex align-items-center justify-content-between">
		    	<label>Reviewer Comments</label>
		    	<div class="justify-content-between">
			    	<div class="flex-all justify-content-start">
			    		<label class="control-label mr-2" for="reviewer_comment_show_to_broker">Show To Customer</label>
			    		<div class="custom-control custom-checkbox">
			    		    <input type="checkbox" class="custom-control-input" name="reviewer_comment_show_to_broker" id="reviewer_comment_show_to_broker" value="1">
			    		    <label class="custom-control-label pl-2" for="reviewer_comment_show_to_broker">
			    		    	<!-- <span>Show To Customer</span> -->
			    		    </label>
			    		</div>
			    	</div>
				</div>
			</div>
		    <textarea class="form-control" name="reviewer_comment" rows="3"></textarea>
		</div>
		<div class="form-group">
		    <div class="d-flex align-items-center justify-content-between">
		    	<label>Billing Comments</label>
		    	<div class="justify-content-between">
			    	<div class="flex-all justify-content-start">
			        	<label class="control-label mr-2" for="billing_comment_show_to_broker">Show To Customer</label>
			        	<div class="custom-control custom-checkbox">
			        	    <input type="checkbox" class="custom-control-input" name="billing_comment_show_to_broker" id="billing_comment_show_to_broker" value="1">
			        	    <label class="custom-control-label pl-2" for="billing_comment_show_to_broker">
			        	    	<!-- <span>Show To Customer</span> -->
			        	    </label>
			        	</div>
			    	</div>
				</div>
			</div>
		    <textarea class="form-control" name="comment" rows="3"></textarea>
		</div>
		<div class="form-group justify-content-between">
		    <div class="flex-all justify-content-start">
		        <label class="control-label mr-2" for="is_send_to_broker">Send To broker?</label>
		        <div class="custom-control custom-checkbox">
		            <input type="checkbox" class="custom-control-input" name="is_send_to_broker" id="is_send_to_broker" value="1">
		            <label class="custom-control-label pl-2" for="is_send_to_broker">
		            	<!-- <span>Send To broker?</span> -->
		            </label>
		        </div>
		    </div>
		</div>
		<div class="field_wrapper">
			@foreach ($broker_emails as $key => $broker_email)
				<div class="row">
					<div class="col-md-4">
						<div class="form-group">
							<input type="email" class="form-control" name="broker_email[]" data-parsley-type="email" value="{{ $broker_email }}" placeholder="Enter Broker Email">
						</div>
					</div>
					<div class="col-md-1">
						@if ($loop->first)
							<a href="javascript:void(0);" class="btn btn-blue btn-plus add_broker_email_button" title="Add field"><i class="fa fa-plus"></i></a>
						@else
							<a href="javascript:void(0);" class="btn btn-danger btn-minus remove_broker_email_button" title="Remove field"><i class="fa fa-trash"></i></a>
					    @endif
					</div>
				</div>
			@endforeach
		</div>
		<div class="modal-footer footer-block justify-content-between">
			<div>
				<p class="mb-0 review-status-p">Status: In Progress</p>
			</div>
			<div>
				<button type="button" class="btn btn-blueBr btn-sm" data-dismiss="modal">Close</button>
				<button type="button" class="btn btn-blue btn-sm detention-submit" data-review_status="Completed">Approve</button>
			</div>
		</div>
	</form>
@endif