@extends($companyAdminTheme)

@section('title')
    Loads
@endsection

@section('style')
    <link rel="stylesheet" href="//code.jquery.com/ui/1.13.1/themes/base/jquery-ui.css">
    <style type="text/css">
        .load-btn label{width: 99px !important}
        .load-edit-link{text-decoration: underline}
    </style>
    <style type="text/css">
        .dataTables_length {display: block;}
        .cusotdiv2 {display: flex;justify-content: end;align-items: center;}
        .dataTables_length label {margin-bottom: 0;padding-left: 10px!important;}
    </style>
@endsection

@section('content')
    <input type="hidden" id="getTableName" value="{{str_replace('settings.','',$tableName)}}">
    <input type="hidden" id="lastActiveTable" value="tableActive">

    <ul class="nav nav-tabs" id="myTab" role="tablist">
        <li class="nav-item" role="presentation">
            <a data-table="tableActive" class="nav-link active changeLoadTab" id="All-tab" data-toggle="tab" href="#All" role="tab" aria-controls="All" aria-selected="true">Active</a>
        </li>
        <li class="nav-item" role="presentation">
            <a data-table="table2" class="nav-link changeLoadTab" id="View-tab" data-toggle="tab" href="#NewLoad" role="tab" aria-controls="View" aria-selected="false">Ready to Bill</a>
        </li>
        <li class="nav-item" role="presentation">
            <a data-table="table3" class="nav-link changeLoadTab" id="View-tab" data-toggle="tab" href="#delivered" role="tab" aria-controls="View" aria-selected="false">Delivered</a>
        </li>
        <li class="nav-item" role="presentation">
            <a data-table="table4" class="nav-link changeLoadTab" id="leave-tab" data-toggle="tab" href="#CompleteLoad" role="tab" aria-controls="CompleteLoad" aria-selected="false">Complete</a>
        </li>
        <li class="nav-item" role="presentation">
            <a data-table="table5" class="nav-link changeLoadTab" id="onhold-tab" data-toggle="tab" href="#onhold" role="tab" aria-controls="onhold" aria-selected="false">On Hold</a>
        </li>
        <li class="nav-item" role="presentation">
            <a data-table="table6" class="nav-link changeLoadTab" id="cancel-tab" data-toggle="tab" href="#Cancel" role="tab" aria-controls="Cancel" aria-selected="false">Cancelled</a>
        </li>
        <li class="nav-item" role="presentation">
            <a data-table="table7" class="nav-link changeLoadTab" id="unoccupied-tab" data-toggle="tab" href="#unoccupied" role="tab" aria-controls="unoccupied" aria-selected="false">Unoccupied</a>
        </li>
        <li class="nav-item" role="presentation">
            <a data-table="table8" class="nav-link changeLoadTab" id="allload-tab" data-toggle="tab" href="#allload" role="tab" aria-controls="allload" aria-selected="false">All Loads</a>
        </li>
        <li class="nav-item" role="presentation">
            <a data-table="table9" class="nav-link changeLoadTab" id="oosapproval-tab" data-toggle="tab" href="#oosapproval" role="tab" aria-controls="oosapproval" aria-selected="false">OOS Pending</a>
        </li>
    </ul>

    <div class="tab-content" id="myTabContent">
        <div class="tab-pane fade show active" id="All" role="tabpanel" aria-labelledby="All-tab">
            <div class="row">
                <div class="col-md-3 col-sm-6">
                    <div class="white-box mb-4">
                        <div class="box-padding employee-box">
                            <span class="big-ttl">Active Loads</span>
                            <h5 class="centr">{{ totalActiveLoads() }}</h5>
                            <ul class="per-data">
                                <li>This years</li>
                                <li class="blue"><span><img src="{{ asset('theme/img/top-arrow.png') }}" alt=""></span> 5%</li>
                            </ul>
                        </div>
                    </div>
                </div>
                <div class="col-md-3 col-sm-6">
                    <div class="white-box mb-4">
                        <div class="box-padding employee-box">
                            <span class="big-ttl">Ready to Bill</span>
                            <h5 class="centr">{{ totalReadyToBillLoads() }}</h5>
                            <ul class="per-data">
                                <li>This years</li>
                                <li class="blue"><span><img src="{{ asset('theme/img/top-arrow.png') }}" alt=""></span> 5%</li>
                            </ul>
                        </div>
                    </div>
                </div>
                <div class="col-md-3 col-sm-6">
                    <div class="white-box mb-4">
                        <div class="box-padding employee-box">
                            <span class="big-ttl">Completed Loads</span>
                            <h5 class="centr">{{ totalCompletedLoads() }}</h5>
                            <ul class="per-data">
                                <li>This years</li>
                                <li class="blue"><span><img src="{{ asset('theme/img/top-arrow.png') }}" alt=""></span> 5%</li>
                            </ul>
                        </div>
                    </div>
                </div>
                <div class="col-md-3 col-sm-6">
                    <div class="white-box mb-4">
                        <div class="box-padding employee-box">
                            <span class="big-ttl">Total Loads</span>
                            <h5 class="centr">{{ totalLoads() }}</h5>
                            <ul class="per-data">
                                <li>This years</li>
                                <li class="orange"><span><img src="{{ asset('theme/img/down-arrow.png') }}" alt=""></span> 5%</li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>

            <div class="white-box table-view">
                <h3 class="table-title">Loads</h3>
                <div class="table-responsive">
                    <table class="table data-table">
                        <thead>
                            <tr>
                                @foreach($getField as $key => $filed)
                                    @if($filed == 1 && isset(config('settings.table_loads_active')[$key]['name']))
                                        @if(isset(config('settings.table_loads_active')[$key]['searchBuilderType']))
                                            @if(config('settings.table_loads_active')[$key]['col_search'] == 0)
                                                @if( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'string' )
                                                    <th class=" notsech">{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_string columnFilter" data-modal="SearchByStringModal{{ $key }}"></i></th>
                                                @elseif( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'date' )
                                                    <th class=" notsech">{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_date columnFilter" data-modal="SearchByDateModal{{ $key }}"></i></th>
                                                @elseif( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'status' )
                                                    <th class=" notsech">{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_status columnFilter" data-modal="SearchByStatusModal{{ $key }}"></i></th>
                                                @endif
                                            @else
                                                @if( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'string' )
                                                    <th>{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_string columnFilter" data-modal="SearchByStringModal{{ $key }}"></i></th>
                                                @elseif( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'date' )
                                                    <th>{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_date columnFilter" data-modal="SearchByDateModal{{ $key }}"></i></th>
                                                @elseif( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'status' )
                                                    <th>{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_status columnFilter" data-modal="SearchByStatusModal{{ $key }}"></i></th>
                                                @endif
                                            @endif
                                        @else
                                            @if(config('settings.table_loads_active')[$key]['col_search'] == 0)
                                                <th class=" notsech">{{ config('settings.table_loads_active')[$key]['name'] }}</th>
                                            @else
                                                <th>{{ config('settings.table_loads_active')[$key]['name'] }}</th>
                                            @endif
                                        @endif
                                    @endif
                                @endforeach
                            </tr>
                        </thead>
                        <tbody class="loadTableBody"></tbody>
                    </table>
                </div>
            </div>
        </div>

        <div class="tab-pane fade" id="NewLoad" role="tabpanel" aria-labelledby="View-tab">
            <div class="white-box table-view">
                <h3 class="table-title">Loads</h3>
                <div class="table-responsive">
                    <table class="table new-load-data-table">
                        <thead>
                            <tr>
                                {{--@foreach($getField as $key => $filed)
                                    @if($filed == 1 && isset(config('settings.table_loads_active')[$key]['name']))
                                        @if(config('settings.table_loads_active')[$key]['col_search'] == 0)
                                            <th class=" notsech">{{ config('settings.table_loads_active')[$key]['name'] }}</th>
                                        @else
                                            <th>{{ config('settings.table_loads_active')[$key]['name'] }}</th>
                                        @endif
                                    @endif
                                @endforeach--}}

                                @foreach($getField as $key => $filed)
                                    @if($filed == 1 && isset(config('settings.table_loads_active')[$key]['name']))
                                        @if(isset(config('settings.table_loads_active')[$key]['searchBuilderType']))
                                            @if(config('settings.table_loads_active')[$key]['col_search'] == 0)
                                                @if( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'string' )
                                                    <th class=" notsech">{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_string columnFilter" data-modal="SearchByStringModal{{ $key }}"></i></th>
                                                @elseif( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'date' )
                                                    <th class=" notsech">{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_date columnFilter" data-modal="SearchByDateModal{{ $key }}"></i></th>
                                                @elseif( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'status' )
                                                    <th class=" notsech">{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_status columnFilter" data-modal="SearchByStatusModal{{ $key }}"></i></th>
                                                @endif
                                            @else
                                                @if( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'string' )
                                                    <th>{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_string columnFilter" data-modal="SearchByStringModal{{ $key }}"></i></th>
                                                @elseif( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'date' )
                                                    <th>{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_date columnFilter" data-modal="SearchByDateModal{{ $key }}"></i></th>
                                                @elseif( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'status' )
                                                    <th>{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_status columnFilter" data-modal="SearchByStatusModal{{ $key }}"></i></th>
                                                @endif
                                            @endif
                                        @else
                                            @if(config('settings.table_loads_active')[$key]['col_search'] == 0)
                                                <th class=" notsech">{{ config('settings.table_loads_active')[$key]['name'] }}</th>
                                            @else
                                                <th>{{ config('settings.table_loads_active')[$key]['name'] }}</th>
                                            @endif
                                        @endif
                                    @endif
                                @endforeach
                            </tr>
                        </thead>
                        <tbody class="loadTableBody"></tbody>
                    </table>
                </div>
            </div>
        </div>

        <div class="tab-pane fade" id="delivered" role="tabpanel" aria-labelledby="View-tab">
            <div class="white-box table-view">
                <h3 class="table-title">Loads</h3>
                <div class="table-responsive">
                    <table class="table delivered-data-table">
                        <thead>
                            <tr>
                                {{--@foreach($getField as $key => $filed)
                                    @if($filed == 1 && isset(config('settings.table_loads_active')[$key]['name']))
                                        @if(config('settings.table_loads_active')[$key]['col_search'] == 0)
                                            <th class=" notsech">{{ config('settings.table_loads_active')[$key]['name'] }}</th>
                                        @else
                                            <th>{{ config('settings.table_loads_active')[$key]['name'] }}</th>
                                        @endif
                                    @endif
                                @endforeach--}}

                                @foreach($getField as $key => $filed)
                                    @if($filed == 1 && isset(config('settings.table_loads_active')[$key]['name']))
                                        @if(isset(config('settings.table_loads_active')[$key]['searchBuilderType']))
                                            @if(config('settings.table_loads_active')[$key]['col_search'] == 0)
                                                @if( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'string' )
                                                    <th class=" notsech">{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_string columnFilter" data-modal="SearchByStringModal{{ $key }}"></i></th>
                                                @elseif( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'date' )
                                                    <th class=" notsech">{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_date columnFilter" data-modal="SearchByDateModal{{ $key }}"></i></th>
                                                @elseif( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'status' )
                                                    <th class=" notsech">{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_status columnFilter" data-modal="SearchByStatusModal{{ $key }}"></i></th>
                                                @endif
                                            @else
                                                @if( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'string' )
                                                    <th>{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_string columnFilter" data-modal="SearchByStringModal{{ $key }}"></i></th>
                                                @elseif( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'date' )
                                                    <th>{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_date columnFilter" data-modal="SearchByDateModal{{ $key }}"></i></th>
                                                @elseif( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'status' )
                                                    <th>{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_status columnFilter" data-modal="SearchByStatusModal{{ $key }}"></i></th>
                                                @endif
                                            @endif
                                        @else
                                            @if(config('settings.table_loads_active')[$key]['col_search'] == 0)
                                                <th class=" notsech">{{ config('settings.table_loads_active')[$key]['name'] }}</th>
                                            @else
                                                <th>{{ config('settings.table_loads_active')[$key]['name'] }}</th>
                                            @endif
                                        @endif
                                    @endif
                                @endforeach
                            </tr>
                        </thead>
                        <tbody class="loadTableBody"></tbody>
                    </table>
                </div>
            </div>
        </div>

        <div class="tab-pane fade" id="CompleteLoad" role="tabpanel" aria-labelledby="CompleteLoad-tab">
            <div class="white-box table-view">
                <h3 class="table-title">Loads</h3>
                <div class="table-responsive">
                    <table class="table complete-load-data-table">
                        <thead>
                            <tr>
                                {{--@foreach($getField as $key => $filed)
                                    @if($filed == 1 && isset(config('settings.table_loads_active')[$key]['name']))
                                        @if(config('settings.table_loads_active')[$key]['col_search'] == 0)
                                            <th class=" notsech">{{ config('settings.table_loads_active')[$key]['name'] }}</th>
                                        @else
                                            <th>{{ config('settings.table_loads_active')[$key]['name'] }}</th>
                                        @endif
                                    @endif
                                @endforeach--}}

                                @foreach($getField as $key => $filed)
                                    @if($filed == 1 && isset(config('settings.table_loads_active')[$key]['name']))
                                        @if(isset(config('settings.table_loads_active')[$key]['searchBuilderType']))
                                            @if(config('settings.table_loads_active')[$key]['col_search'] == 0)
                                                @if( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'string' )
                                                    <th class=" notsech">{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_string columnFilter" data-modal="SearchByStringModal{{ $key }}"></i></th>
                                                @elseif( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'date' )
                                                    <th class=" notsech">{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_date columnFilter" data-modal="SearchByDateModal{{ $key }}"></i></th>
                                                @elseif( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'status' )
                                                    <th class=" notsech">{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_status columnFilter" data-modal="SearchByStatusModal{{ $key }}"></i></th>
                                                @endif
                                            @else
                                                @if( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'string' )
                                                    <th>{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_string columnFilter" data-modal="SearchByStringModal{{ $key }}"></i></th>
                                                @elseif( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'date' )
                                                    <th>{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_date columnFilter" data-modal="SearchByDateModal{{ $key }}"></i></th>
                                                @elseif( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'status' )
                                                    <th>{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_status columnFilter" data-modal="SearchByStatusModal{{ $key }}"></i></th>
                                                @endif
                                            @endif
                                        @else
                                            @if(config('settings.table_loads_active')[$key]['col_search'] == 0)
                                                <th class=" notsech">{{ config('settings.table_loads_active')[$key]['name'] }}</th>
                                            @else
                                                <th>{{ config('settings.table_loads_active')[$key]['name'] }}</th>
                                            @endif
                                        @endif
                                    @endif
                                @endforeach
                            </tr>
                        </thead>
                        <tbody class="loadTableBody"></tbody>
                    </table>
                </div>
            </div>
        </div>

        <div class="tab-pane fade" id="onhold" role="tabpanel" aria-labelledby="onhold-tab">
            <div class="white-box table-view ">
                <h3 class="table-title">On Hold</h3>
                <div class="table-responsive">
                    <table class="table onhold-load-data-table">
                        <thead>
                            <tr>
                                {{--@foreach($getField as $key => $filed)
                                    @if($filed == 1 && isset(config('settings.table_loads_active')[$key]['name']))
                                        @if(config('settings.table_loads_active')[$key]['col_search'] == 0)
                                            <th class=" notsech">{{ config('settings.table_loads_active')[$key]['name'] }}</th>
                                        @else
                                            <th>{{ config('settings.table_loads_active')[$key]['name'] }}</th>
                                        @endif
                                    @endif
                                @endforeach--}}

                                @foreach($getField as $key => $filed)
                                    @if($filed == 1 && isset(config('settings.table_loads_active')[$key]['name']))
                                        @if(isset(config('settings.table_loads_active')[$key]['searchBuilderType']))
                                            @if(config('settings.table_loads_active')[$key]['col_search'] == 0)
                                                @if( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'string' )
                                                    <th class=" notsech">{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_string columnFilter" data-modal="SearchByStringModal{{ $key }}"></i></th>
                                                @elseif( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'date' )
                                                    <th class=" notsech">{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_date columnFilter" data-modal="SearchByDateModal{{ $key }}"></i></th>
                                                @elseif( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'status' )
                                                    <th class=" notsech">{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_status columnFilter" data-modal="SearchByStatusModal{{ $key }}"></i></th>
                                                @endif
                                            @else
                                                @if( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'string' )
                                                    <th>{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_string columnFilter" data-modal="SearchByStringModal{{ $key }}"></i></th>
                                                @elseif( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'date' )
                                                    <th>{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_date columnFilter" data-modal="SearchByDateModal{{ $key }}"></i></th>
                                                @elseif( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'status' )
                                                    <th>{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_status columnFilter" data-modal="SearchByStatusModal{{ $key }}"></i></th>
                                                @endif
                                            @endif
                                        @else
                                            @if(config('settings.table_loads_active')[$key]['col_search'] == 0)
                                                <th class=" notsech">{{ config('settings.table_loads_active')[$key]['name'] }}</th>
                                            @else
                                                <th>{{ config('settings.table_loads_active')[$key]['name'] }}</th>
                                            @endif
                                        @endif
                                    @endif
                                @endforeach
                            </tr>
                        </thead>
                        <tbody class="loadTableBody"></tbody>
                    </table>
                </div>
            </div>
        </div>

        <div class="tab-pane fade" id="Cancel" role="tabpanel" aria-labelledby="Cancel-tab">
            <div class="white-box table-view ">
                <h3 class="table-title">Loads</h3>
                <div class="table-responsive">
                    <table class="table cancel-load-data-table">
                        <thead>
                            <tr>
                                {{--@foreach($getField as $key => $filed)
                                    @if($filed == 1 && isset(config('settings.table_loads_active')[$key]['name']))
                                        @if(config('settings.table_loads_active')[$key]['col_search'] == 0)
                                            <th class=" notsech">{{ config('settings.table_loads_active')[$key]['name'] }}</th>
                                        @else
                                            <th>{{ config('settings.table_loads_active')[$key]['name'] }}</th>
                                        @endif
                                    @endif
                                @endforeach--}}

                                @foreach($getField as $key => $filed)
                                    @if($filed == 1 && isset(config('settings.table_loads_active')[$key]['name']))
                                        @if(isset(config('settings.table_loads_active')[$key]['searchBuilderType']))
                                            @if(config('settings.table_loads_active')[$key]['col_search'] == 0)
                                                @if( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'string' )
                                                    <th class=" notsech">{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_string columnFilter" data-modal="SearchByStringModal{{ $key }}"></i></th>
                                                @elseif( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'date' )
                                                    <th class=" notsech">{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_date columnFilter" data-modal="SearchByDateModal{{ $key }}"></i></th>
                                                @elseif( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'status' )
                                                    <th class=" notsech">{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_status columnFilter" data-modal="SearchByStatusModal{{ $key }}"></i></th>
                                                @endif
                                            @else
                                                @if( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'string' )
                                                    <th>{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_string columnFilter" data-modal="SearchByStringModal{{ $key }}"></i></th>
                                                @elseif( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'date' )
                                                    <th>{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_date columnFilter" data-modal="SearchByDateModal{{ $key }}"></i></th>
                                                @elseif( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'status' )
                                                    <th>{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_status columnFilter" data-modal="SearchByStatusModal{{ $key }}"></i></th>
                                                @endif
                                            @endif
                                        @else
                                            @if(config('settings.table_loads_active')[$key]['col_search'] == 0)
                                                <th class=" notsech">{{ config('settings.table_loads_active')[$key]['name'] }}</th>
                                            @else
                                                <th>{{ config('settings.table_loads_active')[$key]['name'] }}</th>
                                            @endif
                                        @endif
                                    @endif
                                @endforeach
                            </tr>
                        </thead>
                        <tbody class="loadTableBody"></tbody>
                    </table>
                </div>
            </div>
        </div>

        <div class="tab-pane fade" id="unoccupied" role="tabpanel" aria-labelledby="unoccupied-tab">
            <div class="white-box table-view ">
                <h3 class="table-title">Loads</h3>
                <div class="table-responsive">
                    <table class="table unoccupied-load-data-table">
                        <thead>
                            <tr>
                                {{--@foreach($getField as $key => $filed)
                                    @if($filed == 1 && isset(config('settings.table_loads_active')[$key]['name']))
                                        @if(config('settings.table_loads_active')[$key]['col_search'] == 0)
                                            <th class=" notsech">{{ config('settings.table_loads_active')[$key]['name'] }}</th>
                                        @else
                                            <th>{{ config('settings.table_loads_active')[$key]['name'] }}</th>
                                        @endif
                                    @endif
                                @endforeach--}}

                                @foreach($getField as $key => $filed)
                                    @if($filed == 1 && isset(config('settings.table_loads_active')[$key]['name']))
                                        @if(isset(config('settings.table_loads_active')[$key]['searchBuilderType']))
                                            @if(config('settings.table_loads_active')[$key]['col_search'] == 0)
                                                @if( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'string' )
                                                    <th class=" notsech">{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_string columnFilter" data-modal="SearchByStringModal{{ $key }}"></i></th>
                                                @elseif( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'date' )
                                                    <th class=" notsech">{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_date columnFilter" data-modal="SearchByDateModal{{ $key }}"></i></th>
                                                @elseif( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'status' )
                                                    <th class=" notsech">{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_status columnFilter" data-modal="SearchByStatusModal{{ $key }}"></i></th>
                                                @endif
                                            @else
                                                @if( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'string' )
                                                    <th>{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_string columnFilter" data-modal="SearchByStringModal{{ $key }}"></i></th>
                                                @elseif( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'date' )
                                                    <th>{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_date columnFilter" data-modal="SearchByDateModal{{ $key }}"></i></th>
                                                @elseif( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'status' )
                                                    <th>{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_status columnFilter" data-modal="SearchByStatusModal{{ $key }}"></i></th>
                                                @endif
                                            @endif
                                        @else
                                            @if(config('settings.table_loads_active')[$key]['col_search'] == 0)
                                                <th class=" notsech">{{ config('settings.table_loads_active')[$key]['name'] }}</th>
                                            @else
                                                <th>{{ config('settings.table_loads_active')[$key]['name'] }}</th>
                                            @endif
                                        @endif
                                    @endif
                                @endforeach
                            </tr>
                        </thead>
                        <tbody class="loadTableBody"></tbody>
                    </table>
                </div>
            </div>
        </div>

        <div class="tab-pane fade" id="allload" role="tabpanel" aria-labelledby="allload-tab">
            <div class="white-box table-view ">
                <h3 class="table-title">Loads</h3>
                <div class="table-responsive">
                    <table class="table allload-load-data-table">
                        <thead>
                            <tr>
                                {{--@foreach($getField as $key => $filed)
                                    @if($filed == 1 && isset(config('settings.table_loads_active')[$key]['name']))
                                        @if(config('settings.table_loads_active')[$key]['col_search'] == 0)
                                            <th class=" notsech">{{ config('settings.table_loads_active')[$key]['name'] }}</th>
                                        @else
                                            <th>{{ config('settings.table_loads_active')[$key]['name'] }}</th>
                                        @endif
                                    @endif
                                @endforeach--}}

                                @foreach($getField as $key => $filed)
                                    @if($filed == 1 && isset(config('settings.table_loads_active')[$key]['name']))
                                        @if(isset(config('settings.table_loads_active')[$key]['searchBuilderType']))
                                            @if(config('settings.table_loads_active')[$key]['col_search'] == 0)
                                                @if( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'string' )
                                                    <th class=" notsech">{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_string columnFilter" data-modal="SearchByStringModal{{ $key }}"></i></th>
                                                @elseif( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'date' )
                                                    <th class=" notsech">{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_date columnFilter" data-modal="SearchByDateModal{{ $key }}"></i></th>
                                                @elseif( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'status' )
                                                    <th class=" notsech">{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_status columnFilter" data-modal="SearchByStatusModal{{ $key }}"></i></th>
                                                @endif
                                            @else
                                                @if( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'string' )
                                                    <th>{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_string columnFilter" data-modal="SearchByStringModal{{ $key }}"></i></th>
                                                @elseif( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'date' )
                                                    <th>{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_date columnFilter" data-modal="SearchByDateModal{{ $key }}"></i></th>
                                                @elseif( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'status' )
                                                    <th>{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_status columnFilter" data-modal="SearchByStatusModal{{ $key }}"></i></th>
                                                @endif
                                            @endif
                                        @else
                                            @if(config('settings.table_loads_active')[$key]['col_search'] == 0)
                                                <th class=" notsech">{{ config('settings.table_loads_active')[$key]['name'] }}</th>
                                            @else
                                                <th>{{ config('settings.table_loads_active')[$key]['name'] }}</th>
                                            @endif
                                        @endif
                                    @endif
                                @endforeach
                            </tr>
                        </thead>
                        <tbody class="loadTableBody"></tbody>
                    </table>
                </div>
            </div>
        </div>

        <div class="tab-pane fade" id="oosapproval" role="tabpanel" aria-labelledby="oosapproval-tab">
            <div class="white-box table-view ">
                <h3 class="table-title">Loads</h3>
                <div class="table-responsive">
                    <table class="table oosapproval-load-data-table">
                        <thead>
                            <tr>
                                {{--@foreach($getField as $key => $filed)
                                    @if($filed == 1 && isset(config('settings.table_loads_active')[$key]['name']))
                                        @if(config('settings.table_loads_active')[$key]['col_search'] == 0)
                                            <th class=" notsech">{{ config('settings.table_loads_active')[$key]['name'] }}</th>
                                        @else
                                            <th>{{ config('settings.table_loads_active')[$key]['name'] }}</th>
                                        @endif
                                    @endif
                                @endforeach--}}

                                @foreach($getField as $key => $filed)
                                    @if($filed == 1 && isset(config('settings.table_loads_active')[$key]['name']))
                                        @if(isset(config('settings.table_loads_active')[$key]['searchBuilderType']))
                                            @if(config('settings.table_loads_active')[$key]['col_search'] == 0)
                                                @if( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'string' )
                                                    <th class=" notsech">{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_string columnFilter" data-modal="SearchByStringModal{{ $key }}"></i></th>
                                                @elseif( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'date' )
                                                    <th class=" notsech">{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_date columnFilter" data-modal="SearchByDateModal{{ $key }}"></i></th>
                                                @elseif( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'status' )
                                                    <th class=" notsech">{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_status columnFilter" data-modal="SearchByStatusModal{{ $key }}"></i></th>
                                                @endif
                                            @else
                                                @if( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'string' )
                                                    <th>{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_string columnFilter" data-modal="SearchByStringModal{{ $key }}"></i></th>
                                                @elseif( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'date' )
                                                    <th>{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_date columnFilter" data-modal="SearchByDateModal{{ $key }}"></i></th>
                                                @elseif( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'status' )
                                                    <th>{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_status columnFilter" data-modal="SearchByStatusModal{{ $key }}"></i></th>
                                                @endif
                                            @endif
                                        @else
                                            @if(config('settings.table_loads_active')[$key]['col_search'] == 0)
                                                <th class=" notsech">{{ config('settings.table_loads_active')[$key]['name'] }}</th>
                                            @else
                                                <th>{{ config('settings.table_loads_active')[$key]['name'] }}</th>
                                            @endif
                                        @endif
                                    @endif
                                @endforeach
                            </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            {!! Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')) !!}
                <input type="hidden" name="table_id" value="loads_active" />

                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Adjust Table Columns</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <ul class="sortableList connected-sortable droppable-area1" id="sortable">
                            @foreach($getField as $key => $filed)
                                @if(isset(config('settings.table_loads_active')[$key]['name']))
                                    <li class="ui-state-default">
                                        <div class="custom-control custom-checkbox">
                                            <input type='hidden' value='0' name='field[{{ $key }}]'>
                                            <input type="checkbox" class="custom-control-input" id="Check{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed == 1) checked @endif>
                                            <label class="custom-control-label" for="Check{{ $key }}">{{ config('settings.table_loads_active')[$key]['name'] }}</label>
                                        </div>
                                        <i class="fa fa-align-justify drag-icon"></i>
                                    </li>
                                @endif
                            @endforeach
                        </ul>
                    </div>
                    <div class="modal-footer">
                        <button type="submit" class="btn btn-primary">Save</button>
                    </div>
                </div>
            {!! Form::close() !!}
        </div>
    </div>
@endsection

@section('script')
<script src="https://code.jquery.com/ui/1.13.1/jquery-ui.js"></script>
<script>
    var tableActive = $('.data-table').DataTable({
        stateSave: true,
        bSortCellsTop: true,
        language: {
            search: "",
            searchPlaceholder: "Search...",
        },
        dom: "<'row cusotdiv'<'col-sm-5 col-md-6 cusotdiv2'fl>><''><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
        processing: true,
        serverSide: true,
        fixedHeader: true,
        ordering: false,
        pageLength: "{{ perPageView() }}",
        ajax: {
            url: "{{ route('company.admin.active.loads.index') }}",
            type:'POST',
            dataType: "json",
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            data: function (d) {
                <?php foreach($getField as $key => $filed): ?>
                    d.search_string_value_{{$key}}              = $('#search_string_{{$key}}').val();
                    d.search_string_name_{{$key}}               = $('#stringKey{{$key}}').val();
                    d.search_string_type_{{$key}}               = $('#stringType{{$key}}').val();
                    d.search_table_name_{{$key}}                = $('#stringTableType{{$key}}').val();
                    d.search_string_condition_{{$key}}          = $("input[type='radio'][name='condition{{$key}}']:checked").val();
                    d.search_string_sort_{{$key}}               = $("input[type='radio'][name='string_sort_{{$key}}']:checked").val();
                    d.search_string_relation_table_{{$key}}     = $('#stringRelationTable{{$key}}').val();
                    d.search_string_col_name1_{{$key}}          = $('#stringColName1{{$key}}').val();
                    d.search_string_col_name2_{{$key}}          = $('#stringColName2{{$key}}').val();
                    d.search_string_static_{{$key}}             = $('#stringStatic{{$key}}').val();

                    d.search_date_from_value_{{$key}}           = $('#search_date_{{$key}}').val();
                    d.search_date_to_value_{{$key}}             = $('#search_date_end_{{$key}}').val();
                    d.search_date_name_{{$key}}                 = $('#dateKey{{$key}}').val();
                    d.search_date_type_{{$key}}                 = $('#dateType{{$key}}').val();
                    d.search_date_table_name_{{$key}}           = $('#dateTableType{{$key}}').val();
                    d.search_date_condition_{{$key}}            = $("input[type='radio'][name='conditiondate{{$key}}']:checked").val();
                    d.search_date_sort_{{$key}}                 = $("input[type='radio'][name='date_sort_{{$key}}']:checked").val();

                    <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                        d.search_status_value_{{$key}}_{{$ke}}  = $("#conditionstatus_{{$key}}_{{$ke}}:checked").val();
                    <?php endforeach; ?>

                    d.search_status_condition_{{$key}}          = $('#is_status_condition_applied{{$key}}').val();
                    d.search_status_name_{{$key}}               = $('#statusOrgColName{{$key}}').val();
                    d.search_status_table_name_{{$key}}         = $('#statusTableType{{$key}}').val();
                    d.search_status_sort_{{$key}}               = $("input[type='radio'][name='status_sort_{{$key}}']:checked").val();
                    d.search_status_sort_column_{{$key}}        = $("#statusOrderColName{{$key}}").val();
                <?php endforeach; ?>
            },
            beforeSend: function () {
                if (typeof tableActive != 'undefined' && tableActive.hasOwnProperty('settings')) {
                    tableActive.settings()[0].jqXHR.abort();
                }
            }
        },
        columns: [
            <?php foreach($getField as $key => $filed): ?>
                <?php if($filed == 1): ?>
                    <?php if(isset(config('settings.table_loads_active')[$key]['name'])): ?>
                        <?php if(config("settings.table_loads_active")[$key]["orderable"] == 1 && config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                        <?php elseif(config("settings.table_loads_active")[$key]["orderable"] == 1): ?>
                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                        <?php elseif(config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                        <?php else: ?>
                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endif; ?>
            <?php endforeach; ?>
        ]
    });

    var table2      = $('.new-load-data-table').DataTable({
        stateSave: true,
        bSortCellsTop: true,
        language: {
            search: "",
            searchPlaceholder: "Search...",
        },
        dom: "<'row cusotdiv'<'col-sm-5 col-md-6'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
        processing: true,
        serverSide: true,
        fixedHeader: true,
        ordering: false,
        pageLength: "{{ perPageView() }}",
        // ajax: "{{ route('company.admin.new.loads.index') }}",
        ajax: {
            url: "{{ route('company.admin.new.loads.index') }}",
            type:'POST',
            dataType: "json",
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            data: function (d) {
                <?php foreach($getField as $key => $filed): ?>
                    d.search_string_value_{{$key}}              = $('#search_string_{{$key}}').val();
                    d.search_string_name_{{$key}}               = $('#stringKey{{$key}}').val();
                    d.search_string_type_{{$key}}               = $('#stringType{{$key}}').val();
                    d.search_table_name_{{$key}}                = $('#stringTableType{{$key}}').val();
                    d.search_string_condition_{{$key}}          = $("input[type='radio'][name='condition{{$key}}']:checked").val();
                    d.search_string_sort_{{$key}}               = $("input[type='radio'][name='string_sort_{{$key}}']:checked").val();
                    d.search_string_relation_table_{{$key}}     = $('#stringRelationTable{{$key}}').val();
                    d.search_string_col_name1_{{$key}}          = $('#stringColName1{{$key}}').val();
                    d.search_string_col_name2_{{$key}}          = $('#stringColName2{{$key}}').val();
                    d.search_string_static_{{$key}}             = $('#stringStatic{{$key}}').val();

                    d.search_date_from_value_{{$key}}           = $('#search_date_{{$key}}').val();
                    d.search_date_to_value_{{$key}}             = $('#search_date_end_{{$key}}').val();
                    d.search_date_name_{{$key}}                 = $('#dateKey{{$key}}').val();
                    d.search_date_type_{{$key}}                 = $('#dateType{{$key}}').val();
                    d.search_date_table_name_{{$key}}           = $('#dateTableType{{$key}}').val();
                    d.search_date_condition_{{$key}}            = $("input[type='radio'][name='conditiondate{{$key}}']:checked").val();
                    d.search_date_sort_{{$key}}                 = $("input[type='radio'][name='date_sort_{{$key}}']:checked").val();

                    <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                        d.search_status_value_{{$key}}_{{$ke}}  = $("#conditionstatus_{{$key}}_{{$ke}}:checked").val();
                    <?php endforeach; ?>

                    d.search_status_condition_{{$key}}          = $('#is_status_condition_applied{{$key}}').val();
                    d.search_status_name_{{$key}}               = $('#statusOrgColName{{$key}}').val();
                    d.search_status_table_name_{{$key}}         = $('#statusTableType{{$key}}').val();
                    d.search_status_sort_{{$key}}               = $("input[type='radio'][name='status_sort_{{$key}}']:checked").val();
                    d.search_status_sort_column_{{$key}}        = $("#statusOrderColName{{$key}}").val();
                <?php endforeach; ?>
            },
            beforeSend: function () {
                if (typeof table2 != 'undefined' && table2.hasOwnProperty('settings')) {
                    table2.settings()[0].jqXHR.abort();
                }
            }
        },
        columns: [
            <?php foreach($getField as $key => $filed): ?>
                <?php if($filed == 1): ?>
                    <?php if(isset(config('settings.table_loads_active')[$key]['name'])): ?>
                        <?php if(config("settings.table_loads_active")[$key]["orderable"] == 1 && config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                        <?php elseif(config("settings.table_loads_active")[$key]["orderable"] == 1): ?>
                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                        <?php elseif(config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                        <?php else: ?>
                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endif; ?>
            <?php endforeach; ?>
        ]
    });

    var table3      = $('.delivered-data-table').DataTable({
        stateSave: true,
        bSortCellsTop: true,
        language: {
            search: "",
            searchPlaceholder: "Search...",
        },
        dom: "<'row cusotdiv'<'col-sm-5 col-md-6'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
        processing: true,
        serverSide: true,
        fixedHeader: true,
        ordering: false,
        pageLength: "{{ perPageView() }}",
        // ajax: "{{ route('company.admin.delivered.loads.index') }}",
        ajax: {
            url: "{{ route('company.admin.delivered.loads.index') }}",
            type:'POST',
            dataType: "json",
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            data: function (d) {
                <?php foreach($getField as $key => $filed): ?>
                    d.search_string_value_{{$key}}              = $('#search_string_{{$key}}').val();
                    d.search_string_name_{{$key}}               = $('#stringKey{{$key}}').val();
                    d.search_string_type_{{$key}}               = $('#stringType{{$key}}').val();
                    d.search_table_name_{{$key}}                = $('#stringTableType{{$key}}').val();
                    d.search_string_condition_{{$key}}          = $("input[type='radio'][name='condition{{$key}}']:checked").val();
                    d.search_string_sort_{{$key}}               = $("input[type='radio'][name='string_sort_{{$key}}']:checked").val();
                    d.search_string_relation_table_{{$key}}     = $('#stringRelationTable{{$key}}').val();
                    d.search_string_col_name1_{{$key}}          = $('#stringColName1{{$key}}').val();
                    d.search_string_col_name2_{{$key}}          = $('#stringColName2{{$key}}').val();
                    d.search_string_static_{{$key}}             = $('#stringStatic{{$key}}').val();

                    d.search_date_from_value_{{$key}}           = $('#search_date_{{$key}}').val();
                    d.search_date_to_value_{{$key}}             = $('#search_date_end_{{$key}}').val();
                    d.search_date_name_{{$key}}                 = $('#dateKey{{$key}}').val();
                    d.search_date_type_{{$key}}                 = $('#dateType{{$key}}').val();
                    d.search_date_table_name_{{$key}}           = $('#dateTableType{{$key}}').val();
                    d.search_date_condition_{{$key}}            = $("input[type='radio'][name='conditiondate{{$key}}']:checked").val();
                    d.search_date_sort_{{$key}}                 = $("input[type='radio'][name='date_sort_{{$key}}']:checked").val();

                    <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                        d.search_status_value_{{$key}}_{{$ke}}  = $("#conditionstatus_{{$key}}_{{$ke}}:checked").val();
                    <?php endforeach; ?>

                    d.search_status_condition_{{$key}}          = $('#is_status_condition_applied{{$key}}').val();
                    d.search_status_name_{{$key}}               = $('#statusOrgColName{{$key}}').val();
                    d.search_status_table_name_{{$key}}         = $('#statusTableType{{$key}}').val();
                    d.search_status_sort_{{$key}}               = $("input[type='radio'][name='status_sort_{{$key}}']:checked").val();
                    d.search_status_sort_column_{{$key}}        = $("#statusOrderColName{{$key}}").val();
                <?php endforeach; ?>
            },
            beforeSend: function () {
                if (typeof table3 != 'undefined' && table3.hasOwnProperty('settings')) {
                    table3.settings()[0].jqXHR.abort();
                }
            }
        },
        columns: [
            <?php foreach($getField as $key => $filed): ?>
                <?php if($filed == 1): ?>
                    <?php if(isset(config('settings.table_loads_active')[$key]['name'])): ?>
                        <?php if(config("settings.table_loads_active")[$key]["orderable"] == 1 && config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                        <?php elseif(config("settings.table_loads_active")[$key]["orderable"] == 1): ?>
                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                        <?php elseif(config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                        <?php else: ?>
                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endif; ?>
            <?php endforeach; ?>
        ]
    });

    var table4      = $('.complete-load-data-table').DataTable({
        stateSave: true,
        bSortCellsTop: true,
        language: {
            search: "",
            searchPlaceholder: "Search...",
        },
        dom: "<'row cusotdiv'<'col-sm-5 col-md-6'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
        processing: true,
        serverSide: true,
        fixedHeader: true,
        ordering: false,
        pageLength: "{{ perPageView() }}",
        // ajax: "{{ route('company.admin.complete.loads.index') }}",
        ajax: {
            url: "{{ route('company.admin.complete.loads.index') }}",
            type:'POST',
            dataType: "json",
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            data: function (d) {
                <?php foreach($getField as $key => $filed): ?>
                    d.search_string_value_{{$key}}              = $('#search_string_{{$key}}').val();
                    d.search_string_name_{{$key}}               = $('#stringKey{{$key}}').val();
                    d.search_string_type_{{$key}}               = $('#stringType{{$key}}').val();
                    d.search_table_name_{{$key}}                = $('#stringTableType{{$key}}').val();
                    d.search_string_condition_{{$key}}          = $("input[type='radio'][name='condition{{$key}}']:checked").val();
                    d.search_string_sort_{{$key}}               = $("input[type='radio'][name='string_sort_{{$key}}']:checked").val();
                    d.search_string_relation_table_{{$key}}     = $('#stringRelationTable{{$key}}').val();
                    d.search_string_col_name1_{{$key}}          = $('#stringColName1{{$key}}').val();
                    d.search_string_col_name2_{{$key}}          = $('#stringColName2{{$key}}').val();
                    d.search_string_static_{{$key}}             = $('#stringStatic{{$key}}').val();

                    d.search_date_from_value_{{$key}}           = $('#search_date_{{$key}}').val();
                    d.search_date_to_value_{{$key}}             = $('#search_date_end_{{$key}}').val();
                    d.search_date_name_{{$key}}                 = $('#dateKey{{$key}}').val();
                    d.search_date_type_{{$key}}                 = $('#dateType{{$key}}').val();
                    d.search_date_table_name_{{$key}}           = $('#dateTableType{{$key}}').val();
                    d.search_date_condition_{{$key}}            = $("input[type='radio'][name='conditiondate{{$key}}']:checked").val();
                    d.search_date_sort_{{$key}}                 = $("input[type='radio'][name='date_sort_{{$key}}']:checked").val();

                    <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                        d.search_status_value_{{$key}}_{{$ke}}  = $("#conditionstatus_{{$key}}_{{$ke}}:checked").val();
                    <?php endforeach; ?>

                    d.search_status_condition_{{$key}}          = $('#is_status_condition_applied{{$key}}').val();
                    d.search_status_name_{{$key}}               = $('#statusOrgColName{{$key}}').val();
                    d.search_status_table_name_{{$key}}         = $('#statusTableType{{$key}}').val();
                    d.search_status_sort_{{$key}}               = $("input[type='radio'][name='status_sort_{{$key}}']:checked").val();
                    d.search_status_sort_column_{{$key}}        = $("#statusOrderColName{{$key}}").val();
                <?php endforeach; ?>
            },
            beforeSend: function () {
                if (typeof table4 != 'undefined' && table4.hasOwnProperty('settings')) {
                    table4.settings()[0].jqXHR.abort();
                }
            }
        },
        columns: [
            <?php foreach($getField as $key => $filed): ?>
                <?php if($filed == 1): ?>
                    <?php if(isset(config('settings.table_loads_active')[$key]['name'])): ?>
                        <?php if(config("settings.table_loads_active")[$key]["orderable"] == 1 && config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                        <?php elseif(config("settings.table_loads_active")[$key]["orderable"] == 1): ?>
                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                        <?php elseif(config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                        <?php else: ?>
                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endif; ?>
            <?php endforeach; ?>
        ]
    });

    var table5      = $('.onhold-load-data-table').DataTable({
        stateSave: true,
        bSortCellsTop: true,
        language: {
            search: "",
            searchPlaceholder: "Search...",
        },
        dom: "<'row cusotdiv'<'col-sm-5 col-md-6'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
        processing: true,
        serverSide: true,
        fixedHeader: true,
        ordering: false,
        pageLength: "{{ perPageView() }}",
        // ajax: "{{ route('company.admin.onhold.loads.index') }}",
        ajax: {
            url: "{{ route('company.admin.onhold.loads.index') }}",
            type:'POST',
            dataType: "json",
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            data: function (d) {
                <?php foreach($getField as $key => $filed): ?>
                    d.search_string_value_{{$key}}              = $('#search_string_{{$key}}').val();
                    d.search_string_name_{{$key}}               = $('#stringKey{{$key}}').val();
                    d.search_string_type_{{$key}}               = $('#stringType{{$key}}').val();
                    d.search_table_name_{{$key}}                = $('#stringTableType{{$key}}').val();
                    d.search_string_condition_{{$key}}          = $("input[type='radio'][name='condition{{$key}}']:checked").val();
                    d.search_string_sort_{{$key}}               = $("input[type='radio'][name='string_sort_{{$key}}']:checked").val();
                    d.search_string_relation_table_{{$key}}     = $('#stringRelationTable{{$key}}').val();
                    d.search_string_col_name1_{{$key}}          = $('#stringColName1{{$key}}').val();
                    d.search_string_col_name2_{{$key}}          = $('#stringColName2{{$key}}').val();
                    d.search_string_static_{{$key}}             = $('#stringStatic{{$key}}').val();

                    d.search_date_from_value_{{$key}}           = $('#search_date_{{$key}}').val();
                    d.search_date_to_value_{{$key}}             = $('#search_date_end_{{$key}}').val();
                    d.search_date_name_{{$key}}                 = $('#dateKey{{$key}}').val();
                    d.search_date_type_{{$key}}                 = $('#dateType{{$key}}').val();
                    d.search_date_table_name_{{$key}}           = $('#dateTableType{{$key}}').val();
                    d.search_date_condition_{{$key}}            = $("input[type='radio'][name='conditiondate{{$key}}']:checked").val();
                    d.search_date_sort_{{$key}}                 = $("input[type='radio'][name='date_sort_{{$key}}']:checked").val();

                    <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                        d.search_status_value_{{$key}}_{{$ke}}  = $("#conditionstatus_{{$key}}_{{$ke}}:checked").val();
                    <?php endforeach; ?>

                    d.search_status_condition_{{$key}}          = $('#is_status_condition_applied{{$key}}').val();
                    d.search_status_name_{{$key}}               = $('#statusOrgColName{{$key}}').val();
                    d.search_status_table_name_{{$key}}         = $('#statusTableType{{$key}}').val();
                    d.search_status_sort_{{$key}}               = $("input[type='radio'][name='status_sort_{{$key}}']:checked").val();
                    d.search_status_sort_column_{{$key}}        = $("#statusOrderColName{{$key}}").val();
                <?php endforeach; ?>
            },
            beforeSend: function () {
                if (typeof table5 != 'undefined' && table5.hasOwnProperty('settings')) {
                    table5.settings()[0].jqXHR.abort();
                }
            }
        },
        columns: [
            <?php foreach($getField as $key => $filed): ?>
                <?php if($filed == 1): ?>
                    <?php if(isset(config('settings.table_loads_active')[$key]['name'])): ?>
                        <?php if(config("settings.table_loads_active")[$key]["orderable"] == 1 && config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                        <?php elseif(config("settings.table_loads_active")[$key]["orderable"] == 1): ?>
                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                        <?php elseif(config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                        <?php else: ?>
                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endif; ?>
            <?php endforeach; ?>
        ]
    });

    var table6      = $('.cancel-load-data-table').DataTable({
        stateSave: true,
        bSortCellsTop: true,
        language: {
            search: "",
            searchPlaceholder: "Search...",
        },
        dom: "<'row cusotdiv'<'col-sm-5 col-md-6'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
        processing: true,
        serverSide: true,
        fixedHeader: true,
        ordering: false,
        pageLength: "{{ perPageView() }}",
        // ajax: "{{ route('company.admin.cancel.loads.index') }}",
        ajax: {
            url: "{{ route('company.admin.cancel.loads.index') }}",
            type:'POST',
            dataType: "json",
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            data: function (d) {
                <?php foreach($getField as $key => $filed): ?>
                    d.search_string_value_{{$key}}              = $('#search_string_{{$key}}').val();
                    d.search_string_name_{{$key}}               = $('#stringKey{{$key}}').val();
                    d.search_string_type_{{$key}}               = $('#stringType{{$key}}').val();
                    d.search_table_name_{{$key}}                = $('#stringTableType{{$key}}').val();
                    d.search_string_condition_{{$key}}          = $("input[type='radio'][name='condition{{$key}}']:checked").val();
                    d.search_string_sort_{{$key}}               = $("input[type='radio'][name='string_sort_{{$key}}']:checked").val();
                    d.search_string_relation_table_{{$key}}     = $('#stringRelationTable{{$key}}').val();
                    d.search_string_col_name1_{{$key}}          = $('#stringColName1{{$key}}').val();
                    d.search_string_col_name2_{{$key}}          = $('#stringColName2{{$key}}').val();
                    d.search_string_static_{{$key}}             = $('#stringStatic{{$key}}').val();

                    d.search_date_from_value_{{$key}}           = $('#search_date_{{$key}}').val();
                    d.search_date_to_value_{{$key}}             = $('#search_date_end_{{$key}}').val();
                    d.search_date_name_{{$key}}                 = $('#dateKey{{$key}}').val();
                    d.search_date_type_{{$key}}                 = $('#dateType{{$key}}').val();
                    d.search_date_table_name_{{$key}}           = $('#dateTableType{{$key}}').val();
                    d.search_date_condition_{{$key}}            = $("input[type='radio'][name='conditiondate{{$key}}']:checked").val();
                    d.search_date_sort_{{$key}}                 = $("input[type='radio'][name='date_sort_{{$key}}']:checked").val();

                    <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                        d.search_status_value_{{$key}}_{{$ke}}  = $("#conditionstatus_{{$key}}_{{$ke}}:checked").val();
                    <?php endforeach; ?>

                    d.search_status_condition_{{$key}}          = $('#is_status_condition_applied{{$key}}').val();
                    d.search_status_name_{{$key}}               = $('#statusOrgColName{{$key}}').val();
                    d.search_status_table_name_{{$key}}         = $('#statusTableType{{$key}}').val();
                    d.search_status_sort_{{$key}}               = $("input[type='radio'][name='status_sort_{{$key}}']:checked").val();
                    d.search_status_sort_column_{{$key}}        = $("#statusOrderColName{{$key}}").val();
                <?php endforeach; ?>
            },
            beforeSend: function () {
                if (typeof table6 != 'undefined' && table6.hasOwnProperty('settings')) {
                    table6.settings()[0].jqXHR.abort();
                }
            }
        },
        columns: [
            <?php foreach($getField as $key => $filed): ?>
                <?php if($filed == 1): ?>
                    <?php if(isset(config('settings.table_loads_active')[$key]['name'])): ?>
                        <?php if(config("settings.table_loads_active")[$key]["orderable"] == 1 && config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                        <?php elseif(config("settings.table_loads_active")[$key]["orderable"] == 1): ?>
                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                        <?php elseif(config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                        <?php else: ?>
                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endif; ?>
            <?php endforeach; ?>
        ]
    });

    var table7      = $('.unoccupied-load-data-table').DataTable({
        stateSave: true,
        bSortCellsTop: true,
        language: {
            search: "",
            searchPlaceholder: "Search...",
        },
        dom: "<'row cusotdiv'<'col-sm-5 col-md-6'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
        processing: true,
        serverSide: true,
        fixedHeader: true,
        ordering: false,
        pageLength: "{{ perPageView() }}",
        // ajax: "{{ route('company.admin.unoccupied.loads.index') }}",
        ajax: {
            url: "{{ route('company.admin.unoccupied.loads.index') }}",
            type:'POST',
            dataType: "json",
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            data: function (d) {
                <?php foreach($getField as $key => $filed): ?>
                    d.search_string_value_{{$key}}              = $('#search_string_{{$key}}').val();
                    d.search_string_name_{{$key}}               = $('#stringKey{{$key}}').val();
                    d.search_string_type_{{$key}}               = $('#stringType{{$key}}').val();
                    d.search_table_name_{{$key}}                = $('#stringTableType{{$key}}').val();
                    d.search_string_condition_{{$key}}          = $("input[type='radio'][name='condition{{$key}}']:checked").val();
                    d.search_string_sort_{{$key}}               = $("input[type='radio'][name='string_sort_{{$key}}']:checked").val();
                    d.search_string_relation_table_{{$key}}     = $('#stringRelationTable{{$key}}').val();
                    d.search_string_col_name1_{{$key}}          = $('#stringColName1{{$key}}').val();
                    d.search_string_col_name2_{{$key}}          = $('#stringColName2{{$key}}').val();
                    d.search_string_static_{{$key}}             = $('#stringStatic{{$key}}').val();

                    d.search_date_from_value_{{$key}}           = $('#search_date_{{$key}}').val();
                    d.search_date_to_value_{{$key}}             = $('#search_date_end_{{$key}}').val();
                    d.search_date_name_{{$key}}                 = $('#dateKey{{$key}}').val();
                    d.search_date_type_{{$key}}                 = $('#dateType{{$key}}').val();
                    d.search_date_table_name_{{$key}}           = $('#dateTableType{{$key}}').val();
                    d.search_date_condition_{{$key}}            = $("input[type='radio'][name='conditiondate{{$key}}']:checked").val();
                    d.search_date_sort_{{$key}}                 = $("input[type='radio'][name='date_sort_{{$key}}']:checked").val();

                    <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                        d.search_status_value_{{$key}}_{{$ke}}  = $("#conditionstatus_{{$key}}_{{$ke}}:checked").val();
                    <?php endforeach; ?>

                    d.search_status_condition_{{$key}}          = $('#is_status_condition_applied{{$key}}').val();
                    d.search_status_name_{{$key}}               = $('#statusOrgColName{{$key}}').val();
                    d.search_status_table_name_{{$key}}         = $('#statusTableType{{$key}}').val();
                    d.search_status_sort_{{$key}}               = $("input[type='radio'][name='status_sort_{{$key}}']:checked").val();
                    d.search_status_sort_column_{{$key}}        = $("#statusOrderColName{{$key}}").val();
                <?php endforeach; ?>
            },
            beforeSend: function () {
                if (typeof table7 != 'undefined' && table7.hasOwnProperty('settings')) {
                    table7.settings()[0].jqXHR.abort();
                }
            }
        },
        columns: [
            <?php foreach($getField as $key => $filed): ?>
                <?php if($filed == 1): ?>
                    <?php if(isset(config('settings.table_loads_active')[$key]['name'])): ?>
                        <?php if(config("settings.table_loads_active")[$key]["orderable"] == 1 && config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                        <?php elseif(config("settings.table_loads_active")[$key]["orderable"] == 1): ?>
                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                        <?php elseif(config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                        <?php else: ?>
                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endif; ?>
            <?php endforeach; ?>
        ]
    });

    var table8      = $('.allload-load-data-table').DataTable({
        stateSave: true,
        bSortCellsTop: true,
        language: {
            search: "",
            searchPlaceholder: "Search...",
        },
        dom: "<'row cusotdiv'<'col-sm-5 col-md-6'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
        processing: true,
        serverSide: true,
        fixedHeader: true,
        ordering: false,
        pageLength: "{{ perPageView() }}",
        // ajax: "{{ route('company.admin.allload.loads.index') }}",
        ajax: {
            url: "{{ route('company.admin.allload.loads.index') }}",
            type:'POST',
            dataType: "json",
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            data: function (d) {
                <?php foreach($getField as $key => $filed): ?>
                    d.search_string_value_{{$key}}              = $('#search_string_{{$key}}').val();
                    d.search_string_name_{{$key}}               = $('#stringKey{{$key}}').val();
                    d.search_string_type_{{$key}}               = $('#stringType{{$key}}').val();
                    d.search_table_name_{{$key}}                = $('#stringTableType{{$key}}').val();
                    d.search_string_condition_{{$key}}          = $("input[type='radio'][name='condition{{$key}}']:checked").val();
                    d.search_string_sort_{{$key}}               = $("input[type='radio'][name='string_sort_{{$key}}']:checked").val();
                    d.search_string_relation_table_{{$key}}     = $('#stringRelationTable{{$key}}').val();
                    d.search_string_col_name1_{{$key}}          = $('#stringColName1{{$key}}').val();
                    d.search_string_col_name2_{{$key}}          = $('#stringColName2{{$key}}').val();
                    d.search_string_static_{{$key}}             = $('#stringStatic{{$key}}').val();

                    d.search_date_from_value_{{$key}}           = $('#search_date_{{$key}}').val();
                    d.search_date_to_value_{{$key}}             = $('#search_date_end_{{$key}}').val();
                    d.search_date_name_{{$key}}                 = $('#dateKey{{$key}}').val();
                    d.search_date_type_{{$key}}                 = $('#dateType{{$key}}').val();
                    d.search_date_table_name_{{$key}}           = $('#dateTableType{{$key}}').val();
                    d.search_date_condition_{{$key}}            = $("input[type='radio'][name='conditiondate{{$key}}']:checked").val();
                    d.search_date_sort_{{$key}}                 = $("input[type='radio'][name='date_sort_{{$key}}']:checked").val();

                    <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                        d.search_status_value_{{$key}}_{{$ke}}  = $("#conditionstatus_{{$key}}_{{$ke}}:checked").val();
                    <?php endforeach; ?>

                    d.search_status_condition_{{$key}}          = $('#is_status_condition_applied{{$key}}').val();
                    d.search_status_name_{{$key}}               = $('#statusOrgColName{{$key}}').val();
                    d.search_status_table_name_{{$key}}         = $('#statusTableType{{$key}}').val();
                    d.search_status_sort_{{$key}}               = $("input[type='radio'][name='status_sort_{{$key}}']:checked").val();
                    d.search_status_sort_column_{{$key}}        = $("#statusOrderColName{{$key}}").val();
                <?php endforeach; ?>
            },
            beforeSend: function () {
                if (typeof table8 != 'undefined' && table8.hasOwnProperty('settings')) {
                    table8.settings()[0].jqXHR.abort();
                }
            }
        },
        columns: [
            <?php foreach($getField as $key => $filed): ?>
                <?php if($filed == 1): ?>
                    <?php if(isset(config('settings.table_loads_active')[$key]['name'])): ?>
                        <?php if(config("settings.table_loads_active")[$key]["orderable"] == 1 && config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                        <?php elseif(config("settings.table_loads_active")[$key]["orderable"] == 1): ?>
                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                        <?php elseif(config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                        <?php else: ?>
                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endif; ?>
            <?php endforeach; ?>
        ]
    });

    var table9      = $('.oosapproval-load-data-table').DataTable({
        stateSave: true,
        bSortCellsTop: true,
        language: {
            search: "",
            searchPlaceholder: "Search...",
        },
        dom: "<'row cusotdiv'<'col-sm-5 col-md-6'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
        processing: true,
        serverSide: true,
        fixedHeader: true,
        ordering: false,
        pageLength: "{{ perPageView() }}",
        // ajax: "{{ route('company.admin.oos.pending.loads.index') }}",
        ajax: {
            url: "{{ route('company.admin.oos.pending.loads.index') }}",
            type:'POST',
            dataType: "json",
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            data: function (d) {
                <?php foreach($getField as $key => $filed): ?>
                    d.search_string_value_{{$key}}              = $('#search_string_{{$key}}').val();
                    d.search_string_name_{{$key}}               = $('#stringKey{{$key}}').val();
                    d.search_string_type_{{$key}}               = $('#stringType{{$key}}').val();
                    d.search_table_name_{{$key}}                = $('#stringTableType{{$key}}').val();
                    d.search_string_condition_{{$key}}          = $("input[type='radio'][name='condition{{$key}}']:checked").val();
                    d.search_string_sort_{{$key}}               = $("input[type='radio'][name='string_sort_{{$key}}']:checked").val();
                    d.search_string_relation_table_{{$key}}     = $('#stringRelationTable{{$key}}').val();
                    d.search_string_col_name1_{{$key}}          = $('#stringColName1{{$key}}').val();
                    d.search_string_col_name2_{{$key}}          = $('#stringColName2{{$key}}').val();
                    d.search_string_static_{{$key}}             = $('#stringStatic{{$key}}').val();

                    d.search_date_from_value_{{$key}}           = $('#search_date_{{$key}}').val();
                    d.search_date_to_value_{{$key}}             = $('#search_date_end_{{$key}}').val();
                    d.search_date_name_{{$key}}                 = $('#dateKey{{$key}}').val();
                    d.search_date_type_{{$key}}                 = $('#dateType{{$key}}').val();
                    d.search_date_table_name_{{$key}}           = $('#dateTableType{{$key}}').val();
                    d.search_date_condition_{{$key}}            = $("input[type='radio'][name='conditiondate{{$key}}']:checked").val();
                    d.search_date_sort_{{$key}}                 = $("input[type='radio'][name='date_sort_{{$key}}']:checked").val();

                    <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                        d.search_status_value_{{$key}}_{{$ke}}  = $("#conditionstatus_{{$key}}_{{$ke}}:checked").val();
                    <?php endforeach; ?>

                    d.search_status_condition_{{$key}}          = $('#is_status_condition_applied{{$key}}').val();
                    d.search_status_name_{{$key}}               = $('#statusOrgColName{{$key}}').val();
                    d.search_status_table_name_{{$key}}         = $('#statusTableType{{$key}}').val();
                    d.search_status_sort_{{$key}}               = $("input[type='radio'][name='status_sort_{{$key}}']:checked").val();
                    d.search_status_sort_column_{{$key}}        = $("#statusOrderColName{{$key}}").val();
                <?php endforeach; ?>
            },
            beforeSend: function () {
                if (typeof table9 != 'undefined' && table9.hasOwnProperty('settings')) {
                    table9.settings()[0].jqXHR.abort();
                }
            }
        },
        columns: [
            <?php foreach($getField as $key => $filed): ?>
                <?php if($filed == 1): ?>
                    <?php if(isset(config('settings.table_loads_active')[$key]['name'])): ?>
                        <?php if(config("settings.table_loads_active")[$key]["orderable"] == 1 && config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                        <?php elseif(config("settings.table_loads_active")[$key]["orderable"] == 1): ?>
                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                        <?php elseif(config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                        <?php else: ?>
                            { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endif; ?>
            <?php endforeach; ?>
        ]
    });

    $('<a type="button" class="refreshAll btn btn-primary ml-3"><i class="fa fa-refresh"></i> Refresh</a>').prependTo(".dataTables_filter");
    $('<a type="button" id="clearAll{{str_replace("settings.","",$tableName)}}" class="clearAll filter_{{str_replace("settings.","",$tableName)}} d-none btn btn-orange ml-3 {{str_replace("settings.","",$tableName)}}">Clear filters</a>').prependTo(".dataTables_filter");

    $('<button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal">Columns</button>').appendTo(".cusotdiv");

    $( function() {
        $("#sortable").sortable();
    });

    $(document).ready( function() {
        $(document).on( 'click', '.changeLoadTab', function(e) {
            e.preventDefault();

            // $(".loadTableBody").empty();
            clearTables();

            var getTableName        = $("#getTableName").val();
            var getLastActiveTable  = $("#lastActiveTable").val();
            var getTableVar         = $(this).data('table');

            $('.filter_'+getTableName).addClass("d-none");
            $('.columnFilter').removeClass("filter_icon_orange");

            $('.generalModel input[type=checkbox]').prop('checked', false);
            $('.generalModel input[type=radio]').prop('checked', false);
            $('.searchStringClass').val('');
            $('.filterfromdate').val('');
            $('.filtertodate').val('');

            $("#search_string_section").addClass('d-none');
            $("#search_date_section").addClass('d-none');
            $("#search_date_end_section").addClass('d-none');

            drawTables();
        });
    });
</script>
@endsection
