@extends($companyAdminTheme)

@section('title')
    Load Show
@endsection

@section('style')
    <link rel="stylesheet" type="text/css" href="{{ asset('theme/css/datepicker3.min.css') }}">
    <link rel="stylesheet" href="{{ asset('theme/css/bootstrap-datetimepicker.min.css') }}">
    <link rel="stylesheet" href="{{ asset('theme/css/select2.min.css') }}">
    <style type="text/css">
    	.load-btn label{
    		width: 99px !important;
    	}
        .select2-container{
            width: 100% !important;
        }
        .select2-container .select2-selection--single{
            height: 35px;
        }
        .select2-container--default .select2-selection--single{
            border: 1px solid #C5CEE0;
        }
        .select2-container--default .select2-selection--single .select2-selection__rendered{
            line-height: 34px;
        }
        .select2-container--default .select2-selection--single .select2-selection__arrow{
            height: 31px;
        }
        .broker-search .select2-selection__arrow{
            display: none;
        }
    </style>
    <style type="text/css">
        .split-button-bottom{
            /*margin-top: 5px;*/
        }
        .split-button-bottom .cancel-btn {
            background-color: #e02020;
        }
        .split-button-bottom .submit-btn {
            background-color: #6dd400;
        }
        .split-button-bottom a, .split-button-bottom button{
            height: 33px;
            font-size: 15px;
            color: #ffffff;
            font-family: 'Open Sans', sans-serif;
            border: 0;
            font-weight: 600;
            width: 100%;
            border-radius: 5px;
            display: flex;
            align-items: center;
            justify-content: center;
        }
        .split-btn{
            font-size: 13px;
            font-family: 'Open Sans', sans-serif;
            font-weight: 600;
            background-color: #6dd400;
            border: 0;
            border-radius: 5px;
            min-width: 100px;
        }
        .reason-on-hold{
            border: 1px solid #000000;
            resize: none;
            width: 100%;
            border-radius: 0;
        }
        h5 {
            font-size: 18px;
        }
    </style>
@endsection

@section('content')
    <div class="load-wrapper">
        <div class="row">
            <div class="col-md-12">
                <div class="white-box mb-4">
                    <h4 class="box-title">Load Information</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label>Driver</label>
                                    @if(isset(getDriverListByCompany(auth()->guard('company-admin')->user()->company_id)[$loadDetail->driver_id]))
                                        <h5>{{ getDriverListByCompany(auth()->guard('company-admin')->user()->company_id)[$loadDetail->driver_id] }}</h5>
                                    @else
                                        <h5>Not Found</h5>
                                    @endif

                                </div>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label>Self Dispatch</label><br>
                                    @if ($loadDetail->self_dispatch == 0)
                                        <label class="badge badge-danger text-white">No</label>
                                    @else
                                        <label class="badge badge-success text-white">Yes</label>
                                    @endif
                                </div>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label>Booked By</label>
                                    <h5>{{ getCompanyAdminListByCompany(auth()->guard('company-admin')->user()->company_id)[$loadDetail->booked_by] ?? '-' }}</h5>
                                </div>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label>Submitted By</label>
                                    <h5>{{ $loadDetail->company_admin->full_name }}</h5>
                                </div>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group load-type">
                                    <label>Load Type</label>
                                    <h5>{{ getLoadTypeList()[$loadDetail->load_type] ?? '-' }}</h5>
                                </div>
                            </div>
                            @if(hasPermission(config('settings.company_admin_modules.loads'),config('settings.permissions.edit')))
                            <div class="col-md-2 text-right anabocbu mt-2">
                                <a href="{{ route('company.admin.loads.edit', base64Encode($loadDetail->load_id)) }}" class="btn btn-success editactoin mr-2">Edit</a>
                            </div>
                            @endif
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-12">
                <div class="white-box mb-4 load-status spl-value">
                    <h4 class="box-title">Load Status</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-sm-6 col-md-6 col-lg-2">
                                <div class="form-group">
                                    <label>Status</label>
                                    <h5>{{ getLoadStatus($loadDetail->load_status,$loadDetail->is_on_hold) }}</h5>
                                </div>
                            </div>
                            @if ($loadDetail->load_status == 7)
                                <div class="col-sm-6 col-md-6 col-lg-8">
                                    <div class="form-group">
                                        <label>Reason For On Hold</label>
                                        <h5>{{ $loadDetail->reason_on_hold }}</h5>
                                    </div>
                                </div>
                            @endif
                            @if ($loadDetail->load_status == 9)
                                @if ($loadDetail->preplaned_driver_acknowledgement == 2)
                                    <div class="col-sm-6 col-md-6 col-lg-3">
                                        <div class="form-group">
                                            <label>Reason For Rejected</label>
                                            <h5>{{ $loadDetail->preplaned_reason_rejected }}</h5>
                                        </div>
                                    </div>
                                    <div class="col-sm-6 col-md-6 col-lg-3">
                                        <div class="form-group">
                                            <label>Rejected By</label>
                                            <h5>{{ $loadDetail->preplaned_rejected_user->full_name }}</h5>
                                        </div>
                                    </div>
                                @elseif ($loadDetail->confirmed_driver_acknowledgement == 2)
                                    <div class="col-sm-6 col-md-6 col-lg-3">
                                        <div class="form-group">
                                            <label>Reason For Rejected</label>
                                            <h5>{{ $loadDetail->confirmed_reason_rejected }}</h5>
                                        </div>
                                    </div>
                                    <div class="col-sm-6 col-md-6 col-lg-3">
                                        <div class="form-group">
                                            <label>Rejected By</label>
                                            <h5>{{ $loadDetail->confirmed_rejected_user->full_name }}</h5>
                                        </div>
                                    </div>
                                @elseif ($loadDetail->intransit_driver_acknowledgement == 2)
                                    <div class="col-sm-6 col-md-6 col-lg-3">
                                        <div class="form-group">
                                            <label>Reason For Rejected</label>
                                            <h5>{{ $loadDetail->in_transit_reason_rejected }}</h5>
                                        </div>
                                    </div>
                                    <div class="col-sm-6 col-md-6 col-lg-3">
                                        <div class="form-group">
                                            <label>Rejected By</label>
                                            <h5>{{ $loadDetail->in_transit_rejected_user->full_name }}</h5>
                                        </div>
                                    </div>
                                @endif
                            @endif
                            {{-- <div class="col-sm-6 col-md-6 col-lg-12">
                                <ul class="common-checkbox mt-0">
                                    <li>
                                        <div class="product_checkbox_div custom-control custom-checkbox">
                                            {!! Form::checkbox('picture_to_drive', 1, $loadDetail->picture_to_drive == 1 ? true : false , array('class' => 'custom-control-input clr-check', 'id' => 'picture_to_drive', 'disabled' => 'disabled')) !!}
                                            <label class="product_ingredients_list custom-control-label" for="picture_to_drive">Picture to Drive</label>
                                        </div>
                                    </li>
                                    <li>
                                        <div class="product_checkbox_div custom-control custom-checkbox">
                                            {!! Form::checkbox('load_to_omni', 1, $loadDetail->load_to_omni == 1 ? true : false, array('class' => 'custom-control-input clr-check', 'id' => 'load_to_omni', 'disabled' => 'disabled')) !!}
                                            <label class="product_ingredients_list custom-control-label" for="load_to_omni">Load to Omni</label>
                                        </div>
                                    </li>
                                    <li>
                                        <div class="product_checkbox_div custom-control custom-checkbox">
                                            {!! Form::checkbox('dispatched', 1, $loadDetail->dispatched == 1 ? true : false, array('class' => 'custom-control-input clr-check', 'id' => 'dispatched', 'disabled' => 'disabled')) !!}
                                            <label class="product_ingredients_list custom-control-label" for="dispatched">Dispatched</label>
                                        </div>
                                    </li>
                                    <li>
                                        <div class="product_checkbox_div custom-control custom-checkbox">
                                            {!! Form::checkbox('loaded', 1, $loadDetail->loaded == 1 ? true : false, array('class' => 'custom-control-input clr-check', 'id' => 'loaded', 'disabled' => 'disabled')) !!}
                                            <label class="product_ingredients_list custom-control-label" for="loaded">Loaded</label>
                                        </div>
                                    </li>
                                    <li>
                                        <div class="product_checkbox_div custom-control custom-checkbox">
                                            {!! Form::checkbox('delivered', 1, $loadDetail->delivered == 1 ? true : false, array('class' => 'custom-control-input clr-check', 'id' => 'delivereds', 'disabled' => 'disabled')) !!}
                                            <label class="product_ingredients_list custom-control-label" for="delivereds">Delivered</label>
                                        </div>
                                    <li>
                                </ul>
                            </div> --}}
                            @if ($loadDetail->load_status == 5 || $loadDetail->load_status == 6 || $loadDetail->load_status == 8)
                                <div class="col-sm-6 col-md-6 col-lg-12">
                                    <div class="form-group">
                                        <label>Delivered Date/Time : {{ !is_null($loadDetail->actual_delivery_date) ? $loadDetail->actual_delivery_date : '-' }}</label>
                                    </div>
                                </div>
                            @endif
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="white-box mb-4 load-status">
                    <h4 class="box-title">Shipping Dates and Location</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group mt-2">
                                    <div class="btn-group btn-group-toggle d-block">
                                        <label class="btn btn-secondary {{ $loadDetail->shipping_time_range == 0 ? 'active' : '' }}">
                                            {!! Form::radio('shipping_time_range', 0, true, array('class' => 'custom-control-input')) !!} Set Time
                                        </label>
                                        <label class="btn btn-secondary {{ $loadDetail->shipping_time_range == 1 ? 'active' : '' }}">
                                            {!! Form::radio('shipping_time_range', 1, false, array('class' => 'custom-control-input')) !!} Range
                                        </label>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6 custom-width">
                                <div class="form-group">
                                    <label>Shipper Date/Time</label>
                                    <h5>{{ $loadDetail->shipper_date_time }}</h5>
                                </div>
                            </div>
                            <div class="col-md-6 custom-width">
                                <div class="form-group shippingEnd {{ $loadDetail->shipping_time_range == 1 ? 'd-block' : '' }}">
                                    <label>Shipper Date/Time End</label>
                                    <h5>{{ $loadDetail->shipper_date_time_end }}</h5>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Shipper Location</label>
                                    <h5>{{ $loadDetail->shipper_location }}</h5>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="white-box mb-4 load-status">
                    <h4 class="box-title">Delivery Dates and Location</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group mt-2">
                                    <div class="btn-group btn-group-toggle d-block">
                                        <label class="btn btn-secondary {{ $loadDetail->delivery_time_range == 0 ? 'active' : '' }}">
                                            {!! Form::radio('delivery_time_range', 0, true, array('class' => 'custom-control-input')) !!} Set Time
                                        </label>
                                        <label class="btn btn-secondary {{ $loadDetail->delivery_time_range == 1 ? 'active' : '' }}">
                                            {!! Form::radio('delivery_time_range', 1, false, array('class' => 'custom-control-input')) !!} Range
                                        </label>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6 custom-width">
                                <div class="form-group">
                                    <label>Delivery Date/Time</label>
                                    <h5>{{ $loadDetail->delivery_date_time }}</h5>
                                </div>
                            </div>
                            <div class="col-md-6 custom-width">
                                <div class="form-group deliveryEnd {{ $loadDetail->delivery_time_range == 1 ? 'd-block' : '' }}">
                                    <label>Delivery Date/Time End</label>
                                    <h5>{{ $loadDetail->delivery_date_time_end }}</h5>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Delivery Location</label>
                                    <h5>{{ $loadDetail->delivery_location }}</h5>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="white-box mb-4 load-status broker-div" style=display:{{ old('load_type') != 0 || $loadDetail->load_type != 0 ? 'none' : 'block' }}>
                    <h4 class="box-title clear-btn">Broker</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Brokerage Firm</label>
                                    <h5>{{ getBrokerList()[$loadDetail->brokerage_firm] ?? '-' }}</h5>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Brokerage MC</label>
                                    <h5>{{ $loadDetail->brokerage_mc }}</h5>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Rep</label>
                                    <h5>{{ $loadDetail->rep }}</h5>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Phone</label>
                                    <h5>{{ $loadDetail->phone }}</h5>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Ext</label>
                                    <h5>{{ $loadDetail->ext }}</h5>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="white-box mb-4 load-status load-information-div" style=display:{{ old('load_type') != 0 || $loadDetail->load_type != 0 ? 'none' : 'block' }}>
                    <h4 class="box-title clear-btn">Load Information</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-6 custom-width">
                                <div class="form-group">
                                    <label>Load Number</label>
                                    <h5>{{ $loadDetail->load_number }}</h5>
                                </div>
                            </div>
                            <div class="col-md-6 custom-width radio-btn-div">
                                <div class="btn-group btn-group-toggle d-block load-btn" style="top: 0px;">
                                    <label class="btn btn-secondary {{ $loadDetail->test == 0 ? 'active' : '' }}">
                                        {!! Form::radio('test', 0, true, array('class' => 'custom-control-input')) !!} Company
                                    </label>
                                    <label class="btn btn-secondary {{ $loadDetail->test == 1 ? 'active' : '' }}">
                                        {!! Form::radio('test', 1, false, array('class' => 'custom-control-input')) !!} Owner Op
                                    </label>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Weight</label>
                                    <h5>{{ $loadDetail->weight }}</h5>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Temp</label>
                                    <h5>{{ $loadDetail->temp }}</h5>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Trailer Type</label>
                                    <h5>{{ getTrailerTypeListByCompany()[$loadDetail->trailer_type] ?? '-' }}</h5>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group broker-search">
                                    <label>Trucking Company</label>
                                    <h5>{{ $loadDetail->trucking_company }}</h5>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group broker-search">
                                    <label>Truck Number</label>
                                    <h5>{{ $loadDetail->truck_number }}</h5>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group broker-search">
                                    <label>Trailer Number</label>
                                    <h5>{{ getTrailerNumberListByCompany()[$loadDetail->trailer_number] ?? '-' }}</h5>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="white-box mb-4 load-status generalAccount load-information-second-div" style=display:{{ old('load_type') != 0 || $loadDetail->load_type != 0 ? 'none' : 'block' }}>
                    <h4 class="box-title clear-btn">Load Information</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Empty Miles</label>
                                    <h5>{{ $loadDetail->empty_miles }}</h5>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Loaded Miles</label>
                                    <h5>{{ $loadDetail->loaded_miles }}</h5>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Total Miles</label>
                                    <h5>{{ $loadDetail->total_miles }}</h5>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Agreed Upon Rate</label>
                                    <h5>{{ $loadDetail->agreed_upon_rate }}</h5>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Fuel Surcharge Cost Per Mile</label>
                                    <h5>{{ $loadDetail->fuel_surcharge_cost_per_mile }}</h5>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Fuel Surcharge</label>
                                    <h5>{{ $loadDetail->fuel_surcharge }}</h5>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Line Haul</label>
                                    <h5>{{ $loadDetail->line_haul }}</h5>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Detention</label>
                                    <h5>{{ $loadDetail->detention }}</h5>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Accessorial</label>
                                    <h5>{{ $loadDetail->accessorial }}</h5>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Lumper</label>
                                    <h5>{{ $loadDetail->lumper }}</h5>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Total Bill</label>
                                    <h5>{{ $loadDetail->total_bill }}</h5>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-xl-6 col-lg-10">
                                <div class="form-group">
                                    <label>Paid By</label>
                                    <h5>
                                        @if ($loadDetail->paid_by == 0)
                                            Paid by Broker (Unbilled)
                                        @else
                                            Paid by Us (Billed)
                                        @endif
                                    </h5>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="white-box mb-4 load-status generalAccount">
                    <h4 class="box-title clear-btn">Notes</h4>
                    <div class="box-padding">
                        <div class="row align-items-center">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Note</label>
                                    <p class="m-0">{{ $loadDetail->notes ?? '-' }}</p>
                                </div>
                            </div>
                            <div class="col-md-12 mb-3">
                                <div class="form-group">
                                    <label>Send notification to driver</label><br>
                                    @if ($loadDetail->send_notification == 0)
                                        <label class="badge badge-danger text-white">No</label>
                                    @else
                                        <label class="badge badge-success text-white">Yes</label>
                                    @endif
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-12 d-none" id="loadTripViwerDiv">
                <div class="white-box mb-4">
                    <h4 class="box-title">Load Trip Viewer</h4>
                    <div class="box-padding p-0">
                        <div id="tripViewer"></div>
                        {{--<embed id="tripViewer" src="javascript:void(0);" title="Load Trip View" width="100%" height="1000" />--}}
                        {{--<iframe id="tripViewer" src="javascript:void(0);" title="Load Trip View" width="100%" height="1000" allowfullscreen="true" name="Load Trip Viewer" style="border:none;"></iframe>--}}
                    </div>
                </div>
            </div>
        </div>
        <div class="button-bottom">
            <a href="{{ URL::previous() }}" class="cancel-btn" style="width: 50%;">Back</a>
        </div>
    </div>
@endsection

@section('script')
    <script src="{{ asset('theme/js/moment.min.js') }}"></script>
    <script src="{{ asset('theme/js/bootstrap-datetimepicker.min.js') }}"></script>
    <script src="{{ asset('theme/js/select2.full.min.js') }}"></script>
    <script src="{{ asset('theme/js/bootstrap-datepicker.js') }}"></script>
    <script type="text/javascript">
        $(document).ready(function(){

            // selfDispatch();

            $(function () {

                $('#shipperDate').datetimepicker().on('dp.change', function (e) {
                    getWeeklyFuelSurcharge();
                });

                $('#shipperDateEnd').datetimepicker().on('dp.change', function (e) {
                    getWeeklyFuelSurcharge();
                });

                $('#deliveryDate').datetimepicker().on('dp.change', function (e) {
                    checkLoadIsOverlapOrNot();
                });

                $('#deliveryDateEnd').datetimepicker().on('dp.change', function (e) {
                    checkLoadIsOverlapOrNot();
                });
            });
            $('.shippingRange').click(function(){
                $('.shippingEnd').addClass('d-block');
            });
            $('.shippingTime').click(function(){
                $('.shippingEnd').removeClass('d-block');
                $('#shipperDateEnd').val('');
            });
            $('.deliveryRange').click(function(){
                $('.deliveryEnd').addClass('d-block');
            });
            $('.deliveryTime').click(function(){
                $('.deliveryEnd').removeClass('d-block');
            });

            $('.clear-broker-btn').click(function(){
                $('.broker-div').find('input').val('');
                $(".brokerage-firm-select2").val('').trigger('change');
            });

            $('.clear-load-information-btn').click(function(){
                $('.load-information-div').find('input').val('');
                $('.load-information-div').find("option:selected").prop("selected", false);
                $('.load-information-div').find('.radio-btn-div').find('.load-btn').find('label:first-child').addClass("active");
                $('.load-information-div').find('.radio-btn-div').find('.load-btn').find('label:last-child').removeClass("active");
                $(".trailer-number-select2").val('').trigger('change');
                // $('.load-information-div').find('.radio-btn-div').find('.load-btn').find('label:first-child').find('input').prop('checked',true);
                // $('.load-information-div').find('.radio-btn-div').find('.load-btn').find('label:last-child').find('input').prop('checked',false);
            });

            $('.clear-load-information-second-btn').click(function(){
                $('.load-information-second-div').find('input').val('');
                $('.load-information-second-div').find('input[type="checkbox"]').prop('checked',false);
            });

            // equal height
            if ($(window).width() >= 992) {
                $('.main-wrapper').each(function(){
                    var highestBox = 0;
                    $('.generalAccount', this).each(function(){
                        if($(this).height() > highestBox) {
                            highestBox = $(this).height();
                        }
                    });
                    $('.generalAccount',this).height(highestBox);
                });
            }
        });

        // Total Miles
        $("body").on("keyup change",".total-miles-addition",function(e){
            var sum = 0;

            $(".total-miles-addition").each(function(){
                var val = $(this).val();

                if (val != "") {
                  sum += parseFloat(val);
                }
            });

            $(".total-miles").val(sum);
        });

        // Fuel Surcharge
        $("body").on("keyup change",".loaded-miles , .fuel-surcharge-cost-per-mile",function(e){
            var loaded_miles = $(".loaded-miles").val();
            var fuel_surcharge_cost_per_mile = $(".fuel-surcharge-cost-per-mile").val();

            if (fuel_surcharge_cost_per_mile && loaded_miles) {
                var fuel_surcharge = parseFloat(fuel_surcharge_cost_per_mile) * parseFloat(loaded_miles);
                $(".fuel-surcharge").val(fuel_surcharge);
                $(".line-haul-sub").trigger("keyup");
            }
        });

        // Line Haul
        $("body").on("keyup change",".line-haul-sub",function(e){
            var agreed_upon_rate = $(".agreed-upon-rate").val();
            var fuel_surcharge = $(".fuel-surcharge").val();

            if (agreed_upon_rate && fuel_surcharge) {
                var line_haul = parseFloat(agreed_upon_rate) - parseFloat(fuel_surcharge);
                $(".line-haul").val(line_haul);
            }
        });

        // Total Bill
        $("body").on("keyup change",".total-bill-addition",function(e){
            var sum = 0;

            $(".total-bill-addition").each(function(){
                var val = $(this).val();

                if (val != "") {
                  sum += parseFloat(val);
                }
            });

            $(".total-bill").val(sum);
        });

        // Self Dispatch
        function selfDispatch() {
        	if($(".self-dispatch").prop("checked") == true){
                $(".booked-by").select2("val", "0");
        	} else {
                $(".booked-by").val('').trigger('change');
        	}
        }

        $("body").on("change",".self-dispatch",function(e){
            selfDispatch();
        });

        // Booked By
        $("body").on("change",".booked-by",function(e){
            if($(this).val() == '0'){
                $(".self-dispatch").prop('checked',true);
            } else {
                $(".self-dispatch").prop('checked',false);
            }
        });

        // Truck Number & Trucking Company
        $("body").on("change",".driver-change",function(e){
            var token = $('meta[name="csrf-token"]').attr('content');
            var id = $(this).val();

            $.ajax({
                url: "/company-admin/loads/driver-info",
                method: "POST",
                data: { _token : token , id : id },
                success: function(response) {
                    $(".trucking-company").val(response.data.company);
                    $(".trucking-company-hidden").val(response.data.company);
                    $(".truck-number").val(response.data.truck_number);
                }
            });
        });

        function getWeeklyFuelSurcharge() {
            var token = $('meta[name="csrf-token"]').attr('content');
            var start_date = $('#shipperDate').val();
            var end_date = $('#shipperDateEnd').val();

            $.ajax({
                url: "/company-admin/loads/fuel-surcharge-info",
                method: "POST",
                data: { _token : token , start_date : start_date , end_date : end_date },
                success: function(response) {
                    if (response.data) {
                        $(".fuel-surcharge-cost-per-mile").val(response.data.fuel_surcharge);
                    } else {
                        $(".fuel-surcharge-cost-per-mile").val('');
                    }
                }
            });
        }

        function checkLoadIsOverlapOrNot() {
            var token = $('meta[name="csrf-token"]').attr('content');
            var delivery_date = $('#deliveryDate').val();
            var delivery_end_date = $('#deliveryDateEnd').val();
            var driver_id = $('.driver-change').val();
            var load_id = "{{ $loadDetail->load_id }}";

            $.ajax({
                url: "/company-admin/loads/check-load-overlap",
                method: "POST",
                data: { _token : token , driver_id : driver_id , load_id : load_id , delivery_date : delivery_date , delivery_end_date : delivery_end_date },
                success: function(response) {
                    if (response.error) {
                        alert(response.error);
                    }
                }
            });
        }

        $('.driver-select2').select2();
        $('.bookedby-select2').select2();
        $('.brokerage-firm-select2').select2();
        $('.trailer-number-select2').select2({
            tags: true
        });

        // Broker Details
        $(".brokerage-firm-select2").on('change', function(e) {
            var token = $('meta[name="csrf-token"]').attr('content');
            var id = $(this).val();

            $.ajax({
                url: "/company-admin/loads/broker-info",
                method: "POST",
                data: { _token : token , id : id },
                success: function(response) {
                   if (response.data) {
                       $(".brokerage-mc").val(response.data.mc_number);
                       $(".rep").val(response.data.rep_name);
                       $(".phone").val(response.data.phone_number);
                       $(".ext").val(response.data.ext);
                   } else {
                       $(".brokerage-mc, .rep, .phone, .ext").val('');
                   }
                }
            });
        });

        // Trailer Number
        $(".trailer-number-select2").on('change', function(e) {
            var token = $('meta[name="csrf-token"]').attr('content');
            var trailer_id = $(this).val();

            $.ajax({
                url: "/company-admin/loads/trailer-info",
                method: "POST",
                data: { _token : token , trailer_id : trailer_id },
                success: function(response) {
                    if (response.data) {
                       $(".trailer-type").val(response.data.type);
                    } else {
                       $(".trailer-type").val('');
                    }
                }
            });
        });

        // Date Split
        $('.date-split-date').datepicker({
            autoclose: true,
            todayHighlight: true,
        });

        // Load Status
        $("document").ready(function () {
            $('#accepted').click(function(){
                $('.load-status-input').val(1);
                $('.reason-on-hold-box').css('display','none');

                $('#accepted').addClass('fill-active');

                $('#complete').removeClass('fill-active');
                $('#onHold').removeClass('fill-active');
                $('#readyToBill').removeClass('fill-active');
                $('#delivered').removeClass('fill-active');
                $('#inTransit').removeClass('fill-active');
                $('#confirmed').removeClass('fill-active');
                $('#preplaned').removeClass('fill-active');

                $('#cancelled').removeClass('cancalled');
                $('#accepted').removeClass('cancalled');
                $('#preplaned').removeClass('cancalled');
                $('#confirmed').removeClass('cancalled');
                $('#inTransit').removeClass('cancalled');
                $('#delivered').removeClass('cancalled');
                $('#readyToBill').removeClass('cancalled');
                $('#onHold').removeClass('cancalled');
                $('#complete').removeClass('cancalled');
            });
            $('#preplaned').click(function(){
                $('.load-status-input').val(2);
                $('.reason-on-hold-box').css('display','none');

                $('#preplaned').addClass('fill-active');
                $('#accepted').addClass('fill-active');

                $('#complete').removeClass('fill-active');
                $('#onHold').removeClass('fill-active');
                $('#readyToBill').removeClass('fill-active');
                $('#delivered').removeClass('fill-active');
                $('#inTransit').removeClass('fill-active');
                $('#confirmed').removeClass('fill-active');

                $('#cancelled').removeClass('cancalled');
                $('#accepted').removeClass('cancalled');
                $('#preplaned').removeClass('cancalled');
                $('#confirmed').removeClass('cancalled');
                $('#inTransit').removeClass('cancalled');
                $('#delivered').removeClass('cancalled');
                $('#readyToBill').removeClass('cancalled');
                $('#onHold').removeClass('cancalled');
                $('#complete').removeClass('cancalled');
            });
            $('#confirmed').click(function(){
                $('.load-status-input').val(3);
                $('.reason-on-hold-box').css('display','none');

                $('#confirmed').addClass('fill-active');
                $('#preplaned').addClass('fill-active');
                $('#accepted').addClass('fill-active');

                $('#complete').removeClass('fill-active');
                $('#onHold').removeClass('fill-active');
                $('#readyToBill').removeClass('fill-active');
                $('#delivered').removeClass('fill-active');
                $('#inTransit').removeClass('fill-active');

                $('#cancelled').removeClass('cancalled');
                $('#accepted').removeClass('cancalled');
                $('#preplaned').removeClass('cancalled');
                $('#confirmed').removeClass('cancalled');
                $('#inTransit').removeClass('cancalled');
                $('#delivered').removeClass('cancalled');
                $('#readyToBill').removeClass('cancalled');
                $('#onHold').removeClass('cancalled');
                $('#complete').removeClass('cancalled');
            });
            $('#inTransit').click(function(){
                $('.load-status-input').val(4);
                $('.reason-on-hold-box').css('display','none');

                $('#inTransit').addClass('fill-active');
                $('#confirmed').addClass('fill-active');
                $('#preplaned').addClass('fill-active');
                $('#accepted').addClass('fill-active');

                $('#complete').removeClass('fill-active');
                $('#onHold').removeClass('fill-active');
                $('#readyToBill').removeClass('fill-active');
                $('#delivered').removeClass('fill-active');

                $('#cancelled').removeClass('cancalled');
                $('#accepted').removeClass('cancalled');
                $('#preplaned').removeClass('cancalled');
                $('#confirmed').removeClass('cancalled');
                $('#inTransit').removeClass('cancalled');
                $('#delivered').removeClass('cancalled');
                $('#readyToBill').removeClass('cancalled');
                $('#onHold').removeClass('cancalled');
                $('#complete').removeClass('cancalled');
            });
            $('#delivered').click(function(){
                $('.load-status-input').val(5);
                $('.reason-on-hold-box').css('display','none');

                $('#delivered').addClass('fill-active');
                $('#inTransit').addClass('fill-active');
                $('#confirmed').addClass('fill-active');
                $('#preplaned').addClass('fill-active');
                $('#accepted').addClass('fill-active');

                $('#complete').removeClass('fill-active');
                $('#onHold').removeClass('fill-active');
                $('#readyToBill').removeClass('fill-active');

                $('#cancelled').removeClass('cancalled');
                $('#accepted').removeClass('cancalled');
                $('#preplaned').removeClass('cancalled');
                $('#confirmed').removeClass('cancalled');
                $('#inTransit').removeClass('cancalled');
                $('#delivered').removeClass('cancalled');
                $('#readyToBill').removeClass('cancalled');
                $('#onHold').removeClass('cancalled');
                $('#complete').removeClass('cancalled');
            });
            $('#readyToBill').click(function(){
                $('.load-status-input').val(6);
                $('.reason-on-hold-box').css('display','none');

                $('#readyToBill').addClass('fill-active');
                $('#delivered').addClass('fill-active');
                $('#inTransit').addClass('fill-active');
                $('#confirmed').addClass('fill-active');
                $('#preplaned').addClass('fill-active');
                $('#accepted').addClass('fill-active');

                $('#complete').removeClass('fill-active');
                $('#onHold').removeClass('fill-active');

                $('#cancelled').removeClass('cancalled');
                $('#accepted').removeClass('cancalled');
                $('#preplaned').removeClass('cancalled');
                $('#confirmed').removeClass('cancalled');
                $('#inTransit').removeClass('cancalled');
                $('#delivered').removeClass('cancalled');
                $('#readyToBill').removeClass('cancalled');
                $('#onHold').removeClass('cancalled');
                $('#complete').removeClass('cancalled');
            });
            $('#onHold').click(function(){
                $('.load-status-input').val(7);
                $('.reason-on-hold-box').css('display','block');

                $('#onHold').addClass('fill-active');
                $('#readyToBill').addClass('fill-active');
                $('#delivered').addClass('fill-active');
                $('#inTransit').addClass('fill-active');
                $('#confirmed').addClass('fill-active');
                $('#preplaned').addClass('fill-active');
                $('#accepted').addClass('fill-active');

                $('#complete').removeClass('fill-active');

                $('#cancelled').removeClass('cancalled');
                $('#accepted').removeClass('cancalled');
                $('#preplaned').removeClass('cancalled');
                $('#confirmed').removeClass('cancalled');
                $('#inTransit').removeClass('cancalled');
                $('#delivered').removeClass('cancalled');
                $('#readyToBill').removeClass('cancalled');
                $('#onHold').removeClass('cancalled');
                $('#complete').removeClass('cancalled');
            });
            $('#complete').click(function(){
                $('.load-status-input').val(8);
                $('.reason-on-hold-box').css('display','none');

                $('#complete').addClass('fill-active');
                $('#onHold').addClass('fill-active');
                $('#readyToBill').addClass('fill-active');
                $('#delivered').addClass('fill-active');
                $('#inTransit').addClass('fill-active');
                $('#confirmed').addClass('fill-active');
                $('#preplaned').addClass('fill-active');
                $('#accepted').addClass('fill-active');

                $('#cancelled').removeClass('cancalled');
                $('#accepted').removeClass('cancalled');
                $('#preplaned').removeClass('cancalled');
                $('#confirmed').removeClass('cancalled');
                $('#inTransit').removeClass('cancalled');
                $('#delivered').removeClass('cancalled');
                $('#readyToBill').removeClass('cancalled');
                $('#onHold').removeClass('cancalled');
                $('#complete').removeClass('cancalled');
            });
            $('#cancelled').click(function(){
                $('.load-status-input').val(9);
                $('.reason-on-hold-box').css('display','none');

                $('#cancelled').addClass('cancalled');
                $('#accepted').addClass('cancalled');
                $('#preplaned').addClass('cancalled');
                $('#confirmed').addClass('cancalled');
                $('#inTransit').addClass('cancalled');
                $('#delivered').addClass('cancalled');
                $('#readyToBill').addClass('cancalled');
                $('#onHold').addClass('cancalled');
                $('#complete').addClass('cancalled');
            });

            // Load Type
            $('.load-type-label').click(function(){
                var load_type = $(this).find('input').val();

                if (load_type == 0) {
                    $(".broker-div").css("display","block");
                    $(".load-information-div").css("display","block");
                    $(".load-information-second-div").css("display","block");
                } else {
                    $(".broker-div").css("display","none");
                    $(".load-information-div").css("display","none");
                    $(".load-information-second-div").css("display","none");
                }
            });
        });

        $(function (){
            const tripId = '{{$loadDetail->load_trip_id}}';
            if(tripId != ""){
                $.ajax({
                    url: "https://tripmanagement.alk.com/api/trip?tripId=" + parseInt(tripId), // The web service endpoint.
                    type: "GET",
                    data: {},
                    contentType: "application/json; charset=utf-8",
                    dataType: "json",
                    beforeSend: function (xhr) {
                        xhr.setRequestHeader("Authorization", TrimbleMaps.APIKey); // The API key obtained from Trimble Maps.
                    },
                    success: function (resp) {
                        if(resp != ""){
                            if(resp.url != ""){
                                $("#loadTripViwerDiv").removeClass('d-none');
                                //$("#tripViewer").attr('src', resp.url);

                                let object = '<object type="text/html" data="'+ resp.url +'" width="100%" height="1000"><p>backup content</p></object>';
                                $("#tripViewer").append(object);
                            }else{
                                $("#loadTripViwerDiv").addClass('d-none');
                                //$("#tripViewer").attr('src', 'javascript:void(0);');

                                $("#tripViewer").html("");
                            }
                        }else{
                            $("#loadTripViwerDiv").addClass('d-none');
                            //$("#tripViewer").attr('src', 'javascript:void(0);');

                            $("#tripViewer").html("");
                        }
                        //console.log(resp);
                    },
                    error: function (resp) {
                        //console.log(resp);
                        $("#loadTripViwerDiv").addClass('d-none');
                        //$("#tripViewer").attr('src', 'javascript:void(0);');

                        $("#tripViewer").html("");
                    }
                });
            }
        });
    </script>
@endsection
