@extends($companyAdminTheme)

@section('title')
    Loads
@endsection

@section('style')
    <link rel="stylesheet" href="//code.jquery.com/ui/1.13.1/themes/base/jquery-ui.css">
    <style type="text/css">
        .load-btn label{width: 99px !important}
        .load-edit-link{text-decoration: underline}
  </style>
  <style type="text/css">
      .dataTables_length {display: block;}
      .cusotdiv2 {display: flex;justify-content: end;align-items: center;}
      .dataTables_length label {margin-bottom: 0;padding-left: 10px!important;}
  </style>
@endsection

@section('content')
    <input type="hidden" id="getTableName" value="{{str_replace('settings.','',$tableName)}}">
    <input type="hidden" id="lastActiveTable" value="tableActive">

    <ul class="nav nav-tabs" id="myTab" role="tablist">
        <li class="nav-item" role="presentation">
            <a data-table="table1" class="nav-link active changeLoadTab" id="All-tab" data-toggle="tab" href="#All" role="tab" aria-controls="All" aria-selected="true">Active</a>
        </li>
        <li class="nav-item" role="presentation">
            <a data-table="table2" class="nav-link changeLoadTab" id="View-tab" data-toggle="tab" href="#NewLoad" role="tab" aria-controls="View" aria-selected="false">Ready to Bill</a>
        </li>
        <li class="nav-item" role="presentation">
            <a data-table="table3" class="nav-link changeLoadTab" id="Delivered-tab" data-toggle="tab" href="#delivered" role="tab" aria-controls="View" aria-selected="false">Delivered</a>
        </li>
        <li class="nav-item" role="presentation">
            <a data-table="table4" class="nav-link changeLoadTab" id="leave-tab" data-toggle="tab" href="#CompleteLoad" role="tab" aria-controls="CompleteLoad" aria-selected="false">Complete</a>
        </li>
        <li class="nav-item" role="presentation">
            <a data-table="table5" class="nav-link changeLoadTab" id="onhold-tab" data-toggle="tab" href="#onhold" role="tab" aria-controls="onhold" aria-selected="false">On Hold</a>
        </li>
        <li class="nav-item" role="presentation">
            <a data-table="table6" class="nav-link changeLoadTab" id="cancel-tab" data-toggle="tab" href="#Cancel" role="tab" aria-controls="Cancel" aria-selected="false">Cancelled</a>
        </li>
        <li class="nav-item" role="presentation">
            <a data-table="table7" class="nav-link changeLoadTab" id="unoccupied-tab" data-toggle="tab" href="#unoccupied" role="tab" aria-controls="unoccupied" aria-selected="false">Unoccupied</a>
        </li>
        <li class="nav-item" role="presentation">
            <a data-table="table8" class="nav-link changeLoadTab" id="allload-tab" data-toggle="tab" href="#allload" role="tab" aria-controls="allload" aria-selected="false">All Loads</a>
        </li>
        <li class="nav-item" role="presentation">
            <a data-table="table9" class="nav-link changeLoadTab" id="oosapproval-tab" data-toggle="tab" href="#oosapproval" role="tab" aria-controls="oosapproval" aria-selected="false">OOS Pending</a>
        </li>
    </ul>

    <input type="hidden" name="previous_tab" id="previous_tab">

    <div class="tab-content" id="myTabContent">
        @foreach( $tables as $k => $v )
            <div class="tab-pane fade @if( $v['name'] == 'table1' ) show active @endif" id="{{$v['id']}}" role="tabpanel" aria-labelledby="{{$v['id']}}-tab">
                @if( $v['name'] == 'table1' )
                    <div class="row">
                        <div class="col-md-3 col-sm-6">
                            <div class="white-box mb-4">
                                <div class="box-padding employee-box">
                                    <span class="big-ttl">Active Loads</span>
                                    <h5 class="centr">{{ totalActiveLoads() }}</h5>
                                    <ul class="per-data">
                                        <li>This years</li>
                                        <li class="blue"><span><img src="{{ asset('theme/img/top-arrow.png') }}" alt=""></span> 5%</li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-3 col-sm-6">
                            <div class="white-box mb-4">
                                <div class="box-padding employee-box">
                                    <span class="big-ttl">Ready to Bill</span>
                                    <h5 class="centr">{{ totalReadyToBillLoads() }}</h5>
                                    <ul class="per-data">
                                        <li>This years</li>
                                        <li class="blue"><span><img src="{{ asset('theme/img/top-arrow.png') }}" alt=""></span> 5%</li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-3 col-sm-6">
                            <div class="white-box mb-4">
                                <div class="box-padding employee-box">
                                    <span class="big-ttl">Completed Loads</span>
                                    <h5 class="centr">{{ totalCompletedLoads() }}</h5>
                                    <ul class="per-data">
                                        <li>This years</li>
                                        <li class="blue"><span><img src="{{ asset('theme/img/top-arrow.png') }}" alt=""></span> 5%</li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-3 col-sm-6">
                            <div class="white-box mb-4">
                                <div class="box-padding employee-box">
                                    <span class="big-ttl">Total Loads</span>
                                    <h5 class="centr">{{ totalLoads() }}</h5>
                                    <ul class="per-data">
                                        <li>This years</li>
                                        <li class="orange"><span><img src="{{ asset('theme/img/down-arrow.png') }}" alt=""></span> 5%</li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                @endif

                <div class="white-box table-view">
                    <h3 class="table-title">Loads</h3>
                    <div class="table-responsive">
                        <table class="table {{$v['class']}}">
                            <thead>
                                <tr>
                                    @foreach($getField as $key => $filed)
                                        @if($filed == 1 && isset(config('settings.table_loads_active')[$key]['name']))
                                            @if(isset(config('settings.table_loads_active')[$key]['searchBuilderType']))
                                                @if(config('settings.table_loads_active')[$key]['col_search'] == 0)
                                                    @if( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'string' )
                                                        <th class=" notsech">{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_string columnFilter" data-modal="SearchByStringModal{{ $key }}{{$v['name']}}"></i></th>
                                                    @elseif( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'date' )
                                                        <th class=" notsech">{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_date columnFilter" data-modal="SearchByDateModal{{ $key }}{{$v['name']}}"></i></th>
                                                    @elseif( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'status' )
                                                        <th class=" notsech">{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_status columnFilter" data-modal="SearchByStatusModal{{ $key }}{{$v['name']}}"></i></th>
                                                    @endif
                                                @else
                                                    @if( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'string' )
                                                        <th>{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_string columnFilter" data-modal="SearchByStringModal{{ $key }}{{$v['name']}}"></i></th>
                                                    @elseif( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'date' )
                                                        <th>{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_date columnFilter" data-modal="SearchByDateModal{{ $key }}{{$v['name']}}"></i></th>
                                                    @elseif( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'status' )
                                                        <th>{{ config('settings.table_loads_active')[$key]['name'] }} <i class="fa fa-filter table_loads_active_{{$key}}_status columnFilter" data-modal="SearchByStatusModal{{ $key }}{{$v['name']}}"></i></th>
                                                    @endif
                                                @endif
                                            @else
                                                @if(config('settings.table_loads_active')[$key]['col_search'] == 0)
                                                    <th class=" notsech">{{ config('settings.table_loads_active')[$key]['name'] }}</th>
                                                @else
                                                    <th>{{ config('settings.table_loads_active')[$key]['name'] }}</th>
                                                @endif
                                            @endif
                                        @endif
                                    @endforeach
                                </tr>
                            </thead>
                            <tbody class="loadTableBody"></tbody>
                        </table>
                    </div>
                </div>
            </div>
        @endforeach
    </div>

    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            {!! Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')) !!}
                <input type="hidden" name="table_id" value="loads_active" />

                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Adjust Table Columns</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <ul class="sortableList connected-sortable droppable-area1" id="sortable">
                            @foreach($getField as $key => $filed)
                                @if(isset(config('settings.table_loads_active')[$key]['name']))
                                    <li class="ui-state-default">
                                        <div class="custom-control custom-checkbox">
                                            <input type='hidden' value='0' name='field[{{ $key }}]'>
                                            <input type="checkbox" class="custom-control-input" id="Check{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed == 1) checked @endif>
                                            <label class="custom-control-label" for="Check{{ $key }}">{{ config('settings.table_loads_active')[$key]['name'] }}</label>
                                        </div>
                                        <i class="fa fa-align-justify drag-icon"></i>
                                    </li>
                                @endif
                            @endforeach
                        </ul>
                    </div>
                    <div class="modal-footer">
                        <button type="submit" class="btn btn-primary">Save</button>
                    </div>
                </div>
            {!! Form::close() !!}
        </div>
    </div>
@endsection

@section('script')
    <script src="https://code.jquery.com/ui/1.13.1/jquery-ui.js"></script>
    <script>
        var table1 = $('.data-table').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            dom: "<'row cusotdiv'<'col-sm-5 col-md-6 cusotdiv2'fl>><''><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
            processing: true,
            serverSide: true,
            fixedHeader: true,
            ordering: false,
            pageLength: "{{ perPageView() }}",
            ajax: {
                url: "{{ route('company.admin.active.loads.index') }}",
                type:'POST',
                dataType: "json",
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                data: function (d) {
                    <?php foreach($getField as $key => $filed): ?>
                        d.search_string_value_{{$key}}              = $('#search_string_{{$key}}_table1').val();
                        d.search_string_name_{{$key}}               = $('#stringKey{{$key}}_table1').val();
                        d.search_string_type_{{$key}}               = $('#stringType{{$key}}_table1').val();
                        d.search_table_name_{{$key}}                = $('#stringTableType{{$key}}_table1').val();
                        d.search_string_condition_{{$key}}          = $("input[type='radio'][name='condition{{$key}}']:checked").val();
                        d.search_string_sort_{{$key}}               = $("input[type='radio'][name='string_sort_{{$key}}']:checked").val();
                        d.search_string_relation_table_{{$key}}     = $('#stringRelationTable{{$key}}_table1').val();
                        d.search_string_col_name1_{{$key}}          = $('#stringColName1{{$key}}_table1').val();
                        d.search_string_col_name2_{{$key}}          = $('#stringColName2{{$key}}_table1').val();
                        d.search_string_static_{{$key}}             = $('#stringStatic{{$key}}_table1').val();

                        d.search_string_having_{{$key}}             = $('#stringHaving{{$key}}_table1').val();

                        d.search_string_col_alias1_name_{{$key}}    = $('#stringColAl1{{$key}}_table1').val();
                        d.search_string_col_alias2_name_{{$key}}    = $('#stringColAl2{{$key}}_table1').val();
                        d.search_string_col_alias3_name_{{$key}}    = $('#stringColAl3{{$key}}_table1').val();
                        d.search_string_col_alias4_name_{{$key}}    = $('#stringColAl4{{$key}}_table1').val();
                        d.search_string_col_alias5_name_{{$key}}    = $('#stringColAl5{{$key}}_table1').val();
                        d.search_string_col_alias6_name_{{$key}}    = $('#stringColAl6{{$key}}_table1').val();

                        d.search_date_from_value_{{$key}}           = $('#search_date_{{$key}}_table1').val();
                        d.search_date_to_value_{{$key}}             = $('#search_date_end_{{$key}}_table1').val();
                        d.search_date_name_{{$key}}                 = $('#dateKey{{$key}}_table1').val();
                        d.search_date_type_{{$key}}                 = $('#dateType{{$key}}_table1').val();
                        d.search_date_table_name_{{$key}}           = $('#dateTableType{{$key}}_table1').val();
                        d.search_date_condition_{{$key}}            = $("input[type='radio'][name='conditiondate{{$key}}']:checked").val();
                        d.search_date_sort_{{$key}}                 = $("input[type='radio'][name='date_sort_{{$key}}']:checked").val();

                        <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                            d.search_status_value_{{$key}}_{{$ke}}  = $("#conditionstatus_{{$key}}_{{$ke}}:checked").val();
                        <?php endforeach; ?>

                        d.search_status_condition_{{$key}}          = $('#is_status_condition_applied{{$key}}').val();
                        d.search_status_name_{{$key}}               = $('#statusOrgColName{{$key}}').val();
                        d.search_status_table_name_{{$key}}         = $('#statusTableType{{$key}}').val();
                        d.search_status_sort_{{$key}}               = $("input[type='radio'][name='status_sort_{{$key}}']:checked").val();
                        d.search_status_sort_column_{{$key}}        = $("#statusOrderColName{{$key}}").val();
                    <?php endforeach; ?>
                },
                beforeSend: function () {
                    if (typeof table1 != 'undefined' && table1.hasOwnProperty('settings')) {
                        table1.settings()[0].jqXHR.abort();
                    }
                }
            },
            columns: [
                <?php foreach($getField as $key => $filed): ?>
                    <?php if($filed == 1): ?>
                        <?php if(isset(config('settings.table_loads_active')[$key]['name'])): ?>
                            <?php if(config("settings.table_loads_active")[$key]["orderable"] == 1 && config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                            <?php elseif(config("settings.table_loads_active")[$key]["orderable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                            <?php elseif(config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                            <?php else: ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endforeach; ?>
            ]
        });

        var table2 = $('.new-load-data-table').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            dom: "<'row cusotdiv'<'col-sm-5 col-md-6'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
            processing: true,
            serverSide: true,
            fixedHeader: true,
            ordering: false,
            pageLength: "{{ perPageView() }}",
            // ajax: "{{ route('company.admin.new.loads.index') }}",
            ajax: {
                url: "{{ route('company.admin.new.loads.index') }}",
                type:'POST',
                dataType: "json",
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                url: "{{ route('company.admin.new.loads.index') }}",
                data: function (d) {
                    <?php foreach($getField as $key => $filed): ?>
                        d.search_string_value_{{$key}}              = $('#search_string_{{$key}}_table2').val();
                        d.search_string_name_{{$key}}               = $('#stringKey{{$key}}_table2').val();
                        d.search_string_type_{{$key}}               = $('#stringType{{$key}}_table2').val();
                        d.search_table_name_{{$key}}                = $('#stringTableType{{$key}}_table2').val();
                        d.search_string_condition_{{$key}}          = $("input[type='radio'][name='condition{{$key}}']:checked").val();
                        d.search_string_sort_{{$key}}               = $("input[type='radio'][name='string_sort_{{$key}}']:checked").val();
                        d.search_string_relation_table_{{$key}}     = $('#stringRelationTable{{$key}}_table2').val();
                        d.search_string_col_name1_{{$key}}          = $('#stringColName1{{$key}}_table2').val();
                        d.search_string_col_name2_{{$key}}          = $('#stringColName2{{$key}}_table2').val();
                        d.search_string_static_{{$key}}             = $('#stringStatic{{$key}}_table2').val();

                        d.search_string_having_{{$key}}             = $('#stringHaving{{$key}}_table2').val();

                        d.search_string_col_alias1_name_{{$key}}    = $('#stringColAl1{{$key}}_table2').val();
                        d.search_string_col_alias2_name_{{$key}}    = $('#stringColAl2{{$key}}_table2').val();
                        d.search_string_col_alias3_name_{{$key}}    = $('#stringColAl3{{$key}}_table2').val();
                        d.search_string_col_alias4_name_{{$key}}    = $('#stringColAl4{{$key}}_table2').val();
                        d.search_string_col_alias5_name_{{$key}}    = $('#stringColAl5{{$key}}_table2').val();
                        d.search_string_col_alias6_name_{{$key}}    = $('#stringColAl6{{$key}}_table2').val();

                        d.search_date_from_value_{{$key}}           = $('#search_date_{{$key}}_table2').val();
                        d.search_date_to_value_{{$key}}             = $('#search_date_end_{{$key}}_table2').val();
                        d.search_date_name_{{$key}}                 = $('#dateKey{{$key}}_table2').val();
                        d.search_date_type_{{$key}}                 = $('#dateType{{$key}}_table2').val();
                        d.search_date_table_name_{{$key}}           = $('#dateTableType{{$key}}_table2').val();
                        d.search_date_condition_{{$key}}            = $("input[type='radio'][name='conditiondate{{$key}}']:checked").val();
                        d.search_date_sort_{{$key}}                 = $("input[type='radio'][name='date_sort_{{$key}}']:checked").val();

                        <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                            d.search_status_value_{{$key}}_{{$ke}}  = $("#conditionstatus_{{$key}}_{{$ke}}:checked").val();
                        <?php endforeach; ?>

                        d.search_status_condition_{{$key}}          = $('#is_status_condition_applied{{$key}}').val();
                        d.search_status_name_{{$key}}               = $('#statusOrgColName{{$key}}').val();
                        d.search_status_table_name_{{$key}}         = $('#statusTableType{{$key}}').val();
                        d.search_status_sort_{{$key}}               = $("input[type='radio'][name='status_sort_{{$key}}']:checked").val();
                        d.search_status_sort_column_{{$key}}        = $("#statusOrderColName{{$key}}").val();
                    <?php endforeach; ?>
                },
                beforeSend: function () {
                    if (typeof table2 != 'undefined' && table2.hasOwnProperty('settings')) {
                        table2.settings()[0].jqXHR.abort();
                    }
                }
            },
            columns: [
                <?php foreach($getField as $key => $filed): ?>
                    <?php if($filed == 1): ?>
                        <?php if(isset(config('settings.table_loads_active')[$key]['name'])): ?>
                            <?php if(config("settings.table_loads_active")[$key]["orderable"] == 1 && config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                            <?php elseif(config("settings.table_loads_active")[$key]["orderable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                            <?php elseif(config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                            <?php else: ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endforeach; ?>
            ]
        });

        var table3 = $('.delivered-data-table').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            dom: "<'row cusotdiv'<'col-sm-5 col-md-6'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
            processing: true,
            serverSide: true,
            fixedHeader: true,
            ordering: false,
            pageLength: "{{ perPageView() }}",
            // ajax: "{{ route('company.admin.delivered.loads.index') }}",
            ajax: {
                url: "{{ route('company.admin.delivered.loads.index') }}",
                type:'POST',
                dataType: "json",
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                data: function (d) {
                    <?php foreach($getField as $key => $filed): ?>
                        d.search_string_value_{{$key}}              = $('#search_string_{{$key}}_table3').val();
                        d.search_string_name_{{$key}}               = $('#stringKey{{$key}}_table3').val();
                        d.search_string_type_{{$key}}               = $('#stringType{{$key}}_table3').val();
                        d.search_table_name_{{$key}}                = $('#stringTableType{{$key}}_table3').val();
                        d.search_string_condition_{{$key}}          = $("input[type='radio'][name='condition{{$key}}']:checked").val();
                        d.search_string_sort_{{$key}}               = $("input[type='radio'][name='string_sort_{{$key}}']:checked").val();
                        d.search_string_relation_table_{{$key}}     = $('#stringRelationTable{{$key}}_table3').val();
                        d.search_string_col_name1_{{$key}}          = $('#stringColName1{{$key}}_table3').val();
                        d.search_string_col_name2_{{$key}}          = $('#stringColName2{{$key}}_table3').val();
                        d.search_string_static_{{$key}}             = $('#stringStatic{{$key}}_table3').val();

                        d.search_string_having_{{$key}}             = $('#stringHaving{{$key}}_table3').val();

                        d.search_string_col_alias1_name_{{$key}}    = $('#stringColAl1{{$key}}_table3').val();
                        d.search_string_col_alias2_name_{{$key}}    = $('#stringColAl2{{$key}}_table3').val();
                        d.search_string_col_alias3_name_{{$key}}    = $('#stringColAl3{{$key}}_table3').val();
                        d.search_string_col_alias4_name_{{$key}}    = $('#stringColAl4{{$key}}_table3').val();
                        d.search_string_col_alias5_name_{{$key}}    = $('#stringColAl5{{$key}}_table3').val();
                        d.search_string_col_alias6_name_{{$key}}    = $('#stringColAl6{{$key}}_table3').val();

                        d.search_date_from_value_{{$key}}           = $('#search_date_{{$key}}_table3').val();
                        d.search_date_to_value_{{$key}}             = $('#search_date_end_{{$key}}_table3').val();
                        d.search_date_name_{{$key}}                 = $('#dateKey{{$key}}_table3').val();
                        d.search_date_type_{{$key}}                 = $('#dateType{{$key}}_table3').val();
                        d.search_date_table_name_{{$key}}           = $('#dateTableType{{$key}}_table3').val();
                        d.search_date_condition_{{$key}}            = $("input[type='radio'][name='conditiondate{{$key}}']:checked").val();
                        d.search_date_sort_{{$key}}                 = $("input[type='radio'][name='date_sort_{{$key}}']:checked").val();

                        <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                            d.search_status_value_{{$key}}_{{$ke}}  = $("#conditionstatus_{{$key}}_{{$ke}}:checked").val();
                        <?php endforeach; ?>

                        d.search_status_condition_{{$key}}          = $('#is_status_condition_applied{{$key}}').val();
                        d.search_status_name_{{$key}}               = $('#statusOrgColName{{$key}}').val();
                        d.search_status_table_name_{{$key}}         = $('#statusTableType{{$key}}').val();
                        d.search_status_sort_{{$key}}               = $("input[type='radio'][name='status_sort_{{$key}}']:checked").val();
                        d.search_status_sort_column_{{$key}}        = $("#statusOrderColName{{$key}}").val();
                    <?php endforeach; ?>
                },
                beforeSend: function () {
                    if (typeof table3 != 'undefined' && table3.hasOwnProperty('settings')) {
                        table3.settings()[0].jqXHR.abort();
                    }
                }
            },
            columns: [
                <?php foreach($getField as $key => $filed): ?>
                    <?php if($filed == 1): ?>
                        <?php if(isset(config('settings.table_loads_active')[$key]['name'])): ?>
                            <?php if(config("settings.table_loads_active")[$key]["orderable"] == 1 && config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                            <?php elseif(config("settings.table_loads_active")[$key]["orderable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                            <?php elseif(config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                            <?php else: ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endforeach; ?>
            ]
        });

        var table4 = $('.complete-load-data-table').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            dom: "<'row cusotdiv'<'col-sm-5 col-md-6'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
            processing: true,
            serverSide: true,
            fixedHeader: true,
            ordering: false,
            pageLength: "{{ perPageView() }}",
            // ajax: "{{ route('company.admin.complete.loads.index') }}",
            ajax: {
                url: "{{ route('company.admin.complete.loads.index') }}",
                type:'POST',
                dataType: "json",
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                data: function (d) {
                    <?php foreach($getField as $key => $filed): ?>
                        d.search_string_value_{{$key}}              = $('#search_string_{{$key}}_table4').val();
                        d.search_string_name_{{$key}}               = $('#stringKey{{$key}}_table4').val();
                        d.search_string_type_{{$key}}               = $('#stringType{{$key}}_table4').val();
                        d.search_table_name_{{$key}}                = $('#stringTableType{{$key}}_table4').val();
                        d.search_string_condition_{{$key}}          = $("input[type='radio'][name='condition{{$key}}']:checked").val();
                        d.search_string_sort_{{$key}}               = $("input[type='radio'][name='string_sort_{{$key}}']:checked").val();
                        d.search_string_relation_table_{{$key}}     = $('#stringRelationTable{{$key}}_table4').val();
                        d.search_string_col_name1_{{$key}}          = $('#stringColName1{{$key}}_table4').val();
                        d.search_string_col_name2_{{$key}}          = $('#stringColName2{{$key}}_table4').val();
                        d.search_string_static_{{$key}}             = $('#stringStatic{{$key}}_table4').val();

                        d.search_string_having_{{$key}}             = $('#stringHaving{{$key}}_table4').val();

                        d.search_string_col_alias1_name_{{$key}}    = $('#stringColAl1{{$key}}_table4').val();
                        d.search_string_col_alias2_name_{{$key}}    = $('#stringColAl2{{$key}}_table4').val();
                        d.search_string_col_alias3_name_{{$key}}    = $('#stringColAl3{{$key}}_table4').val();
                        d.search_string_col_alias4_name_{{$key}}    = $('#stringColAl4{{$key}}_table4').val();
                        d.search_string_col_alias5_name_{{$key}}    = $('#stringColAl5{{$key}}_table4').val();
                        d.search_string_col_alias6_name_{{$key}}    = $('#stringColAl6{{$key}}_table4').val();

                        d.search_date_from_value_{{$key}}           = $('#search_date_{{$key}}_table4').val();
                        d.search_date_to_value_{{$key}}             = $('#search_date_end_{{$key}}_table4').val();
                        d.search_date_name_{{$key}}                 = $('#dateKey{{$key}}_table4').val();
                        d.search_date_type_{{$key}}                 = $('#dateType{{$key}}_table4').val();
                        d.search_date_table_name_{{$key}}           = $('#dateTableType{{$key}}_table4').val();
                        d.search_date_condition_{{$key}}            = $("input[type='radio'][name='conditiondate{{$key}}']:checked").val();
                        d.search_date_sort_{{$key}}                 = $("input[type='radio'][name='date_sort_{{$key}}']:checked").val();

                        <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                            d.search_status_value_{{$key}}_{{$ke}}  = $("#conditionstatus_{{$key}}_{{$ke}}:checked").val();
                        <?php endforeach; ?>

                        d.search_status_condition_{{$key}}          = $('#is_status_condition_applied{{$key}}').val();
                        d.search_status_name_{{$key}}               = $('#statusOrgColName{{$key}}').val();
                        d.search_status_table_name_{{$key}}         = $('#statusTableType{{$key}}').val();
                        d.search_status_sort_{{$key}}               = $("input[type='radio'][name='status_sort_{{$key}}']:checked").val();
                        d.search_status_sort_column_{{$key}}        = $("#statusOrderColName{{$key}}").val();
                    <?php endforeach; ?>
                },
                beforeSend: function () {
                    if (typeof table4 != 'undefined' && table4.hasOwnProperty('settings')) {
                        table4.settings()[0].jqXHR.abort();
                    }
                }
            },
            columns: [
                <?php foreach($getField as $key => $filed): ?>
                    <?php if($filed == 1): ?>
                        <?php if(isset(config('settings.table_loads_active')[$key]['name'])): ?>
                            <?php if(config("settings.table_loads_active")[$key]["orderable"] == 1 && config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                            <?php elseif(config("settings.table_loads_active")[$key]["orderable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                            <?php elseif(config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                            <?php else: ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endforeach; ?>
            ]
        });

        var table5 = $('.onhold-load-data-table').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            dom: "<'row cusotdiv'<'col-sm-5 col-md-6'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
            processing: true,
            serverSide: true,
            fixedHeader: true,
            ordering: false,
            pageLength: "{{ perPageView() }}",
            // ajax: "{{ route('company.admin.onhold.loads.index') }}",
            ajax: {
                url: "{{ route('company.admin.onhold.loads.index') }}",
                type:'POST',
                dataType: "json",
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                data: function (d) {
                    <?php foreach($getField as $key => $filed): ?>
                        d.search_string_value_{{$key}}              = $('#search_string_{{$key}}_table5').val();
                        d.search_string_name_{{$key}}               = $('#stringKey{{$key}}_table5').val();
                        d.search_string_type_{{$key}}               = $('#stringType{{$key}}_table5').val();
                        d.search_table_name_{{$key}}                = $('#stringTableType{{$key}}_table5').val();
                        d.search_string_condition_{{$key}}          = $("input[type='radio'][name='condition{{$key}}']:checked").val();
                        d.search_string_sort_{{$key}}               = $("input[type='radio'][name='string_sort_{{$key}}']:checked").val();
                        d.search_string_relation_table_{{$key}}     = $('#stringRelationTable{{$key}}_table5').val();
                        d.search_string_col_name1_{{$key}}          = $('#stringColName1{{$key}}_table5').val();
                        d.search_string_col_name2_{{$key}}          = $('#stringColName2{{$key}}_table5').val();
                        d.search_string_static_{{$key}}             = $('#stringStatic{{$key}}_table5').val();

                        d.search_string_having_{{$key}}             = $('#stringHaving{{$key}}_table5').val();

                        d.search_string_col_alias1_name_{{$key}}    = $('#stringColAl1{{$key}}_table5').val();
                        d.search_string_col_alias2_name_{{$key}}    = $('#stringColAl2{{$key}}_table5').val();
                        d.search_string_col_alias3_name_{{$key}}    = $('#stringColAl3{{$key}}_table5').val();
                        d.search_string_col_alias4_name_{{$key}}    = $('#stringColAl4{{$key}}_table5').val();
                        d.search_string_col_alias5_name_{{$key}}    = $('#stringColAl5{{$key}}_table5').val();
                        d.search_string_col_alias6_name_{{$key}}    = $('#stringColAl6{{$key}}_table5').val();

                        d.search_date_from_value_{{$key}}           = $('#search_date_{{$key}}_table5').val();
                        d.search_date_to_value_{{$key}}             = $('#search_date_end_{{$key}}_table5').val();
                        d.search_date_name_{{$key}}                 = $('#dateKey{{$key}}_table5').val();
                        d.search_date_type_{{$key}}                 = $('#dateType{{$key}}_table5').val();
                        d.search_date_table_name_{{$key}}           = $('#dateTableType{{$key}}_table5').val();
                        d.search_date_condition_{{$key}}            = $("input[type='radio'][name='conditiondate{{$key}}']:checked").val();
                        d.search_date_sort_{{$key}}                 = $("input[type='radio'][name='date_sort_{{$key}}']:checked").val();

                        <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                            d.search_status_value_{{$key}}_{{$ke}}  = $("#conditionstatus_{{$key}}_{{$ke}}:checked").val();
                        <?php endforeach; ?>

                        d.search_status_condition_{{$key}}          = $('#is_status_condition_applied{{$key}}').val();
                        d.search_status_name_{{$key}}               = $('#statusOrgColName{{$key}}').val();
                        d.search_status_table_name_{{$key}}         = $('#statusTableType{{$key}}').val();
                        d.search_status_sort_{{$key}}               = $("input[type='radio'][name='status_sort_{{$key}}']:checked").val();
                        d.search_status_sort_column_{{$key}}        = $("#statusOrderColName{{$key}}").val();
                    <?php endforeach; ?>
                },
                beforeSend: function () {
                    if (typeof table5 != 'undefined' && table5.hasOwnProperty('settings')) {
                        table5.settings()[0].jqXHR.abort();
                    }
                }
            },
            columns: [
                <?php foreach($getField as $key => $filed): ?>
                    <?php if($filed == 1): ?>
                        <?php if(isset(config('settings.table_loads_active')[$key]['name'])): ?>
                            <?php if(config("settings.table_loads_active")[$key]["orderable"] == 1 && config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                            <?php elseif(config("settings.table_loads_active")[$key]["orderable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                            <?php elseif(config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                            <?php else: ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endforeach; ?>
            ]
        });

        var table6 = $('.cancel-load-data-table').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            dom: "<'row cusotdiv'<'col-sm-5 col-md-6'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
            processing: true,
            serverSide: true,
            fixedHeader: true,
            ordering: false,
            pageLength: "{{ perPageView() }}",
            // ajax: "{{ route('company.admin.cancel.loads.index') }}",
            ajax: {
                url: "{{ route('company.admin.cancel.loads.index') }}",
                type:'POST',
                dataType: "json",
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                data: function (d) {
                    <?php foreach($getField as $key => $filed): ?>
                        d.search_string_value_{{$key}}              = $('#search_string_{{$key}}_table6').val();
                        d.search_string_name_{{$key}}               = $('#stringKey{{$key}}_table6').val();
                        d.search_string_type_{{$key}}               = $('#stringType{{$key}}_table6').val();
                        d.search_table_name_{{$key}}                = $('#stringTableType{{$key}}_table6').val();
                        d.search_string_condition_{{$key}}          = $("input[type='radio'][name='condition{{$key}}']:checked").val();
                        d.search_string_sort_{{$key}}               = $("input[type='radio'][name='string_sort_{{$key}}']:checked").val();
                        d.search_string_relation_table_{{$key}}     = $('#stringRelationTable{{$key}}_table6').val();
                        d.search_string_col_name1_{{$key}}          = $('#stringColName1{{$key}}_table6').val();
                        d.search_string_col_name2_{{$key}}          = $('#stringColName2{{$key}}_table6').val();
                        d.search_string_static_{{$key}}             = $('#stringStatic{{$key}}_table6').val();

                        d.search_string_having_{{$key}}             = $('#stringHaving{{$key}}_table6').val();

                        d.search_string_col_alias1_name_{{$key}}    = $('#stringColAl1{{$key}}_table6').val();
                        d.search_string_col_alias2_name_{{$key}}    = $('#stringColAl2{{$key}}_table6').val();
                        d.search_string_col_alias3_name_{{$key}}    = $('#stringColAl3{{$key}}_table6').val();
                        d.search_string_col_alias4_name_{{$key}}    = $('#stringColAl4{{$key}}_table6').val();
                        d.search_string_col_alias5_name_{{$key}}    = $('#stringColAl5{{$key}}_table6').val();
                        d.search_string_col_alias6_name_{{$key}}    = $('#stringColAl6{{$key}}_table6').val();

                        d.search_date_from_value_{{$key}}           = $('#search_date_{{$key}}_table6').val();
                        d.search_date_to_value_{{$key}}             = $('#search_date_end_{{$key}}_table6').val();
                        d.search_date_name_{{$key}}                 = $('#dateKey{{$key}}_table6').val();
                        d.search_date_type_{{$key}}                 = $('#dateType{{$key}}_table6').val();
                        d.search_date_table_name_{{$key}}           = $('#dateTableType{{$key}}_table6').val();
                        d.search_date_condition_{{$key}}            = $("input[type='radio'][name='conditiondate{{$key}}']:checked").val();
                        d.search_date_sort_{{$key}}                 = $("input[type='radio'][name='date_sort_{{$key}}']:checked").val();

                        <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                            d.search_status_value_{{$key}}_{{$ke}}  = $("#conditionstatus_{{$key}}_{{$ke}}:checked").val();
                        <?php endforeach; ?>

                        d.search_status_condition_{{$key}}          = $('#is_status_condition_applied{{$key}}').val();
                        d.search_status_name_{{$key}}               = $('#statusOrgColName{{$key}}').val();
                        d.search_status_table_name_{{$key}}         = $('#statusTableType{{$key}}').val();
                        d.search_status_sort_{{$key}}               = $("input[type='radio'][name='status_sort_{{$key}}']:checked").val();
                        d.search_status_sort_column_{{$key}}        = $("#statusOrderColName{{$key}}").val();
                    <?php endforeach; ?>
                },
                beforeSend: function () {
                    if (typeof table6 != 'undefined' && table6.hasOwnProperty('settings')) {
                        table6.settings()[0].jqXHR.abort();
                    }
                }
            },
            columns: [
                <?php foreach($getField as $key => $filed): ?>
                    <?php if($filed == 1): ?>
                        <?php if(isset(config('settings.table_loads_active')[$key]['name'])): ?>
                            <?php if(config("settings.table_loads_active")[$key]["orderable"] == 1 && config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                            <?php elseif(config("settings.table_loads_active")[$key]["orderable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                            <?php elseif(config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                            <?php else: ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endforeach; ?>
            ]
        });

        var table7 = $('.unoccupied-load-data-table').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
            search: "",
            searchPlaceholder: "Search...",
            },
            dom: "<'row cusotdiv'<'col-sm-5 col-md-6'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
            processing: true,
            serverSide: true,
            fixedHeader: true,
            ordering: false,
            pageLength: "{{ perPageView() }}",
            // ajax: "{{ route('company.admin.unoccupied.loads.index') }}",
            ajax: {
                url: "{{ route('company.admin.unoccupied.loads.index') }}",
                type:'POST',
                dataType: "json",
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                data: function (d) {
                    <?php foreach($getField as $key => $filed): ?>
                        d.search_string_value_{{$key}}              = $('#search_string_{{$key}}_table7').val();
                        d.search_string_name_{{$key}}               = $('#stringKey{{$key}}_table7').val();
                        d.search_string_type_{{$key}}               = $('#stringType{{$key}}_table7').val();
                        d.search_table_name_{{$key}}                = $('#stringTableType{{$key}}_table7').val();
                        d.search_string_condition_{{$key}}          = $("input[type='radio'][name='condition{{$key}}']:checked").val();
                        d.search_string_sort_{{$key}}               = $("input[type='radio'][name='string_sort_{{$key}}']:checked").val();
                        d.search_string_relation_table_{{$key}}     = $('#stringRelationTable{{$key}}_table7').val();
                        d.search_string_col_name1_{{$key}}          = $('#stringColName1{{$key}}_table7').val();
                        d.search_string_col_name2_{{$key}}          = $('#stringColName2{{$key}}_table7').val();
                        d.search_string_static_{{$key}}             = $('#stringStatic{{$key}}_table7').val();

                        d.search_string_having_{{$key}}             = $('#stringHaving{{$key}}_table7').val();

                        d.search_string_col_alias1_name_{{$key}}    = $('#stringColAl1{{$key}}_table7').val();
                        d.search_string_col_alias2_name_{{$key}}    = $('#stringColAl2{{$key}}_table7').val();
                        d.search_string_col_alias3_name_{{$key}}    = $('#stringColAl3{{$key}}_table7').val();
                        d.search_string_col_alias4_name_{{$key}}    = $('#stringColAl4{{$key}}_table7').val();
                        d.search_string_col_alias5_name_{{$key}}    = $('#stringColAl5{{$key}}_table7').val();
                        d.search_string_col_alias6_name_{{$key}}    = $('#stringColAl6{{$key}}_table7').val();

                        d.search_date_from_value_{{$key}}           = $('#search_date_{{$key}}_table7').val();
                        d.search_date_to_value_{{$key}}             = $('#search_date_end_{{$key}}_table7').val();
                        d.search_date_name_{{$key}}                 = $('#dateKey{{$key}}_table7').val();
                        d.search_date_type_{{$key}}                 = $('#dateType{{$key}}_table7').val();
                        d.search_date_table_name_{{$key}}           = $('#dateTableType{{$key}}_table7').val();
                        d.search_date_condition_{{$key}}            = $("input[type='radio'][name='conditiondate{{$key}}']:checked").val();
                        d.search_date_sort_{{$key}}                 = $("input[type='radio'][name='date_sort_{{$key}}']:checked").val();

                        <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                            d.search_status_value_{{$key}}_{{$ke}}  = $("#conditionstatus_{{$key}}_{{$ke}}:checked").val();
                        <?php endforeach; ?>

                        d.search_status_condition_{{$key}}          = $('#is_status_condition_applied{{$key}}').val();
                        d.search_status_name_{{$key}}               = $('#statusOrgColName{{$key}}').val();
                        d.search_status_table_name_{{$key}}         = $('#statusTableType{{$key}}').val();
                        d.search_status_sort_{{$key}}               = $("input[type='radio'][name='status_sort_{{$key}}']:checked").val();
                        d.search_status_sort_column_{{$key}}        = $("#statusOrderColName{{$key}}").val();
                    <?php endforeach; ?>
                },
                beforeSend: function () {
                    if (typeof table7 != 'undefined' && table7.hasOwnProperty('settings')) {
                        table7.settings()[0].jqXHR.abort();
                    }
                }
            },
            columns: [
                <?php foreach($getField as $key => $filed): ?>
                    <?php if($filed == 1): ?>
                        <?php if(isset(config('settings.table_loads_active')[$key]['name'])): ?>
                            <?php if(config("settings.table_loads_active")[$key]["orderable"] == 1 && config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                            <?php elseif(config("settings.table_loads_active")[$key]["orderable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                            <?php elseif(config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                            <?php else: ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endforeach; ?>
            ]
        });

        var table8 = $('.allload-load-data-table').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
            search: "",
            searchPlaceholder: "Search...",
            },
            dom: "<'row cusotdiv'<'col-sm-5 col-md-6'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
            processing: true,
            serverSide: true,
            fixedHeader: true,
            ordering: false,
            pageLength: "{{ perPageView() }}",
            // ajax: "{{ route('company.admin.allload.loads.index') }}",
            ajax: {
                url: "{{ route('company.admin.allload.loads.index') }}",
                type:'POST',
                dataType: "json",
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                data: function (d) {
                    <?php foreach($getField as $key => $filed): ?>
                        d.search_string_value_{{$key}}              = $('#search_string_{{$key}}_table8').val();
                        d.search_string_name_{{$key}}               = $('#stringKey{{$key}}_table8').val();
                        d.search_string_type_{{$key}}               = $('#stringType{{$key}}_table8').val();
                        d.search_table_name_{{$key}}                = $('#stringTableType{{$key}}_table8').val();
                        d.search_string_condition_{{$key}}          = $("input[type='radio'][name='condition{{$key}}']:checked").val();
                        d.search_string_sort_{{$key}}               = $("input[type='radio'][name='string_sort_{{$key}}']:checked").val();
                        d.search_string_relation_table_{{$key}}     = $('#stringRelationTable{{$key}}_table8').val();
                        d.search_string_col_name1_{{$key}}          = $('#stringColName1{{$key}}_table8').val();
                        d.search_string_col_name2_{{$key}}          = $('#stringColName2{{$key}}_table8').val();
                        d.search_string_static_{{$key}}             = $('#stringStatic{{$key}}_table8').val();

                        d.search_string_having_{{$key}}             = $('#stringHaving{{$key}}_table8').val();

                        d.search_string_col_alias1_name_{{$key}}    = $('#stringColAl1{{$key}}_table8').val();
                        d.search_string_col_alias2_name_{{$key}}    = $('#stringColAl2{{$key}}_table8').val();
                        d.search_string_col_alias3_name_{{$key}}    = $('#stringColAl3{{$key}}_table8').val();
                        d.search_string_col_alias4_name_{{$key}}    = $('#stringColAl4{{$key}}_table8').val();
                        d.search_string_col_alias5_name_{{$key}}    = $('#stringColAl5{{$key}}_table8').val();
                        d.search_string_col_alias6_name_{{$key}}    = $('#stringColAl6{{$key}}_table8').val();

                        d.search_date_from_value_{{$key}}           = $('#search_date_{{$key}}_table8').val();
                        d.search_date_to_value_{{$key}}             = $('#search_date_end_{{$key}}_table8').val();
                        d.search_date_name_{{$key}}                 = $('#dateKey{{$key}}_table8').val();
                        d.search_date_type_{{$key}}                 = $('#dateType{{$key}}_table8').val();
                        d.search_date_table_name_{{$key}}           = $('#dateTableType{{$key}}_table8').val();
                        d.search_date_condition_{{$key}}            = $("input[type='radio'][name='conditiondate{{$key}}']:checked").val();
                        d.search_date_sort_{{$key}}                 = $("input[type='radio'][name='date_sort_{{$key}}']:checked").val();

                        <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                            d.search_status_value_{{$key}}_{{$ke}}  = $("#conditionstatus_{{$key}}_{{$ke}}:checked").val();
                        <?php endforeach; ?>

                        d.search_status_condition_{{$key}}          = $('#is_status_condition_applied{{$key}}').val();
                        d.search_status_name_{{$key}}               = $('#statusOrgColName{{$key}}').val();
                        d.search_status_table_name_{{$key}}         = $('#statusTableType{{$key}}').val();
                        d.search_status_sort_{{$key}}               = $("input[type='radio'][name='status_sort_{{$key}}']:checked").val();
                        d.search_status_sort_column_{{$key}}        = $("#statusOrderColName{{$key}}").val();
                    <?php endforeach; ?>
                },
                beforeSend: function () {
                    if (typeof table8 != 'undefined' && table8.hasOwnProperty('settings')) {
                        table8.settings()[0].jqXHR.abort();
                    }
                }
            },
            columns: [
                <?php foreach($getField as $key => $filed): ?>
                    <?php if($filed == 1): ?>
                        <?php if(isset(config('settings.table_loads_active')[$key]['name'])): ?>
                            <?php if(config("settings.table_loads_active")[$key]["orderable"] == 1 && config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                            <?php elseif(config("settings.table_loads_active")[$key]["orderable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                            <?php elseif(config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                            <?php else: ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endforeach; ?>
            ]
        });

        var table9 = $('.oosapproval-load-data-table').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
            search: "",
            searchPlaceholder: "Search...",
            },
            dom: "<'row cusotdiv'<'col-sm-5 col-md-6'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
            processing: true,
            serverSide: true,
            fixedHeader: true,
            ordering: false,
            pageLength: "{{ perPageView() }}",
            // ajax: "{{ route('company.admin.oos.pending.loads.index') }}",
            ajax: {
                url: "{{ route('company.admin.oos.pending.loads.index') }}",
                type:'POST',
                dataType: "json",
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                data: function (d) {
                    <?php foreach($getField as $key => $filed): ?>
                        d.search_string_value_{{$key}}              = $('#search_string_{{$key}}_table9').val();
                        d.search_string_name_{{$key}}               = $('#stringKey{{$key}}_table9').val();
                        d.search_string_type_{{$key}}               = $('#stringType{{$key}}_table9').val();
                        d.search_table_name_{{$key}}                = $('#stringTableType{{$key}}_table9').val();
                        d.search_string_condition_{{$key}}          = $("input[type='radio'][name='condition{{$key}}']:checked").val();
                        d.search_string_sort_{{$key}}               = $("input[type='radio'][name='string_sort_{{$key}}']:checked").val();
                        d.search_string_relation_table_{{$key}}     = $('#stringRelationTable{{$key}}_table9').val();
                        d.search_string_col_name1_{{$key}}          = $('#stringColName1{{$key}}_table9').val();
                        d.search_string_col_name2_{{$key}}          = $('#stringColName2{{$key}}_table9').val();
                        d.search_string_static_{{$key}}             = $('#stringStatic{{$key}}_table9').val();

                        d.search_string_having_{{$key}}             = $('#stringHaving{{$key}}_table9').val();

                        d.search_string_col_alias1_name_{{$key}}    = $('#stringColAl1{{$key}}_table9').val();
                        d.search_string_col_alias2_name_{{$key}}    = $('#stringColAl2{{$key}}_table9').val();
                        d.search_string_col_alias3_name_{{$key}}    = $('#stringColAl3{{$key}}_table9').val();
                        d.search_string_col_alias4_name_{{$key}}    = $('#stringColAl4{{$key}}_table9').val();
                        d.search_string_col_alias5_name_{{$key}}    = $('#stringColAl5{{$key}}_table9').val();
                        d.search_string_col_alias6_name_{{$key}}    = $('#stringColAl6{{$key}}_table9').val();

                        d.search_date_from_value_{{$key}}           = $('#search_date_{{$key}}_table9').val();
                        d.search_date_to_value_{{$key}}             = $('#search_date_end_{{$key}}_table9').val();
                        d.search_date_name_{{$key}}                 = $('#dateKey{{$key}}_table9').val();
                        d.search_date_type_{{$key}}                 = $('#dateType{{$key}}_table9').val();
                        d.search_date_table_name_{{$key}}           = $('#dateTableType{{$key}}_table9').val();
                        d.search_date_condition_{{$key}}            = $("input[type='radio'][name='conditiondate{{$key}}']:checked").val();
                        d.search_date_sort_{{$key}}                 = $("input[type='radio'][name='date_sort_{{$key}}']:checked").val();

                        <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                            d.search_status_value_{{$key}}_{{$ke}}  = $("#conditionstatus_{{$key}}_{{$ke}}:checked").val();
                        <?php endforeach; ?>

                        d.search_status_condition_{{$key}}          = $('#is_status_condition_applied{{$key}}').val();
                        d.search_status_name_{{$key}}               = $('#statusOrgColName{{$key}}').val();
                        d.search_status_table_name_{{$key}}         = $('#statusTableType{{$key}}').val();
                        d.search_status_sort_{{$key}}               = $("input[type='radio'][name='status_sort_{{$key}}']:checked").val();
                        d.search_status_sort_column_{{$key}}        = $("#statusOrderColName{{$key}}").val();
                    <?php endforeach; ?>
                },
                beforeSend: function () {
                    if (typeof table9 != 'undefined' && table9.hasOwnProperty('settings')) {
                        table9.settings()[0].jqXHR.abort();
                    }
                }
            },
            columns: [
                <?php foreach($getField as $key => $filed): ?>
                    <?php if($filed == 1): ?>
                        <?php if(isset(config('settings.table_loads_active')[$key]['name'])): ?>
                            <?php if(config("settings.table_loads_active")[$key]["orderable"] == 1 && config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                            <?php elseif(config("settings.table_loads_active")[$key]["orderable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                            <?php elseif(config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                            <?php else: ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endforeach; ?>
            ]
        });

        $('<a type="button" class="refreshAll btn btn-primary ml-3"><i class="fa fa-refresh"></i> Refresh</a>').prependTo(".dataTables_filter");
        $('<a type="button" id="clearAll{{str_replace("settings.","",$tableName)}}" class="clearAll filter_{{str_replace("settings.","",$tableName)}} d-none btn btn-orange ml-3 {{str_replace("settings.","",$tableName)}}">Clear filters</a>').prependTo(".dataTables_filter");
        $('<button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal">Columns</button>').appendTo(".cusotdiv");

        $( function() {
            $("#sortable").sortable();
        });

        $(document).ready( function() {
            $(document).on( 'click', '.changeLoadTab', function(e) {
                e.preventDefault();

                var getTableName        = $("#getTableName").val();
                var getLastActiveTable  = $("#lastActiveTable").val();
                var getTableVar         = $(this).data('table');

                $('.filter_'+getTableName).addClass("d-none");
                $('.columnFilter').removeClass("filter_icon_orange");

                $('.generalModel input[type=checkbox]').prop('checked', false);
                $('.generalModel input[type=radio]').prop('checked', false);
                $('.searchStringClass').val('');
                $('.filterfromdate').val('');
                $('.filtertodate').val('');

                $("#search_string_section").addClass('d-none');
                $("#search_date_section").addClass('d-none');
                $("#search_date_end_section").addClass('d-none');

                var previous_tab        = $("#previous_tab").val();
                if(previous_tab !=''){
                    drawTables(previous_tab);
                    $("#previous_tab").val('');
                }
            });
        });
    </script>
@endsection
