@if($getNote->isNotEmpty())
    @foreach ($getNote as $key => $note)
        @php
            if(!empty($note->document)){
                $documents = unserialize($note->document);
            }else{
                $documents = [];
            }
        @endphp
        <div class="communication-block mt-3">
            <div class="d-flex flex-wrap">
                <h6>
                    {{ \Carbon\Carbon::createFromFormat('Y-m-d H:i:s', $note->created_at)->setTimezone($getTimeZone)->format('l '.getTimeLayout())." ".$getTimeZoneId }}
                </h6>
                <h6>
                    Posted by:
                    @if($note->created_by_type == 3)
                        {{ $note->createdDriverBy->full_name }}
                    @else
                        {{ $note->createdBy->full_name }}
                    @endif
                </h6>
                @if(!empty($note->request_type))
                    <h6>{{ getNoteRequestType()[$note->request_type] }}</h6>
                @endif
            </div>
            <div class="d-flex communication-content">
                @if(empty($note->type))
                    <p><strong>Note:</strong> {{ $note->note }}</p>
                @else
                    <p><strong>{{ getLoadNoteType()[$note->type] }}:</strong> {{ $note->note }}</p>
                @endif
                <div class="communication-img">
                    @if(is_array($documents) && count($documents) > 0)
                        <a href="javascript:void(0);" data-toggle="modal" data-target="#loadNoteFile{{$note->id}}">
                            <img src="{{ asset('theme/images/atteched.png') }}" alt="Atteched">
                        </a>
                    @endif
                    {{--<img src="{{ asset('theme/images/details.png') }}" alt="Detail">--}}
                    <a href="javascript:void(0);" class="destroyNote" data-action="{{ route('company.admin.loads.note.view.delete', $note->id) }}" data-id="{{ $note->id }}">
                        <img src="{{ asset('theme/images/delete-black.png') }}" alt="Delete">
                    </a>
                </div>
            </div>
            <div class="d-flex flex-wrap align-items-center mt-3 mb-0">
                <label class="mb-0 mr-3 font-weight-bold"> Notify:</label>
                <div class="custom-checkbox-inline">
                    <div class="custom-control custom-checkbox">
                        <input type="checkbox" class="custom-control-input" {{ ($note->notify_dispatcher == 1 ? ' checked' : '') }} disabled>
                        <label class="custom-control-label">Dispatcher</label>
                    </div>
                    <div class="custom-control custom-checkbox">
                        <input type="checkbox" class="custom-control-input" {{ ($note->notify_dirver == 1 ? ' checked' : '') }} disabled>
                        <label class="custom-control-label">Driver</label>
                    </div>
                    <div class="custom-control custom-checkbox">
                        <input type="checkbox" class="custom-control-input" {{ ($note->notify_broker == 1 ? ' checked' : '') }} disabled>
                        <label class="custom-control-label">Broker</label>
                    </div>
                    <div class="custom-control custom-checkbox">
                        <input type="checkbox" class="custom-control-input" {{ ($note->notify_my == 1 ? ' checked' : '') }} disabled>
                        <label class="custom-control-label">Add to my notifications</label>
                    </div>
                    <div class="custom-control custom-checkbox">
                        <input type="checkbox" class="custom-control-input" {{ ($note->notify_private == 1 ? ' checked' : '') }} disabled>
                        <label class="custom-control-label">CC</label>
                        @if($note->notify_private == 1)
                            ({{ $note->notify_private_user_name($note->id) }})
                        @endif
                    </div>
                </div>
            </div>
        </div>
        @if(is_array($documents) && count($documents) > 0)
            <div class="modal fade teamModal" id="loadNoteFile{{ $note->id }}" tabindex="-1" aria-labelledby="loadNoteFileLabel{{ $note->id }}" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered modal-blue">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="loadNoteFileLabel{{ $note->id }}">
                                Load note file
                                @if(!empty($note->request_type))
                                    : {{ getNoteRequestType()[$note->request_type] }}
                                @endif
                            </h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body text-left mulimagbu">
                            @foreach($documents as $document)
                                @php
                                    $file_path  = 'storage/companyAdmin/loadfile/'.$document;
                                    $type       = \File::extension($file_path);
                                @endphp
                                @if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif')
                                    <a href="{{ asset($file_path) }}" target="_blank" class="mb-3 d-block" >
                                        <img src="{{ asset($file_path) }}" alt="" class="img-fluid">
                                    </a>
                                @else
                                    <a href="{{ asset($file_path) }}" target="_blank" class="btn btn-outline-primary mb-3 d-block">{{ $document }}</a>
                                @endif
                            @endforeach
                            <hr>
                            <p class="teswrap"><strong>Note: </strong>{{ $note->note }}</p>
                        </div>
                    </div>
                </div>
            </div>
        @endif
    @endforeach
@endif