<div class="modal fade blank-modal-body" id="addAppointments"  aria-labelledby="addAppointments" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Add Appointments</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            {!! Form::open(array(
                    'route'         => 'company.admin.maintenance-appointments.store',
                    'method'        => 'POST',
                    'files'         => 'true',
                    'class'         => 'storeAppointmentsForm',
                    'autocomplete'  => 'off'
                )
            ) !!}
            <input type="hidden" name="maintenance_id" value="{{ $maintenance->id }}">
                <div class="modal-body">
                    <div class=" row">

                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Summary<span>*</span></label>
                                {!! Form::text('summary', old('summary'), array('class' => 'form-control', 'autocomplete' => 'new', 'required' => 'required', 'data-parsley-pattern' => '^[a-zA-Z ]*$')) !!}
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Description<span>*</span></label>
                                {!! Form::textarea('description', old('description'), array('class' => 'form-control', 'autocomplete' => 'new', 'required' => 'required', 'data-parsley-pattern' => '^[a-zA-Z ]*$', 'rows' => '2')) !!}
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Appointment Type</label>
                                {!! Form::select('type', ['' => 'Select Type']+getMaintenanceAppointmentTypeList(), request()->get('type'), ['class' => 'form-control select2','data-parsley-errors-container'=>'#type','required' => 'required']) !!}
                            </div>
                        </div>
                        <div class="col-md-12 geocoding" data-type="appointment">
                            <div class="row">
                                <input type="hidden" class="geocoding-latitude" name="latitude" value="" autocomplete="off">
                                <input type="hidden" class="geocoding-longitude" name="longitude" value="" autocomplete="off">
                                <input type="hidden" class="geocoding-abbr" name="timezone_abbr" value="" autocomplete="off">
                                <input type="hidden" class="geocoding-verified" name="address_verified" value="0" autocomplete="off">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label style="width: 100%;">Address  <a href="javascript:void(0)" class="addvendoraddress" style="position:absolute;right: 0;"><small>Add Vendor Address</small></a></label>
                                        {!! Form::text('address', null, array(
                                                'class'         => 'form-control geocoding-address-1',
                                                'placeholder'   => '',
                                                'required'      => 'required'
                                            )
                                        ) !!}
                                        <span class="error address_error text-danger"></span>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Address 2</label>
                                        {!! Form::text('address2', null, array(
                                                'class'         => 'form-control geocoding-address-2',
                                                'placeholder'   => ''
                                            )
                                        ) !!}
                                        <span class="error address2_error text-danger"></span>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>City</label>
                                        {!! Form::text('city', null, array(
                                                'class'         => 'form-control geocoding-city'
                                            )
                                        ) !!}
                                        <span class="error city_error text-danger"></span>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>State</label>
                                        {!! Form::text('state', null, array(
                                                'class'         => 'form-control geocoding-state',
                                                'required'      => 'required'
                                            )
                                        ) !!}
                                        <span class="error state_error text-danger"></span>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Zip</label>
                                        {!! Form::text('zip', null, array(
                                                'class'         => 'form-control geocoding-zip',
                                                'required'      => 'required'
                                            )
                                        ) !!}
                                        <span class="error zip_error text-danger"></span>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Appointment Reminders Schedule</label>
                                {!! Form::select('reminders_schedule',
                                    ['' => 'Select Reminders',
                                        '1' => '1 hour before',
                                        '2' => '2 hour before',
                                        '3' => '3 hour before',
                                        '4' => '4 hour before',
                                        '5' => '5 hour before'
                                    ],
                                    request()->get('reminders_schedule'),
                                    ['class' => 'form-control select2','data-parsley-errors-container'=>'#reminders_schedule','required' => 'required']) !!}
                            </div>
                        </div>
                        <div class="col-md-2 pr-0">
                            <div class="checkbox d-inline-block mr-2">
                                <label class=" control-label">
                                    {!! Form::checkbox('all_days', 1, false, array('class' => 'form-control loadregucheck all_days')) !!} All Day
                                </label>
                            </div>
                        </div>
                        <div class="col-md-5">
                            <div class="form-group">
                                <label>Start Date<span>*</span> ({{ $getTimeZoneId }})</label>
                                {!! Form::text('start_time', old('start_time'), array('class' => 'form-control datetime startDate','required' => 'required')) !!}
                            </div>
                        </div>
                        <div class="col-md-5 end_date_div">
                            <div class="form-group">
                                <label>End Date<span>*</span> ({{ $getTimeZoneId }})</label>
                                {!! Form::text('end_time', old('end_time'), array('class' => 'form-control datetime endDate','required' => 'required')) !!}
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Appointment Owner</label>
                                @php
                                $user=auth()->guard('company-admin')->user();
                                $selected= $user->id.'-'.$user->type;
                                @endphp
                                {!! Form::select('owner', ['' => 'Select Owner']+getUserListByCompany(), $selected , ['class' => 'form-control select2','data-parsley-errors-container'=>'#owner','required' => 'required']) !!}
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Additional Attendees</label>
                                {!! Form::select('attendees[]',getUserListByCompany(), request()->get('attendees'), ['class' => 'form-control select2','data-parsley-errors-container'=>'#owner', 'multiple' => 'multiple']) !!}
                               
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="checkbox d-inline-block mr-2">
                              <label class=" control-label">
                                    {!! Form::checkbox('do_not_email_invitation', 1, false, array('class' => 'form-control loadregucheck')) !!} Do not email this appointment invitation
                              </label>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                <button type="button" class="btn cancel-btn" data-dismiss="modal">Cancel</button>
                    <button role="button" class="btn btn-warning add-appointment-geocoding-btn geocoding-btn" data-type="appointment" data-uid="{{ 'map-'.generateStrUniqueId() }}">Verify</button>
                    <button class="btn blue-btn save-btn d-none">Save</button>
                    
                </div>
            {!! Form::close() !!}
        </div>
    </div>
</div>

