<div class="modal fade teamModal-2 blank-modal-body" id="addVendorModal" tabindex="-1" aria-labelledby="addVendorModal" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Add Vendor</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            {!! Form::open(array(
                    'route'         => 'company.admin.vendor.storeAjax',
                    'method'        => 'POST',
                    'files'         => 'true',
                    'class'         => 'storeVendorForm',
                    'autocomplete'  => 'off'
                )
            ) !!}
                <div class="modal-body">
                    <div class=" row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Vendor Name<span>*</span></label>
                                {!! Form::text('name', old('name'), array('class' => 'form-control', 'autocomplete' => 'new', 'required' => 'required', 'data-parsley-pattern' => '^[a-zA-Z ]*$')) !!}
                                @error('name')
                                    <span class="text-danger" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>
                        <div class="col-md-12 geocoding" data-type="vendor">
                            <div class="row">
                                <input type="hidden" class="geocoding-latitude" name="latitude" value="" autocomplete="off">
                                <input type="hidden" class="geocoding-longitude" name="longitude" value="" autocomplete="off">
                                <input type="hidden" class="geocoding-abbr" name="timezone_abbr" value="" autocomplete="off">
                                <input type="hidden" class="geocoding-verified" name="address_verified" value="0" autocomplete="off">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Address</label>
                                        {!! Form::text('address', null, array(
                                                'class'         => 'form-control geocoding-address-1',
                                                'placeholder'   => '',
                                                'required'      => 'required'
                                            )
                                        ) !!}
                                        <span class="error address_error text-danger"></span>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Address 2</label>
                                        {!! Form::text('address2', null, array(
                                                'class'         => 'form-control geocoding-address-2',
                                                'placeholder'   => ''
                                            )
                                        ) !!}
                                        <span class="error address2_error text-danger"></span>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>City</label>
                                        {!! Form::text('city', null, array(
                                                'class'         => 'form-control geocoding-city'
                                            )
                                        ) !!}
                                        <span class="error city_error text-danger"></span>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>State</label>
                                        {!! Form::text('state', null, array(
                                                'class'         => 'form-control geocoding-state',
                                                'required'      => 'required'
                                            )
                                        ) !!}
                                        <span class="error state_error text-danger"></span>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Zip</label>
                                        {!! Form::text('zip', null, array(
                                                'class'         => 'form-control geocoding-zip',
                                                'required'      => 'required'
                                            )
                                        ) !!}
                                        <span class="error zip_error text-danger"></span>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Phone<span>*</span></label>
                                {!! Form::text('phone', old('phone'), array('class' => 'form-control phone', 'required' => 'required')) !!}
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Email</label>
                                {!! Form::email('email', old('email'), array('class' => 'form-control')) !!}
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Fax</label>
                                {!! Form::text('fax', old('fax'), array('class' => 'form-control')) !!}
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                <button type="button" class="btn cancel-btn" data-dismiss="modal">Cancel</button>
                    <button role="button" class="btn btn-warning add-vendor-geocoding-btn geocoding-btn" data-type="vendor" data-uid="{{ 'map-'.generateStrUniqueId() }}">Verify</button>
                    <button class="btn blue-btn save-btn d-none">Save</button>
                </div>
            {!! Form::close() !!}
        </div>
    </div>
</div>