@extends($companyAdminTheme)

@section('title')
    Notifications
@endsection

@section('style')
    <style type="text/css">
        .data-table tbody tr td p {width: 650px;white-space: break-spaces;}
    </style>
@endsection

@section('content')
<div class="white-box table-view">
    <h3 class="table-title">Notifications</h3>
    <div class="table-responsive">
        <table class="table data-table">
            <thead>
                <tr>
                    <th>Source</th>
                    <th>Name</th>
                    <th>Description</th>
                    <th>Read At</th>
                    <th>Created At</th>
                </tr>
            </thead>
            <tbody>
            </tbody>
        </table>
    </div>
</div>
@endsection

@section('script')
    <script type="text/javascript">
        var table = $('.data-table').DataTable({
            stateSave: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            processing: true,
            serverSide: true,
            bJQueryUI: true,
            colReorder: true,
            responsive: true,
            ordering: false,
            // pageLength: 1,
            order: [[0, "asc"]],
            ajax: "{{ route('company.admin.notifications.index') }}",
            columns: [
                { data: 'source', name: 'source' },
                { data: 'name', name: 'name' },
                { data: 'description', name: 'description' },
                { data: 'read_at', name: 'read_at' },
                { data: 'created_at', name: 'created_at' },
            ]
        });
    </script>
@endsection
