@extends($companyAdminTheme)

@section('title')
    Notification
@endsection

@section('style')
    <link rel="stylesheet" href="//code.jquery.com/ui/1.13.1/themes/base/jquery-ui.css">
    <style type="text/css">
        .cbox {padding: 15px;background-color: #eee;margin-top: 16px;border-radius: 5px;}
        .selevewse {display: flex;justify-content: start;align-items: center;}
        .selevewse li {background-color: #eee;padding: 5px 12px;border-radius: 10px;margin-right: 10px;}

        .selevewse2 {display: flex;justify-content: start;align-items: center;}
        .selevewse2 .dje {display: flex;background-color: #eee;padding: 5px 12px;border-radius: 10px;margin-right: 10px;}
        .selevewse2 .dje .form-control {width: 79px;padding: 6px;height: 31px;font-size: 14px;}
        .selevewse2 .dje label {margin-right: 10px;line-height: 28px;margin-bottom: 0;}
        .selevewse2 .dropdown-menu,.selevewse2 .dropdown-menu ul,.selevewse2 .dropdown-menu ul li {background-color: #fff;}
    </style>
@endsection

@section('content')
    @php
        $getCompanyTwilioDataNotifyActive       = 0;
        $getCompanyTwilioDataNotifyClass        = '';
        if(isset($getCompanyTwilioData['active']) && $getCompanyTwilioData['active']=='yes'){
            $getCompanyTwilioDataNotifyActive   = 1;
        }
        if($getCompanyTwilioDataNotifyActive==0){
            $getCompanyTwilioDataNotifyClass    = ' disable-click';
        }
    @endphp

    {!! Form::open(array('route' => 'company.admin.notifications-status.store','method'=>'POST','files'=>'true','class'=>'storeForm')) !!}
        <div class="white-box table-view backgroucolor-gray pb-4 pt-4">
            <div class="row">
                <div class="col-sm-4 col-md-4">
                    <h3 class="table-title mb-0">Notification Status</h3>
                </div>
                <div class="col-sm-8 col-md-8 pl-2 text-left">
                    <p class="text-red mt-2">Select Days and Time when you should receive notifications.</p>
                    <ul class="selevewse">
                        @foreach(getDays() as $key2 => $day)
                            @php
                                $dayexplode = explode(',', checkNofifyValue(1,'days_id'));
                            @endphp
                            <li>
                                <div class="custom-control custom-checkbox">
                                    <input type="checkbox" @if(in_array($key2, $dayexplode)) checked @endif class="custom-control-input" id="days{{ $key2 }}" name="days_id[]" value="{{ $key2 }}"><label class="custom-control-label" for="days{{ $key2 }}">{{ $day }}</label>
                                </div>
                            </li>
                        @endforeach
                    </ul>
                    <div class="selevewse2 mt-3">
                        <div class="dje">
                            <label>Start Time</label>
                            {!! Form::text('start_time', !empty(checkNofifyValue(1,'start_time')) ? checkNofifyValue(1,'start_time') : '09:00', array('placeholder' => '14:00', 'class' => 'form-control start_time', 'autocomplete' => 'start_time')) !!}
                        </div>
                        <div class="dje">
                            <label>End Time</label>
                            {!! Form::text('end_time', !empty(checkNofifyValue(1,'end_time')) ? checkNofifyValue(1,'end_time') : '22:00', array('placeholder' => '22:00', 'class' => 'form-control end_time', 'autocomplete' => 'end_time')) !!}
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="white-box table-view mt-4">
            <div class="row">
                <div class="col-sm-12 col-md-12">
                    <h3 class="table-title mb-0">Loads</h3>
                </div>
                <div class="col-sm-12 col-md-12">
                    <div class="table-responsive">
                        <table class="table data-table dataTable no-footer">
                            <thead>
                                <tr>
                                    <th>No.</th>
                                    <th>Notification</th>
                                    <th>Email</th>
                                    <th>SMS @if($getCompanyTwilioDataNotifyActive == 0) <span class="text-danger float-right">Contact Support</span> @endif</th>
                                    <th>Unread Delay</th>
                                    <th>Resend Unread Notifications</th>
                                    <th>Send Anytime</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach(getNotiSourceList() as $key => $value)
                                    @php
                                        $key = $value['id'];
                                        if($value['group'] != 1){
                                            continue;
                                        }
                                    @endphp
                                    <tr>
                                        <td>
                                            <input type="hidden" name="action_name_id[{{ $key }}]" value="{{ $key }}">{{ $key }}
                                        </td>
                                        <td>{{ $value['name'] }}</td>
                                        <td>
                                            <input type="hidden" name="email[{{ $key }}]" value="0">
                                            <div class="custom-control custom-switch">
                                                {!! Form::checkbox('email['.$key.']', 1, checkNofify($key,'email'), array('class' => 'custom-control-input', 'id' => 'email'.$key )) !!}
                                                <label class="custom-control-label" for="email{{ $key }}"></label>
                                            </div>
                                        </td>
                                        <td>
                                            <input type="hidden" name="sms[{{ $key }}]" value="0">
                                            <div class="custom-control custom-switch">
                                                {!! Form::checkbox('sms['.$key.']', 1, checkNofify($key,'sms'), array('class' => 'custom-control-input'.$getCompanyTwilioDataNotifyClass, 'id' => 'sms'.$key)) !!}
                                                <label class="custom-control-label" for="sms{{ $key }}"></label>
                                            </div>
                                        </td>
                                        <td>
                                            <input type="hidden" name="is_unread_delay[{{ $key }}]" value="0">
                                            <div class="custom-control custom-switch mb">
                                                {!! Form::checkbox('is_unread_delay['.$key.']', 1, checkNofify($key,'is_unread_delay'), array('data-id' => $key, 'class' => 'isUnreadDelaycheck custom-control-input', 'id' => 'is_unread_delay'.$key )) !!}
                                                <label class="custom-control-label" for="is_unread_delay{{ $key }}"></label>
                                            </div>
                                            <div class="cbox shounread{{ $key }}" @if(checkNofify($key,'is_unread_delay') == 0) style="display:none;" @endif >
                                                <input type="hidden" name="unread_delay[{{ $key }}]" value="0">
                                                <div class="custom-control custom-radio">
                                                    {!! Form::radio('unread_delay['.$key.']', 5, checkNofify($key,'unread_delay',5), array('class' => 'custom-control-input', 'id' => '5naoption'.$key)) !!}
                                                    <label class="custom-control-label" for="5naoption{{ $key }}">5 minutes</label>
                                                </div>
                                                <div class="custom-control custom-radio">
                                                    {!! Form::radio('unread_delay['.$key.']', 15, checkNofify($key,'unread_delay',15), array('class' => 'custom-control-input', 'id' => '15naoption'.$key)) !!}
                                                    <label class="custom-control-label" for="15naoption{{ $key }}">15 minutes</label>
                                                </div>
                                                <div class="custom-control custom-radio">
                                                    {!! Form::radio('unread_delay['.$key.']', 30, checkNofify($key,'unread_delay',30), array('class' => 'custom-control-input', 'id' => '30naoption'.$key)) !!}
                                                    <label class="custom-control-label" for="30naoption{{ $key }}">30 minutes</label>
                                                </div>
                                                <div class="custom-control custom-radio">
                                                    {!! Form::radio('unread_delay['.$key.']', 60, checkNofify($key,'unread_delay',60), array('class' => 'custom-control-input', 'id' => '60naoption'.$key)) !!}
                                                    <label class="custom-control-label" for="60naoption{{ $key }}">1 hours</label>
                                                </div>
                                            </div>
                                        </td>
                                        <td>
                                            <input type="hidden" name="is_resend_unread[{{ $key }}]" value="0">
                                            <input type="hidden" name="resend_unread[{{ $key }}]" value="0">
                                            @if(!in_array($key, [1,2,3,4]))
                                                <!-- 1 = Late Pickup, 2 = Late Delivery, 3 = Load Placed on Hold, 4 = Load Notes -->
                                                <div class="custom-control custom-switch mb">
                                                    {!! Form::checkbox('is_resend_unread['.$key.']', 1, checkNofify($key,'is_resend_unread'), array('data-id' => $key, 'class' => 'isDaycheck custom-control-input', 'id' => 'is_resend_unread'.$key )) !!}
                                                    <label class="custom-control-label" for="is_resend_unread{{ $key }}"></label>
                                                </div>
                                                <div class="cbox sho{{ $key }}" @if(checkNofify($key,'is_resend_unread') == 0) style="display:none;" @endif >
                                                    <div class="custom-control custom-radio">
                                                        {!! Form::radio('resend_unread['.$key.']', 5, checkNofify($key,'resend_unread',5), array('class' => 'custom-control-input', 'id' => '5resend_unread'.$key)) !!}
                                                        <label class="custom-control-label" for="5resend_unread{{ $key }}">Every 5 minutes</label>
                                                    </div>
                                                    <div class="custom-control custom-radio">
                                                        {!! Form::radio('resend_unread['.$key.']', 15, checkNofify($key,'resend_unread',15), array('class' => 'custom-control-input', 'id' => '15resend_unread'.$key)) !!}
                                                        <label class="custom-control-label" for="15resend_unread{{ $key }}">Every 15 minutes</label>
                                                    </div>
                                                    <div class="custom-control custom-radio">
                                                        {!! Form::radio('resend_unread['.$key.']', 30, checkNofify($key,'resend_unread',30), array('class' => 'custom-control-input', 'id' => '30resend_unread'.$key)) !!}
                                                        <label class="custom-control-label" for="30resend_unread{{ $key }}">Every 30 minutes</label>
                                                    </div>
                                                    <div class="custom-control custom-radio">
                                                        {!! Form::radio('resend_unread['.$key.']', 60, checkNofify($key,'resend_unread',60), array('class' => 'custom-control-input', 'id' => '60resend_unread'.$key)) !!}
                                                        <label class="custom-control-label" for="60resend_unread{{ $key }}">Every 1 hours</label>
                                                    </div>
                                                </div>
                                            @endif
                                        </td>
                                        <td>
                                            <input type="hidden" name="send_anytime[{{ $key }}]" value="0">
                                            <div class="custom-control custom-switch">
                                                {!! Form::checkbox('send_anytime['.$key.']', 1, checkNofify($key,'send_anytime'), array('class' => 'custom-control-input', 'id' => 'send_anytime'.$key)) !!}
                                                <label class="custom-control-label" for="send_anytime{{ $key }}"></label>
                                            </div>
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <div class="white-box table-view mt-4">
            <div class="row">
                <div class="col-sm-12 col-md-12">
                    <h3 class="table-title mb-0">Drivers</h3>
                </div>
                <div class="col-sm-12 col-md-12">
                    <div class="table-responsive">
                        <table class="table data-table dataTable no-footer">
                            <thead>
                                <tr>
                                    <th>No.</th>
                                    <th>Notification</th>
                                    <th>Email</th>
                                    <th>SMS @if($getCompanyTwilioDataNotifyActive == 0) <span class="text-danger float-right">Contact Support</span> @endif</th>
                                    <th>Unread Delay</th>
                                    <th>Resend Unread Notifications</th>
                                    <th>Send Anytime</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach(getNotiSourceList() as $key => $value)
                                    @php
                                        $key = $value['id'];
                                        if($value['group'] != 2){
                                            continue;
                                        }
                                    @endphp
                                    <tr>
                                        <td>
                                            <input type="hidden" name="action_name_id[{{ $key }}]" value="{{ $key }}">{{ $key }}
                                        </td>
                                        <td>{{ $value['name'] }}</td>
                                        <td>
                                            <input type="hidden" name="email[{{ $key }}]" value="0">
                                            <div class="custom-control custom-switch">
                                                {!! Form::checkbox('email['.$key.']', 1, checkNofify($key,'email'), array('class' => 'custom-control-input', 'id' => 'email'.$key )) !!}
                                                <label class="custom-control-label" for="email{{ $key }}"></label>
                                            </div>
                                        </td>
                                        <td>
                                            <input type="hidden" name="sms[{{ $key }}]" value="0">
                                            <div class="custom-control custom-switch">
                                                {!! Form::checkbox('sms['.$key.']', 1, checkNofify($key,'sms'), array('class' => 'custom-control-input'.$getCompanyTwilioDataNotifyClass, 'id' => 'sms'.$key)) !!}
                                                <label class="custom-control-label" for="sms{{ $key }}"></label>
                                            </div>
                                        </td>
                                        <td>
                                            <input type="hidden" name="is_unread_delay[{{ $key }}]" value="0">
                                            <div class="custom-control custom-switch mb">
                                                {!! Form::checkbox('is_unread_delay['.$key.']', 1, checkNofify($key,'is_unread_delay'), array('data-id' => $key, 'class' => 'isUnreadDelaycheck custom-control-input', 'id' => 'is_unread_delay'.$key )) !!}
                                                <label class="custom-control-label" for="is_unread_delay{{ $key }}"></label>
                                            </div>
                                            <div class="cbox shounread{{ $key }}" @if(checkNofify($key,'is_unread_delay') == 0) style="display:none;" @endif >
                                                <input type="hidden" name="unread_delay[{{ $key }}]" value="0">
                                                <div class="custom-control custom-radio">
                                                    {!! Form::radio('unread_delay['.$key.']', 5, checkNofify($key,'unread_delay',5), array('class' => 'custom-control-input', 'id' => '5naoption'.$key)) !!}
                                                    <label class="custom-control-label" for="5naoption{{ $key }}">5 minutes</label>
                                                </div>
                                                <div class="custom-control custom-radio">
                                                    {!! Form::radio('unread_delay['.$key.']', 15, checkNofify($key,'unread_delay',15), array('class' => 'custom-control-input', 'id' => '15naoption'.$key)) !!}
                                                    <label class="custom-control-label" for="15naoption{{ $key }}">15 minutes</label>
                                                </div>
                                                <div class="custom-control custom-radio">
                                                    {!! Form::radio('unread_delay['.$key.']', 30, checkNofify($key,'unread_delay',30), array('class' => 'custom-control-input', 'id' => '30naoption'.$key)) !!}
                                                    <label class="custom-control-label" for="30naoption{{ $key }}">30 minutes</label>
                                                </div>
                                                <div class="custom-control custom-radio">
                                                    {!! Form::radio('unread_delay['.$key.']', 60, checkNofify($key,'unread_delay',60), array('class' => 'custom-control-input', 'id' => '60naoption'.$key)) !!}
                                                    <label class="custom-control-label" for="60naoption{{ $key }}">1 hours</label>
                                                </div>
                                            </div>
                                        </td>
                                        <td>
                                            <input type="hidden" name="is_resend_unread[{{ $key }}]" value="0">
                                            <input type="hidden" name="resend_unread[{{ $key }}]" value="0">
                                            @if(!in_array($key, [1,2,3,4]))
                                                <div class="custom-control custom-switch mb">
                                                    {!! Form::checkbox('is_resend_unread['.$key.']', 1, checkNofify($key,'is_resend_unread'), array('data-id' => $key, 'class' => 'isDaycheck custom-control-input', 'id' => 'is_resend_unread'.$key )) !!}
                                                    <label class="custom-control-label" for="is_resend_unread{{ $key }}"></label>
                                                </div>
                                                <div class="cbox sho{{ $key }}" @if(checkNofify($key,'is_resend_unread') == 0) style="display:none;" @endif >
                                                    <div class="custom-control custom-radio">
                                                        {!! Form::radio('resend_unread['.$key.']', 5, checkNofify($key,'resend_unread',5), array('class' => 'custom-control-input', 'id' => '5resend_unread'.$key)) !!}
                                                        <label class="custom-control-label" for="5resend_unread{{ $key }}">Every 5 minutes</label>
                                                    </div>
                                                    <div class="custom-control custom-radio">
                                                        {!! Form::radio('resend_unread['.$key.']', 15, checkNofify($key,'resend_unread',15), array('class' => 'custom-control-input', 'id' => '15resend_unread'.$key)) !!}
                                                        <label class="custom-control-label" for="15resend_unread{{ $key }}">Every 15 minutes</label>
                                                    </div>
                                                    <div class="custom-control custom-radio">
                                                        {!! Form::radio('resend_unread['.$key.']', 30, checkNofify($key,'resend_unread',30), array('class' => 'custom-control-input', 'id' => '30resend_unread'.$key)) !!}
                                                        <label class="custom-control-label" for="30resend_unread{{ $key }}">Every 30 minutes</label>
                                                    </div>
                                                    <div class="custom-control custom-radio">
                                                        {!! Form::radio('resend_unread['.$key.']', 60, checkNofify($key,'resend_unread',60), array('class' => 'custom-control-input', 'id' => '60resend_unread'.$key)) !!}
                                                        <label class="custom-control-label" for="60resend_unread{{ $key }}">Every 1 hours</label>
                                                    </div>
                                                </div>
                                            @endif
                                        </td>
                                        <td>
                                            <input type="hidden" name="send_anytime[{{ $key }}]" value="0">
                                            <div class="custom-control custom-switch">
                                                {!! Form::checkbox('send_anytime['.$key.']', 1, checkNofify($key,'send_anytime'), array('class' => 'custom-control-input', 'id' => 'send_anytime'.$key)) !!}
                                                <label class="custom-control-label" for="send_anytime{{ $key }}"></label>
                                            </div>
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <div class="white-box table-view mt-4">
            <div class="row">
                <div class="col-sm-12 col-md-12">
                    <h3 class="table-title mb-0">Leaves</h3>
                </div>
                <div class="col-sm-12 col-md-12">
                    <div class="table-responsive">
                        <table class="table data-table dataTable no-footer">
                            <thead>
                                <tr>
                                    <th>No.</th>
                                    <th>Notification</th>
                                    <th>Email</th>
                                    <th>SMS @if($getCompanyTwilioDataNotifyActive == 0) <span class="text-danger float-right">Contact Support</span> @endif</th>
                                    <th>Unread Delay</th>
                                    <th>Resend Unread Notifications</th>
                                    <th>Send Anytime</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach(getNotiSourceList() as $key => $value)
                                    @php
                                        $key = $value['id'];
                                        if($value['group'] != 3){
                                        continue;
                                        }
                                    @endphp
                                    <tr>
                                        <td>
                                            <input type="hidden" name="action_name_id[{{ $key }}]" value="{{ $key }}">{{ $key }}
                                        </td>
                                        <td>{{ $value['name'] }}</td>
                                        <td>
                                            <input type="hidden" name="email[{{ $key }}]" value="0">
                                            <div class="custom-control custom-switch">
                                                {!! Form::checkbox('email['.$key.']', 1, checkNofify($key,'email'), array('class' => 'custom-control-input', 'id' => 'email'.$key )) !!}
                                                <label class="custom-control-label" for="email{{ $key }}"></label>
                                            </div>
                                        </td>
                                        <td>
                                            <input type="hidden" name="sms[{{ $key }}]" value="0">
                                            <div class="custom-control custom-switch">
                                                {!! Form::checkbox('sms['.$key.']', 1, checkNofify($key,'sms'), array('class' => 'custom-control-input'.$getCompanyTwilioDataNotifyClass, 'id' => 'sms'.$key)) !!}
                                                <label class="custom-control-label" for="sms{{ $key }}"></label>
                                            </div>
                                        </td>
                                        <td>
                                            <input type="hidden" name="is_unread_delay[{{ $key }}]" value="0">
                                            <div class="custom-control custom-switch mb">
                                                {!! Form::checkbox('is_unread_delay['.$key.']', 1, checkNofify($key,'is_unread_delay'), array('data-id' => $key, 'class' => 'isUnreadDelaycheck custom-control-input', 'id' => 'is_unread_delay'.$key )) !!}
                                                <label class="custom-control-label" for="is_unread_delay{{ $key }}"></label>
                                            </div>
                                            <div class="cbox shounread{{ $key }}" @if(checkNofify($key,'is_unread_delay') == 0) style="display:none;" @endif >
                                                <input type="hidden" name="unread_delay[{{ $key }}]" value="0">
                                                <div class="custom-control custom-radio">
                                                    {!! Form::radio('unread_delay['.$key.']', 5, checkNofify($key,'unread_delay',5), array('class' => 'custom-control-input', 'id' => '5naoption'.$key)) !!}
                                                    <label class="custom-control-label" for="5naoption{{ $key }}">5 minutes</label>
                                                </div>
                                                <div class="custom-control custom-radio">
                                                    {!! Form::radio('unread_delay['.$key.']', 15, checkNofify($key,'unread_delay',15), array('class' => 'custom-control-input', 'id' => '15naoption'.$key)) !!}
                                                    <label class="custom-control-label" for="15naoption{{ $key }}">15 minutes</label>
                                                </div>
                                                <div class="custom-control custom-radio">
                                                    {!! Form::radio('unread_delay['.$key.']', 30, checkNofify($key,'unread_delay',30), array('class' => 'custom-control-input', 'id' => '30naoption'.$key)) !!}
                                                    <label class="custom-control-label" for="30naoption{{ $key }}">30 minutes</label>
                                                </div>
                                                <div class="custom-control custom-radio">
                                                    {!! Form::radio('unread_delay['.$key.']', 60, checkNofify($key,'unread_delay',60), array('class' => 'custom-control-input', 'id' => '60naoption'.$key)) !!}
                                                    <label class="custom-control-label" for="60naoption{{ $key }}">1 hours</label>
                                                </div>
                                            </div>
                                        </td>
                                        <td>
                                            <input type="hidden" name="is_resend_unread[{{ $key }}]" value="0">
                                            <input type="hidden" name="resend_unread[{{ $key }}]" value="0">
                                            @if(!in_array($key, [1,2,3,4]))
                                                <div class="custom-control custom-switch mb">
                                                    {!! Form::checkbox('is_resend_unread['.$key.']', 1, checkNofify($key,'is_resend_unread'), array('data-id' => $key, 'class' => 'isDaycheck custom-control-input', 'id' => 'is_resend_unread'.$key )) !!}
                                                    <label class="custom-control-label" for="is_resend_unread{{ $key }}"></label>
                                                </div>
                                                <div class="cbox sho{{ $key }}" @if(checkNofify($key,'is_resend_unread') == 0) style="display:none;" @endif >
                                                    <div class="custom-control custom-radio">
                                                        {!! Form::radio('resend_unread['.$key.']', 5, checkNofify($key,'resend_unread',5), array('class' => 'custom-control-input', 'id' => '5resend_unread'.$key)) !!}
                                                        <label class="custom-control-label" for="5resend_unread{{ $key }}">Every 5 minutes</label>
                                                    </div>
                                                    <div class="custom-control custom-radio">
                                                        {!! Form::radio('resend_unread['.$key.']', 15, checkNofify($key,'resend_unread',15), array('class' => 'custom-control-input', 'id' => '15resend_unread'.$key)) !!}
                                                        <label class="custom-control-label" for="15resend_unread{{ $key }}">Every 15 minutes</label>
                                                    </div>
                                                    <div class="custom-control custom-radio">
                                                        {!! Form::radio('resend_unread['.$key.']', 30, checkNofify($key,'resend_unread',30), array('class' => 'custom-control-input', 'id' => '30resend_unread'.$key)) !!}
                                                        <label class="custom-control-label" for="30resend_unread{{ $key }}">Every 30 minutes</label>
                                                    </div>
                                                    <div class="custom-control custom-radio">
                                                        {!! Form::radio('resend_unread['.$key.']', 60, checkNofify($key,'resend_unread',60), array('class' => 'custom-control-input', 'id' => '60resend_unread'.$key)) !!}
                                                        <label class="custom-control-label" for="60resend_unread{{ $key }}">Every 1 hours</label>
                                                    </div>
                                                </div>
                                            @endif
                                        </td>
                                        <td>
                                            <input type="hidden" name="send_anytime[{{ $key }}]" value="0">
                                            <div class="custom-control custom-switch">
                                                {!! Form::checkbox('send_anytime['.$key.']', 1, checkNofify($key,'send_anytime'), array('class' => 'custom-control-input', 'id' => 'send_anytime'.$key)) !!}
                                                <label class="custom-control-label" for="send_anytime{{ $key }}"></label>
                                            </div>
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <div class="white-box table-view mt-4">
            <div class="row">
                <div class="col-sm-12 col-md-12">
                    <h3 class="table-title mb-0">Announcements</h3>
                </div>
                <div class="col-sm-12 col-md-12">
                    <div class="table-responsive">
                        <table class="table data-table dataTable no-footer">
                            <thead>
                                <tr>
                                    <th>No.</th>
                                    <th>Notification</th>
                                    <th>Email</th>
                                    <th>SMS @if($getCompanyTwilioDataNotifyActive == 0) <span class="text-danger float-right">Contact Support</span> @endif</th>
                                    <th>Unread Delay</th>
                                    <th>Resend Unread Notifications</th>
                                    <th>Send Anytime</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach(getNotiSourceList() as $key => $value)
                                    @php
                                        $key = $value['id'];
                                        if($value['group'] != 4){
                                            continue;
                                        }
                                    @endphp
                                    <tr>
                                        <td>
                                            <input type="hidden" name="action_name_id[{{ $key }}]" value="{{ $key }}">{{ $key }}
                                        </td>
                                        <td>{{ $value['name'] }}</td>
                                        <td>
                                            <input type="hidden" name="email[{{ $key }}]" value="0">
                                            <div class="custom-control custom-switch">
                                                {!! Form::checkbox('email['.$key.']', 1, checkNofify($key,'email'), array('class' => 'custom-control-input', 'id' => 'email'.$key )) !!}
                                                <label class="custom-control-label" for="email{{ $key }}"></label>
                                            </div>
                                        </td>
                                        <td>
                                            <input type="hidden" name="sms[{{ $key }}]" value="0">
                                            <div class="custom-control custom-switch">
                                                {!! Form::checkbox('sms['.$key.']', 1, checkNofify($key,'sms'), array('class' => 'custom-control-input'.$getCompanyTwilioDataNotifyClass, 'id' => 'sms'.$key)) !!}
                                                <label class="custom-control-label" for="sms{{ $key }}"></label>
                                            </div>
                                        </td>
                                        <td>
                                            <input type="hidden" name="is_unread_delay[{{ $key }}]" value="0">
                                            <div class="custom-control custom-switch mb">
                                                {!! Form::checkbox('is_unread_delay['.$key.']', 1, checkNofify($key,'is_unread_delay'), array('data-id' => $key, 'class' => 'isUnreadDelaycheck custom-control-input', 'id' => 'is_unread_delay'.$key )) !!}
                                                <label class="custom-control-label" for="is_unread_delay{{ $key }}"></label>
                                            </div>
                                            <div class="cbox shounread{{ $key }}" @if(checkNofify($key,'is_unread_delay') == 0) style="display:none;" @endif >
                                                <input type="hidden" name="unread_delay[{{ $key }}]" value="0">
                                                <div class="custom-control custom-radio">
                                                    {!! Form::radio('unread_delay['.$key.']', 5, checkNofify($key,'unread_delay',5), array('class' => 'custom-control-input', 'id' => '5naoption'.$key)) !!}
                                                    <label class="custom-control-label" for="5naoption{{ $key }}">5 minutes</label>
                                                </div>
                                                <div class="custom-control custom-radio">
                                                    {!! Form::radio('unread_delay['.$key.']', 15, checkNofify($key,'unread_delay',15), array('class' => 'custom-control-input', 'id' => '15naoption'.$key)) !!}
                                                    <label class="custom-control-label" for="15naoption{{ $key }}">15 minutes</label>
                                                </div>
                                                <div class="custom-control custom-radio">
                                                    {!! Form::radio('unread_delay['.$key.']', 30, checkNofify($key,'unread_delay',30), array('class' => 'custom-control-input', 'id' => '30naoption'.$key)) !!}
                                                    <label class="custom-control-label" for="30naoption{{ $key }}">30 minutes</label>
                                                </div>
                                                <div class="custom-control custom-radio">
                                                    {!! Form::radio('unread_delay['.$key.']', 60, checkNofify($key,'unread_delay',60), array('class' => 'custom-control-input', 'id' => '60naoption'.$key)) !!}
                                                    <label class="custom-control-label" for="60naoption{{ $key }}">1 hours</label>
                                                </div>
                                            </div>
                                        </td>
                                        <td>
                                            <input type="hidden" name="is_resend_unread[{{ $key }}]" value="0">
                                            <input type="hidden" name="resend_unread[{{ $key }}]" value="0">
                                            @if(!in_array($key, [1,2,3,4]))
                                                <div class="custom-control custom-switch mb">
                                                    {!! Form::checkbox('is_resend_unread['.$key.']', 1, checkNofify($key,'is_resend_unread'), array('data-id' => $key, 'class' => 'isDaycheck custom-control-input', 'id' => 'is_resend_unread'.$key )) !!}
                                                    <label class="custom-control-label" for="is_resend_unread{{ $key }}"></label>
                                                </div>
                                                <div class="cbox sho{{ $key }}" @if(checkNofify($key,'is_resend_unread') == 0) style="display:none;" @endif >
                                                    <div class="custom-control custom-radio">
                                                        {!! Form::radio('resend_unread['.$key.']', 5, checkNofify($key,'resend_unread',5), array('class' => 'custom-control-input', 'id' => '5resend_unread'.$key)) !!}
                                                        <label class="custom-control-label" for="5resend_unread{{ $key }}">Every 5 minutes</label>
                                                    </div>
                                                    <div class="custom-control custom-radio">
                                                        {!! Form::radio('resend_unread['.$key.']', 15, checkNofify($key,'resend_unread',15), array('class' => 'custom-control-input', 'id' => '15resend_unread'.$key)) !!}
                                                        <label class="custom-control-label" for="15resend_unread{{ $key }}">Every 15 minutes</label>
                                                    </div>
                                                    <div class="custom-control custom-radio">
                                                        {!! Form::radio('resend_unread['.$key.']', 30, checkNofify($key,'resend_unread',30), array('class' => 'custom-control-input', 'id' => '30resend_unread'.$key)) !!}
                                                        <label class="custom-control-label" for="30resend_unread{{ $key }}">Every 30 minutes</label>
                                                    </div>
                                                    <div class="custom-control custom-radio">
                                                        {!! Form::radio('resend_unread['.$key.']', 60, checkNofify($key,'resend_unread',60), array('class' => 'custom-control-input', 'id' => '60resend_unread'.$key)) !!}
                                                        <label class="custom-control-label" for="60resend_unread{{ $key }}">Every 1 hours</label>
                                                    </div>
                                                </div>
                                            @endif
                                        </td>
                                        <td>
                                            <input type="hidden" name="send_anytime[{{ $key }}]" value="0">
                                            <div class="custom-control custom-switch">
                                                {!! Form::checkbox('send_anytime['.$key.']', 1, checkNofify($key,'send_anytime'), array('class' => 'custom-control-input', 'id' => 'send_anytime'.$key)) !!}
                                                <label class="custom-control-label" for="send_anytime{{ $key }}"></label>
                                            </div>
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <div class="white-box table-view mt-4">
            <div class="row">
                <div class="col-sm-12 col-md-12">
                    <h3 class="table-title mb-0">Brokers</h3>
                </div>
                <div class="col-sm-12 col-md-12">
                    <div class="table-responsive">
                        <table class="table data-table dataTable no-footer">
                            <thead>
                                <tr>
                                    <th>No.</th>
                                    <th>Notification</th>
                                    <th>Email</th>
                                    <th>SMS @if($getCompanyTwilioDataNotifyActive == 0) <span class="text-danger float-right">Contact Support</span> @endif</th>
                                    <th>Unread Delay</th>
                                    <th>Resend Unread Notifications</th>
                                    <th>Send Anytime</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach(getNotiSourceList() as $key => $value)
                                    @php
                                        $key = $value['id'];
                                        if($value['group'] != 5){
                                            continue;
                                        }
                                    @endphp
                                    <tr>
                                        <td>
                                            <input type="hidden" name="action_name_id[{{ $key }}]" value="{{ $key }}">{{ $key }}
                                        </td>
                                        <td>{{ $value['name'] }}</td>
                                        <td>
                                            <input type="hidden" name="email[{{ $key }}]" value="0">
                                            <div class="custom-control custom-switch">
                                                {!! Form::checkbox('email['.$key.']', 1, checkNofify($key,'email'), array('class' => 'custom-control-input', 'id' => 'email'.$key )) !!}
                                                <label class="custom-control-label" for="email{{ $key }}"></label>
                                            </div>
                                        </td>
                                        <td>
                                            <input type="hidden" name="sms[{{ $key }}]" value="0">
                                            <div class="custom-control custom-switch">
                                                {!! Form::checkbox('sms['.$key.']', 1, checkNofify($key,'sms'), array('class' => 'custom-control-input'.$getCompanyTwilioDataNotifyClass, 'id' => 'sms'.$key)) !!}
                                                <label class="custom-control-label" for="sms{{ $key }}"></label>
                                            </div>
                                        </td>
                                        <td>
                                            <input type="hidden" name="is_unread_delay[{{ $key }}]" value="0">
                                            <div class="custom-control custom-switch mb">
                                                {!! Form::checkbox('is_unread_delay['.$key.']', 1, checkNofify($key,'is_unread_delay'), array('data-id' => $key, 'class' => 'isUnreadDelaycheck custom-control-input', 'id' => 'is_unread_delay'.$key )) !!}
                                                <label class="custom-control-label" for="is_unread_delay{{ $key }}"></label>
                                            </div>
                                            <div class="cbox shounread{{ $key }}" @if(checkNofify($key,'is_unread_delay') == 0) style="display:none;" @endif >
                                                <input type="hidden" name="unread_delay[{{ $key }}]" value="0">
                                                <div class="custom-control custom-radio">
                                                    {!! Form::radio('unread_delay['.$key.']', 5, checkNofify($key,'unread_delay',5), array('class' => 'custom-control-input', 'id' => '5naoption'.$key)) !!}
                                                    <label class="custom-control-label" for="5naoption{{ $key }}">5 minutes</label>
                                                </div>
                                                <div class="custom-control custom-radio">
                                                    {!! Form::radio('unread_delay['.$key.']', 15, checkNofify($key,'unread_delay',15), array('class' => 'custom-control-input', 'id' => '15naoption'.$key)) !!}
                                                    <label class="custom-control-label" for="15naoption{{ $key }}">15 minutes</label>
                                                </div>
                                                <div class="custom-control custom-radio">
                                                    {!! Form::radio('unread_delay['.$key.']', 30, checkNofify($key,'unread_delay',30), array('class' => 'custom-control-input', 'id' => '30naoption'.$key)) !!}
                                                    <label class="custom-control-label" for="30naoption{{ $key }}">30 minutes</label>
                                                </div>
                                                <div class="custom-control custom-radio">
                                                    {!! Form::radio('unread_delay['.$key.']', 60, checkNofify($key,'unread_delay',60), array('class' => 'custom-control-input', 'id' => '60naoption'.$key)) !!}
                                                    <label class="custom-control-label" for="60naoption{{ $key }}">1 hours</label>
                                                </div>
                                            </div>
                                        </td>
                                        <td>
                                            <input type="hidden" name="is_resend_unread[{{ $key }}]" value="0">
                                            <input type="hidden" name="resend_unread[{{ $key }}]" value="0">
                                            @if(!in_array($key, [1,2,3,4]))
                                                <div class="custom-control custom-switch mb">
                                                    {!! Form::checkbox('is_resend_unread['.$key.']', 1, checkNofify($key,'is_resend_unread'), array('data-id' => $key, 'class' => 'isDaycheck custom-control-input', 'id' => 'is_resend_unread'.$key )) !!}
                                                    <label class="custom-control-label" for="is_resend_unread{{ $key }}"></label>
                                                </div>
                                                <div class="cbox sho{{ $key }}" @if(checkNofify($key,'is_resend_unread') == 0) style="display:none;" @endif >
                                                    <div class="custom-control custom-radio">
                                                        {!! Form::radio('resend_unread['.$key.']', 5, checkNofify($key,'resend_unread',5), array('class' => 'custom-control-input', 'id' => '5resend_unread'.$key)) !!}
                                                        <label class="custom-control-label" for="5resend_unread{{ $key }}">Every 5 minutes</label>
                                                    </div>
                                                    <div class="custom-control custom-radio">
                                                        {!! Form::radio('resend_unread['.$key.']', 15, checkNofify($key,'resend_unread',15), array('class' => 'custom-control-input', 'id' => '15resend_unread'.$key)) !!}
                                                        <label class="custom-control-label" for="15resend_unread{{ $key }}">Every 15 minutes</label>
                                                    </div>
                                                    <div class="custom-control custom-radio">
                                                        {!! Form::radio('resend_unread['.$key.']', 30, checkNofify($key,'resend_unread',30), array('class' => 'custom-control-input', 'id' => '30resend_unread'.$key)) !!}
                                                        <label class="custom-control-label" for="30resend_unread{{ $key }}">Every 30 minutes</label>
                                                    </div>
                                                    <div class="custom-control custom-radio">
                                                        {!! Form::radio('resend_unread['.$key.']', 60, checkNofify($key,'resend_unread',60), array('class' => 'custom-control-input', 'id' => '60resend_unread'.$key)) !!}
                                                        <label class="custom-control-label" for="60resend_unread{{ $key }}">Every 1 hours</label>
                                                    </div>
                                                </div>
                                            @endif
                                        </td>
                                        <td>
                                            <input type="hidden" name="send_anytime[{{ $key }}]" value="0">
                                            <div class="custom-control custom-switch">
                                                {!! Form::checkbox('send_anytime['.$key.']', 1, checkNofify($key,'send_anytime'), array('class' => 'custom-control-input', 'id' => 'send_anytime'.$key)) !!}
                                                <label class="custom-control-label" for="send_anytime{{ $key }}"></label>
                                            </div>
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <div class="white-box table-view mt-4">
            <div class="row">
                <div class="col-sm-12 col-md-12">
                    <h3 class="table-title mb-0">Vendors</h3>
                </div>
                <div class="col-sm-12 col-md-12">
                    <div class="table-responsive">
                        <table class="table data-table dataTable no-footer">
                            <thead>
                                <tr>
                                    <th>No.</th>
                                    <th>Notification</th>
                                    <th>Email</th>
                                    <th>SMS @if($getCompanyTwilioDataNotifyActive == 0) <span class="text-danger float-right">Contact Support</span> @endif</th>
                                    <th>Unread Delay</th>
                                    <th>Resend Unread Notifications</th>
                                    <th>Send Anytime</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach(getNotiSourceList() as $key => $value)
                                    @php
                                        $key = $value['id'];
                                        if($value['group'] != 6){
                                            continue;
                                        }
                                    @endphp
                                    <tr>
                                        <td>
                                            <input type="hidden" name="action_name_id[{{ $key }}]" value="{{ $key }}">{{ $key }}
                                        </td>
                                        <td>{{ $value['name'] }}</td>
                                        <td>
                                            <input type="hidden" name="email[{{ $key }}]" value="0">
                                            <div class="custom-control custom-switch">
                                                {!! Form::checkbox('email['.$key.']', 1, checkNofify($key,'email'), array('class' => 'custom-control-input', 'id' => 'email'.$key )) !!}
                                                <label class="custom-control-label" for="email{{ $key }}"></label>
                                            </div>
                                        </td>
                                        <td>
                                            <input type="hidden" name="sms[{{ $key }}]" value="0">
                                            <div class="custom-control custom-switch">
                                                {!! Form::checkbox('sms['.$key.']', 1, checkNofify($key,'sms'), array('class' => 'custom-control-input'.$getCompanyTwilioDataNotifyClass, 'id' => 'sms'.$key)) !!}
                                                <label class="custom-control-label" for="sms{{ $key }}"></label>
                                            </div>
                                        </td>
                                        <td>
                                            <input type="hidden" name="is_unread_delay[{{ $key }}]" value="0">
                                            <div class="custom-control custom-switch mb">
                                                {!! Form::checkbox('is_unread_delay['.$key.']', 1, checkNofify($key,'is_unread_delay'), array('data-id' => $key, 'class' => 'isUnreadDelaycheck custom-control-input', 'id' => 'is_unread_delay'.$key )) !!}
                                                <label class="custom-control-label" for="is_unread_delay{{ $key }}"></label>
                                            </div>
                                            <div class="cbox shounread{{ $key }}" @if(checkNofify($key,'is_unread_delay') == 0) style="display:none;" @endif >
                                                <input type="hidden" name="unread_delay[{{ $key }}]" value="0">
                                                <div class="custom-control custom-radio">
                                                    {!! Form::radio('unread_delay['.$key.']', 5, checkNofify($key,'unread_delay',5), array('class' => 'custom-control-input', 'id' => '5naoption'.$key)) !!}
                                                    <label class="custom-control-label" for="5naoption{{ $key }}">5 minutes</label>
                                                </div>
                                                <div class="custom-control custom-radio">
                                                    {!! Form::radio('unread_delay['.$key.']', 15, checkNofify($key,'unread_delay',15), array('class' => 'custom-control-input', 'id' => '15naoption'.$key)) !!}
                                                    <label class="custom-control-label" for="15naoption{{ $key }}">15 minutes</label>
                                                </div>
                                                <div class="custom-control custom-radio">
                                                    {!! Form::radio('unread_delay['.$key.']', 30, checkNofify($key,'unread_delay',30), array('class' => 'custom-control-input', 'id' => '30naoption'.$key)) !!}
                                                    <label class="custom-control-label" for="30naoption{{ $key }}">30 minutes</label>
                                                </div>
                                                <div class="custom-control custom-radio">
                                                    {!! Form::radio('unread_delay['.$key.']', 60, checkNofify($key,'unread_delay',60), array('class' => 'custom-control-input', 'id' => '60naoption'.$key)) !!}
                                                    <label class="custom-control-label" for="60naoption{{ $key }}">1 hours</label>
                                                </div>
                                            </div>
                                        </td>
                                        <td>
                                            <input type="hidden" name="is_resend_unread[{{ $key }}]" value="0">
                                            <input type="hidden" name="resend_unread[{{ $key }}]" value="0">
                                            @if(!in_array($key, [1,2,3,4]))
                                                <div class="custom-control custom-switch mb">
                                                    {!! Form::checkbox('is_resend_unread['.$key.']', 1, checkNofify($key,'is_resend_unread'), array('data-id' => $key, 'class' => 'isDaycheck custom-control-input', 'id' => 'is_resend_unread'.$key )) !!}
                                                    <label class="custom-control-label" for="is_resend_unread{{ $key }}"></label>
                                                </div>
                                                <div class="cbox sho{{ $key }}" @if(checkNofify($key,'is_resend_unread') == 0) style="display:none;" @endif >
                                                    <div class="custom-control custom-radio">
                                                        {!! Form::radio('resend_unread['.$key.']', 5, checkNofify($key,'resend_unread',5), array('class' => 'custom-control-input', 'id' => '5resend_unread'.$key)) !!}
                                                        <label class="custom-control-label" for="5resend_unread{{ $key }}">Every 5 minutes</label>
                                                    </div>
                                                    <div class="custom-control custom-radio">
                                                        {!! Form::radio('resend_unread['.$key.']', 15, checkNofify($key,'resend_unread',15), array('class' => 'custom-control-input', 'id' => '15resend_unread'.$key)) !!}
                                                        <label class="custom-control-label" for="15resend_unread{{ $key }}">Every 15 minutes</label>
                                                    </div>
                                                    <div class="custom-control custom-radio">
                                                        {!! Form::radio('resend_unread['.$key.']', 30, checkNofify($key,'resend_unread',30), array('class' => 'custom-control-input', 'id' => '30resend_unread'.$key)) !!}
                                                        <label class="custom-control-label" for="30resend_unread{{ $key }}">Every 30 minutes</label>
                                                    </div>
                                                    <div class="custom-control custom-radio">
                                                        {!! Form::radio('resend_unread['.$key.']', 60, checkNofify($key,'resend_unread',60), array('class' => 'custom-control-input', 'id' => '60resend_unread'.$key)) !!}
                                                        <label class="custom-control-label" for="60resend_unread{{ $key }}">Every 1 hours</label>
                                                    </div>
                                                </div>
                                            @endif
                                        </td>
                                        <td>
                                            <input type="hidden" name="send_anytime[{{ $key }}]" value="0">
                                            <div class="custom-control custom-switch">
                                                {!! Form::checkbox('send_anytime['.$key.']', 1, checkNofify($key,'send_anytime'), array('class' => 'custom-control-input', 'id' => 'send_anytime'.$key)) !!}
                                                <label class="custom-control-label" for="send_anytime{{ $key }}"></label>
                                            </div>
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <div class="white-box table-view mt-4">
            <div class="row">
                <div class="col-sm-12 col-md-12">
                    <h3 class="table-title mb-0">Detentions</h3>
                </div>
                <div class="col-sm-12 col-md-12">
                    <div class="table-responsive">
                        <table class="table data-table dataTable no-footer">
                            <thead>
                                <tr>
                                    <th>No.</th>
                                    <th>Notification</th>
                                    <th>Email</th>
                                    <th>SMS @if($getCompanyTwilioDataNotifyActive == 0) <span class="text-danger float-right">Contact Support</span> @endif</th>
                                    <th>Unread Delay</th>
                                    <th>Resend Unread Notifications</th>
                                    <th>Send Anytime</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach(getNotiSourceList() as $key => $value)
                                    @php
                                        $key = $value['id'];
                                        if($value['group'] != 8){
                                            continue;
                                        }
                                    @endphp
                                    <tr>
                                        <td>
                                            <input type="hidden" name="action_name_id[{{ $key }}]" value="{{ $key }}">{{ $key }}
                                        </td>
                                        <td>{{ $value['name'] }}</td>
                                        <td>
                                            <input type="hidden" name="email[{{ $key }}]" value="0">
                                            <div class="custom-control custom-switch">
                                                {!! Form::checkbox('email['.$key.']', 1, checkNofify($key,'email'), array('class' => 'custom-control-input', 'id' => 'email'.$key )) !!}
                                                <label class="custom-control-label" for="email{{ $key }}"></label>
                                            </div>
                                        </td>
                                        <td>
                                            <input type="hidden" name="sms[{{ $key }}]" value="0">
                                            <div class="custom-control custom-switch">
                                                {!! Form::checkbox('sms['.$key.']', 1, checkNofify($key,'sms'), array('class' => 'custom-control-input'.$getCompanyTwilioDataNotifyClass, 'id' => 'sms'.$key)) !!}
                                                <label class="custom-control-label" for="sms{{ $key }}"></label>
                                            </div>
                                        </td>
                                        <td>
                                            <input type="hidden" name="is_unread_delay[{{ $key }}]" value="0">
                                            <div class="custom-control custom-switch mb">
                                                {!! Form::checkbox('is_unread_delay['.$key.']', 1, checkNofify($key,'is_unread_delay'), array('data-id' => $key, 'class' => 'isUnreadDelaycheck custom-control-input', 'id' => 'is_unread_delay'.$key )) !!}
                                                <label class="custom-control-label" for="is_unread_delay{{ $key }}"></label>
                                            </div>
                                            <div class="cbox shounread{{ $key }}" @if(checkNofify($key,'is_unread_delay') == 0) style="display:none;" @endif >
                                                <input type="hidden" name="unread_delay[{{ $key }}]" value="0">
                                                <div class="custom-control custom-radio">
                                                    {!! Form::radio('unread_delay['.$key.']', 5, checkNofify($key,'unread_delay',5), array('class' => 'custom-control-input', 'id' => '5naoption'.$key)) !!}
                                                    <label class="custom-control-label" for="5naoption{{ $key }}">5 minutes</label>
                                                </div>
                                                <div class="custom-control custom-radio">
                                                    {!! Form::radio('unread_delay['.$key.']', 15, checkNofify($key,'unread_delay',15), array('class' => 'custom-control-input', 'id' => '15naoption'.$key)) !!}
                                                    <label class="custom-control-label" for="15naoption{{ $key }}">15 minutes</label>
                                                </div>
                                                <div class="custom-control custom-radio">
                                                    {!! Form::radio('unread_delay['.$key.']', 30, checkNofify($key,'unread_delay',30), array('class' => 'custom-control-input', 'id' => '30naoption'.$key)) !!}
                                                    <label class="custom-control-label" for="30naoption{{ $key }}">30 minutes</label>
                                                </div>
                                                <div class="custom-control custom-radio">
                                                    {!! Form::radio('unread_delay['.$key.']', 60, checkNofify($key,'unread_delay',60), array('class' => 'custom-control-input', 'id' => '60naoption'.$key)) !!}
                                                    <label class="custom-control-label" for="60naoption{{ $key }}">1 hours</label>
                                                </div>
                                            </div>
                                        </td>
                                        <td>
                                            <input type="hidden" name="is_resend_unread[{{ $key }}]" value="0">
                                            <input type="hidden" name="resend_unread[{{ $key }}]" value="0">
                                            @if(!in_array($key, [1,2,3,4]))
                                                <div class="custom-control custom-switch mb">
                                                    {!! Form::checkbox('is_resend_unread['.$key.']', 1, checkNofify($key,'is_resend_unread'), array('data-id' => $key, 'class' => 'isDaycheck custom-control-input', 'id' => 'is_resend_unread'.$key )) !!}
                                                    <label class="custom-control-label" for="is_resend_unread{{ $key }}"></label>
                                                </div>
                                                <div class="cbox sho{{ $key }}" @if(checkNofify($key,'is_resend_unread') == 0) style="display:none;" @endif >
                                                    <div class="custom-control custom-radio">
                                                        {!! Form::radio('resend_unread['.$key.']', 5, checkNofify($key,'resend_unread',5), array('class' => 'custom-control-input', 'id' => '5resend_unread'.$key)) !!}
                                                        <label class="custom-control-label" for="5resend_unread{{ $key }}">Every 5 minutes</label>
                                                    </div>
                                                    <div class="custom-control custom-radio">
                                                        {!! Form::radio('resend_unread['.$key.']', 15, checkNofify($key,'resend_unread',15), array('class' => 'custom-control-input', 'id' => '15resend_unread'.$key)) !!}
                                                        <label class="custom-control-label" for="15resend_unread{{ $key }}">Every 15 minutes</label>
                                                    </div>
                                                    <div class="custom-control custom-radio">
                                                        {!! Form::radio('resend_unread['.$key.']', 30, checkNofify($key,'resend_unread',30), array('class' => 'custom-control-input', 'id' => '30resend_unread'.$key)) !!}
                                                        <label class="custom-control-label" for="30resend_unread{{ $key }}">Every 30 minutes</label>
                                                    </div>
                                                    <div class="custom-control custom-radio">
                                                        {!! Form::radio('resend_unread['.$key.']', 60, checkNofify($key,'resend_unread',60), array('class' => 'custom-control-input', 'id' => '60resend_unread'.$key)) !!}
                                                        <label class="custom-control-label" for="60resend_unread{{ $key }}">Every 1 hours</label>
                                                    </div>
                                                </div>
                                            @endif
                                        </td>
                                        <td>
                                            <input type="hidden" name="send_anytime[{{ $key }}]" value="0">
                                            <div class="custom-control custom-switch">
                                                {!! Form::checkbox('send_anytime['.$key.']', 1, checkNofify($key,'send_anytime'), array('class' => 'custom-control-input', 'id' => 'send_anytime'.$key)) !!}
                                                <label class="custom-control-label" for="send_anytime{{ $key }}"></label>
                                            </div>
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <div class="white-box table-view mt-4">
            <div class="row">
                <div class="col-sm-12 col-md-12">
                    <h3 class="table-title mb-0">Request Document</h3>
                </div>
                <div class="col-sm-12 col-md-12">
                    <div class="table-responsive">
                        <table class="table data-table dataTable no-footer">
                            <thead>
                                <tr>
                                    <th>No.</th>
                                    <th>Notification</th>
                                    <th>Email</th>
                                    <th>SMS @if($getCompanyTwilioDataNotifyActive == 0) <span class="text-danger float-right">Contact Support</span> @endif</th>
                                    <th>Unread Delay</th>
                                    <th>Resend Unread Notifications</th>
                                    <th>Send Anytime</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach(getNotiSourceList() as $key => $value)
                                    @php
                                        $key = $value['id'];
                                        if($value['group'] != 7){
                                            continue;
                                        }
                                    @endphp
                                    <tr>
                                        <td>
                                            <input type="hidden" name="action_name_id[{{ $key }}]" value="{{ $key }}">{{ $key }}
                                        </td>
                                        <td>{{ $value['name'] }}</td>
                                        <td>
                                            <input type="hidden" name="email[{{ $key }}]" value="0">
                                            <div class="custom-control custom-switch">
                                                {!! Form::checkbox('email['.$key.']', 1, checkNofify($key,'email'), array('class' => 'custom-control-input', 'id' => 'email'.$key )) !!}
                                                <label class="custom-control-label" for="email{{ $key }}"></label>
                                            </div>
                                        </td>
                                        <td>
                                            <input type="hidden" name="sms[{{ $key }}]" value="0">
                                            <div class="custom-control custom-switch">
                                                {!! Form::checkbox('sms['.$key.']', 1, checkNofify($key,'sms'), array('class' => 'custom-control-input'.$getCompanyTwilioDataNotifyClass, 'id' => 'sms'.$key)) !!}
                                                <label class="custom-control-label" for="sms{{ $key }}"></label>
                                            </div>
                                        </td>
                                        <td>
                                            <input type="hidden" name="is_unread_delay[{{ $key }}]" value="0">
                                            <div class="custom-control custom-switch mb">
                                                {!! Form::checkbox('is_unread_delay['.$key.']', 1, checkNofify($key,'is_unread_delay'), array('data-id' => $key, 'class' => 'isUnreadDelaycheck custom-control-input', 'id' => 'is_unread_delay'.$key )) !!}
                                                <label class="custom-control-label" for="is_unread_delay{{ $key }}"></label>
                                            </div>
                                            <div class="cbox shounread{{ $key }}" @if(checkNofify($key,'is_unread_delay') == 0) style="display:none;" @endif >
                                                <input type="hidden" name="unread_delay[{{ $key }}]" value="0">
                                                <div class="custom-control custom-radio">
                                                    {!! Form::radio('unread_delay['.$key.']', 5, checkNofify($key,'unread_delay',5), array('class' => 'custom-control-input', 'id' => '5naoption'.$key)) !!}
                                                    <label class="custom-control-label" for="5naoption{{ $key }}">5 minutes</label>
                                                </div>
                                                <div class="custom-control custom-radio">
                                                    {!! Form::radio('unread_delay['.$key.']', 15, checkNofify($key,'unread_delay',15), array('class' => 'custom-control-input', 'id' => '15naoption'.$key)) !!}
                                                    <label class="custom-control-label" for="15naoption{{ $key }}">15 minutes</label>
                                                </div>
                                                <div class="custom-control custom-radio">
                                                    {!! Form::radio('unread_delay['.$key.']', 30, checkNofify($key,'unread_delay',30), array('class' => 'custom-control-input', 'id' => '30naoption'.$key)) !!}
                                                    <label class="custom-control-label" for="30naoption{{ $key }}">30 minutes</label>
                                                </div>
                                                <div class="custom-control custom-radio">
                                                    {!! Form::radio('unread_delay['.$key.']', 60, checkNofify($key,'unread_delay',60), array('class' => 'custom-control-input', 'id' => '60naoption'.$key)) !!}
                                                    <label class="custom-control-label" for="60naoption{{ $key }}">1 hours</label>
                                                </div>
                                            </div>
                                        </td>
                                        <td>
                                            <input type="hidden" name="is_resend_unread[{{ $key }}]" value="0">
                                            <input type="hidden" name="resend_unread[{{ $key }}]" value="0">
                                            @if(!in_array($key, [1,2,3,4]))
                                                <div class="custom-control custom-switch mb">
                                                    {!! Form::checkbox('is_resend_unread['.$key.']', 1, checkNofify($key,'is_resend_unread'), array('data-id' => $key, 'class' => 'isDaycheck custom-control-input', 'id' => 'is_resend_unread'.$key )) !!}
                                                    <label class="custom-control-label" for="is_resend_unread{{ $key }}"></label>
                                                </div>
                                                <div class="cbox sho{{ $key }}" @if(checkNofify($key,'is_resend_unread') == 0) style="display:none;" @endif >
                                                    <div class="custom-control custom-radio">
                                                        {!! Form::radio('resend_unread['.$key.']', 5, checkNofify($key,'resend_unread',5), array('class' => 'custom-control-input', 'id' => '5resend_unread'.$key)) !!}
                                                        <label class="custom-control-label" for="5resend_unread{{ $key }}">Every 5 minutes</label>
                                                    </div>
                                                    <div class="custom-control custom-radio">
                                                        {!! Form::radio('resend_unread['.$key.']', 15, checkNofify($key,'resend_unread',15), array('class' => 'custom-control-input', 'id' => '15resend_unread'.$key)) !!}
                                                        <label class="custom-control-label" for="15resend_unread{{ $key }}">Every 15 minutes</label>
                                                    </div>
                                                    <div class="custom-control custom-radio">
                                                        {!! Form::radio('resend_unread['.$key.']', 30, checkNofify($key,'resend_unread',30), array('class' => 'custom-control-input', 'id' => '30resend_unread'.$key)) !!}
                                                        <label class="custom-control-label" for="30resend_unread{{ $key }}">Every 30 minutes</label>
                                                    </div>
                                                    <div class="custom-control custom-radio">
                                                        {!! Form::radio('resend_unread['.$key.']', 60, checkNofify($key,'resend_unread',60), array('class' => 'custom-control-input', 'id' => '60resend_unread'.$key)) !!}
                                                        <label class="custom-control-label" for="60resend_unread{{ $key }}">Every 1 hours</label>
                                                    </div>
                                                </div>
                                            @endif
                                        </td>
                                        <td>
                                            <input type="hidden" name="send_anytime[{{ $key }}]" value="0">
                                            <div class="custom-control custom-switch">
                                                {!! Form::checkbox('send_anytime['.$key.']', 1, checkNofify($key,'send_anytime'), array('class' => 'custom-control-input', 'id' => 'send_anytime'.$key)) !!}
                                                <label class="custom-control-label" for="send_anytime{{ $key }}"></label>
                                            </div>
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <div class="white-box table-view mt-4">
            <div class="row">
                <div class="col-sm-12 col-md-12">
                    <h3 class="table-title mb-0">Others Document</h3>
                </div>
                <div class="col-sm-12 col-md-12">
                    <div class="table-responsive">
                        <table class="table data-table dataTable no-footer">
                            <thead>
                                <tr>
                                    <th>No.</th>
                                    <th>Notification</th>
                                    <th>Email</th>
                                    <th>SMS @if($getCompanyTwilioDataNotifyActive == 0) <span class="text-danger float-right">Contact Support</span> @endif</th>
                                    <th>Unread Delay</th>
                                    <th>Resend Unread Notifications</th>
                                    <th>Send Anytime</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach(getNotiSourceList() as $key => $value)
                                    @php
                                        $key = $value['id'];
                                        if($value['group'] != 100){
                                            continue;
                                        }
                                    @endphp
                                    <tr>
                                        <td>
                                            <input type="hidden" name="action_name_id[{{ $key }}]" value="{{ $key }}">{{ $key }}
                                        </td>
                                        <td>{{ $value['name'] }}</td>
                                        <td>
                                            <input type="hidden" name="email[{{ $key }}]" value="0">
                                            <div class="custom-control custom-switch">
                                                {!! Form::checkbox('email['.$key.']', 1, checkNofify($key,'email'), array('class' => 'custom-control-input', 'id' => 'email'.$key )) !!}
                                                <label class="custom-control-label" for="email{{ $key }}"></label>
                                            </div>
                                        </td>
                                        <td>
                                            <input type="hidden" name="sms[{{ $key }}]" value="0">
                                            <div class="custom-control custom-switch">
                                                {!! Form::checkbox('sms['.$key.']', 1, checkNofify($key,'sms'), array('class' => 'custom-control-input'.$getCompanyTwilioDataNotifyClass, 'id' => 'sms'.$key)) !!}
                                                <label class="custom-control-label" for="sms{{ $key }}"></label>
                                            </div>
                                        </td>
                                        <td>
                                            <input type="hidden" name="is_unread_delay[{{ $key }}]" value="0">
                                            <div class="custom-control custom-switch mb">
                                                {!! Form::checkbox('is_unread_delay['.$key.']', 1, checkNofify($key,'is_unread_delay'), array('data-id' => $key, 'class' => 'isUnreadDelaycheck custom-control-input', 'id' => 'is_unread_delay'.$key )) !!}
                                                <label class="custom-control-label" for="is_unread_delay{{ $key }}"></label>
                                            </div>
                                            <div class="cbox shounread{{ $key }}" @if(checkNofify($key,'is_unread_delay') == 0) style="display:none;" @endif >
                                                <input type="hidden" name="unread_delay[{{ $key }}]" value="0">
                                                <div class="custom-control custom-radio">
                                                    {!! Form::radio('unread_delay['.$key.']', 5, checkNofify($key,'unread_delay',5), array('class' => 'custom-control-input', 'id' => '5naoption'.$key)) !!}
                                                    <label class="custom-control-label" for="5naoption{{ $key }}">5 minutes</label>
                                                </div>
                                                <div class="custom-control custom-radio">
                                                    {!! Form::radio('unread_delay['.$key.']', 15, checkNofify($key,'unread_delay',15), array('class' => 'custom-control-input', 'id' => '15naoption'.$key)) !!}
                                                    <label class="custom-control-label" for="15naoption{{ $key }}">15 minutes</label>
                                                </div>
                                                <div class="custom-control custom-radio">
                                                    {!! Form::radio('unread_delay['.$key.']', 30, checkNofify($key,'unread_delay',30), array('class' => 'custom-control-input', 'id' => '30naoption'.$key)) !!}
                                                    <label class="custom-control-label" for="30naoption{{ $key }}">30 minutes</label>
                                                </div>
                                                <div class="custom-control custom-radio">
                                                    {!! Form::radio('unread_delay['.$key.']', 60, checkNofify($key,'unread_delay',60), array('class' => 'custom-control-input', 'id' => '60naoption'.$key)) !!}
                                                    <label class="custom-control-label" for="60naoption{{ $key }}">1 hours</label>
                                                </div>
                                            </div>
                                        </td>
                                        <td>
                                            <input type="hidden" name="is_resend_unread[{{ $key }}]" value="0">
                                            <input type="hidden" name="resend_unread[{{ $key }}]" value="0">
                                            @if(!in_array($key, [1,2,3,4]))
                                                <div class="custom-control custom-switch mb">
                                                    {!! Form::checkbox('is_resend_unread['.$key.']', 1, checkNofify($key,'is_resend_unread'), array('data-id' => $key, 'class' => 'isDaycheck custom-control-input', 'id' => 'is_resend_unread'.$key )) !!}
                                                    <label class="custom-control-label" for="is_resend_unread{{ $key }}"></label>
                                                </div>
                                                <div class="cbox sho{{ $key }}" @if(checkNofify($key,'is_resend_unread') == 0) style="display:none;" @endif >
                                                    <div class="custom-control custom-radio">
                                                        {!! Form::radio('resend_unread['.$key.']', 5, checkNofify($key,'resend_unread',5), array('class' => 'custom-control-input', 'id' => '5resend_unread'.$key)) !!}
                                                        <label class="custom-control-label" for="5resend_unread{{ $key }}">Every 5 minutes</label>
                                                    </div>
                                                    <div class="custom-control custom-radio">
                                                        {!! Form::radio('resend_unread['.$key.']', 15, checkNofify($key,'resend_unread',15), array('class' => 'custom-control-input', 'id' => '15resend_unread'.$key)) !!}
                                                        <label class="custom-control-label" for="15resend_unread{{ $key }}">Every 15 minutes</label>
                                                    </div>
                                                    <div class="custom-control custom-radio">
                                                        {!! Form::radio('resend_unread['.$key.']', 30, checkNofify($key,'resend_unread',30), array('class' => 'custom-control-input', 'id' => '30resend_unread'.$key)) !!}
                                                        <label class="custom-control-label" for="30resend_unread{{ $key }}">Every 30 minutes</label>
                                                    </div>
                                                    <div class="custom-control custom-radio">
                                                        {!! Form::radio('resend_unread['.$key.']', 60, checkNofify($key,'resend_unread',60), array('class' => 'custom-control-input', 'id' => '60resend_unread'.$key)) !!}
                                                        <label class="custom-control-label" for="60resend_unread{{ $key }}">Every 1 hours</label>
                                                    </div>
                                                </div>
                                            @endif
                                        </td>
                                        <td>
                                            <input type="hidden" name="send_anytime[{{ $key }}]" value="0">
                                            <div class="custom-control custom-switch">
                                                {!! Form::checkbox('send_anytime['.$key.']', 1, checkNofify($key,'send_anytime'), array('class' => 'custom-control-input', 'id' => 'send_anytime'.$key)) !!}
                                                <label class="custom-control-label" for="send_anytime{{ $key }}"></label>
                                            </div>
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    {!! Form::close() !!}
@endsection

@section('script')
    <script src="https://code.jquery.com/ui/1.13.1/jquery-ui.js"></script>
    <script>
        $(document).ready(function() {
            // Disable click events for checkboxes with the "disable-click" class
            $(".disable-click").on("click", function(event) {
                event.preventDefault();
            });
        });
    </script>
    <script type="text/javascript">
        $('.isDaycheck').change(function() {
            var id = $(this).attr("data-id");
            if(this.checked) {
                $('.sho'+id).show(300);
            }else{
              $('.sho'+id).hide(300);
            }
        });
        $('.isUnreadDelaycheck').change(function() {
            var id = $(this).attr("data-id");
            if(this.checked) {
                $('.shounread'+id).show(300);
            }else{
              $('.shounread'+id).hide(300);
            }
        });
        $(".start_time").datetimepicker({
            format: 'HH:mm'
        });
        $(".end_time").datetimepicker({
            format: 'HH:mm'
        });
        $('.start_time, .end_time').datetimepicker().on('dp.change',function(e){
            $(".storeForm").submit();
        });

        $(function() {
            $(".storeForm").change(function() {
                <?php if(hasPermission(config('settings.company_admin_modules.notifications_status'),config('settings.permissions.edit'))): ?>
                    $(".storeForm").submit();
                <?php else: ?>
                    toastr.error('You do not have permission to edit this notifications.', 'Error', {timeOut: 5000})
                <?php endif; ?>
            });
        });

        $(".storeForm").ajaxForm({
            complete: function (response) {
                //toastr.success('Updated successfully', 'Success Alert', {timeOut: 5000})
            }
        });
    </script>
@endsection