@extends($companyAdminTheme)

@section('title')
    Edit On Board Document Profile
@endsection

@section('header-title')
    Edit On Board Document Profile
@endsection

@section('style')
    <link rel="stylesheet" href="{{ asset('theme/css/datepicker3.min.css') }}">
    <link rel="stylesheet" href="{{ asset('theme/css/select2.min.css') }}">
    <style type="text/css">
        .modal-xl {
            max-width: 1720px;
        }
        .addMoreBtn i.fa-plus-square {
            padding-top: 2px;
            margin: 2px 5px;
            cursor: pointer;
            font-size: 32px;
            color: #305F9C;
        }
        .removeMoreBtn i.fa-minus-square {
            padding-top: 2px;
            margin: 2px 5px;
            cursor: pointer;
            font-size: 32px;
            color: #dc3545;
        }
        .form-group img {
            width: 15px;
        }
        .input-group-text {
            background: transparent;
            border-radius: 10px 0px 0px 10px;
            color: #342828;
            padding: 4px 14px;
            font-family: 'Inter', sans-serif;
        }
        .border-radius-none {
            border-radius: 0px 10px 10px 0px !important;
        }
         hr {
            border-color: #D8D8D9 !important;
        }
        .document-custom-grid {
            max-width: 24.20%;
        }
        .select2-container {
            width: 100% !important;
        }
        .select2-container .select2-selection--single {
            height: 43px !important;
            border-radius: 10px !important;
            border: 1px solid #D8D8DD !important;
        }
        .select2-container--default .select2-selection--single {
            border: 1px solid #C5CEE0;
        }
        .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 40px !important;
        }
        .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 40px;
            width: 35px;
        }
        .select2-container .select2-selection--single .select2-selection__rendered {
            padding-left: 12px;
            font-weight: 600;
            color: #000000e6 !important;
        }
        .select2-container .select2-search__field::placeholder {
            font-size: 14px;
            font-weight: 500;
        }
        input[type=text].form-control {
            font-size: 14px;
            font-weight: bolder;
            border: 1px solid #D8D8DD;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding: 0px 12px;
            height: 43px;
        }
        input::placeholder {
            font-weight: 200;
            color: #616376 !important;
        }
        select.form-control {
            font-size: 14px;
            border: 1px solid #C5CEE0;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding-left: 12px;
            font-weight: 400;
            color: #616376;
        }
        label {
            font-size: 14px;
            line-height: 1.215;
            font-weight: bold;
            color: #616376;
            margin-bottom: 8px;
        }
        .input-group>.custom-select:not(:last-child), .input-group>.form-control:not(:last-child) {
            border-top-right-radius: 10px;
            border-bottom-right-radius: 10px;
        }
        .btn-blue {
            background: #305F9C 0% 0% no-repeat padding-box;
            border: 1px solid #305F9C;
            border-radius: 10px !important;
            color: #F1F3F6;
            line-height: 18px;
            text-align: center;
            padding: 12.5px 0.75rem;
            transition: all 0.3s linear;
            min-width: 210px;
        }
        .btn-blue:hover {
            border: 1px solid #305F9C;
            background-color: #F1F3F6;
            color: #305F9C;
        }
        .btn-blueBr {
            font-size: 14px;
            font-weight: bold;
            height: auto;
            line-height: 18px;
            text-align: center;
            padding: 12.5px 0.75rem;
            transition: all 0.3s linear;
            border-radius: 10px !important;
            min-width: 210px;
        }
        .documentsFile i.fa-picture-o {
            padding-top: 7px;
            margin: 2px 8px;
            cursor: pointer;
            font-size: 26px;
            color: #00000082;
        }
        .documentsFile i.fa-picture-o.uploaded {
            padding-top: 7px;
            margin: 2px 8px;
            cursor: pointer;
            font-size: 26px;
            color: #305F9C;
        }
        .action-button .btn-blueBr {
            width: 99px;
            height: 34px;
            background: #FFFFFF 0% 0% no-repeat padding-box;
            border: 1px solid #305F9C;
            border-radius: 10px;
            font: normal normal 600 14px/17px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;
            padding: inherit;
            min-width: 121px;
        }
        .action-button .btn-blue {
            width: 99px;
            height: 34px;
            background: #305F9C 0% 0% no-repeat padding-box;
            border-radius: 10px;
            font: normal normal 600 14px/17px Inter, Sans-Serif;;
            letter-spacing: 0px;
            color: #FFFFFF;
            padding: inherit;
            min-width: 121px;
        }
    </style>
@endsection

@section('content')
{!! Form::open(array('route' => ['company.admin.on-board-document-profiles.update', $onBoardDocumentProfile->id],'method'=>'PATCH','files'=>'true','class'=>'post-form')) !!}
    <input type="hidden" name="company_id" value="{{ auth()->guard('company-admin')->user()->company_id }}" />
    <div class="row px-4 py-3">
        <div class="col-md-3" style="max-width: 19.25%;">
            <label for="profile-name" class="mb-1">Document Profile Name</label>
            <div class="form-group">
                {!! Form::text('profile_name', $onBoardDocumentProfile->profile_name ?? null, array('class' => 'form-control', 'placeholder' => 'Enter Document Profile Name', 'required' => 'required')) !!}
            </div>
        </div>
    </div>
    <div class="row px-4">
        <div class="col-md-4 document-custom-grid pr-1">
            <label for="title" class="mb-1">Title</label>
        </div>
        <div class="col-md-4 document-custom-grid pl-1 pr-1">
            <label for="qty" class="mb-1">DOT Required</label>
        </div>
        <div class="col-md-4 document-custom-grid pl-1 pr-1">
            <label for="value" class="mb-1">Exp Date</label>
        </div>
        <div class="pl-1">
            <label class="mb-1"></label>
        </div>
    </div>
    <hr class="my-0 pb-3">
    @if(count($onBoardDocumentProfile->titles) > 0)
        @foreach($onBoardDocumentProfile->titles as $title)
            @if($loop->first)
                <div class="row px-4 pb-2">
                    <div class="col-md-4 pr-1 document-custom-grid selectDiv">
                        <div class="form-group">
                            {!! Form::select('titles[]', ['' => 'Select'] + getDocumentTitles(), $title ?? null, ['class' => 'form-control select2']) !!}
                        </div>
                    </div>
                    <div class="col-md-4 pr-1 document-custom-grid selectDiv">
                        <div class="form-group">
                            {!! Form::select('dot_required[]', ['' => 'Select', '0' => 'No', '1' => 'Yes'], null, ['class' => 'form-control select2', 'disabled' => 'disabled']) !!}
                        </div>
                    </div>
                    <div class="col-md-4 pl-1 pr-1 document-custom-grid">
                        <div class="form-group">
                            <div class="input-group">
                                {!! Form::text('exp_dates[]', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
                                <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                            </div>
                        </div>
                    </div>
                    <div class="pl-1 document-custom-grid action-button">
                        <div class="form-group d-flex justify-content-between">
                            <div>
                                <button type="button" class="btn btn-blueBr btn-copy mt- disabled">Copy</button>
                                <button type="button" class="btn btn-blue btn-original mt-1 ml-1 disabled">Original</button>
                            </div>
                            <div>
                                <a href="javascript:void(0);" class="documentsFile">
                                    <i class="fa fa-picture-o" aria-hidden="true" title="Document File"></i>
                                </a>
                            </div>
                            @if($loop->last)
                                <div>
                                    <a href="javascript:void(0);" class="addMoreBtn addMoreDocumentProfileRows">
                                        <i class="fa fa-plus-square" aria-hidden="true"></i>
                                    </a>
                                </div>
                            @else
                                <div>
                                    <a href="javascript:void(0);" class="removeMoreBtn removeMoreDocumentProfileRows">
                                        <i class="fa fa-minus-square" aria-hidden="true"></i>
                                    </a>
                                </div>
                            @endif
                        </div>
                    </div>
                </div>
            @endif
        @endforeach
        <div id="equipmentProfileMoreRows">
            @foreach($onBoardDocumentProfile->titles as $title)
                @if(!$loop->first)
                    <div class="row px-4 pb-2">
                        <div class="col-md-4 pr-1 document-custom-grid selectDiv">
                            <div class="form-group">
                                {!! Form::select('titles[]', ['' => 'Select'] + getDocumentTitles(), $title ?? null, ['class' => 'form-control select2']) !!}
                            </div>
                        </div>
                        <div class="col-md-4 pr-1 document-custom-grid selectDiv">
                            <div class="form-group">
                                {!! Form::select('dot_required[]', ['' => 'Select', '0' => 'No', '1' => 'Yes'], null, ['class' => 'form-control select2', 'disabled' => 'disabled']) !!}
                            </div>
                        </div>
                        <div class="col-md-4 pl-1 pr-1 document-custom-grid">
                            <div class="form-group">
                                <div class="input-group">
                                    {!! Form::text('exp_dates[]', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
                                    <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                </div>
                            </div>
                        </div>
                        <div class="pl-1 document-custom-grid action-button">
                            <div class="form-group d-flex justify-content-between">
                                <div>
                                    <button type="button" class="btn btn-blueBr btn-copy mt-1 disabled">Copy</button>
                                    <button type="button" class="btn btn-blue btn-original mt-1 ml-1 disabled">Original</button>
                                </div>
                                <div>
                                    <a href="javascript:void(0);" class="documentsFile">
                                        <i class="fa fa-picture-o" aria-hidden="true" title="Document File"></i>
                                    </a>
                                </div>
                                @if($loop->last)
                                    <div>
                                        <a href="javascript:void(0);" class="addMoreBtn addMoreDocumentProfileRows">
                                            <i class="fa fa-plus-square" aria-hidden="true"></i>
                                        </a>
                                    </div>
                                @else
                                    <div>
                                        <a href="javascript:void(0);" class="removeMoreBtn removeMoreDocumentProfileRows">
                                            <i class="fa fa-minus-square" aria-hidden="true"></i>
                                        </a>
                                    </div>
                                @endif
                            </div>
                        </div>
                    </div>
                @endif
            @endforeach
        </div>
    @else
        <div class="row px-4 pb-2">
            <div class="col-md-4 pr-1 document-custom-grid selectDiv">
                <div class="form-group">
                    {!! Form::select('titles[]', ['' => 'Select'] + getDocumentTitles(), null, ['class' => 'form-control select2']) !!}
                </div>
            </div>
            <div class="col-md-4 pr-1 document-custom-grid selectDiv">
                <div class="form-group">
                    {!! Form::select('dot_required[]', ['' => 'Select', '0' => 'No', '1' => 'Yes'], null, ['class' => 'form-control select2', 'disabled' => 'disabled']) !!}
                </div>
            </div>
            <div class="col-md-4 pl-1 pr-1 document-custom-grid">
                <div class="form-group">
                    <div class="input-group">
                        {!! Form::text('exp_dates[]', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                    </div>
                </div>
            </div>
            <div class="pl-1 document-custom-grid action-button">
                <div class="form-group d-flex justify-content-between">
                    <div>
                        <button type="button" class="btn btn-blueBr btn-copy mt-1 disabled">Copy</button>
                        <button type="button" class="btn btn-blue btn-original mt-1 ml-1 disabled">Original</button>
                    </div>
                    <div>
                        <a href="javascript:void(0);" class="documentsFile">
                            <i class="fa fa-picture-o" aria-hidden="true" title="Document File"></i>
                        </a>
                    </div>
                    <div>
                        <a href="javascript:void(0);" class="addMoreBtn addMoreDocumentProfileRows">
                            <i class="fa fa-plus-square" aria-hidden="true"></i>
                        </a>
                    </div>
                </div>
            </div>
        </div>
        <div id="equipmentProfileMoreRows"></div>
    @endif
    <div class="text-center mt-4">
        <a href="{{ route('company.admin.on-board-document-profiles.index') }}" class="btn btn-blueBr mr-2">Cancel</a>
        <button type="submit" class="btn btn-blue ml-2">Update</button>
    </div>
{!! Form::close() !!}
@endsection

@section('script')
    <script src="{{ asset('theme/js/select2.full.min.js') }}"></script>
    <script type="text/javascript">
        $(function (){
            $('.post-form').parsley();

            $(".select2").select2({ width: '100%' });

            $(document).on('click', '.addMoreDocumentProfileRows', function (){
                let cloneRow = $(this).closest('.row').clone().find('.selectDiv span').remove().end();
                cloneRow.find('select').val('');
                $(this).closest('.row').after(cloneRow);
                $(this).parent().parent().append('<div><a href="javascript:void(0);" class="removeMoreBtn removeMoreDocumentProfileRows"><i class="fa fa-minus-square" aria-hidden="true"></i></a></div>');
                $(this).parent().remove();
                $(".select2").select2({ width: '100%' });
            });

            $(document).on('click', '.removeMoreDocumentProfileRows', function (){
                $(this).parent().parent().parent().parent().remove();
            });
        });
    </script>
@endsection
