@extends($companyAdminTheme)

@section('title')
    Edit PM Maintenance & Service
@endsection

@section('header-title')
    Edit PM Maintenance & Service
@endsection

@section('style')
    <link rel="stylesheet" href="{{ asset('theme/css/datepicker3.min.css') }}">
    <link rel="stylesheet" href="{{ asset('theme/css/select2.min.css') }}">
    <style type="text/css">
        .modal-xl {
            max-width: 1720px;
        }
        .addMoreBtn i.fa-plus-square {
            padding-top: 2px;
            margin: 2px 5px;
            cursor: pointer;
            font-size: 32px;
            color: #305F9C;
        }
        .removeMoreBtn i.fa-minus-square {
            padding-top: 2px;
            margin: 2px 5px;
            cursor: pointer;
            font-size: 32px;
            color: #dc3545;
        }
        .form-group img {
            width: 15px;
        }
        .input-group-text {
            background: transparent;
            border-radius: 10px 0px 0px 10px;
            color: #342828;
            padding: 4px 14px;
            font-family: 'Inter', sans-serif;
        }
        .border-radius-none {
            border-radius: 0px 10px 10px 0px !important;
        }
         hr {
            border-color: #D8D8D9 !important;
        }
        .pm-service-custom-grid {
            max-width: 16.20%;
        }
        .select2-container {
            width: 100% !important;
        }
        .select2-container .select2-selection--single {
            height: 43px !important;
            border-radius: 10px !important;
            border: 1px solid #D8D8DD !important;
        }
        .select2-container--default .select2-selection--single {
            border: 1px solid #C5CEE0;
        }
        .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 40px !important;
        }
        .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 40px !important;
            width: 35px !important;
        }
        .select2-container .select2-selection--single .select2-selection__rendered {
            padding-left: 12px;
            font-weight: 600;
            color: #000000e6 !important;
        }
        .select2-container .select2-search__field::placeholder {
            font-size: 14px;
            font-weight: 500;
        }
        input[type=text].form-control {
            font-size: 14px;
            font-weight: bolder;
            border: 1px solid #D8D8DD;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding: 0px 12px;
            height: 43px;
        }
        input::placeholder {
            font-weight: 200;
            color: #616376 !important;
        }
        select.form-control {
            font-size: 14px;
            border: 1px solid #C5CEE0;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding-left: 12px;
            font-weight: 400;
            color: #616376;
        }
        label {
            font-size: 14px;
            line-height: 1.215;
            font-weight: bold;
            color: #616376;
            margin-bottom: 8px;
        }
        .input-group>.custom-select:not(:last-child), .input-group>.form-control:not(:last-child) {
            border-top-right-radius: 10px;
            border-bottom-right-radius: 10px;
        }
        .btn-blue {
            background: #305F9C 0% 0% no-repeat padding-box;
            border: 1px solid #305F9C;
            border-radius: 10px !important;
            color: #F1F3F6;
            line-height: 18px;
            text-align: center;
            padding: 12.5px 0.75rem;
            transition: all 0.3s linear;
            min-width: 210px;
        }
        .btn-blue:hover {
            border: 1px solid #305F9C;
            background-color: #F1F3F6;
            color: #305F9C;
        }
        .btn-blueBr {
            font-size: 14px;
            font-weight: bold;
            height: auto;
            line-height: 18px;
            text-align: center;
            padding: 12.5px 0.75rem;
            transition: all 0.3s linear;
            border-radius: 10px !important;
            min-width: 210px;
        }
    </style>
@endsection

@section('content')
{!! Form::open(array('route' => ['company.admin.pm-service-profiles.update', $pmServiceProfile->id],'method'=>'PATCH','files'=>'true','class'=>'post-form')) !!}
    <input type="hidden" name="company_id" value="{{ auth()->guard('company-admin')->user()->company_id }}" />
    <div class="row px-4 py-3">
        <div class="col-md-3" style="max-width: 19.25%;">
            <label for="profile-name" class="mb-1">PM Maintenance & Service Name</label>
            <div class="form-group">
                {!! Form::text('profile_name', $pmServiceProfile->profile_name ?? null, array('class' => 'form-control', 'placeholder' => 'Enter PM Maintenance & Service Name', 'required' => 'required')) !!}
            </div>
        </div>
    </div>
    <div class="row px-4">
        <div class="col-md-2 pm-service-custom-grid pr-1">
            <label for="types" class="mb-1">Type</label>
        </div>
        <div class="col-md-2 pm-service-custom-grid pl-1 pr-1">
            <label for="service-type" class="mb-1">Service Type</label>
        </div>
        <div class="col-md-2 pm-service-custom-grid pl-1 pr-1">
            <label for="interval-type" class="mb-1">Interval Type</label>
        </div>
        <div class="col-md-2 pm-service-custom-grid pl-1 pr-1">
            <label for="schedule" class="mb-1">Schedule</label>
        </div>
        <div class="col-md-2 pm-service-custom-grid pl-1 pr-1">
            <label for="due" class="mb-1">Due</label>
        </div>
        <div class="col-md-2 pm-service-custom-grid pl-1 pr-1">
            <label for="due" class="mb-1">Last Performed</label>
        </div>
        <div class="pl-1">
            <label class="mb-1"></label>
        </div>
    </div>
    <hr class="my-0 pb-3">
    @if(count($pmServiceProfile->types) > 0)
        @foreach($pmServiceProfile->types as $type)
            @if($loop->first)
                <div class="row px-4 pb-2">
                    <div class="col-md-2 pr-1 pm-service-custom-grid">
                        <div class="form-group">
                            {!! Form::select('types[]', ['' => 'Select Type'] + getTruckPmType(), $type, ['class' => 'form-control select2']) !!}
                        </div>
                    </div>
                    <div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">
                        <div class="form-group">
                            {!! Form::select('service_type[]', ['' => 'Select Service Type'] + getTruckPmServiceType(), $pmServiceProfile->service_types[$loop->index] ?? null, ['class' => 'form-control select2']) !!}
                        </div>
                    </div>
                    <div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">
                        <div class="form-group">
                            {!! Form::select('interval_type[]', ['' => 'Select Interval Type'] + getTruckPmServiceIntervalType(), $pmServiceProfile->interval_types[$loop->index] ?? null, ['class' => 'form-control intervalTypePopup select2']) !!}
                        </div>
                    </div>
                    @if(isset($pmServiceProfile->interval_types[$loop->index]))
                        @if($pmServiceProfile->interval_types[$loop->index] == "1" || $pmServiceProfile->interval_types[$loop->index] == "2")
                            <div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">
                                <div class="form-group">
                                    {!! Form::text('schedule[]', $pmServiceProfile->schedules[$loop->index] ?? null, array('class' => 'form-control', 'placeholder' => 'Enter')) !!}
                                </div>
                            </div>
                            <div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">
                                <div class="form-group">
                                    {!! Form::text('due_date', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
                                </div>
                            </div>
                        @else
                            <div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">
                                <div class="form-group">
                                    {!! Form::select('schedule[]', ['' => 'Select'] + getTruckSchedules(), $pmServiceProfile->schedules[$loop->index] ?? null, ['class' => 'form-control select2']) !!}
                                </div>
                            </div>
                            <div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">
                                <div class="form-group">
                                    <div class="input-group">
                                        {!! Form::text('due_date[]',  null, array('class' => 'form-control date', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                    </div>
                                </div>
                            </div>
                        @endif
                    @else
                        <div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">
                            <div class="form-group">
                                {!! Form::text('schedule[]', null, array('class' => 'form-control', 'placeholder' => 'Enter')) !!}
                            </div>
                        </div>
                        <div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">
                            <div class="form-group">
                                {!! Form::text('due_date', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
                            </div>
                        </div>
                    @endif
                    <div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">
                        <div class="form-group">
                            <div class="input-group">
                                {!! Form::text('last_performed', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
                                <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                            </div>
                        </div>
                    </div>
                    <div class="pl-1 pm-service-custom-grid">
                        <div class="form-group d-flex">
                            @if($loop->last)
                                <div>
                                    <a href="javascript:void(0);" class="addMoreBtn addMorePmServiceProfileRows">
                                        <i class="fa fa-plus-square" aria-hidden="true"></i>
                                    </a>
                                </div>
                            @else
                                <div>
                                    <a href="javascript:void(0);" class="removeMoreBtn removeMorePmServiceProfileRows">
                                        <i class="fa fa-minus-square" aria-hidden="true"></i>
                                    </a>
                                </div>
                            @endif
                        </div>
                    </div>
                </div>
            @endif
        @endforeach
        <div id="pmServiceProfileMoreRows">
            @foreach($pmServiceProfile->types as $type)
                @if(!$loop->first)
                    <div class="row px-4 pb-2">
                        <div class="col-md-2 pr-1 pm-service-custom-grid">
                            <div class="form-group">
                                {!! Form::select('types[]', ['' => 'Select Type'] + getTruckPmType(), $type, ['class' => 'form-control select2']) !!}
                            </div>
                        </div>
                        <div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">
                            <div class="form-group">
                                {!! Form::select('service_type[]', ['' => 'Select Service Type'] + getTruckPmServiceType(), $pmServiceProfile->service_types[$loop->index] ?? null, ['class' => 'form-control select2']) !!}
                            </div>
                        </div>
                        <div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">
                            <div class="form-group">
                                {!! Form::select('interval_type[]', ['' => 'Select Interval Type'] + getTruckPmServiceIntervalType(), $pmServiceProfile->interval_types[$loop->index] ?? null, ['class' => 'form-control intervalTypePopup select2']) !!}
                            </div>
                        </div>
                        @if(isset($pmServiceProfile->interval_types[$loop->index]))
                            @if($pmServiceProfile->interval_types[$loop->index] == "1" || $pmServiceProfile->interval_types[$loop->index] == "2")
                                <div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">
                                    <div class="form-group">
                                        {!! Form::text('schedule[]', $pmServiceProfile->schedules[$loop->index] ?? null, array('class' => 'form-control', 'placeholder' => 'Enter')) !!}
                                    </div>
                                </div>
                                <div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">
                                    <div class="form-group">
                                        {!! Form::text('due_date', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
                                    </div>
                                </div>
                            @else
                                <div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">
                                    <div class="form-group">
                                        {!! Form::select('schedule[]', ['' => 'Select'] + getTruckSchedules(), $pmServiceProfile->schedules[$loop->index] ?? null, ['class' => 'form-control select2']) !!}
                                    </div>
                                </div>
                                <div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">
                                    <div class="form-group">
                                        <div class="input-group">
                                            {!! Form::text('due_date[]',  null, array('class' => 'form-control date', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
                                            <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                        </div>
                                    </div>
                                </div>
                            @endif
                        @else
                            <div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">
                                <div class="form-group">
                                    {!! Form::text('schedule[]', null, array('class' => 'form-control', 'placeholder' => 'Enter')) !!}
                                </div>
                            </div>
                            <div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">
                                <div class="form-group">
                                    {!! Form::text('due_date', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
                                </div>
                            </div>
                        @endif
                        <div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">
                            <div class="form-group">
                                <div class="input-group">
                                    {!! Form::text('last_performed', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
                                    <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                </div>
                            </div>
                        </div>
                        <div class="pl-1 pm-service-custom-grid">
                            <div class="form-group d-flex">
                                @if($loop->last)
                                    <div>
                                        <a href="javascript:void(0);" class="addMoreBtn addMorePmServiceProfileRows">
                                            <i class="fa fa-plus-square" aria-hidden="true"></i>
                                        </a>
                                    </div>
                                @else
                                    <div>
                                        <a href="javascript:void(0);" class="removeMoreBtn removeMorePmServiceProfileRows">
                                            <i class="fa fa-minus-square" aria-hidden="true"></i>
                                        </a>
                                    </div>
                                @endif
                            </div>
                        </div>
                    </div>
                @endif
            @endforeach
        </div>
    @else
        <div class="row px-4 pb-2">
            <div class="col-md-2 pr-1 pm-service-custom-grid">
                <div class="form-group">
                    {!! Form::select('types[]', ['' => 'Select Type'] + getTruckPmType(), null, ['class' => 'form-control select2']) !!}
                </div>
            </div>
            <div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">
                <div class="form-group">
                    {!! Form::select('service_type[]', ['' => 'Select Service Type'] + getTruckPmServiceType(), null, ['class' => 'form-control select2']) !!}
                </div>
            </div>
            <div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">
                <div class="form-group">
                    {!! Form::select('interval_type[]', ['' => 'Select Interval Type'] + getTruckPmServiceIntervalType(), null, ['class' => 'form-control intervalTypePopup select2']) !!}
                </div>
            </div>
            <div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">
                <div class="form-group">
                    {!! Form::text('schedule[]', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
                </div>
            </div>
            <div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">
                <div class="form-group">
                    {!! Form::text('due_date', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
                </div>
            </div>
            <div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">
                <div class="form-group">
                    <div class="input-group">
                        {!! Form::text('last_performed', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                    </div>
                </div>
            </div>
            <div class="pl-1 pm-service-custom-grid">
                <div class="form-group">
                    <div>
                        <a href="javascript:void(0);" class="addMoreBtn addMorePmServiceProfileRows">
                            <i class="fa fa-plus-square" aria-hidden="true"></i>
                        </a>
                    </div>
                </div>
            </div>
        </div>
        <div id="pmServiceProfileMoreRows"></div>
    @endif
    <div class="text-center mt-4">
        <a href="{{ route('company.admin.pm-service-profiles.index') }}" class="btn btn-blueBr mr-2">Cancel</a>
        <button type="submit" class="btn btn-blue ml-2">Update</button>
    </div>
{!! Form::close() !!}
@endsection

@section('script')
    <script src="{{ asset('theme/js/select2.full.min.js') }}"></script>
    <script type="text/javascript">
        $(function (){
            $('.post-form').parsley();

            $(".select2").select2({ width: '100%' });

            $(document).on('click', '.addMorePmServiceProfileRows', function (){
                $(this).parent().parent().html("").html('<div><a href="javascript:void(0);" class="removeMoreBtn removeMorePmServiceProfileRows"><i class="fa fa-minus-square" aria-hidden="true"></i></a></div>');

                let pmServiceProfileHtml = '';

                pmServiceProfileHtml += '<div class="row px-4 pb-2">';
                pmServiceProfileHtml += '<div class="col-md-2 pr-1 pm-service-custom-grid">';
                pmServiceProfileHtml += '<div class="form-group">';
                pmServiceProfileHtml += '{!! Form::select('types[]', ['' => 'Select Type'] + getTruckPmType(), null, ['class' => 'form-control select2']) !!}';
                pmServiceProfileHtml += '</div>';
                pmServiceProfileHtml += '</div>';
                pmServiceProfileHtml += '<div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">';
                pmServiceProfileHtml += '<div class="form-group">';
                pmServiceProfileHtml += '{!! Form::select('service_type[]', ['' => 'Select Service Type'] + getTruckPmServiceType(), null, ['class' => 'form-control select2']) !!}';
                pmServiceProfileHtml += '</div>';
                pmServiceProfileHtml += '</div>';
                pmServiceProfileHtml += '<div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">';
                pmServiceProfileHtml += '<div class="form-group">';
                pmServiceProfileHtml += '{!! Form::select('interval_type[]', ['' => 'Select Interval Type'] + getTruckPmServiceIntervalType(), null, ['class' => 'form-control intervalTypePopup select2']) !!}';
                pmServiceProfileHtml += '</div>';
                pmServiceProfileHtml += '</div>';
                pmServiceProfileHtml += '<div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">';
                pmServiceProfileHtml += '<div class="form-group">';
                pmServiceProfileHtml += '{!! Form::text('schedule[]', null, array('class' => 'form-control', 'placeholder' => 'Enter')) !!}';
                pmServiceProfileHtml += '</div>';
                pmServiceProfileHtml += '</div>';
                pmServiceProfileHtml += '<div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">';
                pmServiceProfileHtml += '<div class="form-group">';
                pmServiceProfileHtml += '{!! Form::text('due_date', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}';
                pmServiceProfileHtml += '</div>';
                pmServiceProfileHtml += '</div>';
                pmServiceProfileHtml += '<div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">';
                pmServiceProfileHtml += '<div class="form-group">';
                pmServiceProfileHtml += '<div class="input-group">';
                pmServiceProfileHtml += '{!! Form::text('last_performed', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}';
                pmServiceProfileHtml += '<img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">';
                pmServiceProfileHtml += '</div>';
                pmServiceProfileHtml += '</div>';
                pmServiceProfileHtml += '</div>';
                pmServiceProfileHtml += '<div class="pl-1 pm-service-custom-grid">';
                pmServiceProfileHtml += '<div class="form-group">';
                pmServiceProfileHtml += '<div>';
                pmServiceProfileHtml += '<a href="javascript:void(0);" class="addMoreBtn addMorePmServiceProfileRows">';
                pmServiceProfileHtml += '<i class="fa fa-plus-square" aria-hidden="true"></i>';
                pmServiceProfileHtml += '</a>';
                pmServiceProfileHtml += '</div>';
                pmServiceProfileHtml += '</div>';
                pmServiceProfileHtml += '</div>';

                $('#pmServiceProfileMoreRows').append(pmServiceProfileHtml);
                $(".select2").select2({ width: '100%' });
            });

            $(document).on('click', '.removeMorePmServiceProfileRows', function (){
                $(this).parent().parent().parent().parent().remove();
            });

            $(document).on('change', '.intervalTypePopup', function (){
                let intervalType = $(this).val();

                if(intervalType == '1' || intervalType == '2'){ //Mileage / Hours
                    if($(this).parent().parent().next('div').find('.form-group label').length > 0){
                        $(this).parent().parent().next('div').find('.form-group label').next('select').remove();
                        $(this).parent().parent().next('div').find('.form-group label').next('.select2').remove();
                        $(this).parent().parent().next('div').find('.form-group label').next('input').remove();
                        $(this).parent().parent().next('div').next('div').find('input').val('');
                        $(this).parent().parent().next('div').find('.form-group label').after('{!! Form::text('schedule[]', null, array('class' => 'form-control integer-input', 'placeholder' => 'Enter')) !!}');

                        $(this).parent().parent().next('div').next('div').find('.form-group label').next('.input-group').remove();
                        $(this).parent().parent().next('div').next('div').find('.form-group label').next('input').remove();

                        $(this).parent().parent().next('div').next('div').find('.form-group label').after('{!! Form::text('due_date', null, array('class' => 'form-control integer-input', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}');
                    }else{
                        $(this).parent().parent().next('div').find('.form-group').find('select').remove();
                        $(this).parent().parent().next('div').find('.form-group').find('.select2').remove();
                        $(this).parent().parent().next('div').find('.form-group').find('input').remove();
                        $(this).parent().parent().next('div').next('div').find('input').val('');
                        $(this).parent().parent().next('div').find('.form-group').append('{!! Form::text('schedule[]', null, array('class' => 'form-control integer-input', 'placeholder' => 'Enter')) !!}');

                        $(this).parent().parent().next('div').next('div').find('.form-group').find('.input-group').remove();
                        $(this).parent().parent().next('div').next('div').find('.form-group').find('input').remove();

                        $(this).parent().parent().next('div').next('div').find('.form-group').append('{!! Form::text('due_date', null, array('class' => 'form-control integer-input', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}');
                    }
                }else if(intervalType == '3'){ //Date
                    if($(this).parent().parent().next('div').find('.form-group label').length > 0){
                        $(this).parent().parent().next('div').find('.form-group label').next('select').remove();
                        $(this).parent().parent().next('div').find('.form-group label').next('.select2').remove();
                        $(this).parent().parent().next('div').find('.form-group label').next('input').remove();
                        $(this).parent().parent().next('div').next('div').find('input').val('');
                        $(this).parent().parent().next('div').find('.form-group label').after('{!! Form::select('schedule[]', ['' => 'Select'] + getTruckSchedules(), null, ['class' => 'form-control select2']) !!}');
                        $(".select2").select2({ width: '100%' });

                        $(this).parent().parent().next('div').next('div').find('.form-group label').next('.input-group').remove();
                        $(this).parent().parent().next('div').next('div').find('.form-group label').next('input').remove();
                        $(this).parent().parent().next('div').next('div').find('.form-group label').after('<div class="input-group">{!! Form::text('due_date', null, array('class' => 'form-control date', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}<img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon"></div>');

                        $('.date').datetimepicker({ format: 'MM/DD/YYYY', useCurrent: false });
                    }else{
                        $(this).parent().parent().next('div').find('.form-group').find('select').remove();
                        $(this).parent().parent().next('div').find('.form-group').find('.select2').remove();
                        $(this).parent().parent().next('div').find('.form-group').find('input').remove();
                        $(this).parent().parent().next('div').next('div').find('input').val('');
                        $(this).parent().parent().next('div').find('.form-group').append('{!! Form::select('schedule[]', ['' => 'Select'] + getTruckSchedules(), null, ['class' => 'form-control select2']) !!}');
                        $(".select2").select2({ width: '100%' });

                        $(this).parent().parent().next('div').next('div').find('.form-group').find('.input-group').remove();
                        $(this).parent().parent().next('div').next('div').find('.form-group').find('input').remove();
                        $(this).parent().parent().next('div').next('div').find('.form-group').append('<div class="input-group">{!! Form::text('due_date', null, array('class' => 'form-control date', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}<img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon"></div>');

                        $('.date').datetimepicker({ format: 'MM/DD/YYYY', useCurrent: false });
                    }
                }
            });
        });
    </script>
@endsection
