@extends($companyAdminTheme)

@section('title')
    ProRoutes
@endsection

@section('style')
    <link rel="stylesheet" href="//code.jquery.com/ui/1.13.1/themes/base/jquery-ui.css">
    <link rel="stylesheet" href="{{ asset('theme/css/select2.min.css') }}">
    <style>
        .prevLeft {
            position: relative;
            left: 0;
        }
        .prevRight {
            position: absolute;
            right: 0;
        }
        .table-blueBr tbody td {
            padding: 4px 8px !important;
        }
        ::-webkit-scrollbar-thumb {
            background: #305F9C;
            border-radius: 10px;
        }
        .modal-dishpatch label {
            font-size: 13px;
            line-height: 18px;
            letter-spacing: -0.31px;
            color: #342828;
            font-weight: bold;
            margin-bottom: 0px;
            margin-top: 2px;
            padding-left: 5px;
        }
        .btn-blue {
            padding: 0.375rem 0.75rem;
        }
        .font-16 {
            font-size: 16px;
            color: inherit;
        }
    </style>
@endsection

@section('content')
    <div class="text-right dispatchHub-addBtn">
        <a href="{{ route('company.admin.book.offer') }}" class="btn btn-blue" target="_blank"> Add Offer</a>
    </div>

    <div class="accordion dispatchHubNew-accordion mb-0" id="listingSortable">
        {{-- Offers --}}
        <div class="card list-item" id="offersDiv">
            <div class="card-header" id="headingOne">
                <button class="mr-15" type="button" data-toggle="collapse" data-target="#one-collapse" aria-expanded="true" aria-controls="one-collapse">
                    Offers <span id="totalOffers"> 00</span>
                    <i class="fa fa-chevron-circle-down" aria-hidden="true"></i>
                </button>
                <div class="d-flex align-items-center">
                    <a type="button" id="clearAllfilter_table_offers1" class="btn btn-orange ml-2 clearAll filter_table_offers1 d-none" data-tab="offers-data-table"> Clear filters</a>
                    <a type="button" class="btn btn-primary ml-2 refreshAll refresh_table_offers1 d-none" data-tab="offers-data-table"><i class="fa fa-refresh"></i> Refresh</a>
                    <a href="javascript:void(0);" class="btn btn-blueTheme ml-2" data-toggle="modal" data-target="#exampleModal1">Column</a>
                </div>
            </div>
            <div id="one-collapse" class="collapse show" aria-labelledby="headingOne">
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table m-0 table-blue table-dishpatchHub offers-data-table">
                            <thead>
                            <tr>
                                @foreach($getField as $key => $filed)
                                    @if($filed == 1 && isset(config('settings.table_offers1')[$key]['name']))
                                        @if(isset(config('settings.table_offers1')[$key]['searchBuilderType']))
                                            @if( config('settings.table_offers1')[$key]['searchBuilderType'] == 'string' )
                                                <th>{{ config('settings.table_offers1')[$key]['name'] }} <i class="fa fa-filter columnFilter table_offers1_{{$key}}_string" data-table="table1" data-modal="SearchByStringModal{{ $key }}table1"></i></th>
                                            @elseif( config('settings.table_offers1')[$key]['searchBuilderType'] == 'date' )
                                                <th>{{ config('settings.table_offers1')[$key]['name'] }} <i class="fa fa-filter columnFilter table_offers1_{{$key}}_date" data-table="table1" data-modal="SearchByDateModal{{ $key }}table1"></i></th>
                                            @elseif( config('settings.table_offers1')[$key]['searchBuilderType'] == 'status' )
                                                <th>{{ config('settings.table_offers1')[$key]['name'] }} <i class="fa fa-filter table_offers1_{{$key}}_status columnFilter" data-table="table1" data-modal="SearchByStatusModal{{ $key }}table1"></i></th>
                                            @endif
                                        @else
                                            <th>{{ config('settings.table_offers1')[$key]['name'] }}</th>
                                        @endif
                                    @endif
                                @endforeach
                            </tr>
                            </thead>
                            <tbody>
                            {{-- Added dynamically data --}}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <div class="modal fade columReorderModal" id="exampleModal1" tabindex="-1" role="dialog" aria-labelledby="exampleModal1Label" aria-hidden="true">
                <div class="modal-dialog modal-dishpatch" role="document">
                    {!! Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')) !!}
                    <input type="hidden" name="table_id" value="offers1">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="exampleModal1Label">Adjust Table Columns</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <ul class="sortableList connected-sortable droppable-area1" id="sortable">
                                @foreach($getField as $key => $filed)
                                    @if(isset(config('settings.table_offers1')[$key]['name']))
                                        <li class="ui-state-default">
                                            <div class="d-flex justify-content-between">
                                                <div class="form-check">
                                                    <input type='hidden' value='0' name='field[{{ $key }}]'>
                                                    <input class="form-check-input" type="checkbox" id="Check01{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed==1) checked @endif>
                                                    <label class="form-check-label" for="Check01{{ $key }}">{{ config('settings.table_offers1')[$key]['name'] }}</label>
                                                </div>
                                                <i class="fa fa-align-justify drag-icon pt-1"></i>
                                            </div>
                                        </li>
                                    @endif
                                @endforeach
                            </ul>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                            <button type="submit" class="btn btn-blue">Save</button>
                        </div>
                    </div>
                    {!! Form::close() !!}
                </div>
            </div>
        </div>
        {{-- Offers --}}

        {{-- Favorites --}}
        <div class="card list-item" id="favoritesDiv">
            <div class="card-header" id="headingTwo">
                <button class="collapsed mr-15" type="button" data-toggle="collapse" data-target="#two-collapse" aria-expanded="false" aria-controls="two-collapse">
                    Favorites <span id="totalFavorites"> 00</span>
                    <i class="fa fa-chevron-circle-down" aria-hidden="true"></i>
                </button>
                <div class="d-flex align-items-center">
                    <a type="button" id="clearAllfilter_table_offers2" class="btn btn-orange ml-2 clearAll filter_table_offers2 d-none" data-tab="favorites-data-table"> Clear filters</a>
                    <a type="button" class="btn btn-primary ml-2 refreshAll refresh_table_offers2 d-none" data-tab="favorites-data-table"><i class="fa fa-refresh"></i> Refresh</a>
                    <a href="javascript:void(0);" class="btn btn-blueTheme ml-2" data-toggle="modal" data-target="#exampleModal2">Column</a>
                </div>
            </div>
            <div id="two-collapse" class="collapse" aria-labelledby="headingTwo">
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table m-0 table-blue table-dishpatchHub favorites-data-table">
                            <thead>
                            <tr>
                                @foreach($getField2 as $key => $filed)
                                    @if($filed == 1 && isset(config('settings.table_offers2')[$key]['name']))
                                        @if(isset(config('settings.table_offers2')[$key]['searchBuilderType']))
                                            @if( config('settings.table_offers2')[$key]['searchBuilderType'] == 'string' )
                                                <th>{{ config('settings.table_offers2')[$key]['name'] }} <i class="fa fa-filter columnFilter table_offers2_{{$key}}_string" data-table="table2" data-modal="SearchByStringModal{{ $key }}table2"></i></th>
                                            @elseif( config('settings.table_offers2')[$key]['searchBuilderType'] == 'date' )
                                                <th>{{ config('settings.table_offers2')[$key]['name'] }} <i class="fa fa-filter columnFilter table_offers2_{{$key}}_date" data-table="table2" data-modal="SearchByDateModal{{ $key }}table2"></i></th>
                                            @elseif( config('settings.table_offers2')[$key]['searchBuilderType'] == 'status' )
                                                <th>{{ config('settings.table_offers2')[$key]['name'] }} <i class="fa fa-filter table_offers2_{{$key}}_status columnFilter" data-table="table2" data-modal="SearchByStatusModal{{ $key }}table2"></i></th>
                                            @endif
                                        @else
                                            <th>{{ config('settings.table_offers2')[$key]['name'] }}</th>
                                        @endif
                                    @endif
                                @endforeach
                            </tr>
                            </thead>
                            <tbody>
                            {{-- Added dynamically data --}}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <div class="modal fade columReorderModal" id="exampleModal2" tabindex="-1" role="dialog" aria-labelledby="exampleModal2Label" aria-hidden="true">
                <div class="modal-dialog modal-dishpatch" role="document">
                    {!! Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')) !!}
                    <input type="hidden" name="table_id" value="offers2">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="exampleModal2Label">Adjust Table Columns</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <ul class="sortableList connected-sortable droppable-area1" id="sortable">
                                @foreach($getField2 as $key => $filed)
                                    @if(isset(config('settings.table_offers2')[$key]['name']))
                                        <li class="ui-state-default">
                                            <div class="d-flex justify-content-between">
                                                <div class="form-check">
                                                    <input type='hidden' value='0' name='field[{{ $key }}]'>
                                                    <input class="form-check-input" type="checkbox" id="Check02{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed==1) checked @endif>
                                                    <label class="form-check-label" for="Check02{{ $key }}">{{ config('settings.table_offers2')[$key]['name'] }}</label>
                                                </div>
                                                <i class="fa fa-align-justify drag-icon pt-1"></i>
                                            </div>
                                        </li>
                                    @endif
                                @endforeach
                            </ul>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                            <button type="submit" class="btn btn-blue">Save</button>
                        </div>
                    </div>
                    {!! Form::close() !!}
                </div>
            </div>
        </div>
        {{-- Favorites --}}
    </div>
@endsection

@section('script')
    <script src="https://code.jquery.com/ui/1.13.1/jquery-ui.js"></script>
    <script src="{{ asset('theme/js/select2.full.min.js') }}"></script>

    <script type="text/javascript">
        // offers DataTable - START
        var offersTable = $('.offers-data-table').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            processing: true,
            serverSide: true,
            fixedHeader: true,
            searching: false,
            bLengthChange : false,
            pageLength: "{{ perPageView() }}",
            ordering: false,
            order: [],
            ajax: {
                url: "{{ route('company.admin.pro-routes.offer.list') }}",
                data: function (d) {
                    <?php foreach($getField as $key => $filed): ?>
                        d.search_string_value_{{$key}} = $('#search_string_{{$key}}_table1').val();
                        d.search_string_name_{{$key}} = $('#stringKey{{$key}}_table1').val();
                        d.search_string_type_{{$key}} = $('#stringType{{$key}}_table1').val();
                        d.search_table_name_{{$key}} = $('#stringTableType{{$key}}_table1').val();
                        d.search_string_condition_{{$key}} = $("input[type='radio'][name='condition{{$key}}']:checked").val();
                        d.search_string_sort_{{$key}} = $("input[type='radio'][name='string_sort_{{$key}}']:checked").val();
                        d.search_string_relation_table_{{$key}} = $('#stringRelationTable{{$key}}_table1').val();
                        d.search_string_col_name1_{{$key}} = $('#stringColName1{{$key}}_table1').val();
                        d.search_string_col_name2_{{$key}} = $('#stringColName2{{$key}}_table1').val();
                        d.search_string_static_{{$key}} = $('#stringStatic{{$key}}_table1').val();

                        d.search_string_having_{{$key}} = $('#stringHaving{{$key}}_table1').val();

                        d.search_date_from_value_{{$key}} = $('#search_date_{{$key}}_table1').val();
                        d.search_date_to_value_{{$key}} = $('#search_date_end_{{$key}}_table1').val();
                        d.search_date_name_{{$key}} = $('#dateKey{{$key}}_table1').val();
                        d.search_date_type_{{$key}} = $('#dateType{{$key}}_table1').val();
                        d.search_date_table_name_{{$key}} = $('#dateTableType{{$key}}_table1').val();
                        d.search_date_condition_{{$key}} = $("input[type='radio'][name='conditiondate{{$key}}']:checked").val();
                        d.search_date_sort_{{$key}} = $("input[type='radio'][name='date_sort_{{$key}}']:checked").val();

                        <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                            d.search_status_value_{{$key}}_{{$ke}} = $("#conditionstatus_{{$key}}_{{$ke}}:checked").val();
                        <?php endforeach; ?>

                        d.search_status_condition_{{$key}} = $('#is_status_condition_applied{{$key}}').val();
                        d.search_status_name_{{$key}} = $('#statusOrgColName{{$key}}').val();
                        d.search_status_table_name_{{$key}} = $('#statusTableType{{$key}}').val();
                        d.search_status_sort_{{$key}} = $("input[type='radio'][name='status_sort_{{$key}}']:checked").val();
                        d.search_status_sort_column_{{$key}} = $("#statusOrderColName{{$key}}").val();
                    <?php endforeach; ?>
                },
                complete: function (data) {
                    if(data.responseJSON){
                        if(data.responseJSON.recordsTotal < 10){
                            $("#totalOffers").text('0'+data.responseJSON.recordsTotal); // Update Count
                        }else{
                            $("#totalOffers").text(data.responseJSON.recordsTotal); // Update Count
                        }
                    }
                },
            },
            columns: [
                    <?php foreach($getField as $key => $filed): ?>
                        <?php if($filed == 1): ?> {
                    data: '{{ $key }}',
                    name: '{{ $key }}',
                    orderable: @if($filed == 1 && isset(config('settings.table_offers1')[$key]['orderable'])) {{ ((config('settings.table_offers1')[$key]['orderable'] == 1) ? 'true' : 'false') }} @endif,
                    searchable: true
                },
                <?php endif; ?>
                <?php endforeach; ?>
            ],
            createdRow: function(row, data, index) {
                //$(row).find('td').eq({!! array_search('action', array_keys($getField)) !!}).addClass('offerActionBtn');
            }
        });
        // offers DataTable - END

        // favorites DataTable - START
        var favoritesTable = $('.favorites-data-table').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            processing: true,
            serverSide: true,
            fixedHeader: true,
            searching: false,
            bLengthChange : false,
            pageLength: "{{ perPageView() }}",
            ordering: false,
            order: [],
            ajax: {
                url: "{{ route('company.admin.pro-routes.favorite.list') }}",
                data: function (d) {
                    <?php foreach($getField2 as $key => $filed): ?>
                        d.search_string_value_{{$key}} = $('#search_string_{{$key}}_table2').val();
                        d.search_string_name_{{$key}} = $('#stringKey{{$key}}_table2').val();
                        d.search_string_type_{{$key}} = $('#stringType{{$key}}_table2').val();
                        d.search_table_name_{{$key}} = $('#stringTableType{{$key}}_table2').val();
                        d.search_string_condition_{{$key}} = $("input[type='radio'][name='condition{{$key}}']:checked").val();
                        d.search_string_sort_{{$key}} = $("input[type='radio'][name='string_sort_{{$key}}']:checked").val();
                        d.search_string_relation_table_{{$key}} = $('#stringRelationTable{{$key}}_table2').val();
                        d.search_string_col_name1_{{$key}} = $('#stringColName1{{$key}}_table2').val();
                        d.search_string_col_name2_{{$key}} = $('#stringColName2{{$key}}_table2').val();
                        d.search_string_static_{{$key}} = $('#stringStatic{{$key}}_table2').val();

                        d.search_string_having_{{$key}} = $('#stringHaving{{$key}}_table2').val();

                        d.search_date_from_value_{{$key}} = $('#search_date_{{$key}}_table2').val();
                        d.search_date_to_value_{{$key}} = $('#search_date_end_{{$key}}_table2').val();
                        d.search_date_name_{{$key}} = $('#dateKey{{$key}}_table2').val();
                        d.search_date_type_{{$key}} = $('#dateType{{$key}}_table2').val();
                        d.search_date_table_name_{{$key}} = $('#dateTableType{{$key}}_table2').val();
                        d.search_date_condition_{{$key}} = $("input[type='radio'][name='conditiondate{{$key}}']:checked").val();
                        d.search_date_sort_{{$key}} = $("input[type='radio'][name='date_sort_{{$key}}']:checked").val();

                        <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                            d.search_status_value_{{$key}}_{{$ke}} = $("#conditionstatus_{{$key}}_{{$ke}}:checked").val();
                        <?php endforeach; ?>

                        d.search_status_condition_{{$key}} = $('#is_status_condition_applied{{$key}}').val();
                        d.search_status_name_{{$key}} = $('#statusOrgColName{{$key}}').val();
                        d.search_status_table_name_{{$key}} = $('#statusTableType{{$key}}').val();
                        d.search_status_sort_{{$key}} = $("input[type='radio'][name='status_sort_{{$key}}']:checked").val();
                        d.search_status_sort_column_{{$key}} = $("#statusOrderColName{{$key}}").val();
                    <?php endforeach; ?>
                },
                complete: function (data) {
                    if(data.responseJSON){
                        if(data.responseJSON.recordsTotal < 10){
                            $("#totalFavorites").text('0'+data.responseJSON.recordsTotal); // Update Count
                        }else{
                            $("#totalFavorites").text(data.responseJSON.recordsTotal); // Update Count
                        }
                    }
                },
            },
            columns: [
                    <?php foreach($getField2 as $key => $filed): ?>
                        <?php if($filed == 1): ?> {
                    data: '{{ $key }}',
                    name: '{{ $key }}',
                    orderable: @if($filed == 1 && isset(config('settings.table_offers2')[$key]['orderable'])) {{ ((config('settings.table_offers2')[$key]['orderable'] == 1) ? 'true' : 'false') }} @endif,
                    searchable: true
                },
                <?php endif; ?>
                <?php endforeach; ?>
            ],
            createdRow: function(row, data, index) {
                //$(row).find('td').eq({!! array_search('action', array_keys($getField2)) !!}).addClass('offerActionBtn');
            }
        });
        // favorites DataTable - END

        $(function() {
            $(".sortableList").sortable();

            $(document).on("click", ".clearAll", function (){
                let tab = $(this).attr('data-tab');
                $('.'+ tab).DataTable().ajax.reload();
            });

            $(document).on("click", ".refreshAll", function (){
                let tab = $(this).attr('data-tab');
                $('.'+ tab).DataTable().ajax.reload(null, false);
            });

            $(document).on("click", ".destroyOffer", function (){
                let url = $(this).attr('data-action');
                let driverId = $(this).attr('data-driver');
                let tableName = $(this).attr('data-table');

                if(url != ""){
                    Swal.fire({
                        title: "Are you sure?",
                        text: "You won't be able to revert this!",
                        icon: "warning",
                        showCancelButton: true,
                        confirmButtonColor: "#3085d6",
                        cancelButtonColor: "#d33",
                        confirmButtonText: "Yes, delete it!",
                    }).then((result) => {
                        if (result.value) {
                            $.ajax({
                                type: 'DELETE',
                                url: url,
                                data: {},
                                dataType: 'json',
                                async: true,
                                headers: {
                                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                                },
                                success: function(response) {
                                    if(response.success){
                                        toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                                        $('.' + tableName).DataTable().ajax.reload(null, false);
                                    }
                                },
                            });
                        }
                    });
                }
            });
        });
    </script>
@endsection

@push('after-scripts')
    <script src="{{ asset('theme/js/trimble.js') }}"></script>
@endpush
