@extends($companyAdminTheme)

@section('title')
    Change password
@endsection

@section('header-title')
    Change password
@endsection

@section('content')
<form method="POST" id="editPassword" class="form-horizontal" enctype="multipart/form-data" action="{{ route('company.admin.cadmin.updatePassword') }}">
@csrf
<div class="row">
  <div class="col-lg-12">
      <div class="white-box mb-4 generalAccount">
          <h4 class="box-title">Manage Password</h4>
          <div class="box-padding">
                  <div class="row">
                <div class="col-md-4">
                  <div class="form-group">
                
                    <div class="col-md-12">
                      <label class=" control-label">Current password</label>
                      <input required="" type="password" name="current_password" class="form-control" value="" minlength="6" maxlength="20"  >
                      
                      @if ($errors->has('current_password'))
                          <span class="invalid-feedback text-danger d-block" role="alert">
                              <strong>{{ $errors->first('current_password') }}</strong>
                          </span>
                      @endif
                    </div>
                  </div>
                </div>
              </div>
              <div class="row">
                <div class="col-md-4">
                  <div class="form-group">
                
                    <div class="col-md-12">
                      <label class=" control-label">New password</label>
                      <input required="" type="password" name="password" id="password" class="form-control" value="" minlength="6"  maxlength="20" data-parsley-pattern="[a-zA-Z0-9$%&~_@]+" data-parsley-pattern-message="Invalid password" data-parsley-errors-container=".pwd-container">
                      <small>Only alphanumerice characters and $,%,&,~,_,@ are allowed.</small><br/>
                      <span class="pwd-container"></span>
                      @if ($errors->has('password'))
                          <span class="invalid-feedback text-danger d-block" role="alert">
                              <strong>{{ $errors->first('password') }}</strong>
                          </span>
                      @endif
                    </div>
                  </div>
                </div>
              </div>
              <div class="row">
                <div class="col-md-4">
                  <div class="form-group">
                
                    <div class="col-md-12">
                      <label class=" control-label">Confirm password</label>
                     
                      <input required="" type="password" name="password_confirmation" class="form-control" value="" data-parsley-equalto="#password" data-parsley-equalto-message = "It should be same as new password">
                      @if ($errors->has('password_confirmation'))
                          <span class="invalid-feedback text-danger d-block" role="alert">
                              <strong>{{ $errors->first('password_confirmation') }}</strong>
                          </span>
                      @endif
                    </div>
                  </div>
                </div>
              </div>
              
          </div>
      </div>
  </div>
</div>
<div class="button-bottom">
    <a href="{{ route('company.admin.home') }}" class="cancel-btn">Cancel</a>
    <button class="submit-btn">Submit</button>
</div>


</form>
@endsection


@section('script')
<script type="text/javascript">
  $('#editPassword').parsley();
</script>
@endsection

