@extends($companyAdminTheme)

@section('title')
    View Profile
@endsection

@section('header-title')
    View Profile
@endsection

@section('style')
    <link rel="stylesheet" type="text/css" href="{{ asset('theme/css/datepicker3.min.css') }}">
    <link rel="stylesheet" href="{{ asset('theme/css/daterangepicker.css') }}">
    <style type="text/css">
    	h5 {
            font-size: 18px;
        }
        #events_selector {padding: 4px;}
        .target-calendar button.fc-next-button.fc-button.fc-state-default.fc-corner-right {position: relative;
        right: auto;}
        .target-calendar button.fc-prev-button.fc-button.fc-state-default.fc-corner-left {position: relative;
        left: auto;}
        .addevent {cursor: pointer;}

        .modal .form-group h5{
            font-size: 16px;
        }
        .select2-container{
            width: 100% !important;
        }
        .select2-container .select2-selection--single{
            height: 35px;
        }
        .select2-container--default .select2-selection--single{
            border: 1px solid #C5CEE0;
        }
        .select2-container--default .select2-selection--single .select2-selection__rendered{
            line-height: 34px;
        }
        .select2-container--default .select2-selection--single .select2-selection__arrow{
            height: 31px;
        }
        .select2-container--open .select2-dropdown{
            left: -1px;
        }
        #EvoCalendar {
            margin: 20px 20px;
        }
        .tab-content .custom-control-input:checked~.custom-control-label.birthdayscolor::before,.custom-control-label.birthdayscolor::before {
            background-color: <?php echo getEventColor(0) ?>!important;
            border-color: <?php echo getEventColor(0) ?>!important;
        }
        .tab-content .custom-control-input:checked~.custom-control-label.expirationscolor::before,.custom-control-label.expirationscolor::before {
            background-color: <?php echo getEventColor(3) ?>!important;
            border-color: <?php echo getEventColor(3) ?>!important;
        }
        .tab-content .custom-control-input:checked~.custom-control-label.truckscolor::before,.custom-control-label.truckscolor::before {
            background-color: <?php echo getEventColor(4) ?>!important;
            border-color: <?php echo getEventColor(4) ?>!important;
        }
        .tab-content .custom-control-input:checked~.custom-control-label.trailerscolor::before,.custom-control-label.trailerscolor::before {
            background-color: <?php echo getEventColor(5) ?>!important;
            border-color: <?php echo getEventColor(5) ?>!important;
        }
        .tab-content .custom-control-input:checked~.custom-control-label.personalcolor::before,.custom-control-label.personalcolor::before {
            background-color: <?php echo getEventColor(8) ?>   !important;
            border-color: <?php echo getEventColor(8) ?>   !important;
        }
        .tab-content .custom-control-input:checked~.custom-control-label.myLeaveslcolor::before,.custom-control-label.myLeaveslcolor::before {
            background-color: <?php echo getEventColor(7) ?>   !important;
            border-color: <?php echo getEventColor(7) ?>   !important;
        }
        .occupancy-table table thead th {background-color: #fff;}
        .occupancy-table table td:first-child {font-weight: normal;}
        .occupancy-table table td {height: 39px;}
    </style>
@endsection

@section('content')
    <div class="row">
        <div class="col-lg-6">
            <div class="white-box mb-4 generalAccount">
                <h4 class="box-title">General Information</h4>
                <div class="box-padding">
                    <div class="row">
                        <div class="col-md-5">
                            <div class="form-group">
                                <label>First name</label>
                                <h5>{{ $companyAdmin->first_name }}</h5>
                            </div>
                        </div>
                        <div class="col-md-5 col-sm-9">
                            <div class="form-group">
                                <label>Last name</label>
                                <h5>{{ $companyAdmin->last_name }}</h5>
                            </div>
                        </div>
                        <div class="col-md-2 col-sm-3">
                            <div class="form-group">
                                <label>M</label>
                                <h5>{{ $companyAdmin->middle_name }}</h5>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Address</label>
                                <h5>{{ $companyAdmin->address }}</h5>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Address 2</label>
                                <h5>{{ $companyAdmin->address_2 }}</h5>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>City</label>
                                <h5>{{ $companyAdmin->city }}</h5>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>State</label>
                                <h5>{{ $companyAdmin->state }}</h5>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Zip</label>
                                <h5>{{ $companyAdmin->zip }}</h5>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group m-0">
                                <label>Cell Phone</label>
                            </div>
                            @if ($companyAdmin->cell_phone)
                                <h5><a href="tel:{{ $companyAdmin->cell_phone }}">{{ $companyAdmin->cell_phone }}</a></h5>
                            @else
                                <h5> - </h5>
                            @endif
                        </div>
                        <div class="col-md-2">
                            <div class="form-group">
                                <label>SMS</label>
                                @if ($companyAdmin->sms == 0)
                                    <label class="badge badge-danger text-white">No</label>
                                @else
                                    <label class="badge badge-success text-white">Yes</label>
                                @endif
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group m-0">
                                <label>Home Phone</label>
                            </div>
                            @if ($companyAdmin->home_phone)
                                <h5><a href="tel:{{ $companyAdmin->home_phone }}">{{ $companyAdmin->home_phone }}</a></h5>
                            @else
                                <h5> - </h5>
                            @endif
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Start Date</label>
                                <h5>{{ $companyAdmin->start_date ?? '-' }}</h5>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Notes</label>
                                <h5>{{ $companyAdmin->notes ?? '-' }}</h5>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-lg-6">
            <div class="white-box mb-4 generalAccount">
                <h4 class="box-title">Account Information</h4>
                <div class="box-padding">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Email</label>
                                <h5>{{ $companyAdmin->email ?? '-' }}</h5>
                            </div>
                        </div>
                        {{-- <div class="col-xl-6 col-sm-6">
                            <div class="form-group">
                                <label>Send Welcome Email</label><br>
                                @if ($companyAdmin->send_welcome_email == 0)
                                    <label class="badge badge-danger text-white">No</label>
                                @else
                                    <label class="badge badge-success text-white">Yes</label>
                                @endif
                            </div>
                        </div> --}}
                        <div class="col-xl-6 col-sm-6">
                            <div class="form-group">
                                <label>Allow Login</label><br>
                                @if ($companyAdmin->allow_login == 0)
                                    <label class="badge badge-danger text-white">No</label>
                                @else
                                    <label class="badge badge-success text-white">Yes</label>
                                @endif
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Profile Image</label><br>
                                @if (!is_null($companyAdmin->profile_image))
                                    <img src="{{ asset('storage/companyAdmin/profile/'.$companyAdmin->profile_image) }}" style="position: unset;height: 100px; width: 100px;">
                                @else
                                    <img src="{{ asset('theme/img/avtar.png') }}" style="position: unset;height: 100px; width: 100px;">
                                @endif
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Driver Manager</label>
                                <h5>
                                    @if($companyAdmin->type==0)
                                        -
                                    @elseif($companyAdmin->type==1)
                                        {{ $companyAdmin->first_name ?? '-' }}
                                    @else
                                        {{ $companyAdmin->team->dispatcher->first_name ?? '-' }}
                                    @endif
                                </h5>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Team</label>
                                <h5>{{ $companyAdmin->team->name ?? '-' }}</h5>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-12">
            <div class="employee-wrapper">
                <ul class="nav nav-tabs" id="myTab" role="tablist">
                    <li class="nav-item" role="presentation">
                        <a 
                            class="nav-link" 
                            id="CompanyInfo-tab" 
                            data-toggle="tab" 
                            href="#CompanyInfo" 
                            role="tab" 
                            aria-controls="CompanyInfo" 
                            aria-selected="false"
                        >Company Info</a>
                    </li>
                    <li class="nav-item" role="presentation">
                        <a 
                            class="nav-link"
                            id="DashboardAccess-tab" 
                            data-toggle="tab" 
                            href="#DashboardAccess" 
                            role="tab" 
                            aria-controls="DashboardAccess" 
                            aria-selected="false"
                        >Dashboard Access</a>
                    </li>
                    <li class="nav-item" role="presentation">
                        <a 
                            class="nav-link eveclFullc"
                            id="EventsCalendar-tab" 
                            data-toggle="tab" 
                            href="#EventsCalendar" 
                            role="tab" 
                            aria-controls="EventsCalendar" 
                            aria-selected="false"
                        >Events Calendar</a>
                    </li>
                    <li class="nav-item" role="presentation">
                        <a
                            class="nav-link cliclveartab" 
                            id="YourLeave-tab" 
                            data-toggle="tab" 
                            href="#YourLeave" 
                            role="tab" 
                            aria-controls="YourLeave" 
                            aria-selected="false"
                        >Your Leave</a>
                    </li>
                </ul>
                <div class="tab-content" id="myTabContent">
                    <div class="tab-pane fade" id="CompanyInfo" role="tabpanel" aria-labelledby="CompanyInfo-tab">
                        @include('companyAdmin.dispatcher.tab.companyInfo')
                    </div>
                    <div class="tab-pane fade" id="DashboardAccess" role="tabpanel" aria-labelledby="DashboardAccess-tab">
                        @include('companyAdmin.dispatcher.tab.dashboardAccess')
                    </div>
                    <div class="tab-pane fade" id="EventsCalendar" role="tabpanel" aria-labelledby="EventsCalendar-tab">
                        @include('companyAdmin.dispatcher.tab.eventsCalendar')
                    </div>
                    <div class="tab-pane fade urlOnBordi" id="YourLeave" role="tabpanel" aria-labelledby="YourLeave-tab">
                        @include('companyAdmin.dispatcher.tab.yourLeave')
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- maintenance ticket show modal -->
    <div class="modal blank-modal-body show-event" id="showEvent" tabindex="-1" aria-labelledby="showEvent" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Show Event</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body show-data">

                </div>
            </div>
        </div>
    </div>

    <div class="modal blank-modal-body teamModal-3" id="editEvent" tabindex="-1" aria-labelledby="editEvent" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Edit Event</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body data">

                </div>
            </div>
        </div>
    </div>
    <div class="modal fade teamModal-2 blank-modal-body" id="leaveDetailsModal" tabindex="-1" aria-labelledby="leaveDetailsModal" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="leaveDetailsModal">Leave Details</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="append-leave-view">
                    
                </div>
            </div>
        </div>
    </div>

    @include('companyAdmin.dispatcher.modal.editLeavesAllowance')

@endsection

@section('script')
<script src="https://www.gstatic.com/charts/loader.js"></script>
<script src="https://cdn.jsdelivr.net/npm/sweetalert2@11.1.4/dist/sweetalert2.all.min.js"></script>
<script src="{{ asset('theme/js/bootstrap-datepicker.js') }}"></script>
<script src="{{ asset('theme/js/fullcalendar.min.js') }}"></script>
<script src="{{ asset('theme/js/select2.full.min.js') }}"></script>
<script src="{{ asset('theme/js/daterangepicker.min.js') }}"></script>
<script type="text/javascript">
    if(localTimeZone!=timeZone){
        moment.tz.setDefault(timeZone);
    }
</script>
<script type="text/javascript">
    var companyAdminId      = '{{ $companyAdmin->id }}';
    var calendarEvent       = $("#calendarEvent").val();
    var birthdays           = $("#birthdays:checked").val();
    var expirations         = $("#expirations:checked").val();
    var maintenanceTrucks   = $("#maintenanceTrucks:checked").val();
    var maintenanceTrailers = $("#maintenanceTrailers:checked").val();
    var selectCompnay       = $("#selectCompnay").val();
    var selectTeam          = $("#selectTeam").val();
    var hidePersonalEvents  = $("#hidePersonalEvents:checked").val();
    var driverleaves        = $("#driverleaves:checked").val();
    var myLeaves            = $("#myLeaves:checked").val();
    var dispatcherLeaves    = '';
    var maintenanceTicket   = $("#maintenanceTicket:checked").val();
    var gotoDate            = "{{ isset($gotoDate)?$gotoDate:'' }}";
    $(document).ready(function(){
        @if(isset($activeTab) && $activeTab=='EventsCalendar')
            $('#myTab a[href="#EventsCalendar"]').tab('show');
        @else
            $('#myTab a[href="#CompanyInfo"]').tab('show');
        @endif
    });
</script>
<script type="text/javascript">
    $(document).ready(function(){
        $('.storeAddEvent').parsley();
        $('#calendar').fullCalendar({
            header:{
                left: 'today, prevYear, nextYear, printButton',
                center: 'prev, title, next',
                right: 'month,agendaWeek,agendaDay,listMonth'
            },
            dayRender: function(date, cell) {
                cell.append('<img src="{{ asset("theme/img/blue-plus.png") }}" onclick="newEvent('+date+')" class="addevent plus-btn" alt="">');
            },
            editable: false,
            eventLimit: true,
            eventRender: function eventRender( event, element, view, info ) {
                element.attr('title', event.title);
                if(event.icon){
                    element.find(".fc-title").prepend("<i class='fa "+event.icon+"'></i>");
                }
                if(event.id){
                    element.prepend( "<span class='closeon'>X</span>" );
                     element.prepend("<span class='editon'><i class='fa fa-pencil' aria-hidden='true'></i></span>");
                }
                if(event.maintenance_id){
                    element.click(function(){
                        var token   = $('meta[name="csrf-token"]').attr('content');
                        $.ajax({
                            url: "{{ route('company.admin.managers.show.event') }}",
                            method: "POST",
                            data: { _token : token , maintenance_event_id : event.maintenance_id },
                            success: function (response) {
                                $(".show-event").modal('show');
                                $(".show-data").html(response['html']);
                            }
                        });
                        
                    });
                }
                element.find(".closeon").click(function() {
                    Swal.fire({
                        title: "Are you sure?",
                        text: "You won't be able to revert this!",
                        showCancelButton: true,
                        reverseButtons: true,
                        confirmButtonColor: "#3085d6",
                        cancelButtonColor: "#d33",
                        confirmButtonText: "Confirm and Submit",
                        cancelButtonText: "Cancel",
                    }).then((result) => {
                        if (result.value) {
                            var token = $('meta[name="csrf-token"]').attr('content');
                            $.ajax({
                                url: "{{ route('company.admin.driver.remove.event') }}",
                                method: "POST",
                                data: { _token : token , event_id : event.id },
                                success: function(response) {
                                    $('#calendar').fullCalendar('removeEvents',event._id);
                                    toastr.success('Event Deleted successfully.', 'Success Alert', {timeOut: 5000})
                                }
                            });
                        }
                    });
                });
                element.find(".editon").click(function () {
                    var id      = event.id;
                    var token   = $('meta[name="csrf-token"]').attr('content');
                    $.ajax({
                        url: "{{ route('company.admin.dispatcher.edit.event') }}",
                        method: "POST",
                        data: {_token: token, event_id:id},
                        success: function (response) {
                            $(".teamModal-3").modal('show');
                            $(".data").html(response['html'])
                        }
                    });
                });
            }
        });
        // getEvent(companyAdminId,calendarEvent,birthdays,expirations,maintenanceTrucks,maintenanceTrailers,selectCompnay,selectTeam,hidePersonalEvents,driverleaves,myLeaves,gotoDate);
        getEvent(companyAdminId,calendarEvent,birthdays,expirations,maintenanceTrucks,maintenanceTrailers,selectCompnay,selectTeam,hidePersonalEvents,driverleaves,myLeaves,dispatcherLeaves='',maintenanceTicket,gotoDate);

        $('.changeEvent').on('change',function(){
            var calendarEvent       = $("#calendarEvent").val();
            var birthdays           = $("#birthdays:checked").val();
            var expirations         = $("#expirations:checked").val();
            var maintenanceTrucks   = $("#maintenanceTrucks:checked").val();
            var maintenanceTrailers = $("#maintenanceTrailers:checked").val();
            var selectCompnay       = $("#selectCompnay").val();
            var selectTeam          = $("#selectTeam").val();
            var hidePersonalEvents  = $("#hidePersonalEvents:checked").val();
            var driverleaves        = $("#driverleaves:checked").val();
            var myLeaves            = $("#myLeaves:checked").val();
            var dispatcherLeaves    = '';
            var maintenanceTicket   = $("#maintenanceTicket:checked").val();
            // getEvent(companyAdminId,calendarEvent,birthdays,expirations,maintenanceTrucks,maintenanceTrailers,selectCompnay,selectTeam,hidePersonalEvents,driverleaves,myLeaves);
            getEvent(companyAdminId,calendarEvent,birthdays,expirations,maintenanceTrucks,maintenanceTrailers,selectCompnay,selectTeam,hidePersonalEvents,driverleaves,myLeaves,dispatcherLeaves='',maintenanceTicket);
        });

        $('#calendar').fullCalendar( 'refetchEvents' );

        $(".eveclFullc").click(function() {
            setTimeout( function(){
                $('#calendar').fullCalendar( 'refetchEvents' );
            },500);
        });

        $('.faicon input[type="radio"]').click(function() {
            $(this).parent().addClass('active').siblings('label').removeClass('active')
        });

        $(".faicon").hide();
        $(".addshoicon").click(function() {
            if($(this).is(":checked")) {
                $(".faicon").show(300);
            } else {
                $(".faicon").hide(200);
            }
        });

        $(".driversediv").hide();
        $("select[name=share]").on('change', function() {
            var value           = this.value;
            $(".driversediv").hide();
            var driverse        = $('.driverse').prop('required',false).attr('aria-describedby');
            $('#'+driverse).hide();

            if(value == 2){
                $(".driversediv").show(300);
                var driverse    = $('.driverse').prop('required',true).attr('aria-describedby');
                $('#'+driverse).show();
            }
        });

    });

    // function getEvent(companyAdminId,calendarEvent,birthdays,expirations,maintenanceTrucks,maintenanceTrailers,selectCompnay,selectTeam,hidePersonalEvents,driverleaves,myLeaves,gotoDate='') {
    function getEvent(companyAdminId,calendarEvent,birthdays,expirations,maintenanceTrucks,maintenanceTrailers,selectCompnay,selectTeam,hidePersonalEvents,driverleaves,myLeaves,dispatcherLeaves='',maintenanceTicket,gotoDate='') {
        var token               = $('meta[name="csrf-token"]').attr('content');
        $.ajax({
            url: "{{ route('company.admin.dispatcher.get.event') }}",
            method: "POST",
            // data: { _token : token , companyAdminId : companyAdminId, calendarEvent : calendarEvent, birthdays:birthdays, expirations:expirations, maintenanceTrucks:maintenanceTrucks, maintenanceTrailers:maintenanceTrailers, selectCompnay:selectCompnay, selectTeam:selectTeam, hidePersonalEvents:hidePersonalEvents, driverleaves:driverleaves, myLeaves:myLeaves, maintenanceTicket:maintenanceTicket},
            data: { _token : token , companyAdminId : companyAdminId, calendarEvent : calendarEvent, birthdays:birthdays, expirations:expirations, maintenanceTrucks:maintenanceTrucks, maintenanceTrailers:maintenanceTrailers, selectCompnay:selectCompnay, selectTeam:selectTeam, hidePersonalEvents:hidePersonalEvents, driverleaves:driverleaves, myLeaves:myLeaves, dispatcherLeaves:dispatcherLeaves, maintenanceTicket:maintenanceTicket},
            success: function(response) {
                $('#calendar').fullCalendar('removeEvents');
                $('#calendar').fullCalendar('addEventSource',eval(response.view))
                $('#calendar').fullCalendar('rerenderEvents');
                if(gotoDate!=''){
                    $('#calendar').fullCalendar('gotoDate', gotoDate);
                    $('.fc-listMonth-button').trigger('click');
                }
                $('.fc-event').tooltip();
            }
        });
    }

    function newEvent(date){
        var CurrentDate         = moment(new Date(date)).tz(localTimeZone);
        var CurrentD            = moment(CurrentDate).tz(localTimeZone).add(0, 'day').format('MM/DD/YYYY');
        $(".storeAddEvent")[0].reset();
        $('#newEvent').modal('toggle');
        $('.eventstart').val(CurrentD).change();
        $('.eventend').val(CurrentD).change();
        $('.eventend').data('DateTimePicker').minDate(CurrentD);
    }

    $('.eventstart,.eventend').datetimepicker({
        format: dateTimeLayout,
        useCurrent: false,
    });

    $('.eventstart').datetimepicker().on('dp.change', function (e) {
        var CurrentDate         = $(this).val();
        var CurrentD            = moment(CurrentDate).tz(localTimeZone).add(0, 'day').format(dateTimeLayout);
        $('.eventend').data('DateTimePicker').minDate(CurrentD);
        $('.eventend').val(CurrentD);
    });

    /*******Leave Module*********/

    var year                    = "{{ date('Y') }}";
    var company_admin_id        = '{{ $companyAdmin->id }}';
    $('.leavesAllowanceYear').datetimepicker({
        format: 'YYYY',
        useCurrent: true,
    });
    $('.leavesAllowanceYear').datetimepicker().on('dp.change', function (e) {
        var CurrentDate         = $(this).val();
        if(localTimeZone!=timeZone){
            var year            = moment(CurrentDate).tz(localTimeZone).add(0, 'day').format('YYYY');
        }else{
            var year            = moment(CurrentDate).add(0, 'day').format('YYYY');
        }
        leavesAllowance(company_admin_id, year);
    });

    function leavesAllowance(company_admin_id, year) {
        $(".leavesAllowance").html('<tr><td colspan="2"><div class="loadingdiv"><img src="'+loadimg+'" /></div></tr></td>');
        var token               = $('meta[name="csrf-token"]').attr('content');
        $.ajax({
            url: "{{ route('company.admin.get.user.leaves.allowance') }}",
            method: "POST",
            data: { _token : token , type : 'dispatchers', company_admin_id : company_admin_id , year : year},
            success: function(response) {
                $('.leavesAllowance').html(response.view);
            }
        }); 
    }
    
    leavesAllowance(company_admin_id, year);

    $("body").on("click", ".edit-leaves-allowance", function () {
        var token               = $('meta[name="csrf-token"]').attr('content');
        var data_id             = $(this).data('leave-user-type-id');
        $.ajax({
            url: "{{ route('company.admin.edit.user.leaves.allowance.view') }}",
            method: "POST",
            data: {_token: token, data_id: data_id},
            success: function (response) {
                $('.blank-modal-body').find('.append-form').html('');
                $('#editLeavesAllowance').find('.append-form').html(response.view);
                editLeaveAllowanceForm()
            }
        });
    });

     function editLeaveAllowanceForm() {
        $(".editLeaveAllowanceForm").ajaxForm({
            complete: function (response) {
                $(".editLeaveAllowanceForm").trigger("reset");
                $('.error').text('');
                toastr.success('Days updated.', 'Success Alert', {timeOut: 5000})
                $("#editLeavesAllowance").modal("hide");
                var year        = $(".leavesAllowanceYear").val();
                leavesAllowance(company_admin_id, year);
            }
        });
    }
    
    $('.leavesAllowanceYear2').datetimepicker({
        format: 'YYYY',
        useCurrent: true,
    });
    $('.leavesAllowanceYear2').datetimepicker().on('dp.change', function (e) {
        var CurrentDate         = $(this).val();
        if(localTimeZone!=timeZone){
            var year            = moment(CurrentDate).tz(localTimeZone).add(0, 'day').format('YYYY');
        }else{
            var year            = moment(CurrentDate).add(0, 'day').format('YYYY');
        }
        leavesAllowance2(company_admin_id, year);
    });

    function leavesAllowance2(company_admin_id, year) {
        $(".leavesAllowance2").html('<tr><td colspan="2"><div class="loadingdiv"><img src="'+loadimg+'" /></div></tr></td>');
        $(".leavesAllowance3").html('<tr><td colspan="2"><div class="loadingdiv"><img src="'+loadimg+'" /></div></tr></td>');
        var token               = $('meta[name="csrf-token"]').attr('content');
        $.ajax({
            url: "{{ route('company.admin.get.user.leaves.timeoff') }}",
            method: "POST",
            data: { _token : token , type : 'dispatchers', company_admin_id : company_admin_id , year : year},
            success: function(response) {
                $('.leavesAllowance2').html(response.view);
                $('.leavesAllowance3').html(response.view2);
            }
        }); 
    }
    
    leavesAllowance2(company_admin_id, year);

    function leaveColumn3(company_admin_id, year) {
        $(".leavesAllowance2").html('<tr><td colspan="2"><div class="loadingdiv"><img src="'+loadimg+'" /></div></tr></td>');
        $(".leavesAllowance3").html('<tr><td colspan="2"><div class="loadingdiv"><img src="'+loadimg+'" /></div></tr></td>');
        var token               = $('meta[name="csrf-token"]').attr('content');
        $.ajax({
            url: "{{ route('company.admin.get.user.leaves.timeoff') }}",
            method: "POST",
            data: { _token : token , type : 'dispatchers', company_admin_id : company_admin_id , year : year},
            success: function(response) {
                $('.leaveColumn3').html(response.view);
                $('.leaveColumn4').html(response.view2);
            }
        }); 
    }
    
    leaveColumn3(company_admin_id, year);


    $('.createLeave').parsley();
    $('.leave_from_date').datetimepicker({
        format: 'MM/DD/YYYY',
        useCurrent: true,
    });

    $('.leave_from_date').datetimepicker().on('dp.change', function (e) {
        var CurrentDate         = $(this).val();
        if(localTimeZone!=timeZone){
            var CurrentD        = moment(CurrentDate).tz(localTimeZone).add(0, 'day').format('MM/DD/YYYY');
        }else{
            var CurrentD        = moment(CurrentDate).add(0, 'day').format('MM/DD/YYYY');
        }
        $('.leave_to_date').val(CurrentD);
        $('.leave_to_date').data('DateTimePicker').minDate(CurrentD);
    });

    $('.leave_to_date').datetimepicker({
        format: 'MM/DD/YYYY',
        useCurrent: true,
    });

    var get_data                = 'current';
    var cyear                   = $(".cyear").val();
    var cmonth                  = $(".cmonth").val();

    function leaveCalanderView(get_data,cyear,cmonth) {
       $(".append-view-leave").html('<div class="loadingdiv"><img src="'+loadimg+'" /></div>');   
       $(".tooembo-box-leave").addClass('disabled-click');
        var token               = $('meta[name="csrf-token"]').attr('content');
        $.ajax({
            url: "{{ route('company.admin.leave.calendar.show') }}",
            method: "POST",
            data: { _token : token , get_data:get_data, cyear:cyear, cmonth:cmonth, dispatcher_id:'{{ $companyAdmin->id }}'},
            success: function(response) {
                $(".append-view-leave").html(response.view);
                $(".cmonth-leave").val(response.month);
                $(".cyear-leave").val(response.year);
                $(".mtitle-leave").html(response.month_name+' '+response.year);
                $(".tooembo-box-leave").removeClass('disabled-click');
            }
        });
    }

    $("body").on("click",".next-arrow",function(e){
        var get_data            = 'next';
        var cyear               = $(".cyear-leave").val();
        var cmonth              = $(".cmonth-leave").val();
        leaveCalanderView(get_data,cyear,cmonth);
    });

    $("body").on("click",".prev-arrow",function(e){
        var get_data            = 'previous';
        var cyear               = $(".cyear-leave").val();
        var cmonth              = $(".cmonth-leave").val();
        leaveCalanderView(get_data,cyear,cmonth);
    });

    $(document).ready(function() {
        leaveCalanderView(get_data,cyear,cmonth);
    });

    $("body").on("click", ".show-leave-details", function () {
        $('#leaveDetailsModal').find('.append-view').html('');
        var token               = $('meta[name="csrf-token"]').attr('content');
        var leave_id            = $(this).data('leave-id');
        $.ajax({
            url: "{{ route('company.admin.leave.details.view') }}",
            method: "POST",
            data: { _token : token , leave_id : leave_id },
            success: function(response) {
                $('#leaveDetailsModal').find('.append-leave-view').html(response.view);
            }
        });
    });

    $('select[name="leave_type_id"]').change(function() {
        var leave_type_id       = this.value;
        var token               = $('meta[name="csrf-token"]').attr('content');
        $.ajax({
            url: "{{ route('company.admin.check.leave.option') }}",
            method: "POST",
            data: { _token : token , leave_type_id : leave_type_id },
            success: function(response) {
                if(response.half_day_request == 1){
                    $('select[name="duration"] option[value=2]').prop('disabled', false);
                }else{
                    $('select[name="duration"] option[value=2]').prop('disabled', true);
                }

                if(response.register_in_the_past == 1){
                    var CurrentDate = moment(new Date());
                    var CurrentDate = moment(CurrentDate).subtract(12, 'months').format('MM/DD/YYYY');
                    $('.leave_from_date').data('DateTimePicker').minDate(CurrentDate);
                }else{
                    var CurrentDate = moment(new Date());
                    $('.leave_from_date').data('DateTimePicker').minDate(CurrentDate);
                }

                if(response.enforce_allowance == 1){
                    $('.createLeave button').prop('disabled', false);
                }else{
                    $('.createLeave button').prop('disabled', true);
                    $('.leave_to_date').datetimepicker().on('dp.change', function (e) {
                        var startDate   = moment( $('.leave_from_date').val(), "MM/DD/YYYY");
                        var endDate     = moment( $('.leave_to_date'  ).val(), "MM/DD/YYYY");
                        var diff        = endDate.diff(startDate, 'days') + 1;
                        
                        var leave_days  = $('select[name="leave_type_id"]').find(":selected").attr('leave');
                        var leave_name  = $('select[name="leave_type_id"]').find(":selected").text();

                        if(leave_days < diff){
                            toastr.error('Available "'+leave_name+'" leave only '+leave_days+', so please change the dates accordingly.', 'Error Alert', {timeOut: 5000})
                            $('.createLeave button').prop('disabled', true);      
                        }else{
                            $('.createLeave button').prop('disabled', false);      
                        }
                    });
                }
            }
        });
    });
    /********End Leave Module*********/
</script>
@endsection
