@extends($companyAdminTheme)

@section('title')
    Edit Profile
@endsection

@section('header-title')
    Edit Profile
@endsection

@section('style')
@endsection

@section('content')
    {!! Form::model($companyAdmin,array(
            'route'     => ['company.admin.cadmin.updateProfile',$companyAdmin->id],
            'method'    => 'POST',
            'files'     => 'true',
            'class'     => 'edit-form'
        )
    ) !!}
        <div class="row">
            <div class="col-lg-12">
                <div class="white-box mb-4 generalAccount">
                    <h4 class="box-title">General Information</h4>
                    <div class="box-padding">
                        <div class="row mb-3">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>First name<span>*</span></label>
                                    {!! Form::text('first_name', old('first_name'), array('class' => 'form-control', 'autocomplete' => 'new','required' => 'required')) !!}
                                    @error('first_name')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-6 col-sm-9">
                                <div class="form-group">
                                    <label>Last name<span>*</span></label>
                                    {!! Form::text('last_name', old('last_name'), array('class' => 'form-control', 'autocomplete' => 'new', 'required' => 'required')) !!}
                                    @error('last_name')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Email<span>*</span></label>
                                    {!! Form::text('email', old('email'), array('class' => 'form-control', 'autocomplete' => 'form-control', 'autocomplete' => 'new_email', 'disabled' => 'disabled', 'required' => 'required')) !!}
                                    @error('email')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-12 geocoding">
                                <input type="hidden" class="geocoding-latitude" name="latitude" value="{{ isset($companyAdmin->latitude)?$companyAdmin->latitude:'' }}" autocomplete="off">
                                <input type="hidden" class="geocoding-longitude" name="longitude" value="{{ isset($companyAdmin->longitude)?$companyAdmin->longitude:'' }}" autocomplete="off">
                                <input type="hidden" class="geocoding-abbr" name="timezone_abbr" value="{{ isset($companyAdmin->timezone_abbr)?$companyAdmin->timezone_abbr:'' }}" autocomplete="off" data-parsley-errors-container="#timezone_abbr-errors" data-parsley-required-message="Please verify address" required>
                                <input type="hidden" class="geocoding-verified" name="address_verified" value="{{ isset($companyAdmin->address_verified)?$companyAdmin->address_verified:'0' }}" autocomplete="off">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Address</label>
                                            {!! Form::text('address', old('address'), array(
                                                    'class'         => 'form-control geocoding-address-1',
                                                    'placeholder'   => '',
                                                    'id'            => 'address',
                                                    'required'      => 'required'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Address 2</label>
                                            {!! Form::text('address_2', old('address_2'), array(
                                                    'class'         => 'form-control geocoding-address-2',
                                                    'placeholder'   => '',
                                                    'id'            => 'address_2'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>City</label>
                                            {!! Form::text('city', old('city'), array(
                                                    'class'         => 'form-control geocoding-city',
                                                    'placeholder'   => '',
                                                    'id'            => 'city'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>State</label>
                                            {!! Form::text('state', old('state'), array(
                                                    'class'         => 'form-control geocoding-state',
                                                    'placeholder'   => '',
                                                    'id'            => 'state',
                                                    'required'      => 'required'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Zip</label>
                                            {!! Form::text('zip', old('zip'), array(
                                                    'class'         => 'form-control geocoding-zip',
                                                    'placeholder'   => '',
                                                    'id'            => 'zip',
                                                    'required'      => 'required'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        @if(isset($companyAdmin->address_verified) && $companyAdmin->address_verified=='1')
                                            <button type="button" class="btn btn-success geocoding-btn" data-uid="{{ 'map-'.generateStrUniqueId() }}">Verified</button>
                                        @else
                                            <button type="button" class="btn btn-warning geocoding-btn" data-uid="{{ 'map-'.generateStrUniqueId() }}">Verify</button>
                                        @endif
                                        <div id="timezone_abbr-errors"></div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Cell Phone</label>
                                    {!! Form::text('cell_phone', old('cell_phone'), array('placeholder' => '(555) 123-1234', 'class' => 'form-control phone', 'autocomplete' => 'new_phone', 'required' => 'required')) !!}
                                    @error('cell_phone')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Home Phone</label>
                                    {!! Form::text('home_phone', old('home_phone'), array('placeholder' => '(555) 123-1234', 'class' => 'form-control phone', 'autocomplete' => 'new_phone')) !!}
                                    @error('home_phone')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group d-none">
                                    <label>Notify SMS</label>
                                    <div class="custom-control custom-switch">
                                        {!! Form::checkbox('sms', 1, null, array('class' => 'custom-control-input', 'id' => 'sms')) !!}
                                        <label class="custom-control-label" for="sms"></label>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group d-none">
                                    <label>Notify Email</label>
                                    <div class="custom-control custom-switch">
                                        {!! Form::checkbox('notify_email', 1, null, array('class' => 'custom-control-input', 'id' => 'notify_email')) !!}
                                        <label class="custom-control-label" for="notify_email"></label>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Profile Image</label>
                                    {!! Form::file('profile_image', ['class' => 'form-control']) !!}
                                </div>
                                @if (!is_null($companyAdmin->profile_image))
                                    <img src="{{ asset('storage/companyAdmin/profile/'.$companyAdmin->profile_image) }}" class="img-fluid proimage" width="100">
                                @else
                                    <img src="{{ asset('theme/img/avtar.png') }}" class="img-fluid proimage" >
                                @endif
                            </div>
                            <?php /*
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Reminder Notify</label>
                                    <div class="custom-control custom-radio">
                                        {!! Form::radio('reminder_notify', 0, old('reminder_notify'), array('class' => 'custom-control-input', 'id' => '0naoption', 'required' => 'required')) !!}
                                        <label class="custom-control-label" for="0naoption">None</label>
                                    </div>
                                    <div class="custom-control custom-radio">
                                        {!! Form::radio('reminder_notify', 5, old('reminder_notify'), array('class' => 'custom-control-input', 'id' => '5naoption', 'required' => 'required')) !!}
                                        <label class="custom-control-label" for="5naoption">Every 5 minutes</label>
                                    </div>
                                    <div class="custom-control custom-radio">
                                        {!! Form::radio('reminder_notify', 15, old('reminder_notify'), array('class' => 'custom-control-input', 'id' => '15naoption', 'required' => 'required')) !!}
                                        <label class="custom-control-label" for="15naoption">Every 15 minutes</label>
                                    </div>
                                    <div class="custom-control custom-radio">
                                        {!! Form::radio('reminder_notify', 30, old('reminder_notify'), array('class' => 'custom-control-input', 'id' => '30naoption', 'required' => 'required')) !!}
                                        <label class="custom-control-label" for="30naoption">Every 30 minutes</label>
                                    </div>
                                    <div class="custom-control custom-radio">
                                        {!! Form::radio('reminder_notify', 60, old('reminder_notify'), array('class' => 'custom-control-input', 'id' => '60naoption', 'required' => 'required')) !!}
                                        <label class="custom-control-label" for="60naoption">Every 1 hours</label>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Notify Time</label>
                                    <div class="row">
                                        @foreach(getDays() as $key => $day)
                                            <div class="col-md-6">
                                                <div class="custom-control custom-checkbox">
                                                    <input type="checkbox" @if(in_array($key,$days)) checked @endif class="custom-control-input" id="days{{ $key }}" name="day[]" value="{{ $key }}"><label class="custom-control-label" for="days{{ $key }}">{{ $day }}</label>
                                                </div>
                                            </div>
                                        @endforeach
                                    </div>
                                    <div class="row">
                                        <div class="col-md-6">
                                            {!! Form::text('start_time', !empty($start_time) ? $start_time : old('start_time'), array('placeholder' => '14:00', 'class' => 'form-control', 'autocomplete' => 'start_time')) !!}
                                        </div>
                                        <div class="col-md-6">
                                            {!! Form::text('end_time', !empty($end_time) ? $end_time : old('end_time'), array('placeholder' => '22:00', 'class' => 'form-control', 'autocomplete' => 'end_time')) !!}
                                        </div>
                                    </div>
                                </div>
                            </div>
                            */ ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="button-bottom">
            <a href="{{ route('company.admin.home') }}" class="cancel-btn">Cancel</a>
            <button class="submit-btn">Submit</button>
        </div>
    {!! Form::close() !!}
@endsection

@section('script')
    <script src="{{ asset('theme/js/bootstrap-datepicker.js') }}"></script>
    <script type="text/javascript">
        $( document ).ready(function() {
            $('.edit-form').parsley({
                excluded: 'input[type=button], input[type=submit], input[type=reset]',
                inputs: 'input, textarea, select, input[type=hidden], :hidden',
            });
        });
    </script>
    <!-- <script type="text/javascript">
        $("input[name='start_time']").datetimepicker({
            format: 'HH:mm'
        });
        $("input[name='end_time']").datetimepicker({
            format: 'HH:mm'
        });
    </script> -->
@endsection

@push('after-scripts')
    <script src="{{ asset('theme/js/trimble.js') }}"></script>
@endpush