@extends($companyAdminTheme)

@section('title')
    Receiver Edit
@endsection

@section('content')
{!! Form::model($receiver,array('route' => ['company.admin.receiver.update',$receiver->id],'method'=>'PATCH','files'=>'true','class'=>'edit-form')) !!}

<style type="text/css">
    .white-box {height: auto!important;}
</style>
    
    <div class="row">
        <div class="col-lg-6">
            <div class="white-box mb-4 generalAccount">
                <h4 class="box-title">General Information</h4>
                <div class="box-padding">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Name<span>*</span></label>
                                {!! Form::text('name', old('name'), array('class' => 'form-control', 'autocomplete' => 'new','required' => 'required')) !!}
                                @error('name')
                                    <span class="text-danger" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Address</label>
                                {!! Form::text('address', old('address'), array('class' => 'form-control', 'id' => 'address-autocomplete', 'placeholder' => '', 'autocomplete' => 'new','required' => 'required')) !!}
                                <img src="{{ asset('theme/img/address-icon.png') }}" alt="">
                                @error('address')
                                    <span class="text-danger" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Address 2</label>
                                {!! Form::text('address2', old('address2'), array('class' => 'form-control address2')) !!}
                                @error('address2')
                                    <span class="text-danger" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>City</label>
                                {!! Form::text('city', old('city'), array('class' => 'form-control city')) !!}
                                @error('city')
                                    <span class="text-danger" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>State</label>
                                {!! Form::text('state', old('state'), array('class' => 'form-control state')) !!}
                                @error('state')
                                    <span class="text-danger" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Zip</label>
                                {!! Form::text('zip', old('zip'), array('class' => 'form-control zip')) !!}
                                @error('state')
                                    <span class="text-danger" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Phone</label>
                                {!! Form::text('phone', old('phone'), array('class' => 'form-control phone','required' => 'required')) !!}
                                @error('phone')
                                    <span class="text-danger" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Email</label>
                                {!! Form::email('email', old('email'), array('class' => 'form-control')) !!}
                                @error('email')
                                    <span class="text-danger" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Fax</label>
                                {!! Form::text('fax', old('fax'), array('class' => 'form-control')) !!}
                                @error('fax')
                                    <span class="text-danger" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Account</label>
                                {!! Form::text('account', old('account'), array('class' => 'form-control')) !!}
                                @error('account')
                                    <span class="text-danger" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            
            <div class="white-box mb-4 generalAccount">
                <h4 class="box-title">Business Information</h4>
                <div class="box-padding">
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Federal ID</label>
                                {!! Form::text('federal_id', old('federal_id'), array('class' => 'form-control')) !!}
                                @error('federal_id')
                                    <span class="text-danger" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>MC Number</label>
                                {!! Form::text('mc_number', old('mc_number'), array('class' => 'form-control','required' => 'required')) !!}
                                @error('mc_number')
                                    <span class="text-danger" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>USDOT</label>
                                {!! Form::text('usdot', old('usdot'), array('class' => 'form-control')) !!}
                                @error('usdot')
                                    <span class="text-danger" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>SCAC</label>
                                {!! Form::text('scac', old('scac'), array('class' => 'form-control')) !!}
                                @error('scac')
                                    <span class="text-danger" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Account No</label>
                                {!! Form::text('business_account_no', old('business_account_no'), array('class' => 'form-control')) !!}
                                @error('business_account_no')
                                    <span class="text-danger" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Account Type</label>
                                {!! Form::text('business_account_type', old('business_account_type'), array('class' => 'form-control')) !!}
                                @error('business_account_type')
                                    <span class="text-danger" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-lg-6">
            <div class="white-box mb-4">
                <h4 class="box-title">Contact Information</h4>
                <div class="box-padding">
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Dispatch Contact</label>
                                {!! Form::text('dispatch_contact', old('dispatch_contact'), array('class' => 'form-control phone', 'autocomplete' => 'new')) !!}
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>A/P Contact</label>
                                {!! Form::text('ap_contact', old('ap_contact'), array('class' => 'form-control phone')) !!}
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Other Contact</label>
                                {!! Form::text('other_contact', old('other_contact'), array('class' => 'form-control phone')) !!}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="white-box mb-4">
                <h4 class="box-title">Billing Information</h4>
                <div class="box-padding">
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Bill To(other)</label>
                                {!! Form::text('bill_to', old('bill_to'), array('class' => 'form-control')) !!}
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Invoice Method</label>
                                {!! Form::select('invoice_method', ['' => 'Select Invoice Method']+getInvoiceMethod(), null, ['class' => 'custom-select driver-select2 form-control']) !!}
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Invoicing Email</label>
                                {!! Form::email('invoicing_email', old('invoicing_email'), array('class' => 'form-control')) !!}
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Factored</label>
                                {!! Form::text('factored', old('factored'), array('class' => 'form-control')) !!}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="white-box mb-4">
                <h4 class="box-title">Required Documents</h4>
                <div class="box-padding">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Bill Of Lading</label>
                                <div class="row">
                                    <div class="col-md-3">
                                        {!! Form::select('bill_of_lading_type', ['' => 'Select Type']+getDocumentType(), null, ['class' => 'custom-select driver-select2 form-control']) !!}
                                    </div>
                                    <div class="col-md-9">
                                        {!! Form::text('bill_of_lading', old('bill_of_lading'), array('class' => 'form-control')) !!}
                                    </div>
                                </div> 
                                
                                
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Delivery Receipt</label>
                                <div class="row">
                                    <div class="col-md-3">
                                        {!! Form::select('delivery_receipt_type', ['' => 'Select Type']+getDocumentType(), null, ['class' => 'custom-select driver-select2 form-control']) !!}
                                    </div>
                                    <div class="col-md-9">
                                        {!! Form::text('delivery_receipt', old('delivery_receipt'), array('class' => 'form-control')) !!}
                                    </div>
                                </div> 
                                
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Purchase Order</label>
                                <div class="row">
                                    <div class="col-md-3">
                                        {!! Form::select('purchase_order_type', ['' => 'Select Type']+getDocumentType(), null, ['class' => 'custom-select driver-select2 form-control']) !!}
                                    </div>
                                    <div class="col-md-9">
                                        {!! Form::text('purchase_order', old('purchase_order'), array('class' => 'form-control')) !!}
                                    </div>
                                </div>
                                
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Lumper Receipts</label>
                                <div class="row">
                                    <div class="col-md-3">
                                        {!! Form::select('lumper_receipts_type', ['' => 'Select Type']+getDocumentType(), null, ['class' => 'custom-select driver-select2 form-control']) !!}
                                    </div>
                                    <div class="col-md-9">
                                        {!! Form::text('lumper_receipts', old('lumper_receipts'), array('class' => 'form-control')) !!}
                                    </div>
                                </div>
                                
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Packing Slip</label>
                                <div class="row">
                                    <div class="col-md-3">
                                        {!! Form::select('packing_slip_type', ['' => 'Select Type']+getDocumentType(), null, ['class' => 'custom-select driver-select2 form-control']) !!}
                                    </div>
                                    <div class="col-md-9">
                                        {!! Form::text('packing_slip', old('packing_slip'), array('class' => 'form-control')) !!}
                                    </div>
                                </div>
                                
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Scale Ticket</label>
                                <div class="row">
                                    <div class="col-md-3">
                                        {!! Form::select('scale_ticket_type', ['' => 'Select Type']+getDocumentType(), null, ['class' => 'custom-select driver-select2 form-control']) !!}
                                    </div>
                                    <div class="col-md-9">
                                        {!! Form::text('scale_ticket', old('scale_ticket'), array('class' => 'form-control')) !!}
                                    </div>
                                </div>
                                
                            </div>
                        </div>
                        
                    </div>
                </div>
            </div>


        </div>
    </div>
    <div class="button-bottom">
        <a href="{{ route('company.admin.receiver.index') }}" class="cancel-btn">Cancel</a>
        <button class="submit-btn">Submit</button>
    </div>
    
{!! Form::close() !!}
@endsection

@section('script')
<script defer src="https://maps.google.com/maps/api/js?key={{ env('GOOGLE_MAPS_KEY') }}&callback=initialize&libraries=places,visualization"></script>
<script type="text/javascript">
$('.edit-form').parsley();
function initialize() {
    // Address
    var input = document.getElementById('address-autocomplete');
    
    var options = {
      componentRestrictions: { country: 'us' },
    };

    var autocomplete = new google.maps.places.Autocomplete(input, options);

    autocomplete.addListener('place_changed', function () {
        var place = autocomplete.getPlace();
        $('#latitude').val(place.geometry['location'].lat());
        $('#longitude').val(place.geometry['location'].lng());

        var address = $('#address-autocomplete').val();
        var token = $('meta[name="csrf-token"]').attr('content');
        var location_type = "Receiver";
        $.ajax({
            url: "/company-admin/loads/address-info",
            method: "POST",
            data: { _token : token , address : address , location_type : location_type },
            success: function(response) {
                if (response.data) {
                    $('.address2').val(response.data.address_2);
                    $('.state').val(response.data.state);
                    $('.city').val(response.data.city);
                    $('.zip').val(response.data.zip);
                }
            }
        });
        

        $("#latitudeArea").removeClass("d-none");
        $("#longtitudeArea").removeClass("d-none");
    });
}
</script>
@endsection