@extends($companyAdminTheme)

@section('title')
    Shipper Create
@endsection

@section('content')
{!! Form::open(array('route' => 'company.admin.shipper.store','method'=>'POST','files'=>'true')) !!}
    
    <div class="row">
        <div class="col-lg-6">
            <div class="white-box mb-4 generalAccount">
                <h4 class="box-title">General Information</h4>
                <div class="box-padding">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Name<span>*</span></label>
                                {!! Form::text('name', old('name'), array('class' => 'form-control', 'autocomplete' => 'new')) !!}
                                @error('name')
                                    <span class="text-danger" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Address</label>
                                {!! Form::text('address', old('address'), array('class' => 'form-control', 'id' => 'address-autocomplete', 'placeholder' => '', 'autocomplete' => 'new')) !!}
                                <img src="{{ asset('theme/img/address-icon.png') }}" alt="">
                                @error('address')
                                    <span class="text-danger" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Rep Name</label>
                                {!! Form::text('rep_name', old('rep_name'), array('class' => 'form-control', 'autocomplete' => 'new')) !!}
                            </div>
                        </div>
                        
                    </div>
                </div>
            </div>
        </div>
        <div class="col-lg-6">
            <div class="white-box mb-4 generalAccount">
                <h4 class="box-title">Contact Information</h4>
                <div class="box-padding">
                    <div class="row">
                        <div class="col-md-6 col-sm-9">
                            <div class="form-group">
                                <label>Phone Number</label>
                                {!! Form::text('phone_number', old('phone_number'), array('placeholder' => '(555) 123-1234', 'class' => 'form-control phone', 'autocomplete' => 'new')) !!}
                                @error('phone_number')
                                    <span class="text-danger" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>MC Number</label>
                                {!! Form::text('mc_number', old('mc_number'), array('class' => 'form-control', 'autocomplete' => 'new_phone')) !!}
                                @error('mc_number')
                                    <span class="text-danger" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Ext</label>
                                {!! Form::text('ext', old('ext'), array('class' => 'form-control', 'autocomplete' => 'form-control', 'autocomplete' => 'new_email')) !!}
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>800 Number</label>
                                {!! Form::text('eight_hundred_number', old('eight_hundred_number'), array('class' => 'form-control', 'autocomplete' => 'form-control', 'autocomplete' => 'new_email')) !!}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="button-bottom">
        <a href="{{ route('company.admin.shipper.index') }}" class="cancel-btn">Cancel</a>
        <button class="submit-btn">Submit</button>
    </div>
    
{!! Form::close() !!}
@endsection

@section('script')
<script defer src="https://maps.google.com/maps/api/js?key={{ env('GOOGLE_MAPS_KEY') }}&callback=initialize&libraries=places,visualization"></script>
<script type="text/javascript">
function initialize() {
    // Address
    var input = document.getElementById('address-autocomplete');
    
    var options = {
      componentRestrictions: { country: 'us' },
    };

    var autocomplete = new google.maps.places.Autocomplete(input, options);

    autocomplete.addListener('place_changed', function () {
        var place = autocomplete.getPlace();
        $('#latitude').val(place.geometry['location'].lat());
        $('#longitude').val(place.geometry['location'].lng());

        $("#latitudeArea").removeClass("d-none");
        $("#longtitudeArea").removeClass("d-none");
    });
}
</script>
@endsection