@extends($companyAdminTheme)

@section('title')
    Shipper
@endsection

@section('content')
<div class="table-control">
    <a href="{{ route('company.admin.shipper.create') }}" class="btn green-btn green-link-btn">Add New</a>
</div>
<div class="white-box table-view">
    <h3 class="table-title">Shipper</h3>
    <div class="add-responsive">
        <table id="driversTable" class="table data-table">
            <thead>
                <tr>
                    <th>#</th>
                    <th>Name</th>
                    <th>Address</th>
                    <th>Phone</th>
                    <th>MC number</th>
                    <th>Created At</th>
                    <th width="15%">Action</th>
                </tr>
            </thead>
            <tbody>
            </tbody>
        </table>
    </div>
</div>
@endsection

@section('script')
<script>
var table = $('.data-table').DataTable({
    stateSave: true,
    language: {
        search: "",
        searchPlaceholder: "Search...",
    },
    processing: true,
    serverSide: true,
    bJQueryUI: true,
    ordering: false,
    pageLength: "{{ perPageView() }}",
    order: [[3, "desc"]],
    ajax: "{{ route('company.admin.shipper.index') }}",
    columns: [
    	{ data: 'DT_RowIndex', name: 'DT_RowIndex', orderable:false, searchable:false },
        { data: 'name', name: 'name' },
        { data: 'address', name: 'address' },
        { data: 'phone', name: 'phone' },
        { data: 'mc_number', name: 'mc_number' },
        { data: 'created_at', name: 'created_at', visible: false, searchable:false },
        { data: 'action', name: 'action', orderable:false, searchable:false }
    ]
});
</script>
@endsection
