@extends($companyAdminTheme)

@section('title')
    Terminal Edit
@endsection

@section('style')
    <link rel="stylesheet" href="{{ asset('theme/css/datepicker3.min.css') }}">
    <link rel="stylesheet" href="{{ asset('theme/css/select2.min.css') }}">
    <style type="text/css">
        input[type=number]::-webkit-inner-spin-button,
        input[type=number]::-webkit-outer-spin-button {
            -webkit-appearance: none;
            -moz-appearance: none;
            appearance: none;
            margin: 0;
        }
        .form-group img {position: relative;right: auto;bottom: auto;}
        .select2-container{
            width: 100% !important;
        }
        .select2-container .select2-selection--single{
            height: 35px;
        }
        .select2-container--default .select2-selection--single{
            border: 1px solid #C5CEE0;
        }
        .select2-container--default .select2-selection--single .select2-selection__rendered{
            line-height: 34px;
        }
        .select2-container--default .select2-selection--single .select2-selection__arrow{
            height: 31px;
        }
    </style>
@endsection

@section('content')
    <div class="row">
        {!! Form::model($terminal,array(
                'route'     => ['company.admin.terminals.update',$terminal->id],
                'method'    => 'PATCH',
                'files'     => 'true',
                'class'     => 'update-form'
            )
        ) !!}
            <div class="col-lg-12">
                <div class="row">
                <div class="col-lg-6">
                    <div class="white-box mb-4 generalAccount">
                        <h4 class="box-title">General Information</h4>
                        <div class="box-padding">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Name<span>*</span></label>
                                        {!! Form::text('name', old('name'), array('class' => 'form-control', 'autocomplete' => 'new', 'required' => 'required')) !!}
                                        @error('name')
                                            <span class="text-danger" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-12 geocoding">
                                    <input type="hidden" class="geocoding-latitude" name="latitude" value="{{ isset($terminal->latitude)?$terminal->latitude:'' }}" autocomplete="off">
                                    <input type="hidden" class="geocoding-longitude" name="longitude" value="{{ isset($terminal->longitude)?$terminal->longitude:'' }}" autocomplete="off">
                                    <input type="hidden" class="geocoding-abbr" name="timezone_abbr" value="{{ isset($terminal->timezone_abbr)?$terminal->timezone_abbr:'' }}" autocomplete="off" data-parsley-errors-container="#timezone_abbr-errors" data-parsley-required-message="Please verify address" required>
                                    <input type="hidden" class="geocoding-verified" name="address_verified" value="{{ isset($terminal->address_verified)?$terminal->address_verified:'0' }}" autocomplete="off">
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>Address<span>*</span></label>
                                                {!! Form::text('address', old('address'), array(
                                                        'class'         => 'form-control geocoding-address-1',
                                                        'placeholder'   => '',
                                                        'id'            => 'address',
                                                        'required'      => 'required'
                                                    )
                                                ) !!}
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>Address 2</label>
                                                {!! Form::text('address_2', old('address_2'), array(
                                                        'class'         => 'form-control geocoding-address-2',
                                                        'placeholder'   => '',
                                                        'id'            => 'address_2'
                                                    )
                                                ) !!}
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>City</label>
                                                {!! Form::text('city', old('city'), array(
                                                        'class'         => 'form-control geocoding-city',
                                                        'placeholder'   => '',
                                                        'id'            => 'city'
                                                    )
                                                ) !!}
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>State<span>*</span></label>
                                                {!! Form::text('state', old('state'), array(
                                                        'class'         => 'form-control geocoding-state',
                                                        'placeholder'   => '',
                                                        'id'            => 'state',
                                                        'required'      => 'required'
                                                    )
                                                ) !!}
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>Zip<span>*</span></label>
                                                {!! Form::text('zip', old('zip'), array(
                                                        'class'         => 'form-control geocoding-zip',
                                                        'placeholder'   => '',
                                                        'id'            => 'zip',
                                                        'required'      => 'required'
                                                    )
                                                ) !!}
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            @if(isset($terminal->address_verified) && $terminal->address_verified=='1')
                                                <button type="button" class="btn btn-success geocoding-btn" data-uid="{{ 'map-'.generateStrUniqueId() }}">Verified</button>
                                            @else
                                                <button type="button" class="btn btn-warning geocoding-btn" data-uid="{{ 'map-'.generateStrUniqueId() }}">Verify</button>
                                            @endif
                                            <div id="timezone_abbr-errors"></div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Phone</label>
                                        {!! Form::text('phone', old('phone'), array('class' => 'form-control phone')) !!}
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Email</label>
                                        {!! Form::email('email', old('email'), array('class' => 'form-control')) !!}
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Fax</label>
                                        {!! Form::text('fax', old('fax'), array('class' => 'form-control')) !!}
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Rep Name</label>
                                        {!! Form::text('rep_name', old('rep_name'), array('class' => 'form-control', 'autocomplete' => 'new')) !!}
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-6">
                    <div class="white-box mb-4 generalAccount">
                        <h4 class="box-title">Business Information</h4>
                        <div class="box-padding">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Terminal Code<span>*</span></label>
                                        {!! Form::text('terminal_code', old('terminal_code'), array('class' => 'form-control', 'autocomplete' => 'terminal_code', 'required' => 'required')) !!}
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Federal ID</label>
                                        {!! Form::text('federal_id', old('federal_id'), array('class' => 'form-control')) !!}
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Terminal Status</label>
                                        {!! Form::select('terminal_status', ['' => 'Select Status','1' => 'Active','0' => 'Inactive'], old('terminal_status'), ['class' => 'form-control']) !!}
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Terminal Type</label>
                                        {!! Form::select('terminal_type', ['' => 'Select Status','1' => 'Transport','2' => 'Brokerage'], old('terminal_type'), ['class' => 'form-control terminal_type']) !!}
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Start Date</label>
                                        {!! Form::text('start_date', old('start_date'), array('class' => 'form-control date', 'autocomplete' => 'off')) !!}
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Parent Terminal</label>
                                        {!! Form::select('parent_terminal', ['' => 'Select Terminal']+getTerminalList($terminal->id), old('parent_terminal'), ['class' => 'form-control']) !!}
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Carrier</label>
                                        {!! Form::select('carrier_id', ['' => 'Select Carrier']+getCarrierList(), old('parent_terminal'), ['class' => 'form-control']) !!}
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <div class="drop-zone">
                                            <span class="drop-zone__prompt">Drag and drop file here or click to browse</span>
                                            <input type="file" name="documents" class="drop-zone__input" accept="image/png,image/gif,image/jpeg" >
                                        </div>
                                    </div>
                                </div>
                                @if(isset($terminal->documents) && $terminal->documents!='' && file_exists(public_path('storage/companyAdmin/terminal/').$terminal->documents))
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <a href="{{ asset('storage/companyAdmin/terminal/'.$terminal->documents) }}" target="_blank">
                                                <img src="{{ asset('storage/companyAdmin/terminal/'.$terminal->documents) }}" width="150px" class="img-fluid" />
                                            </a>
                                        </div>
                                        <div class="form-group">
                                            <div class="custom-control custom-checkbox">
                                                {!! Form::checkbox('remove_image', 1, null, array('class' => 'custom-control-input self-dispatch', 'id' => 'remove_image')) !!}
                                                <label class="custom-control-label" for="remove_image"><!-- Is Remove --><img src="{{ asset('theme/img/delete-icon.png') }}" alt="delete"></label>
                                            </div>
                                        </div>
                                    </div>
                                @endif
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-6">
                    <div class="white-box mb-4 generalAccount">
                        <h4 class="box-title">Payment Information</h4>
                        <div class="box-padding">
                            <div class="row">
                                <div class="col-md-12 text-right">
                                    <div class="custom-control custom-checkbox">
                                        <input type="checkbox" class="custom-control-input" id="sameaddress"><label class="custom-control-label" for="sameaddress">Same as above</label>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Payment To Name</label>
                                        {!! Form::text('bill_to_name', old('bill_to_name'), array('class' => 'form-control')) !!}
                                    </div>
                                </div>
                                <div class="col-md-12 geocoding">
                                    <input type="hidden" class="geocoding-latitude" name="billing_latitude" value="{{ isset($terminal->billing_latitude)?$terminal->billing_latitude:'' }}" autocomplete="off">
                                    <input type="hidden" class="geocoding-longitude" name="billing_longitude" value="{{ isset($terminal->billing_longitude)?$terminal->billing_longitude:'' }}" autocomplete="off">
                                    <input type="hidden" class="geocoding-abbr" name="billing_timezone_abbr" value="{{ isset($terminal->billing_timezone_abbr)?$terminal->billing_timezone_abbr:'' }}" autocomplete="off" data-parsley-errors-container="#billing_timezone_abbr-errors" data-parsley-required-message="Please verify address" required>
                                    <input type="hidden" class="geocoding-verified" name="billing_address_verified" value="{{ isset($terminal->billing_address_verified)?$terminal->billing_address_verified:'0' }}" autocomplete="off">
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>Payment Address<span>*</span></label>
                                                {!! Form::text('billing_address', old('billing_address'), array(
                                                        'class'         => 'form-control geocoding-address-1',
                                                        'placeholder'   => '',
                                                        'id'            => 'billing_address',
                                                        'required'      => 'required'
                                                    )
                                                ) !!}
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>Payment Address 2</label>
                                                {!! Form::text('billing_address_2', old('billing_address_2'), array(
                                                        'class'         => 'form-control geocoding-address-2',
                                                        'placeholder'   => '',
                                                        'id'            => 'billing_address_2'
                                                    )
                                                ) !!}
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>Payment City</label>
                                                {!! Form::text('billing_city', old('billing_city'), array(
                                                        'class'         => 'form-control geocoding-city',
                                                        'placeholder'   => '',
                                                        'id'            => 'billing_city'
                                                    )
                                                ) !!}
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>Payment State<span>*</span></label>
                                                {!! Form::text('billing_state', old('billing_state'), array(
                                                        'class'         => 'form-control geocoding-state',
                                                        'placeholder'   => '',
                                                        'id'            => 'billing_state',
                                                        'required'      => 'required'
                                                    )
                                                ) !!}
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>Payment Zip<span>*</span></label>
                                                {!! Form::text('billing_zip', old('billing_zip'), array(
                                                        'class'         => 'form-control geocoding-zip',
                                                        'placeholder'   => '',
                                                        'id'            => 'billing_zip',
                                                        'required'      => 'required'
                                                    )
                                                ) !!}
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            @if(isset($terminal->billing_address_verified) && $terminal->billing_address_verified=='1')
                                                <button type="button" class="btn btn-success geocoding-btn" data-uid="{{ 'map-'.generateStrUniqueId() }}">Verified</button>
                                            @else
                                                <button type="button" class="btn btn-warning geocoding-btn" data-uid="{{ 'map-'.generateStrUniqueId() }}">Verify</button>
                                            @endif
                                            <div id="billing_timezone_abbr-errors"></div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Payment Phone</label>
                                        {!! Form::text('billing_phone', old('billing_phone'), array('class' => 'form-control phone', 'placeholder' => '(555) 123-1234')) !!}
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Payment Email</label>
                                        {!! Form::email('billing_email', old('billing_email'), array('class' => 'form-control')) !!}
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Payment Extension</label>
                                        {!! Form::text('billing_extention', old('billing_extention'), array('class' => 'form-control')) !!}
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Payment Fax</label>
                                        {!! Form::number('billing_fax', old('billing_fax'), array('class' => 'form-control')) !!}
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-6">
                    <div class="white-box mb-4 generalAccount">
                        <h4 class="box-title">Commissions and Payments</h4>
                        <div class="box-padding">
                            <div class="row">
                                <div class="col-md-12 truckcommi">
                                    <div class="row">
                                        <div class="col-md-4">
                                            <div class="form-group">
                                                <label>Truck Commission</label>
                                                {{--
                                                    {!! Form::text('truck_commision', old('truck_commision'), array('class' => 'form-control', 'autocomplete' => 'terminal_code')) !!}
                                                --}}
                                                {!! Form::number('truck_commision', old('truck_commision'), array('class' => 'form-control', 'autocomplete' => 'terminal_code', 'step' => '0.01')) !!}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-12 truckcommi2" >
                                    <div class="row">
                                        <div class="col-md-4">
                                            <div class="form-group">
                                                <label>Brokerage Split</label>
                                                {{--
                                                    {!! Form::select('brokerage_split', ['' => 'Select Split','1' => '100% / 0%','2' => '95% / 5%','3' => '90% / 10%','4' => '0% / 100%'], old('brokerage_split'), ['class' => 'form-control']) !!}
                                                --}}
                                                {!! Form::select('brokerage_split',
                                                    [
                                                        ''      => 'Select Split',
                                                        '1'     => '100% / 0%',
                                                        '2'     => '95% / 5%',
                                                        '3'     => '90% / 10%',
                                                        '4'     => '85% / 15%',
                                                        '5'     => '80% / 20%',
                                                        '6'     => '75% / 25%',
                                                        '7'     => '70% / 30%',
                                                        '8'     => '65% / 35%',
                                                        '9'     => '60% / 40%',
                                                        '10'    => '55% / 45%',
                                                        '11'    => '50% / 50%',
                                                        '12'    => '45% / 55%',
                                                        '13'    => '40% / 60%',
                                                        '14'    => '35% / 65%',
                                                        '15'    => '30% / 70%',
                                                        '16'    => '25% / 75%',
                                                        '17'    => '20% / 80%',
                                                        '18'    => '15% / 85%',
                                                        '19'    => '10% / 90%',
                                                        '20'    => '5% / 95%',
                                                        '21'    => '0% / 100%',
                                                    ],
                                                    old('brokerage_split'),
                                                    ['class' => 'form-control'])
                                                !!}
                                            </div>
                                        </div>
                                        <div class="col-md-8">
                                            <div class="form-group">
                                                <label>Brokerage Minimum Amount</label>
                                                {!! Form::number('brokerage_minimum_amount', old('brokerage_minimum_amount'), array('class' => 'form-control', 'autocomplete' => 'terminal_code','min' => '0','max' => '100', 'step' => '0.01')) !!}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <div class="row">
                                        <div class="col-md-2">
                                            <div class="form-group">
                                                <label>Generate 1099?</label>
                                                <div class="custom-control custom-switch">
                                                    {!! Form::checkbox('generate_1099', 1, null, array('class' => 'custom-control-input', 'id' => 'generate_1099')) !!}
                                                    <label class="custom-control-label" for="generate_1099"></label>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-5">
                                            <div class="form-group">
                                                <label>Settlement Day</label>
                                                {!! Form::select('preferred_settlement_day', ['' => 'Select Days','1' => 'Monday','2' => 'Tuesday','3' => 'Wednesday','4' => 'Thursday','5' => 'Friday','6' => 'Saturday','7' => 'Sunday'], old('preferred_settlement_day'), ['class' => 'form-control']) !!}
                                            </div>
                                        </div>
                                        <div class="col-md-5">
                                            <div class="form-group">
                                                <label>Billing Cutoff (Time/Date)</label>
                                                {!! Form::select('billing_cutoff', ['' => 'Select Days','1' => 'Monday','2' => 'Tuesday','3' => 'Wednesday','4' => 'Thursday','5' => 'Friday','6' => 'Saturday','7' => 'Sunday'], old('billing_cutoff'), ['class' => 'form-control']) !!}
                                            </div>
                                        </div>

                                    </div>
                                </div>
                                {{--
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Bank Name</label>
                                        {!! Form::text('bank_name', old('bank_name'), array('class' => 'form-control')) !!}
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Account Number</label>
                                        {!! Form::text('account_number', old('account_number'), array('class' => 'form-control')) !!}
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Routing Number</label>
                                        {!! Form::text('routing_number', old('routing_number'), array('class' => 'form-control')) !!}
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Bank Contact Name</label>
                                        {!! Form::text('bank_contact_name', old('bank_contact_name'), array('class' => 'form-control')) !!}
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Bank Contact Email</label>
                                        {!! Form::email('bank_contact_email', old('bank_contact_email'), array('class' => 'form-control')) !!}
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Name On Account</label>
                                        {!! Form::text('name_on_account', old('name_on_account'), array('class' => 'form-control')) !!}
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Picture of voided check</label>
                                        {!! Form::file('picture_of_voided_check[]', ['class' => 'form-control','multiple' => 'multiple']) !!}
                                    </div>
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            @php
                                                if(!empty($terminal->picture_of_voided_check)){
                                                    $documents = unserialize($terminal->picture_of_voided_check);
                                                }else{
                                                    $documents = [];
                                                }
                                            @endphp
                                            @if(is_array($documents) && count($documents) > 0)
                                                @foreach($documents as $document)
                                                    @php
                                                        $file_path = 'storage/companyAdmin/terminal/'.$document;
                                                        $type = \File::extension($file_path);
                                                    @endphp
                                                    @if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif')
                                                       <a href="{{ asset($file_path) }}" target="_blank" class="mb-3" ><img src="{{ asset($file_path) }}" alt="" class="img-fluid"></a>
                                                    @else
                                                        <a href="{{ asset($file_path) }}" target="_blank" class="btn btn-outline-primary mb-3">{{ $document }}</a>
                                                    @endif
                                                @endforeach
                                            @endif
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-12">
                                    <div class="box-padding" id="banknewRow">

                                        @php
                                            if(!empty($terminal->bank_contact)){
                                                $bank_contact = unserialize($terminal->bank_contact);
                                                $bank_phone = unserialize($terminal->bank_phone);
                                                $bext = unserialize($terminal->bext);
                                                $bank_email = unserialize($terminal->bank_email);
                                            }else{
                                                $bank_contact = [];
                                            }
                                            $b=0;
                                        @endphp
                                        @if(is_array($bank_contact) && count($bank_contact) > 0)
                                            @foreach($bank_contact as $key => $bankData)
                                            <div class="row" id="inputFormRow">
                                                <div class="col-md-3">
                                                    <div class="form-group">
                                                        <label>Bank Contact</label>
                                                        <input type="text" name="bank_contact[]" value="{{ $bank_contact[$key] }}" class="form-control">
                                                    </div>
                                                </div>
                                                <div class="col-md-3">
                                                    <div class="form-group">
                                                        <label>Bank Phone</label>
                                                        <input type="text" name="bank_phone[]" value="{{ $bank_phone[$key] }}" class="form-control phone">
                                                    </div>
                                                </div>
                                                <div class="col-md-2">
                                                    <div class="form-group">
                                                        <label>Ext</label>
                                                        <input type="text" name="bext[]" value="{{ $bext[$key] }}" class="form-control">
                                                    </div>
                                                </div>
                                                <div class="col-md-3">
                                                    <div class="form-group">
                                                        <label>Bank Email</label>
                                                        <input type="email" name="bank_email[]" value="{{ $bank_email[$key] }}" class="form-control">
                                                    </div>
                                                </div>
                                                <div class="col-md-1">
                                                    @if($b==0)
                                                        <div class="form-group">
                                                            <label class="d-block" style="visibility: hidden;">Action</label>
                                                            <a href="javascript:void(0)" class="btn btn-success" id="bankaddRow"><i class="fa fa-plus"></i></a>
                                                        </div>
                                                    @else
                                                        <div class="form-group">
                                                            <label class="d-block" style="visibility: hidden;">Action</label>
                                                            <a href="javascript:void(0)" class="btn btn-danger" id="removeRow"><i class="fa fa-trash"></i></a>
                                                        </div>
                                                    @endif

                                                </div>
                                            </div>
                                            @php
                                                $b++;
                                            @endphp
                                            @endforeach
                                        @else
                                            <div class="row">
                                                <div class="col-md-3">
                                                    <div class="form-group">
                                                        <label>Bank Contact</label>
                                                        <input type="text" name="bank_contact[]" value="" class="form-control">
                                                    </div>
                                                </div>
                                                <div class="col-md-3">
                                                    <div class="form-group">
                                                        <label>Bank Phone</label>
                                                        <input type="text" name="bank_phone[]" value="" class="form-control phone">
                                                    </div>
                                                </div>
                                                <div class="col-md-2">
                                                    <div class="form-group">
                                                        <label>Ext</label>
                                                        <input type="text" name="bext[]" value="" class="form-control">
                                                    </div>
                                                </div>
                                                <div class="col-md-3">
                                                    <div class="form-group">
                                                        <label>Bank Email</label>
                                                        <input type="email" name="bank_email[]" value="" class="form-control">
                                                    </div>
                                                </div>
                                                <div class="col-md-1">
                                                    <div class="form-group">
                                                        <label class="d-block" style="visibility: hidden;">Action</label>
                                                        <a href="javascript:void(0)" class="btn btn-success" id="bankaddRow"><i class="fa fa-plus"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        @endif
                                    </div>
                                </div>
                                --}}
                                <div class="col-md-12">
                                    <div class="box-padding" id="banknewRow">
                                        @if($terminal->bank_count > 0)
                                            @for($i = 0; $i < $terminal->bank_count; $i++)
                                                @if($i != 0)
                                                    <div id="bankinputFormRow">
                                                @endif
                                                    <div class="row">
                                                        <div class="col-md-12">
                                                            <hr/>
                                                            <div class="row">
                                                                <div class="col-md-10">
                                                                    <div class="form-group">
                                                                        <label>Bank Name</label>
                                                                        <input type="text" name="bank_name[]" value="{{$terminal->bank_name[$i] ?? ''}}" class="form-control">
                                                                    </div>
                                                                </div>
                                                                <div class="col-md-2 pl-1">
                                                                    <div class="form-group">
                                                                        <label>Active Status</label>
                                                                        <input type="hidden" class="bank_status" name="bank_status[]" value="{{($terminal->bank_active_status[$i] == '1') ? '1' : '0'}}">
                                                                        <div class="custom-control custom-switch">
                                                                            <input class="custom-control-input" id="bank_active_status_{{$i}}" name="bank_active_status_{{$i}}" type="checkbox" value="1" data-parsley-multiple="bank_active_status" {{($terminal->bank_active_status[$i] == '1') ? 'checked' : ''}}>
                                                                            <label class="custom-control-label" for="bank_active_status_{{$i}}"></label>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <label>Account Number</label>
                                                                <input type="text" name="account_number[]" value="{{$terminal->account_number[$i] ?? ''}}" class="form-control">
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <label>Routing Number</label>
                                                                <input type="text" name="routing_number[]" value="{{$terminal->routing_number[$i] ?? ''}}" class="form-control">
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <label>Bank Contact Name</label>
                                                                <input type="text" name="bank_contact_name[]" value="{{$terminal->bank_contact_name[$i] ?? ''}}" class="form-control">
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <label>Bank Contact Email</label>
                                                                <input type="email" name="bank_contact_email[]" value="{{$terminal->bank_contact_email[$i] ?? ''}}" class="form-control">
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <label>Name On Account</label>
                                                                <input type="text" name="name_on_account[]" value="{{$terminal->name_on_account[$i] ?? ''}}" class="form-control">
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <label>Picture of voided check</label>
                                                                <input class="form-control" multiple="multiple" name="picture_of_voided_check_{{$i}}[]" type="file">
                                                                <input type="hidden" name="file_input_id[]" value="{{$i}}">
                                                            </div>
                                                        </div>
                                                        <div class="offset-6 col-md-6">
                                                            <div class="form-group">
                                                                @if(isset($terminal->picture_of_voided_check[$i]) && is_array($terminal->picture_of_voided_check[$i]) && count($terminal->picture_of_voided_check[$i]) > 0)
                                                                    @foreach($terminal->picture_of_voided_check[$i] as $document)
                                                                        @php
                                                                            $file_path = 'storage/companyAdmin/terminal/'.$document;
                                                                            $type = \File::extension($file_path);
                                                                        @endphp
                                                                        @if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif')
                                                                            <a href="{{ asset($file_path) }}" target="_blank" class="mb-3" ><img src="{{ asset($file_path) }}" alt="" class="img-fluid"></a>
                                                                        @else
                                                                            <a href="{{ asset($file_path) }}" target="_blank" class="btn btn-outline-primary mb-3">{{ $document }}</a>
                                                                        @endif
                                                                    @endforeach
                                                                @endif
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row">
                                                                <div class="col-md-6">
                                                                    <div class="form-group">
                                                                        <label>Bank Contact</label>
                                                                        <input type="text" name="bank_contact[]" value="{{$terminal->bank_contact[$i] ?? ''}}" class="form-control">
                                                                    </div>
                                                                </div>
                                                                <div class="col-md-6">
                                                                    <div class="form-group">
                                                                        <label>Bank Phone</label>
                                                                        <input type="text" name="bank_phone[]" value="{{$terminal->bank_phone[$i] ?? ''}}" class="form-control phone">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row">
                                                                <div class="col-md-2 pr-0">
                                                                    <div class="form-group">
                                                                        <label>Ext</label>
                                                                        <input type="text" name="bext[]" value="{{$terminal->bext[$i] ?? ''}}" class="form-control">
                                                                    </div>
                                                                </div>
                                                                <div class="col-md-8">
                                                                    <div class="form-group">
                                                                        <label>Bank Email</label>
                                                                        <input type="email" name="bank_email[]" value="{{$terminal->bank_email[$i] ?? ''}}" class="form-control">
                                                                    </div>
                                                                </div>
                                                                <div class="col-md-1 pl-2">
                                                                    @if($i == 0)
                                                                        <div class="form-group">
                                                                            <label class="d-block" style="visibility: hidden;">Action</label>
                                                                            <a href="javascript:void(0)" class="btn btn-success" id="bankaddRow"><i class="fa fa-plus"></i></a>
                                                                        </div>
                                                                    @else
                                                                        <div class="form-group">
                                                                            <label class="d-block" style="visibility: hidden;">Action</label>
                                                                            <a href="javascript:void(0)" class="btn btn-danger" id="bankremoveRow"><i class="fa fa-trash"></i></a>
                                                                        </div>
                                                                    @endif
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                @if($i != 0)
                                                    </div>
                                                @endif
                                            @endfor
                                        @else
                                            <div class="row">
                                                <div class="col-md-12">
                                                    <hr/>
                                                    <div class="row">
                                                        <div class="col-md-10">
                                                            <div class="form-group">
                                                                <label>Bank Name</label>
                                                                {!! Form::text('bank_name[]', old('bank_name'), array('class' => 'form-control')) !!}
                                                            </div>
                                                        </div>
                                                        <div class="col-md-2 pl-1">
                                                            <div class="form-group">
                                                                <label>Active Status</label>
                                                                <input type="hidden" class="bank_status" name="bank_status[]" value="1">
                                                                <div class="custom-control custom-switch">
                                                                    {!! Form::checkbox('bank_active_status_0', 1, 'checked', array('class' => 'custom-control-input', 'id' => 'bank_active_status_0')) !!}
                                                                    <label class="custom-control-label" for="bank_active_status_0"></label>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Account Number</label>
                                                        {!! Form::text('account_number[]', old('account_number'), array('class' => 'form-control')) !!}
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Routing Number</label>
                                                        {!! Form::text('routing_number[]', old('routing_number'), array('class' => 'form-control')) !!}
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Bank Contact Name</label>
                                                        {!! Form::text('bank_contact_name[]', old('bank_contact_name'), array('class' => 'form-control')) !!}
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Bank Contact Email</label>
                                                        {!! Form::email('bank_contact_email[]', old('bank_contact_email'), array('class' => 'form-control')) !!}
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Name On Account</label>
                                                        {!! Form::text('name_on_account[]', old('name_on_account'), array('class' => 'form-control')) !!}
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Picture of voided check</label>
                                                        {!! Form::file('picture_of_voided_check_0[]', ['class' => 'form-control','multiple' => 'multiple']) !!}
                                                        <input type="hidden" name="file_input_id[]" value="0">
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="row">
                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <label>Bank Contact</label>
                                                                <input type="text" name="bank_contact[]" value="" class="form-control">
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <label>Bank Phone</label>
                                                                <input type="text" name="bank_phone[]" value="" class="form-control phone">
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="row">
                                                        <div class="col-md-2 pr-0">
                                                            <div class="form-group">
                                                                <label>Ext</label>
                                                                <input type="text" name="bext[]" value="" class="form-control">
                                                            </div>
                                                        </div>
                                                        <div class="col-md-8">
                                                            <div class="form-group">
                                                                <label>Bank Email</label>
                                                                <input type="email" name="bank_email[]" value="" class="form-control">
                                                            </div>
                                                        </div>
                                                        <div class="col-md-1 pl-2">
                                                            <div class="form-group">
                                                                <label class="d-block" style="visibility: hidden;">Action</label>
                                                                <a href="javascript:void(0)" class="btn btn-success" id="bankaddRow"><i class="fa fa-plus"></i></a>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        @endif
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-12">
                    <div class="white-box mb-4 generalAccount">
                        <h4 class="box-title">Additional Contacts</h4>
                        <div class="box-padding" id="newRow">
                            @php
                                $contctlist = getBrokerContactList('terminal', $terminal->id);

                            @endphp
                            @if(count($contctlist) > 0)
                                @php
                                    $p=0;
                                @endphp
                                @foreach($contctlist as $bcontct)
                                    <div class="row" id="inputFormRow">
                                        <div class="col-md-2">
                                            <div class="form-group">
                                                <label>Department</label>
                                                <input type="text" name="adepartment[]" value="{{ $bcontct->department }}" class="form-control">
                                            </div>
                                        </div>
                                        <div class="col-md-2">
                                            <div class="form-group">
                                                <label>Name</label>
                                                <input type="text" name="aname[]" value="{{ $bcontct->name }}" class="form-control">
                                            </div>
                                        </div>
                                        <div class="col-md-2">
                                            <div class="form-group">
                                                <label>Phone Number</label>
                                                <input type="text" name="aphone_number[]" value="{{ $bcontct->phone_number }}" class="form-control phone">
                                            </div>
                                        </div>
                                        <div class="col-md-2">
                                            <div class="form-group">
                                                <label>Ext</label>
                                                <input type="text" name="aext[]" value="{{ $bcontct->ext }}" class="form-control">
                                            </div>
                                        </div>
                                        <div class="col-md-2">
                                            <div class="form-group">
                                                <label>Email</label>
                                                <input type="email" name="aemail[]" value="{{ $bcontct->email }}" class="form-control">
                                            </div>
                                        </div>
                                        <div class="col-md-2">
                                            <div class="form-group">
                                                <label class="d-block" style="visibility: hidden;">Action</label>
                                                @if($p == 0)
                                                    <a href="javascript:void(0)" class="btn btn-success" id="addRow"><i class="fa fa-plus"></i></a>
                                                @else
                                                    <a href="javascript:void(0)" class="btn btn-danger" id="removeRow"><i class="fa fa-trash"></i></a>
                                                @endif
                                            </div>
                                        </div>
                                    </div>
                                @php
                                    $p++;
                                @endphp
                                @endforeach
                            @else
                                <div class="row">
                                    <div class="col-md-2">
                                        <div class="form-group">
                                            <label>Department</label>
                                            <input type="text" name="adepartment[]" value="" class="form-control">
                                        </div>
                                    </div>
                                    <div class="col-md-2">
                                        <div class="form-group">
                                            <label>Name</label>
                                            <input type="text" name="aname[]" value="" class="form-control">
                                        </div>
                                    </div>
                                    <div class="col-md-2">
                                        <div class="form-group">
                                            <label>Phone Number</label>
                                            <input type="text" name="aphone_number[]" value="" class="form-control phone">
                                        </div>
                                    </div>
                                    <div class="col-md-2">
                                        <div class="form-group">
                                            <label>Ext</label>
                                            <input type="text" name="aext[]" value="" class="form-control">
                                        </div>
                                    </div>
                                    <div class="col-md-2">
                                        <div class="form-group">
                                            <label>Email</label>
                                            <input type="email" name="aemail[]" value="" class="form-control">
                                        </div>
                                    </div>
                                    <div class="col-md-2">
                                        <div class="form-group">
                                            <label class="d-block" style="visibility: hidden;">Action</label>
                                            <a href="javascript:void(0)" class="btn btn-success" id="addRow"><i class="fa fa-plus"></i></a>
                                        </div>
                                    </div>
                                </div>
                            @endif
                        </div>
                    </div>
                </div>
                </div>
            </div>
        {!! Form::close() !!}
        <div class="col-lg-12">
            <div class="white-box mb-4 load-status generalAccount">
                <form action="{{ route('company.admin.notes.store')}}" method="post" enctype="multipart" class="notesave">
                @csrf
                <input type="hidden" name="action_id" value="{{$terminal->id}}" />
                <input type="hidden" name="action_type" value="terminals" />
                <input type="hidden" name="created_by" value="{{ auth()->guard('company-admin')->user()->id }}">
                <input type="hidden" name="created_by_type" value="{{ auth()->guard('company-admin')->user()->type }}">
                    <h4 class="box-title clear-btn">Communications</h4>
                    <div class="box-padding">
                        <div class="row align-items-center">
                            <div class="col-md-12 mt-1">
                                <div class="row">
                                    <div class="col-md-2">
                                        <div class="form-group">
                                            <select class="custom-select form-control" id="NoteType" name="type">
                                                <option value="">Select Note Type</option>
                                                @if(count(getNoteType()))
                                                    @foreach (getNoteType() as $key => $NoteType)
                                                        <option value="{{ $key }}">{{ $NoteType }}</option>
                                                    @endforeach
                                                @endif
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-2">
                                        <div class="form-group">
                                            <select class="custom-select form-control" id="RequestType" name="request_type">
                                                <option value="">Select Request Type</option>
                                                @if(count(getNoteRequestType()))
                                                    @foreach (getNoteRequestType() as $key => $RequestType)
                                                        <option value="{{ $key }}">{{ $RequestType }}</option>
                                                    @endforeach
                                                @endif
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-6"></div>
                                    <div class="col-md-2 text-right">
                                        <div class="form-group notefile">
                                            <label for="note_file" class="btn"><i class="fa fa-paperclip"></i></label>
                                            <input id="note_file" style="display: none;" type="file" name="note_file[]" multiple>
                                        </div>
                                    </div>
                                </div>

                                <div class="form-group">
                                    {!! Form::textarea('note', old('note'), array('class' => 'form-control','rows' => 5,'placeholder' => 'Enter your message','required' => 'required')) !!}
                                </div>
                            </div>
                            <div class="col-md-9 mb-3 enseno">
                                <div class="form-group">
                                    <div class="checkbox d-inline-block mr-2">
                                        <label class=" control-label"><strong>Notify: </strong>
                                    </div>
                                    <div class="checkbox d-inline-block mr-2">
                                        <label class=" control-label">
                                            {!! Form::checkbox('notify_my', 1, false, array('class' => 'form-control loadregucheck')) !!} Add to my notifications
                                        </label>
                                    </div>
                                    <div class="checkbox d-inline-block mr-2">
                                        <label class=" control-label">
                                            {!! Form::checkbox('notify_private', 1, false, array('class' => 'form-control loadregucheck checknondriveruser')) !!} All non drivers users
                                        </label>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 mb-3 text-right anabocbu">
                                <button type="submit" name="submit" class="btn btn-success">Submit</button>
                            </div>
                            <div class="col-md-3 selenondriveruser mb-4" style="display: none;">
                                <label>Select Users</label>
                                <div class="form-group">
                                    {!! Form::select('notify_private_company_admin_id', getCompanyAdminListByCompany(), null, ['class' => 'custom-select bookedby-select2 form-control','data-parsley-errors-container'=>'#booked_by_erri','id'=>'privatUser','multiple'=>'multiple','name'=>'notify_private_company_admin_id[]']) !!}
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
                <div class="box-padding getnotesave">
                </div>
            </div>
        </div>
        <div class="col-lg-12">
            <div class="white-box mb-4 load-status">
                <h4 class="box-title clear-btn">Customer Files</h4>
                <div class="box-padding">
                    <div class="row">
                        <div class="col-md-8">
                            <div class="table-responsive" id="loadfile">
                            </div>
                        </div>
                        <div class="col-md-4 mb-3">
                            <form action="{{ route('company.admin.documents.store') }}" method="post" enctype="multipart/form-data" class="filesave">
                            @csrf
                            <input type="hidden" name="type" value="terminal" />
                            <input type="hidden" name="by_id" value="<?php echo $terminal->id; ?>" />
                            <div class="form-group">
                                <label>File Name</label>
                                <input type="text" name="filename" class="form-control" required>
                            </div>
                            <div class="form-group">
                                <div class="drop-zone2">
                                    <span class="drop-zone2__prompt">Drag and drop file here or click to browse</span>
                                    <input type="file" name="file[]" class="drop-zone2__input" accept="image/png,image/gif,image/jpeg,application/pdf,application/vnd.ms-excel" required multiple >
                                </div>
                            </div>
                            <div class="form-group">
                                <label>Note</label>
                                <textarea class="form-control" id="filenote" name="filenote"></textarea>
                            </div>
                            <button class="green-btn notes-btn w-100" >Upload</button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="button-bottom">
        <a href="{{ route('company.admin.terminals.index') }}" class="cancel-btn">Cancel</a>
        <button class="submit-btn clickToSubmit">Submit</button>
    </div>
@endsection

@section('script')
    <script src="{{ asset('theme/js/bootstrap-datepicker.js') }}"></script>
    <script src="{{ asset('theme/js/select2.full.min.js') }}"></script>
    <script type="text/javascript">
        $( document ).ready(function() {
            $('.update-form').parsley({
                excluded: 'input[type=button], input[type=submit], input[type=reset]',
                inputs: 'input, textarea, select, input[type=hidden], :hidden',
            });
            $('.date').datepicker({
                autoclose: true,
                todayHighlight: true,
            });
            $('.bookedby-select2').select2();
            $('.notesave').parsley();
            $('.filesave').parsley();
            $(".clickToSubmit").click(function(){
                $(".update-form").submit(); // Submit the form
            });
        });
    </script>
    <script type="text/javascript">
        $(".truckcommi").hide(300);
        $(".truckcommi2").hide(300);

        var terminal_type = $('.terminal_type').find(":selected").val();
        if(terminal_type == '1'){
            $(".truckcommi").show(300);
        }
        if(terminal_type == '2'){
            $(".truckcommi2").show(300);
        }

        $("body").on("change",".terminal_type",function(e){
            $(".truckcommi").hide(300);
            $(".truckcommi2").hide(300);

            var value = this.value;
            if(value == '1'){
                $(".truckcommi").show(300);
            }
            if(value == '2'){
                $(".truckcommi2").show(300);
            }
        });

        $("#sameaddress").click(function() {
            if ($("#sameaddress").is(":checked")) {
                $('input[name="bill_to_name"]').val($('input[name="name"]').val());
                $('input[name="billing_address"]').val($('input[name="address"]').val());
                $('input[name="billing_address_2"]').val($('input[name="address_2"]').val());
                $('input[name="billing_city"]').val($('input[name="city"]').val());
                $('input[name="billing_state"]').val($('input[name="state"]').val());
                $('input[name="billing_zip"]').val($('input[name="zip"]').val());
                $('input[name="billing_phone"]').val($('input[name="phone"]').val());
                $('input[name="billing_email"]').val($('input[name="email"]').val());
                $('input[name="billing_extention"]').val($('input[name="extention"]').val());
                $('input[name="billing_fax"]').val($('input[name="fax"]').val());
                //$('input[name="billing_method"]').val($('input[name="method"]').val());
                //$('input[name="factored"]').val($('input[name="factored"]').val());

                if($('input[name="billing_address"]').val()!=''){
                    $('input[name="billing_address"]').parsley().reset();
                }
                if($('input[name="billing_state"]').val()!=''){
                    $('input[name="billing_state"]').parsley().reset();
                }
                if($('input[name="billing_zip"]').val()!=''){
                    $('input[name="billing_zip"]').parsley().reset();
                }
                var address_verified    = $('input[name="address_verified"]').val();
                if(address_verified==1){
                    $('input[name="billing_latitude"]').val($('input[name="latitude"]').val());
                    $('input[name="billing_longitude"]').val($('input[name="longitude"]').val());
                    $('input[name="billing_timezone_abbr"]').val($('input[name="timezone_abbr"]').val());
                    $('input[name="billing_address_verified"]').val('1');

                    $('input[name="billing_timezone_abbr"]').parsley().reset();
                    var btn             = $('input[name="billing_latitude"]').closest('.geocoding').find('.geocoding-btn');
                    btn.text('Verified');
                    btn.removeClass("btn-warning");
                    btn.addClass("btn-success");
                }
            }else{
                $('input[name="bill_to_name"]').val('');
                $('input[name="billing_address"]').val('');
                $('input[name="billing_address_2"]').val('');
                $('input[name="billing_city"]').val('');
                $('input[name="billing_state"]').val('');
                $('input[name="billing_zip"]').val('');
                $('input[name="billing_phone"]').val('');
                $('input[name="billing_email"]').val('');
                $('input[name="billing_extention"]').val('');
                $('input[name="billing_fax"]').val('');
                //$('input[name="billing_method"]').val('');
                //$('input[name="factored"]').val('');

                $('input[name="billing_latitude"]').val('');
                $('input[name="billing_longitude"]').val('');
                $('input[name="billing_timezone_abbr"]').val('');
                $('input[name="billing_address_verified"]').val('0');

                var btn             = $('input[name="billing_latitude"]').closest('.geocoding').find('.geocoding-btn');
                btn.text('Verify');
                btn.removeClass("btn-success");
                btn.addClass("btn-warning");
            }
        });
    </script>
    <script type="text/javascript">
        $("#addRow").click(function () {
            var html = '';
            html    += '<div class="row" id="inputFormRow">';
            html    += '<div class="col-md-2">';
            html    += '<div class="form-group">';
            html    += '<label>Department</label>';
            html    += '<input type="text" name="adepartment[]" value="" class="form-control">';
            html    += '</div>';
            html    += '</div>';
            html    += '<div class="col-md-2">';
            html    += '<div class="form-group">';
            html    += '<label>Name</label>';
            html    += '<input type="text" name="aname[]" value="" class="form-control">';
            html    += '</div>';
            html    += '</div>';
            html    += '<div class="col-md-2">';
            html    += '<div class="form-group">';
            html    += '<label>Phone Number</label>';
            html    += '<input type="text" name="aphone_number[]" value="" class="form-control phone">';
            html    += '</div>';
            html    += '</div>';
            html    += '<div class="col-md-2">';
            html    += '<div class="form-group">';
            html    += '<label>Ext</label>';
            html    += '<input type="text" name="aext[]" value="" class="form-control">';
            html    += '</div>';
            html    += '</div>';
            html    += '<div class="col-md-2">';
            html    += '<div class="form-group">';
            html    += '<label>Email</label>';
            html    += '<input type="email" name="aemail[]" value="" class="form-control">';
            html    += '</div>';
            html    += '</div>';
            html    += '<div class="col-md-2">';
            html    += '<div class="form-group">';
            html    += '<label class="d-block" style="visibility: hidden;">Action</label>';
            html    += '<a href="javascript:void(0)" class="btn btn-danger" id="removeRow"><i class="fa fa-trash"></i></a>';
            html    += '</div>';
            html    += '</div>';
            html    += '</div>';
            $('#newRow').append(html);
            setPhoneNumber();
        });

        // remove row
        $(document).on('click', '#removeRow', function () {
            $(this).closest('#inputFormRow').remove();
        });

        $("#bankaddRow").click(function () {
            let lastFileInputId     = $("#banknewRow").last('div').find('input:file').last()[0].name;
            let splitFileName       = lastFileInputId.split('_');
            let nextFileInputId     = parseInt(splitFileName[4].replace('[]', '')) + 1;

            let lastCheckboxInputId = $("#banknewRow").last('div').find('input:checkbox').last()[0].name;
            let splitCheckboxName   = lastCheckboxInputId.split('_');
            let nextCheckboxInputId = parseInt(splitCheckboxName[3].replace('[]', '')) + 1;

            var html = '';
            html    += '<div id="bankinputFormRow">';
            html    += '<div class="row">';
            html    += '<div class="col-md-12">';
            html    += '<hr/>';
            html    += '<div class="row">';
            html    += '<div class="col-md-10">';
            html    += '<div class="form-group">';
            html    += '<label>Bank Name</label>';
            html    += '{!! Form::text('bank_name[]', old('bank_name'), array('class' => 'form-control')) !!}';
            html    += '</div>';
            html    += '</div>';
            html    += '<div class="col-md-2 pl-1">';
            html    += '<div class="form-group">';
            html    += '<label>Active Status</label>';
            html    += '<input type="hidden" class="bank_status" name="bank_status[]" value="1">';
            html    += '<div class="custom-control custom-switch">';
            html    += '<input type="checkbox" id="bank_active_status_'+ nextFileInputId +'" name="bank_active_status_'+ nextFileInputId +'" value="1" class="custom-control-input" multiple="multiple" checked>';
            html    += '<label class="custom-control-label" for="bank_active_status_'+ nextFileInputId +'"></label>';
            html    += '</div>';
            html    += '</div>';
            html    += '</div>';
            html    += '</div>';
            html    += '</div>';
            html    += '<div class="col-md-6">';
            html    += '<div class="form-group">';
            html    += '<label>Account Number</label>';
            html    += '{!! Form::text('account_number[]', old('account_number'), array('class' => 'form-control')) !!}';
            html    += '</div>';
            html    += '</div>';
            html    += '<div class="col-md-6">';
            html    += '<div class="form-group">';
            html    += '<label>Routing Number</label>';
            html    += '{!! Form::text('routing_number[]', old('routing_number'), array('class' => 'form-control')) !!}';
            html    += '</div>';
            html    += '</div>';
            html    += '<div class="col-md-6">';
            html    += '<div class="form-group">';
            html    += '<label>Bank Contact Name</label>';
            html    += '{!! Form::text('bank_contact_name[]', old('bank_contact_name'), array('class' => 'form-control')) !!}';
            html    += '</div>';
            html    += '</div>';
            html    += '<div class="col-md-6">';
            html    += '<div class="form-group">';
            html    += '<label>Bank Contact Email</label>';
            html    += '{!! Form::email('bank_contact_email[]', old('bank_contact_email'), array('class' => 'form-control')) !!}';
            html    += '</div>';
            html    += '</div>';
            html    += '<div class="col-md-6">';
            html    += '<div class="form-group">';
            html    += '<label>Name On Account</label>';
            html    += '{!! Form::text('name_on_account[]', old('name_on_account'), array('class' => 'form-control')) !!}';
            html    += '</div>';
            html    += '</div>';
            html    += '<div class="col-md-6">';
            html    += '<div class="form-group">';
            html    += '<label>Picture of voided check</label>';
            html    += '<input type="file" name="picture_of_voided_check_'+ nextFileInputId +'[]" value="" class="form-control" multiple="multiple">';
            html    += '<input type="hidden" name="file_input_id[]" value="'+nextFileInputId+'">';
            html    += '</div>';
            html    += '</div>';
            html    += '<div class="col-md-6">';
            html    += '<div class="row">';
            html    += '<div class="col-md-6">';
            html    += '<div class="form-group">';
            html    += '<label>Bank Contact</label>';
            html    += '<input type="text" name="bank_contact[]" value="" class="form-control">';
            html    += '</div>';
            html    += '</div>';
            html    += '<div class="col-md-6">';
            html    += '<div class="form-group">';
            html    += '<label>Bank Phone</label>';
            html    += '<input type="text" name="bank_phone[]" value="" class="form-control phone">';
            html    += '</div>';
            html    += '</div>';
            html    += '</div>';
            html    += '</div>';
            html    += '<div class="col-md-6">';
            html    += '<div class="row">';
            html    += '<div class="col-md-2 pr-0">';
            html    += '<div class="form-group">';
            html    += '<label>Ext</label>';
            html    += '<input type="text" name="bext[]" value="" class="form-control">';
            html    += '</div>';
            html    += '</div>';
            html    += '<div class="col-md-8">';
            html    += '<div class="form-group">';
            html    += '<label>Bank Email</label>';
            html    += '<input type="email" name="bank_email[]" value="" class="form-control">';
            html    += '</div>';
            html    += '</div>';
            html    += '<div class="col-md-1 pl-2">';
            html    += '<div class="form-group">';
            html    += '<label class="d-block" style="visibility: hidden;">Action</label>';
            html    += '<a href="javascript:void(0)" class="btn btn-danger" id="bankremoveRow"><i class="fa fa-trash"></i></a>';
            html    += '</div>';
            html    += '</div>';
            html    += '</div>';
            html    += '</div>';
            html    += '</div>';
            html    += '</div>';
            $('#banknewRow').append(html);
            setPhoneNumber();
        });

        // remove row
        $(document).on('click', '#bankremoveRow', function () {
            $(this).closest('#bankinputFormRow').remove();
        });

        $(document).on('change', '[id^="bank_active_status_"]', function () {
            if($(this).is(':checked')){
                $(this).closest('div').parent('div').find('.bank_status').val(1);
            }else{
                $(this).closest('div').parent('div').find('.bank_status').val(0);
            }
        });

        /*
        $("#bankaddRow").click(function () {
            var html = '';
            html    += '<div class="row" id="bankinputFormRow">';
            html    += '<div class="col-md-3">';
            html    += '<div class="form-group">';
            html    += '<label>Bank Contact</label>';
            html    += '<input type="text" name="bank_contact[]" value="" class="form-control">';
            html    += '</div>';
            html    += '</div>';
            html    += '<div class="col-md-3">';
            html    += '<div class="form-group">';
            html    += '<label>Bank Phone</label>';
            html    += '<input type="text" name="bank_phone[]" value="" class="form-control phone">';
            html    += '</div>';
            html    += '</div>';
            html    += '<div class="col-md-2">';
            html    += '<div class="form-group">';
            html    += '<label>Ext</label>';
            html    += '<input type="text" name="bext[]" value="" class="form-control">';
            html    += '</div>';
            html    += '</div>';
            html    += '<div class="col-md-3">';
            html    += '<div class="form-group">';
            html    += '<label>Bank Email</label>';
            html    += '<input type="email" name="bank_email[]" value="" class="form-control">';
            html    += '</div>';
            html    += '</div>';
            html    += '<div class="col-md-1">';
            html    += '<div class="form-group">';
            html    += '<label class="d-block" style="visibility: hidden;">Action</label>';
            html    += '<a href="javascript:void(0)" class="btn btn-danger" id="bankremoveRow"><i class="fa fa-trash"></i></a>';
            html    += '</div>';
            html    += '</div>';
            html    += '</div>';
            $('#banknewRow').append(html);
            setPhoneNumber();
        });
        */
    </script>
    <script type="text/javascript">
        document.querySelectorAll(".drop-zone__input").forEach((inputElement) => {
            const dropZoneElement = inputElement.closest(".drop-zone");

            dropZoneElement.addEventListener("click", (e) => {
                inputElement.click();
            });

            inputElement.addEventListener("change", (e) => {
                if (inputElement.files.length) {
                assupdateThumbnail(dropZoneElement, inputElement.files[0]);
                }
            });

            dropZoneElement.addEventListener("dragover", (e) => {
                e.preventDefault();
                dropZoneElement.classList.add("drop-zone--over");
            });

            ["dragleave", "dragend"].forEach((type) => {
                dropZoneElement.addEventListener(type, (e) => {
                dropZoneElement.classList.remove("drop-zone--over");
                });
            });

            dropZoneElement.addEventListener("drop", (e) => {
                e.preventDefault();

                if (e.dataTransfer.files.length) {
                inputElement.files = e.dataTransfer.files;
                assupdateThumbnail(dropZoneElement, e.dataTransfer.files[0]);
                }

                dropZoneElement.classList.remove("drop-zone--over");
            });
        });

        function assupdateThumbnail(dropZoneElement, file) {
            let thumbnailElement = dropZoneElement.querySelector(".drop-zone__thumb");

            // First time - remove the prompt
            if (dropZoneElement.querySelector(".drop-zone__prompt")) {
                dropZoneElement.querySelector(".drop-zone__prompt").remove();
            }

            // First time - there is no thumbnail element, so lets create it
            if (!thumbnailElement) {
                thumbnailElement = document.createElement("div");
                thumbnailElement.classList.add("drop-zone__thumb");
                dropZoneElement.appendChild(thumbnailElement);
            }

            thumbnailElement.dataset.label = file.name;

            // Show thumbnail for image files
            if (file.type.startsWith("image/")) {
                const reader = new FileReader();

                reader.readAsDataURL(file);
                reader.onload = () => {
                thumbnailElement.style.backgroundImage = `url('${reader.result}')`;
                };
            } else {
                thumbnailElement.style.backgroundImage = null;
            }
        }

        //drop-zone2__input
        document.querySelectorAll(".drop-zone2__input").forEach((inputElement) => {
            const dropZoneElement = inputElement.closest(".drop-zone2");

            dropZoneElement.addEventListener("click", (e) => {
                inputElement.click();
            });

            inputElement.addEventListener("change", (e) => {
                if (inputElement.files.length) {
                    var filecount = inputElement.files.length;
                updateThumbnail(dropZoneElement, inputElement.files[0], filecount);
                }
            });

            dropZoneElement.addEventListener("dragover", (e) => {
                e.preventDefault();
                dropZoneElement.classList.add("drop-zone2--over");
            });

            ["dragleave", "dragend"].forEach((type) => {
                dropZoneElement.addEventListener(type, (e) => {
                dropZoneElement.classList.remove("drop-zone2--over");
                });
            });

            dropZoneElement.addEventListener("drop", (e) => {
                e.preventDefault();

                if (e.dataTransfer.files.length) {
                inputElement.files = e.dataTransfer.files;
                var filecount = e.dataTransfer.files.length;
                updateThumbnail(dropZoneElement, e.dataTransfer.files[0], filecount);
                }

                dropZoneElement.classList.remove("drop-zone2--over");
            });
        });

        function updateThumbnail(dropZoneElement, file, filecount) {
            let thumbnailElement = dropZoneElement.querySelector(".drop-zone2__thumb");

            // First time - remove the prompt
            if (dropZoneElement.querySelector(".drop-zone2__prompt")) {
                dropZoneElement.querySelector(".drop-zone2__prompt").remove();
            }

            // First time - there is no thumbnail element, so lets create it
            if (!thumbnailElement) {
                thumbnailElement = document.createElement("div");
                thumbnailElement.classList.add("drop-zone2__thumb");
                dropZoneElement.appendChild(thumbnailElement);
            }
            //var numFiles = file[0].length;

            thumbnailElement.dataset.label = filecount+' Files Selected';

            // Show thumbnail for image files
            if (file.type.startsWith("image/")) {
                const reader = new FileReader();

                reader.readAsDataURL(file);
                reader.onload = () => {
                thumbnailElement.style.backgroundImage = `url('${reader.result}')`;
                };
            } else {
                thumbnailElement.style.backgroundImage = null;
            }
        }

        function loadFileView() {
            var token = $('meta[name="csrf-token"]').attr('content');
            $.ajax({
                url: "{{ route('company.admin.documents.index') }}",
                method: "GET",
                data: { _token : token, by_id : <?php echo $terminal->id; ?>, type : 'terminal'},
                success: function(response) {
                    $("#loadfile").html(response.view);
                }
            });
        }

        loadFileView();

        $(".filesave").ajaxForm({
            complete: function (response) {
                console.log(response.responseText);
                if(response.responseText == '1'){
                    toastr.success('File upload successfully', 'Success Alert', {timeOut: 5000})
                    loadFileView();
                    $('.filesave')[0].reset();
                    $('.drop-zone').prepend('<span class="drop-zone__prompt">Drag and drop file here or click to browse</span>');
                    $('.drop-zone__thumb').remove();
                }else{
                    toastr.success('Upload file not supported', 'Error Alert', {timeOut: 5000})
                    loadFileView();
                }
            },
        });

        function getNoteSave(){
            var token   = $('meta[name="csrf-token"]').attr('content');
            var loadimg = "{{ asset('theme/img/loading.gif') }}";
            $(".getnotesave").html('<div class="loadingdiv"><img src="'+loadimg+'" /></div>');
            $.ajax({
                url: "{{ route('company.admin.notes.index') }}",
                method: "GET",
                data: { _token : token, action_id : <?php echo $terminal->id; ?>, action_type : 'terminal'},
                success: function(response) {
                    $(".getnotesave").html(response.view);
                }
            });
        }

        getNoteSave();

        // Add Receiver Store
        $(".notesave").ajaxForm({
            beforeSubmit:  function(formData, jqForm, options) {
                var loadimg = "{{ asset('theme/img/loading.gif') }}";
                $(".getnotesave").html('<div class="loadingdiv"><img src="'+loadimg+'" /></div>');
            },
            complete: function (response) {
                if(response.responseText == '1'){
                    getNoteSave();
                    $('.selenondriveruser').hide('200');
                    $('.notesave')[0].reset();
                    toastr.success('Note create successfully', 'Success Alert', {timeOut: 5000})
                }else{
                    toastr.error('Something went wrong try again in a few seconds', 'Error Alert', {timeOut: 5000})
                }
            },
        });

        $('.checknondriveruser').change(function() {
            if (this.checked) {
                $('.selenondriveruser').show('200');
                $('#privatUser').prop('required',true);
            } else {
                $('.selenondriveruser').hide('200');
                $('#privatUser').prop('required',false);
            }
        });
    </script>
@endsection

@push('after-scripts')
    <script src="{{ asset('theme/js/trimble.js') }}"></script>
@endpush