@extends($companyAdminTheme)

@section('title')
    Terminal Show
@endsection

@section('style')
<style type="text/css">
	h5 {
		font-size: 18px;
	}
</style>
@endsection

@section('content')
<div class="row">
    <div class="col-lg-6">
        <div class="white-box mb-4 generalAccount">
            <h4 class="box-title">General Information</h4>
            <div class="box-padding">
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>Name</label>
                            <h5>{{ $terminal->name }}</h5>
                        </div>
                    </div>
                    @php
                        $addresses         = [];
                    @endphp
                    @if(isset($terminal->address) && $terminal->address!=='')
                        @php
                            $addresses[]   = $terminal->address;
                        @endphp
                    @endif
                    @if(isset($terminal->address_2) && $terminal->address_2!=='')
                        @php
                            $addresses[]   = $terminal->address_2;
                        @endphp
                    @endif
                    @if(isset($terminal->city) && $terminal->city!=='')
                        @php
                            $addresses[]   = $terminal->city;
                        @endphp
                    @endif
                    @if(isset($terminal->state) && $terminal->state!=='')
                        @php
                            $addresses[]   = $terminal->state;
                        @endphp
                    @endif
                    @if(isset($terminal->zip) && $terminal->zip!=='')
                        @php
                            $addresses[]   = $terminal->zip;
                        @endphp
                    @endif
                    @php
                        $addresses         = implode(', ', $addresses);
                    @endphp
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>Address</label>
                            <h5>{{ $addresses }}</h5>
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group m-0">
                            <label>Phone</label>
                            <h5>{{ $terminal->phone }}</h5>
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group m-0">
                            <label>Email</label>
                            <h5>{{ $terminal->email }}</h5>
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group m-0">
                            <label>Fax</label>
                            <h5>{{ $terminal->fax }}</h5>
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group m-0">
                            <label>Rep Name</label>
                            <h5>{{ $terminal->rep_name }}</h5>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
    <div class="col-lg-6">
        <div class="white-box mb-4 generalAccount">
            <h4 class="box-title">Business Information</h4>
            <div class="box-padding">
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label>Terminal Code</label>
                            <h5>{{ $terminal->terminal_code }}</h5>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label>Federal ID</label>
                            <h5>{{ (isset($terminal->federal_id) && !is_null($terminal->federal_id)) ? preg_replace("/[0-9]/","X", $terminal->federal_id) : '' }} </h5>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label>Terminal Status</label>
                            @if($terminal->terminal_status == 1)
                            <h5>Active</h5>
                            @endif
                            @if($terminal->terminal_status == 0)
                            <h5>Inactive</h5>
                            @endif
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label>Terminal Type</label>
                            @if($terminal->terminal_type == 1)
                            <h5>Transport</h5>
                            @endif
                            @if($terminal->terminal_type == 2)
                            <h5>Brokerage</h5>
                            @endif
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label>Start Date</label>
                            <h5>{{ $terminal->start_date }}</h5>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label>Carrier</label>
                            <h5>{{ $terminal->carrier->name ?? ''  }}</h5>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-lg-6">
        <div class="white-box mb-4 generalAccount">
            <h4 class="box-title">Billing Information</h4>
            <div class="box-padding">
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>Name</label>
                            <h5>{{ $terminal->bill_to_name }}</h5>
                        </div>
                    </div>
                    @php
                        $billing_address         = [];
                    @endphp
                    @if(isset($terminal->billing_address) && $terminal->billing_address!=='')
                        @php
                            $billing_address[]   = $terminal->billing_address;
                        @endphp
                    @endif
                    @if(isset($terminal->billing_address_2) && $terminal->billing_address_2!=='')
                        @php
                            $billing_address[]   = $terminal->billing_address_2;
                        @endphp
                    @endif
                    @if(isset($terminal->billing_city) && $terminal->billing_city!=='')
                        @php
                            $billing_address[]   = $terminal->billing_city;
                        @endphp
                    @endif
                    @if(isset($terminal->billing_state) && $terminal->billing_state!=='')
                        @php
                            $billing_address[]   = $terminal->billing_state;
                        @endphp
                    @endif
                    @if(isset($terminal->billing_zip) && $terminal->billing_zip!=='')
                        @php
                            $billing_address[]   = $terminal->billing_zip;
                        @endphp
                    @endif
                    @php
                        $billing_address         = implode(', ', $billing_address);
                    @endphp
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>Address</label>
                            <h5>{{ $billing_address }}</h5>
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group m-0">
                            <label>Phone</label>
                            <h5>{{ $terminal->billing_phone }}</h5>
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group m-0">
                            <label>Email</label>
                            <h5>{{ $terminal->billing_email }}</h5>
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group m-0">
                            <label>Fax</label>
                            <h5>{{ $terminal->billing_fax }}</h5>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
    <div class="col-lg-6">
        <div class="white-box mb-4 generalAccount">
            <h4 class="box-title">Commissions and Payments</h4>
            <div class="box-padding">
                <div class="row">
                    @if(!empty($terminal->truck_commision))
                    <div class="col-md-6">
                        <div class="form-group">
                            <label>Truck Commission</label>
                            <h5>{{ $terminal->truck_commision }}</h5>
                        </div>
                    </div>
                    @endif
                    @if(!empty($terminal->brokerage_split))
                    <div class="col-md-6">
                        <div class="form-group">
                            <label>Brokerage Split</label>
                            @if($terminal->brokerage_split == 1)
                                <h5>100% / 0%</h5>
                            @endif
                            @if($terminal->brokerage_split == 2)
                                <h5>95% / 5%</h5>
                            @endif
                            @if($terminal->brokerage_split == 3)
                                <h5>90% / 10%</h5>
                            @endif
                            @if($terminal->brokerage_split == 4)
                                <h5>0% / 100%</h5>
                            @endif

                        </div>
                    </div>
                    @endif
                    @if(!empty($terminal->brokerage_minimum_amount))
                    <div class="col-md-6">
                        <div class="form-group">
                            <label>Brokerage Minimum Amount</label>
                            <h5>{{ $terminal->brokerage_minimum_amount }}</h5>
                        </div>
                    </div>
                    @endif
                    @if(!empty($terminal->generate_1099))
                    <div class="col-md-6">
                        <div class="form-group">
                            <label>Generate 1099?</label>
                            @if(!empty($terminal->generate_1099))
                                <h5>Yes</h5>
                            @else
                                <h5>No</h5>
                            @endif
                        </div>
                    </div>
                    @endif
                    @if(!empty($terminal->preferred_settlement_day))
                    <div class="col-md-6">
                        <div class="form-group">
                            <label>Settlement Day</label>
                            @if($terminal->preferred_settlement_day == 1)
                                <h5>Monday</h5>
                            @endif
                            @if($terminal->preferred_settlement_day == 2)
                                <h5>Tuesday</h5>
                            @endif
                            @if($terminal->preferred_settlement_day == 3)
                                <h5>Wednesday</h5>
                            @endif
                            @if($terminal->preferred_settlement_day == 4)
                                <h5>Thursday</h5>
                            @endif
                            @if($terminal->preferred_settlement_day == 5)
                                <h5>Friday</h5>
                            @endif
                            @if($terminal->preferred_settlement_day == 6)
                                <h5>Saturday</h5>
                            @endif
                            @if($terminal->preferred_settlement_day == 7)
                                <h5>Sanday</h5>
                            @endif
                        </div>
                    </div>
                    @endif
                    @if(!empty($terminal->billing_cutoff))
                    <div class="col-md-6">
                        <div class="form-group">
                            <label>Billing Cutoff (Time/Date)</label>
                            @if($terminal->billing_cutoff == 1)
                                <h5>Monday</h5>
                            @endif
                            @if($terminal->billing_cutoff == 2)
                                <h5>Tuesday</h5>
                            @endif
                            @if($terminal->billing_cutoff == 3)
                                <h5>Wednesday</h5>
                            @endif
                            @if($terminal->billing_cutoff == 4)
                                <h5>Thursday</h5>
                            @endif
                            @if($terminal->billing_cutoff == 5)
                                <h5>Friday</h5>
                            @endif
                            @if($terminal->billing_cutoff == 6)
                                <h5>Saturday</h5>
                            @endif
                            @if($terminal->billing_cutoff == 7)
                                <h5>Sanday</h5>
                            @endif
                        </div>
                    </div>
                    @endif

                    <div class="col-md-12">
                        @if($terminal->bank_count > 0)
                            @for($i = 0; $i < $terminal->bank_count; $i++)
                                <div class="row">
                                    <div class="col-md-12">
                                        <hr/>
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>Bank Name</label>
                                                    <h5>{{ $terminal->bank_name[$i] }}</h5>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>Active Status</label>
                                                    <h5>{{ ($terminal->bank_active_status[$i] == '1') ? 'Active' : 'Inactive' }}</h5>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Account Number</label>
                                            <h5>{{ (isset($terminal->account_number[$i]) && !is_null($terminal->account_number[$i])) ? preg_replace("/[0-9]/","X", base64_decode($terminal->account_number[$i])) : '' }}</h5>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Routing Number</label>
                                            <h5>{{ (isset($terminal->routing_number[$i]) && !is_null($terminal->routing_number[$i])) ? preg_replace("/[0-9]/","X", base64_decode($terminal->routing_number[$i])) : '' }}</h5>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Bank Contact Name</label>
                                            <h5>{{ $terminal->bank_contact_name[$i] }}</h5>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Bank Contact Email</label>
                                            <h5>{{ $terminal->bank_contact_email[$i] }}</h5>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Name On Account</label>
                                            <h5>{{ $terminal->name_on_account[$i] }}</h5>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Picture of voided check</label>
                                            @if(isset($terminal->picture_of_voided_check[$i]) && is_array($terminal->picture_of_voided_check[$i]) && count($terminal->picture_of_voided_check[$i]) > 0)
                                                @foreach($terminal->picture_of_voided_check[$i] as $document)
                                                    @php
                                                        $file_path = 'storage/companyAdmin/terminal/'.$document;
                                                        $type = \File::extension($file_path);
                                                    @endphp
                                                    @if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif')
                                                        <a href="{{ asset($file_path) }}" target="_blank" class="mb-3" ><img src="{{ asset($file_path) }}" alt="" class="img-fluid"></a>
                                                    @else
                                                        <a href="{{ asset($file_path) }}" target="_blank" class="btn btn-outline-primary mb-3">{{ $document }}</a>
                                                    @endif
                                                @endforeach
                                            @endif
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>Bank Contact</label>
                                                    <h5>{{ $terminal->bank_contact[$i] }}</h5>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>Bank Phone</label>
                                                    <h5>{{ $terminal->bank_phone[$i] }}</h5>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="row">
                                            <div class="col-md-2 pr-0">
                                                <div class="form-group">
                                                    <label>Ext</label>
                                                    <h5>{{ $terminal->bext[$i] }}</h5>
                                                </div>
                                            </div>
                                            <div class="col-md-10">
                                                <div class="form-group">
                                                    <label>Bank Email</label>
                                                    <h5>{{ $terminal->bank_email[$i] }}</h5>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            @endfor
                        @else
                            <div class="row">
                                <div class="col-md-12">
                                    <hr/>
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>Bank Name</label>
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>Active Status</label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Account Number</label>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Routing Number</label>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Bank Contact Name</label>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Bank Contact Email</label>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Name On Account</label>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Picture of voided check</label>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Bank Contact</label>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Bank Phone</label>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Ext</label>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Bank Email</label>
                                    </div>
                                </div>
                            </div>
                        @endif
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-lg-12">
        <div class="white-box mb-4 generalAccount">
            <h4 class="box-title">General Information</h4>
            <div class="box-padding">
                <div class="row">
                    @php
                        $contctlist = getBrokerContactList('terminal', $terminal->id);

                    @endphp
                    @if(count($contctlist) > 0)
                        @php
                            $p=0;
                        @endphp
                        @foreach($contctlist as $bcontct)

                        @if(empty($bcontct->department))
                            @continue;
                        @endif
                                <div class="col-md-2">
                                    <div class="form-group">
                                        <label>Department</label>
                                        <h5>{{ $bcontct->department }}</h5>
                                    </div>
                                </div>
                                <div class="col-md-2">
                                    <div class="form-group">
                                        <label>Name</label>
                                        <h5>{{ $bcontct->name }}</h5>
                                    </div>
                                </div>
                                <div class="col-md-2">
                                    <div class="form-group">
                                        <label>Phone Number</label>
                                        <h5>{{ $bcontct->phone_number }}</h5>
                                    </div>
                                </div>
                                <div class="col-md-2">
                                    <div class="form-group">
                                        <label>Ext</label>
                                        <h5>{{ $bcontct->ext }}</h5>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Email</label>
                                        <h5>{{ $bcontct->email }}</h5>
                                    </div>
                                </div>

                        @php
                            $p++;
                        @endphp
                        @endforeach
                    @endif

                </div>
            </div>
        </div>
    </div>

</div>
@endsection
