@if(isset($truckIntegrations) && count($truckIntegrations) > 0)
    @php
        $eldProvider = $truckIntegrations->where('integration_type', 1)->first();
        $ezPassProvider = $truckIntegrations->where('integration_type', 2)->first();
        $airScaleProvider = $truckIntegrations->where('integration_type', 3)->first();
        $tireSensorProvider = $truckIntegrations->where('integration_type', 4)->first();
        $truckTrackingProvider = $truckIntegrations->where('integration_type', 5)->first();
        $truckCameraProvider = $truckIntegrations->where('integration_type', 6)->first();
        $cameraID = $truckIntegrations->where('integration_type', 7)->first();
        $trailerTrackingProvider = $truckIntegrations->where('integration_type', 8)->first();
    @endphp

    @if(!is_null($eldProvider))
        <input type="hidden" class="eldProvider" value="{{ $eldProvider->eld_provider }}">
        <input type="hidden" class="vinNumberAutoPopulate" value="{{ $eldProvider->vin_number_auto_populate }}">
        <input type="hidden" class="vinNumber" value="{{ $eldProvider->vin_number }}">
        <input type="hidden" class="eldId" value="{{ $eldProvider->eld_id }}">
    @endif

    <table class="table table-borderless">
        <tr class="headingRow">
            <th width="15%" class="text-center"></th>
            <th width="20%">Provider</th>
            <th width="20%">Integration ID</th>
            <th width="15%" class="text-center">Status</th>
            <th width="10%" class="text-center"></th>
            <th width="20%"></th>
        </tr>

        {{-- ELD Provider --}}
        @if(!is_null($eldProvider))
            <tr>
                <td class="text-center">
                    <div class="form-group">
                        @if($eldProvider->eld_provider == 3)
                             <img src="{{ asset('theme/img/logo-samsara.png') }}" class="app-center-logo" title="Samsara Logo" width="75" height="75">
                        @endif
                    </div>
                </td>
                <td>
                    <div class="form-group">
                        <h6 class="provider-heading">ELD Provider</h6>
                    </div>
                </td>
                <td>
                    {!! Form::text('eld_id', $eldProvider->eld_id, array('class' => 'form-control', 'placeholder' => 'ELD ID', 'readonly' => 'readonly')) !!}
                </td>
                <td class="text-center">
                    @if($eldProvider->connected_status == '1')
                        <h6 class="status-connected">Connected</h6>
                    @else
                        <h6 class="status-not-connected">Not Connected</h6>
                    @endif
                </td>
                <td class="text-center">
                    <a href="javascript:void(0);" class="view-details">
                        View Details
                    </a>
                </td>
                <td>
                    <a href="javascript:void(0);" class="eld-provider-delete" data-action="{{ route('company.admin.truck.integration.delete', $eldProvider->id) }}">
                        <img class="delete-icon" src="{{ asset('theme/img/icon-material-delete.svg') }}" alt="delete" width="18" height="23">
                    </a>
                </td>
            </tr>
        @else
            <tr>
                <td class="text-center">
                    <div class="form-group">
                        <a href="javascript:void(0);" class="addMoreBtn" data-toggle="modal" data-target="#eldIntegrationSetupModal">
                            <i class="fa fa-plus-square" aria-hidden="true"></i>
                        </a>
                    </div>
                </td>
                <td>
                    <div class="form-group">
                        <h6 class="provider-heading">ELD Provider</h6>
                    </div>
                </td>
                <td></td>
                <td class="text-center"></td>
                <td class="text-center"></td>
                <td></td>
            </tr>
        @endif

        {{-- EZ Pass Provider --}}
        @if(!is_null($ezPassProvider))
            <tr>
                <td class="text-center">
                    <div class="form-group">
                        <a href="javascript:void(0);" class="addMoreBtn">
                            <i class="fa fa-plus-square" aria-hidden="true"></i>
                        </a>
                    </div>
                </td>
                <td>
                    <div class="form-group">
                        <h6 class="provider-heading">EZ Pass Provider</h6>
                    </div>
                </td>
                <td></td>
                <td class="text-center"></td>
                <td class="text-center"></td>
                <td></td>
            </tr>
        @else
            <tr>
                <td class="text-center">
                    <div class="form-group">
                        <a href="javascript:void(0);" class="addMoreBtn">
                            <i class="fa fa-plus-square" aria-hidden="true"></i>
                        </a>
                    </div>
                </td>
                <td>
                    <div class="form-group">
                        <h6 class="provider-heading">EZ Pass Provider</h6>
                    </div>
                </td>
                <td></td>
                <td class="text-center"></td>
                <td class="text-center"></td>
                <td></td>
            </tr>
        @endif

        {{-- Air Scale Provider --}}
        @if(!is_null($airScaleProvider))
            <tr>
                <td class="text-center">
                    <div class="form-group">
                        <a href="javascript:void(0);" class="addMoreBtn">
                            <i class="fa fa-plus-square" aria-hidden="true"></i>
                        </a>
                    </div>
                </td>
                <td>
                    <div class="form-group">
                        <h6 class="provider-heading">Air Scale Provider</h6>
                    </div>
                </td>
                <td></td>
                <td class="text-center"></td>
                <td class="text-center"></td>
                <td></td>
            </tr>
        @else
            <tr>
                <td class="text-center">
                    <div class="form-group">
                        <a href="javascript:void(0);" class="addMoreBtn">
                            <i class="fa fa-plus-square" aria-hidden="true"></i>
                        </a>
                    </div>
                </td>
                <td>
                    <div class="form-group">
                        <h6 class="provider-heading">Air Scale Provider</h6>
                    </div>
                </td>
                <td></td>
                <td class="text-center"></td>
                <td class="text-center"></td>
                <td></td>
            </tr>
        @endif

        {{-- Tire Sensor Provider --}}
        @if(!is_null($tireSensorProvider))
            <tr>
                <td class="text-center">
                    <div class="form-group">
                        <a href="javascript:void(0);" class="addMoreBtn">
                            <i class="fa fa-plus-square" aria-hidden="true"></i>
                        </a>
                    </div>
                </td>
                <td>
                    <div class="form-group">
                        <h6 class="provider-heading">Tire Sensor Provider</h6>
                    </div>
                </td>
                <td></td>
                <td class="text-center"></td>
                <td class="text-center"></td>
                <td></td>
            </tr>
        @else
            <tr>
                <td class="text-center">
                    <div class="form-group">
                        <a href="javascript:void(0);" class="addMoreBtn">
                            <i class="fa fa-plus-square" aria-hidden="true"></i>
                        </a>
                    </div>
                </td>
                <td>
                    <div class="form-group">
                        <h6 class="provider-heading">Tire Sensor Provider</h6>
                    </div>
                </td>
                <td></td>
                <td class="text-center"></td>
                <td class="text-center"></td>
                <td></td>
            </tr>
        @endif

        {{-- Truck Tracking Provider --}}
        @if(!is_null($truckTrackingProvider))
            <tr>
                <td class="text-center">
                    <div class="form-group">
                        <a href="javascript:void(0);" class="addMoreBtn">
                            <i class="fa fa-plus-square" aria-hidden="true"></i>
                        </a>
                    </div>
                </td>
                <td>
                    <div class="form-group">
                        <h6 class="provider-heading">Truck Tracking Provider</h6>
                    </div>
                </td>
                <td></td>
                <td class="text-center"></td>
                <td class="text-center"></td>
                <td></td>
            </tr>
        @else
            <tr>
                <td class="text-center">
                    <div class="form-group">
                        <a href="javascript:void(0);" class="addMoreBtn">
                            <i class="fa fa-plus-square" aria-hidden="true"></i>
                        </a>
                    </div>
                </td>
                <td>
                    <div class="form-group">
                        <h6 class="provider-heading">Truck Tracking Provider</h6>
                    </div>
                </td>
                <td></td>
                <td class="text-center"></td>
                <td class="text-center"></td>
                <td></td>
            </tr>
        @endif

        {{-- Truck Camera Provider --}}
        @if(!is_null($truckCameraProvider))
            <tr>
                <td class="text-center">
                    <div class="form-group">
                        <a href="javascript:void(0);" class="addMoreBtn">
                            <i class="fa fa-plus-square" aria-hidden="true"></i>
                        </a>
                    </div>
                </td>
                <td>
                    <div class="form-group">
                        <h6 class="provider-heading">Truck Camera Provider</h6>
                    </div>
                </td>
                <td></td>
                <td class="text-center"></td>
                <td class="text-center"></td>
                <td></td>
            </tr>
        @else
            <tr>
                <td class="text-center">
                    <div class="form-group">
                        <a href="javascript:void(0);" class="addMoreBtn">
                            <i class="fa fa-plus-square" aria-hidden="true"></i>
                        </a>
                    </div>
                </td>
                <td>
                    <div class="form-group">
                        <h6 class="provider-heading">Truck Camera Provider</h6>
                    </div>
                </td>
                <td></td>
                <td class="text-center"></td>
                <td class="text-center"></td>
                <td></td>
            </tr>
        @endif

        {{-- Camera ID --}}
        @if(!is_null($cameraID))
            <tr>
                <td class="text-center">
                    <div class="form-group">
                        <a href="javascript:void(0);" class="addMoreBtn">
                            <i class="fa fa-plus-square" aria-hidden="true"></i>
                        </a>
                    </div>
                </td>
                <td>
                    <div class="form-group">
                        <h6 class="provider-heading">Camera ID</h6>
                    </div>
                </td>
                <td></td>
                <td class="text-center"></td>
                <td class="text-center"></td>
                <td></td>
            </tr>
        @else
            <tr>
                <td class="text-center">
                    <div class="form-group">
                        <a href="javascript:void(0);" class="addMoreBtn">
                            <i class="fa fa-plus-square" aria-hidden="true"></i>
                        </a>
                    </div>
                </td>
                <td>
                    <div class="form-group">
                        <h6 class="provider-heading">Camera ID</h6>
                    </div>
                </td>
                <td></td>
                <td class="text-center"></td>
                <td class="text-center"></td>
                <td></td>
            </tr>
        @endif

        {{-- Trailer Tracking Provider --}}
        @if(!is_null($trailerTrackingProvider))
            <tr>
                <td class="text-center">
                    <div class="form-group">
                        <a href="javascript:void(0);" class="addMoreBtn">
                            <i class="fa fa-plus-square" aria-hidden="true"></i>
                        </a>
                    </div>
                </td>
                <td>
                    <div class="form-group">
                        <h6 class="provider-heading">Trailer Tracking Provider</h6>
                    </div>
                </td>
                <td></td>
                <td class="text-center"></td>
                <td class="text-center"></td>
                <td></td>
            </tr>
        @else
            <tr>
                <td class="text-center">
                    <div class="form-group">
                        <a href="javascript:void(0);" class="addMoreBtn">
                            <i class="fa fa-plus-square" aria-hidden="true"></i>
                        </a>
                    </div>
                </td>
                <td>
                    <div class="form-group">
                        <h6 class="provider-heading">Trailer Tracking Provider</h6>
                    </div>
                </td>
                <td></td>
                <td class="text-center"></td>
                <td class="text-center"></td>
                <td></td>
            </tr>
        @endif
    </table>
@else
    <table class="table table-borderless">
        <tr>
            <td class="text-center">
                <div class="form-group">
                    <a href="javascript:void(0);" class="addMoreBtn" data-toggle="modal" data-target="#eldIntegrationSetupModal">
                        <i class="fa fa-plus-square" aria-hidden="true"></i>
                    </a>
                </div>
            </td>
            <td>
                <div class="form-group">
                    <h6 class="provider-heading">ELD Provider</h6>
                </div>
            </td>
            <td></td>
            <td class="text-center"></td>
            <td class="text-center"></td>
            <td></td>
        </tr>
        <tr>
            <td class="text-center">
                <div class="form-group">
                    <a href="javascript:void(0);" class="addMoreBtn">
                        <i class="fa fa-plus-square" aria-hidden="true"></i>
                    </a>
                </div>
            </td>
            <td>
                <div class="form-group">
                    <h6 class="provider-heading">EZ Pass Provider</h6>
                </div>
            </td>
            <td></td>
            <td class="text-center"></td>
            <td class="text-center"></td>
            <td></td>
        </tr>
        <tr>
            <td class="text-center">
                <div class="form-group">
                    <a href="javascript:void(0);" class="addMoreBtn">
                        <i class="fa fa-plus-square" aria-hidden="true"></i>
                    </a>
                </div>
            </td>
            <td>
                <div class="form-group">
                    <h6 class="provider-heading">Air Scale Provider</h6>
                </div>
            </td>
            <td></td>
            <td class="text-center"></td>
            <td class="text-center"></td>
            <td></td>
        </tr>
        <tr>
            <td class="text-center">
                <div class="form-group">
                    <a href="javascript:void(0);" class="addMoreBtn">
                        <i class="fa fa-plus-square" aria-hidden="true"></i>
                    </a>
                </div>
            </td>
            <td>
                <div class="form-group">
                    <h6 class="provider-heading">Tire Sensor Provider</h6>
                </div>
            </td>
            <td></td>
            <td class="text-center"></td>
            <td class="text-center"></td>
            <td></td>
        </tr>
        <tr>
            <td class="text-center">
                <div class="form-group">
                    <a href="javascript:void(0);" class="addMoreBtn">
                        <i class="fa fa-plus-square" aria-hidden="true"></i>
                    </a>
                </div>
            </td>
            <td>
                <div class="form-group">
                    <h6 class="provider-heading">Truck Tracking Provider</h6>
                </div>
            </td>
            <td></td>
            <td class="text-center"></td>
            <td class="text-center"></td>
            <td></td>
        </tr>
        <tr>
            <td class="text-center">
                <div class="form-group">
                    <a href="javascript:void(0);" class="addMoreBtn">
                        <i class="fa fa-plus-square" aria-hidden="true"></i>
                    </a>
                </div>
            </td>
            <td>
                <div class="form-group">
                    <h6 class="provider-heading">Truck Camera Provider</h6>
                </div>
            </td>
            <td></td>
            <td class="text-center"></td>
            <td class="text-center"></td>
            <td></td>
        </tr>
        <tr>
            <td class="text-center">
                <div class="form-group">
                    <a href="javascript:void(0);" class="addMoreBtn">
                        <i class="fa fa-plus-square" aria-hidden="true"></i>
                    </a>
                </div>
            </td>
            <td>
                <div class="form-group">
                    <h6 class="provider-heading">Camera ID</h6>
                </div>
            </td>
            <td></td>
            <td class="text-center"></td>
            <td class="text-center"></td>
            <td></td>
        </tr>
        <tr>
            <td class="text-center">
                <div class="form-group">
                    <a href="javascript:void(0);" class="addMoreBtn">
                        <i class="fa fa-plus-square" aria-hidden="true"></i>
                    </a>
                </div>
            </td>
            <td>
                <div class="form-group">
                    <h6 class="provider-heading">Trailer Tracking Provider</h6>
                </div>
            </td>
            <td></td>
            <td class="text-center"></td>
            <td class="text-center"></td>
            <td></td>
        </tr>
    </table>
@endif


