@extends($companyAdminTheme)

@section('title')
    Truck Edit
@endsection

@section('style')
    <link rel="stylesheet" href="{{ asset('theme/css/datepicker3.min.css') }}">
    <link rel="stylesheet" href="{{ asset('theme/css/select2.min.css') }}">
    <style type="text/css">
        .load-btn label{
            width: 99px !important;
        }
        .select2-container{
            width: 100% !important;
        }
        .select2-container .select2-selection--single{
            height: 35px;
        }
        .select2-container--default .select2-selection--single{
            border: 1px solid #C5CEE0;
        }
        .select2-container--default .select2-selection--single .select2-selection__rendered{
            line-height: 34px;
        }
        .select2-container--default .select2-selection--single .select2-selection__arrow{
            height: 31px;
        }
        .eaddmoere {float: right;margin-bottom: 10px;margin-top: -5px;}
        .isCompleted:checked~.custom-control-label::before{
            background-color: #00e096 !important;
        }
    </style>
@endsection

@php $dummy_truck_id = $truck->id; @endphp

@section('content')
    {!! Form::model($truck,array('route' => ['company.admin.trucks.update',$truck->id],'method'=>'PATCH','files'=>'true','class'=>'store-form')) !!}
        <input type="hidden" name="dummy_truck_id" value="{{$dummy_truck_id}}">
        <div class="row">
            <div class="col-lg-6">
                <div class="white-box mb-4 generalAccount">
                    <h4 class="box-title clear-btn">General Information<button type="button" class="update-data"><i class="fa fa-download"></i> Update from ELD</button></h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label>Unit<span>*</span></label>
                                    {!! Form::text('unit', old('unit'), array('class' => 'form-control','required' => 'required')) !!}
                                    @error('unit')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-5">
                                <div class="form-group">
                                    <label>Vin Number</label>
                                    {!! Form::text('vin_number', old('vin_number'), array('class' => 'form-control','required' => 'required')) !!}
                                    @error('vin_number')
                                        <span class="text-danger" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-1 pl-0">
                                <div class="form-group">
                                    <label style="opacity: 0;">up</label>
                                    <i class="fa fa-download update-data cut-udpate-data"></i>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Is Service Date</label>
                                    {!! Form::text('is_service_date', old('is_service_date'), array('class' => 'form-control date', 'onPaste' => 'return false')) !!}
                                    <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Year</label>
                                    {!! Form::number('year', old('year'), array('class' => 'form-control')) !!}
                                </div>
                            </div>
                            <div class="col-md-3">
                                    <div class="form-group">
                                    <label>Make</label>
                                    {!! Form::text('make', old('make'), array('class' => 'form-control')) !!}
                                </div>
                            </div>
                            <div class="col-md-3">
                                    <div class="form-group">
                                    <label>Model</label>
                                    {!! Form::text('model', old('model'), array('class' => 'form-control')) !!}
                                </div>
                            </div>
                            <div class="col-md-3">
                                    <div class="form-group">
                                    <label>Color</label>
                                    {!! Form::text('color', old('color'), array('class' => 'form-control')) !!}
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Length</label>
                                    {!! Form::text('length', old('length'), array('class' => 'form-control feetInches', 'autocomplete' => 'new', 'placeholder' => '00\'00"')) !!}
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Width</label>
                                    {!! Form::text('width', old('width'), array('class' => 'form-control feetInches', 'autocomplete' => 'new', 'placeholder' => '00\'00"')) !!}
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Height</label>
                                    {!! Form::text('height', old('height'), array('class' => 'form-control feetInches', 'autocomplete' => 'new', 'placeholder' => '00\'00"')) !!}
                                </div>
                            </div>
                            <div class="col-md-3">
                                    <div class="form-group">
                                    <label>Tag State</label>
                                    {!! Form::text('tag_state', old('tag_state'), array('class' => 'form-control')) !!}
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Tag Number</label>
                                    {!! Form::text('tag_number', old('tag_number'), array('class' => 'form-control')) !!}
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Tag Exp. Date</label>
                                    {!! Form::text('tag_exp', old('tag_exp'), array('class' => 'date form-control', 'onPaste' => 'return false')) !!}
                                    <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Tag Photo</label>
                                    <a href="#"  class="gallary-edit mr-4 form-control @if(getGalleryCount('trucks',$truck->id,'tag_photo')) bgr-blue @endif" data-id="{{$dummy_truck_id}}" data-source="trucks" data-field="tag_photo" data-toggle="modal" data-target="#galleryModal">Upload<img src="{{ asset('theme/img/picture.png') }}" alt="">
                                    </a>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>EZ Pass ID</label>
                                    {!! Form::text('ez_pass_id', old('ez_pass_id'), array('class' => 'form-control')) !!}
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>PrePass ID</label>
                                    {!! Form::text('prepass_id', old('prepass_id'), array('class' => 'form-control')) !!}
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>ELD Provider</label>
                                    {!! Form::text('eorb_provider', old('eorb_provider'), array('class' => 'form-control')) !!}
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>ELD ID</label>
                                    {!! Form::text('eorb_id', old('eorb_id'), array('class' => 'form-control')) !!}
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Camera Provider</label>
                                    {!! Form::text('camera_provider', old('camera_provider'), array('class' => 'form-control')) !!}
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Camera ID</label>
                                    {!! Form::text('camera_id', old('camera_id'), array('class' => 'form-control')) !!}
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Phys Dam. Ins. Carrier</label>
                                    {!! Form::text('phys_dam_ins_carrier', old('phys_dam_ins_carrier'), array('class' => 'form-control')) !!}
                                </div>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label>Start Date</label>
                                    {!! Form::text('phys_dam_start_date', old('phys_dam_start_date'), array('class' => 'form-control date', 'onPaste' => 'return false')) !!}
                                    <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                                </div>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label>Exp. Date</label>
                                    {!! Form::text('phys_dam_exp_date', old('phys_dam_exp_date'), array('class' => 'form-control date', 'onPaste' => 'return false')) !!}
                                    <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                                </div>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label>Insured Value</label>
                                    {!! Form::text('phys_dam_insured_value', old('phys_dam_insured_value'), array('class' => 'form-control date', 'onPaste' => 'return false')) !!}
                                    <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Attachment</label>
                                    <a href="#"  class="gallary-edit mr-4 form-control @if(getGalleryCount('trucks',$truck->id,'phys_dam_file')) bgr-blue @endif" data-id="{{$dummy_truck_id}}" data-source="trucks" data-field="phys_dam_file" data-toggle="modal" data-target="#galleryModal">Upload<img src="{{ asset('theme/img/picture.png') }}" alt="">
                                    </a>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Bobtail [NTL] Carrier</label>
                                    {!! Form::text('bobtail_carrier', old('bobtail_carrier'), array('class' => 'form-control')) !!}
                                </div>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label>Start Date</label>
                                    {!! Form::text('bobtail_carrier_start_date', old('bobtail_carrier_start_date'), array('class' => 'form-control date', 'onPaste' => 'return false')) !!}
                                    <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                                </div>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label>Exp. Date</label>
                                    {!! Form::text('bobtail_carrier_exp_date', old('bobtail_carrier_exp_date'), array('class' => 'form-control date', 'onPaste' => 'return false')) !!}
                                    <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                                </div>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label>Insured Value</label>
                                    {!! Form::text('bobtail_carrier_insured_value', old('bobtail_carrier_insured_value'), array('class' => 'form-control date', 'onPaste' => 'return false')) !!}
                                    <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Attachment</label>
                                    <a href="#" class="gallary-edit mr-4 form-control @if(getGalleryCount('trucks',$truck->id,'bobtail_carrier_file')) bgr-blue @endif" data-id="{{$dummy_truck_id}}" data-source="trucks" data-field="bobtail_carrier_file" data-toggle="modal" data-target="#galleryModal">Upload
                                        <img src="{{ asset('theme/img/picture.png') }}" alt="">
                                    </a>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Validate Coverage</label>
                                    <div class="row">
                                        <div class="col-md-3">
                                            <div class="custom-control custom-switch custom-switch-text">
                                                {!! Form::checkbox('physical_damage', 1, null, array('class' => 'custom-control-input', 'id' => 'physical_damage')) !!}
                                                <label class="custom-control-label" for="physical_damage">Physical Damage</label>
                                            </div>
                                        </div>
                                        <div class="col-md-3">
                                            <div class="custom-control custom-switch custom-switch-text">
                                                {!! Form::checkbox('auto_liability', 1, null, array('class' => 'custom-control-input', 'id' => 'auto_liability')) !!}
                                                <label class="custom-control-label" for="auto_liability">Auto Liability</label>
                                            </div>
                                        </div>
                                        <div class="col-md-3">
                                            <div class="custom-control custom-switch custom-switch-text">
                                                {!! Form::checkbox('bobtail', 1, null, array('class' => 'custom-control-input', 'id' => 'bobtail')) !!}
                                                <label class="custom-control-label" for="bobtail">Bobtail</label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="white-box mb-4 generalAccount">
                    <h4 class="box-title">Other Information</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Carrier</label>
                                    {!! Form::select('carrier_id', ['' => 'Carrier']+getCarrierList(), null, ['class' => 'custom-select select2 form-control']) !!}
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Terminal</label>
                                    {!! Form::select('terminal_id', ['' => 'Select Terminal']+getTerminalList(), old('terminal_id'), ['class' => 'form-control']) !!}
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Owner</label>
                                    <select name="owner_id" class="form-control select2">
                                        <option value="">Select Option</option>
                                        @if(!empty(getCarrierList()))
                                            <optgroup label="Carrier">
                                                @foreach (getCarrierList() as $nckey => $node)
                                                    <option value="carriers_{{ $nckey }}" {{ ($truck->owner_type == 1 && $truck->owner_id == $nckey) ? 'selected' : '' }}>{{ $node }}</option>
                                                @endforeach
                                            </optgroup>
                                        @endif
                                        @if(!empty(getTruckOwnerList()))
                                            <optgroup label="Truck Owner">
                                                @foreach (getTruckOwnerList() as $ntkey => $node)
                                                    <option value="truck_owners_{{ $ntkey }}" {{ ($truck->owner_type == 2 && $truck->owner_id == $ntkey) ? 'selected' : '' }}>{{ $node }}</option>
                                                @endforeach
                                            </optgroup>
                                        @endif
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Ownership</label>
                                    {!! Form::select('ownership', ['' => 'Select Ownership', '1' => 'Owned', '2' => 'Leased'], old('ownership'), ['class' => 'form-control ownership']) !!}
                                </div>
                            </div>
                            <div class="col-md-8">
                                <div class="row forleass" >
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Leasing Co</label>
                                            {!! Form::text('leasing_co', old('leasing_co'), array('class' => 'form-control')) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Lease Expiration Date</label>
                                            {!! Form::text('lease_expiration_date', old('lease_expiration_date'), array('class' => 'form-control date', 'onPaste' => 'return false')) !!}
                                            <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Attachment</label>
                                            <a href="#" class="gallary-edit mr-4 form-control @if(getGalleryCount('trucks',$truck->id,'lease_documents')) bgr-blue @endif" data-id="{{$dummy_truck_id}}" data-source="trucks" data-field="lease_documents" data-toggle="modal" data-target="#galleryModal">Upload
                                                <img src="{{ asset('theme/img/picture.png') }}" alt="">
                                            </a>
                                        </div>
                                    </div>
                                    <div class="col-md-5">
                                        <div class="form-group">
                                            <label>Copy of lease agreement</label>
                                            {!! Form::text('lease_agreement_title', old('lease_agreement_title'), array('class' => 'form-control')) !!}
                                        </div>
                                    </div>
                                    {{--
                                    <div class="col-md-1">
                                        <img src="{{ asset('theme/img/delete-icon.png') }}" alt="">
                                    </div>
                                    --}}
                                </div>
                                <div class="row forowner" >
                                    {{--
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <label>Owner</label>
                                            {!! Form::text('owner_name', old('owner_name'), array('class' => 'form-control')) !!}
                                        </div>
                                    </div>
                                    --}}
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Purchase Price</label>
                                            {!! Form::text('owner_purchase_price', old('owner_purchase_price'), array('class' => 'form-control')) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Purchase Date</label>
                                            {!! Form::text('owner_purchase_date', old('owner_purchase_date'), array('class' => 'form-control date', 'onPaste' => 'return false')) !!}
                                            <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Attachment</label>
                                            <a href="#" class="gallary-edit mr-4 form-control @if(getGalleryCount('trucks',$truck->id,'owner_documents')) bgr-blue @endif" data-id="{{$dummy_truck_id}}" data-source="trucks" data-field="owner_documents" data-toggle="modal" data-target="#galleryModal">Upload
                                                <img src="{{ asset('theme/img/picture.png') }}" alt="">
                                            </a>
                                        </div>
                                    </div>
                                    <div class="col-md-5">
                                        <div class="form-group">
                                            <label>Copy of owner agreement</label>
                                            {!! Form::text('owner_agreement_title', old('owner_agreement_title'), array('class' => 'form-control')) !!}
                                        </div>
                                    </div>
                                    {{--
                                    <div class="col-md-1">
                                        <img src="{{ asset('theme/img/delete-icon.png') }}" alt="">
                                    </div>
                                    --}}
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>FAI Due Date</label>
                                    {!! Form::text('fai_due_date', old('fai_due_date'), array('class' => 'form-control date', 'onPaste' => 'return false')) !!}
                                    <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>FAI Photo</label>
                                    <a href="#" class="gallary-edit mr-4 form-control @if(getGalleryCount('trucks',$truck->id,'fai_file')) bgr-blue @endif" data-id="{{$dummy_truck_id}}" data-source="trucks" data-field="fai_file" data-toggle="modal" data-target="#galleryModal">Upload
                                        <img src="{{ asset('theme/img/picture.png') }}" alt="">
                                    </a>
                                 </div>
                            </div>
                            <div class="col-md-5"></div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>KYU Due Date</label>
                                    {!! Form::text('kyu_due_date', old('kyu_due_date'), array('class' => 'form-control date', 'onPaste' => 'return false')) !!}
                                    <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>KYU Photo</label>
                                    <a href="#" class="gallary-edit mr-4 form-control @if(getGalleryCount('trucks',$truck->id,'kyu_file')) bgr-blue @endif" data-id="{{$dummy_truck_id}}" data-source="trucks" data-field="kyu_file" data-toggle="modal" data-target="#galleryModal">Upload
                                        <img src="{{ asset('theme/img/picture.png') }}" alt="">
                                    </a>
                                 </div>
                            </div>
                            <div class="col-md-5"></div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>2290 Date</label>
                                    {!! Form::text('2290_due_date', old('2290_due_date'), array('class' => 'form-control date', 'onPaste' => 'return false')) !!}
                                    <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>2290 Photo</label>
                                    <a href="#" class="gallary-edit mr-4 form-control @if(getGalleryCount('trucks',$truck->id,'2290_file')) bgr-blue @endif" data-id="{{$dummy_truck_id}}" data-source="trucks" data-field="2290_file" data-toggle="modal" data-target="#galleryModal">Upload
                                        <img src="{{ asset('theme/img/picture.png') }}" alt="">
                                    </a>
                                 </div>
                            </div>
                            <div class="col-md-5"></div>
                            <div class="col-md-5">
                                <div class="form-group">
                                    <label>NYHUT</label>
                                    {!! Form::text('nyhut', old('nyhut'), array('class' => 'form-control', 'autocomplete' => 'form-control', 'autocomplete' => 'new_email')) !!}
                                </div>
                            </div>
                            <div class="col-md-5">
                                <div class="form-group">
                                    <label>NYHUT Date</label>
                                    {!! Form::text('nyhut_date', old('nyhut_date'), array('class' => 'form-control date', 'id' => 'shipperDate', 'onPaste' => 'return false')) !!}
                                    <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                                 </div>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label>2290 Photo</label>
                                    <a href="#" class="gallary-edit mr-4 form-control @if(getGalleryCount('trucks',$truck->id,'nyhut_file')) bgr-blue @endif" data-id="{{$dummy_truck_id}}" data-source="trucks" data-field="nyhut_file" data-toggle="modal" data-target="#galleryModal">Upload
                                        <img src="{{ asset('theme/img/picture.png') }}" alt="">
                                    </a>
                                 </div>
                            </div>
                            <div class="col-md-5">
                                <div class="form-group">
                                    <label>CARB ID</label>
                                    {!! Form::text('carb_id', old('carb_id'), array('class' => 'form-control', 'autocomplete' => 'form-control', 'autocomplete' => 'new_email')) !!}
                                </div>
                            </div>
                            <div class="col-md-5">
                                <div class="form-group">
                                    <label>CARB ID Date</label>
                                    {!! Form::text('carb_id_date', old('carb_id_date'), array('class' => 'form-control date', 'id' => 'shipperDate', 'onPaste' => 'return false')) !!}
                                    <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                                 </div>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label>CARB ID Photo</label>
                                    <a href="#" class="gallary-edit mr-4 form-control @if(getGalleryCount('trucks',$truck->id,'carb_id_file')) bgr-blue @endif" data-id="{{$dummy_truck_id}}" data-source="trucks" data-field="carb_id_file" data-toggle="modal" data-target="#galleryModal">Upload
                                        <img src="{{ asset('theme/img/picture.png') }}" alt="">
                                    </a>
                                 </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="white-box mb-4 generalAccount">
                    <h4 class="box-title">Truck Specs</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Weight</label>
                                    {!! Form::text('weight', old('weight'), array('class' => 'form-control')) !!}
                                 </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Max Load Weight</label>
                                    {!! Form::text('max_load_weight', old('max_load_weight'), array('class' => 'form-control')) !!}
                                 </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Fuel Capacity</label>
                                    {!! Form::text('fuel_capacity', old('fuel_capacity'), array('class' => 'form-control')) !!}
                                 </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Axles</label>
                                    {!! Form::text('axles', old('axles'), array('class' => 'form-control')) !!}
                                 </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Tire Size</label>
                                    {!! Form::text('tire_size', old('tire_size'), array('class' => 'form-control')) !!}
                                 </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Wheel Size</label>
                                    {!! Form::text('wheel_size', old('wheel_size'), array('class' => 'form-control')) !!}
                                 </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Fuel Type</label>
                                    {!! Form::text('fuel_type', old('fuel_type'), array('class' => 'form-control')) !!}
                                 </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Fuel Capacity</label>
                                    {!! Form::text('tuel_capacity', old('tuel_capacity'), array('class' => 'form-control')) !!}
                                 </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Fuel Capacity</label>
                                    {!! Form::text('fuel_capacity', old('fuel_capacity'), array('class' => 'form-control')) !!}
                                 </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="white-box mb-4 generalAccount">
                    <h4 class="box-title clear-btn">Truck Metrics<button type="button" class="update-data"><i class="fa fa-download"></i> Update from ELD</button></h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Odometer</label>
                                    {!! Form::text('odometer', old('odometer'), array('class' => 'form-control')) !!}
                                 </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Engine Hours</label>
                                    {!! Form::text('engine_hours', old('engine_hours'), array('class' => 'form-control')) !!}
                                 </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="white-box mb-4 generalAccount">
                    <h4 class="box-title">
                        Last Location
                        <span class="float-right">
                            @if(!is_null($truck->current_load))
                                Current Load:
                                <a href="{{(!is_null($truck->current_load)) ? route('company.admin.loads.show', base64Encode($truck->current_load['id'])) : 'javascript:void(0);'}}" target="_blank">{{(!is_null($truck->current_load)) ? $truck->current_load['load_number'] : ''}}</a>
                            @endif
                        </span>
                    </h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-8">
                                <div class="form-group">
                                    <label>Location Name</label>
                                    {!! Form::text('last_location_name', old('last_location_name'), array('class' => 'form-control', 'autocomplete' => 'new')) !!}
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Load Status</label>
                                    <div class="row">
                                        <div class="col-sm-3">
                                            <div class="custom-control custom-radio">
                                                {!! Form::radio('last_location_load_status', 0, null, array('class' => 'custom-control-input', 'id' => 'last_location_load_empty')) !!}
                                                <label class="custom-control-label" for="last_location_load_empty">Empty</label>
                                            </div>
                                        </div>
                                        <div class="col-sm-3 pl-5">
                                            <div class="custom-control custom-radio">
                                                {!! Form::radio('last_location_load_status', 1, null, array('class' => 'custom-control-input', 'id' => 'last_location_load_loaded')) !!}
                                                <label class="custom-control-label" for="last_location_load_loaded">Loaded</label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12 geocoding">
                                <input type="hidden" class="geocoding-latitude" name="last_location_latitude" value="{{ (isset($truck->last_location_latitude)) ? $truck->last_location_latitude : '' }}" autocomplete="off">
                                <input type="hidden" class="geocoding-longitude" name="last_location_longitude" value="{{ (isset($truck->last_location_longitude)) ? $truck->last_location_longitude : '' }}" autocomplete="off">
                                <input type="hidden" class="geocoding-abbr" name="last_location_timezone_abbr" value="{{ (isset($truck->last_location_timezone_abbr)) ? $truck->last_location_timezone_abbr : '' }}" autocomplete="off" data-parsley-errors-container="#last_location_timezone_abbr-errors" data-parsley-required-message="Please verify address" required>
                                <input type="hidden" class="geocoding-verified" name="last_location_address_verified" value="{{ (isset($truck->last_location_address_verified)) ? $truck->last_location_address_verified : '0' }}" autocomplete="off">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Address<span>*</span></label>
                                            {!! Form::text('last_location_address', old('last_location_address'), array(
                                                    'class'         => 'form-control geocoding-address-1',
                                                    'placeholder'   => '',
                                                    'id'            => 'address',
                                                    'required'      => 'required'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Address 2</label>
                                            {!! Form::text('last_location_address_2', old('last_location_address_2'), array(
                                                    'class'         => 'form-control geocoding-address-2',
                                                    'placeholder'   => '',
                                                    'id'            => 'address_2'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>City</label>
                                            {!! Form::text('last_location_city', old('last_location_city'), array(
                                                    'class'         => 'form-control geocoding-city',
                                                    'placeholder'   => '',
                                                    'id'            => 'city'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>State<span>*</span></label>
                                            {!! Form::text('last_location_state', old('last_location_state'), array(
                                                    'class'         => 'form-control geocoding-state',
                                                    'placeholder'   => '',
                                                    'id'            => 'state',
                                                    'required'      => 'required'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Zip<span>*</span></label>
                                            {!! Form::text('last_location_zip', old('last_location_zip'), array(
                                                    'class'         => 'form-control geocoding-zip',
                                                    'placeholder'   => '',
                                                    'id'            => 'zip',
                                                    'required'      => 'required'
                                                )
                                            ) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        @if(isset($truck->last_location_address_verified) && $truck->last_location_address_verified == '1')
                                            <button type="button" class="btn btn-success geocoding-btn" data-uid="{{ 'map-'.generateStrUniqueId() }}">Verified</button>
                                        @else
                                            <button type="button" class="btn btn-warning geocoding-btn" data-uid="{{ 'map-'.generateStrUniqueId() }}">Verify</button>
                                        @endif
                                        <div id="last_location_timezone_abbr-errors"></div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Notes</label>
                                    {!! Form::textarea('last_location_notes', old('last_location_notes'), array('placeholder' => 'Type your note...', 'class' => 'form-control', 'rows' => '4')) !!}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="white-box mb-4 generalAccount">
                    <h4 class="box-title">Status</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Current Status</label>
                                    {!! Form::select('status', ['' => 'Select Status', '1' => 'Available', '2' => 'OOS (DOT)', '3' => 'OOS (Mech)'], null, ['class' => 'custom-select select2 form-control']) !!}
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Truck Photo</label>
                                    {!! Form::file('truck_image', ['class' => 'form-control']) !!}
                                </div>
                                @if(isset($truck->truck_image) && !empty($truck->truck_image))
                                    <a href="{{ asset('storage/companyAdmin/truck') }}/{{$truck->truck_image}}" target="_blank"><img src="{{ asset('theme/img/picture.png') }}" alt=""> Click To Open</a>
                                @endif
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12">
                <div class="white-box mb-4 load-status">
                    <h4 class="box-title clear-btn mt-1 pb-3">Maintenance Logs <a data-toggle="collapse" href="#collapseExample" role="button" aria-expanded="false" aria-controls="collapseExample" style="font-size: 14px;">Click to Open</a></h4>
                    <div class="box-padding collapse" id="collapseExample">
                        <div class="row">
                            <div class="col-md-8">
                                <div class="table-responsive" id="loadfile">
                                </div>
                            </div>
                            <div class="col-md-4 mb-3">
                                <div class="row">
                                    <div class="col-xl-12">
                                        <div class="form-group">
                                            <label>Due On</label>
                                            <div class="row">
                                                <div class="col-sm-3">
                                                    <div class="custom-control custom-radio">
                                                        <input type="radio" name="due_on" class="custom-control-input" value="date" id="due_on_date" >
                                                        <label class="custom-control-label" for="due_on_date">Date</label>
                                                    </div>
                                                </div>
                                                <div class="col-sm-3">
                                                    <div class="custom-control custom-radio">
                                                        <input type="radio" name="due_on" class="custom-control-input" value="miles" id="due_on_miles" >
                                                        <label class="custom-control-label" for="due_on_miles">Millage</label>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group due_on_date">
                                    <label>Due Date</label>
                                    <input type="text" class="form-control date" name="due_date" />
                                </div>
                                <div class="form-group due_on_miles">
                                    <label>Millage</label>
                                    <input type="number" class="form-control" name="due_miles" />
                                </div>
                                <div class="form-group due_on_date">
                                    <label>Completed Date</label>
                                    <input type="text" class="form-control date" name="completed_date" />
                                </div>
                                <div class="form-group due_on_miles">
                                    <label>Miles At Completion</label>
                                    <input type="number" class="form-control" name="miles_at_completion" />
                                </div>
                                <div class="form-group">
                                    <label>Description</label>
                                    <textarea class="form-control" name="description"></textarea>
                                </div>
                                <div class="row">
                                    <div class="col-xl-12">
                                        <div class="form-group">
                                            <label>Waranty On</label>
                                            <div class="row">
                                                <div class="col-sm-6">
                                                    <div class="custom-control custom-radio">
                                                        <input type="radio" name="waranty_on" class="custom-control-input" value="date" id="waranty_on_date" >
                                                        <label class="custom-control-label" for="waranty_on_date">Date</label>
                                                    </div>
                                                </div>
                                                <div class="col-sm-6">
                                                    <div class="custom-control custom-radio">
                                                        <input type="radio" name="waranty_on" class="custom-control-input" value="miles" id="waranty_on_miles" >
                                                        <label class="custom-control-label" for="waranty_on_miles">Millage</label>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group waranty_on_date">
                                    <label>Expiration Date</label>
                                    <input type="text" class="form-control date" name="waranty_date" />
                                </div>
                                <div class="form-group waranty_on_miles">
                                    <label>Expiration Millage</label>
                                    <input type="number" class="form-control" name="waranty_miles" />
                                </div>
                                <div class="row">
                                    <div class="col-xl-12">
                                        <div class="form-group">
                                            <label>Upload File</label>
                                            <div class="row">
                                                <div class="col-sm-6">
                                                    <input type="text" class="form-control" name="file_name" placeholder="File Name">
                                                </div>
                                                <div class="col-sm-6 pl-0">
                                                    <input type="file" name="myfile" class="form-control" accept="image/png,image/gif,image/jpeg,application/pdf,application/vnd.ms-excel" multiple >
                                                </div>
                                            </div>
                                            <div class="row mt-1 fileda1" style="display:none;">
                                                <div class="col-sm-6">
                                                    <input type="text" class="form-control" name="file_name1" placeholder="File Name">
                                                </div>
                                                <div class="col-sm-6 pl-0">
                                                    <input type="file" name="myfile1" class="form-control" accept="image/png,image/gif,image/jpeg,application/pdf,application/vnd.ms-excel" multiple >
                                                </div>
                                            </div>
                                            <div class="row mt-1 fileda2" style="display:none;">
                                                <div class="col-sm-6">
                                                    <input type="text" class="form-control" name="file_name2" placeholder="File Name">
                                                </div>
                                                <div class="col-sm-6 pl-0">
                                                    <input type="file" name="myfile2" class="form-control" accept="image/png,image/gif,image/jpeg,application/pdf,application/vnd.ms-excel" multiple >
                                                </div>
                                            </div>
                                            <div class="row mt-1 fileda3" style="display:none;">
                                                <div class="col-sm-6">
                                                    <input type="text" class="form-control" name="file_name3" placeholder="File Name">
                                                </div>
                                                <div class="col-sm-6 pl-0">
                                                    <input type="file" name="myfile3" class="form-control" accept="image/png,image/gif,image/jpeg,application/pdf,application/vnd.ms-excel" multiple >
                                                </div>
                                            </div>
                                            <div class="row mt-1 fileda4" style="display:none;">
                                                <div class="col-sm-6">
                                                    <input type="text" class="form-control" name="file_name4" placeholder="File Name">
                                                </div>
                                                <div class="col-sm-6 pl-0">
                                                    <input type="file" name="myfile4" class="form-control" accept="image/png,image/gif,image/jpeg,application/pdf,application/vnd.ms-excel" multiple >
                                                </div>
                                            </div>
                                            <div class="row mt-1 fileda5" style="display:none;">
                                                <div class="col-sm-6">
                                                    <input type="text" class="form-control" name="file_name5" placeholder="File Name">
                                                </div>
                                                <div class="col-sm-6 pl-0">
                                                    <input type="file" name="myfile5" class="form-control" accept="image/png,image/gif,image/jpeg,application/pdf,application/vnd.ms-excel" multiple >
                                                </div>
                                            </div>
                                            <div class="row mt-1 fileda6" style="display:none;">
                                                <div class="col-sm-6">
                                                    <input type="text" class="form-control" name="file_name6" placeholder="File Name">
                                                </div>
                                                <div class="col-sm-6 pl-0">
                                                    <input type="file" name="myfile6" class="form-control" accept="image/png,image/gif,image/jpeg,application/pdf,application/vnd.ms-excel" multiple >
                                                </div>
                                            </div>
                                            <div class="row mt-1 fileda7" style="display:none;">
                                                <div class="col-sm-6">
                                                    <input type="text" class="form-control" name="file_name7" placeholder="File Name">
                                                </div>
                                                <div class="col-sm-6 pl-0">
                                                    <input type="file" name="myfile7" class="form-control" accept="image/png,image/gif,image/jpeg,application/pdf,application/vnd.ms-excel" multiple >
                                                </div>
                                            </div>
                                            <div class="row mt-1 fileda8" style="display:none;">
                                                <div class="col-sm-6">
                                                    <input type="text" class="form-control" name="file_name8" placeholder="File Name">
                                                </div>
                                                <div class="col-sm-6 pl-0">
                                                    <input type="file" name="myfile8" class="form-control" accept="image/png,image/gif,image/jpeg,application/pdf,application/vnd.ms-excel" multiple >
                                                </div>
                                            </div>
                                            <div class="row mt-1 fileda9" style="display:none;">
                                                <div class="col-sm-6">
                                                    <input type="text" class="form-control" name="file_name9" placeholder="File Name">
                                                </div>
                                                <div class="col-sm-6 pl-0">
                                                    <input type="file" name="myfile9" class="form-control" accept="image/png,image/gif,image/jpeg,application/pdf,application/vnd.ms-excel" multiple >
                                                </div>
                                            </div>
                                            <div class="row mt-1 fileda10" style="display:none;">
                                                <div class="col-sm-6">
                                                    <input type="text" class="form-control" name="file_name10" placeholder="File Name">
                                                </div>
                                                <div class="col-sm-6 pl-0">
                                                    <input type="file" name="myfile10" class="form-control" accept="image/png,image/gif,image/jpeg,application/pdf,application/vnd.ms-excel" multiple >
                                                </div>
                                            </div>
                                        </div>
                                        <a class="eaddmoere" href="javascript:void(0)" data-id="1">Add More+</a>
                                    </div>
                                </div>
                                <button class="green-btn notes-btn w-100" id="uploadFIle">Upload</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="button-bottom">
            <a href="{{ route('company.admin.trucks.index') }}" class="cancel-btn">Cancel</a>
            <button class="submit-btn">Submit</button>
        </div>
    {!! Form::close() !!}
@endsection

@section('script')
    <script src="{{ asset('theme/js/moment.min.js') }}"></script>
    <script src="{{ asset('theme/js/bootstrap-datepicker.js') }}"></script>
    <script src="{{ asset('theme/js/select2.full.min.js') }}"></script>
    <script src="{{ asset('theme/js/charts-loader.js') }}"></script>
    <script type="text/javascript">
        $('.store-form').parsley();

        $('.select2').select2();
        $('.date').datepicker({
            autoclose: true,
            todayHighlight: true,
        });

        $(".forleass").hide(300);
        $(".forowner").hide(300);

        var ownership = $('.ownership').find(":selected").val();
        if(ownership == '1'){
            $(".forowner").show(300);
        }
        if(ownership == '2'){
            $(".forleass").show(300);
        }

        $("body").on("change",".ownership",function(e){
            $(".forleass").hide(300);
            $(".forowner").hide(300);

           var value = this.value;
           if(value == '1'){
                $(".forowner").show(300);
           }
           if(value == '2'){
                $(".forleass").show(300);
           }
        });


        var loadimg = "{{ asset('theme/img/loading.gif') }}";
        $("#loadfile").html('<div class="loadingdiv"><img src="'+loadimg+'" /></div>');

        $(document).ready(function() {
            $(".eaddmoere").click(function() {
                var dataid = $(".eaddmoere").attr('data-id');
                $(".fileda"+dataid).show(300);

                if(dataid == 10){
                    $(".eaddmoere").hide(300);
                }
                var adone = parseInt(dataid) + 1;
                $(".eaddmoere").attr('data-id',adone);
            });

            $(".due_on_miles").hide();
            $(".due_on_date").hide();
            $("input[name=due_on]").on('change', function() {
                var value = this.value;
                $(".due_on_miles").hide();
                $(".due_on_date").hide();
                if(value == 'date'){
                    $(".due_on_date").show(300);
                }
                if(value == 'miles'){
                    $(".due_on_miles").show(300);
                }
            });

            $(".waranty_on_date").hide();
            $(".waranty_on_miles").hide();
            $("input[name=waranty_on]").on('change', function() {
                var value = this.value;
                $(".waranty_on_date").hide();
                $(".waranty_on_miles").hide();
                if(value == 'date'){
                    $(".waranty_on_date").show(300);
                }
                if(value == 'miles'){
                    $(".waranty_on_miles").show(300);
                }
            });

            $("#uploadFIle").click(function(e) {
                e.preventDefault();

                var token               = $('meta[name="csrf-token"]').attr('content');

                var due_on              = $('input[name="due_on"]:checked').val();
                var due_date            = $('input[name="due_date"]').val();
                var due_miles           = $('input[name="due_miles"]').val();
                var completed_date      = $('input[name="completed_date"]').val();
                var miles_at_completion = $('input[name="miles_at_completion"]').val();
                var description         = $('textarea[name="description"]').val();
                var waranty_on          = $('input[name="waranty_on"]:checked').val();
                var waranty_date        = $('input[name="waranty_date"]').val();
                var waranty_miles       = $('input[name="waranty_miles"]').val();

                var file_name           = $('input[name="file_name"]').val();
                var myfile              = $('input[name="myfile"]').get()[0].files[0];

                var file_name1          = $('input[name="file_name1"]').val();
                var myfile1             = $('input[name="myfile1"]').get()[0].files[0];
                var file_name2          = $('input[name="file_name2"]').val();
                var myfile2             = $('input[name="myfile2"]').get()[0].files[0];
                var file_name3          = $('input[name="file_name3"]').val();
                var myfile3             = $('input[name="myfile3"]').get()[0].files[0];
                var file_name4          = $('input[name="file_name4"]').val();
                var myfile4             = $('input[name="myfile4"]').get()[0].files[0];
                var file_name5          = $('input[name="file_name5"]').val();
                var myfile5             = $('input[name="myfile5"]').get()[0].files[0];
                var file_name6          = $('input[name="file_name6"]').val();
                var myfile6             = $('input[name="myfile6"]').get()[0].files[0];
                var file_name7          = $('input[name="file_name7"]').val();
                var myfile7             = $('input[name="myfile7"]').get()[0].files[0];
                var file_name8          = $('input[name="file_name8"]').val();
                var myfile8             = $('input[name="myfile8"]').get()[0].files[0];
                var file_name9          = $('input[name="file_name9"]').val();
                var myfile9             = $('input[name="myfile9"]').get()[0].files[0];
                var file_name10         = $('input[name="file_name10"]').val();
                var myfile10            = $('input[name="myfile10"]').get()[0].files[0];

                if (!$('input[name="due_on"]').is(':checked')){
                    toastr.error('Please select Due on any one option.', 'Error Alert', {timeOut: 5000})
                    return false;
                }
                if (description.length == '' || description == null){
                    toastr.error('Please enter description.', 'Error Alert', {timeOut: 5000})
                    return false;
                }
                if (!$('input[name="waranty_on"]').is(':checked')){
                    toastr.error('Please select waranty option any one option.', 'Error Alert', {timeOut: 5000})
                    return false;
                }

                $("#loadfile").html('<div class="loadingdiv"><img src="'+loadimg+'" /></div>');


                var dataimg             = new FormData();
                dataimg.append('_token', token);
                dataimg.append('truck_id', '<?php echo $truck->id; ?>');
                dataimg.append('due_on', due_on);
                dataimg.append('due_date', due_date);
                dataimg.append('due_miles', due_miles);
                dataimg.append('completed_date', completed_date);
                dataimg.append('miles_at_completion', miles_at_completion);
                dataimg.append('description', description);
                dataimg.append('waranty_on', waranty_on);
                dataimg.append('waranty_date', waranty_date);
                dataimg.append('waranty_miles', waranty_miles);
                dataimg.append('file_name', file_name);
                dataimg.append('myfile', myfile);
                dataimg.append('file_name1', file_name1);
                dataimg.append('myfile1', myfile1);
                dataimg.append('file_name1', file_name1);
                dataimg.append('myfile1', myfile1);
                dataimg.append('file_name2', file_name2);
                dataimg.append('myfile2', myfile2);
                dataimg.append('file_name3', file_name3);
                dataimg.append('myfile3', myfile3);
                dataimg.append('file_name4', file_name4);
                dataimg.append('myfile4', myfile4);
                dataimg.append('file_name5', file_name5);
                dataimg.append('myfile5', myfile5);
                dataimg.append('file_name6', file_name6);
                dataimg.append('myfile6', myfile6);
                dataimg.append('file_name7', file_name7);
                dataimg.append('myfile7', myfile7);
                dataimg.append('file_name8', file_name8);
                dataimg.append('myfile8', myfile8);
                dataimg.append('file_name9', file_name9);
                dataimg.append('myfile9', myfile9);
                dataimg.append('file_name10', file_name10);
                dataimg.append('myfile10', myfile10);

                $.ajax({
                    url: "{{ route('company.admin.truck.maintenance-data.save') }}",
                    method: "POST",
                    contentType: false,
                    cache: false,
                    processData:false,
                    data: dataimg,
                    success: function(response) {
                        if(response == 1){
                            toastr.success('File upload successfully', 'Success Alert', {timeOut: 5000})
                            getMaintenanceData();
                            $('#selectfiletype').prop('selectedIndex',0);
                            $('#filenote').val('');
                            $('#myfile').val('');
                            $('.drop-zone').prepend('<span class="drop-zone__prompt">Drag and drop file here or click to browse</span>');
                            $('.drop-zone__thumb').remove();
                        }else{
                            toastr.success('Upload file not supported', 'Error Alert', {timeOut: 5000})
                            getMaintenanceData();
                        }
                    }
               });
            });
        });

        function getMaintenanceData() {
            var token            = $('meta[name="csrf-token"]').attr('content');
            $.ajax({
                url: "{{ route('company.admin.get.truck.maintenance.data') }}",
                method: "POST",
                data: { _token : token , id : <?php echo $truck->id; ?>},
                success: function(response) {
                    $("#loadfile").html(response.view);
                }
           });
        }

        getMaintenanceData();

        $(".update-data").click(function(e){
            e.preventDefault();
            $("button.update-data").html('<img src="'+loadimg+'" width="25" /> Fetching Data');
            var token       = $('meta[name="csrf-token"]').attr('content');
            var vin_number  = $("input[name='vin_number']").val();
            var carrier_id  = $("input[name='carrier_id']").val();
            if(vin_number){
                $.ajax({
                    url: "{{ route('company.admin.get.truck.sync.vehicles.data') }}",
                    method: "POST",
                    data: { _token : token, vin_number : vin_number, carrier_id: carrier_id },
                    success: function(response) {
                        var data = response.data.data;
                        if(data){
                            $("input[name='unit']").val(data.name);
                            $("input[name='make']").val(data.make);
                            $("input[name='model']").val(data.model);
                            $("input[name='year']").val(data.year);

                            $("input[name='eorb_provider']").val('samsara');
                            $("input[name='eorb_id']").val(data.id);
                            $("input[name='tag_number']").val(data.licensePlate);

                            $("input[name='odometer']").val(response.OdometerMeters);
                            $("input[name='engine_hours']").val(response.EngineSeconds);
                            toastr.success('Samsara data successfully updated.', 'Success Alert', {timeOut: 5000})
                        }else{
                            toastr.error("Vin number doesn't match with samsara registration.", 'Error Alert', {timeOut: 5000})
                        }
                        $("button.update-data").html('<i class="fa fa-download"></i> Update from ELD');
                    },
                    error: function (error) {
                        $("button.update-data").html('<i class="fa fa-download"></i> Update from ELD');
                        toastr.error("Vin number doesn't match with samsara registration.", 'Error Alert', {timeOut: 5000})
                    },
                });
            }else{
                toastr.error('Please enter vin number.', 'Error Alert', {timeOut: 5000})
            }
        });
    </script>
@endsection

@push('after-scripts')
    <script src="{{ asset('theme/js/trimble.js') }}"></script>
@endpush
