@extends($companyAdminTheme)

@section('title')
    Vendor Edit
@endsection

@section('style')
    <link rel="stylesheet" href="{{ asset('theme/css/select2.min.css') }}">
    <style type="text/css">
        .form-group img {position: relative;right: auto;bottom: auto;}
        .select2-container{
            width: 100% !important;
        }
        .select2-container .select2-selection--single{
            height: 35px;
        }
        .select2-container--default .select2-selection--single{
            border: 1px solid #C5CEE0;
        }
        .select2-container--default .select2-selection--single .select2-selection__rendered{
            line-height: 34px;
        }
        .select2-container--default .select2-selection--single .select2-selection__arrow{
            height: 31px;
        }
    </style>
@endsection

@section('content')
    <div class="row">
        {!! Form::model($vendor,array(
                'route'     => ['company.admin.vendors.update',$vendor->id],
                'method'    => 'PATCH',
                'files'     => 'true',
                'class'     => 'update-form'
            )
        ) !!}
            <div class="col-lg-12">
                <div class="row">
                    <div class="col-lg-6">
                        <div class="white-box mb-4 generalAccount">
                            <h4 class="box-title">Vendor Information</h4>
                            <div class="box-padding">
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <label>Vendor Name<span>*</span></label>
                                            {!! Form::text('name', old('name'), array('class' => 'form-control', 'autocomplete' => 'new', 'required' => 'required', 'data-parsley-pattern' => '^[a-zA-Z ]*$')) !!}
                                            @error('name')
                                                <span class="text-danger" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="col-md-12 geocoding">
                                        <input type="hidden" class="geocoding-latitude" name="latitude" value="{{ isset($vendor->latitude)?$vendor->latitude:'' }}" autocomplete="off">
                                        <input type="hidden" class="geocoding-longitude" name="longitude" value="{{ isset($vendor->longitude)?$vendor->longitude:'' }}" autocomplete="off">
                                        <input type="hidden" class="geocoding-abbr" name="timezone_abbr" value="{{ isset($vendor->timezone_abbr)?$vendor->timezone_abbr:'' }}" autocomplete="off" data-parsley-errors-container="#timezone_abbr-errors" data-parsley-required-message="Please verify address" required>
                                        <input type="hidden" class="geocoding-verified" name="address_verified" value="{{ isset($vendor->address_verified)?$vendor->address_verified:'0' }}" autocomplete="off">
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>Address<span>*</span></label>
                                                    {!! Form::text('address', old('address'), array(
                                                            'class'         => 'form-control geocoding-address-1',
                                                            'placeholder'   => '',
                                                            'id'            => 'address',
                                                            'required'      => 'required'
                                                        )
                                                    ) !!}
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>Address 2</label>
                                                    {!! Form::text('address_2', old('address_2'), array(
                                                            'class'         => 'form-control geocoding-address-2',
                                                            'placeholder'   => '',
                                                            'id'            => 'address_2'
                                                        )
                                                    ) !!}
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>City</label>
                                                    {!! Form::text('city', old('city'), array(
                                                            'class'         => 'form-control geocoding-city',
                                                            'placeholder'   => '',
                                                            'id'            => 'city'
                                                        )
                                                    ) !!}
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>State<span>*</span></label>
                                                    {!! Form::text('state', old('state'), array(
                                                            'class'         => 'form-control geocoding-state',
                                                            'placeholder'   => '',
                                                            'id'            => 'state',
                                                            'required'      => 'required'
                                                        )
                                                    ) !!}
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>Zip<span>*</span></label>
                                                    {!! Form::text('zip', old('zip'), array(
                                                            'class'         => 'form-control geocoding-zip',
                                                            'placeholder'   => '',
                                                            'id'            => 'zip',
                                                            'required'      => 'required'
                                                        )
                                                    ) !!}
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                @if(isset($vendor->address_verified) && $vendor->address_verified=='1')
                                                    <button type="button" class="btn btn-success geocoding-btn" data-uid="{{ 'map-'.generateStrUniqueId() }}">Verified</button>
                                                @else
                                                    <button type="button" class="btn btn-warning geocoding-btn" data-uid="{{ 'map-'.generateStrUniqueId() }}">Verify</button>
                                                @endif
                                                <div id="timezone_abbr-errors"></div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Phone</label>
                                            {!! Form::text('phone', old('phone'), array('class' => 'form-control phone')) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Email</label>
                                            {!! Form::email('email', old('email'), array('class' => 'form-control')) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Fax</label>
                                            {!! Form::text('fax', old('fax'), array('class' => 'form-control')) !!}
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-6">
                        <div class="white-box mb-4 generalAccount">
                            <h4 class="box-title">Business Information</h4>
                            <div class="box-padding">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Account Number</label>
                                            {!! Form::text('account_number', old('account_number'), array('class' => 'form-control')) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Tax ID</label>
                                            {!! Form::text('tax_id', old('tax_id'), array('class' => 'form-control')) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <label>Vendor Website</label>
                                            {!! Form::text('website', old('website'), array('class' => 'form-control')) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <div class="drop-zone">
                                                <span class="drop-zone__prompt">Drag and drop file here or click to browse</span>
                                                <input type="file" name="logo" class="drop-zone__input" accept="image/png,image/gif,image/jpeg" >
                                            </div>
                                        </div>
                                    </div>
                                    @if(isset($vendor->logo) && $vendor->logo!='' && file_exists(public_path('storage/companyAdmin/vendors/').$vendor->logo))
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <a href="{{ asset('storage/companyAdmin/vendors/'.$vendor->logo) }}" target="_blank">
                                                    <img src="{{ asset('storage/companyAdmin/vendors/'.$vendor->logo) }}" width="150px" class="img-fluid" />
                                                </a>
                                            </div>
                                            <div class="form-group">
                                                <div class="custom-control custom-checkbox">
                                                    {!! Form::checkbox('remove_image', 1, null, array('class' => 'custom-control-input self-dispatch', 'id' => 'remove_image')) !!}
                                                    <label class="custom-control-label" for="remove_image"><!-- Is Remove --><img src="{{ asset('theme/img/delete-icon.png') }}" alt="delete"></label>
                                                </div>
                                            </div>
                                        </div>
                                    @endif
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-6">
                        <div class="white-box mb-4 generalAccount">
                            <h4 class="box-title">Payments</h4>
                            <div class="box-padding">
                                <div class="row">
                                    <div class="col-md-12 text-right">
                                        <div class="custom-control custom-checkbox">
                                            <input type="checkbox" class="custom-control-input" id="sameaddress"><label class="custom-control-label" for="sameaddress">Same as above</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <label>Pay to Name</label>
                                            {!! Form::text('bill_to_name', old('bill_to_name'), array('class' => 'form-control')) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-12 geocoding">
                                        <input type="hidden" class="geocoding-latitude" name="billing_latitude" value="{{ isset($vendor->billing_latitude)?$vendor->billing_latitude:'' }}" autocomplete="off">
                                        <input type="hidden" class="geocoding-longitude" name="billing_longitude" value="{{ isset($vendor->billing_longitude)?$vendor->billing_longitude:'' }}" autocomplete="off">
                                        <input type="hidden" class="geocoding-abbr" name="billing_timezone_abbr" value="{{ isset($vendor->billing_timezone_abbr)?$vendor->billing_timezone_abbr:'' }}" autocomplete="off" data-parsley-errors-container="#billing_timezone_abbr-errors" data-parsley-required-message="Please verify address" required>
                                        <input type="hidden" class="geocoding-verified" name="billing_address_verified" value="{{ isset($vendor->billing_address_verified)?$vendor->billing_address_verified:'0' }}" autocomplete="off">
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>Pay Address<span>*</span></label>
                                                    {!! Form::text('billing_address', old('billing_address'), array(
                                                            'class'         => 'form-control geocoding-address-1',
                                                            'placeholder'   => '',
                                                            'id'            => 'billing_address',
                                                            'required'      => 'required'
                                                        )
                                                    ) !!}
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>Pay Address 2</label>
                                                    {!! Form::text('billing_address_2', old('billing_address_2'), array(
                                                            'class'         => 'form-control geocoding-address-2',
                                                            'placeholder'   => '',
                                                            'id'            => 'billing_address_2'
                                                        )
                                                    ) !!}
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>Pay City</label>
                                                    {!! Form::text('billing_city', old('billing_city'), array(
                                                            'class'         => 'form-control geocoding-city',
                                                            'placeholder'   => '',
                                                            'id'            => 'billing_city'
                                                        )
                                                    ) !!}
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>Pay State<span>*</span></label>
                                                    {!! Form::text('billing_state', old('billing_state'), array(
                                                            'class'         => 'form-control geocoding-state',
                                                            'placeholder'   => '',
                                                            'id'            => 'billing_state',
                                                            'required'      => 'required'
                                                        )
                                                    ) !!}
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>Pay Zip<span>*</span></label>
                                                    {!! Form::text('billing_zip', old('billing_zip'), array(
                                                            'class'         => 'form-control geocoding-zip',
                                                            'placeholder'   => '',
                                                            'id'            => 'billing_zip',
                                                            'required'      => 'required'
                                                        )
                                                    ) !!}
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                @if(isset($vendor->billing_address_verified) && $vendor->billing_address_verified=='1')
                                                    <button type="button" class="btn btn-success geocoding-btn" data-uid="{{ 'map-'.generateStrUniqueId() }}">Verified</button>
                                                @else
                                                    <button type="button" class="btn btn-warning geocoding-btn" data-uid="{{ 'map-'.generateStrUniqueId() }}">Verify</button>
                                                @endif
                                                <div id="billing_timezone_abbr-errors"></div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Accounting Phone</label>
                                            {!! Form::text('billing_phone', old('billing_phone'), array('class' => 'form-control phone')) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Accounting Email</label>
                                            {!! Form::email('billing_email', old('billing_email'), array('class' => 'form-control')) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Accounting Extention</label>
                                            {!! Form::text('billing_extention', old('billing_extention'), array('class' => 'form-control')) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Accounting Fax</label>
                                            {!! Form::text('billing_fax', old('billing_fax'), array('class' => 'form-control')) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Payment Method</label>
                                            {!! Form::text('billing_method', old('billing_method'), array('class' => 'form-control')) !!}
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Default Payment Terms</label>
                                            {!! Form::select('payment_terms', ['' => 'Select Payment Tearms']+getPaymentTerms(), request()->get('payment_terms'), ['class' => 'custom-select form-control']) !!}
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-6">
                        <div class="white-box mb-4 generalAccount">
                            <h4 class="box-title">Required Documents</h4>
                            <div class="box-padding">
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <label>About Vendor</label>
                                            {!! Form::textarea('description', old('description'), array('class' => 'form-control')) !!}
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        {!! Form::close() !!}
        <div class="col-lg-12">
            <div class="white-box mb-4 load-status generalAccount">
                <form action="{{ route('company.admin.notes.store')}}" method="post" enctype="multipart/form-data" class="notesave">
                @csrf
                <input type="hidden" name="action_id" value="{{$vendor->id}}" />
                <input type="hidden" name="action_type" value="vendors" />
                <input type="hidden" name="created_by" value="{{ auth()->guard('company-admin')->user()->id }}">
                <input type="hidden" name="created_by_type" value="{{ auth()->guard('company-admin')->user()->type }}">
                    <h4 class="box-title clear-btn">Communications</h4>
                    <div class="box-padding">
                        <div class="row align-items-center">
                            <div class="col-md-12 mt-1">
                                <div class="row">
                                    <div class="col-md-2">
                                        <div class="form-group">
                                            <select class="custom-select form-control" id="NoteType" name="type">
                                                <option value="">Select Note Type</option>
                                                @if(count(getNoteType()))
                                                    @foreach (getNoteType() as $key => $NoteType)
                                                        <option value="{{ $key }}">{{ $NoteType }}</option>
                                                    @endforeach
                                                @endif
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-2">
                                        <div class="form-group">
                                            <select class="custom-select form-control" id="RequestType" name="request_type">
                                                <option value="">Select Request Type</option>
                                                @if(count(getNoteRequestType()))
                                                    @foreach (getNoteRequestType() as $key => $RequestType)
                                                        <option value="{{ $key }}">{{ $RequestType }}</option>
                                                    @endforeach
                                                @endif
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-6"></div>
                                    <div class="col-md-2 text-right">
                                        <div class="form-group notefile">
                                            <label for="note_file" class="btn"><i class="fa fa-paperclip"></i></label>
                                            <input id="note_file" style="display: none;" type="file" name="note_file[]" multiple>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    {!! Form::textarea('note', old('note'), array('class' => 'form-control','rows' => 5,'placeholder' => 'Enter your message','required' => 'required')) !!}
                                </div>
                            </div>
                            <div class="col-md-9 mb-3 enseno">
                                <div class="form-group">
                                    <div class="checkbox d-inline-block mr-2">
                                        <label class=" control-label"><strong>Notify: </strong>
                                    </div>
                                    <div class="checkbox d-inline-block mr-2">
                                        <label class=" control-label">
                                            {!! Form::checkbox('notify_my', 1, false, array('class' => 'form-control loadregucheck')) !!} Add to my notifications
                                        </label>
                                    </div>
                                    <div class="checkbox d-inline-block mr-2">
                                        <label class=" control-label">
                                            {!! Form::checkbox('notify_private', 1, false, array('class' => 'form-control loadregucheck checknondriveruser')) !!} All non drivers users
                                        </label>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 mb-3 text-right anabocbu">
                                <button type="submit" name="submit" class="btn btn-success">Submit</button>
                            </div>
                            <div class="col-md-3 selenondriveruser mb-4" style="display: none;">
                                <label>Select Users</label>
                                <div class="form-group">
                                    {!! Form::select('notify_private_company_admin_id', getCompanyAdminListByCompany(), null, ['class' => 'custom-select bookedby-select2 form-control','data-parsley-errors-container'=>'#booked_by_erri','id'=>'privatUser','multiple'=>'multiple','name'=>'notify_private_company_admin_id[]']) !!}
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
                <div class="box-padding getnotesave">
                </div>
            </div>
        </div>
        <div class="col-lg-12">
            <div class="white-box mb-4 load-status">
                <h4 class="box-title clear-btn">Customer Files</h4>
                <div class="box-padding">
                    <div class="row">
                        <div class="col-md-8">
                            <div class="table-responsive" id="loadfile">
                            </div>
                        </div>
                        <div class="col-md-4 mb-3">
                            <form action="{{ route('company.admin.documents.store') }}" method="post" enctype="multipart/form-data" class="filesave">
                                @csrf
                                <input type="hidden" name="type" value="vendor" />
                                <input type="hidden" name="by_id" value="<?php echo $vendor->id; ?>" />
                                <div class="form-group">
                                    <label>File Name</label>
                                    <input type="text" name="filename" class="form-control" required>
                                </div>
                                <div class="form-group">
                                    <div class="drop-zone2">
                                        <span class="drop-zone2__prompt">Drag and drop file here or click to browse</span>
                                        <input type="file" name="file[]" class="drop-zone2__input" accept="image/png,image/gif,image/jpeg,application/pdf,application/vnd.ms-excel" required multiple >
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label>Note</label>
                                    <textarea class="form-control" id="filenote" name="filenote"></textarea>
                                </div>
                                <button class="green-btn notes-btn w-100" >Upload</button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="button-bottom">
        <a href="{{ route('company.admin.vendors.index') }}" class="cancel-btn">Cancel</a>
        <button class="submit-btn clickToSubmit">Submit</button>
    </div>
@endsection

@section('script')
    <script src="{{ asset('theme/js/select2.full.min.js') }}"></script>
    <script type="text/javascript">
        $( document ).ready(function() {
            $('.update-form').parsley({
                excluded: 'input[type=button], input[type=submit], input[type=reset]',
                inputs: 'input, textarea, select, input[type=hidden], :hidden',
            });
            $('.bookedby-select2').select2();
            $('.notesave').parsley();
            $('.filesave').parsley();
            $(".clickToSubmit").click(function(){
                $(".update-form").submit(); // Submit the form
            });
        });
    </script>
    <script type="text/javascript">
        $("#sameaddress").click(function() {
            if ($("#sameaddress").is(":checked")) {
                $('input[name="bill_to_name"]').val($('input[name="name"]').val());
                $('input[name="billing_address"]').val($('input[name="address"]').val());
                $('input[name="billing_address_2"]').val($('input[name="address_2"]').val());
                $('input[name="billing_city"]').val($('input[name="city"]').val());
                $('input[name="billing_state"]').val($('input[name="state"]').val());
                $('input[name="billing_zip"]').val($('input[name="zip"]').val());
                $('input[name="billing_phone"]').val($('input[name="phone"]').val());
                $('input[name="billing_email"]').val($('input[name="email"]').val());
                $('input[name="billing_extention"]').val($('input[name="extention"]').val());
                $('input[name="billing_fax"]').val($('input[name="fax"]').val());
                //$('input[name="billing_method"]').val($('input[name="method"]').val());
                //$('input[name="factored"]').val($('input[name="factored"]').val());

                if($('input[name="billing_address"]').val()!=''){
                    $('input[name="billing_address"]').parsley().reset();
                }
                if($('input[name="billing_state"]').val()!=''){
                    $('input[name="billing_state"]').parsley().reset();
                }
                if($('input[name="billing_zip"]').val()!=''){
                    $('input[name="billing_zip"]').parsley().reset();
                }
                var address_verified    = $('input[name="address_verified"]').val();
                if(address_verified==1){
                    $('input[name="billing_latitude"]').val($('input[name="latitude"]').val());
                    $('input[name="billing_longitude"]').val($('input[name="longitude"]').val());
                    $('input[name="billing_timezone_abbr"]').val($('input[name="timezone_abbr"]').val());
                    $('input[name="billing_address_verified"]').val('1');

                    $('input[name="billing_timezone_abbr"]').parsley().reset();
                    var btn             = $('input[name="billing_latitude"]').closest('.geocoding').find('.geocoding-btn');
                    btn.text('Verified');
                    btn.removeClass("btn-warning");
                    btn.addClass("btn-success");
                }
            }else{
                $('input[name="bill_to_name"]').val('');
                $('input[name="billing_address"]').val('');
                $('input[name="billing_address_2"]').val('');
                $('input[name="billing_city"]').val('');
                $('input[name="billing_state"]').val('');
                $('input[name="billing_zip"]').val('');
                $('input[name="billing_phone"]').val('');
                $('input[name="billing_email"]').val('');
                $('input[name="billing_extention"]').val('');
                $('input[name="billing_fax"]').val('');
                //$('input[name="billing_method"]').val('');
                //$('input[name="factored"]').val('');

                $('input[name="billing_latitude"]').val('');
                $('input[name="billing_longitude"]').val('');
                $('input[name="billing_timezone_abbr"]').val('');
                $('input[name="billing_address_verified"]').val('0');

                var btn             = $('input[name="billing_latitude"]').closest('.geocoding').find('.geocoding-btn');
                btn.text('Verify');
                btn.removeClass("btn-success");
                btn.addClass("btn-warning");
            }
        });
    </script>
    <script type="text/javascript">
        document.querySelectorAll(".drop-zone__input").forEach((inputElement) => {
            const dropZoneElement = inputElement.closest(".drop-zone");

            dropZoneElement.addEventListener("click", (e) => {
                inputElement.click();
            });

            inputElement.addEventListener("change", (e) => {
                if (inputElement.files.length) {
                assupdateThumbnail(dropZoneElement, inputElement.files[0]);
                }
            });

            dropZoneElement.addEventListener("dragover", (e) => {
                e.preventDefault();
                dropZoneElement.classList.add("drop-zone--over");
            });

            ["dragleave", "dragend"].forEach((type) => {
                dropZoneElement.addEventListener(type, (e) => {
                dropZoneElement.classList.remove("drop-zone--over");
                });
            });

            dropZoneElement.addEventListener("drop", (e) => {
                e.preventDefault();

                if (e.dataTransfer.files.length) {
                inputElement.files = e.dataTransfer.files;
                assupdateThumbnail(dropZoneElement, e.dataTransfer.files[0]);
                }

                dropZoneElement.classList.remove("drop-zone--over");
            });
        });

        function assupdateThumbnail(dropZoneElement, file) {
            let thumbnailElement = dropZoneElement.querySelector(".drop-zone__thumb");

            // First time - remove the prompt
            if (dropZoneElement.querySelector(".drop-zone__prompt")) {
                dropZoneElement.querySelector(".drop-zone__prompt").remove();
            }

            // First time - there is no thumbnail element, so lets create it
            if (!thumbnailElement) {
                thumbnailElement = document.createElement("div");
                thumbnailElement.classList.add("drop-zone__thumb");
                dropZoneElement.appendChild(thumbnailElement);
            }

            thumbnailElement.dataset.label = file.name;

            // Show thumbnail for image files
            if (file.type.startsWith("image/")) {
                const reader = new FileReader();

                reader.readAsDataURL(file);
                reader.onload = () => {
                thumbnailElement.style.backgroundImage = `url('${reader.result}')`;
                };
            } else {
                thumbnailElement.style.backgroundImage = null;
            }
        }

        //drop-zone2__input
        document.querySelectorAll(".drop-zone2__input").forEach((inputElement) => {
            const dropZoneElement = inputElement.closest(".drop-zone2");

            dropZoneElement.addEventListener("click", (e) => {
                inputElement.click();
            });

            inputElement.addEventListener("change", (e) => {
                if (inputElement.files.length) {
                    var filecount = inputElement.files.length;
                updateThumbnail(dropZoneElement, inputElement.files[0], filecount);
                }
            });

            dropZoneElement.addEventListener("dragover", (e) => {
                e.preventDefault();
                dropZoneElement.classList.add("drop-zone2--over");
            });

            ["dragleave", "dragend"].forEach((type) => {
                dropZoneElement.addEventListener(type, (e) => {
                dropZoneElement.classList.remove("drop-zone2--over");
                });
            });

            dropZoneElement.addEventListener("drop", (e) => {
                e.preventDefault();

                if (e.dataTransfer.files.length) {
                inputElement.files = e.dataTransfer.files;
                var filecount = e.dataTransfer.files.length;
                updateThumbnail(dropZoneElement, e.dataTransfer.files[0], filecount);
                }

                dropZoneElement.classList.remove("drop-zone2--over");
            });
        });

        function updateThumbnail(dropZoneElement, file, filecount) {
            let thumbnailElement = dropZoneElement.querySelector(".drop-zone2__thumb");

            // First time - remove the prompt
            if (dropZoneElement.querySelector(".drop-zone2__prompt")) {
                dropZoneElement.querySelector(".drop-zone2__prompt").remove();
            }

            // First time - there is no thumbnail element, so lets create it
            if (!thumbnailElement) {
                thumbnailElement = document.createElement("div");
                thumbnailElement.classList.add("drop-zone2__thumb");
                dropZoneElement.appendChild(thumbnailElement);
            }
            //var numFiles = file[0].length;
            
            thumbnailElement.dataset.label = filecount+' Files Selected';

            // Show thumbnail for image files
            if (file.type.startsWith("image/")) {
                const reader = new FileReader();

                reader.readAsDataURL(file);
                reader.onload = () => {
                thumbnailElement.style.backgroundImage = `url('${reader.result}')`;
                };
            } else {
                thumbnailElement.style.backgroundImage = null;
            }
        }

        function loadFileView() {
            var token = $('meta[name="csrf-token"]').attr('content');
            $.ajax({
                url: "{{ route('company.admin.documents.index') }}",
                method: "GET",
                data: { _token : token, by_id : <?php echo $vendor->id; ?>, type : 'vendor'},
                success: function(response) {
                    $("#loadfile").html(response.view);
                }
            });
        }

        loadFileView();

        $(".filesave").ajaxForm({
            complete: function (response) {
                if(response.responseText == '1'){
                    toastr.success('File upload successfully', 'Success Alert', {timeOut: 5000})
                    loadFileView();
                    $('.filesave')[0].reset();
                    $('.drop-zone').prepend('<span class="drop-zone__prompt">Drag and drop file here or click to browse</span>');
                    $('.drop-zone__thumb').remove();
                }else{
                    toastr.success('Upload file not supported', 'Error Alert', {timeOut: 5000})
                    loadFileView();
                }
            },
        });

        function getNoteSave(){
            var token   = $('meta[name="csrf-token"]').attr('content');
            var loadimg = "{{ asset('theme/img/loading.gif') }}";
            $(".getnotesave").html('<div class="loadingdiv"><img src="'+loadimg+'" /></div>');
            $.ajax({
                url: "{{ route('company.admin.notes.index') }}",
                method: "GET",
                data: { _token : token, action_id : <?php echo $vendor->id; ?>, action_type : 'vendor'},
                success: function(response) {
                    $(".getnotesave").html(response.view);
                }
            });
        }

        getNoteSave();

        // Add Receiver Store
        $(".notesave").ajaxForm({
            beforeSubmit:  function(formData, jqForm, options) {
                var loadimg = "{{ asset('theme/img/loading.gif') }}";
                $(".getnotesave").html('<div class="loadingdiv"><img src="'+loadimg+'" /></div>');
            },
            complete: function (response) {
                console.log(response.responseText);
                if(response.responseText == '1'){
                    getNoteSave();
                    $('.selenondriveruser').hide('200');
                    $('.notesave')[0].reset();
                    toastr.success('Note create successfully', 'Success Alert', {timeOut: 5000})
                }else{
                    toastr.error('Something went wrong try again in a few seconds', 'Error Alert', {timeOut: 5000})
                }
            },
        });

        $('.checknondriveruser').change(function() {
            if (this.checked) {
                $('.selenondriveruser').show('200');
                $('#privatUser').prop('required',true);
            } else {
                $('.selenondriveruser').hide('200');  
                $('#privatUser').prop('required',false); 
            }
        });

        /*
        document.querySelectorAll(".drop-zone__input").forEach((inputElement) => {
            const dropZoneElement = inputElement.closest(".drop-zone");

            dropZoneElement.addEventListener("click", (e) => {
                inputElement.click();
            });

            inputElement.addEventListener("change", (e) => {
                if (inputElement.files.length) {
                    var filecount = inputElement.files.length;
                updateThumbnail(dropZoneElement, inputElement.files[0], filecount);
                }
            });

            dropZoneElement.addEventListener("dragover", (e) => {
                e.preventDefault();
                dropZoneElement.classList.add("drop-zone--over");
            });

            ["dragleave", "dragend"].forEach((type) => {
                dropZoneElement.addEventListener(type, (e) => {
                dropZoneElement.classList.remove("drop-zone--over");
                });
            });

            dropZoneElement.addEventListener("drop", (e) => {
                e.preventDefault();

                if (e.dataTransfer.files.length) {
                inputElement.files = e.dataTransfer.files;
                var filecount = e.dataTransfer.files.length;
                updateThumbnail(dropZoneElement, e.dataTransfer.files[0], filecount);
                }

                dropZoneElement.classList.remove("drop-zone--over");
            });
        });

        function updateThumbnail(dropZoneElement, file, filecount) {
            let thumbnailElement = dropZoneElement.querySelector(".drop-zone__thumb");

            // First time - remove the prompt
            if (dropZoneElement.querySelector(".drop-zone__prompt")) {
                dropZoneElement.querySelector(".drop-zone__prompt").remove();
            }

            // First time - there is no thumbnail element, so lets create it
            if (!thumbnailElement) {
                thumbnailElement = document.createElement("div");
                thumbnailElement.classList.add("drop-zone__thumb");
                dropZoneElement.appendChild(thumbnailElement);
            }

            thumbnailElement.dataset.label = filecount+' Files Selected';

            // Show thumbnail for image files
            if (file.type.startsWith("image/")) {
                const reader = new FileReader();

                reader.readAsDataURL(file);
                reader.onload = () => {
                thumbnailElement.style.backgroundImage = `url('${reader.result}')`;
                };
            } else {
                thumbnailElement.style.backgroundImage = null;
            }
        }
        */
    </script>
@endsection

@push('after-scripts')
    <script src="{{ asset('theme/js/trimble.js') }}"></script>
@endpush