@extends($driverAdminTheme)

@section('title')
    Load Show
@endsection

@section('style')
    <style>
        .white-box {
            height: auto;
        }
        .white-box label>span {
            color: rgb(33, 37, 41);
        }
        .bg-yellow {
            border: 1px solid #ffc107;
            background: rgb(255 193 7 / 20%);
            border-radius: 10px;
        }
        .notes-block .table tbody td {
            border: 0;
            padding: 5px 15px !important;
        }
        .notes-block .table tbody td img {
            max-height: 15px;
        }
        .notes-block .dropdown-toggle {
            line-height: 1;
            background: transparent;
            border: 0;
            padding: 2px 10px 5px;
        }
        .notes-block .dropdown-toggle:hover {
            background: #ffff;
        }
        .notes-block .dropdown-toggle img {
            max-width: 24px;
        }
        .notes-block .dropdown-toggle::after {
            display: none;
        }
        .notes-block .dropdown-menu {
            padding: 0;
        }
        .notes-block .dropdown-item {
            font-size: 13px;
            padding: 0 10px;
        }
        .btn.btn-block {
            color: #fff;
        }
        .btn.btn-block:hover {
            color: #fff;
        }
        .green-btn:hover {
            background-color: #6dd400;
        }
        .accordion .fa {
            margin-right: 0.5rem;
        }
    </style>
    <style type="text/css">
        #detentionRequestModal .detail-block{
            border-bottom: 1px solid #eff4fa;
            margin: 0 -20PX 10px;
            padding: 0 20px 5px;
        }
        #detentionRequestModal .footer-block{
            margin: 20px -20px -20px;
        }
        #detentionRequestModal .footer-block .btn {
            color: #fff;
        }
        #detentionRequestModal .footer-block .btn:hover {
            color: #fff;
        }
        #detentionRequestModal .modal-body label > span {
          color: rgb(33, 37, 41);
        }
        .invalid-feedback{
            display: block;
        }
    </style>
@endsection

@section('content')
    <div class="load-wrapper">
        <div class="row">
            @php
                $stops                          = $loadDetail->loads->load_stops;
                $notes                          = $loadDetail->loads->load_notes;
                $gtypeLabel                     = 'Not specified';
                if (isset($loadDetail->trailer_type) && $loadDetail->trailer_type!='' && isset(getTrailerTypeList()[$loadDetail->trailer_type])) {
                    $gtypeLabel                 = getTrailerTypeList()[$loadDetail->trailer_type];
                }
            @endphp
            <div class="col-12">
                <div class="row justify-content-between">
                    <div class="col-auto mb-3">
                        <h5>Load Number: {{ isset($loadDetail->load_number)?$loadDetail->load_number:'#########'}}</h5>
                    </div>
                    <div class="col-auto mb-3">
                        <span>
                            {{ \Carbon\Carbon::createFromFormat('Y-m-d H:i:s', $loadDetail->created_at)->setTimezone($getTimeZone)->format(getTimeLayout())." ".$getTimeZoneId }}
                        </span>
                    </div>
                </div>
                @if(session()->has('impersonate_user'))
                    <div class="row justify-content-between">
                        <div class="col-auto mb-3">
                            <span>Load Status: {{ getLoadStatus($loadDetail->load_status,$loadDetail->is_on_hold) }}</span>
                        </div>
                    </div>
                @endif
            </div>
            @php
                $checkchr = (is_null($loadDetail->is_on_hold) || $loadDetail->is_on_hold=='0') && ($loadDetail->preplaned_rejected_by=='' && $loadDetail->confirmed_rejected_by=='' && $loadDetail->in_transit_rejected_by=='' && $loadDetail->delivered_rejected_by=='');
            @endphp
            <!-- '0' => 'Pending', '1' => 'Accepted', '2' => 'Preplaned', '3' => 'Confirmed', 11 => 'Send To Driver' -->
            @if(in_array($loadDetail->load_status,[0,1,2,3,11]) && $checkchr=='true')
                @if($loadDetail->load_status!=3)
                    <?php /*
                    <div class="col-md-6">
                        <button
                            type="button"
                            class="btn btn-danger btn-block mb-3 change-status"
                            data-id="{{ $loadDetail->id }}"
                            data-status="{{ $loadDetail->load_status }}"
                            data-type="2"
                            data-acknowledgement="1"
                            data-is_stop="0"
                        >Reject Load</button>
                        <!-- acknowledgement=1 (preplaned_driver_acknowledgement) -->
                    </div>
                    */ ?>
                    <div class="col-md-12">
                        <button
                            type="button"
                            class="btn btn-success btn-block mb-3 change-status"
                            data-id="{{ $loadDetail->id }}"
                            data-status="3"
                            data-type="1"
                            data-is_stop="0"
                        >Accept Load</button>
                    </div>

                    @include('driverAdmin.load.show.driver_equipment')
                    @include('driverAdmin.load.show.load_miles_finances')
                    @include('driverAdmin.load.show.shipping_dates_location')
                    @include('driverAdmin.load.show.delivery_dates_location')

                    @include('driverAdmin.load.show.stop')

                    @include('driverAdmin.load.show.broker')
                    @include('driverAdmin.load.show.required_docs')

                    @include('driverAdmin.load.show.notes')
                    @include('driverAdmin.load.show.files')
                @else
                    @if($loadDetail->shipper_is_arrived==1)
                        @php
                            $ddpbutton                      = '';

                            $required_docs_disabled         = 'No';
                            if(isset($loadDetail->shipper_files) && is_serialized($loadDetail->shipper_files) && !empty(unserialize($loadDetail->shipper_files))){
                                $shipper_files              = array_filter(unserialize($loadDetail->shipper_files));
                            }else{
                                if(isset($loadDetail->broker->shipper_files) && is_serialized($loadDetail->broker->shipper_files) && !empty(unserialize($loadDetail->broker->shipper_files))){
                                    $shipper_files          = array_filter(unserialize($loadDetail->broker->shipper_files));
                                }else{
                                    $shipper_files          = array_filter(unserialize(config('settings.shipper_files')));
                                }
                            }
                            $default_required_docs          = array_filter($shipper_files, function ($var) {
                                return ($var['is_required'] == 'on');
                            });
                            if(!empty($default_required_docs)){
                                $upload_required_docs       = unserialize($loadDetail->shipper_files_upload);
                                if(!empty($upload_required_docs)){
                                    $upload_required_docs   = array_filter($upload_required_docs, function ($var) {
                                        return ($var['is_required'] == 'on');
                                    });
                                    foreach ($default_required_docs as $drdkey => $default_required_value){
                                        $searchkey          = array_search($default_required_value['name'], array_column($upload_required_docs, 'name'));
                                        if($searchkey!==false && isset($upload_required_docs[$searchkey])){
                                            $upload_required_value              = $upload_required_docs[$searchkey];
                                            if($upload_required_value['type']=='1'){
                                                if(
                                                    !(
                                                        (isset($upload_required_value['file_not_provided']) && $upload_required_value['file_not_provided']=='on') ||
                                                        (isset($upload_required_value['file']) && !empty($upload_required_value['file']))
                                                    )
                                                ){
                                                    $ddpbutton                  = 'disabled';
                                                    $required_docs_disabled     = 'Yes';
                                                    break;
                                                }
                                            }
                                        }
                                    }
                                }else{
                                    $ddpbutton              = 'disabled';
                                    $required_docs_disabled = 'Yes';
                                }
                            }

                            $shipper_accessorials           = $loadDetail->shipper_accessorials->where('driver_liable', 1)->where('doc_required', 1)->where('driver_id', auth()->guard('driver-admin')->user()->id);
                            if($shipper_accessorials->isNotEmpty()){
                                foreach ($shipper_accessorials as $lasdkey => $node){
                                    if(
                                        !(
                                            (isset($node->file_not_provided) && $node->file_not_provided=='on') ||
                                            (isset($node->is_received) && !empty($node->is_received))
                                        )
                                    ){
                                        $ddpbutton                  = 'disabled';
                                        $required_docs_disabled     = 'Yes';
                                        break;
                                    }
                                }
                            }

                            $arrived_at                     = isset($loadDetail->shipper_arrived_at)?convertTimeToUSERzone(['str' => $loadDetail->shipper_arrived_at,'toFormat' => getTimeLayout(),'fromFormat' => 'Y-m-d H:i:s','userTimezone' => $getGeoTimeZone]):convertTimeToUSERzone(['str' => \Carbon\Carbon::now()->format(getTimeLayout()),'toFormat' => getTimeLayout(),'userTimezone' => $getGeoTimeZone]);

                            $detention_id                   = isset($loadDetail->shipper_detention->id)?$loadDetail->shipper_detention->id:'';
                            $detention_status               = isset($loadDetail->shipper_detention->detention_status)?$loadDetail->shipper_detention->detention_status:0;
                            if(isset($loadDetail->shipper_detention->detention_start_time)){
                                $detention_start_time       = convertTimeToUSERzone(['str' => $loadDetail->shipper_detention->detention_start_time,'toFormat' => getTimeLayout(),'fromFormat' => 'Y-m-d H:i:s','userTimezone' => $getGeoTimeZone]);
                            }else{
                                $detention_start_time       = '';
                            }
                            $detention_end_time             = isset($loadDetail->shipper_detention->detention_end_time)?convertTimeToUSERzone(['str' => $loadDetail->shipper_detention->detention_end_time,'toFormat' => getTimeLayout(),'fromFormat' => 'Y-m-d H:i:s','userTimezone' => $getGeoTimeZone]):convertTimeToUSERzone(['str' => \Carbon\Carbon::now()->format(getTimeLayout()),'toFormat' => getTimeLayout(),'userTimezone' => $getGeoTimeZone]);
                            if(in_array($detention_status,[1,2])){
                                $ddpbutton                  = 'disabled';
                            }
                        @endphp
                        <?php /*
                        <div class="col-md-4">
                            <button
                                type="button"
                                class="btn btn-danger btn-block mb-3 change-status"
                                data-id="{{ $loadDetail->id }}"
                                data-status="{{ $loadDetail->load_status }}"
                                data-type="2"
                                data-acknowledgement="2"
                                data-is_stop="0"
                            >Reject Load</button>
                            <!-- acknowledgement=2 (confirmed_driver_acknowledgement) -->
                        </div>
                        */ ?>
                        <div class="col-md-6">
                            <button
                                type="button"
                                class="btn btn-warning btn-block mb-3 detention-request"
                                data-id="{{ $loadDetail->id }}"
                                data-is_stop="0"
                                data-title="Detention Request - Load:{{ isset($loadDetail->load_number)?$loadDetail->load_number:'#########'}} - Load Pickup"
                                data-shipper_is_arrived="1"
                                data-arrived_at="{{ $arrived_at }}"
                                data-detention_id="{{ $detention_id }}"
                                data-detention_status="{{ $detention_status }}"
                                data-detention_start_time="{{ $detention_start_time }}"
                                data-detention_end_time="{{ $detention_end_time }}"
                            >
                                @if($detention_status==0)
                                    + Detention Load Pickup
                                @elseif(in_array($detention_status,[1,2]))
                                    <span class="btn-time-lapsed">[00:00]</span> Stop Detention
                                @else
                                    View Detention
                                @endif
                            </button>
                        </div>
                        <div class="col-md-6">
                            <button
                                type="button"
                                class="btn btn-success btn-block mb-3 change-status"
                                data-id="{{ $loadDetail->id }}"
                                data-status="4"
                                data-type="1"
                                data-is_stop="0"
                                {!! $ddpbutton !!}
                                data-required_docs_disabled="{{ $required_docs_disabled }}">Load Picked Up</button>
                        </div>
                        <div class="col-md-12">
                            <div class="row accordion" id="accordion-load">
                                @include('driverAdmin.load.show.required_docs', ['collapse' => true, 'show' => true])
                                @include('driverAdmin.load.show.broker', ['collapse' => true, 'show' => true])

                                @include('driverAdmin.load.show.driver_equipment', ['collapse' => true, 'show' => false])
                                @include('driverAdmin.load.show.load_miles_finances', ['collapse' => true, 'show' => false])
                                @include('driverAdmin.load.show.shipping_dates_location', ['collapse' => true, 'show' => false])
                                @include('driverAdmin.load.show.delivery_dates_location', ['collapse' => true, 'show' => false])

                                @include('driverAdmin.load.show.stop', ['collapse' => true, 'show' => false])

                                @include('driverAdmin.load.show.notes', ['collapse' => true, 'show' => false])
                                @include('driverAdmin.load.show.files', ['collapse' => true, 'show' => false])
                            </div>
                        </div>
                    @else
                        <?php /*
                        <div class="col-md-6">
                            <button
                                type="button"
                                class="btn btn-danger btn-block mb-3 change-status"
                                data-id="{{ $loadDetail->id }}"
                                data-status="{{ $loadDetail->load_status }}"
                                data-type="2"
                                data-acknowledgement="2"
                                data-is_stop="0"
                            >Reject Load</button>
                            <!-- acknowledgement=2 (confirmed_driver_acknowledgement) -->
                        </div>
                        */ ?>
                        <div class="col-md-12">
                            <button
                                type="button"
                                class="btn btn-success btn-block mb-3 arrived-request"
                                data-id="{{ $loadDetail->id }}"
                                data-is_stop="0"
                                data-shipper_is_arrived="1"
                            >Arrived at Shipper</button>
                        </div>

                        <div class="col-md-12">
                            <div class="row accordion" id="accordion-load">
                                @include('driverAdmin.load.show.driver_equipment', ['collapse' => true, 'show' => true])
                                @include('driverAdmin.load.show.load_miles_finances', ['collapse' => true, 'show' => true])
                                @include('driverAdmin.load.show.shipping_dates_location', ['collapse' => true, 'show' => false])
                                @include('driverAdmin.load.show.delivery_dates_location', ['collapse' => true, 'show' => false])

                                @include('driverAdmin.load.show.stop', ['collapse' => true, 'show' => false])

                                @include('driverAdmin.load.show.broker', ['collapse' => true, 'show' => false])
                                @include('driverAdmin.load.show.required_docs', ['collapse' => true, 'show' => false])

                                @include('driverAdmin.load.show.notes', ['collapse' => true, 'show' => false])
                                @include('driverAdmin.load.show.files', ['collapse' => true, 'show' => false])
                            </div>
                        </div>
                    @endif
                @endif
            <!--  '4' => 'In Transit' -->
            @elseif($loadDetail->load_status==4 && $checkchr=='true')
                @php
                    $totalStop          = $loadDetail->loads->load_stops->count();
                @endphp
                @if($totalStop>0)
                    @php
                        $completeStop   = $loadDetail->loads->load_stops->whereIn('status', [1,2])->count();
                    @endphp
                    {{-- $loadDetail->loads->load_stops->whereIn('status', [1])->count(); --}}
                    @if($totalStop==$completeStop)
                        @if($loadDetail->delivery_is_arrived==1)
                            @php
                                $ddpbutton                      = '';

                                $required_docs_disabled         = 'No';
                                if(isset($loadDetail->consignee_files) && is_serialized($loadDetail->consignee_files) && !empty(unserialize($loadDetail->consignee_files))){
                                    $consignee_files            = array_filter(unserialize($loadDetail->consignee_files));
                                }else{
                                    if(isset($loadDetail->broker->consignee_files) && is_serialized($loadDetail->broker->consignee_files) && !empty(unserialize($loadDetail->broker->consignee_files))){
                                        $consignee_files        = array_filter(unserialize($loadDetail->broker->consignee_files));
                                    }else{
                                        $consignee_files        = array_filter(unserialize(config('settings.consignee_files')));
                                    }
                                }
                                $default_required_docs          = array_filter($consignee_files, function ($var) {
                                    return ($var['is_required'] == 'on');
                                });
                                if(!empty($default_required_docs)){
                                    $upload_required_docs       = unserialize($loadDetail->consignee_files_upload);
                                    if(!empty($upload_required_docs)){
                                        $upload_required_docs   = array_filter($upload_required_docs, function ($var) {
                                            return ($var['is_required'] == 'on');
                                        });
                                        foreach ($default_required_docs as $drdkey => $default_required_value){
                                            $searchkey          = array_search($default_required_value['name'], array_column($upload_required_docs, 'name'));
                                            if($searchkey!==false && isset($upload_required_docs[$searchkey])){
                                                $upload_required_value              = $upload_required_docs[$searchkey];
                                                if($upload_required_value['type']=='1'){
                                                    if(
                                                        !(
                                                            (isset($upload_required_value['file_not_provided']) && $upload_required_value['file_not_provided']=='on') ||
                                                            (isset($upload_required_value['file']) && !empty($upload_required_value['file']))
                                                        )
                                                    ){
                                                        $ddpbutton                  = 'disabled';
                                                        $required_docs_disabled     = 'Yes';
                                                        break;
                                                    }
                                                }
                                            }
                                        }
                                    }else{
                                        $ddpbutton              = 'disabled';
                                        $required_docs_disabled = 'Yes';
                                    }
                                }

                                $receiver_accessorials          = $loadDetail->receiver_accessorials->where('driver_liable', 1)->where('doc_required', 1)->where('driver_id', auth()->guard('driver-admin')->user()->id);
                                if($receiver_accessorials->isNotEmpty()){
                                    foreach ($receiver_accessorials as $lasdkey => $node){
                                        if(
                                            !(
                                                (isset($node->file_not_provided) && $node->file_not_provided=='on') ||
                                                (isset($node->is_received) && !empty($node->is_received))
                                            )
                                        ){
                                            $ddpbutton                  = 'disabled';
                                            $required_docs_disabled     = 'Yes';
                                            break;
                                        }
                                    }
                                }

                                $arrived_at                     = isset($loadDetail->delivery_arrived_at)?convertTimeToUSERzone(['str' => $loadDetail->delivery_arrived_at,'toFormat' => getTimeLayout(),'fromFormat' => 'Y-m-d H:i:s','userTimezone' => $getGeoTimeZone]):convertTimeToUSERzone(['str' => \Carbon\Carbon::now()->format(getTimeLayout()),'toFormat' => getTimeLayout(),'userTimezone' => $getGeoTimeZone]);

                                $detention_id                   = isset($loadDetail->receiver_detention->id)?$loadDetail->receiver_detention->id:'';
                                $detention_status               = isset($loadDetail->receiver_detention->detention_status)?$loadDetail->receiver_detention->detention_status:0;
                                if(isset($loadDetail->receiver_detention->detention_start_time)){
                                    $detention_start_time       = convertTimeToUSERzone(['str' => $loadDetail->receiver_detention->detention_start_time,'toFormat' => getTimeLayout(),'fromFormat' => 'Y-m-d H:i:s','userTimezone' => $getGeoTimeZone]);
                                }else{
                                    $detention_start_time       = '';
                                }
                                $detention_end_time             = isset($loadDetail->receiver_detention->detention_end_time)?convertTimeToUSERzone(['str' => $loadDetail->receiver_detention->detention_end_time,'toFormat' => getTimeLayout(),'fromFormat' => 'Y-m-d H:i:s','userTimezone' => $getGeoTimeZone]):convertTimeToUSERzone(['str' => \Carbon\Carbon::now()->format(getTimeLayout()),'toFormat' => getTimeLayout(),'userTimezone' => $getGeoTimeZone]);
                                if(in_array($detention_status,[1,2])){
                                    $ddpbutton                  = 'disabled';
                                }
                            @endphp
                            <?php /*
                            <div class="col-md-4">
                                <button
                                    type="button"
                                    class="btn btn-danger btn-block mb-3 change-status"
                                    data-id="{{ $loadDetail->id }}"
                                    data-status="{{ $loadDetail->load_status }}"
                                    data-type="2"
                                    data-acknowledgement="3"
                                    data-is_stop="0"
                                >Reject Delivery</button>
                                <!-- acknowledgement=3 (intransit_driver_acknowledgement) -->
                            </div>
                            */ ?>
                            <div class="col-md-6">
                                <button
                                    type="button"
                                    class="btn btn-warning btn-block mb-3 detention-request"
                                    data-id="{{ $loadDetail->id }}"
                                    data-is_stop="0"
                                    data-title="Detention Request - Load:{{ isset($loadDetail->load_number)?$loadDetail->load_number:'#########'}} - Load Delivery"
                                    data-delivery_is_arrived="1"
                                    data-arrived_at="{{ $arrived_at }}"
                                    data-detention_id="{{ $detention_id }}"
                                    data-detention_status="{{ $detention_status }}"
                                    data-detention_start_time="{{ $detention_start_time }}"
                                    data-detention_end_time="{{ $detention_end_time }}"
                                >
                                    @if($detention_status==0)
                                        + Detention Load Delivery
                                    @elseif(in_array($detention_status,[1,2]))
                                        <span class="btn-time-lapsed">[00:00]</span> Stop Detention
                                    @else
                                        View Detention
                                    @endif
                                </button>
                            </div>
                            <div class="col-md-6">
                                <button
                                    type="button"
                                    class="btn btn-success btn-block mb-3 change-status"
                                    data-id="{{ $loadDetail->id }}"
                                    data-status="5"
                                    data-type="1"
                                    data-is_stop="0"
                                    {!! $ddpbutton !!}
                                    data-required_docs_disabled="{{ $required_docs_disabled }}">Load Delivered</button>
                            </div>

                            <div class="col-md-12">
                                <div class="row accordion" id="accordion-load">
                                    @include('driverAdmin.load.show.required_docs', ['collapse' => true, 'show' => true])
                                    @include('driverAdmin.load.show.broker', ['collapse' => true, 'show' => true])

                                    @include('driverAdmin.load.show.driver_equipment', ['collapse' => true, 'show' => false])
                                    @include('driverAdmin.load.show.load_miles_finances', ['collapse' => true, 'show' => false])
                                    @include('driverAdmin.load.show.shipping_dates_location', ['collapse' => true, 'show' => false])
                                    @include('driverAdmin.load.show.delivery_dates_location', ['collapse' => true, 'show' => false])

                                    @include('driverAdmin.load.show.stop', ['collapse' => true, 'show' => false])

                                    @include('driverAdmin.load.show.notes', ['collapse' => true, 'show' => false])
                                    @include('driverAdmin.load.show.files', ['collapse' => true, 'show' => false])
                                </div>
                            </div>
                        @else
                            <?php /*
                            <div class="col-md-6">
                                <button
                                    type="button"
                                    class="btn btn-danger btn-block mb-3 change-status"
                                    data-id="{{ $loadDetail->id }}"
                                    data-status="{{ $loadDetail->load_status }}"
                                    data-type="2"
                                    data-acknowledgement="3"
                                    data-is_stop="0"
                                >Reject Delivery</button>
                                <!-- acknowledgement=3 (intransit_driver_acknowledgement) -->
                            </div>
                            */ ?>
                            <div class="col-md-12">
                                <button
                                    type="button"
                                    class="btn btn-success btn-block mb-3 arrived-request"
                                    data-id="{{ $loadDetail->id }}"
                                    data-is_stop="0"
                                    data-delivery_is_arrived="1"
                                >Arrived at Delivery Location</button>
                            </div>

                            <div class="col-md-12">
                                <div class="row accordion" id="accordion-load">
                                    @include('driverAdmin.load.show.broker', ['collapse' => true, 'show' => true])
                                    @include('driverAdmin.load.show.required_docs', ['collapse' => true, 'show' => true])

                                    @include('driverAdmin.load.show.driver_equipment', ['collapse' => true, 'show' => false])
                                    @include('driverAdmin.load.show.load_miles_finances', ['collapse' => true, 'show' => false])
                                    @include('driverAdmin.load.show.shipping_dates_location', ['collapse' => true, 'show' => false])
                                    @include('driverAdmin.load.show.delivery_dates_location', ['collapse' => true, 'show' => false])

                                    @include('driverAdmin.load.show.stop', ['collapse' => true, 'show' => false])

                                    @include('driverAdmin.load.show.notes', ['collapse' => true, 'show' => false])
                                    @include('driverAdmin.load.show.files', ['collapse' => true, 'show' => false])
                                </div>
                            </div>
                        @endif
                    @else
                        @foreach ($stops as $slkey => $stop)
                            @php
                                $sNo    = ++$slkey;
                            @endphp
                            @if($stop->status==0)
                                <!-- arrived -->
                                @if($stop->is_arrived==1)
                                    @php
                                        $ddpbutton                          = '';

                                        $required_docs_disabled             = 'No';
                                        if($stop->customer_type==2){
                                            if(isset($stop->stop_consignee_files) && is_serialized($stop->stop_consignee_files) && !empty(unserialize($stop->stop_consignee_files))){
                                                $consignee_files            = array_filter(unserialize($stop->stop_consignee_files));
                                            }else{
                                                if(isset($loadDetail->broker->consignee_files) && is_serialized($loadDetail->broker->consignee_files) && !empty(unserialize($loadDetail->broker->consignee_files))){
                                                    $consignee_files        = array_filter(unserialize($loadDetail->broker->consignee_files));
                                                }else{
                                                    $consignee_files        = array_filter(unserialize(config('settings.consignee_files')));
                                                }
                                            }
                                            $default_required_docs          = array_filter($consignee_files, function ($var) {
                                                return ($var['is_required'] == 'on');
                                            });
                                            $upload_required_docs           = unserialize($stop->stop_consignee_files_upload);
                                        }else{
                                            if(isset($stop->stop_consignee_files) && is_serialized($stop->stop_consignee_files) && !empty(unserialize($stop->stop_consignee_files))){
                                                $shipper_files              = array_filter(unserialize($stop->stop_consignee_files));
                                            }else{
                                                if(isset($loadDetail->broker->shipper_files) && is_serialized($loadDetail->broker->shipper_files) && !empty(unserialize($loadDetail->broker->shipper_files))){
                                                    $shipper_files          = array_filter(unserialize($loadDetail->broker->shipper_files));
                                                }else{
                                                    $shipper_files          = array_filter(unserialize(config('settings.shipper_files')));
                                                }
                                            }
                                            $default_required_docs          = array_filter($shipper_files, function ($var) {
                                                return ($var['is_required'] == 'on');
                                            });
                                            $upload_required_docs           = unserialize($stop->stop_shipper_files_upload);
                                        }
                                        if(!empty($default_required_docs)){
                                            if(!empty($upload_required_docs)){
                                                $upload_required_docs       = array_filter($upload_required_docs, function ($var) {
                                                    return ($var['is_required'] == 'on');
                                                });
                                                foreach ($default_required_docs as $drdkey => $default_required_value){
                                                    $searchkey              = array_search($default_required_value['name'], array_column($upload_required_docs, 'name'));
                                                    if($searchkey!==false && isset($upload_required_docs[$searchkey])){
                                                        $upload_required_value              = $upload_required_docs[$searchkey];
                                                        if($upload_required_value['type']=='1'){
                                                            if(
                                                                !(
                                                                    (isset($upload_required_value['file_not_provided']) && $upload_required_value['file_not_provided']=='on') ||
                                                                    (isset($upload_required_value['file']) && !empty($upload_required_value['file']))
                                                                )
                                                            ){
                                                                $ddpbutton                  = 'disabled';
                                                                $required_docs_disabled     = 'Yes';
                                                                break;
                                                            }
                                                        }
                                                    }
                                                }
                                            }else{
                                                $ddpbutton                  = 'disabled';
                                                $required_docs_disabled     = 'Yes';
                                            }
                                        }

                                        $stop_accessorials                  = $stop->accessorials->where('driver_liable', 1)->where('doc_required', 1)->where('driver_id', auth()->guard('driver-admin')->user()->id);
                                        if($stop_accessorials->isNotEmpty()){
                                            foreach ($stop_accessorials as $lasdkey => $node){
                                                if(
                                                    !(
                                                        (isset($node->file_not_provided) && $node->file_not_provided=='on') ||
                                                        (isset($node->is_received) && !empty($node->is_received))
                                                    )
                                                ){
                                                    $ddpbutton                  = 'disabled';
                                                    $required_docs_disabled     = 'Yes';
                                                    break;
                                                }
                                            }
                                        }

                                        $arrived_at                         = isset($stop->arrived_at)?convertTimeToUSERzone(['str' => $stop->arrived_at,'toFormat' => getTimeLayout(),'fromFormat' => 'Y-m-d H:i:s','userTimezone' => $getGeoTimeZone]):convertTimeToUSERzone(['str' => \Carbon\Carbon::now()->format(getTimeLayout()),'toFormat' => getTimeLayout(),'userTimezone' => $getGeoTimeZone]);

                                        $detention_id                       = isset($stop->detention->id)?$stop->detention->id:'';
                                        $detention_status                   = isset($stop->detention->detention_status)?$stop->detention->detention_status:0;
                                        if(isset($stop->detention->detention_start_time)){
                                            $detention_start_time           = convertTimeToUSERzone(['str' => $stop->detention->detention_start_time,'toFormat' => getTimeLayout(),'fromFormat' => 'Y-m-d H:i:s','userTimezone' => $getGeoTimeZone]);
                                        }else{
                                            $detention_start_time           = '';
                                        }
                                        $detention_end_time                 = isset($stop->detention->detention_end_time)?convertTimeToUSERzone(['str' => $stop->detention->detention_end_time,'toFormat' => getTimeLayout(),'fromFormat' => 'Y-m-d H:i:s','userTimezone' => $getGeoTimeZone]):convertTimeToUSERzone(['str' => \Carbon\Carbon::now()->format(getTimeLayout()),'toFormat' => getTimeLayout(),'userTimezone' => $getGeoTimeZone]);
                                        if(in_array($detention_status,[1,2])){
                                            $ddpbutton                      = 'disabled';
                                        }
                                    @endphp
                                    <?php /*
                                    <div class="col-md-4">
                                        <button
                                            type="button"
                                            class="btn btn-danger btn-block mb-3 change-status"
                                            data-id="{{ $stop->id }}"
                                            data-status="2"
                                            data-type="2"
                                            data-is_stop="1"
                                        >Reject Stop {{ $sNo }}</button>
                                    </div>
                                    */ ?>
                                    <div class="col-md-6">
                                        <button
                                            type="button"
                                            class="btn btn-warning btn-block mb-3 detention-request"
                                            data-id="{{ $stop->id }}"
                                            data-is_stop="1"
                                            data-title="Detention Request - Load:{{ isset($loadDetail->load_number)?$loadDetail->load_number:'#########'}} - Stop {{ $sNo }} {{ ($stop->customer_type==2)?'Delivery':'Pickup' }}"
                                            data-arrived_at="{{ $arrived_at }}"
                                            data-detention_id="{{ $detention_id }}"
                                            data-detention_status="{{ $detention_status }}"
                                            data-detention_start_time="{{ $detention_start_time }}"
                                            data-detention_end_time="{{ $detention_end_time }}"
                                        >
                                            @if($detention_status==0)
                                                + Detention Stop {{ $sNo }}
                                            @elseif(in_array($detention_status,[1,2]))
                                                <span class="btn-time-lapsed">[00:00]</span> Stop Detention
                                            @else
                                                View Detention
                                            @endif
                                        </button>
                                    </div>
                                    <div class="col-md-6">
                                        <button 
                                            type="button"
                                            class="btn btn-success btn-block mb-3 change-status"
                                            data-id="{{ $stop->id }}"
                                            data-status="1"
                                            data-type="1"
                                            data-is_stop="1"
                                            {!! $ddpbutton !!}
                                            data-required_docs_disabled="{{ $required_docs_disabled }}">Stop {{ $sNo }} {{ ($stop->customer_type==2)?'Delivery':'Picked Up' }}</button>
                                    </div>

                                    <div class="col-md-12">
                                        <div class="row accordion" id="accordion-load">
                                            @include('driverAdmin.load.show.required_docs', ['collapse' => true, 'show' => true])
                                            @include('driverAdmin.load.show.broker', ['collapse' => true, 'show' => true])

                                            @include('driverAdmin.load.show.stop', ['collapse' => true, 'show' => true])

                                            @include('driverAdmin.load.show.driver_equipment', ['collapse' => true, 'show' => false])
                                            @include('driverAdmin.load.show.load_miles_finances', ['collapse' => true, 'show' => false])
                                            @include('driverAdmin.load.show.shipping_dates_location', ['collapse' => true, 'show' => false])
                                            @include('driverAdmin.load.show.delivery_dates_location', ['collapse' => true, 'show' => false])

                                            @include('driverAdmin.load.show.notes', ['collapse' => true, 'show' => false])
                                            @include('driverAdmin.load.show.files', ['collapse' => true, 'show' => false])
                                        </div>
                                    </div>
                                @else
                                    <?php /*
                                    <div class="col-md-6">
                                        <button
                                            type="button"
                                            class="btn btn-danger btn-block mb-3 change-status"
                                            data-id="{{ $stop->id }}"
                                            data-status="2"
                                            data-type="2"
                                            data-is_stop="1"
                                        >Reject Stop {{ $sNo }}</button>
                                    </div>
                                    */ ?>
                                    <div class="col-md-12">
                                        <button
                                            type="button"
                                            class="btn btn-success btn-block mb-3 arrived-request"
                                            data-id="{{ $stop->id }}"
                                            data-is_stop="1"
                                        >Arrived at Stop {{ $sNo }} {{ ($stop->customer_type==2)?'Delivery':'Pickup' }}</button>
                                    </div>

                                    <div class="col-md-12">
                                        <div class="row accordion" id="accordion-load">
                                            @include('driverAdmin.load.show.stop', ['collapse' => true, 'show' => true])

                                            @include('driverAdmin.load.show.driver_equipment', ['collapse' => true, 'show' => false])
                                            @include('driverAdmin.load.show.load_miles_finances', ['collapse' => true, 'show' => false])
                                            @include('driverAdmin.load.show.shipping_dates_location', ['collapse' => true, 'show' => false])
                                            @include('driverAdmin.load.show.delivery_dates_location', ['collapse' => true, 'show' => false])

                                            @include('driverAdmin.load.show.broker', ['collapse' => true, 'show' => false])
                                            @include('driverAdmin.load.show.required_docs', ['collapse' => true, 'show' => false])

                                            @include('driverAdmin.load.show.notes', ['collapse' => true, 'show' => false])
                                            @include('driverAdmin.load.show.files', ['collapse' => true, 'show' => false])
                                        </div>
                                    </div>
                                @endif
                                @break
                                <!-- break -->
                            @endif
                        @endforeach
                    @endif
                @else
                    @if($loadDetail->delivery_is_arrived==1)
                        @php
                            $ddpbutton                      = '';

                            $required_docs_disabled         = 'No';
                            if(isset($loadDetail->consignee_files) && is_serialized($loadDetail->consignee_files) && !empty(unserialize($loadDetail->consignee_files))){
                                $consignee_files            = array_filter(unserialize($loadDetail->consignee_files));
                            }else{
                                if(isset($loadDetail->broker->consignee_files) && is_serialized($loadDetail->broker->consignee_files) && !empty(unserialize($loadDetail->broker->consignee_files))){
                                    $consignee_files        = array_filter(unserialize($loadDetail->broker->consignee_files));
                                }else{
                                    $consignee_files        = array_filter(unserialize(config('settings.consignee_files')));
                                }
                            }
                            $default_required_docs          = array_filter($consignee_files, function ($var) {
                                return ($var['is_required'] == 'on');
                            });
                            if(!empty($default_required_docs)){
                                $upload_required_docs       = unserialize($loadDetail->consignee_files_upload);
                                if(!empty($upload_required_docs)){
                                    $upload_required_docs   = array_filter($upload_required_docs, function ($var) {
                                        return ($var['is_required'] == 'on');
                                    });
                                    foreach ($default_required_docs as $drdkey => $default_required_value){
                                        $searchkey          = array_search($default_required_value['name'], array_column($upload_required_docs, 'name'));
                                        if($searchkey!==false && isset($upload_required_docs[$searchkey])){
                                            $upload_required_value              = $upload_required_docs[$searchkey];
                                            if($upload_required_value['type']=='1'){
                                                if(
                                                    !(
                                                        (isset($upload_required_value['file_not_provided']) && $upload_required_value['file_not_provided']=='on') ||
                                                        (isset($upload_required_value['file']) && !empty($upload_required_value['file']))
                                                    )
                                                ){
                                                    $ddpbutton                  = 'disabled';
                                                    $required_docs_disabled     = 'Yes';
                                                    break;
                                                }
                                            }
                                        }
                                    }
                                }else{
                                    $ddpbutton              = 'disabled';
                                    $required_docs_disabled = 'Yes';
                                }
                            }

                            $receiver_accessorials          = $loadDetail->receiver_accessorials->where('driver_liable', 1)->where('doc_required', 1)->where('driver_id', auth()->guard('driver-admin')->user()->id);
                            if($receiver_accessorials->isNotEmpty()){
                                foreach ($receiver_accessorials as $lasdkey => $node){
                                    if(
                                        !(
                                            (isset($node->file_not_provided) && $node->file_not_provided=='on') ||
                                            (isset($node->is_received) && !empty($node->is_received))
                                        )
                                    ){
                                        $ddpbutton                  = 'disabled';
                                        $required_docs_disabled     = 'Yes';
                                        break;
                                    }
                                }
                            }

                            $arrived_at                     = isset($loadDetail->delivery_arrived_at)?convertTimeToUSERzone(['str' => $loadDetail->delivery_arrived_at,'toFormat' => getTimeLayout(),'fromFormat' => 'Y-m-d H:i:s','userTimezone' => $getGeoTimeZone]):convertTimeToUSERzone(['str' => \Carbon\Carbon::now()->format(getTimeLayout()),'toFormat' => getTimeLayout(),'userTimezone' => $getGeoTimeZone]);

                            $detention_id                   = isset($loadDetail->receiver_detention->id)?$loadDetail->receiver_detention->id:'';
                            $detention_status               = isset($loadDetail->receiver_detention->detention_status)?$loadDetail->receiver_detention->detention_status:0;
                            if(isset($loadDetail->receiver_detention->detention_start_time)){
                                $detention_start_time       = convertTimeToUSERzone(['str' => $loadDetail->receiver_detention->detention_start_time,'toFormat' => getTimeLayout(),'fromFormat' => 'Y-m-d H:i:s','userTimezone' => $getGeoTimeZone]);
                            }else{
                                $detention_start_time       = '';
                            }
                            $detention_end_time             = isset($loadDetail->receiver_detention->detention_end_time)?convertTimeToUSERzone(['str' => $loadDetail->receiver_detention->detention_end_time,'toFormat' => getTimeLayout(),'fromFormat' => 'Y-m-d H:i:s','userTimezone' => $getGeoTimeZone]):convertTimeToUSERzone(['str' => \Carbon\Carbon::now()->format(getTimeLayout()),'toFormat' => getTimeLayout(),'userTimezone' => $getGeoTimeZone]);
                            if(in_array($detention_status,[1,2])){
                                $ddpbutton                  = 'disabled';
                            }
                        @endphp
                        <?php /*
                        <div class="col-md-4">
                            <button
                                type="button"
                                class="btn btn-danger btn-block mb-3 change-status"
                                data-id="{{ $loadDetail->id }}"
                                data-status="{{ $loadDetail->load_status }}"
                                data-type="2"
                                data-acknowledgement="3"
                                data-is_stop="0"
                            >Reject Delivery</button>
                            <!-- acknowledgement=3 (intransit_driver_acknowledgement) -->
                        </div>
                        */ ?>
                        <div class="col-md-6">
                            <button
                                type="button"
                                class="btn btn-warning btn-block mb-3 detention-request"
                                data-id="{{ $loadDetail->id }}"
                                data-is_stop="0"
                                data-title="Detention Request - Load:{{ isset($loadDetail->load_number)?$loadDetail->load_number:'#########'}} - Load Delivery"
                                data-delivery_is_arrived="1"
                                data-arrived_at="{{ $arrived_at }}"
                                data-detention_id="{{ $detention_id }}"
                                data-detention_status="{{ $detention_status }}"
                                data-detention_start_time="{{ $detention_start_time }}"
                                data-detention_end_time="{{ $detention_end_time }}"
                            >
                                @if($detention_status==0)
                                    + Detention Load Delivery
                                @elseif(in_array($detention_status,[1,2]))
                                    <span class="btn-time-lapsed">[00:00]</span> Stop Detention
                                @else
                                    View Detention
                                @endif
                            </button>
                        </div>
                        <div class="col-md-6">
                            <button
                                type="button"
                                class="btn btn-success btn-block mb-3 change-status"
                                data-id="{{ $loadDetail->id }}"
                                data-status="5"
                                data-type="1"
                                data-is_stop="0"
                                {!! $ddpbutton !!}
                                data-required_docs_disabled="{{ $required_docs_disabled }}">Load Delivered</button>
                        </div>

                        <div class="col-md-12">
                            <div class="row accordion" id="accordion-load">
                                @include('driverAdmin.load.show.required_docs', ['collapse' => true, 'show' => true])
                                @include('driverAdmin.load.show.broker', ['collapse' => true, 'show' => true])

                                @include('driverAdmin.load.show.driver_equipment', ['collapse' => true, 'show' => false])
                                @include('driverAdmin.load.show.load_miles_finances', ['collapse' => true, 'show' => false])
                                @include('driverAdmin.load.show.shipping_dates_location', ['collapse' => true, 'show' => false])
                                @include('driverAdmin.load.show.delivery_dates_location', ['collapse' => true, 'show' => false])

                                @include('driverAdmin.load.show.stop', ['collapse' => true, 'show' => false])

                                @include('driverAdmin.load.show.notes', ['collapse' => true, 'show' => false])
                                @include('driverAdmin.load.show.files', ['collapse' => true, 'show' => false])
                            </div>
                        </div>
                    @else
                        <?php /*
                        <div class="col-md-6">
                            <button
                                type="button"
                                class="btn btn-danger btn-block mb-3 change-status"
                                data-id="{{ $loadDetail->id }}"
                                data-status="{{ $loadDetail->load_status }}"
                                data-type="2"
                                data-acknowledgement="3"
                                data-is_stop="0"
                            >Reject Delivery</button>
                            <!-- acknowledgement=3 (intransit_driver_acknowledgement) -->
                        </div>
                        */ ?>
                        <div class="col-md-12">
                            <button
                                type="button"
                                class="btn btn-success btn-block mb-3 arrived-request"
                                data-id="{{ $loadDetail->id }}"
                                data-is_stop="0"
                                data-delivery_is_arrived="1"
                            >Arrived at Delivery Location</button>
                        </div>

                        <div class="col-md-12">
                            <div class="row accordion" id="accordion-load">
                                @include('driverAdmin.load.show.broker', ['collapse' => true, 'show' => true])
                                @include('driverAdmin.load.show.required_docs', ['collapse' => true, 'show' => true])

                                @include('driverAdmin.load.show.driver_equipment', ['collapse' => true, 'show' => false])
                                @include('driverAdmin.load.show.load_miles_finances', ['collapse' => true, 'show' => false])
                                @include('driverAdmin.load.show.shipping_dates_location', ['collapse' => true, 'show' => false])
                                @include('driverAdmin.load.show.delivery_dates_location', ['collapse' => true, 'show' => false])

                                @include('driverAdmin.load.show.stop', ['collapse' => true, 'show' => false])

                                @include('driverAdmin.load.show.notes', ['collapse' => true, 'show' => false])
                                @include('driverAdmin.load.show.files', ['collapse' => true, 'show' => false])
                            </div>
                        </div>
                    @endif
                @endif
            @elseif($loadDetail->load_status==5 && $checkchr=='true')
                <?php /*
                <div class="col-md-6">
                    <button
                        type="button"
                        class="btn btn-danger btn-block mb-3 change-status"
                        data-id="{{ $loadDetail->id }}"
                        data-status="{{ $loadDetail->load_status }}"
                        data-type="2"
                        data-acknowledgement="4"
                        data-is_stop="0"
                    >Reject</button>
                    <!-- acknowledgement=4 (delivered_driver_acknowledgement) -->
                </div>
                */ ?>
                <div class="col-md-12">
                    <button
                        type="button"
                        class="btn btn-success btn-block mb-3 change-status"
                        data-id="{{ $loadDetail->id }}"
                        data-status="6"
                        data-type="1"
                        data-is_stop="0"
                    >Load Ready To Bill</button>
                </div>

                <div class="col-md-12">
                    <div class="row accordion" id="accordion-load">
                        @include('driverAdmin.load.show.broker', ['collapse' => true, 'show' => true])

                        @include('driverAdmin.load.show.driver_equipment', ['collapse' => true, 'show' => false])
                        @include('driverAdmin.load.show.load_miles_finances', ['collapse' => true, 'show' => false])
                        @include('driverAdmin.load.show.shipping_dates_location', ['collapse' => true, 'show' => false])
                        @include('driverAdmin.load.show.delivery_dates_location', ['collapse' => true, 'show' => false])

                        @include('driverAdmin.load.show.stop', ['collapse' => true, 'show' => false])

                        @include('driverAdmin.load.show.notes', ['collapse' => true, 'show' => false])
                        @include('driverAdmin.load.show.files', ['collapse' => true, 'show' => false])
                    </div>
                </div>
            @else
                <div class="col-12">
                    <div class="row justify-content-between">
                        @php
                            $load_reject = $loadDetail->loads->load_rejects()->where('driver_id', auth()->guard('driver-admin')->user()->id)->orderByDesc('created_at')->first();
                            $load_status = getLoadStatus($loadDetail->load_status,$loadDetail->is_on_hold);
                        @endphp
                        @if(!is_null($load_reject))
                            <div class="col-12">
                                <span>Load Status: Reject Load</span>
                            </div>
                            <div class="col-12 mb-3">
                                <span>Reason: {{ isset($load_reject->reason)?$load_reject->reason:''}}</span>
                            </div>
                        @else
                            @if ($loadDetail->preplaned_rejected_by != '')
                                <div class="col-12">
                                    <span>Load Status: Reject Load</span>
                                </div>
                                <div class="col-12 mb-3">
                                    <span>Reason: {{ isset($loadDetail->preplaned_reason_rejected)?$loadDetail->preplaned_reason_rejected:''}}</span>
                                </div>
                            @elseif ($loadDetail->confirmed_rejected_by != '')
                                <div class="col-12">
                                    <span>Load Status: Reject Load</span>
                                </div>
                                <div class="col-12 mb-3">
                                    <span>Reason: {{ isset($loadDetail->confirmed_reason_rejected)?$loadDetail->confirmed_reason_rejected:''}}</span>
                                </div>
                            @elseif ($loadDetail->in_transit_rejected_by != '')
                                <div class="col-12">
                                    <span>Load Status: Reject Delivery</span>
                                </div>
                                <div class="col-12 mb-3">
                                    <span>Reason: {{ isset($loadDetail->in_transit_reason_rejected)?$loadDetail->in_transit_reason_rejected:''}}</span>
                                </div>
                            @elseif ($loadDetail->delivered_rejected_by != '')
                                <div class="col-12">
                                    <span>Load Status: Reject</span>
                                </div>
                                <div class="col-12 mb-3">
                                    <span>Reason: {{ isset($loadDetail->delivered_reason_rejected)?$loadDetail->delivered_reason_rejected:''}}</span>
                                </div>
                            @else
                                @if($load_status=='On Hold')
                                    <div class="col-12">
                                        <span>Load Status: {{ $load_status }}</span>
                                    </div>
                                    <div class="col-12 mb-3">
                                        <span>Reason: {{ isset($loadDetail->reason_on_hold)?$loadDetail->reason_on_hold:''}}</span>
                                    </div>
                                @else
                                    <div class="col-auto mb-3">
                                        <span>Load Status: {{ $load_status }}</span>
                                    </div>
                                @endif
                            @endif
                        @endif
                    </div>
                </div>

                <div class="col-md-12">
                    <div class="row accordion" id="accordion-load">
                        @include('driverAdmin.load.show.broker', ['collapse' => true, 'show' => true])

                        @include('driverAdmin.load.show.driver_equipment', ['collapse' => true, 'show' => false])
                        @include('driverAdmin.load.show.load_miles_finances', ['collapse' => true, 'show' => false])
                        @include('driverAdmin.load.show.shipping_dates_location', ['collapse' => true, 'show' => false])
                        @include('driverAdmin.load.show.delivery_dates_location', ['collapse' => true, 'show' => false])

                        @include('driverAdmin.load.show.stop', ['collapse' => true, 'show' => false])

                        @include('driverAdmin.load.show.notes', ['collapse' => true, 'show' => false])
                        @include('driverAdmin.load.show.files', ['collapse' => true, 'show' => false])
                    </div>
                </div>
            @endif
        </div>
    </div>

    <div class="modal fade" id="detentionRequestModal" tabindex="-1" role="dialog" aria-labelledby="detentionRequestModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="detentionRequestModalLabel"></h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body append-view"></div>
            </div>
        </div>
    </div>
@endsection

@section('script')
    <script type="text/javascript">
        var modalInterval;
        // if(localTimeZone!=timeZone){
        //     moment.tz.setDefault(timeZone);
        // }
    </script>
    <script type="text/javascript">
        $(document).ready(function() {
            $("#loadfile").html('<div class="loadingdiv"><img src="'+loadimg+'" /></div>');
            loadFileView();

            Parsley.addValidator('fileextension', {
                requirementType: 'string',
                validate: function (value, requirement, instance) {
                    var allowedExtensions = requirement.split(',');
                    var files = instance.$element[0].files;
                    for (var i = 0; i < files.length; i++) {
                        var fileExtension = files[i].name.split('.').pop();
                        if ($.inArray(fileExtension, allowedExtensions) === -1) {
                            return false;
                        }
                    }
                    return true;
                },
                messages: {
                    en: 'The file must have one of the following extensions: %s'
                }
            });
            $('.required-file-save').parsley({
                excluded: 'input[type=button], input[type=submit], input[type=reset]',
                inputs: 'input, textarea, select, input[type=hidden], :hidden',
            });
            $('.filesave').parsley();

            $(".filesave").ajaxForm({
                complete: function (response) {
                    if(response.responseText == '1'){
                        toastr.success('File upload successfully', 'Success Alert', {timeOut: 5000})
                        loadFileView();
                        $('.filesave')[0].reset();
                        $('.drop-zone').prepend('<span class="drop-zone__prompt">Drag and drop file here or click to browse</span>');
                        $('.drop-zone__thumb').remove();
                    }else{
                        toastr.error('Upload file not supported', 'Error Alert', {timeOut: 5000})
                        loadFileView();
                    }
                },
            });
        });
        $(document).on('click', 'button.change-status', function (event) {
            event.preventDefault();
            //console.log('change-status');
            //return false;
            var that            = $(this);
            var id              = that.data('id');
            var status          = that.data('status');
            var type            = that.data('type');
            var is_stop         = that.data('is_stop');
            var acknowledgement = that.data('acknowledgement'); // 1=preplaned_driver_acknowledgement, 2=confirmed_driver_acknowledgement, 3=intransit_driver_acknowledgement, 4=delivered_driver_acknowledgement
            if(typeof acknowledgement === "undefined")
                acknowledgement = 0;
            if(id){
                if(type=='1'){
                    Swal.fire({
                        title: "Are you sure?",
                        text: "You won't be able to revert this!",
                        icon: "warning",
                        showCancelButton: true,
                        confirmButtonColor: "#218838",
                        confirmButtonText: that.text(),
                        allowOutsideClick: false
                    }).then((result) => {
                        if(result.isConfirmed){
                            $.ajax({
                                type: 'POST',
                                url: '{!! route("driver.admin.loads.change.status") !!}',
                                data: {
                                    id: id,
                                    status:status,
                                    type:type,
                                    acknowledgement:acknowledgement,
                                    is_stop:is_stop
                                },
                                dataType: 'json',
                                headers: {
                                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                                }
                            }).done(function(response) {
                                if(response.success){
                                    var txt = that.text();
                                    txt     = txt.charAt(0).toUpperCase() + txt.slice(1).toLowerCase()
                                    toastr.success(
                                        txt+' successfully',
                                        'Success Alert', {
                                            timeOut: 1000,
                                            fadeOut: 1000,
                                            onHidden: function () {
                                                window.location.reload();
                                            }
                                        }
                                    );
                                }else{
                                    toastr.error(response.message, {
                                        timeOut: 5000
                                    });
                                }
                            }).fail(function(jqXHR, status, exception)  {
                                if (jqXHR.status === 0) {
                                    error = 'Not connected.\nPlease verify your network connection.';
                                } else if (jqXHR.status == 404) {
                                    error = 'The requested page not found. [404]';
                                } else if (jqXHR.status == 500) {
                                    error = 'Internal Server Error [500].';
                                } else if (exception === 'parsererror') {
                                    error = 'Requested JSON parse failed.';
                                } else if (exception === 'timeout') {
                                    error = 'Time out error.';
                                } else if (exception === 'abort') {
                                    error = 'Ajax request aborted.';
                                } else {
                                    error = 'Uncaught Error.\n' + jqXHR.responseText;
                                }
                                toastr.error(error, {
                                    timeOut: 5000
                                });
                            });
                            return false;
                        }
                    });
                }else{
                    Swal.fire({
                        title: "Are you sure?",
                        text: "You won't be able to revert this!",
                        icon: "warning",
                        input: 'textarea',
                        //inputLabel: 'Reason',
                        inputPlaceholder: 'Type your reason here...',
                        inputAttributes: {
                            'aria-label': 'Type your reason here'
                        },
                        inputValidator: (value) => {
                            return !value && 'You need to write something!'
                        },
                        showCancelButton: true,
                        confirmButtonColor: "#c82333",
                        confirmButtonText: that.text(),
                        allowOutsideClick: false
                    }).then((result) => {
                        if(result.isConfirmed){
                            $.ajax({
                                type: 'POST',
                                url: '{!! route("driver.admin.loads.change.status") !!}',
                                data: {
                                    id: id,
                                    status:status,
                                    type:type,
                                    acknowledgement:acknowledgement,
                                    is_stop:is_stop,
                                    reason:result.value
                                },
                                dataType: 'json',
                                headers: {
                                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                                }
                            }).done(function(response) {
                                if(response.success){
                                    var txt = that.text();
                                    txt     = txt.charAt(0).toUpperCase() + txt.slice(1).toLowerCase()
                                    toastr.success(
                                        txt+' successfully',
                                        'Success Alert', {
                                            timeOut: 1000,
                                            fadeOut: 1000,
                                            onHidden: function () {
                                                window.location.reload();
                                            }
                                        }
                                    );
                                }else{
                                    toastr.error(response.message, {
                                        timeOut: 5000
                                    });
                                }
                            }).fail(function(jqXHR, status, exception)  {
                                if (jqXHR.status === 0) {
                                    error = 'Not connected.\nPlease verify your network connection.';
                                } else if (jqXHR.status == 404) {
                                    error = 'The requested page not found. [404]';
                                } else if (jqXHR.status == 500) {
                                    error = 'Internal Server Error [500].';
                                } else if (exception === 'parsererror') {
                                    error = 'Requested JSON parse failed.';
                                } else if (exception === 'timeout') {
                                    error = 'Time out error.';
                                } else if (exception === 'abort') {
                                    error = 'Ajax request aborted.';
                                } else {
                                    error = 'Uncaught Error.\n' + jqXHR.responseText;
                                }
                                toastr.error(error, {
                                    timeOut: 5000
                                });
                            });
                            return false;
                        }
                    });
                }
            }
        });
        $(document).on('click', 'button.arrived-request', function (event) {
            event.preventDefault();
            //console.log('arrived-request');
            //return false;
            var that            = $(this);
            var id              = that.data('id');
            var is_stop         = that.data('is_stop');
            if(id){
                var formData                        = {};
                formData['id']                      = id;
                formData['is_stop']                 = is_stop;
                var shipper_is_arrived              = that.data('shipper_is_arrived');
                if (typeof shipper_is_arrived !== "undefined")
                    formData['shipper_is_arrived']  = shipper_is_arrived;
                var delivery_is_arrived             = that.data('delivery_is_arrived');
                if (typeof delivery_is_arrived !== "undefined")
                    formData['delivery_is_arrived'] = delivery_is_arrived;

                Swal.fire({
                    title: "Are you sure?",
                    text: "You won't be able to revert this!",
                    icon: "warning",
                    showCancelButton: true,
                    confirmButtonColor: "#218838",
                    confirmButtonText: that.text(),
                    allowOutsideClick: false
                }).then((result) => {
                    if(result.isConfirmed){
                        $.ajax({
                            type: 'POST',
                            url: '{!! route("driver.admin.loads.arrived.request") !!}',
                            data: formData,
                            dataType: 'json',
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            }
                        }).done(function(response) {
                            if(response.success){
                                var txt = that.text();
                                txt     = txt.charAt(0).toUpperCase() + txt.slice(1).toLowerCase()
                                toastr.success(
                                    txt+' successfully',
                                    'Success Alert', {
                                        timeOut: 1000,
                                        fadeOut: 1000,
                                        onHidden: function () {
                                            window.location.reload();
                                        }
                                    }
                                );
                            }else{
                                toastr.error(response.message, {
                                    timeOut: 5000
                                });
                            }
                        }).fail(function(jqXHR, status, exception)  {
                            if (jqXHR.status === 0) {
                                error = 'Not connected.\nPlease verify your network connection.';
                            } else if (jqXHR.status == 404) {
                                error = 'The requested page not found. [404]';
                            } else if (jqXHR.status == 500) {
                                error = 'Internal Server Error [500].';
                            } else if (exception === 'parsererror') {
                                error = 'Requested JSON parse failed.';
                            } else if (exception === 'timeout') {
                                error = 'Time out error.';
                            } else if (exception === 'abort') {
                                error = 'Ajax request aborted.';
                            } else {
                                error = 'Uncaught Error.\n' + jqXHR.responseText;
                            }
                            toastr.error(error, {
                                timeOut: 5000
                            });
                        });
                        return false;
                    }
                });
            }
        });
        $(document).on('change', '.notprodfile', function (event) {
            if(this.checked) {
                $(this).closest('.form-group').find('.uplaoddocfile').prop('required',false);
                $(this).closest('.form-group').find('.uplaoddocfile').parsley().reset();
            }else{
                $(this).closest('.form-group').find('.uplaoddocfile').prop('required',true);
            }
        });
        /*
        $('input[type=radio]').change(function() {
            var that        = $(this);
            var closest_div = that.closest('.radio-div');
            if(closest_div.length > 0){
                closest_div.find('input[type=radio]:checked').not(this).prop('checked', false);
            }
        });
        */
        document.querySelectorAll(".drop-zone__input").forEach((inputElement) => {
            const dropZoneElement   = inputElement.closest(".drop-zone");

            dropZoneElement.addEventListener("click", (e) => {
                inputElement.click();
            });

            inputElement.addEventListener("change", (e) => {
                if (inputElement.files.length) {
                    var filecount   = inputElement.files.length;
                updateThumbnail(dropZoneElement, inputElement.files[0], filecount);
                }
            });

            dropZoneElement.addEventListener("dragover", (e) => {
                e.preventDefault();
                dropZoneElement.classList.add("drop-zone--over");
            });

            ["dragleave", "dragend"].forEach((type) => {
                dropZoneElement.addEventListener(type, (e) => {
                dropZoneElement.classList.remove("drop-zone--over");
                });
            });

            dropZoneElement.addEventListener("drop", (e) => {
                e.preventDefault();

                if (e.dataTransfer.files.length) {
                inputElement.files  = e.dataTransfer.files;
                var filecount       = e.dataTransfer.files.length;
                updateThumbnail(dropZoneElement, e.dataTransfer.files[0], filecount);
                }

                dropZoneElement.classList.remove("drop-zone--over");
            });
        });
        function updateThumbnail(dropZoneElement, file, filecount) {
            let thumbnailElement    = dropZoneElement.querySelector(".drop-zone__thumb");

            // First time - remove the prompt
            if (dropZoneElement.querySelector(".drop-zone__prompt")) {
                dropZoneElement.querySelector(".drop-zone__prompt").remove();
            }

            // First time - there is no thumbnail element, so lets create it
            if (!thumbnailElement) {
                thumbnailElement    = document.createElement("div");
                thumbnailElement.classList.add("drop-zone__thumb");
                dropZoneElement.appendChild(thumbnailElement);
            }

            thumbnailElement.dataset.label = filecount+' Files Selected';

            // Show thumbnail for image files
            if (file.type.startsWith("image/")) {
                const reader        = new FileReader();

                reader.readAsDataURL(file);
                reader.onload       = () => {
                thumbnailElement.style.backgroundImage = `url('${reader.result}')`;
                };
            } else {
                thumbnailElement.style.backgroundImage = null;
            }
        }
        function loadFileView() {
            $.ajax({
                url: "/driver-admin/loads-file-view",
                method: "POST",
                data: {
                    id : "{{ $loadDetail->load_id }}"
                },
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                success: function(response) {
                    $("#loadfile").html(response.view);
                }
            });
        }
    </script>
    <script type="text/javascript">
        $('#detentionRequestModal').on('hidden.bs.modal', function () {
            //console.log('Detention request modal hidden');
            if(modalInterval > 0)
                clearInterval(modalInterval);
            $('#detentionRequestModal').find('.append-view').html('');
        });
        $('#detentionRequestModal').on('show.bs.modal', function (e) {
            //console.log('Detention request modal show');
            $('#detentionRequestModal').find('.append-view').html(`
                <div class="loadingdiv">
                    <img src="{{ asset('theme/img/loading.gif') }}">
                </div>
            `);
        });
        $(document).on('click', '.detention-request', function(event) {
            event.preventDefault();
            // console.log('detention-request');
            // return false;
            var that                                = $(this);
            var title                               = that.data('title');
            var id                                  = that.data('id');
            var is_stop                             = that.data('is_stop');
            var detention_id                        = that.data('detention_id');
            var detention_status                    = that.data('detention_status');
            if(id){
                var formData                        = {};
                formData['id']                      = id;
                formData['is_stop']                 = is_stop;
                var shipper_is_arrived              = that.data('shipper_is_arrived');
                if (typeof shipper_is_arrived !== "undefined")
                    formData['shipper_is_arrived']  = shipper_is_arrived;
                var delivery_is_arrived             = that.data('delivery_is_arrived');
                if (typeof delivery_is_arrived !== "undefined")
                    formData['delivery_is_arrived'] = delivery_is_arrived;
                formData['detention_id']            = detention_id;
                formData['detention_status']        = detention_status;

                $.ajax({
                    type: 'POST',
                    url: '{!! route("driver.admin.loads.detention.request") !!}',
                    data: formData,
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function () {
                        $('#detentionRequestModal').find('.modal-title').text(title);
                        $('#detentionRequestModal').modal({backdrop: 'static', keyboard: false}, 'show');
                    },
                }).done(function(response) {
                    if(response.success){
                        var html                    = response.html;
                        if(typeof html !== "undefined"){
                            $('#detentionRequestModal').find('.append-view').html(html);
                            setTimeout(function() {
                                updateClock(1); //isModal = Yes

                                var modalForm                   = $('#detentionRequestModal #detentionForm');
                                if(modalForm.length > 0){
                                    var detention_start_time    = modalForm.find('input[name="detention_start_time"]');
                                    if(detention_start_time.length > 0){
                                        var useCurrent          = false;
                                        var startTimeLabel      = modalForm.find('.start_time_label');
                                        if(startTimeLabel.length > 0){
                                            var startTimeVal    = startTimeLabel.attr('data-start_time');
                                            if(startTimeVal==''){
                                                useCurrent      = true;
                                            }
                                        }

                                        detention_start_time.datetimepicker({
                                            ignoreReadonly: true,
                                            format: dateTimeLayout,
                                            useCurrent: useCurrent,
                                            maxDate: moment()
                                        }).on('dp.change', function(e) {
                                            detention_start_time.parsley().reset();
                                            var getDate         = moment(new Date(e.date));
                                            var currentDate     = moment(getDate).format(dateTimeLayout);
                                            modalForm.find('.start_time_label').attr('data-start_time',currentDate);
                                        });
                                    }
                                    var detention_end_time      = modalForm.find('input[name="detention_end_time"]');
                                    if(detention_end_time.length > 0){
                                        detention_end_time.datetimepicker({
                                            ignoreReadonly: true,
                                            format: dateTimeLayout,
                                            useCurrent: true,
                                        }).on('dp.change', function(e) {
                                            detention_end_time.parsley().reset();
                                            var getDate         = moment(new Date(e.date));
                                            var currentDate     = moment(getDate).format(dateTimeLayout);
                                            modalForm.find('.end_time_label').attr('data-end_time',currentDate);
                                        });
                                    }
                                }
                            }, 250);
                        }else{
                            toastr.error('Oops! Something went wrong..', {
                                timeOut: 5000
                            });
                        }
                    }else{
                        toastr.error(response.message, {
                            timeOut: 5000
                        });
                    }
                }).fail(function(jqXHR, status, exception)  {
                    if (jqXHR.status === 0) {
                        error = 'Not connected.\nPlease verify your network connection.';
                    } else if (jqXHR.status == 404) {
                        error = 'The requested page not found. [404]';
                    } else if (jqXHR.status == 500) {
                        error = 'Internal Server Error [500].';
                    } else if (exception === 'parsererror') {
                        error = 'Requested JSON parse failed.';
                    } else if (exception === 'timeout') {
                        error = 'Time out error.';
                    } else if (exception === 'abort') {
                        error = 'Ajax request aborted.';
                    } else {
                        error = 'Uncaught Error.\n' + jqXHR.responseText;
                    }
                    toastr.error(error, {
                        timeOut: 5000
                    });
                });
                return false;
            }
        });
        $(document).on('click', '.view-detention', function(event) {
            event.preventDefault();
            // console.log('view-detention');
            // return false;
            var that                                = $(this);
            var title                               = that.data('title');
            var id                                  = that.data('id');
            var is_stop                             = that.data('is_stop');
            var detention_id                        = that.data('detention_id');
            var detention_status                    = that.data('detention_status');
            if(id){
                var formData                        = {};
                formData['id']                      = id;
                formData['is_view']                 = 1;
                formData['is_stop']                 = is_stop;
                var shipper_is_arrived              = that.data('shipper_is_arrived');
                if (typeof shipper_is_arrived !== "undefined")
                    formData['shipper_is_arrived']  = shipper_is_arrived;
                var delivery_is_arrived             = that.data('delivery_is_arrived');
                if (typeof delivery_is_arrived !== "undefined")
                    formData['delivery_is_arrived'] = delivery_is_arrived;
                formData['detention_id']            = detention_id;
                formData['detention_status']        = detention_status;

                $.ajax({
                    type: 'POST',
                    url: '{!! route("driver.admin.loads.detention.request") !!}',
                    data: formData,
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function () {
                        $('#detentionRequestModal').find('.modal-title').text(title);
                        $('#detentionRequestModal').modal({backdrop: 'static', keyboard: false}, 'show');
                    },
                }).done(function(response) {
                    if(response.success){
                        var html                    = response.html;
                        if(typeof html !== "undefined"){
                            $('#detentionRequestModal').find('.append-view').html(html);
                            setTimeout(function() {
                                updateClock(1); //isModal = Yes
                            }, 250);
                        }else{
                            toastr.error('Oops! Something went wrong..', {
                                timeOut: 5000
                            });
                        }
                    }else{
                        toastr.error(response.message, {
                            timeOut: 5000
                        });
                    }
                }).fail(function(jqXHR, status, exception)  {
                    if (jqXHR.status === 0) {
                        error = 'Not connected.\nPlease verify your network connection.';
                    } else if (jqXHR.status == 404) {
                        error = 'The requested page not found. [404]';
                    } else if (jqXHR.status == 500) {
                        error = 'Internal Server Error [500].';
                    } else if (exception === 'parsererror') {
                        error = 'Requested JSON parse failed.';
                    } else if (exception === 'timeout') {
                        error = 'Time out error.';
                    } else if (exception === 'abort') {
                        error = 'Ajax request aborted.';
                    } else {
                        error = 'Uncaught Error.\n' + jqXHR.responseText;
                    }
                    toastr.error(error, {
                        timeOut: 5000
                    });
                });
                return false;
            }
        });
        $(document).on('click', '.detention-submit', function(event) {
            event.preventDefault();
            // console.log('detention-submit');
            // return false;
            var that                = $(this);
            var btnTxt              = that.text();

            var detention_status    = that.attr('data-detention_status');
            var detention_msg       = 'Detention cancel successfully.';
            if(detention_status==1){
                detention_msg       = 'Detention start successfully.';
            }else if(detention_status==2){
                detention_msg       = 'Detention stop successfully.';
            }else if(detention_status==3){
                detention_msg       = 'Detention review successfully.';
            }

            var form                = $('#detentionRequestModal #detentionForm');
            var formData            = new FormData(form[0]);
            formData.append('detention_status', detention_status);

            var driver_id           = form.find('input[name="driver_id"]').val();
            var broker_id           = form.find('input[name="broker_id"]').val();
            if(driver_id=='' || broker_id==''){
                return false;
            }

            if(detention_status==0){
                Swal.fire({
                    title: "Are you sure?",
                    text: "You won't be able to revert this!",
                    icon: "warning",
                    showCancelButton: true,
                    confirmButtonColor: "#3085d6",
                    confirmButtonText: "Yes",
                    allowOutsideClick: false
                }).then((result) => {
                    if(result.isConfirmed){
                        $.ajax({
                            type: 'POST',
                            url: '{!! route("driver.admin.loads.detention.save") !!}',
                            data: formData,
                            dataType: 'json',
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            cache : false,
                            processData: false,
                            contentType: false,
                            beforeSend: function() {
                                that.prop('disabled', true).html('Please Wait...');
                            },
                        }).done(function(response) {
                            if(response.success){
                                that.prop('disabled', false).html(btnTxt);
                                toastr.success(
                                    detention_msg,
                                    'Success Alert', {
                                        timeOut: 1000,
                                        fadeOut: 1000,
                                        onHidden: function () {
                                            window.location.reload();
                                        }
                                    }
                                );
                            }else{
                                that.prop('disabled', false).html(btnTxt);
                                toastr.error(response.message, {
                                    timeOut: 5000
                                });
                            }
                        }).fail(function(jqXHR, status, exception)  {
                            if (jqXHR.status === 0) {
                                error = 'Not connected.\nPlease verify your network connection.';
                            } else if (jqXHR.status == 404) {
                                error = 'The requested page not found. [404]';
                            } else if (jqXHR.status == 500) {
                                error = 'Internal Server Error [500].';
                            } else if (exception === 'parsererror') {
                                error = 'Requested JSON parse failed.';
                            } else if (exception === 'timeout') {
                                error = 'Time out error.';
                            } else if (exception === 'abort') {
                                error = 'Ajax request aborted.';
                            } else {
                                error = 'Uncaught Error.\n' + jqXHR.responseText;
                            }
                            that.prop('disabled', false).html(btnTxt);
                            toastr.error(error, {
                                timeOut: 5000
                            });
                        });
                        return false;
                    }
                });
            }else{
                form.parsley().validate();
                if (form.parsley().isValid()){
                    $.ajax({
                        type: 'POST',
                        url: '{!! route("driver.admin.loads.detention.save") !!}',
                        data: formData,
                        dataType: 'json',
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        cache : false,
                        processData: false,
                        contentType: false,
                        beforeSend: function() {
                            that.prop('disabled', true).html('Please Wait...');
                        },
                    }).done(function(response) {
                        if(response.success){
                            if(detention_status==2){
                                that.attr('data-detention_status', 2);
                                that.prop('disabled', false).html(btnTxt).addClass('d-none');
                                toastr.success(detention_msg,'Success Alert');

                                var data            = response.data;

                                var modalForm       = $('#detentionRequestModal #detentionForm');
                                modalForm.find('.detention-submit-for-review').removeClass('d-none');
                                modalForm.find('.detention-continue').addClass('d-none');
                                modalForm.find('.end_time_div').removeClass('d-none');
                                modalForm.find('input[name="detention_id"]').val(data.id);
                                var date            = moment(data.detention_end_time).format(dateTimeLayout);
                                modalForm.find('input[name="detention_end_time"]').val(date);
                                modalForm.find('input[name="detention_end_time"]').prop('readonly', true);
                                modalForm.find('input[name="detention_end_time"]').attr('data-parsley-errors-container', '#detention_end_time-errors');
                                modalForm.find('.end_time_label').attr('data-end_time',date);
                                $('.detention-request').attr('data-detention_end_time', date).attr('data-detention_status', 2); //that.attr('data-detention_end_time', date);
                            }else{
                                that.prop('disabled', false).html(btnTxt);
                                toastr.success(
                                    detention_msg,
                                    'Success Alert', {
                                        timeOut: 1000,
                                        fadeOut: 1000,
                                        onHidden: function () {
                                            window.location.reload();
                                        }
                                    }
                                );
                            }
                        }else{
                            that.prop('disabled', false).html(btnTxt);
                            toastr.error(response.message, {
                                timeOut: 5000
                            });
                        }
                    }).fail(function(jqXHR, status, exception)  {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        that.prop('disabled', false).html(btnTxt);
                        toastr.error(error, {
                            timeOut: 5000
                        });
                    });
                }
                return false;
            }
        });
        $(document).on('click', 'img[data-datepickerimage]', function(event) {
            event.preventDefault();
            var that    = $(this);
            if (that.attr('data-datepickerimage') == '1') {
                var ele = $(this).parent().find('input');
                ele.focus();
                that.attr('data-datepickerimage', '0');
            } else {
                that.attr('data-datepickerimage', '1');
            }
        });
    </script>
    <script type="text/javascript">
        $(document).ready(function () {
            // Add minus icon for collapse element which is open by default
            $(".collapse.show").each(function () {
                if(!$(this).hasClass('stop-collapse'))
                    $(this).prev('.accordion-toggle').find(".fa").addClass("fa-minus").removeClass("fa-plus");
                else
                    $(this).closest('.card-stop').find(".fa").removeClass("fa-minus").addClass("fa-plus");
            });

            // Toggle plus minus icon on show hide of collapse element
            $(".collapse").on("show.bs.collapse", function (event) {
                if(!$(this).hasClass('stop-collapse'))
                    $(this).prev('.accordion-toggle').find(".fa").removeClass("fa-plus").addClass("fa-minus");
                else
                    $(this).closest('.card-stop').find(".fa").removeClass("fa-plus").addClass("fa-minus");
                event.stopPropagation();
            }).on("hide.bs.collapse", function (event) {
                if(!$(this).hasClass('stop-collapse'))
                    $(this).prev('.accordion-toggle').find(".fa").removeClass("fa-minus").addClass("fa-plus");
                else
                    $(this).closest('.card-stop').find(".fa").removeClass("fa-minus").addClass("fa-plus");
                event.stopPropagation();
            });
        });
    </script>
    <script type="text/javascript">
        updateClock(); // For button
        function updateClock(isModal=0){
            // console.log('updateClock');
            // return false;
            if(isModal==1){
                var modalForm                       = $('#detentionRequestModal #detentionForm');
                modalInterval                       = setInterval(function() {
                    // console.log('Hello');
                    // Get today's date and time
                    var endStr                      = moment().format(dateTimeLayout); //moment(moment().toDate(), null).tz(timeZone).format(dateTimeLayout);
                    var endStamp                    = new Date(endStr).getTime(); // var endStamp = new Date().getTime();
                    var endTimeLabel                = modalForm.find('.end_time_label');
                    if(endTimeLabel.length > 0){
                        var endTimeLabelVal         = endTimeLabel.attr('data-end_time');
                        if(endTimeLabelVal){
                            var endDateTime         = new Date(endTimeLabelVal);
                            endStamp                = endDateTime.getTime();
                        }
                    }

                    var startStamp                  = endStamp;
                    var startTimeLabel              = modalForm.find('.start_time_label');
                    if(startTimeLabel.length > 0){
                        var startTimeLabelVal       = startTimeLabel.attr('data-start_time');
                        if(startTimeLabelVal){
                            startDateTime           = new Date(startTimeLabelVal);
                            startStamp              = startDateTime.getTime();
                        }
                    }

                    var diff                        = Math.abs(endStamp - startStamp);
                    var seconds                     = Math.floor(diff / 1000); //ignore any left over units smaller than a second
                    var minutes                     = Math.floor(seconds / 60);
                    seconds                         = seconds % 60;
                    var hours                       = Math.floor(minutes / 60);
                    minutes                         = minutes % 60;

                    if (hours < 10)
                        hours                       = "0"+hours;
                    if (minutes < 10)
                        minutes                     = "0"+minutes;
                    if(endStamp < startStamp){
                        modalForm.find('.time-lapsed').html('-'+hours+':'+minutes);
                        if(!modalForm.find('input[name="detention_end_time"]').closest('div').next().hasClass('invalid-feedback')){
                            modalForm.find('input[name="detention_end_time"]').closest('div').after('<span class="invalid-feedback">End date must be after start date.</span>');
                        }
                        var mfbuttons               = modalForm.find('.detention-submit').each(function(i, obj) {
                            if($(obj).attr('data-detention_status')!=0){
                                $(obj).prop('disabled', true);
                            }
                        });
                    }else{
                        modalForm.find('.time-lapsed').html(hours+':'+minutes);
                        if(modalForm.find('input[name="detention_end_time"]').closest('div').next().hasClass('invalid-feedback')){
                            modalForm.find('input[name="detention_end_time"]').closest('div').next().remove();
                        }
                        var mfbuttons               = modalForm.find('.detention-submit').each(function(i, obj) {
                            if($(obj).attr('data-detention_status')!=0){
                                $(obj).prop('disabled', false);
                            }
                        });
                    }
                    // if(modalForm.find('.end-time').length > 0){
                    //     clearInterval(modalInterval);
                    // }
                }, 1000);
            }else{
                var pageInterval                    = setInterval(function() {
                    var that                        = $('.detention-request');
                    if(that.length > 0){
                        var status                  = that.data('detention_status');
                        if(status==0){
                            clearInterval(pageInterval);
                        }else{
                            //var endStr            = moment(moment().toDate(), null).tz(timeZone).format(dateTimeLayout);
                            //var endStamp          = new Date(endStr).getTime(); // var endStamp = new Date().getTime();
                            var endStamp            = new Date().getTime();
                            if(status==2 || status==3){
                                var endDateTime     = new Date(that.data('detention_end_time'));
                                var endStamp        = endDateTime.getTime();
                            }
                            var startStamp          = endStamp;
                            if(that.data('detention_start_time')){
                                var startDateTime   = new Date(that.data('detention_start_time'));
                                var startStamp      = startDateTime.getTime();
                            }

                            var diff                = Math.abs(endStamp - startStamp);
                            var seconds             = Math.floor(diff / 1000); //ignore any left over units smaller than a second
                            var minutes             = Math.floor(seconds / 60);
                            seconds                 = seconds % 60;
                            var hours               = Math.floor(minutes / 60);
                            minutes                 = minutes % 60;

                            if (hours < 10)
                                hours               = "0"+hours;
                            if (minutes < 10)
                                minutes             = "0"+minutes;
                            if(endStamp < startStamp){
                                that.find('.btn-time-lapsed').html('[-'+hours+':'+minutes+']');
                            }else{
                                that.find('.btn-time-lapsed').html('['+hours+':'+minutes+']');
                            }
                            // if(that.data('detention_end_time')!=''){
                            //     clearInterval(pageInterval);
                            // }
                        }
                    }else{
                        clearInterval(pageInterval);
                    }
                }, 1000);
            }
        }
    </script>
@endsection