@php
    $unique_id  = $formData['unique_id'];
@endphp

@if(in_array($jsonData['source'], ['load_details', 'load_stops']) && in_array($jsonData['field_name'], ['shipper_files_upload', 'consignee_files_upload', 'stop_shipper_files_upload', 'stop_consignee_files_upload']))
    <div class="d-block p-2" data-unique_id="{{ $unique_id }}" data-status="{{ $jsonData['status'] }}" data-jsonString="{{ json_encode($jsonData) }}">
        <p class="fw-500">
            @if(isset($jsonData['filename_id']) && $jsonData['filename_id']=='0')
                Other - {{ $jsonData['filename'] }}
            @else
                {{ $jsonData['filename'] }}
            @endif
            @if($jsonData['type'] == '2')
                (Original)
            @endif
        </p>
        @if($jsonData['type'] == '1')
            @if($jsonData['status'] == 'Complete')
                <ul class="nav required-documents-check">
                    <li>
                        <label class="fs-14 fw-600 text-success file-upload-msg d-flex align-items-center">Completed</label>
                    </li>
                    <li class="d-flex align-items-center">
                        @php
                            $documents          = [];
                        @endphp
                        @if(isset($jsonData['file']) && is_array($jsonData['file']) && !empty($jsonData['file']))
                            @php
                                $documents      = $jsonData['file'];
                            @endphp
                        @endif
                        @if(!empty($documents))
                            <div class="d-block">
                                @foreach($documents as $document)
                                    @if($document != '' && \File::exists('storage/companyAdmin/load_detail_document/'.$document))
                                        @php
                                            $file_path  = 'storage/companyAdmin/load_detail_document/'.$document;
                                        @endphp
                                        <a href="{{ asset($file_path) }}" class="fs-14 fw-normal d-block" target="_blank">{{ $document }}</a>
                                    @endif
                                @endforeach
                            </div>
                        @endif
                        <a href="javascript:void(0);" class="text-danger ml-3 remove-document">
                            <i class="fa fa-times" aria-hidden="true"></i>
                        </a>
                    </li>
                </ul>
            @else
                <ul class="nav required-documents-check">
                    <li>
                        <button class="btn btn-blue font-weight-bold custom-file file-upload">
                            <span class="font-weight-bold fs-14 text-center pt-0 ml-0">Upload</span>
                            <input type="file" class="custom-file-input" accept=".jpg, .jpeg, .png, .gif, .pdf" multiple>
                        </button>
                    </li>
                    <li>
                        <div class="custom-control custom-checkbox-blue d-flex align-items-center">
                            <input type="checkbox" class="custom-control-input file_not_provided-input" id="file_not_provided_{{ $unique_id }}" {{ isset($jsonData['file_not_provided']) && $jsonData['file_not_provided'] == 'on' ? 'checked' : '' }}>
                            <label class="custom-control-label" for="file_not_provided_{{ $unique_id }}">Not Provided</label>
                        </div>
                    </li>
                </ul>
            @endif
        @else
            <ul class="nav required-documents-check">
                <li>
                    <div class="custom-control custom-checkbox-blue d-flex align-items-center">
                        <input type="checkbox" class="custom-control-input received-checkbox-group is_received-input" id="is_received_{{ $unique_id }}" {{ isset($jsonData['is_received']) && $jsonData['is_received'] == 'on' ? 'checked' : '' }}>
                        <label class="custom-control-label" for="is_received_{{ $unique_id }}">Received</label>
                    </div>
                </li>
                <li>
                    <div class="custom-control custom-checkbox-blue d-flex align-items-center">
                        <input type="checkbox" class="custom-control-input received-checkbox-group file_not_provided-input" id="file_not_provided_{{ $unique_id }}" {{ isset($jsonData['file_not_provided']) && $jsonData['file_not_provided'] == 'on' ? 'checked' : '' }}>
                        <label class="custom-control-label" for="file_not_provided_{{ $unique_id }}">Not Provided</label>
                    </div>
                </li>
            </ul>
        @endif
    </div>
@elseif($jsonData['source'] == 'load_document_request_items')
    <div class="d-block p-2" data-unique_id="{{ $unique_id }}" data-status="{{ $jsonData['status'] }}" data-jsonString="{{ json_encode($jsonData) }}">
        <p class="fw-500">
            @if(isset($jsonData['filename_id']) && $jsonData['filename_id']=='0')
                Other - {{ $jsonData['filename'] }}
            @else
                {{ $jsonData['filename'] }}
            @endif
            @if($jsonData['type'] == '2')
                (Original)
            @endif
        </p>
        @if($jsonData['type'] == '1')
            @if($jsonData['status'] == 'Complete')
                <ul class="nav required-documents-check">
                    <li>
                        <label class="fs-14 fw-600 text-success file-upload-msg d-flex align-items-center">Completed</label>
                    </li>
                    <li class="d-flex align-items-center">
                        @php
                            $documents          = [];
                        @endphp
                        @if(isset($jsonData['file']) && is_array($jsonData['file']) && !empty($jsonData['file']))
                            @php
                                $documents      = $jsonData['file'];
                            @endphp
                        @endif
                        @if(!empty($documents))
                            <div class="d-block">
                                @foreach($documents as $document)
                                    @if($document != '' && \File::exists('storage/companyAdmin/load_detail_document/'.$document))
                                        @php
                                            $file_path  = 'storage/companyAdmin/load_detail_document/'.$document;
                                        @endphp
                                        <a href="{{ asset($file_path) }}" class="fs-14 fw-normal d-block" target="_blank">{{ $document }}</a>
                                    @endif
                                @endforeach
                            </div>
                        @endif
                        <a href="javascript:void(0);" class="text-danger ml-3 remove-document">
                            <i class="fa fa-times" aria-hidden="true"></i>
                        </a>
                    </li>
                </ul>
            @else
                <ul class="nav required-documents-check">
                    <li>
                        <button class="btn btn-blue font-weight-bold custom-file file-upload">
                            <span class="font-weight-bold fs-14 text-center pt-0 ml-0">Upload</span>
                            <input type="file" class="custom-file-input" accept=".jpg, .jpeg, .png, .gif, .pdf" multiple>
                        </button>
                    </li>
                    <li>
                        <div class="custom-control custom-checkbox-blue d-flex align-items-center">
                            <input type="checkbox" class="custom-control-input file_not_provided-input" id="file_not_provided_{{ $unique_id }}" {{ isset($jsonData['file_not_provided']) && $jsonData['file_not_provided'] == 'on' ? 'checked' : '' }}>
                            <label class="custom-control-label" for="file_not_provided_{{ $unique_id }}">Not Provided</label>
                        </div>
                    </li>
                </ul>
            @endif
        @else
            <ul class="nav required-documents-check">
                <li>
                    <div class="custom-control custom-checkbox-blue d-flex align-items-center">
                        <input type="checkbox" class="custom-control-input received-checkbox-group is_received-input" id="is_received_{{ $unique_id }}" {{ isset($jsonData['is_received']) && $jsonData['is_received'] == 'on' ? 'checked' : '' }}>
                        <label class="custom-control-label" for="is_received_{{ $unique_id }}">Received</label>
                    </div>
                </li>
                <li>
                    <div class="custom-control custom-checkbox-blue d-flex align-items-center">
                        <input type="checkbox" class="custom-control-input received-checkbox-group file_not_provided-input" id="file_not_provided_{{ $unique_id }}" {{ isset($jsonData['file_not_provided']) && $jsonData['file_not_provided'] == 'on' ? 'checked' : '' }}>
                        <label class="custom-control-label" for="file_not_provided_{{ $unique_id }}">Not Provided</label>
                    </div>
                </li>
            </ul>
        @endif
    </div>
@elseif($jsonData['source'] == 'load_accessorials')
    <div class="d-block p-2" data-unique_id="{{ $unique_id }}" data-status="{{ $jsonData['status'] }}" data-jsonString="{{ json_encode($jsonData) }}">
        <p class="fw-500">
            {{ $jsonData['filename'] }}
        </p>
        @if($jsonData['status'] == 'Complete')
            <ul class="nav required-documents-check">
                <li>
                    <label class="fs-14 fw-600 text-success file-upload-msg d-flex align-items-center">Completed</label>
                </li>
                <li class="d-flex align-items-center">
                    @if(isset($jsonData['file']) && !is_array($jsonData['file']) && $jsonData['file'] != '' && \File::exists('storage/companyAdmin/gallery/'.$jsonData['file']))
                        @php
                            $file_path  = 'storage/companyAdmin/gallery/'.$jsonData['file'];
                        @endphp
                        <div class="d-block">
                            <a href="{{ asset($file_path) }}" class="fs-14 fw-normal d-block" target="_blank">{{ $jsonData['file'] }}</a>
                        </div>
                    @endif
                    <a href="javascript:void(0);" class="text-danger ml-3 remove-document">
                        <i class="fa fa-times" aria-hidden="true"></i>
                    </a>
                </li>
            </ul>
        @else
            <ul class="nav required-documents-check">
                <li>
                    <button class="btn btn-blue font-weight-bold custom-file file-upload">
                        <span class="font-weight-bold fs-14 text-center pt-0 ml-0">Upload</span>
                        <input type="file" class="custom-file-input" accept=".jpg, .jpeg, .png, .gif, .pdf" multiple>
                    </button>
                </li>
                <li>
                    <div class="custom-control custom-checkbox-blue d-flex align-items-center">
                        <input type="checkbox" class="custom-control-input file_not_provided-input" id="file_not_provided_{{ $unique_id }}" {{ isset($jsonData['file_not_provided']) && $jsonData['file_not_provided'] == 'on' ? 'checked' : '' }}>
                        <label class="custom-control-label" for="file_not_provided_{{ $unique_id }}">Not Provided</label>
                    </div>
                </li>
            </ul>
        @endif
    </div>
@endif