@extends($managerTheme)

@section('title')
    Loads
@endsection

@section('style')
<link rel="stylesheet" href="{{ asset('theme/css/bootstrap-datetimepicker.min.css') }}">
<style type="text/css">
	.load-btn label{
		width: 99px !important;
	}	
</style>
@endsection

@section('content')
<div class="main-wrapper load-wrapper">
    <div class="row">
        <div class="col-md-12">
            <div class="white-box mb-4">
                <h4 class="box-title">Load Information</h4>
                <div class="box-padding">
                    <div class="row">
                        <div class="col-md-3">
                            <div class="form-group">
                                <label>Driver</label>
                                <select class="custom-select form-control">
                                    <option selected="">Driver</option>
                                    <option value="1">One</option>
                                    <option value="2">Two</option>
                                    <option value="3">Three</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-2">
                            <div class="form-group">
                                <label>Self Dispatch</label>
                                <div class="custom-control custom-switch">
                                    <input type="checkbox" class="custom-control-input" id="selfDispatch">
                                    <label class="custom-control-label" for="selfDispatch"></label>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label>Booked By</label>
                                <select class="custom-select form-control">
                                    <option selected="">Self Dispatch</option>
                                    <option value="1">One</option>
                                    <option value="2">Two</option>
                                    <option value="3">Three</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <span class="submitted">Submitted By:<span>Manager</span></span>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group load-type">
                                <label>Load Type</label>
                                <div class="btn-group btn-group-toggle d-block" data-toggle="buttons">
                                    <label class="btn btn-secondary active">
                                        <input type="radio" name="load" id="load1" checked=""> OCCUPIED
                                    </label>
                                    <label class="btn btn-secondary">
                                        <input type="radio" name="load" id="load2"> MAINTENANCE
                                    </label>
                                    <label class="btn btn-secondary">
                                        <input type="radio" name="load" id="load3"> UNAUTHORIZED
                                    </label>
                                    <label class="btn btn-secondary">
                                        <input type="radio" name="load" id="load4" checked=""> HOS
                                    </label>
                                    <label class="btn btn-secondary">
                                        <input type="radio" name="load" id="load5"> NO DISPATCH
                                    </label>
                                    <label class="btn btn-secondary">
                                        <input type="radio" name="load" id="load6"> HOME
                                    </label>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-12">
            <div class="white-box mb-4 load-status spl-value">
                <h4 class="box-title">Load Status</h4>
                <div class="box-padding">
                    <div class="row">
                        <div class="col-sm-6 col-md-6 col-lg-12">
                            <ul class="custom-progress-bar">
                                <li class="fill-active"><span class="p-value">Accepted</span></li>
                                <li><span class="p-value">Preplaned</span></li>
                                <li><span class="p-value">Confirmed</span></li>
                                <li><span class="p-value">In Transit</span></li>
                                <li><span class="p-value">Delivered</span></li>
                                <li><span class="p-value">Ready to Bill</span></li>
                                <li><span class="p-value">Complete</span></li>
                                <li class="cancalled"><span class="p-value">Cancelled</span></li>
                            </ul>
                        </div>
                        <div class="col-sm-6 col-md-6 col-lg-12">
                            <ul class="common-checkbox">
                                <li>
                                    <div class="product_checkbox_div custom-control custom-checkbox">
                                        <input type="checkbox" name="1" id="check1" value="" class="custom-control-input clr-check" />
                                        <label class="product_ingredients_list custom-control-label" for="check1">Picture to Drive</label>
                                    </div>
                                </li>
                                <li>
                                    <div class="product_checkbox_div custom-control custom-checkbox">
                                        <input type="checkbox" name="1" id="check2" value="" class="custom-control-input clr-check"/>
                                        <label class="product_ingredients_list custom-control-label" for="check2">Load to Omni</label>
                                    </div>
                                </li>
                                <li>
                                    <div class="product_checkbox_div custom-control custom-checkbox">
                                        <input type="checkbox" name="1" id="check3" value="" class="custom-control-input clr-check"/>
                                        <label class="product_ingredients_list custom-control-label" for="check3">Dispatched</label>
                                    </div>
                                </li>
                                <li>
                                    <div class="product_checkbox_div custom-control custom-checkbox">
                                        <input type="checkbox" name="1" id="check4" value="" class="custom-control-input clr-check"/>
                                        <label class="product_ingredients_list custom-control-label" for="check4">Loaded</label>
                                    </div>
                                </li>
                                <li>
                                    <div class="product_checkbox_div custom-control custom-checkbox">
                                        <input type="checkbox" name="1" id="check5" value="" class="custom-control-input clr-check"/>
                                        <label class="product_ingredients_list custom-control-label" for="check5">Delivered</label>
                                    </div>
                                <li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-lg-6">
            <div class="white-box mb-4 load-status">
                <h4 class="box-title">Shipping Dates and Location</h4>
                <div class="box-padding">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group mt-2">
                                <div class="btn-group btn-group-toggle d-block" data-toggle="buttons">
                                    <label class="btn btn-secondary active shippingTime">
                                        <input type="radio" name="shipping" id="shipping1" checked=""> Set Time
                                    </label>
                                    <label class="btn btn-secondary shippingRange">
                                        <input type="radio" name="shipping" id="shipping2"> Range
                                    </label>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6 custom-width">
                            <div class="form-group">
                                <label>Shipper Date/Time</label>
                                <input type="text" class="form-control" id="shipperDate">
                                <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                            </div>
                        </div>
                        <div class="col-md-6 custom-width">
                            <div class="form-group shippingEnd">
                                <label>Shipper Date/Time End</label>
                                <input type="text" class="form-control" id="shipperDateEnd">
                                <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Shipper Location</label>
                                <input type="text" class="form-control">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-lg-6">
            <div class="white-box mb-4 load-status">
                <h4 class="box-title">Delivery Dates and Location</h4>
                <div class="box-padding">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group mt-2">
                                <div class="btn-group btn-group-toggle d-block" data-toggle="buttons">
                                    <label class="btn btn-secondary active deliveryTime">
                                        <input type="radio" name="shipping" id="shipping1" checked=""> Set Time
                                    </label>
                                    <label class="btn btn-secondary deliveryRange">
                                        <input type="radio" name="shipping" id="shipping2"> Range
                                    </label>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6 custom-width">
                            <div class="form-group">
                                <label>Delivery Date/Time</label>
                                <input type="text" class="form-control" id="deliveryDate">
                                <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                            </div>
                        </div>
                        <div class="col-md-6 custom-width">
                            <div class="form-group deliveryEnd">
                                <label>Delivery Date/Time End</label>
                                <input type="text" class="form-control" id="deliveryDateEnd">
                                <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Delivert Location</label>
                                <input type="text" class="form-control">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-lg-6">
            <div class="white-box mb-4 load-status broker-div">
                <h4 class="box-title clear-btn">Broker <button class="clear-broker-btn">Clear</button></h4>
                <div class="box-padding">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group broker-search">
                                <label>Brokerage Firm</label>
                                <input type="text" class="form-control">
                                <i class="fa fa-search"></i>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Brokerage MC</label>
                                <input type="text" class="form-control">
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Rep</label>
                                <input type="text" class="form-control">
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Phone</label>
                                <input type="text" class="form-control phone" placeholder="(555) 123-1234">
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Ext</label>
                                <input type="text" class="form-control">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-lg-6">
            <div class="white-box mb-4 load-status">
                <h4 class="box-title clear-btn">Load Information <button>Clear</button></h4>
                <div class="box-padding">
                    <div class="row">
                        <div class="col-md-6 custom-width">
                            <div class="form-group">
                                <label>Load Number</label>
                                <input type="text" class="form-control">
                            </div>
                        </div>
                        <div class="col-md-6 custom-width">
                            <div class="btn-group btn-group-toggle d-block load-btn" data-toggle="buttons">
                                <label class="btn btn-secondary active">
                                    <input type="radio" name="loadInfo" id="loadInfo1" checked=""> Company
                                </label>
                                <label class="btn btn-secondary">
                                    <input type="radio" name="loadInfo" id="loadInfo2"> Owner Op
                                </label>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Weight</label>
                                <input type="text" class="form-control">
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Temp</label>
                                <input type="text" class="form-control">
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Trailer Type</label>
                                <select class="custom-select form-control">
                                    <option selected="">Select</option>
                                    <option value="1">One</option>
                                    <option value="2">Two</option>
                                    <option value="3">Three</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group broker-search">
                                <label>Trucking Company</label>
                                <input type="text" class="form-control" placeholder="Select">
                                <i class="fa fa-search"></i>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group broker-search">
                                <label>Truck Number</label>
                                <input type="text" class="form-control" placeholder="Auto Filled from driver">
                                <i class="fa fa-search"></i>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group broker-search">
                                <label>Trailer Number</label>
                                <input type="text" class="form-control" placeholder="Select">
                                <i class="fa fa-search"></i>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-lg-6">
            <div class="white-box mb-4 load-status generalAccount">
                <h4 class="box-title clear-btn">Load Information <button>Clear</button></h4>
                <div class="box-padding">
                    <div class="row">
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Empty Miles</label>
                                <input type="text" class="form-control">
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Loaded Miles</label>
                                <input type="text" class="form-control">
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Total Miles</label>
                                <input type="text" class="form-control">
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Agreed Upon Rate</label>
                                <input type="text" class="form-control">
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Fuel Surcharge Cost Per Mile</label>
                                <input type="text" class="form-control">
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Fuel Surcharge</label>
                                <input type="text" class="form-control">
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Line Haul</label>
                                <input type="text" class="form-control">
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Detention</label>
                                <input type="text" class="form-control">
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Accessorial</label>
                                <input type="text" class="form-control">
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Lumper</label>
                                <input type="text" class="form-control">
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Total Bill</label>
                                <input type="text" class="form-control">
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label>Paid by Broker</label>
                                <div class="custom-control custom-checkbox">
                                    <input type="checkbox" class="custom-control-input" id="Unbilled">
                                    <label class="custom-control-label" for="Unbilled">Unbilled</label>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label>Paid by Us</label>
                                <div class="custom-control custom-checkbox">
                                    <input type="checkbox" class="custom-control-input" id="Billed">
                                    <label class="custom-control-label" for="Billed">Billed</label>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-lg-6">
            <div class="white-box mb-4 load-status generalAccount">
                <h4 class="box-title clear-btn">Notes</h4>
                <div class="box-padding">
                    <div class="row align-items-center">
                        <div class="col-md-12">
                            <div class="form-group">
                                <textarea class="notes form-control"></textarea>
                            </div>
                        </div>
                        <div class="col-md-6 mb-3">
                            <div class="form-group">
                                <span class="notes-switch">Send notification to driver
                                    <div class="custom-control custom-switch">
                                        <input type="checkbox" class="custom-control-input" id="notification">
                                        <label class="custom-control-label" for="notification"></label>
                                    </div>
                                </span>
                            </div>
                        </div>
                        <div class="col-md-6 mb-3">
                            <button class="green-btn notes-btn">Split to new driver</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="button-bottom">
        <button class="cancel-btn">Cancel</button>
        <button class="submit-btn">Submit</button>
    </div>
</div>
@endsection

@section('script')
<script src="{{ asset('theme/js/moment.min.js') }}"></script>
<script src="{{ asset('theme/js/bootstrap-datetimepicker.min.js') }}"></script>
<script type="text/javascript">
$(document).ready(function(){
    $(function () {
        $('#shipperDate').datetimepicker();
        $('#shipperDateEnd').datetimepicker();
        $('#deliveryDate').datetimepicker();
        $('#deliveryDateEnd').datetimepicker();
    });
    $('.shippingRange').click(function(){
        $('.shippingEnd').addClass('d-block');
    });
    $('.shippingTime').click(function(){
        $('.shippingEnd').removeClass('d-block');
    });
    $('.deliveryRange').click(function(){
        $('.deliveryEnd').addClass('d-block');
    });
    $('.deliveryTime').click(function(){
        $('.deliveryEnd').removeClass('d-block');
    });

    $('.clear-broker-btn').click(function(){
        $('.broker-div').find('input').val('');
    });

    // equal height
    if ($(window).width() >= 992) {
        $('.main-wrapper').each(function(){
            var highestBox = 0;
            $('.generalAccount', this).each(function(){
                if($(this).height() > highestBox) {
                    highestBox = $(this).height(); 
                }
            });
            $('.generalAccount',this).height(highestBox);
        });
    }
});
</script>
@endsection
