<?php if($getNote->isNotEmpty()): ?>
    <?php $__currentLoopData = $getNote; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $note): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <?php
            if(!empty($note->document)){
                $documents = unserialize($note->document);
            }else{
                $documents = [];
            }
        ?>
        <div class="communication-block mt-3">
            <div class="d-flex flex-wrap">
                <h6>
                    <?php echo e(\Carbon\Carbon::createFromFormat('Y-m-d H:i:s', $note->created_at)->setTimezone($getTimeZone)->format('l '.getTimeLayout())." ".$getTimeZoneId); ?>

                </h6>
                <h6>
                    Posted by:
                    <?php if($note->created_by_type == 3): ?>
                        <?php echo e($note->createdDriverBy->full_name); ?>

                    <?php else: ?>
                        <?php echo e($note->createdBy->full_name); ?>

                    <?php endif; ?>
                </h6>
                <?php if(!empty($note->request_type)): ?>
                    <h6><?php echo e(getNoteRequestType()[$note->request_type]); ?></h6>
                <?php endif; ?>
            </div>
            <div class="d-flex communication-content">
                <?php if(empty($note->type)): ?>
                    <p><strong>Note:</strong> <?php echo e($note->note); ?></p>
                <?php else: ?>
                    <p><strong><?php echo e(getLoadNoteType()[$note->type]); ?>:</strong> <?php echo e($note->note); ?></p>
                <?php endif; ?>
                <div class="communication-img">
                    <?php if(is_array($documents) && count($documents) > 0): ?>
                        <a href="javascript:void(0);" data-toggle="modal" data-target="#loadNoteFile<?php echo e($note->id); ?>">
                            <img src="<?php echo e(asset('theme/images/atteched.png')); ?>" alt="Atteched">
                        </a>
                    <?php endif; ?>
                    
                    <a href="javascript:void(0);" class="destroyNote" data-action="<?php echo e(route('company.admin.loads.note.view.delete', $note->id)); ?>" data-id="<?php echo e($note->id); ?>">
                        <img src="<?php echo e(asset('theme/images/delete-black.png')); ?>" alt="Delete">
                    </a>
                </div>
            </div>
            <div class="d-flex flex-wrap align-items-center mt-3 mb-0">
                <label class="mb-0 mr-3 font-weight-bold"> Notify:</label>
                <div class="custom-checkbox-inline">
                    <div class="custom-control custom-checkbox">
                        <input type="checkbox" class="custom-control-input" <?php echo e(($note->notify_dispatcher == 1 ? ' checked' : '')); ?> disabled>
                        <label class="custom-control-label">Dispatcher</label>
                    </div>
                    <div class="custom-control custom-checkbox">
                        <input type="checkbox" class="custom-control-input" <?php echo e(($note->notify_dirver == 1 ? ' checked' : '')); ?> disabled>
                        <label class="custom-control-label">Driver</label>
                    </div>
                    <div class="custom-control custom-checkbox">
                        <input type="checkbox" class="custom-control-input" <?php echo e(($note->notify_broker == 1 ? ' checked' : '')); ?> disabled>
                        <label class="custom-control-label">Broker</label>
                    </div>
                    <div class="custom-control custom-checkbox">
                        <input type="checkbox" class="custom-control-input" <?php echo e(($note->notify_my == 1 ? ' checked' : '')); ?> disabled>
                        <label class="custom-control-label">Add to my notifications</label>
                    </div>
                    <div class="custom-control custom-checkbox">
                        <input type="checkbox" class="custom-control-input" <?php echo e(($note->notify_private == 1 ? ' checked' : '')); ?> disabled>
                        <label class="custom-control-label">CC</label>
                        <?php if($note->notify_private == 1): ?>
                            (<?php echo e($note->notify_private_user_name($note->id)); ?>)
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
        <?php if(is_array($documents) && count($documents) > 0): ?>
            <div class="modal fade teamModal" id="loadNoteFile<?php echo e($note->id); ?>" tabindex="-1" aria-labelledby="loadNoteFileLabel<?php echo e($note->id); ?>" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered modal-blue">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="loadNoteFileLabel<?php echo e($note->id); ?>">
                                Load note file
                                <?php if(!empty($note->request_type)): ?>
                                    : <?php echo e(getNoteRequestType()[$note->request_type]); ?>

                                <?php endif; ?>
                            </h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body text-left mulimagbu">
                            <?php $__currentLoopData = $documents; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $document): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php
                                    $file_path  = 'storage/companyAdmin/loadfile/'.$document;
                                    $type       = \File::extension($file_path);
                                ?>
                                <?php if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif'): ?>
                                    <a href="<?php echo e(asset($file_path)); ?>" target="_blank" class="mb-3 d-block" >
                                        <img src="<?php echo e(asset($file_path)); ?>" alt="" class="img-fluid">
                                    </a>
                                <?php else: ?>
                                    <a href="<?php echo e(asset($file_path)); ?>" target="_blank" class="btn btn-outline-primary mb-3 d-block"><?php echo e($document); ?></a>
                                <?php endif; ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <hr>
                            <p class="teswrap"><strong>Note: </strong><?php echo e($note->note); ?></p>
                        </div>
                    </div>
                </div>
            </div>
        <?php endif; ?>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
<?php endif; ?><?php /**PATH C:\xampp8.6\htdocs\appdispatchpro\resources\views/companyAdmin/load/view/notes.blade.php ENDPATH**/ ?>