

<?php $__env->startSection('title'); ?>
    Linear View
<?php $__env->stopSection(); ?>

<?php $__env->startSection('style'); ?>
    <style type="text/css">
        .occupancy-toolbar {padding: 15px 0;}
        .occupancy-toolbar h2 {font-size: 18px;}
        .linerviewtabe tr td.multilod a {font-weight: bold;text-transform: uppercase;display: block;}
        .linerviewtabe tr td.sinlod a {color: #000;}
        .append-view .loadingdiv {height: calc(100vh - 319px);}
    </style>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <div class="white-box">
        <div class="monthly-occupancy-title">
            <h4 class="box-title text-uppercase">Monthly Occupancy Tracker</h4>
        </div>
        <form autocomplete="off"> 
            <div class="p-20">
                <div class="row align-items-end" >
                    <div class="col-md-6">
                        <div class="monthly-occupancy-box">
                            <h6>Occupancy Type Key</h6>
                            <div>Occupied <span class="occupancy-box o-box">o</span></div>
                            <div>Time off <span class="occupancy-box t-box">t</span></div>
                            <div>Unauthorized <span class="occupancy-box u-box">u</span></div>
                            <div>HOS <span class="occupancy-box h-box">h</span></div>
                            <div>Maintenance <span class="occupancy-box m-box">m</span></div>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <ul class="cust-select-2">
                            <li>Filter</li>
                            <li>
                                <div class="form-group">
                                <?php echo Form::select('team_id', ['' => 'Select Team']+getTeamList(), null, ['class' => 'form-control cust-box team-select']); ?>

                                </div>
                            </li>
                            <li>
                                <div class="form-group">
                                <?php echo Form::select('dispatcher', ['' => 'Select Driver Manager' ]+getTeamHeadListByCompany(auth()->guard('company-admin')->user()->company_id), $manager, ['class' => 'form-control cust-box dispatcher-select','autocomplete' => 'false']); ?>

                                </div>
                            </li>
                            <li>
                                <div class="form-group">
                                <?php echo Form::select('carrier', ['' => 'Select Carrier']+getCarrierList(), null, ['class' => 'form-control cust-box carrier-select']); ?>

                                </div>
                            </li>
                        </ul>
                    </div>
                </div>
                <div class="occupancy-toolbar text-center tooembo-box disabled-click">
                    <button type="button" class="prev-arrow"><img src="<?php echo e(asset('theme/img/lft-arrow.png')); ?>" class="" alt=""></button>
                    <h2 class="mtitle"><?php echo e($month_name); ?> <?php echo e($year); ?></h2>
                    <button type="button" class="next-arrow"><img src="<?php echo e(asset('theme/img/rgt-arrow.png')); ?>" class="" alt=""></button>
                    <input type="hidden" class="cyear" value="<?php echo e($year); ?>" autocomplete="false">
                    <input type="hidden" class="cmonth" value="<?php echo e($month); ?>" autocomplete="false">
                </div>
                <div class="append-view"></div>
            </div>
            <input type="hidden" name="skip" id="skip" value="30" />
            <input type="hidden" name="take" id="take" value="30" />
            <input type="hidden" name="driver_count" id="driver_count" value="30" />
        </form>
    </div>
    <?php echo $__env->make('companyAdmin.dispatchHub.modal.availableDriver', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script type="text/javascript">
        var loadimg         = "<?php echo e(asset('theme/img/loading.gif')); ?>";

        var get_data        = 'current';
        var cyear           = $(".cyear").val();
        var cmonth          = $(".cmonth").val();
        var team            = null;
        var manager         = "<?php echo e($manager); ?>";
        var carrier         = null;

        function OccupancyCalanderView(get_data,cyear,cmonth,team,manager,carrier) {
            var append_view = $(".occupancy-toolbar").next(".append-view");
            append_view.html('<div class="loadingdiv"><img src="'+loadimg+'" /></div>');

            $(".tooembo-box").addClass('disabled-click');
            var token       = $('meta[name="csrf-token"]').attr('content');
            $.ajax({
                url: "<?php echo e(route('company.admin.liner.fleet.calendar.show')); ?>",
                method: "POST",
                data: { _token : token , get_data:get_data, cyear:cyear, cmonth:cmonth, team:team, manager:manager, carrier:carrier},
                success: function(response) {
                    append_view.html(response.view);

                    $(".cmonth").val(response.month);
                    $(".cyear").val(response.year);
                    $(".mtitle").html(response.month_name+' '+response.year);
                    $(".tooembo-box").removeClass('disabled-click');
                    $("#take").val(30);
                    $("#skip").val(30);
                    $("#driver_count").val(30);

                    // wekklodse();
                    // setontedcc();
                }
            });
        }


        $("body").on("click",".next-arrow",function(e){
            var get_data    = 'next';
            var cyear       = $(".cyear").val();
            var cmonth      = $(".cmonth").val();
            var team        = $(".team-select").val();
            var manager     = $(".dispatcher-select").val();
            var carrier     = $(".carrier-select").val();

            OccupancyCalanderView(get_data,cyear,cmonth,team,manager,carrier);
        });

        $("body").on("click",".prev-arrow",function(e){
            var get_data    = 'previous';
            var cyear       = $(".cyear").val();
            var cmonth      = $(".cmonth").val();
            var team        = $(".team-select").val();
            var manager     = $(".dispatcher-select").val();
            var carrier     = $(".carrier-select").val();

            OccupancyCalanderView(get_data,cyear,cmonth,team,manager,carrier);
        });

        $('.team-select').on('change', function() {
            var get_data    = 'current';
            var cyear       = $(".cyear").val();
            var cmonth      = $(".cmonth").val();
            var team        = $(".team-select").val();
            var manager     = $(".dispatcher-select").val();
            var carrier     = $(".carrier-select").val();

            OccupancyCalanderView(get_data,cyear,cmonth,team,manager,carrier);
        });

        $('.dispatcher-select').on('change', function() {
            var get_data    = 'current';
            var cyear       = $(".cyear").val();
            var cmonth      = $(".cmonth").val();
            var team        = $(".team-select").val();
            var manager     = $(".dispatcher-select").val();
            var carrier     = $(".carrier-select").val();

            OccupancyCalanderView(get_data,cyear,cmonth,team,manager,carrier);
        });

        $('.carrier-select').on('change', function() {
            var get_data    = 'current';
            var cyear       = $(".cyear").val();
            var cmonth      = $(".cmonth").val();
            var team        = $(".team-select").val();
            var manager     = $(".dispatcher-select").val();
            var carrier     = $(".carrier-select").val();

            OccupancyCalanderView(get_data,cyear,cmonth,team,manager,carrier);
        });


        $(document).ready(function() {
            OccupancyCalanderView(get_data,cyear,cmonth,team,manager,carrier,skip,take);
        });

        /*
        $(".parent-tbody").on('scroll',function(){
            var fixheight   = $(window).height();
            var sethgith    = $(".parent-tbody").get(0).scrollHeight - fixheight;
            // alert($(".parent-tbody").get(0).scrollHeight);

            if( $(".parent-tbody").scrollTop() > sethgith){
                var get_data= 'current';
                var cyear   = $(".cyear").val();
                var cmonth  = $(".cmonth").val();
                var team    = $(".team-select").val();
                var manager = $(".dispatcher-select").val();
                var carrier = $(".carrier-select").val();
                var skip    = parseInt($("#skip").val()) + 20;
                OccupancyCalanderView(get_data,cyear,cmonth,team,manager,carrier,skip,take);
            }
        });
        */

        $("body").on("click", ".show-available-driver", function () {
            $('#availableDriverModal').find('.append-view').html('');
            var token       = $('meta[name="csrf-token"]').attr('content');
            var driver_id   = $(this).data('driver-id');
            $.ajax({
                url: "/company-admin/dispatch-hub/available-driver/view",
                method: "POST",
                data: { _token : token , driver_id : driver_id },
                success: function(response) {
                    $('#availableDriverModal').find('.append-view').html(response.view);
                }
            });
        });

        function OccupancyCalanderttableView(get_data,cyear,cmonth,team,manager,carrier,skip,take) {
            $(".table-responsive").append('<div class="loadingdiv"><img src="'+loadimg+'" /></div>');
            $(".tooembo-box").addClass('disabled-click');
            var token       = $('meta[name="csrf-token"]').attr('content');
            $.ajax({
                url: "<?php echo e(route('company.admin.liner.fleet.calendar.tbody')); ?>",
                method: "POST",
                data: { _token : token , get_data:get_data, cyear:cyear, cmonth:cmonth, team:team, manager:manager, carrier:carrier, skip:skip, take:take},
                success: function(response) {
                    $(".parent-tbody").append(response.view);
                    $(".tooembo-box").removeClass('disabled-click');
                    $( ".loadingdiv" ).remove();
                    var skip = parseInt($("#skip").val()) + 30;
                    $("#skip").val(skip);
                    $("#driver_count").val(response.driver_count);

                    wekklodse();
                    setontedcc();
                }
            });
        }

        $(window).scroll(function () {
            if($("#driver_count").val() == '30'){
                if ($(window).scrollTop() == $(document).height() - $(window).height()) {
                    var get_data    = 'current';
                    var cyear       = $(".cyear").val();
                    var cmonth      = $(".cmonth").val();
                    var team        = $(".team-select").val();
                    var manager     = $(".dispatcher-select").val();
                    var carrier     = $(".carrier-select").val();
                    var skip        = parseInt($("#skip").val());
                    var take        = 30;
                    OccupancyCalanderttableView(get_data,cyear,cmonth,team,manager,carrier,skip,take);
                }
            }
        });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make($companyAdminTheme, \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp8.6\htdocs\appdispatchpro\resources\views/companyAdmin/linerFleetCalendar/index.blade.php ENDPATH**/ ?>