<!DOCTYPE html>
<html lang="en">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
        <title> <?php echo $__env->yieldContent('title'); ?> </title>
        
            <?php echo $__env->make('driverAdminTheme.style', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            <?php echo $__env->yieldContent('style'); ?>
        
    </head>
    <?php
        $impersonate_class      = '';
    ?>
    <?php if(Session::has('last_user') && Session::has('impersonate_user')): ?>
        <?php
            $last_user          = @json_decode(Session::get('last_user'));
            $impersonate_user   = Session::get('impersonate_user');
            $impersonate_class  = ((isset($last_user) && !is_null($last_user)) && (isset($impersonate_user) && !is_null($impersonate_user)))?'topbar-visible':'';
        ?>
    <?php endif; ?>
    <body cz-shortcut-listen="true" class="<?php echo e($impersonate_class); ?>">
        <?php if($impersonate_class!=''): ?>
            <style type="text/css">
                .main-wrapper {
                    margin-top: 100px;
                }

                .toplogseou {
                    height: 35px;
                    justify-content: center;
                    align-items: center;
                    display: flex;
                    background-color: #99cc01;
                    color: #fff;
                    font-weight: normal;
                    font-size: 16px;
                    text-transform: uppercase;
                    top: 0;
                    z-index: 10;
                    position: fixed;
                }

                header {
                    top: 35px;
                }

                .left-menu {
                    top: 35px;
                }

                .left-menu-open {
                    top: 35px;
                }

                .toplogseou a {
                    color: white;
                    text-decoration: underline;
                }

                @media (max-width: 767px) {
                    .toplogseou {
                        font-size: 14px;
                    }
                }

                @media (max-width: 575px) {
                    .toplogseou {
                        font-size: 12px;
                        text-transform: none;
                    }
                }
            </style>
            <div class="container-fluid">
                <div class="row text-center">
                    <div class="col-md-12 toplogseou">
                        <p><i class="fa fa-user-secret" aria-hidden="true"></i> YOU ARE IMPERSONATING <?php echo e($impersonate_user->first_name); ?> <?php echo e($impersonate_user->last_name); ?>

                            &nbsp;<a href="<?php echo e(route('company.admin.previous_user_login',[$last_user->id,$last_user->user_type,'type' => $last_user->last_user_guard_type])); ?>" id="exit_view_user">Exit View</a></p>
                    </div>
                </div>
            </div>
        <?php endif; ?>

        
            <?php echo $__env->make('driverAdminTheme.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        

        
            <?php echo $__env->make('driverAdminTheme.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        

        
            <?php echo $__env->make('driverAdminTheme.sidebarOpen', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        

        
            <div class="main-wrapper ngd-wrapper wrapper-toggle">
                <div class="container-fluid">
                    
                    <?php echo $__env->make('driverAdminTheme.announcement', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                    
                    <?php echo $__env->yieldContent('content'); ?>
                </div>
            </div>
        

        <?php if(!str_contains(url()->current(), '/chat')): ?>
            <div class="floterCont">
                
                <div class="woot-widget-bubble woot-elements--left" style="text-align: center; color: white; font-weight: 600; font-size: small; " title="Unread chat messages" onclick="window.location.href = `<?php echo e(route('driver.admin.chat.index')); ?>`">
                    <div class="woot-widget-bubble-icon" style="padding: 8px 0px 0 0;"> Chat</div>
                    <div class="woot-widget-bubble-icon" style="font-size: large; left: -1px; position: relative;" id="unreadChatCommonDiv" >00</div>
                </div>
                
            </div>
        <?php endif; ?>

        <?php echo $__env->yieldContent('modal'); ?>

        
            <?php echo $__env->make('driverAdminTheme.script', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            <?php echo $__env->yieldPushContent('before-scripts'); ?>
            <?php echo $__env->yieldContent('script'); ?>
            <?php echo $__env->yieldPushContent('after-scripts'); ?>
        

        <?php if(!str_contains(url()->current(), '/chat')): ?>
            <script src="<?php echo e(asset('theme/js/twilio-conversations.min.js')); ?>"></script>
            <script src="<?php echo e(asset('theme/js/axios.min.js')); ?>"></script>
            <script>
                $(document).ready(function() {
                    var chatTotalUnreadMessages         = 0;
                    console.log("chatTotalUnreadMessages",chatTotalUnreadMessages);
                    var baseUrl                         = "<?php echo e(env('NODE_CHAT_API_BASE_URL')); ?>";
                    var user_type                       = "<?php echo e(auth()->guard('driver-admin')->user()->type); ?>";
                    var userID                          = "<?php echo e(auth()->guard('driver-admin')->user()->id); ?>";
                    var tempUsername                    = '';
                    var webBaseUrl                      = "<?php echo e(url('/')); ?>";
                    var tempFriendlyName                = "<?php echo e(auth()->guard('driver-admin')->user()->first_name.' '.auth()->guard('driver-admin')->user()->last_name); ?>";
                    var tempProfilePic                  = "<?php echo e(auth()->guard('driver-admin')->user()->profile_image); ?>";
                    var companyAdminProfilePicBasePath  = "<?php echo e(asset('storage/companyAdmin/profile/')); ?>";
                    var companyAdminDefaultProfilePic   = "<?php echo e(asset('theme/images/user.png')); ?>";
                    // var tempTimeZone                 = "<?php echo e(auth()->guard('driver-admin')->user()->timezone); ?>";
                    var assetBaseUrl                    = "<?php echo e(asset('')); ?>";
                    // console.log(assetBaseUrl+'theme/images/team.png');
                    var tempTimeZone                    = "<?php echo e(getTimeZone()); ?>";
                    console.log("*****************",tempTimeZone);
                    var tempTimeFormat                  = "<?php echo e(getTimeFormat()); ?>";
                    console.log("*****************",tempTimeFormat);
                    if(tempProfilePic == null){
                        tempProfilePic                  = "";
                    }
                    console.log("user_type " ,user_type);
                    console.log("userID " ,userID);
                    if(user_type == 3){
                        console.log('basic username','driver_'+userID);
                        tempUsername                    = 'driver_'+userID;
                    }else {
                        //
                    }

                    window.twilioChat                   = window.twilioChat || {};

                    async function checkTwilioToken() {
                        let checkTwilioTokenResponse;
                        try {
                            checkTwilioTokenResponse    = await $.ajax({
                                url: baseUrl + '/auth/token',
                                // data: { whatever:'cool' },
                                type: 'GET',
                                crossDomain: true,
                                headers: {
                                    "Authorization": `Bearer ${getCookie('twilio_token')}`,
                                    "Content-Type": "application/x-www-form-urlencoded",
                                    "Access-Control-Allow-Origin": "*",
                                    // 'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                                }
                            });
                            return checkTwilioTokenResponse
                        }
                        catch (e) { console.log("error1", e); }
                    }

                    async function createNewTwilioToken(username = "") {
                        let createNewTwilioTokenResponse;
                        try {
                            createNewTwilioTokenResponse = await $.ajax({
                                url: baseUrl + '/api/loginParticipant',
                                data: { username: username },
                                type: 'POST',
                                crossDomain: true,
                                headers: {
                                    // "Authorization": `Bearer ${getCookie('twilio_token')}`,
                                    "Content-Type": "application/x-www-form-urlencoded",
                                    "Access-Control-Allow-Origin": "*",
                                }
                            });
                            return createNewTwilioTokenResponse
                        }
                        catch (e) { console.log("error1", e); }
                    }

                    function getCookie(cname) {
                        let name                        = cname + "=";
                        let decodedCookie               = decodeURIComponent(document.cookie);
                        let ca                          = decodedCookie.split(';');
                        for (let i = 0; i < ca.length; i++) {
                            let c                       = ca[i];
                            while (c.charAt(0) == ' ') {
                                c                       = c.substring(1);
                            }
                            if (c.indexOf(name) == 0) {
                                return c.substring(name.length, c.length);
                            }
                        }
                        return "";
                    }

                    async function initClient(){
                        let checkTwilioTokenResponse;
                        checkTwilioTokenResponse                = await checkTwilioToken();
                        console.log('checkTwilioToken', checkTwilioTokenResponse);
                        try {
                            if (checkTwilioTokenResponse.success) {
                                console.log("checkTwilioTokenResponse.data", checkTwilioTokenResponse.data);
                                console.log("window.twilioChat.client", window.twilioChat.client);
                                // let expirationDate           = new Date();
                                // //expires in 10 years
                                // expirationDate.setTime(expirationDate.getTime() +  24 * 3600 * 1000);
                                // let expires                  = "; expires=" + expirationDate.toUTCString();
                                // document.cookie              = 'twilio_token=' + checkTwilioTokenResponse.data.token; + 'expires=' + expires;

                                window.twilioChat.username      = checkTwilioTokenResponse.data.username;
                                window.twilioChat.client        = await Twilio.Conversations.Client.create(checkTwilioTokenResponse.data.token);
                                console.log("window.twilioChat.client 2 :", window.twilioChat.client);
                                console.log("window.twilioChat.username :", window.twilioChat.username);
                                console.log("window.twilioChat.client :", window.twilioChat.client);
                            }
                            else {
                                console.log("Error in twilio token");
                                let createNewTwilioTokenResponse;
                                createNewTwilioTokenResponse    = await createNewTwilioToken(tempUsername);
                                if (createNewTwilioTokenResponse.success) {
                                    document.cookie             = 'twilio_token=' + '=; Expires=Thu, 01 Jan 1970 00:00:01 GMT;';
                                    let expirationDate          = new Date();
                                    //expires in 10 years
                                    expirationDate.setTime(expirationDate.getTime() + 24 * 3600 * 1000);
                                    let expires                 = "; expires=" + expirationDate.toUTCString();
                                    let tempCookie              = 'twilio_token=' + createNewTwilioTokenResponse.data.token + ';expires=' + expires + ';path=/;';
                                    console.log("creating new token cookie", tempCookie);
                                    document.cookie             = tempCookie;

                                    console.log("createNewTwilioTokenResponse.data", createNewTwilioTokenResponse.data);
                                    console.log("window.twilioChat.client", window.twilioChat.client);
                                    window.twilioChat.username  = createNewTwilioTokenResponse.data.username;
                                    window.twilioChat.client    = await Twilio.Conversations.Client.create(createNewTwilioTokenResponse.data.token);
                                    console.log("window.twilioChat.client 3 :", window.twilioChat.client);
                                    console.log("window.twilioChat.username :", window.twilioChat.username);
                                    console.log("window.twilioChat.client :", window.twilioChat.client);

                                }
                                else {
                                console.log("Error in twilio token");
                                }
                            }

                            let conversations                   = await window.twilioChat.client.getSubscribedConversations();
                            console.log("conversations", conversations);
                            for (let conv of conversations.items) {
                                console.log("conv ********************************", conv);
                                window.twilioChat.selectedConversation = await window.twilioChat.client.getConversationBySid(conv.sid);
                                // window.twilioChat.selectedConversation.on('messageAdded', msg => addMessagesToChatArea([msg], false));
                                //let unreadMsgCountBadgeDiv = await manageUnreadMsgCountBadge(window.twilioChat.selectedConversation,myConversationFriendlyName);
                                let tempConv                    = await window.twilioChat.selectedConversation;
                                let cnv                         = await tempConv;
                                let count                       = await cnv.getUnreadMessagesCount();
                                count                           = count == null?await cnv.getMessagesCount():count;
                                if(await count == 0 ){
                                    // $('#urdMsgDiv_' + conversation.conversation.sid).css('visibility', 'hidden');
                                }
                                else{
                                    chatTotalUnreadMessages     = chatTotalUnreadMessages + count;
                                    console.log("chatTotalUnreadMessages",await chatTotalUnreadMessages);
                                    $('#unreadChatCommonDiv').html(await chatTotalUnreadMessages);
                                    // $('#urdMsgDiv_' + conversation.conversation.sid).css('visibility', 'visible');
                                }


                                // Subscribe to conversation updates
                                tempConv.on('updated', async (conversation) => {
                                    // if((await window.twilioChat.selectedConversation.sid) != conversation.conversation.sid)
                                    // {
                                        console.log((await window.twilioChat.selectedConversation.sid) != conversation.conversation.sid);
                                        // const count = conversation.conversation.unreadMessagesCount;
                                        console.log('conversation**************: ',conversation.conversation.sid);
                                        console.log('conversation**************: ',conversation);
                                        let cnv                 = await tempConv;
                                        let count               = await cnv.getUnreadMessagesCount();
                                        count                   = count == null?await cnv.getMessagesCount():count;
                                        if(await count == 0 ){
                                            // $('#urdMsgDiv_' + conversation.conversation.sid).css('visibility', 'hidden');
                                        }
                                        else{
                                            chatTotalUnreadMessages = chatTotalUnreadMessages + 1;
                                            console.log("chatTotalUnreadMessages",await chatTotalUnreadMessages);
                                            $('#unreadChatCommonDiv').html(await chatTotalUnreadMessages);
                                            // $('#urdMsgDiv_' + conversation.conversation.sid).css('visibility', 'visible');
                                        }
                                        $('#urdMsgDiv_' + conversation.conversation.sid).html(count);
                                        console.log(`Unread message count**************: ${count}`);
                                    // }
                                });
                            }
                        }
                        catch (e) {
                            console.log("error", e);
                            console.log("error", e.message);
                            await initClient();
                        }
                    }
                    initClient();
                });
            </script>
        <?php endif; ?>

        
            <?php echo $__env->make('driverAdminTheme.alert', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        

        
        <script type="text/javascript">
            $(function (){
                $(document).on('click', '.alert-close', function (e){
                    e.preventDefault();
                    var dataId = $(this).attr('data-id');
                    $.ajax({
                        type: "POST",
                        url: "<?php echo e(route('company.admin.announcement.clear')); ?>",
                        data: {
                            _token: $('[name="csrf-token"]').attr('content'),
                            dataId: dataId
                        },
                        success: function(res) {
                        }
                    });
                });
            });
        </script>
        
    </body>
</html>
<?php /**PATH C:\xampp8.6\htdocs\appdispatchpro\resources\views/driverAdminTheme/default.blade.php ENDPATH**/ ?>