<?php echo Form::model($driverOnboarding, array('route' => 'company.admin.driver.onboarding.store', 'method'=>'POST', 'files'=>'true', 'class'=>'driver-onboarding-tab')); ?>

<input type="hidden" class="driver-id" name="driver_id" value="<?php echo e($driver->id ?? ''); ?>">
<?php $date = null; ?>

<div class="row px-3 py-2 pt-3">
    <div class="col-md-12">
        <div class="card card-onboarding-form mb-4">
            <div class="card-header">
                <div class="row">
                    <div class="col-md-6">
                        <h6>Driver Onboarding</h6>
                    </div>
                    <div class="col-md-6 text-right">
                        <h6>
                            <a href="<?php echo e(route('company.admin.driver.onboarding.setting.index', ['driver_id' => base64Encode($driver->id)])); ?>" target="_blank">
                                Onboarding Setting
                            </a>
                        </h6>
                    </div>
                </div>
            </div>
            <div class="card-body py-3">
                <div class="row">
                    <div class="col-md-4 px-0">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Application Date <span>*</span></label>
                                <div class="input-group">
                                    <?php echo Form::text('application_date', old('application_date'), array('class' => 'form-control date application-date', 'placeholder' => 'Enter Application Date')); ?>

                                    <img src="<?php echo e(asset('theme/images/date-calender.svg')); ?>" alt="icon">
                                </div>
                            </div>
                            <div class="form-group">
                                <label>Start Date <span>*</span></label>
                                <div class="input-group">
                                    <?php echo Form::text('start_date', old('start_date'), array('class' => 'form-control date start-date', 'placeholder' => 'Enter Start Date')); ?>

                                    <img src="<?php echo e(asset('theme/images/date-calender.svg')); ?>" alt="icon">
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Status</label>
                                        <?php echo Form::select('status', ['' => 'Select Status'] + driverOnboardingStatusList(), null, ['class' => 'form-control select2', 'onchange' => 'driverOnboardingFormSubmit()']); ?>

                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Days to onboard</label>
                                        <?php echo Form::text('days_to_onboard', old('days_to_onboard'), array('class' => 'form-control days-to-onboard', 'autocomplete' => 'new_email', 'readonly' => 'readonly')); ?>

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-8 pl-0">
                        <div class="form-group">
                            <label>Notes</label>
                            <?php echo Form::textarea('notes', old('notes'), array('placeholder' => 'Enter', 'class' => 'form-control form-bg-clr', 'rows' => '8', 'onfocusout' => 'driverOnboardingFormSubmit()')); ?>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="col-md-12 progress-bar-div">
        <i class="fa fa-flip-vertical" aria-hidden="true"></i>
        <ul class="imp-cls custom-progress-bar onboard-progress-bar">
            <?php if(count(driverOnboardingSetting($driver->id))): ?>
                <?php $__currentLoopData = driverOnboardingSetting($driver->id); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $stage): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php echo Form::hidden('detail['.$stage->stage_name.'][stage_no]', $loop->iteration); ?>

                    <?php if(!is_null($driverOnboarding) && isset($driverOnboarding->detail) && !is_null($driverOnboarding->detail)): ?>
                        <?php if($driverOnboarding->status == '2' && $stage->mark_as_completed == '1'): ?>
                            <li class="fill-active" data-stage-name="<?php echo e($stage->stage_name); ?>" data-stage-no="<?php echo e($loop->iteration); ?>">
                                <span class="p-value">Stage <?php echo e(++$key); ?></span>
                                <img src="<?php echo asset('/theme/img/indicator-icon-active.svg'); ?>">
                            </li>
                        <?php elseif(isset($driverOnboarding->detail_json[$stage->stage_name]) && $driverOnboarding->detail_json[$stage->stage_name]['is_complete'] == 1): ?>
                            <li class="fill-active" data-stage-name="<?php echo e($stage->stage_name); ?>" data-stage-no="<?php echo e($loop->iteration); ?>">
                                <span class="p-value">Stage <?php echo e(++$key); ?></span>
                                <img src="<?php echo asset('/theme/img/indicator-icon-active.svg'); ?>">
                            </li>
                        <?php elseif(isset($driverOnboarding->detail_json[$stage->stage_name]) && $driverOnboarding->detail_json[$stage->stage_name]['is_complete'] == 0 && !is_null($filtered_collection) && $driverOnboarding->detail_json[$stage->stage_name]['stage_no'] <= $filtered_collection['stage_no']): ?>
                            <li class="fill-inactive" data-stage-name="<?php echo e($stage->stage_name); ?>" data-stage-no="<?php echo e($loop->iteration); ?>">
                                <span class="p-value">Stage <?php echo e(++$key); ?></span>
                                <img src="<?php echo asset('/theme/img/indicator-icon-inactive.svg'); ?>">
                            </li>
                        <?php else: ?>
                            <li class="fill-inactive" data-stage-name="<?php echo e($stage->stage_name); ?>" data-stage-no="<?php echo e($loop->iteration); ?>">
                                <span class="p-value">Stage <?php echo e(++$key); ?></span>
                                <img src="<?php echo asset('/theme/img/indicator-icon-inactive.svg'); ?>">
                            </li>
                        <?php endif; ?>
                    <?php else: ?>
                        <li class="fill-inactive" data-stage-name="<?php echo e($stage->stage_name); ?>" data-stage-no="<?php echo e($loop->iteration); ?>">
                            <span class="p-value">Stage <?php echo e(++$key); ?></span>
                            <img src="<?php echo asset('/theme/img/indicator-icon-inactive.svg'); ?>">
                        </li>
                    <?php endif; ?>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php endif; ?>
        </ul>
    </div>
</div>
<hr class="mb-0" />
<div class="row">
    <div class="col-md-12">
        <div class="table-responsive stage-listing px-2">
            <table class="table dataTable rounded-corners border-0" width="100%">
                <thead>
                <tr>
                    <th>Status</th>
                    <th>Stage</th>
                    <th class="text-left">Description</th>
                    <th class="text-left">Date Completed</th>
                    <th class="text-left">Image Upload</th>
                    <th>Completed On</th>
                    <th>Completed By</th>
                    <th>View</th>
                </tr>
                </thead>
                <tbody>
                <?php $si = 1; $cc=0; ?>
                <?php if(count(driverOnboardingSetting($driver->id))): ?>
                    <?php $__currentLoopData = driverOnboardingSetting($driver->id); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $stage): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php if(!is_null($driverOnboarding) && isset($driverOnboarding->detail) && !is_null($driverOnboarding->detail)): ?>
                            <tr>
                                
                                <?php if(array_key_exists($stage->stage_name, $driverOnboarding->detail_json) && $driverOnboarding->detail_json[$stage->stage_name]['yes_no'] == 1): ?>
                                    <td>
                                        <div class="custom-control custom-switch-blue p-0">
                                            <?php echo Form::checkbox('detail['.$stage->stage_name.'][yes_no]', $driverOnboarding->detail_json[$stage->stage_name]['yes_no'], null , array('class' => 'custom-control-input yes-no-checkbox', 'id' => 'yes-no-'.$key, 'onchange' => 'driverOnboardingFormSubmit()', 'checked' => 'checked', 'data-stage-name' => $stage->stage_name, 'data-stage-no' => $si)); ?>

                                            <label class="custom-control-label <?php if(count($stage->sub_stages)): ?> parentshwich <?php endif; ?>" for="yes-no-<?php echo e($key); ?>"></label>
                                        </div>
                                    </td>
                                <?php elseif($driverOnboarding->status == 2 && $stage->mark_as_completed == 1): ?>
                                    <td>
                                        <div class="custom-control custom-switch-blue p-0">
                                            <?php echo Form::checkbox('detail['.$stage->stage_name.'][yes_no]', 1, null, array('class' => 'custom-control-input yes-no-checkbox', 'id' => 'yes-no-'.$key, 'onchange' => 'driverOnboardingFormSubmit()', 'data-stage-name' => $stage->stage_name, 'data-stage-no' => $si,'checked' => 'checked')); ?>

                                            <label class="custom-control-label <?php if(count($stage->sub_stages)): ?> parentshwich <?php endif; ?>" for="yes-no-<?php echo e($key); ?>"></label>
                                        </div>
                                    </td>
                                <?php else: ?>
                                    <td>
                                        <div class="custom-control custom-switch-blue p-0">
                                            <?php echo Form::checkbox('detail['.$stage->stage_name.'][yes_no]', 1, null, array('class' => 'custom-control-input yes-no-checkbox', 'id' => 'yes-no-'.$key, 'onchange' => 'driverOnboardingFormSubmit()', 'data-stage-name' => $stage->stage_name, 'data-stage-no' => $si)); ?>

                                            <label class="custom-control-label <?php if(count($stage->sub_stages)): ?> parentshwich <?php endif; ?>" for="yes-no-<?php echo e($key); ?>"></label>
                                        </div>
                                    </td>
                                <?php endif; ?>

                                <td>Stage <?php echo e(++$key); ?></td>
                                <td class="text-left"><?php echo e($stage->title); ?></td>
                                <?php if($stage->date == 1): ?>
                                    <?php
                                        if (isset($driverOnboarding->detail_json[$stage->stage_name]) && isset($driverOnboarding->detail_json[$stage->stage_name]['date']) &&!is_null($driverOnboarding->detail_json[$stage->stage_name]['date'])) {
                                            $date = \Carbon\Carbon::createFromFormat('Y-m-d',$driverOnboarding->detail_json[$stage->stage_name]['date'])->format('m/d/Y');
                                        } else{
                                            $date = null;
                                        }
                                    ?>
                                    <td>
                                        <div class="form-group w-f-content EEEE">
                                            <?php echo Form::text('detail['.$stage->stage_name.'][date]', $date, array('class' => 'form-control date', 'autocomplete' => 'new', 'onchange' => 'driverOnboardingFormSubmit()', 'placeholder' => 'Enter Date Completed')); ?>

                                            <img src="<?php echo e(asset('theme/images/date-calender.svg')); ?>" alt="icon">
                                        </div>
                                    </td>
                                <?php endif; ?>

                                <?php if($stage->file == 1): ?>
                                    <td>
                                        <div class="custom-brws">
                                            <?php echo Form::file('detail['.$stage->stage_name.'][file]', ['onchange' => 'driverOnboardingFormSubmit()']); ?>

                                        </div>
                                    </td>
                                <?php endif; ?>
                                <?php if($stage->date == 0 && $stage->file == 0): ?>
                                    <td></td>
                                    <td></td>
                                <?php endif; ?>

                                <td>
                                    <?php if(isset($driverOnboarding->detail_json[$stage->stage_name]['completed_on'])): ?>
                                        <?php echo e(\Carbon\Carbon::parse($driverOnboarding->detail_json[$stage->stage_name]['completed_on'])->format('m/d/Y')); ?>

                                    <?php endif; ?>
                                </td>
                                <td>
                                    <?php if(isset($driverOnboarding->detail_json[$stage->stage_name]['completed_by'])): ?>
                                        <?php echo e(App\Models\CompanyAdmin::find($driverOnboarding->detail_json[$stage->stage_name]['completed_by'])->full_name); ?>

                                    <?php endif; ?>
                                </td>
                                <td>
                                    <?php if($stage->file == 1): ?>
                                        <img src="<?php echo e(asset('theme/img/onbording-file-upload.svg')); ?>" data-driver-id="<?php echo e($driver->id); ?>" data-stage-name="<?php echo e($stage->stage_name); ?>" class="show-onboarding-file-btn" data-toggle="modal" data-target="#onboardingFileModal">
                                    <?php endif; ?>
                                </td>
                            </tr>
                            
                            <?php if(count($stage->sub_stages)): ?>
                                <?php $__currentLoopData = $stage->sub_stages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $skey => $subStage): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php
                                        $subStageName = str_replace(' ', '_', strtolower($subStage->title));
                                    ?>
                                    <?php if(isset($driverOnboarding->detail_json[$stage->stage_name][$subStageName])): ?>
                                        <tr>
                                            <td></td>
                                            
                                            <td>
                                                <?php if($driverOnboarding->status == 2 && $stage->mark_as_completed == 1): ?>
                                                    <div class="custom-control custom-switch-blue p-0">
                                                        <?php echo Form::checkbox('detail['.$stage->stage_name.']['.$subStageName.'][yes_no]', $driverOnboarding->detail_json[$stage->stage_name][$subStageName]['yes_no'], null, array('class' => 'custom-control-input child'.$cc, 'id' => 'yes-no-sub-'.$skey.$stage->id, 'onchange' => 'driverOnboardingFormSubmit('.$cc.')', 'checked' => 'checked')); ?>

                                                        <label class="custom-control-label" for="yes-no-sub-<?php echo e($skey.$stage->id); ?>"></label>
                                                    </div>
                                                <?php else: ?>
                                                    <?php if(array_key_exists($subStageName, $driverOnboarding->detail_json[$stage->stage_name]) && $driverOnboarding->detail_json[$stage->stage_name][$subStageName]['yes_no'] == 1): ?>
                                                        <div class="custom-control custom-switch-blue p-0">
                                                            <?php echo Form::checkbox('detail['.$stage->stage_name.']['.$subStageName.'][yes_no]', $driverOnboarding->detail_json[$stage->stage_name][$subStageName]['yes_no'], null, array('class' => 'custom-control-input child'.$cc, 'id' => 'yes-no-sub-'.$skey.$stage->id, 'onchange' => 'driverOnboardingFormSubmit('.$cc.')', 'checked' => 'checked')); ?>

                                                            <label class="custom-control-label" for="yes-no-sub-<?php echo e($skey.$stage->id); ?>"></label>
                                                        </div>
                                                    <?php else: ?>
                                                        <div class="custom-control custom-switch-blue p-0">
                                                            <?php echo Form::checkbox('detail['.$stage->stage_name.']['.$subStageName.'][yes_no]', 1, null, array('class' => 'custom-control-input child'.$cc, 'id' => 'yes-no-sub-'.$skey.$stage->id, 'onchange' => 'driverOnboardingFormSubmit('.$cc.')')); ?>

                                                            <label class="custom-control-label" for="yes-no-sub-<?php echo e($skey.$stage->id); ?>"></label>
                                                        </div>
                                                    <?php endif; ?>
                                                <?php endif; ?>
                                            </td>
                                            <td class="text-left"><?php echo e($subStage->title); ?></td>

                                            <?php if($stage->date == 1): ?>
                                                <?php
                                                    if (isset($driverOnboarding->detail_json[$stage->stage_name]) && isset($driverOnboarding->detail_json[$stage->stage_name][$subStageName]['date']) &&!is_null($driverOnboarding->detail_json[$stage->stage_name][$subStageName]['date'])) {
                                                        $date = \Carbon\Carbon::createFromFormat('Y-m-d',$driverOnboarding->detail_json[$stage->stage_name][$subStageName]['date'])->format('m/d/Y');
                                                    } else{
                                                        $date = null;
                                                    }
                                                ?>
                                            <?php endif; ?>

                                            <?php if($subStage->date == 1): ?>
                                                <td>
                                                    <div class="form-group w-f-content TTTTT">
                                                        <?php echo Form::text('detail['.$stage->stage_name.']['.$subStageName.'][date]', $date, array('class' => 'form-control date', 'autocomplete' => 'new', 'onchange' => 'driverOnboardingFormSubmit()', 'placeholder' => 'Enter Date Completed')); ?>

                                                        <img src="<?php echo e(asset('theme/images/date-calender.svg')); ?>" alt="icon">
                                                    </div>
                                                </td>
                                            <?php endif; ?>
                                            <?php if($subStage->date == 0): ?>
                                                <td></td>
                                            <?php endif; ?>

                                            <?php if($subStage->file == 1): ?>
                                                <td>
                                                    <div class="custom-brws">
                                                        <?php echo Form::file('detail['.$stage->stage_name.']['.$subStageName.'][file]', ['onchange' => 'driverOnboardingFormSubmit()']); ?>

                                                    </div>
                                                </td>
                                            <?php endif; ?>

                                            <?php if($subStage->file == 0): ?>
                                                <td></td>
                                            <?php endif; ?>
                                            <td>
                                                <?php if(isset($driverOnboarding->detail_json[$stage->stage_name][$subStageName]['completed_on'])): ?>
                                                    <?php echo e(\Carbon\Carbon::parse($driverOnboarding->detail_json[$stage->stage_name][$subStageName]['completed_on'])->format('m/d/Y')); ?>

                                                <?php endif; ?>
                                            </td>
                                            <td>
                                                <?php if(isset($driverOnboarding->detail_json[$stage->stage_name][$subStageName]['completed_by'])): ?>
                                                    <?php echo e(App\Models\CompanyAdmin::find($driverOnboarding->detail_json[$stage->stage_name][$subStageName]['completed_by'])->full_name); ?>

                                                <?php endif; ?>
                                            </td>
                                            <td>
                                                <?php if($stage->file == 1): ?>
                                                    <img src="<?php echo e(asset('theme/img/onbording-file-upload.svg')); ?>" data-driver-id="<?php echo e($driver->id); ?>" data-stage-name="<?php echo e($stage->stage_name); ?>&&&&<?php echo e($subStageName); ?>" class="show-onboarding-file-btn" data-toggle="modal" data-target="#onboardingFileModal">
                                                <?php endif; ?>
                                            </td>
                                        </tr>
                                    <?php else: ?>
                                        <tr>
                                            <td></td>
                                            <td>
                                                <?php if($stage->mark_as_completed == 1): ?>
                                                    <div class="custom-control custom-switch-blue p-0">
                                                        <?php echo Form::checkbox('detail['.$stage->stage_name.']['.$subStageName.'][yes_no]', 1, null, array('class' => 'custom-control-input child'.$cc, 'id' => 'yes-no-sub-'.$skey.$stage->id, 'onchange' => 'driverOnboardingFormSubmit()','checked' => 'checked')); ?>

                                                        <label class="custom-control-label" for="yes-no-sub-<?php echo e($skey.$stage->id); ?>"></label>
                                                    </div>
                                                <?php else: ?>
                                                    <div class="custom-control custom-switch-blue p-0">
                                                        <?php echo Form::checkbox('detail['.$stage->stage_name.']['.$subStageName.'][yes_no]', 1, null, array('class' => 'custom-control-input child'.$cc, 'id' => 'yes-no-sub-'.$skey.$stage->id, 'onchange' => 'driverOnboardingFormSubmit()')); ?>

                                                        <label class="custom-control-label" for="yes-no-sub-<?php echo e($skey.$stage->id); ?>"></label>
                                                    </div>
                                                <?php endif; ?>

                                                <!-- <div class="custom-control custom-switch-blue">
                                                                    <?php echo Form::checkbox('detail['.$stage->stage_name.']['.$subStageName.'][yes_no]', 1, null, array('class' => 'custom-control-input child'.$cc, 'id' => 'yes-no-sub-'.$skey.$stage->id, 'onchange' => 'driverOnboardingFormSubmit()')); ?>

                                                <label class="custom-control-label" for="yes-no-sub-<?php echo e($skey.$stage->id); ?>"></label>
                                                                </div> -->
                                            </td>
                                            <td class="text-left"><?php echo e($subStage->title); ?></td>
                                            <?php if($stage->date == 1): ?>
                                                <?php
                                                    if (isset($driverOnboarding->detail_json[$stage->stage_name]) && isset($driverOnboarding->detail_json[$stage->stage_name]['date']) &&!is_null($driverOnboarding->detail_json[$stage->stage_name]['date'])) {
                                                        $date = \Carbon\Carbon::createFromFormat('Y-m-d',$driverOnboarding->detail_json[$stage->stage_name]['date'])->format('m/d/Y');
                                                    } else{
                                                        $date = null;
                                                    }
                                                ?>
                                                <td>
                                                    <div class="form-group w-f-content">
                                                        <?php echo Form::text('detail['.$stage->stage_name.']['.$subStageName.'][date]', $date, array('class' => 'form-control date', 'autocomplete' => 'new', 'onchange' => 'driverOnboardingFormSubmit()', 'placeholder' => 'Enter Date Completed')); ?>

                                                        <img src="<?php echo e(asset('theme/images/date-calender.svg')); ?>" alt="icon">
                                                    </div>
                                                </td>
                                            <?php endif; ?>


                                            <?php if($stage->file == 1): ?>
                                                <td>
                                                    <div class="custom-brws">
                                                        <?php echo Form::file('detail['.$stage->stage_name.']['.$subStageName.'][file]', ['onchange' => 'driverOnboardingFormSubmit()']); ?>

                                                    </div>
                                                </td>
                                            <?php endif; ?>
                                            <?php if($stage->date == 0 && $stage->file == 0): ?>
                                                <td></td>
                                                <td></td>
                                                <td></td>
                                            <?php endif; ?>
                                            <td></td>
                                            <td></td>
                                        </tr>
                                    <?php endif; ?>

                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                        <?php else: ?>
                            <tr>
                                <td>
                                    <div class="custom-control custom-switch-blue p-0">
                                        <?php echo Form::checkbox('detail['.$stage->stage_name.'][yes_no]', 1, null, array('class' => 'custom-control-input yes-no-checkbox', 'id' => 'yes-no-'.$key, 'onchange' => 'driverOnboardingFormSubmit()', 'data-stage-name' => $stage->stage_name, 'data-stage-no' => $si)); ?>

                                        <label class="custom-control-label <?php if(count($stage->sub_stages)): ?> parentshwich <?php endif; ?>" for="yes-no-<?php echo e($key); ?>"></label>
                                    </div>
                                </td>
                                <td>Stage <?php echo e(++$key); ?></td>
                                <td class="text-left"><?php echo e($stage->title); ?></td>
                                
                                <?php if($stage->date == 1): ?>
                                    <td>
                                        <div class="form-group w-f-content">
                                            <?php echo Form::text('detail['.$stage->stage_name.'][date]', null, array('class' => 'form-control date', 'autocomplete' => 'new', 'onchange' => 'driverOnboardingFormSubmit()', 'placeholder' => 'Enter Date Completed')); ?>

                                            <img src="<?php echo e(asset('theme/images/date-calender.svg')); ?>" alt="icon">
                                        </div>
                                    </td>
                                <?php endif; ?>
                                
                                <?php if($stage->file == 1): ?>
                                    <td>
                                        <div class="custom-brws">
                                            <?php echo Form::file('detail['.$stage->stage_name.'][file]', ['onchange' => 'driverOnboardingFormSubmit()']); ?>

                                        </div>
                                    </td>
                                <?php endif; ?>
                                <?php if($stage->date == 0 && $stage->file == 0): ?>
                                    <td></td>
                                    <td></td>
                                <?php endif; ?>
                                

                                <td></td>
                                <td></td>
                                <td></td>
                            </tr>
                            
                            <?php if(count($stage->sub_stages)): ?>
                                <?php $__currentLoopData = $stage->sub_stages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $skey => $subStage): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php
                                        $subStageName = str_replace(' ', '_', strtolower($subStage->title));
                                    ?>
                                    <tr>
                                        <td></td>
                                        <td>
                                            <div class="custom-control custom-switch-blue p-0">
                                                <?php echo Form::checkbox('detail['.$stage->stage_name.']['.$subStageName.'][yes_no]', 1, null, array('class' => 'custom-control-input child'.$cc, 'id' => 'yes-no-sub-'.$skey.$stage->id, 'onchange' => 'driverOnboardingFormSubmit('.$cc.')')); ?>

                                                <label class="custom-control-label" for="yes-no-sub-<?php echo e($skey.$stage->id); ?>"></label>
                                            </div>
                                        </td>
                                        <td class="text-left"><?php echo e($subStage->title); ?></td>
                                        <?php if($stage->date == 1): ?>
                                            <?php
                                                if (isset($driverOnboarding->detail_json[$stage->stage_name][$subStageName]) && isset($driverOnboarding->detail_json[$stage->stage_name]['date']) &&!is_null($driverOnboarding->detail_json[$stage->stage_name][$subStageName]['date'])) {
                                                    $date = \Carbon\Carbon::createFromFormat('Y-m-d',$driverOnboarding->detail_json[$stage->stage_name][$subStageName]['date'])->format('m/d/Y');
                                                } else{
                                                    $date = null;
                                                }
                                            ?>

                                        <?php endif; ?>
                                        <?php if($subStage->date == 1): ?>
                                            <td>
                                                <div class="form-group w-f-content">
                                                    <?php echo Form::text('detail['.$stage->stage_name.']['.$subStageName.'][date]', $date, array('class' => 'form-control date', 'autocomplete' => 'new', 'onchange' => 'driverOnboardingFormSubmit()', 'placeholder' => 'Enter Date Completed')); ?>

                                                    <img src="<?php echo e(asset('theme/images/date-calender.svg')); ?>" alt="icon">
                                                </div>
                                            </td>
                                        <?php endif; ?>
                                        <?php if($subStage->date == 0): ?>
                                            <td></td>
                                        <?php endif; ?>

                                        <?php if($subStage->file == 1): ?>
                                            <td>
                                                <div class="custom-brws">
                                                    <?php echo Form::file('detail['.$stage->stage_name.']['.$subStageName.'][file]', ['onchange' => 'driverOnboardingFormSubmit()']); ?>

                                                </div>
                                            </td>
                                        <?php endif; ?>

                                        <?php if($subStage->file == 0): ?>
                                            <td></td>
                                        <?php endif; ?>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                        <?php endif; ?>
                        <?php $si = $si+1; $cc++; ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                <?php endif; ?>
                </tbody>
            </table>
        </div>
    </div>
</div>
<?php echo Form::close(); ?>


<?php $__env->startSection('after-scripts'); ?>
    <script type="text/javascript">
        /********************* Driver Onboarding - START *********************/
        function daysToOnboard() {
            if ($('.application-date').val() != '' && $('.start-date').val() != '') {
                var applicationDate = moment($('.application-date').val());
                var startDate       = moment($('.start-date').val());
                var days            = (startDate - applicationDate) / 1000 / 60 / 60 / 24;
                var round           = Math.round(days);
                $('.days-to-onboard').val(round);
            } else {
                $('.days-to-onboard').val(0);
            }
        }

        function driverOnboardingFormSubmit(id = null) {
            if (id != null) {
                var staid       = '.child' + id;
                var parrentid   = '#yes-no-' + id;
                var numberOfChildCheckBoxes = $(staid).length;
                var checkedChildCheckBox    = $(staid + ':checked').length;
                var stage_name = $(parrentid).data('stage-name');

                if (checkedChildCheckBox == numberOfChildCheckBoxes) {
                    $(parrentid).prop('checked', true);

                    $(".onboard-progress-bar").find("li[data-stage-name='" + stage_name + "']").removeClass('fill-inactive');
                    $(".onboard-progress-bar").find("li[data-stage-name='" + stage_name + "']").addClass('fill-active');
                    $(".onboard-progress-bar").find("li[data-stage-name='" + stage_name + "']").find('img').attr('src', '<?php echo asset('theme/img/indicator-icon-active.svg'); ?>');
                } else {
                    $(parrentid).prop('checked', false);

                    $(".onboard-progress-bar").find("li[data-stage-name='" + stage_name + "']").removeClass('fill-active');
                    $(".onboard-progress-bar").find("li[data-stage-name='" + stage_name + "']").addClass('fill-inactive');
                    $(".onboard-progress-bar").find("li[data-stage-name='" + stage_name + "']").find('img').attr('src', '<?php echo asset('theme/img/indicator-icon-inactive.svg'); ?>');
                }
            }
            $(".driver-onboarding-tab").submit();
        }

        $(function (){
            $('.application-date, .start-date, .date').datetimepicker({ format: 'MM/DD/YYYY', useCurrent: false });

            $(document).on("dp.change", ".application-date,.start-date", function () {
                daysToOnboard();
                driverOnboardingFormSubmit();
            });

            $(document).on("click", ".yes-no-checkbox", function () {
                var stage_name          = $(this).data('stage-name');
                var stage_no            = $(this).data('stage-no');
                $('.onboard-progress-bar li').each(function (i, li) {
                    var li_stage_no     = $(li).data('stage-no');
                    if ($(li).hasClass("fill-active") == false && li_stage_no <= stage_no) {
                        $(li).removeClass('fill-active');
                        $(li).addClass('fill-inactive');
                    }
                });
                if ($(this).prop("checked") == true) {
                    $(".onboard-progress-bar").find("li[data-stage-name='" + stage_name + "']").removeClass('fill-inactive');
                    $(".onboard-progress-bar").find("li[data-stage-name='" + stage_name + "']").addClass('fill-active');
                    $(".onboard-progress-bar").find("li[data-stage-name='" + stage_name + "']").find('img').attr('src', '<?php echo asset('theme/img/indicator-icon-active.svg'); ?>');
                } else if ($(this).prop("checked") == false) {
                    $(".onboard-progress-bar").find("li[data-stage-name='" + stage_name + "']").removeClass('fill-active');
                    $(".onboard-progress-bar").find("li[data-stage-name='" + stage_name + "']").addClass('fill-inactive');
                    $(".onboard-progress-bar").find("li[data-stage-name='" + stage_name + "']").find('img').attr('src', '<?php echo asset('theme/img/indicator-icon-inactive.svg'); ?>');
                }
            });

            $(document).on("dp.change", ".date", function () {
                driverOnboardingFormSubmit();
            });

            $(document).on("click", ".show-onboarding-file-btn", function () {
                var token               = $('meta[name="csrf-token"]').attr('content');
                var driver_id           = $(this).data('driver-id');
                var stage_name          = $(this).data('stage-name');
                $.ajax({
                    url: "/company-admin/driver-onboarding/file/view",
                    method: "POST",
                    data: {_token: token, driver_id: driver_id, stage_name: stage_name},
                    success: function (response) {
                        $('#onboardingFileModal').find('.append-form').html(response.view);
                    }
                });
            });

            $(document).on("click", ".delete-onboarding-file", function () {
                var token               = $('meta[name="csrf-token"]').attr('content');
                var onboarding_id       = $(this).data('onboarding-id');
                var stage_name          = $(this).data('stage-name');
                $.ajax({
                    url: "/company-admin/driver-onboarding/file/delete",
                    method: "POST",
                    data: {_token: token, onboarding_id: onboarding_id, stage_name: stage_name},
                    success: function (response) {
                        if (response.success) {
                            toastr.success(response.success, 'Success Alert', {timeOut: 5000})
                            $("#onboardingFileModal").modal('hide');
                        }
                    }
                });
            });

            $(".driver-onboarding-tab").ajaxForm({
                complete: function (response) {
                    console.log(response);
                },
            });

            $(document).on("click", "#driver-onboarding-save", function(e){
                e.preventDefault();
                toastr.success('Driver Onboarding saved successfully', 'Success Alert', { timeOut: 5000 });
                nextStep();
            });
        });
        /********************* Driver Onboarding - END *********************/
    </script>
<?php $__env->stopSection(); ?>
<?php /**PATH C:\xampp8.6\htdocs\appdispatchpro\resources\views/companyAdmin/driver/tab/driverOnboarding.blade.php ENDPATH**/ ?>