<?php
   $sunday              = \Carbon\Carbon::parse($startDate)->format('m/d/Y');
   $sunday_name         = \Carbon\Carbon::parse($startDate)->format('l');

   $monday              = \Carbon\Carbon::parse($startDate)->addDay()->format('m/d/Y');
   $monday_name         = \Carbon\Carbon::parse($startDate)->addDay()->format('l');

   $tuesday             = \Carbon\Carbon::parse($startDate)->addDays(2)->format('m/d/Y');
   $tuesday_name        = \Carbon\Carbon::parse($startDate)->addDays(2)->format('l');

   $wednesday           = \Carbon\Carbon::parse($startDate)->addDays(3)->format('m/d/Y');
   $wednesday_name      = \Carbon\Carbon::parse($startDate)->addDays(3)->format('l');

   $thursday            = \Carbon\Carbon::parse($startDate)->addDays(4)->format('m/d/Y');
   $thursday_name       = \Carbon\Carbon::parse($startDate)->addDays(4)->format('l');

   $friday              = \Carbon\Carbon::parse($startDate)->addDays(5)->format('m/d/Y');
   $friday_name         = \Carbon\Carbon::parse($startDate)->addDays(5)->format('l');

   //$saturday          = \Carbon\Carbon::parse($startDate)->addDays(6)->format('m/d/Y');
   //$saturday_name     = \Carbon\Carbon::parse($startDate)->addDays(6)->format('l');

   $saturday            = \Carbon\Carbon::parse($endDate)->format('m/d/Y');
   $saturday_name       = \Carbon\Carbon::parse($endDate)->format('l');

   $days                = [$sunday,$monday,$tuesday,$wednesday,$thursday,$friday,$saturday];
?>

<?php if($skip == 0): ?>
    <style type="text/css">
        .highcharts-axis-labels.highcharts-yaxis-labels{
            display:none;
        }
    </style>
    
    <table class="table table-new table-fixed">
        <thead>
            <tr class="h-row table-header" >
                <th class="header__item"><a id="SortDriver" class="filter__link" href="javascript:void(0)">Driver</a></th>
                <th class="header__item"><a id="SortOccupancyBaseRevenue" class="filter__link filter__link--number" href="javascript:void(0)">Occupancy <br/>Based Revenue</a></th>
                <th class="header__item"><a id="SortOccupancy" class="filter__link filter__link--number" href="javascript:void(0)">Occupancy</a></th>
                <!-- <th class="header__item"><a id="SortTargetRevenue" class="filter__link filter__link--number" href="javascript:void(0)">Target Revenue</a></th> -->
                <th class="header__item"><a id="SortGrossRevenue" class="filter__link filter__link--number" href="javascript:void(0)">Revenue</a></th>
                <th class="mileage_th header__item"><a id="SortMileage" class="filter__link filter__link--number" href="javascript:void(0)">Mileage</a></th>
                <th class="cpm_th header__item"><a id="SortCPM" class="filter__link filter__link--number" href="javascript:void(0)">CPM</a></th>
                
                <th class="inner-table-hadding"></th>
                <th><?php echo e($sunday_name); ?> <span><?php echo e($sunday); ?></span></th>
                <th><?php echo e($monday_name); ?> <span><?php echo e($monday); ?></span></th>
                <th><?php echo e($tuesday_name); ?> <span><?php echo e($tuesday); ?></span></th>
                <th><?php echo e($wednesday_name); ?> <span><?php echo e($wednesday); ?></span></th>
                <th><?php echo e($thursday_name); ?> <span><?php echo e($thursday); ?></span></th>
                <th><?php echo e($friday_name); ?> <span><?php echo e($friday); ?></span></th>
                <th><?php echo e($saturday_name); ?> <span><?php echo e($saturday); ?></span></th>
                
            </tr>
        </thead>
        <tbody class="BI_tablebody table-content parent-tbody-data" style="overflow-x:hidden;">
<?php endif; ?>
    <!--  -->
    <?php
        $chartarray     = array();
        $ch             = 0;
    ?>
    <?php if(count($loads)): ?>
        <?php
            $chartarray = array();
            $ch         = 0;
        ?>
        <?php $__currentLoopData = $loads; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $load): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <?php
                $driver_id                                                  = isset($load->driver_id) ? $load->driver_id : $load->id;
                $getTargetByDate                                            = getTargetRevenueMilesByDate($startDate,$endDate,$driver_id);
                $getLoadGrossRevenue                                        = getLoadGrossRevenue($startDate,$endDate,$driver_id,$load,$trailer_type,$dispatcher);
                $getLoadOccupancy                                           = round(getLoadOccupancy($startDate,$endDate,$driver_id,$load,$trailer_type,$dispatcher));
                $getLoadTargetOvnerUnder                                    = getLoadTargetOvnerUnder($startDate,$endDate,$driver_id,$getTargetByDate['revenue'],$load,$trailer_type,$dispatcher);
            ?>
            <tr class="table-row">
                <td class="text-center table-data" data-value="<?php echo e(strtolower($load->last_name)); ?>">
                    
                    <p href="javascript:void(0)" class="show-available-driver" data-driver-id="<?php echo e($driver_id); ?>" data-toggle="modal" data-target="#availableDriverModal">
                        <?php echo e($load->last_name); ?>, <?php echo e($load->first_name); ?>

                    </p>
                    
                    
                    <span class="down" style="<?php if($getLoadTargetOvnerUnder < 0): ?> color:#FF1010; <?php elseif($getLoadTargetOvnerUnder > 0): ?> color:#305F9C; <?php endif; ?>">
                        <?php
                            $fmt                                            = new \NumberFormatter('en_US', \NumberFormatter::CURRENCY);
                            echo $fmt->formatCurrency($getLoadTargetOvnerUnder, "USD");
                        ?>
                    </span>
                </td>
                <?php
                    $getOccupancyBasedRevenue                               = getOccupancyBasedRevenue2($getLoadGrossRevenue, $getLoadOccupancy, $getTargetByDate['revenue']);
                    $getOccupancyBasedRevenue                               = round($getOccupancyBasedRevenue);
                    $chartarray[$ch]['driver_id']                           = $driver_id;
                    $chartarray[$ch]['getOccupancyBasedRevenue']            = $getOccupancyBasedRevenue;
                ?>
                <td data-value="<?php echo e($getOccupancyBasedRevenue); ?>" class="table-data graph-box">
                    <div id="OccupancyBasedRevenueChart<?php echo e($driver_id); ?>" class="chart-container"></div>
                </td>
                <?php
                    $chartarray[$ch]['getLoadOccupancy']                    = $getLoadOccupancy;
                    $chartarray[$ch]['getLoadOccupancyGoal']                = $getTargetByDate['occupancy'];
                ?>
                <td data-value="<?php echo e($getLoadOccupancy); ?>" class="table-data graph-box">
                    <div id="getLoadOccupancy<?php echo e($driver_id); ?>" class="chart-container"></div>
                </td>
                
                <?php
                    $fmt                                                    = new \NumberFormatter('en_US', \NumberFormatter::CURRENCY);
                    $targetRevenu                                           = $getTargetByDate['revenue'];
                    $chartarray[$ch]['getLoadTargetRevenue']                = round($getTargetByDate['revenue']);
                    $chartarray[$ch]['getLoadGrossRevenue']                 = round($getLoadGrossRevenue);
                ?>
                <td data-value="<?php echo e(round($getLoadGrossRevenue)); ?>" class="table-data graph-box">
                    <div id="getLoadGrossRevenue<?php echo e($driver_id); ?>" class="chart-container"></div>
                </td>
                <?php
                    $getLoadMileage                                         = getLoadTotalMileage($startDate,$endDate,$driver_id,$load,$trailer_type,$dispatcher);
                ?>
                <td data-value="<?php echo e($getLoadMileage); ?>" class="mileage_th table-data"><?php echo e(number_format($getLoadMileage)); ?></td>
                <?php
                    $getLoadCPM                                             = getLoadTotalMileCPM($startDate,$endDate,$driver_id,$load,$trailer_type,$dispatcher);
                    $fmt                                                    = new \NumberFormatter('en_US', \NumberFormatter::CURRENCY);
                ?>
                <td data-value="<?php echo e($getLoadCPM); ?>" class="cpm_th table-data">
                    <?php
                        echo $fmt->formatCurrency($getLoadCPM, "USD");
                    ?>
                </td>
                <td class="inner-table inner-table-hadding">
                    <div>
                        <table class="mt-0">
                            <tr class="">
                                <td class="cnt-icon text-left">Load No.</td>
                            </tr>
                            <tr class="">
                                <td class="cnt-icon text-left">Location</td>
                            </tr>
                            <tr>
                                <td class="cnt-icon text-left">Miles</td>
                            </tr>
                            <tr>
                                <td class="cnt-icon text-left">Revenue</td>
                            </tr>
                            <tr>
                                <td class="cnt-icon text-left">Week Total</td>
                            </tr>
                            <tr>
                                <td class="cnt-icon text-left">CPM</td>
                            </tr>
                        </table>
                    </div>
                </td>
                <?php
                    $weekTotal                                              = [];
                    $m                                                      = 0;
                ?>
                <?php $__currentLoopData = $days; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $day): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php
                        $get_load_by_date                                   = getLoadByDate($day, $load, null, $trailer_type, $dispatcher);
                    ?>
                    <td class="inner-table">
                        <div>
                            <table class="mt-0">
                                <tr class="brg-<?php echo getLoadColor($get_load_by_date); ?>">
                                    <td class="cnt-icon">
                                        <?php if(count($get_load_by_date) == 1): ?>
                                            <?php $__currentLoopData = $get_load_by_date; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $loadBydate): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php if($loadBydate->is_disable == 0): ?>
                                                    <a href="<?php echo e(route('company.admin.loads.edit',base64Encode($loadBydate->load_id))); ?>?from=load_by_week" class="text-dark" target="_blank">
                                                        <?php echo e($loadBydate->load_type == 0 || $loadBydate->load_type == 6 ? $loadBydate->load_number : getLoadTypeList()[$loadBydate->load_type]); ?>

                                                    </a>
                                                <?php else: ?>
                                                    <a href="<?php echo e(route('company.admin.loads.show',base64Encode($loadBydate->load_detail_id))); ?>" class="text-dark" target="_blank">
                                                        <?php echo e($loadBydate->load_type == 0 || $loadBydate->load_type == 6 ? $loadBydate->load_number : getLoadTypeList()[$loadBydate->load_type]); ?>

                                                    </a>
                                                <?php endif; ?>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php elseif(count($get_load_by_date) > 1): ?>
                                            <span class="multiple-loads"><?php echo getLoadTitle($get_load_by_date); ?></span>
                                            <div class="load-detail" style="display:none;">
                                                <ul>
                                                    <?php $__currentLoopData = $get_load_by_date; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $loadBydate): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <li class="text-<?php echo getLoadColorClass($loadBydate->load_status); ?>">
                                                            <?php if($loadBydate->is_disable == 0): ?>
                                                                <a href="<?php echo e(route('company.admin.loads.edit',base64Encode($loadBydate->load_id))); ?>?from=load_by_week" class="text-dark" target="_blank">
                                                                    <?php echo e($loadBydate->load_type == 0 || $loadBydate->load_type == 6 ? $loadBydate->load_number : getLoadTypeList()[$loadBydate->load_type]); ?>

                                                                </a>
                                                            <?php else: ?>
                                                                <a href="<?php echo e(route('company.admin.loads.show',base64Encode($loadBydate->load_detail_id))); ?>" class="text-dark" target="_blank">
                                                                    <?php echo e($loadBydate->load_type == 0 || $loadBydate->load_type == 6 ? $loadBydate->load_number : getLoadTypeList()[$loadBydate->load_type]); ?>

                                                                </a>
                                                            <?php endif; ?>
                                                        </li>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </ul>
                                            </div>
                                        <?php else: ?>
                                            
                                            <a
                                                href="javascript:void(0);"
                                                class="weekly-create-load-btn"
                                                data-from="load_by_week"
                                                data-driver_name="<?php echo e($load->last_name); ?>, <?php echo e($load->first_name); ?>"
                                                data-driver_id="<?php echo e($driver_id); ?>"
                                                data-shipper_date="<?php echo e($day); ?>"
                                                data-url="<?php echo e(route('company.admin.loads.create')); ?>?from=load_by_week&driver_id=<?php echo e($driver_id); ?>&shipper_date=<?php echo e($day); ?>">
                                                <img src="<?php echo e(asset('theme/img/blue-plus.png')); ?>" alt="Add">
                                            </a>
                                        <?php endif; ?>
                                    </td>
                                </tr>
                                <tr class="brg-<?php echo getLoadColor($get_load_by_date); ?>">
                                    <td class="cnt-icon">
                                        <?php if(count($get_load_by_date) == 1): ?>
                                            <?php $__currentLoopData = $get_load_by_date; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $loadBydate): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php if(
                                                    !is_null(getAddressCityState($loadBydate->shipper_city, $loadBydate->shipper_state)) &&
                                                    !is_null(getAddressCityState($loadBydate->delivery_city, $loadBydate->delivery_state))
                                                ): ?>
                                                    <p class="singal-location"><?php echo e(getAddressCityState($loadBydate->delivery_city, $loadBydate->delivery_state)); ?></p>
                                                <?php else: ?>
                                                    &nbsp;
                                                <?php endif; ?>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php elseif(count($get_load_by_date) > 1): ?>
                                            
                                            <span class="multiple-loads">Multiple</span>
                                            <div class="load-detail" style="display:none;">
                                                <ul>
                                                    <?php $__currentLoopData = $get_load_by_date; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $loadBydate): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <li>
                                                            <?php if($loadBydate->is_disable == 0): ?>
                                                                <a href="<?php echo e(route('company.admin.loads.edit',base64Encode($loadBydate->load_id))); ?>?from=load_by_week" class="text-dark" target="_blank">
                                                                    <?php if(in_array($loadBydate->load_type, [1, 2, 3, 4, 5])): ?>
                                                                        <?php echo e(getLoadTypeList()[$loadBydate->load_type]); ?>

                                                                    <?php else: ?>
                                                                        <?php echo e($loadBydate->load_number); ?>

                                                                    <?php endif; ?> -
                                                                    <?php echo e(getAddressCityState($loadBydate->delivery_city, $loadBydate->delivery_state)); ?>

                                                                </a>
                                                            <?php else: ?>
                                                                <a href="<?php echo e(route('company.admin.loads.show',base64Encode($loadBydate->load_detail_id))); ?>" class="text-dark" target="_blank">
                                                                    <?php if(in_array($loadBydate->load_type, [1, 2, 3, 4, 5])): ?>
                                                                        <?php echo e(getLoadTypeList()[$loadBydate->load_type]); ?>

                                                                    <?php else: ?>
                                                                        <?php echo e($loadBydate->load_number); ?>

                                                                    <?php endif; ?> -
                                                                    <?php echo e(getAddressCityState($loadBydate->delivery_city, $loadBydate->delivery_state)); ?>

                                                                </a>
                                                            <?php endif; ?>
                                                        </li>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </ul>
                                            </div>
                                        <?php else: ?>
                                            &nbsp;
                                        <?php endif; ?>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="cnt-icon">
                                        <?php
                                            $tm                             = 0;
                                            $miles                          = [];
                                        ?>
                                        <?php if(count($get_load_by_date) == 1): ?>
                                            <?php $__currentLoopData = $get_load_by_date; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $loadBydate): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php if($day == \Carbon\Carbon::parse($loadBydate->actual_delivery_date)->format('m/d/Y')): ?>
                                                    <?php
                                                        $cal_miles          = getLoadTotalMiles($loadBydate);
                                                    ?>
                                                <?php else: ?>
                                                    <?php
                                                        $cal_miles          = 0;
                                                    ?>
                                                <?php endif; ?>
                                                <?php
                                                    $cal_miles              = floatval(str_replace(',', '', $cal_miles));
                                                    $miles[$tm]             = $cal_miles;
                                                ?>
                                                <?php if(isset($cal_miles) && $cal_miles!='' && $cal_miles > 0): ?>
                                                    <span class="multiple-loads"><?php echo e(number_format($cal_miles)); ?></span>
                                                    <div class="load-detail" style="display:none;">
                                                        <ul>
                                                            <li><a href="javascript:void(0);" class="text-dark">Deadhead: <?php echo e((int)$loadBydate->empty_miles); ?></a></li>
                                                            <li><a href="javascript:void(0);" class="text-dark">Loaded: <?php echo e((int)$loadBydate->loaded_miles); ?></a></li>
                                                        </ul>
                                                    </div>
                                                <?php endif; ?>
                                                <!--  -->
                                                <?php $tm++; ?>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php elseif(count($get_load_by_date) > 1): ?>
                                            <?php
                                                $html                       = '<div class="load-detail" style="display:none;"><ul>';
                                            ?>
                                            <?php $__currentLoopData = $get_load_by_date; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $loadBydate): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php if($day == \Carbon\Carbon::parse($loadBydate->actual_delivery_date)->format('m/d/Y')): ?>
                                                    <?php
                                                        $cal_miles          = getLoadTotalMiles($loadBydate);
                                                    ?>
                                                <?php else: ?>
                                                    <?php
                                                        $cal_miles          = 0;
                                                    ?>
                                                <?php endif; ?>
                                                <?php
                                                    $cal_miles              = floatval(str_replace(',', '', $cal_miles));
                                                    $miles[$tm]             = $cal_miles;
                                                ?>
                                                <!--  -->
                                                <?php
                                                    $name                   = '';
                                                ?>
                                                <?php if(in_array($loadBydate->load_type, [1, 2, 3, 4, 5])): ?>
                                                    <?php
                                                        $name               = getLoadTypeList()[$loadBydate->load_type];
                                                    ?>
                                                <?php else: ?>
                                                    <?php
                                                        $name               = $loadBydate->load_number;
                                                    ?>
                                                <?php endif; ?>
                                                <?php
                                                    $html                  .= '<li>';
                                                ?>
                                                <?php if($loadBydate->is_disable == 0): ?>
                                                    <?php
                                                        $title              = 'Deadhead: '.(int)$loadBydate->empty_miles.', Loaded: '.(int)$loadBydate->loaded_miles;
                                                        $html              .= '<a href="'.route('company.admin.loads.edit',base64Encode($loadBydate->load_id)).'?from=load_by_week" class="text-dark" target="_blank"><span title="'.$title.'">'.$name.' - '.number_format($cal_miles).'</span></a>';
                                                    ?>
                                                <?php else: ?>
                                                    <?php
                                                        $title              = 'Deadhead: '.(int)$loadBydate->empty_miles.', Loaded: '.(int)$loadBydate->loaded_miles;
                                                        $html              .= '<a href="'.route('company.admin.loads.show',base64Encode($loadBydate->load_id)).'" class="text-dark" target="_blank"><span title="'.$title.'">'.$name.' - '.number_format($cal_miles).'</span></a>';
                                                    ?>
                                                <?php endif; ?>
                                                <?php
                                                    $html                  .= '</li>';
                                                ?>
                                                <!--  -->
                                                <?php $tm++; ?>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            <?php
                                                $html                      .= '</ul></div>';
                                            ?>
                                            <?php
                                                $total_miles                = array_sum($miles);
                                            ?>
                                            <?php if($total_miles > 0): ?>
                                                <span class="multiple-loads"><?php echo e(number_format($total_miles)); ?></span>
                                                <?php echo $html; ?>

                                            <?php endif; ?>
                                        <?php else: ?>
                                            &nbsp;
                                        <?php endif; ?>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="cnt-icon">
                                        <?php
                                            $tr                             = 0;
                                            $total_revenue                  = [];
                                        ?>
                                        <?php if(count($get_load_by_date) == 1): ?>
                                            <?php $__currentLoopData = $get_load_by_date; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $loadBydate): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php if($day == \Carbon\Carbon::parse($loadBydate->actual_delivery_date)->format('m/d/Y')): ?>
                                                    <?php if($loadBydate->is_disable == 0): ?>
                                                        <?php $cal_revenue   = getLoadRevenue($loadBydate) ?>
                                                    <?php else: ?>
                                                        <?php $cal_revenue   = getLoadPay($loadBydate) ?>
                                                    <?php endif; ?>
                                                <?php else: ?>
                                                    <?php $cal_revenue       = '$0'; ?>
                                                <?php endif; ?>
                                                <?php
                                                    $total_revenue[$tr]     = $cal_revenue;
                                                ?>
                                                <?php
                                                    $total_revenue_amt      = floatval(str_replace(',', '', str_replace('$', '', $cal_revenue)));
                                                ?>
                                                <?php if($total_revenue_amt > 0): ?>
                                                    <?php echo e("$" . number_format($total_revenue_amt, 2)); ?>

                                                <?php endif; ?>
                                                <!--  -->
                                                <?php $tr++; ?>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php elseif(count($get_load_by_date) > 1): ?>
                                            <?php
                                                $html                       = '<div class="load-detail" style="display:none;"><ul>';
                                            ?>
                                            <?php $__currentLoopData = $get_load_by_date; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $loadBydate): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php if($day == \Carbon\Carbon::parse($loadBydate->actual_delivery_date)->format('m/d/Y')): ?>
                                                    <?php if($loadBydate->is_disable == 0): ?>
                                                        <?php $cal_revenue   = getLoadRevenue($loadBydate) ?>
                                                    <?php else: ?>
                                                        <?php $cal_revenue   = getLoadPay($loadBydate) ?>
                                                    <?php endif; ?>
                                                <?php else: ?>
                                                    <?php $cal_revenue       = '$0'; ?>
                                                <?php endif; ?>
                                                <?php
                                                    $total_revenue[$tr]     = $cal_revenue;
                                                ?>
                                                <!--  -->
                                                <?php
                                                    $name                   = '';
                                                ?>
                                                <?php if(in_array($loadBydate->load_type, [1, 2, 3, 4, 5])): ?>
                                                    <?php
                                                        $name               = getLoadTypeList()[$loadBydate->load_type];
                                                    ?>
                                                <?php else: ?>
                                                    <?php
                                                        $name               = $loadBydate->load_number;
                                                    ?>
                                                <?php endif; ?>
                                                <?php
                                                    $html                  .= '<li>';
                                                ?>
                                                <?php if($loadBydate->is_disable == 0): ?>
                                                    <?php
                                                        $html              .= '<a href="'.route('company.admin.loads.edit',base64Encode($loadBydate->load_id)).'?from=load_by_week" class="text-dark" target="_blank">'.$name.' - '.$cal_revenue.'</a>';
                                                    ?>
                                                <?php else: ?>
                                                    <?php
                                                        $html              .= '<a href="'.route('company.admin.loads.show',base64Encode($loadBydate->load_id)).'" class="text-dark" target="_blank">'.$name.' - '.$cal_revenue.'</a>';
                                                    ?>
                                                <?php endif; ?>
                                                <?php
                                                    $html                  .= '</li>';
                                                ?>
                                                <!--  -->
                                                <?php $tr++; ?>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            <?php
                                                $html                      .= '</ul></div>';
                                            ?>
                                            <?php
                                                $formatted_revenue          = [];
                                                if(!empty($total_revenue)){
                                                    foreach ($total_revenue as $key => $value) {
                                                        $formatted_revenue[]= floatval(str_replace(',', '', str_replace('$', '', $value)));
                                                    }
                                                }
                                                $total_revenue_amt          = array_sum($formatted_revenue);
                                            ?>
                                            <?php if($total_revenue_amt > 0): ?>
                                                <span class="multiple-loads"><?php echo e("$" . number_format($total_revenue_amt, 2)); ?></span>
                                                <?php echo $html; ?>

                                            <?php endif; ?>
                                        <?php else: ?>
                                            &nbsp;
                                        <?php endif; ?>
                                    </td>
                                </tr>
                                <tr class="weektot">
                                    <td class="cnt-icon">
                                        <?php if(count($get_load_by_date) == 1): ?>
                                            <?php $__currentLoopData = $get_load_by_date; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $loadBydate): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php if($day == \Carbon\Carbon::parse($loadBydate->actual_delivery_date)->format('m/d/Y')): ?>
                                                    <?php if($loadBydate->is_disable == 0): ?>
                                                        <?php $weekTotal[]   = getLoadRevenueFloat($loadBydate); ?>
                                                    <?php else: ?>
                                                        <?php $weekTotal[]   = getLoadPayFloat($loadBydate); ?>
                                                    <?php endif; ?>
                                                    <?php $arrysum           = array_sum($weekTotal); ?>
                                                    <?php if($arrysum > 0): ?>
                                                        <?php echo e(getLoadTargetRevenue($arrysum)); ?>

                                                    <?php endif; ?>
                                                <?php else: ?>
                                                    &nbsp;
                                                <?php endif; ?>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php elseif(count($get_load_by_date) > 1): ?>
                                            <?php
                                                $w_revenue                  = [];
                                            ?>
                                            <?php $__currentLoopData = $get_load_by_date; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $loadBydate): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php if($day == \Carbon\Carbon::parse($loadBydate->actual_delivery_date)->format('m/d/Y')): ?>
                                                    <?php if($loadBydate->is_disable == 0): ?>
                                                        <?php $w_revenue[]   = getLoadRevenueFloat($loadBydate); ?>
                                                    <?php else: ?>
                                                        <?php $w_revenue[]   = getLoadPayFloat($loadBydate); ?>
                                                    <?php endif; ?>
                                                <?php endif; ?>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            <?php
                                                $warray                     = array_filter($w_revenue);
                                            ?>
                                            <?php if(!empty($warray)): ?>
                                                <?php
                                                    $warrysum               = array_sum($warray);
                                                    $weekTotal[]            = $warrysum;
                                                ?>
                                                <?php $arrysum               = array_sum($weekTotal); ?>
                                                <?php if($arrysum > 0): ?>
                                                    <?php echo e(getLoadTargetRevenue($arrysum)); ?>

                                                <?php endif; ?>
                                            <?php endif; ?>
                                        <?php else: ?>
                                            &nbsp;
                                        <?php endif; ?>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="cnt-icon">
                                        <?php if(count($get_load_by_date) == 1): ?>
                                            <?php
                                                $cpm_miles                  = 0;
                                                $cpm_revenue                = '$0';
                                            ?>
                                            <?php $__currentLoopData = $get_load_by_date; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $loadBydate): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php if($day == \Carbon\Carbon::parse($loadBydate->actual_delivery_date)->format('m/d/Y')): ?>
                                                    <?php
                                                        $cpm_miles          = getLoadTotalMiles($loadBydate);
                                                        $cpm_miles          = floatval(str_replace(',', '', $cpm_miles));
                                                    ?>
                                                    <?php if($loadBydate->is_disable == 0): ?>
                                                        <?php $cpm_revenue   = getLoadRevenue($loadBydate) ?>
                                                    <?php else: ?>
                                                        <?php $cpm_revenue   = getLoadPay($loadBydate) ?>
                                                    <?php endif; ?>
                                                <?php endif; ?>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            <?php if($cpm_revenue!='$0' && $cpm_miles > 0): ?>
                                                <?php echo e(getLoadSingleCPM2($cpm_revenue,$cpm_miles)); ?>

                                            <?php else: ?>
                                                &nbsp;
                                            <?php endif; ?>
                                        <?php elseif(count($get_load_by_date) > 1): ?>
                                            <?php
                                                $cpm_arry                   = [];
                                            ?>
                                            <?php
                                                $html                       = '<div class="load-detail" style="display:none;"><ul>';
                                            ?>
                                            <?php $__currentLoopData = $get_load_by_date; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $loadBydate): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php
                                                    $cpm                    = '$0';
                                                    $cpm_miles              = 0;
                                                    $cpm_revenue            = '$0';
                                                ?>
                                                <?php if($day == \Carbon\Carbon::parse($loadBydate->actual_delivery_date)->format('m/d/Y')): ?>
                                                    <?php
                                                        $cpm_miles          = getLoadTotalMiles($loadBydate);
                                                        $cpm_miles          = floatval(str_replace(',', '', $cpm_miles));
                                                    ?>
                                                    <?php if($loadBydate->is_disable == 0): ?>
                                                        <?php $cpm_revenue   = getLoadRevenue($loadBydate) ?>
                                                    <?php else: ?>
                                                        <?php $cpm_revenue   = getLoadPay($loadBydate) ?>
                                                    <?php endif; ?>
                                                <?php endif; ?>
                                                <?php if($cpm_revenue!='$0' && $cpm_miles > 0): ?>
                                                    <?php
                                                        $cpm                = getLoadSingleCPM2($cpm_revenue,$cpm_miles);
                                                        $formatted_cpm      = floatval(str_replace(',', '', str_replace('$', '', $cpm)));
                                                        if($formatted_cpm > 0){
                                                            $cpm_arry[]     = $formatted_cpm;
                                                        }
                                                    ?>
                                                <?php endif; ?>
                                                <!--  -->
                                                <?php
                                                    $name                   = '';
                                                ?>
                                                <?php if(in_array($loadBydate->load_type, [1, 2, 3, 4, 5])): ?>
                                                    <?php
                                                        $name               = getLoadTypeList()[$loadBydate->load_type];
                                                    ?>
                                                <?php else: ?>
                                                    <?php
                                                        $name               = $loadBydate->load_number;
                                                    ?>
                                                <?php endif; ?>
                                                <?php
                                                    $html                  .= '<li>';
                                                ?>
                                                <?php if($loadBydate->is_disable == 0): ?>
                                                    <?php
                                                        $html              .= '<a href="'.route('company.admin.loads.edit',base64Encode($loadBydate->load_id)).'?from=load_by_week" class="text-dark" target="_blank">'.$name.' - '.$cpm.'</a>';
                                                    ?>
                                                <?php else: ?>
                                                    <?php
                                                        $html              .= '<a href="'.route('company.admin.loads.show',base64Encode($loadBydate->load_id)).'" class="text-dark" target="_blank">'.$name.' - '.$cpm.'</a>';
                                                    ?>
                                                <?php endif; ?>
                                                <?php
                                                    $html                  .= '</li>';
                                                ?>
                                                <!--  -->
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            <?php
                                                $html                      .= '</ul></div>';
                                            ?>
                                            <?php
                                                $cpm_arry                   = array_filter($cpm_arry);
                                                $total_count                = count($cpm_arry);
                                                $total_cpm                  = array_sum($cpm_arry);
                                                $cpm_avg                    = 0;
                                                if($total_count > 0 && $total_cpm > 0){
                                                    $cpm_avg                = $total_cpm/$total_count;
                                                }
                                            ?>
                                            <span class="multiple-loads"><?php echo e("$" . number_format((float)$cpm_avg, 2, '.', '')); ?></span>
                                            <?php echo $html; ?>

                                        <?php else: ?>
                                            &nbsp;
                                        <?php endif; ?>
                                    </td>
                                </tr>
                            </table>
                        </div>
                    </td>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                
            </tr>
            <?php
                $ch++;
            ?>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    <?php else: ?>
        <?php if($skip == 0): ?>
            
            <tr class="before-none">
                <td colspan="14" class="m-auto w-100 font-weight-bold text-center" style="font-size: 18px !important;max-width: 220px;">No data available</td>
            </tr>
        <?php endif; ?>
    <?php endif; ?>
    <!--  -->
<?php if($skip == 0): ?>
        </tbody>
    </table>
<?php endif; ?>

<?php if($load_count != 8 && $load_count > 0): ?>
    <input type="hidden" value="<?php echo $load_count; ?>" name="load_count" class="load_count" />
<?php endif; ?>

<?php $__currentLoopData = $chartarray; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $chart): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
    <?php
       /*
        if($chart["getOccupancyBasedRevenue"] > 100){
            $getOccupancyBasedRevenue       = 100;
        }else{
            $getOccupancyBasedRevenue       = $chart["getOccupancyBasedRevenue"];
        }
       */
        $getOccupancyBasedRevenue           = $chart["getOccupancyBasedRevenue"];
    ?>
    <script type="text/javascript">
        var fleetOccupancy                  = parseInt('<?php echo e($getOccupancyBasedRevenue); ?>');

        if(fleetOccupancy > 100){
            fleetOccupancy                  = 100;
        }

        

        Highcharts.chart('OccupancyBasedRevenueChart<?php echo e($chart["driver_id"]); ?>', {
            chart: {
                type: 'solidgauge',
                //backgroundColor: 'yellow',
                plotBorderWidth: 0,
                plotShadow: false,
                plotBackgroundColor: null,
                //plotBackgroundImage: null,
                marginLeft:0,
                marginRight:0,
                marginTop:0,
                spacingTop: 0,
                spacingBottom: 0,
                spacingLeft: 0,
                spacingRight: 0,
                marginBottom: 0,
                height: 160,
                width: 120,
            },
            title: {
                text: null
            },
            exporting: {
                enabled: true
            },
            credits: {
                enabled: false
            },
            pane: {
                size: '69%',
                center: ['50%', '60%'],
                startAngle: -100,
                endAngle: 100,
                background: null
            },
            tooltip: {
                enabled: false
            },
            yAxis: {
                min: 0,
                max: 100,
                minorTickInterval: 'auto',
                minorTickWidth: 0.5,
                minorTickLength: 5,
                minorTickPosition: 'inside',
                minorTickColor: '#000000',
                tickTickInterval: '5',
                tickWidth: 0.5,
                tickLength: 8,
                tickPosition: 'inside',
                tickColor: '#3f3b3b',
                tickAmount: 5,
                gridLineWidth: 0,
                gridLineColor: 'transparent',
                labels: {
                    enabled: false
                },
                title: {
                    text: null
                },
            },
            plotOptions: {
                solidgauge: {
                    dataLabels: {
                        y: -6,
                        borderWidth: 0,
                        useHTML: true,
                    }
                }
            },
            series: [
                {
                    name: 'Occupancy',
                    data: [{
                        color: '#49A7DE',
                        y: fleetOccupancy
                    }],
                    dataLabels: {
                        format: '<div class="graph-txt">' +
                            '<p class="mb-2" style="text-align:center; font-size: 20px;">{y}%</p>' +
                            '<span style="font-size: 12px;">Occupancy<br/>Based Revenue </span><br/>' +
                            '</div>',
                    },
                    innerRadius:'115%',
                    radius: '145%'
                }
            ]
        });
    </script>
    <script type="text/javascript">
        var fleetOccupancy                  = parseInt('<?php echo e($chart["getLoadOccupancy"]); ?>');
        var occupancyGoal                   = parseInt('<?php echo e($chart["getLoadOccupancyGoal"]); ?>');

        if(fleetOccupancy > 100){
            fleetOccupancy                  = 100;
        }

        

        Highcharts.chart('getLoadOccupancy<?php echo e($chart["driver_id"]); ?>', {
            chart: {
                type: 'solidgauge',
                //backgroundColor: 'yellow',
                plotBorderWidth: 0,
                plotShadow: false,
                plotBackgroundColor: null,
                //plotBackgroundImage: null,
                marginLeft:0,
                marginRight:0,
                marginTop:0,
                spacingTop: 0,
                spacingBottom: 0,
                spacingLeft: 0,
                spacingRight: 0,
                marginBottom: 0,
                height: 160,
                width: 120,
            },
            title: {
                text: null
            },
            exporting: {
                enabled: true
            },
            credits: {
                enabled: false
            },
            pane: {
                size: '69%',
                center: ['50%', '60%'],
                startAngle: -100,
                endAngle: 100,
                background: null
            },
            tooltip: {
                enabled: false
            },
            yAxis: {
                min: 0,
                max: 100,
                minorTickInterval: 'auto',
                minorTickWidth: 0.5,
                minorTickLength: 5,
                minorTickPosition: 'inside',
                minorTickColor: '#000000',
                tickTickInterval: '5',
                tickWidth: 0.5,
                tickLength: 8,
                tickPosition: 'inside',
                tickColor: '#3f3b3b',
                tickAmount: 5,
                gridLineWidth: 0,
                gridLineColor: 'transparent',
                labels: {
                    enabled: false
                },
                title: {
                    text: null
                },
            },
            plotOptions: {
                solidgauge: {
                    dataLabels: {
                        y: -6,
                        borderWidth: 0,
                        useHTML: true,
                    }
                }
            },
            series: [
                {
                    name: 'Occupancy',
                    data: [{
                        color: '#49A7DE',
                        y: fleetOccupancy
                    }],
                    dataLabels: {
                        format: '<div class="graph-txt">' +
                            '<p class="mb-2" style="text-align:center; font-size: 20px;">{y}%</p>' +
                            '<span style="font-size: 12px;">Occupancy: '+fleetOccupancy+'%</span><br/>' +
                            '<span style="font-size: 12px;">Target: '+occupancyGoal+'%</span><br/>' +
                            '</div>',
                    },
                    innerRadius:'115%',
                    radius: '145%'
                }
            ]
        });
    </script>
    <script type="text/javascript">
        var plotColor                       = "#E02020";
        var actualRevenue                   = parseInt('<?php echo e($chart["getLoadGrossRevenue"]); ?>');
        var targetRevenue                   = parseInt('<?php echo e($chart["getLoadTargetRevenue"]); ?>');
        if(actualRevenue >= targetRevenue){
            plotColor                       =  "#04c71b";
        }

        let clcRevenue                      = 0;
        if(targetRevenue > 0 || actualRevenue > 0){
            if(actualRevenue > 0 && targetRevenue > 0){
                clcRevenue                  = (actualRevenue / targetRevenue) * 100;
                if(clcRevenue > 100){
                    clcRevenue              = 100;
                }
            }else if(actualRevenue > 0 && targetRevenue == 0){
                clcRevenue                  = 100;
            }
            clcRevenue                      = parseInt(clcRevenue);
        }

        let fontSize                        = '19px';
        if(actualRevenue >= 10000){
            fontSize                        = '18px';
        }

        

        Highcharts.chart('getLoadGrossRevenue<?php echo e($chart["driver_id"]); ?>', {
            chart: {
                type: 'solidgauge',
                //backgroundColor: 'yellow',
                plotBorderWidth: 0,
                plotShadow: false,
                plotBackgroundColor: null,
                //plotBackgroundImage: null,
                marginLeft:0,
                marginRight:0,
                marginTop:0,
                spacingTop: 0,
                spacingBottom: 0,
                spacingLeft: 0,
                spacingRight: 0,
                marginBottom: 0,
                height: 160,
                width: 120,
            },
            title: {
                text: null
            },
            exporting: {
                enabled: true
            },
            credits: {
                enabled: false
            },
            pane: {
                size: '69%',
                center: ['50%', '60%'],
                startAngle: -100,
                endAngle: 100,
                background: null
            },
            tooltip: {
                enabled: false
            },
            yAxis: {
                min: 0,
                max: 100,
                minorTickInterval: 'auto',
                minorTickWidth: 0.5,
                minorTickLength: 5,
                minorTickPosition: 'inside',
                minorTickColor: '#000000',
                tickTickInterval: '5',
                tickWidth: 0.5,
                tickLength: 8,
                tickPosition: 'inside',
                tickColor: '#3f3b3b',
                tickAmount: 5,
                gridLineWidth: 0,
                gridLineColor: 'transparent',
                labels: {
                    enabled: false
                },
                title: {
                    text: null
                },
            },
            plotOptions: {
                solidgauge: {
                    dataLabels: {
                        y: -6,
                        borderWidth: 0,
                        useHTML: true,
                    }
                }
            },
            series: [
                {
                    name: 'Revenue',
                    data: [{
                        color: '#49A7DE',
                        y: clcRevenue,
                    }],
                    dataLabels: {
                        format: '<div class="graph-txt">' +
                            '<p class="mb-2" style="text-align:center; font-size: '+ fontSize +';">{y}%</p>' +
                            '<span style="font-size: 12px;">Actual: <?php echo e($fmt->formatCurrency($chart["getLoadGrossRevenue"], "USD")); ?></span><br/>' +
                            '<span style="font-size: 12px;">Target: <?php echo e($fmt->formatCurrency($chart["getLoadTargetRevenue"], "USD")); ?></span><br/>' +
                            '</div>',
                    },
                    innerRadius:'115%',
                    radius: '145%'
                }
            ]
        });
    </script>
<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

<style type="text/css">
   #container {
        min-width: 360px;
        max-width: 800px;
        margin: 0 auto;
    }
    .highcharts-tooltip table th {
        padding-bottom: 0.2em;
        border-bottom: 1px solid silver;
    }
</style>
<?php /**PATH C:\xampp8.6\htdocs\appdispatchpro\resources\views/companyAdmin/load/view/loadByWeekView.blade.php ENDPATH**/ ?>