

<?php $__env->startSection('title'); ?>
    Occupancy Calendar
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-md-3">
            <div class="white-box-small ">
                <h4 class="box-title">Driver</h4>
                <div class="box-padding">
                    <div class="filter-box">
                        <div class="filter-box">
                            <div class="form-group">
                                <label>Select Driver</label>
                                <select class="form-control driver_id">
                                    <?php
                                        $driverlist = getDriverListByCompany(auth()->guard('company-admin')->user()->company_id);
                                    ?>
                                    <?php $__currentLoopData = $driverlist; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $dlist): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option  value="<?php echo e($key); ?>"><?php echo e($dlist); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                            <div class="form-group">
                                <label>Select View</label>
                                <select class="form-control showtype">
                                    <option value="weekly">Weekly</option>
                                    <option selected value="month">Month</option>
                                    <option value="quarterly">Quarterly</option>
                                    <option value="year">Annual</option>
                                    <!--option selected value="linear">Linear Fleet</option-->
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="white-box-small">
                <h4 class="box-title">Occupancy Tracker Calendar</h4>
                <div class="box-padding">
                    <div class="filter-box">
                        <div class="d-flex" style="flex-wrap: wrap;">
                            <div class="col-lg-6  pl-lg-0 pr-lg-3 px-0">
                                <p>Driver</p>
                                <p>Show Holidays <input type="checkbox" class="holidychecked" /></p>
                            </div>
                            <div class="col-lg-6  pr-lg-0 pl-lg-3 px-0">
                                <p class="driver_name"></p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="white-box-small occupanytype"></div>
            <div class="white-box-small performanceSummary"></div>
        </div>
        <div class="col-md-9">
            <div class="white-box target-calendar append-view">
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script type="text/javascript">
        var loadimg     = "<?php echo e(asset('theme/img/loading.gif')); ?>";
        var driver_id   = $(".driver_id").val();
        var showtype    = $(".showtype").val();
        var get_data    = 'current';
        var cyear       = $(".cyear").val();
        var cmonth      = $(".cmonth").val();
        var start_date  = $(".start_date").val();
        var end_date    = $(".end_date").val();

        function OccupancyCalanderView(driver_id,showtype,get_data,cyear,cmonth,start_date,end_date) {
           $(".append-view").html('<div class="loadingdiv"><img src="'+loadimg+'" /></div>');
           $(".occupanytype").html('<div class="loadingdiv"><img src="'+loadimg+'" /></div>');
           $(".performanceSummary").html('<div class="loadingdiv"><img src="'+loadimg+'" /></div>');

            var token   = $('meta[name="csrf-token"]').attr('content');
            $.ajax({
                url: "<?php echo e(route('company.admin.occupancy.calendar.show')); ?>",
                method: "POST",
                data: { _token : token , driver_id : driver_id, showtype : showtype, get_data:get_data, cyear:cyear, cmonth:cmonth, start_date:start_date, end_date:end_date},
                success: function(response) {
                    $(".append-view").html(response.view);
                    //$(".occupanytype").html(response.occupanytype);
                    //$(".performanceSummary").html(response.performanceSummary);
                    $(".driver_name").html(response.driver_name);
                    $('.holid').tooltip();

                    if ($('.holidychecked').is(':checked')) {
                      $(".holid").removeClass( "hidden" )
                    }else{
                        $(".holid").addClass( "hidden" )
                    }

                    $(".performanceSummary").html('<div class="loadingdiv"><img src="'+loadimg+'" /></div>');
                    $(".occupanytype").html('<div class="loadingdiv"><img src="'+loadimg+'" /></div>');
                    var token   = $('meta[name="csrf-token"]').attr('content');
                    var bggreen = $('.calendar-date.bg-green').length;
                    $.ajax({
                        url: "<?php echo e(route('company.admin.occupancy.calendar.report.show')); ?>",
                        method: "POST",
                        data: { _token : token , driver_id : driver_id, showtype : showtype, get_data:get_data, cyear:cyear, cmonth:cmonth, start_date:start_date, end_date:end_date, bggreen:bggreen},
                        success: function(response) {
                            $(".occupanytype").html(response.occupanytype);
                            $(".performanceSummary").html(response.performanceSummary);
                        }
                    });
                }
            });
        }

        $("body").on("click",".next-arrow",function(e){
            var driver_id   = $(".driver_id").val();
            var showtype    = $(".showtype").val();
            var get_data    = 'next';
            var cyear       = $(".cyear").val();
            var cmonth      = $(".cmonth").val();
            var start_date  = $(".start_date").val();
            var end_date    = $(".end_date").val();
            OccupancyCalanderView(driver_id,showtype,get_data,cyear,cmonth,start_date,end_date);
        });

        $("body").on("click",".prev-arrow",function(e){
            var driver_id   = $(".driver_id").val();
            var showtype    = $(".showtype").val();
            var get_data    = 'previous';
            var cyear       = $(".cyear").val();
            var cmonth      = $(".cmonth").val();
            var start_date  = $(".start_date").val();
            var end_date    = $(".end_date").val();
            OccupancyCalanderView(driver_id,showtype,get_data,cyear,cmonth,start_date,end_date);
        });

        $('.showtype').on('change', function() {
            var driver_id   = $(".driver_id").val();
            var showtype    = this.value;
            var get_data    = 'current';
            var cyear       = $(".cyear").val();
            var cmonth      = $(".cmonth").val();
            var start_date  = $(".start_date").val();
            var end_date    = $(".end_date").val();
            OccupancyCalanderView(driver_id,showtype,get_data,cyear,cmonth,start_date,end_date);
        });

        $('.driver_id').on('change', function() {
            var driver_id   = this.value;
            var showtype    = $(".showtype").val();
            var get_data    = 'current';
            var cyear       = $(".cyear").val();
            var cmonth      = $(".cmonth").val();
            var start_date  = $(".start_date").val();
            var end_date    = $(".end_date").val();
            OccupancyCalanderView(driver_id,showtype,get_data,cyear,cmonth,start_date,end_date);
        });

        $(document).ready(function() {
            OccupancyCalanderView(driver_id,showtype,get_data,cyear,cmonth,start_date,end_date);
            $('.holidychecked').click(function() {
                if ($(this).is(':checked')) {
                  $(".holid").removeClass( "hidden" )
                }else{
                    $(".holid").addClass( "hidden" )
                }
            });
        });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make($companyAdminTheme, \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp8.6\htdocs\appdispatchpro\resources\views/companyAdmin/occupancyCalendar/index.blade.php ENDPATH**/ ?>