<?php echo Form::open(array('route' => 'company.admin.hos.violation.store','method'=>'POST','files'=>'true','class'=>'storeHOSViolationForm')); ?>

    <?php $dummy_id = time(); ?>
    <input type="hidden" name="dummy_id" value="<?php echo e($dummy_id); ?>">
    <div class="modal-body">
        <?php echo Form::hidden('driver_id', $driverId); ?>

        <div class="row">
            <div class="col-md-12 mt-3 unittypeset d-none">
                <div class="bg-gray-box mb-3 unittruck d-none">
                    <div class="row">
                        <div class="col-md-3">Unit 1(Truck)</div>
                        <div class="col-md-3 make"></div>
                        <div class="col-md-3 year"></div>
                        <div class="col-md-3 vin"></div>
                    </div>
                </div>
                <div class="bg-gray-box unittrailer d-none">
                    <div class="row">
                        <div class="col-md-3 unit_sr">Unit 2(Trailer)</div>
                        <div class="col-md-3 make"></div>
                        <div class="col-md-3 year"></div>
                        <div class="col-md-3 vin"></div>
                    </div>
                </div>
            </div>
            <div class="col-md-12">
                <div class="form-group">
                    <label>Title</label>
                    <?php echo Form::text('short_description', old('short_description'), array('class' => 'form-control', 'autocomplete' => 'new', 'placeholder' => 'Enter Title')); ?>

                </div>
            </div>
            <div class="col-md-4">
                <div class="form-group">
                    <label>Report Number<span>*</span></label>
                    <?php echo Form::text('title', old('title'), array('class' => 'form-control', 'autocomplete' => 'new', 'placeholder' => 'Enter Report Number', 'required' => 'required')); ?>

                </div>
            </div>
            <div class="col-md-4">
                <div class="form-group">
                    <label>Inspection Level</label>
                    <?php echo Form::select('inspection_level', ['' => 'Select Inspection Level']+getDriverInspectionLevel(), null, ['class' => 'custom-select form-control select2','data-parsley-errors-container'=>'#datainspection_level']); ?>

                    <div id="datainspection_level"></div>
                </div>
            </div>
            <div class="col-md-4">
                <div class="form-group">
                    <label>State</label>
                    <?php echo Form::select('state', ['' => 'Select State']+getStateList(), null, ['class' => 'custom-select select2 form-control','data-parsley-errors-container'=>'#datastate']); ?>

                    <div id="datastate"></div>
                </div>
            </div>
            <div class="col-md-4">
                <div class="form-group">
                    <label>Inspection Date</label>
                    <div class="input-group">
                        <?php echo Form::text('date', old('date'), array('class' => 'form-control date', 'autocomplete' => 'off')); ?>

                        <img src="<?php echo e(asset('theme/images/date-calender.svg')); ?>" alt="icon">
                    </div>
                </div>
            </div>
            <div class="col-md-4">
                <div class="form-group">
                    <label>Start Time</label>
                    <div class="input-group">
                        <?php echo Form::text('starttime', old('starttime'), array('class' => 'form-control cutomtime', 'autocomplete' => 'off')); ?>

                        <img src="<?php echo e(asset('theme/images/date-calender.svg')); ?>" alt="icon">
                    </div>
                </div>
            </div>
            <div class="col-md-4">
                <div class="form-group">
                    <label>End Time</label>
                    <div class="input-group">
                        <?php echo Form::text('endtime', old('endtime'), array('class' => 'form-control cutomtime', 'autocomplete' => 'off')); ?>

                        <img src="<?php echo e(asset('theme/images/date-calender.svg')); ?>" alt="icon">
                    </div>
                </div>
            </div>
            <div class="col-md-3">
                <div class="form-group">
                    <label>Driver<span>*</span></label>
                    <?php echo Form::select('driver_id', ['' => 'Select Driver']+getDriverListByCompany(auth()->guard('company-admin')->user()->company_id), request()->get('driver_id'), ['required' => 'required', 'class' => 'form-control select2','data-parsley-errors-container'=>'#datadriver_id']); ?>

                    <div id="datadriver_id"></div>
                </div>
            </div>
            <div class="col-md-3">
                <div class="form-group">
                    <label>Motor Carrier</label>
                    <?php echo Form::select('motor_carrier', ['' => 'Select Motor Carrier']+getCarrierList(), $driver->driver_information->carrier_id, ['class' => 'form-control select2','data-parsley-errors-container'=>'#datamotor_carrier']); ?>

                    <div id="datamotor_carrier"></div>
                </div>
            </div>
            <div class="col-md-3">
                <div class="form-group">
                    <label>Unit 1(Truck)</label>
                    <?php echo Form::select('unit1', ['' => 'Select Truck']+getTruckList(), getTruckByUnit($driver->driver_information->truck_number), ['class' => 'form-control select2 unit1','data-parsley-errors-container'=>'#datacurrent_assigned_truck']); ?>

                    <div id="datacurrent_assigned_truck"></div>
                </div>
            </div>
            <div class="col-md-3">
                <div class="form-group">
                    <label>Unit 2(Trailer)</label>
                    <?php echo Form::select('unit2', ['' => 'Select Trailer']+getTrailerList(), getLastDriverTrailerID($driver->id), ['class' => 'custom-select trailer-type form-control select2 unit2','data-parsley-errors-container'=>'#dataunit2']); ?>

                    <div id="dataunit2"></div>
                </div>
            </div>
            <div class="col-md-3">
                <div class="form-group">
                    <label>Load Number</label>
                    <?php echo Form::select('load_number', ['' => 'Select Load Number']+getLoadNumberByDriverId(), old('load_number'), ['class' => 'custom-select form-control select2','data-parsley-errors-container'=>'#loadnumberError']); ?>

                    <div id="loadnumberError"></div>
                </div>
            </div>
            <div class="col-md-3">
                <div class="form-group">
                    <label>Time Weight</label>
                    <?php echo Form::text('time_weight', old('time_weight'), array('class' => 'form-control', 'autocomplete' => 'new', 'placeholder' => 'Enter Time Weight')); ?>

                </div>
            </div>
            <div class="col-md-3">
                <div class="form-group">
                    <label>Severity Weight</label>
                    <?php echo Form::text('severity_weight', old('severity_weight'), array('class' => 'form-control', 'autocomplete' => 'new', 'placeholder' => 'Severity Weight')); ?>

                </div>
            </div>
            <div class="col-md-3">
                <div class="form-group">
                    <label>Total Weight</label>
                    <?php echo Form::text('total_weight', old('total_weight'), array('class' => 'form-control', 'autocomplete' => 'new', 'placeholder' => 'Enter Total Weight')); ?>

                </div>
            </div>
            <div class="col-md-4">
                <div class="form-group">
                    <div class="d-flex align-items-center">
                        <div class="p-2">
                            <div class="custom-control custom-switch">
                                <?php echo Form::checkbox('hazmat_inspection', 1, null, array('class' => 'custom-control-input self-dispatch', 'id' => 'hazmat_inspection')); ?>

                                <label class="custom-control-label" for="hazmat_inspection"></label>
                            </div>
                        </div>
                        <div class="p-2">
                            <label>Hazmat Inspection</label>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-2 d-none">
                <div class="form-group">
                    <div class="d-flex align-items-center">
                        <div class="p-2">
                            <div class="custom-control custom-switch">
                                <?php echo Form::checkbox('certified_returned', 1, null, array('class' => 'custom-control-input self-dispatch', 'id' => 'certified_returned')); ?>

                                <label class="custom-control-label" for="certified_returned"></label>
                            </div>
                        </div>
                        <div class="p-2">
                            <label>Certified & Returned</label>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-2">
                <div class="form-group">
                    <div class="d-flex align-items-center justify-content-end">
                        <div class="p-2">
                            <div class="custom-control custom-switch">
                                <?php echo Form::checkbox('dataq', 1, null, array('class' => 'custom-control-input self-dispatch', 'id' => 'dataq')); ?>

                                <label class="custom-control-label" for="dataq"></label>
                            </div>
                        </div>
                        <div class="p-2">
                            <label>DataQ</label>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-2">
                <div class="form-group">
                    <div class="d-flex align-items-center justify-content-end">
                        <div class="p-2">
                            <div class="custom-control custom-switch">
                                <?php echo Form::checkbox('dot_crash', 1, null, array('class' => 'custom-control-input self-dispatch', 'id' => 'dot_crash')); ?>

                                <label class="custom-control-label" for="dot_crash"></label>
                            </div>
                        </div>
                        <div class="p-2">
                            <label>DOT Crash</label>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-2">
                <div class="form-group">
                    <div class="d-flex align-items-center justify-content-end">
                        <div class="p-2">
                            <div class="custom-control custom-switch">
                                <?php echo Form::checkbox('towed', 1, null, array('class' => 'custom-control-input self-dispatch', 'id' => 'towed')); ?>

                                <label class="custom-control-label" for="towed"></label>
                            </div>
                        </div>
                        <div class="p-2">
                            <label>Towed</label>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-2">
                <div class="form-group">
                    <div class="d-flex align-items-center justify-content-end">
                        <div class="p-2">
                            <div class="custom-control custom-switch">
                                <?php echo Form::checkbox('injury', 1, null, array('class' => 'custom-control-input self-dispatch', 'id' => 'injury')); ?>

                                <label class="custom-control-label" for="injury"></label>
                            </div>
                        </div>
                        <div class="p-2">
                            <label>Injury</label>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-12 mt-3">
                <div class="d-flex align-items-center justify-content-between" id="hosvolation">
                    <div>
                        <div class="form-group">
                            <label>Violations Unit</label>
                            <select name="unit_type[]" class="form-control select2 unittype">
                                <option value="">Select Unit</option>
                                <option value="1">Driver</option>
                                <option value="2">Truck</option>
                                <option value="3">Trailer</option>
                            </select>
                        </div>
                    </div>
                    
                    <div>
                        <div class="form-group">
                            <label>Out of Service</label>
                            <select name="oos[]" class="form-control select2">
                                <option value="">Select OOS</option>
                                <option value="1">Yes</option>
                                <option value="0">No</option>
                            </select>
                        </div>
                    </div>
                    <div class="violation_code">
                        <div class="form-group">
                            <label>Violation Code</label>
                            <select name="violation_code[]" class="form-control select2">
                                <option value="">Select Violation Code</option>
                            </select>
                        </div>
                    </div>
                    <div class="description">
                        <div class="form-group"><label>Description </label><input type="text" name="description[]" value="" class="form-control" placeholder="Enter Description"/></div>
                    </div>
                    <div>
                        <div class="form-group">
                            <label class="d-block" style="visibility: hidden;">Action</label><a href="javascript:void(0)" class="btn btn-success" id="HosaddRow"><i class="fa fa-plus"></i></a>
                        </div>
                    </div>
                </div>
                <div id="HosnewRow"></div>
            </div>
            <div class="col-md-4">
                <div class="form-group">
                    <label>Attachment</label>
                    <a href="#" class="gallary-edit mr-4 form-control" data-id="<?php echo e($dummy_id); ?>" data-source="driver_hos_violations" data-field="image" data-toggle="modal" data-target="#galleryModal">Upload
                        <img src="<?php echo e(asset('theme/img/picture.png')); ?>" alt="">
                    </a>
                </div>
            </div>
            <div class="col-md-4">
                <div class="form-group">
                    <label>Disciplinary Action</label>
                    <?php echo Form::select('disciplinary_action', ['' => 'Select Disciplinary Action']+getDriverDisciplinaryAction(),request()->get('disciplinary_action'), ['class' => 'form-control select2','data-parsley-errors-container'=>'#datadisciplinary_action']); ?>

                    <div id="datadisciplinary_action"></div>
                </div>
            </div>
            <div class="col-md-4">
                <div class="form-group">
                    <label class="text-danger">Status</label>
                    <select name="status" class="form-control select2">
                        <option value="incomplete">Incomplete</option>
                        <option value="complete">Complete</option>
                    </select>
                </div>
            </div>
            <div class="col-md-12">
                <div class="form-group mt-2">
                    <label>Notes</label>
                    <?php echo Form::textarea('note', old('note'), array('class' => 'form-control', 'rows' => '8','placeholder' => 'Enter Notes')); ?>

                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
        <button class="btn btn-blue">Add</button>
    </div>
<?php echo Form::close(); ?>

<div class="d-none noneusedata">
    <div class="afwejwe"></div>
    <input type="text" name="truck_make" value="" />
    <input type="text" name="truck_year" value="" />
    <input type="text" name="truck_vin" value="" />
    <input type="text" name="trailer_make" value="" />
    <input type="text" name="trailer_year" value="" />
    <input type="text" name="trailer_vin" value="" />
    <select class="hosvolationdata form-control firsttime select2" name="violation_code[]" >
        <option value="">Select Violation Code</option>
        <?php $__currentLoopData = getDriverHosViolationCode(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $hoscode): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <option value="<?php echo e($hoscode->id); ?>" data-title="<?php echo e($hoscode->description); ?>"><?php echo e($hoscode->code); ?> - <?php echo e(\Illuminate\Support\Str::limit($hoscode->description, 30, $end='...')); ?></option>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </select>
    <select class="hoscitationsdata form-control firsttime select2" name="violation_code[]">
        <option value="">Select Violation Code</option>
        <?php $__currentLoopData = getDriverCitationsViolationCode(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $citcode): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <option value="<?php echo e($citcode->id); ?>" data-title="<?php echo e($citcode->description); ?>"><?php echo e($citcode->code); ?> - <?php echo e(\Illuminate\Support\Str::limit($citcode->description, 30, $end='...')); ?></option>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </select>
</div>
<?php /**PATH C:\xampp8.6\htdocs\appdispatchpro\resources\views/companyAdmin/driver/view/hosViolationCreateFormView.blade.php ENDPATH**/ ?>