<?php

namespace App\Http\Controllers\CompanyAdmin;

use App\Http\Controllers\CompanyAdmin\CompanyAdminController;
use Illuminate\Http\Request;
use App\Http\Requests\CompanyAdmin\TruckStoreRequest;
use App\Http\Requests\CompanyAdmin\TruckUpdateRequest;
use App\Models\Truck;
use App\Models\Team;
use App\Models\Driver;
use App\Models\LoadDriver;
use App\Models\LoadDetail;
use Carbon\Carbon;
use App\Models\DriverFinancial;
use Illuminate\Support\Facades\DB;
use Auth;
use DataTables;
use Carbon\CarbonPeriod;
use DateTime;

class RevenuetrackerControllerN extends CompanyAdminController
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {

//        Manish New Code 20-04-21
        $get_quarter = Carbon::now()->quarter;
        $get_year = Carbon::now()->year;
        $now = Carbon::now();
        $weekStartDate = $now->startOfWeek()->format('Y-m-d');
        $weekEndDate = $now->endOfWeek()->format('Y-m-d');


        $company_id = auth()->guard('company-admin')->user()->company_id;
        $getTeams = getTeamsC($get_quarter,$get_year,$weekStartDate,$weekEndDate,$company_id);
        //End Code


        $now = Carbon::now();
        $weekStartDate = $now->startOfWeek()->format('Y-m-d');
        $weekEndDate = $now->endOfWeek()->format('Y-m-d');

        $company_id = auth()->guard('company-admin')->user()->company_id;

        $start_date = auth()->guard('company-admin')->user()->weekly_strat_day;

        $end_date = auth()->guard('company-admin')->user()->weekly_strat_day + '6';

//        $getTeams = Team::where('company_id', $company_id)->get();
        $dataArray = array();
        foreach ($getTeams as $getTeamsdata) {
            $getDriver = Driver::where('team_id', $getTeamsdata->team_id)->get();

            $getDrivercount = Driver::join('load_details', 'load_details.driver_id', '=', 'drivers.id')
                ->whereNull('load_details.deleted_at')
                ->where('team_id', $getTeamsdata->team_id)
                ->count();

            $inactive_driver = Driver::where('team_id', $getTeamsdata->team_id)->onlyTrashed()->get();

            $active_driver_getId = Driver::join('load_details', 'load_details.driver_id', '=', 'drivers.id')
                ->whereNull('load_details.deleted_at')
                ->where('team_id', $getTeamsdata->team_id)->pluck('drivers.id')->toArray();

            $all_driver_getId = Driver::where('team_id', $getTeamsdata->team_id)->withTrashed()->pluck('id')->toArray();


            $loadDriverdata = array();
            $total_miles = array();
            $total_cpm_perunit = array();
            $occupancy_revenue = array();
            $total_revenue = array();
            $getLoadCPM = array();
            $getLoadOccupancy = array();
            $mileagesperUnit = array();
            $fleet_occupancy = array();
            $loadDetail_revenue_targetdata = array();
            $driverOccupancy = array();
            $total_Of_revancy_goal = array();
            $load_revanyPerunitcount_cpm = array();
            $load_milesPerunitcount_cpm = array();
            $loadDetail_cpm_target = array();
            $quarterly_revenue_target = array();
            $totalfleet_occupancy = array();
            $three_Lower_data = array();
            $threeTofour_data = array();
            $fourTofive_data = array();
            $fiveTosix_data = array();
            $sixTosevenData = array();
            $tot = array();
            $greater_then_seven_data = array();
            $total_multiply = array();
            $load_revanyPerunit = array();
            $loadDetaildataget = array();
            $revenueperUnit = array();
            $count_revenueperUnit_totalTeam = array();
            $count_revanyPerunitdata = array();
            $actual_milecount_total_occupancy_miles_data = array();
            $active_driverdata = array();
            $inactive_driverdata = array();
            $multi_reva = array();
            $unit_at_goal = array();
            $quarterly_occupancy_alldriver = array();
            $divide_quarterly_occupancy_totdata = array();
            $fleetOccupancyDataget = array();
            $unitat_goal_data = array();
            $actualreve_divide_by = array();
            $dividebyDatarevenu = array();
            $quarterly_target_milesDatacount = array();

            if (isset($getTeamsdata->driver_id)) {
                $get_quarter = Carbon::now()->quarter;
                $get_year = Carbon::now()->year;
                $loads =
                    Driver::select("teams.name as team_name", "drivers.id as driverid", "drivers.company_id as driver_company_id", "drivers.first_name", "drivers.last_name", "drivers.middle_name", "driver_financials.revenue_target as wgrr_seasonal", "driver_financials.occupancy as occupancy_commitment", "load_details.driver_id", "load_details.load_id", "load_details.load_type", "load_details.is_disable", "load_details.agreed_upon_rate", "load_details.detention", "load_details.accessorial", "load_details.fuel_surcharge_cost_per_mile", "load_details.shipper_city", "load_details.shipper_state", "load_details.delivery_city", "load_details.delivery_state", "load_details.load_number", "load_details.load_status", "load_details.actual_delivery_date", "load_drivers.load_detail_id")
                        ->join("driver_informations", "driver_informations.driver_id", "=", "drivers.id")
                        ->leftjoin('driver_financials', function ($join) use ($get_quarter, $get_year) {
                            $join->on('drivers.id', '=', 'driver_financials.driver_id')
                                ->where('driver_financials.year', $get_year)
                                ->where('driver_financials.quarter', $get_quarter);
                        })
                        ->leftjoin("teams", "teams.id", "=", "drivers.team_id")
                        ->leftjoin("load_details", "load_details.driver_id", "=", "drivers.id")
                        ->leftjoin("load_drivers", "load_drivers.driver_id", "=", "drivers.id")
                        ->leftjoin("loads", "loads.id", "=", "load_details.load_id")
                        ->where('drivers.company_id', auth()->guard('company-admin')->user()->company_id)
                        ->where('drivers.id', $getTeamsdata->driver_id)
                        ->where('teams.id', $getTeamsdata->team_id)
                        ->groupBy('load_details.driver_id')
                        ->orderByRaw('drivers.last_name ASC, drivers.first_name ASC')
                        ->first();

                $loadDetail_revenue_targetdriver[] = getTargetRevenueByDate($weekStartDate, $weekEndDate, $getTeamsdata->driver_id);
                $getLoadOccupancydividedriver = round(getLoadOccupancy($weekStartDate, $weekEndDate, $getTeamsdata->driver_id, $loads, @$trailer_type, @$dispatcher));
                $getLoadGrossRevenuedividedriver = getLoadGrossRevenue($weekStartDate, $weekEndDate, $getTeamsdata->driver_id, $loads, @$trailer_type, @$dispatcher);

                if (array_sum($loadDetail_revenue_targetdriver) > 0) {

                    $revenue_divide = (array_sum($loadDetail_revenue_targetdriver)) * ($getLoadOccupancydividedriver) / 100;

                    if (($getLoadGrossRevenuedividedriver > 0) && ($revenue_divide > 0)) {

                        $actualreve_divide_by[] = $getLoadGrossRevenuedividedriver / $revenue_divide;
                    } else {

                        $actualreve_divide_by[] = 0;
                    }
                } else {

                    $actualreve_divide_by[] = 0;
                }


            }
            $active_driver = LoadDetail::whereNull('deleted_at')
                ->where('driver_id', $getTeamsdata->driver_id)
                ->whereBetween('created_at', [$weekStartDate, $weekEndDate])
                ->first();
                dd($active_driver);
            if (empty($active_driver)) {
                $active_driverdata[] = 0;
            } else {
                $active_driverdata[] = 1;
            }

            $getLoadGrossRevenue[] = getLoadGrossRevenue($weekStartDate, $weekEndDate, $getTeamsdata->driver_id, @$driverData, @$trailer_type, @$dispatcher);
            $getLoadGrossRevenuedivide = getLoadGrossRevenue($weekStartDate, $weekEndDate, $getTeamsdata->driver_id, @$driverData, @$trailer_type, @$dispatcher);
            $getLoadOccupancyj = getloadCount($weekStartDate, $weekEndDate, 0, $getTeamsdata->driver_id);

            $tot = $getLoadOccupancyj;
            if ($tot > 0) {
                $getLoadOccupancy[] = round(($getLoadOccupancyj * 100) / $tot, 2);
            } else {
                $getLoadOccupancy[] = $tot;
            }
            $getLoadOccupancydivide = round(getLoadOccupancy($weekStartDate, $weekEndDate, $getTeamsdata->driver_id, $loads, @$trailer_type, @$dispatcher));

            if ((array_sum($getLoadOccupancy) > 0) && $getDrivercount > 0) {

                $fleetOccupancyData[] = array_sum($getLoadOccupancy) / $getDrivercount;

            } else {
                $fleetOccupancyData[] = 0;
            }

            $loadDetaildataget = LoadDetail::whereNull('deleted_at')
                ->where('driver_id', $getTeamsdata->driver_id)
                ->whereBetween(DB::raw('DATE_FORMAT(load_details.actual_delivery_date, "%Y-%m-%d")'), [$weekStartDate, $weekEndDate])
                ->pluck('total_miles')
                ->toArray();

            $load_revanyPerunit = getDriverdriver_revenueDatatracker($weekStartDate, $weekEndDate, $getTeamsdata->driver_id);

            $load_revanyPerunitdata[] = LoadDetail::whereNull('deleted_at')
                ->where('driver_id', $getTeamsdata->driver_id)
                ->whereBetween('actual_delivery_date', [$weekStartDate, $weekEndDate])
                ->pluck('driver_revenue');

            $load_revanyPerunitcount_cpm[] = LoadDetail::whereNull('deleted_at')
                ->whereNull('deleted_at')
                ->where('driver_id', $getTeamsdata->driver_id)
                ->whereBetween('actual_delivery_date', [$weekStartDate, $weekEndDate])
                ->pluck('driver_revenue')
                ->toArray();

            $load_milesPerunitcount_cpm[] = LoadDetail::whereNull('deleted_at')
                ->where('driver_id', $getTeamsdata->driver_id)
                ->whereBetween('actual_delivery_date', [$weekStartDate, $weekEndDate])
                ->pluck('total_miles')->toArray();


            $loadDetail_revenue = LoadDetail::whereNull('deleted_at')
                ->where('driver_id', $getTeamsdata->driver_id)
                ->whereBetween('actual_delivery_date', [$weekStartDate, $weekEndDate])
                ->pluck('driver_revenue')
                ->toArray();
            $a = Carbon::now()->format('Y-m-d');
            $quarter_date = new \Carbon\Carbon('-3 months'); // for the last quarter requirement


            $loadDetail_revenue_target[] = getTargetRevenueByDate($weekStartDate, $weekEndDate, $getTeamsdata->driver_id);
            $a = Carbon::now();
            $quarter_date = new \Carbon\Carbon('-3 months'); // for the last quarter requirement

            $quarterly_revenue_target[] = DriverFinancial::join('load_drivers', 'load_drivers.driver_id', '=', 'driver_financials.driver_id')
                ->whereNull('load_drivers.deleted_at')
                ->where('driver_financials.driver_id', $getTeamsdata->driver_id)
                ->where('driver_financials.year', Carbon::now()->year)
                ->where('driver_financials.quarter', Carbon::now()->quarter)
                ->pluck('driver_financials.revenue_target')
                ->toArray();
            $quarterly_revenue_target_driver[] = getTargetRevenueByDate($weekStartDate, $weekEndDate, $getTeamsdata->driver_id);

            $loadDetail_cpm_target[] = DriverFinancial::join('load_drivers', 'load_drivers.driver_id', '=', 'driver_financials.driver_id')
                ->whereNull('load_drivers.deleted_at')
                ->where('driver_financials.driver_id', $getTeamsdata->driver_id)
                ->where('year', Carbon::now()->year)
                ->where('quarter', Carbon::now()->quarter)
                ->pluck('driver_financials.cpm_target')->first();

            $loadDetail_occupancy = DriverFinancial::join('load_drivers', 'load_drivers.driver_id', '=', 'driver_financials.driver_id')
                ->whereNull('load_drivers.deleted_at')
                ->where('driver_financials.driver_id', $getTeamsdata->driver_id)
                ->whereBetween('driver_financials.created_at', [$weekStartDate, $weekEndDate])
                ->where('driver_financials.occupancy', '!=', '0')
                ->pluck('driver_financials.occupancy')
                ->toArray();
            $loadDetail_mileageper = LoadDriver::whereNull('deleted_at')
                ->where('driver_id', $getTeamsdata->driver_id)
                ->pluck('mileage_percentage')
                ->whereBetween('created_at', [$weekStartDate, $weekEndDate])
                ->toArray();
//            dd($loadDetail_mileageper);
            $active_trucks_earned = LoadDriver::whereNull('deleted_at')
                ->where('driver_id', $getTeamsdata->driver_id)
                ->whereBetween('created_at', [$weekStartDate, $weekEndDate])
                ->pluck('mileage_percentage')->toArray();
            $quarterly_occupancy = DriverFinancial::join('load_drivers', 'load_drivers.driver_id', '=', 'driver_financials.driver_id')
                ->whereNull('load_drivers.deleted_at')
                ->where('driver_financials.driver_id', $getTeamsdata->driver_id)
                ->where('driver_financials.year', Carbon::now()->year)
                ->where('driver_financials.quarter', Carbon::now()->quarter)
                ->pluck('driver_financials.occupancy')
                ->toArray();

            $quarterly_occupancy_alldriver = DriverFinancial::join('load_drivers', 'load_drivers.driver_id', '=', 'driver_financials.driver_id')
                ->whereNull('load_drivers.deleted_at')
                ->where('driver_financials.driver_id', $getTeamsdata->driver_id)
                ->where('driver_financials.year', Carbon::now()->year)
                ->where('driver_financials.quarter', Carbon::now()->quarter)
                ->pluck('driver_financials.occupancy')
                ->toArray();

            $quarterly_target_milesData[] = getDrivertarget_milestrackerByDate($weekStartDate, $weekEndDate, $getTeamsdata->driver_id);

            $divide_quarterly_occupancy_totdata[] = array_sum($quarterly_occupancy_alldriver);

            $startDatedata = $weekStartDate;
            $endDatedata = $weekEndDate;
            $actual_milecount_total_occupancy_miles_data[] = getLoadMileage($startDatedata, $endDatedata, $getTeamsdata->driver_id, $loads, @$driverData, @$trailer_type, @$dispatcher);
            $getdataOccupancyDaysnew = round(getLoadTotalDays($startDatedata, $endDatedata, $getTeamsdata->driver_id));

            if ($getdataOccupancyDaysnew > 0) {
                $period = CarbonPeriod::create($startDatedata, $endDatedata);
                $datesdays = count($period->toArray());
                $totalPerData = ($getdataOccupancyDaysnew * 100) / $datesdays;
                $getdataOccupancyDaystotnew = $totalPerData;
            } else {
                $getdataOccupancyDaystotnew = 0;
            }
            /// Occupancy Revenue    //
            if ((array_sum($quarterly_revenue_target_driver) > 0) && ($getLoadOccupancydividedriver > 0)) {
                $arrayquarterly_revenue_target = array_sum($quarterly_revenue_target_driver);
                $multiplyData = $getLoadOccupancydividedriver * ($arrayquarterly_revenue_target) / 100;
                $dividebyDatarevenu[] = $multiplyData;
            } else {
                $dividebyDatarevenu[] = 0;
            }
            /// occ end ///
            /// target miles ///

            if (array_sum($quarterly_target_milesData) > 0) {
                $quarterly_target_milesDatacount[] = array_sum($quarterly_target_milesData);
            } else {
                $quarterly_target_milesDatacount[] = 0;
            }
            ///END MILES//
            if ((array_sum($loadDetail_revenue_target)) < (array_sum($getLoadGrossRevenue))) {
                $unitat_goal_data[] = 100;
            } else {
                $unitat_goal_data[] = 0;
            }
            ///OCCUPANCY ///
            if (array_sum($loadDetail_occupancy) > 0) {
                $fleet_occupancy[] = array_sum($loadDetail_occupancy);
            } else {
                $fleet_occupancy[] = 0;
            }
            ///END//
            /// REVEANUE PER UNIT///
            if (array_sum($load_revanyPerunit) > 0) {
                $count_revanyPerunitdata[] = count($load_revanyPerunit);
            } else {
                $count_revanyPerunitdata[] = 0;
            }
            ///END//

            ///DRIVERCOUNT //
            if ($getDrivercount > 0) {
                $driverCountData = $getDrivercount;
            } else {
                $driverCountData = 0;
            }

            if ((int)($count_revanyPerunitdata > 0) && ((int)$driverCountData > 0)) {
                $revenueperUnit[] = (int)$load_revanyPerunit / (int)$driverCountData;
            } else {
                $revenueperUnit[] = 0;
            }

            //CMP Per Unit

            if ((array_sum($load_revanyPerunitcount_cpm) > 0) && (array_sum($load_milesPerunitcount_cpm) > 0)) {
                $total_cpm_perunit[] = array_sum($load_revanyPerunitcount_cpm) / array_sum($load_milesPerunitcount_cpm);
            } else {
                $total_cpm_perunit[] = 0;
            }

            if (array_sum($loadDetaildataget) > 0) {
                $total_miles[] = array_sum($loadDetaildataget);
            } else {
                $total_miles[] = 0;
            }

            if (array_sum($loadDetail_revenue) > 0) {
                $total_revenue[] = array_sum($loadDetail_revenue);
            } else {
                $total_revenue[] = 0;
            }

            if (array_sum($loadDetail_revenue_target) > 0) {
                $loadDetail_revenue_targetdata[] = array_sum($loadDetail_revenue_target);

                $allDriverOccupancyactive = DriverFinancial::join('load_drivers', 'load_drivers.driver_id', '=', 'driver_financials.driver_id')
                    ->whereNull('load_drivers.deleted_at')
                    ->whereIn('driver_financials.driver_id', $active_driver_getId)
                    ->whereBetween('driver_financials.created_at', [$weekStartDate, $weekEndDate])
                    ->pluck('driver_financials.occupancy')
                    ->toArray();

                $allDriverOccupancy = DriverFinancial::join('load_drivers', 'load_drivers.driver_id', '=', 'driver_financials.driver_id')
                    ->whereNull('load_drivers.deleted_at')
                    ->whereIn('driver_financials.driver_id', $all_driver_getId)
                    ->whereBetween('driver_financials.created_at', [$weekStartDate, $weekEndDate])
                    ->pluck('driver_financials.occupancy')
                    ->toArray();

                if ((array_sum($allDriverOccupancyactive) > 0) && (array_sum($allDriverOccupancy) > 0)) {
                    $driverOccupancy[] = array_sum($allDriverOccupancy) / array_sum($allDriverOccupancyactive);
                } else {
                    $driverOccupancy[] = 0;
                }

                $actuval_revanue = array_sum($getLoadGrossRevenue);

                if ((array_sum($driverOccupancy) > 0) && (array_sum($getLoadGrossRevenue) > 0)) {
                    $total_Of_revancy_goal[] = array_sum($getLoadGrossRevenue) / array_sum($driverOccupancy);
                } else {
                    $total_Of_revancy_goal[] = 0;
                }

            } else {
                $loadDetail_revenue_targetdata[] = 0;
                $driverOccupancy[] = 0;
                $total_Of_revancy_goal[] = 0;
            }
            if (array_sum($loadDetail_cpm_target) > 0) {
                $loadDetail_cpm_targetdata = array_sum($loadDetail_cpm_target);
            } else {
                $loadDetail_cpm_targetdata = 0;
            }
            if (array_sum($loadDetail_mileageper) > 0) {
                $loadDetail_mileageperdata = array_sum($loadDetail_mileageper);
            } else {
                $loadDetail_mileageperdata = 0;
            }

            $difference_act_obj = array_sum($total_revenue) - array_sum($loadDetail_revenue_targetdata);

            if (($total_revenue != 0) && (array_sum($total_miles) != 0)) {
                $centpermiles = array_sum($total_revenue) / array_sum($total_miles);
            } else {
                $centpermiles = 0;
            }
            if ((array_sum($total_miles) > 0) && ($driverCountData > 0)) {
                $mileagesperUnit[] = array_sum($total_miles) / $driverCountData;
            } else {
                $mileagesperUnit[] = 0;
            }

            if ((array_sum($revenueperUnit) > 0) && (array_sum($mileagesperUnit) > 0)) {
                $cpm_per_unit[] = array_sum($revenueperUnit) / array_sum($mileagesperUnit);
            } else {
                $cpm_per_unit[] = 0;
            }

            $data_pickup_count = Driver::select("load_details.id")
                ->join("load_details", "load_details.driver_id", "=", "drivers.id")
                ->join("load_drivers", "load_drivers.load_detail_id", "=", "load_details.id")
                ->whereNull('load_details.deleted_at')
                ->where('drivers.id', $getTeamsdata->driver_id)
                ->where('load_drivers.driver_id', $getTeamsdata->driver_id)
                ->where('drivers.company_id', auth()->guard('company-admin')->user()->company_id)
                ->where(DB::raw('DATE_FORMAT(load_details.actual_shipper_date, "%Y-%m-%d")'), '<=', $weekEndDate)
                ->where(DB::raw('DATE_FORMAT(load_details.actual_delivery_date, "%Y-%m-%d")'), '>=', $weekEndDate)
                ->where('load_details.occupied_pickup_day', 1)
                ->whereNotIn('load_details.load_type', [0, 4, 6])->count();

            $period = CarbonPeriod::create($weekEndDate, $weekEndDate);
            $totalDays = 0;
            $bcoutn = 0;
            foreach ($period as $date) {

                $dateYMD = $date->format('m/d/Y');
                $getload = getLoadByDaterevenue($dateYMD, $getTeamsdata->driver_id);
                if (count($getload) > 0) {
                    $load_type = array(0, 4, 6);
                    foreach ($getload as $load_details) {
                        if (in_array($load_details['load_type'], $load_type)) {
                            $totalDays++;
                            break;
                        }
                    }
                }
                if (count($getload) > 1) {
                    $load_type = array(1, 2, 3, 5);
                    $uc = 0;
                    $oc = 0;
                    foreach ($getload as $load_details) {
                        if (in_array($load_details['load_type'], $load_type)) {
                            $uc++;
                        } else {
                            $oc++;
                        }
                    }
                    if ($oc > 0 && $uc > 0) {
                        $bcoutn++;
                    }
                }
            }


            $totalDays = $totalDays + $data_pickup_count;
            $totalDays = $totalDays - $bcoutn;
            $mapeval = max(number_format(100 / 7 * $totalDays, 2), 0);
            $loadDetailsCount = array_sum($loadDetail_occupancy);
            if ((array_sum($quarterly_target_milesData) > 0) && ($getdataOccupancyDaystotnew > 0)) {
                $total_occupancy_miles[] = ((array_sum($quarterly_target_milesData)) * ($getdataOccupancyDaystotnew) / 100);
            } else {
                $total_occupancy_miles[] = 0;
            }

            if ((array_sum($total_revenue) > 0) && (array_sum($quarterly_revenue_target) > 0)) {
                $count_cpm_load = array_sum($quarterly_revenue_target);
                $actual_CPM[] = @($count_cpm_load) / array_sum($total_revenue);
            } else {
                $actual_CPM[] = 0;
            }
            if ((array_sum($getLoadGrossRevenue) > 0) && (array_sum($total_revenue) > 0)) {
                $total_occupancy_revenue[] = (array_sum($total_revenue)) - (array_sum($getLoadGrossRevenue));
            } else {
                $total_occupancy_revenue[] = 0;
            }
            /// Revenue Band ///
            //< $3,000.00///
            $three_Lower = array();
            foreach ($load_revanyPerunit as $countToal) {
                if ($countToal < 3000.00) {
                    $three_Lower[] = $countToal;
                    $three_Lower_data[] = $three_Lower;
                } else {
                    $three_Lower[] = 0;
                    $three_Lower_data[] = 0;
                }
            }
            ///$3000 - $4000

            $threeTofour = array();
            foreach ($load_revanyPerunit as $countToal) {

                if ($countToal > 3000 && $countToal < 4000) {

                    $threeTofour[] = $countToal;
                    $threeTofour_data[] = $threeTofour;
                } else {

                    $threeTofour[] = 0;
                    $threeTofour_data[] = 0;

                }
            }
///$4000 - $5000

            $fourTofive = array();
            foreach ($load_revanyPerunit as $countToal) {

                if ($countToal > 4000 && $countToal < 5000) {

                    $fourTofive[] = $countToal;
                    $fourTofive_data[] = $fourTofive;
                } else {

                    $fourTofive[] = 0;
                    $fourTofive_data[] = 0;

                }
            }

            ///$5000 - $6000

            $fiveTosix = array();
            foreach ($load_revanyPerunit as $countToal) {

                if ($countToal > 5000 && $countToal < 6000) {

                    $fiveTosix[] = $countToal;
                    $fiveTosix_data[] = $fiveTosix;
                } else {

                    $fiveTosix[] = 0;
                    $fiveTosix_data[] = 0;

                }
            }

            ///$6000 - $7000

            $sixToseven = array();
            foreach ($load_revanyPerunit as $countToal) {

                if ($countToal > 6000 && $countToal < 7000) {

                    $sixToseven[] = $countToal;
                    $sixTosevenData[] = $sixToseven;
                } else {

                    $sixToseven[] = 0;
                    $sixTosevenData[] = 0;
                }
            }

            ///>$7,000.00

            $greater_then_seven = array();
            foreach ($load_revanyPerunit as $countToal) {

                if ($countToal > 7000) {

                    $greater_then_seven[] = $countToal;
                    $greater_then_seven_data[] = $greater_then_seven;

                } else {

                    $greater_then_seven[] = 0;
                    $greater_then_seven_data[] = 0;

                }
            }

            if ($getTeamsdata->driver_id) {
                $getLoadCPM[] = getLoadCPM($weekStartDate, $weekEndDate, $getTeamsdata->driver_id, @$driverData, @$trailer_type, @$dispatcher);
            } else {
                $getLoadCPM[] = 0;
            }

            if (array_sum($getLoadOccupancy) > 0) {
                $fleetOccupancyDataget[] = array_sum($getLoadOccupancy) / count(array_filter($getLoadOccupancy));
            } else {
                $fleetOccupancyDataget[] = 0;
            }
            if (array_sum($fleet_occupancy) > 0) {
                $totalfleet_occupancy[] = array_sum($fleet_occupancy) / count($fleet_occupancy);
            } else {
                $totalfleet_occupancy[] = 0;
            }
            ////
            if ((array_sum($quarterly_occupancy) > 0) && (count($getDriver) > 0)) {
                $occupancy_sum[] = array_sum($quarterly_occupancy) / count($getDriver);
            } else {
                $occupancy_sum[] = 0;
            }

            if ((array_sum($quarterly_revenue_target) > 0) && (array_sum($getLoadGrossRevenue) > 0)) {
                $getdataarr = array();
                foreach ($quarterly_revenue_target as $querData) {

                    if ($querData > 0) {

                        $getdataarr[] = $querData;
                    } else {

                        $getdataarr[] = 0;
                    }
                }


                $getLoadarray = array();
                foreach ($getLoadGrossRevenue as $getLoadarray) {

                    if ($getLoadarray > 0) {

                        @$getLoadarray[] = @array_sum($getLoadarray);
                    } else {

                        @$getLoadarray[] = 0;
                    }
                }

                if ($getdataarr <= $getLoadarray) {

                    $tot[] = $getdataarr;

                } else {

                    $tot[] = 0;
                }
            }


            if ((array_sum($getLoadGrossRevenue) > 0) && (array_sum($load_revanyPerunitcount_cpm) > 0)) {
                $gettrget_divide_driver = array_sum($load_revanyPerunitcount_cpm) / count($getDriver);
                $divideActive = array_sum($getLoadGrossRevenue) / $gettrget_divide_driver;
                $total_multiply[] = $divideActive * 100;
            } else {
                $gettrget_divide_driver = 0;
                $divideActive = 0;
                $total_multiply[] = 0;
            }

            $total_reveData = 0;
            if (array_sum($load_revanyPerunit) > 0) {
                $total_reveData = (array_sum($load_revanyPerunit)) / count(array_filter($load_revanyPerunit));
                $total_reveDataActual = (array_sum($load_revanyPerunit));
            } else {
                $total_reveData = 0;
                $total_reveDataActual = 0;
            }

            if (array_sum($loadDetaildataget) > 0) {
                $total_milesPer = (array_sum($loadDetaildataget)) / count(array_filter($loadDetaildataget));
            } else {
                $total_milesPer = 0;
            }

            if (($total_reveData > '0') && (@$total_milesPer) > '0') {
                $cpm_per_unit_countData = @$total_reveData / @$total_milesPer;

            } else {
                $cpm_per_unit_countData = 0;
            }

            //dd($cpm_per_unit_countData);

            ////////////////////

            ///// Occupancy Revenue start_date end_date ///

            $datagetLoadGrossRevenue = getLoadGrossRevenue($weekStartDate, $weekEndDate, $getTeamsdata->driver_id, @$driverData, @$trailer_type, @$dispatcher);

            if ($datagetLoadGrossRevenue > 0) {
                $divideActual_rev = $datagetLoadGrossRevenue;

            } else {
                $divideActual_rev = 0;
            }

            if (array_sum($loadDetail_revenue_target) > 0) {
                $occup_target = array_sum($loadDetail_revenue_target);
                $multi_reva[] = $occup_target * $divideActual_rev;
            } else {
                $occup_target = 0;
                $multi_reva[] = 0;
            }

            if (($total_reveData > 0) && (array_sum($multi_reva) > 0)) {
                $count_total_revenue = ($total_reveData) - (array_sum($multi_reva));
            } else {
                $count_total_revenue = 0;
            }
            //////
            ///// Actual Revenue //////
            $count_revanyPerunitdata = $load_revanyPerunitdata;
            $driverCountData = $getDrivercount;
//            dd($driverCountData);
            if (($count_revanyPerunitdata > 0) && ((int)$driverCountData > 0)) {
                $revenueperUnit[] = array_sum($load_revanyPerunit) / (int)$driverCountData;
                $revenueperUnitData = array_sum($load_revanyPerunit);

            } else {
                $revenueperUnit[] = 0;
                $revenueperUnitData = 0;
            }

            ////////
            if (array_sum($actual_milecount_total_occupancy_miles_data) > 0) {
                $actual_miles_divide = array_sum($actual_milecount_total_occupancy_miles_data);
            } else {
                $actual_miles_divide = 0;
            }

            if ((array_sum($total_occupancy_miles) > 0) && ($actual_miles_divide > 0)) {
                $final_ans_miles = $actual_miles_divide - array_sum($total_occupancy_miles);

            } else {
                $final_ans_miles = 0;
            }
            //// divide by active driver////
            if (array_sum($loadDetail_revenue_targetdata) > 0) {
                $driverdivide_revenue_target_new = @array_sum($loadDetail_revenue_targetdata);
            } else {
                $driverdivide_revenue_target_new = 0;
            }

            if (array_sum($multi_reva) > 0) {
                $driverdivide_multi_reva = @array_sum($multi_reva) / count(array_filter($multi_reva));
            } else {
                $driverdivide_multi_reva = 0;
            }

            if (array_sum($total_miles) > 0) {
                $driverdivide_total_miles = @array_sum($total_miles);
            } else {
                $driverdivide_total_miles = 0;
            }
            if (array_sum($loadDetail_cpm_target) > 0) {
                $driverDiv_loadDetail_cpm_targetdata = @array_sum($loadDetail_cpm_target);
                $divibyweek_cpm_targetdata = $driverDiv_loadDetail_cpm_targetdata;

            } else {
                $divibyweek_cpm_targetdata = 0;
            }

            if (array_sum($getLoadCPM) > 0) {
                $driverDiv_getLoadCPM = @array_sum($getLoadCPM);

            } else {
                $driverDiv_getLoadCPM = 0;
            }
            //// end of divide by active driver ////
            //unit at gloa start //

            if (array_sum($unit_at_goal) > 0) {
                $total_reveDatafianl = (array_sum($unit_at_goal)) / count(array_filter($unit_at_goal));
                $unit_goal_pers = 100 / count(array_filter($unit_at_goal));

            } else {
                $total_reveDatafianl = 0;
                $unit_goal_pers = 0;
            }
            // dd($loadDetail_revenue_target,$getLoadGrossRevenue);
            /// unit at goal end //
            if (array_sum($unitat_goal_data) > 0) {
                $mainCount = count(array_filter($unitat_goal_data));
                if ($mainCount == 1) {
                    $divideCount = count($unitat_goal_data);
                } elseif (count(array_filter($unitat_goal_data)) == count($unitat_goal_data)) {
                    $divideCount = 1;
                } else {
                    $divideCount = count(array_filter($unitat_goal_data)) - count($unitat_goal_data);
                }
                $main_unitatgoal = @array_sum($unitat_goal_data) / $divideCount;
            } else {
                $main_unitatgoal = 0;
            }
            //< $3,000.00///
            if (array_sum($three_Lower) > 0) {
                $count_three_Lower = @count(array_filter($three_Lower));
            } else {
                $count_three_Lower = 0;
            }
            ///$3000 - $4000
            ///$4000 - $5000 threeTofour
            if (array_sum($threeTofour) > 0) {
                $count_threeTofour = @count(array_filter($threeTofour));
            } else {
                $count_threeTofour = 0;
            }
            ///$5000 - $6000
            if (array_sum($fourTofive) > 0) {
                $count_fourTofive = @count(array_filter($fourTofive));
            } else {
                $count_fourTofive = 0;
            }

            if (array_sum($fiveTosix) > 0) {
                $count_fiveTosix = @count(array_filter($fiveTosix));
            } else {
                $count_fiveTosix = 0;
            }

            if (array_sum($sixToseven) > 0) {
                $count_sixToseven = @count(array_filter($sixToseven));
            } else {
                $count_sixToseven = 0;
            }

            if (array_sum($greater_then_seven) > 0) {
                $count_greater_then_seven = @count(array_filter($greater_then_seven));
            } else {
                $count_greater_then_seven = 0;
            }

            if (array_sum($dividebyDatarevenu) > 0) {
                $driverTotoccrevData = array_sum($dividebyDatarevenu) / count(array_filter($dividebyDatarevenu));
            } else {
                $driverTotoccrevData = 0;
            }

            if (array_sum($quarterly_target_milesDatacount) > 0) {
                $driverTotoccrevDatacount = array_sum($quarterly_target_milesDatacount) / count(array_filter($quarterly_target_milesDatacount));
            } else {
                $driverTotoccrevDatacount = 0;
            }

            $dataArray[] = array(
                'data_actualreve_divide_by' => @array_sum($actualreve_divide_by),
                'sum_count_total_revenue' => @$count_total_revenue,
                'actual_revenue_data' => @$count_revenueperUnit_totalTeam,
                'totalOccupancy' => @$driverdivide_multi_reva,
                'occup_target' => @$occup_target,
                'divideActual_rev' => @$divideActual_rev,
                'cpm_per_unit_countData' => @$cpm_per_unit_countData,
                'new_loadDetaildataget' => @$total_milesPer,
                'load_revanyPerunit' => @$total_reveData,
                'load_revanyActual' => @$total_reveDataActual,
                "teamId" => @$getTeamsdata->team_id,
                "teamName" => @$getTeamsdata->name,
                "Drivercount" => @count($getDriver),
                "Miles" => @$driverdivide_total_miles,
                "revenue" => @array_sum($total_revenue),
                "revenue_target" => @$driverdivide_revenue_target_new,
                "difference_act_obj" => @$difference_act_obj,
                "mileage_percentage" => @$loadDetail_mileageperdata,
                "centpermiles" => @$centpermiles,
                "mileagePerunit" => @array_sum($mileagesperUnit),
                "revenueperUnit" => @array_sum($getLoadGrossRevenue),
                'activedriver' => @array_sum($active_driverdata),
                'inactivedriver' => @array_sum($inactive_driverdata),
                'target_CPM' => @$divibyweek_cpm_targetdata,
                'fleet_occupancy' => @array_sum($totalfleet_occupancy),
                'cpm_per_unit' => @array_sum($cpm_per_unit),
                'occupancy_revenue' => array_sum($getLoadGrossRevenue),
                'total_occupancy_revenue' => @array_sum($total_occupancy_revenue),
                'total_occupancy_miles' => @array_sum($total_occupancy_miles),
                'final_ans_miles' => @$final_ans_miles,
                // 'actual_cpm' => @$actual_CPM,
                'actual_cpm' => @$driverDiv_getLoadCPM,
                // 'quarterly_revenue_target' => @array_sum($quarterly_revenue_target) / 12,
                'quarterly_revenue_target' => @array_sum($quarterly_revenue_target),
                'active_trucks_earned' => @$active_trucks_earned,
                'quarterly_occupancy' => @array_sum($occupancy_sum),
                'three_Lower' => @$count_three_Lower,
                'threeTofour' => @$count_threeTofour,
                'fourTofive' => @$count_fourTofive,
                'fiveTosix' => @$count_fiveTosix,
                'sixToseven' => @$count_sixToseven,
                'greater_then_seven' => @$count_greater_then_seven,
                'total_cpm_perunit' => @array_sum($total_cpm_perunit),
                'actual_milecount_total_occupancy_miles_data' => @$actual_miles_divide,
                'fleetOccupancyData' => @array_sum($fleetOccupancyData),
                'total_Of_revancy_goal' => @array_sum($total_Of_revancy_goal),
                'tot_units_art' => @array_sum($tot),
                'sum_total_multiply' => array_sum($total_multiply),
                'fleetOccupancyData_tot' => array_sum($fleetOccupancyDataget),
                'unitatgoaldata' => $unit_goal_pers,
                'quarterly_occupancy_goal' => array_sum($divide_quarterly_occupancy_totdata),
                'unitat_goal_data' => $main_unitatgoal,
                'loadDetail_revenue_target' => $loadDetail_revenue_target,
                'getLoadOccupancy' => $getLoadOccupancy,
                'actualreve_divide_by' => $actualreve_divide_by,
                'occupancyRevData' => $driverTotoccrevData,
                'driverTotoccrevDatacount' => $driverTotoccrevDatacount,
            );
        }

        /// total

        //dd($dataArray);
        $count_sum_count_total_revenue = array();
        $countcpm_per_unit_countData = array();
        $counttotalOccupancy = array();
        $countdriver = array();
        $countmiles = array();
        $countrevenue = array();
        $countrevenue_target = array();
        $countactive_driver = array();
        $countinactive_driver = array();
        $count_cpm_driver = array();
        $count_fleet_occupancy = array();
        $count_mileagePerunit = array();
        $count_occupancy_revenue = array();
        $count_total_occupancy_revenue = array();
        $count_cpm_per_unit = array();
        $count_total_occupancy_miles = array();
        $sum_final_ans_miles = array();
        $sum_actual_cpm = array();
        $sum_quarterly_revenue_target = array();
        $sum_active_trucks_earned = array();
        $sum_quarterly_occupancy = array();
        $sum_three_Lower = array();
        $sum_threeTofour = array();
        $sum_fourTofive = array();
        $sum_fiveTosix = array();
        $sum_sixToseven = array();
        $count_revenueperUnit = array();
        $sum_greater_then_seven = array();
        $count_actual_miles_data = array();
        $count_fleetOccupancyData = array();
        $count_total_Of_revancy_goal = array();
        $gettargetrevany = array();
        $counttot_units_art = array();
        $count_total_multiply = array();
        $count_load_revanyPerunit = array();
        $count_load_revanyActual = array();
        $count_new_loadDetaildataget = array();
        $count_fleetOccupancyData_tot = array();
        $count_unitatgoal = array();
        $count_quarterly_occupancy_goal = array();
        $count_unitat_goal_data = array();
        $count_actualreve_divide_by = array();
        $count_occupancyRevData = array();
        $count_data_actualreve_divide_by = array();
        $count_driverTotoccrevDatacount = array();
        foreach ($dataArray as $data) {
            $count_driverTotoccrevDatacount[] = $data['driverTotoccrevDatacount'];
            $counttotalOccupancy[] = $data['totalOccupancy'];
            $countcpm_per_unit_countData[] = $data['cpm_per_unit_countData'];
            $count_new_loadDetaildataget[] = $data['new_loadDetaildataget'];
            //// unit of goal
            $count_total_multiply[] = @$data['sum_total_multiply'];
            $counttot_units_art[] = @$data['tot_units_art'];
            ////////////////////
            $countdriver[] = @$data['Drivercount'];
            $count_fleetOccupancyData[] = @$data['fleetOccupancyData'];
            $countmiles[] = @$data['Miles'];
            //$countmiles[] = @$data['actual_milecount_total_occupancy_miles_data'];
            $countrevenue[] = @$data['revenue'];
            $countrevenue_target[] = @$data['revenue_target'];
            $countactive_driver[] = @$data['activedriver'];
            $countinactive_driver[] = @$data['inactivedriver'];
            $count_cpm_driver[] = @$data['target_CPM'];
            $count_fleet_occupancy[] = @$data['fleet_occupancy'];
            $count_revenueperUnit[] = @$data['revenueperUnit'];
            $count_mileagePerunit[] = @$data['mileagePerunit'];
            $count_occupancy_revenue[] = @$data['occupancy_revenue'];
            $count_cpm_per_unit[] = @$data['total_cpm_perunit'];
            $count_total_occupancy_revenue[] = @$data['total_occupancy_revenue'];
            $count_total_occupancy_miles[] = @$data['total_occupancy_miles'];
            $sum_final_ans_miles[] = @$data['final_ans_miles'];
            $sum_actual_cpm[] = @$data['actual_cpm'];
            $sum_quarterly_revenue_target[] = @$data['quarterly_revenue_target'];
            $sum_active_trucks_earned[] = @$data['active_trucks_earned'];
            $sum_quarterly_occupancy[] = @$data['quarterly_occupancy'];
            $sum_three_Lower[] = @$data['three_Lower'];
            $sum_threeTofour[] = @$data['threeTofour'];
            $sum_fourTofive[] = @$data['fourTofive'];
            $sum_fiveTosix[] = @$data['fiveTosix'];
            $sum_sixToseven[] = @$data['sixToseven'];
            $sum_greater_then_seven[] = @$data['greater_then_seven'];
            $count_actual_miles_data[] = @$data['actual_milecount_total_occupancy_miles_data'];
            $count_total_Of_revancy_goal[] = @$data['total_Of_revancy_goal'];
            $count_load_revanyPerunit[] = @$data['load_revanyPerunit'];
            //05-march-2022 $count_load_revanyActual[] = @$data['load_revanyActual'];
            $count_load_revanyActual[] = @$data['divideActual_rev'];
            $count_sum_count_total_revenue[] = @$data['sum_count_total_revenue'];
            $count_fleetOccupancyData_tot[] = @$data['fleetOccupancyData_tot'];
            $count_unitatgoal[] = $data['unitatgoaldata'];
            $count_quarterly_occupancy_goal[] = $data['quarterly_occupancy_goal'];
            $count_unitat_goal_data[] = $data['unitat_goal_data'];
            $count_actualreve_divide_by[] = $data['actualreve_divide_by'];
            $count_occupancyRevData[] = $data['occupancyRevData'];
            $count_data_actualreve_divide_by[] = $data['data_actualreve_divide_by'];
        }
        if ((array_sum($count_fleet_occupancy) > 0) && (count(@$getDriver) > 0)) {
            $divide_fleet_occupancy = array_sum($count_fleet_occupancy) / count(@$getDriver);
        } else {
            $divide_fleet_occupancy = 0;
        }
        // dd($getDriver);
        if ((array_sum($count_load_revanyPerunit) > 0)) {
            $divide_load_revanyPerunit = array_sum($count_load_revanyPerunit);
        } else {
            $divide_load_revanyPerunit = 0;
        }

        if (array_sum($count_fleetOccupancyData_tot) > 0) {
            $driverTot = array_sum($count_fleetOccupancyData_tot) / count(array_filter($count_fleetOccupancyData_tot));
        } else {
            $driverTot = 0;
        }
        //unit at goal /
        // if(array_sum($count_unitat_goal_data) > 0){
        //     $mainCount = count(array_filter($count_unitat_goal_data));
        //     if($mainCount == '1')
        //     {

        //         $divideCount = count($count_unitat_goal_data);

        //     }elseif(count(array_filter($count_unitat_goal_data)) == count($count_unitat_goal_data)){

        //         $divideCount = '1';

        //     }else{

        //         $divideCount = count(array_filter($count_unitat_goal_data)) - count($count_unitat_goal_data);
        //     }


        //     $main_unitatgoal = @array_sum($count_unitat_goal_data) / $divideCount;
        // }else{

        //     $main_unitatgoal = '0';
        // }

        ///////////
//dd($countrevenue);
        $tot_counttotalOccupancy = @array_sum($counttotalOccupancy);
        $tot_cpm_per_unit_countData = @array_sum($countcpm_per_unit_countData);
        $tot_count_new_loadDetaildataget = @array_sum($count_new_loadDetaildataget);
        $tot_counttot_units_art = @array_sum($counttot_units_art);
        $totalMiles = @array_sum($count_actual_miles_data);
        $totalDriver = @array_sum($countdriver);
        $totalRevenue = @array_sum($countrevenue);
        $totalrevenue_target = @array_sum($countrevenue_target);
        $totalactivedriver = @array_sum($countactive_driver);
        $totalinactivedriver = @array_sum($countinactive_driver);
        $totalCPM_driver = @array_sum($count_cpm_driver);
        // $totalfleet_occupancy = @$divide_fleet_occupancy;
        $totalfleet_occupancy = @array_sum($fleet_occupancy);
        $total_count_revenueperUnit = @array_sum($count_revenueperUnit);
        $total_count_mileagePerunit = @array_sum($count_mileagePerunit);
        $total_count_occupancy_revenue = @array_sum($count_occupancy_revenue);
        $sum_total_occupancy_revenue = @array_sum($count_total_occupancy_revenue);
        $total_count_cpm_per_unit = @array_sum($count_cpm_per_unit);
        $all_count_total_occupancy_miles = @array_sum($count_total_occupancy_miles);
        $all_count_sum_final_ans_miles = @array_sum($sum_final_ans_miles);
        $all_count_sum_actual_cpm = @array_sum($sum_actual_cpm);
        $all_quarterly_revenue_target = @array_sum($sum_quarterly_revenue_target);
        $all_sum_active_trucks_earned = @array_sum($sum_active_trucks_earned);
        $all_sum_quarterly_occupancy = @array_sum($sum_quarterly_occupancy);
        $all_sum_3000Lower = @array_sum($sum_three_Lower);
        $all_3000to4000 = @array_sum($sum_threeTofour);
        $all_4000to5000 = @array_sum($sum_fourTofive);
        $all_5000to6000 = @array_sum($sum_fiveTosix);
        $all_6000to7000 = @array_sum($sum_sixToseven);
        $all_greater_then_seven = @array_sum($sum_greater_then_seven);
        $all_count_fleetOccupancyData = @array_sum($count_fleetOccupancyData);
        $count_total_Of_revancy_goal = @array_sum($count_total_Of_revancy_goal);

        $sum_gettargetrevany = @array_sum($gettargetrevany);
        $sum_count_total_multiply = @array_sum($count_total_multiply);

        $sum_team_count_load_revanyPerunit = @array_sum($count_load_revanyPerunit);
        $sum_count_load_revanyActual = @array_sum($count_load_revanyActual);
        $sum_count_sum_count_total_revenue = @array_sum($count_sum_count_total_revenue);
        $sum_driverTotocc = @$driverTot;
        $sum_count_unitatgoal = @array_sum($count_unitatgoal);
        $sum_count_quarterly_occupancy_goal = array_sum($count_quarterly_occupancy_goal);
        $count_count_unitat_goal_data = @array_sum($count_unitat_goal_data);
        $sum_count_actualreve_divide_by = @array_sum($count_actualreve_divide_by);
        $sum_count_occupancyRevData = @array_sum($count_occupancyRevData);
        $sum_count_data_actualreve_divide_by = @array_sum($count_data_actualreve_divide_by);
        $sum_count_driverTotoccrevDatacount = @array_sum($count_driverTotoccrevDatacount);
        $current_startdate = $weekStartDate;
        $passcurrent_startdate = $weekStartDate;
        $passcurrent_enddate = $weekEndDate;
        $current_enddate = $weekEndDate;
        $main_unitatgoal = 0;
        $getDriver[] = 0;

        return view('companyAdmin.revenue-tracker.index', compact('dataArray', 'totalDriver', 'totalMiles', 'totalRevenue', 'totalrevenue_target', 'totalactivedriver', 'totalinactivedriver', 'totalCPM_driver', 'totalfleet_occupancy', 'total_count_revenueperUnit', 'total_count_revenueperUnit', 'total_count_mileagePerunit', 'total_count_cpm_per_unit', 'total_count_occupancy_revenue', 'sum_total_occupancy_revenue', 'all_count_total_occupancy_miles', 'all_count_sum_final_ans_miles', 'all_count_sum_actual_cpm', 'all_quarterly_revenue_target', 'all_sum_active_trucks_earned', 'all_sum_quarterly_occupancy', 'all_sum_3000Lower', 'all_3000to4000', 'all_4000to5000', 'all_5000to6000', 'all_greater_then_seven', 'all_6000to7000', 'all_count_fleetOccupancyData', 'count_total_Of_revancy_goal', 'countmiles', 'sum_gettargetrevany', 'tot_counttot_units_art', 'sum_count_total_multiply', 'divide_load_revanyPerunit', 'sum_team_count_load_revanyPerunit', 'tot_count_new_loadDetaildataget', 'tot_cpm_per_unit_countData', 'tot_counttotalOccupancy', 'sum_count_sum_count_total_revenue', 'sum_driverTotocc', 'sum_count_unitatgoal', 'sum_count_quarterly_occupancy_goal', 'main_unitatgoal', 'count_count_unitat_goal_data', 'sum_count_actualreve_divide_by', 'sum_count_load_revanyActual', 'sum_count_occupancyRevData', 'sum_count_data_actualreve_divide_by', 'current_startdate', 'current_enddate', 'passcurrent_startdate', 'passcurrent_enddate', 'getDriver', 'sum_count_driverTotoccrevDatacount'));
    }

    /**
     * Show the form for get filter data.
     *
     * @return \Illuminate\Http\Response
     */
    public function getfilterdata(Request $request)
    {

        $get_quarter = Carbon::now()->quarter;
        $get_year = Carbon::now()->year;
        $now = Carbon::now();
        $weekStartDate = $now->startOfWeek()->format('Y-m-d');
        $weekEndDate = $now->endOfWeek()->format('Y-m-d');
        $company_id = auth()->guard('company-admin')->user()->company_id;
        $getTeams = getTeamsC($get_quarter,$get_year,$weekStartDate,$weekEndDate,$company_id);

        $dataArray = array();
        foreach ($getTeams as $getTeamsdata) {
            $getDriver = Driver::where('team_id', $getTeamsdata->driver_id)->get();
            $getDrivercount = Driver::where('team_id', $getTeamsdata->driver_id)->get();
            $inactive_driver = Driver::where('team_id', $getTeamsdata->driver_id)->onlyTrashed()->get();
            $active_driver = Driver::where('team_id', $getTeamsdata->driver_id)->get();

            $loadDriverdata = array();
            $loadDetail_revenue_targetdata = array();
            $actual_milecount_total_occupancy_miles_data = array();
            $getLoadGrossRevenue = array();
            $load_revanyPerunitcount_cpm = array();
            $load_milesPerunitcount_cpm = array();
            $revenueperUnit = array();
            $total_miles = array();
            $total_cpm_perunit = array();
            $load_revanyPerunit = array();
            $total_revenue = array();
            $total_occupancy_revenue = array();
            $total_occupancy_miles = array();
            $final_ans_miles = array();
            $actual_CPM = array();
            $loadDetaildataget = array();
            $total_multiply = array();
            $getLoadCPM = array();
            $loadDetail_cpm_target = array();
            $active_driverdata = array();
            $inactive_driverdata = array();
            $getLoadOccupancy = array();
            $fleetOccupancyData = array();
            $fleetOcuudata = array();
            $unitat_goal_data = array();
            $divide_quarterly_occupancy_totdata = array();
            $total_target_miles = array();
            // $dividebyDatarevenu = array();
            $greater_then_seven = array();
            $sixToseven = array();
            $fiveTosix = array();
            $fourTofive = array();
            $threeTofour = array();
            $three_Lower = array();
//            foreach ($getDriver as $driverData) {


                if ($request->id == 'datefilter') {
                  

                    $start_date_timestamp = strtotime($request->startDate);
                    $start_date = date_create_from_format("m-d-Y", $request->startDate)->format("Y-m-d");

                    $end_date_timestamp = strtotime($request->endDate);
                    $end_date = date_create_from_format("m-d-Y", $request->endDate)->format("Y-m-d");


                    $tareget_reveData = getTargetRevenueByDate($start_date, $end_date, $driverData->id);

                    $load_revanyPerunit = getDriverdriver_revenueDatatracker($start_date, $end_date, $driverData->id);

                    //dd($load_revanyPerunit);

                    //dd($getDriverTargetRevenue,$start_date,$end_date);

                    $get_quarter = Carbon::now()->quarter;
                    $get_year = Carbon::now()->year;

                    $date = date_create_from_format("m-d-Y", $request->endDate)->format("Y-m-d");

                    $passcurrent_startdate = $start_date;

                    $passcurrent_enddate = $end_date;

                    $active_driver = LoadDetail::where('driver_id', $driverData->id)->whereBetween('created_at', [$start_date, $end_date])->first();

                    //dd($start_date,$end_date);
                    if (empty($active_driver)) {

                        $active_driverdata[] = 0;

                        $inactive_driverdata[] = 1;

                    } else {

                        $active_driverdata[] = 1;

                        $inactive_driverdata[] = 0;
                    }


                    /// Revenue Band ///
                    //< $3,000.00///
                    //$three_Lower = array();
                    // foreach($load_revanyPerunit as $countToal){

                    if (array_sum($load_revanyPerunit) < 3000.00) {

                        $three_Lower[] = 1;
                    } else {

                        $three_Lower[] = 0;
                    }
                    //}

                    ///$3000 - $4000

                    //$threeTofour = array();
                    // foreach($load_revanyPerunit as $countToal){

                    if (array_sum($load_revanyPerunit) > 3000 && array_sum($load_revanyPerunit) < 4000) {

                        $threeTofour[] = 1;
                    } else {

                        $threeTofour[] = 0;
                    }
                    // }


                    ///$4000 - $5000

                    $fourTofive = array();
                    // foreach($load_revanyPerunit as $countToal){

                    if (array_sum($load_revanyPerunit) > 4000 && array_sum($load_revanyPerunit) < 5000) {

                        $fourTofive[] = 1;
                    } else {

                        $fourTofive[] = 0;
                    }
                    //   }

                    ///$5000 - $6000

                    //$fiveTosix = array();
                    //foreach($load_revanyPerunit as $countToal){

                    if (array_sum($load_revanyPerunit) > 5000 && array_sum($load_revanyPerunit) < 6000) {

                        $fiveTosix[] = 1;
                    } else {

                        $fiveTosix[] = 0;
                    }
                    //  }

                    ///$6000 - $7000

                    //$sixToseven = array();
                    //foreach(array_sum($load_revanyPerunit) as $countToal){

                    if (array_sum($load_revanyPerunit) > 6000 && array_sum($load_revanyPerunit) < 7000) {

                        $sixToseven[] = 1;
                    } else {

                        $sixToseven[] = 0;
                    }
                    //}

                    // ///>$7,000.00

                    // $greater_then_seven = array();
                    // foreach($load_revanyPerunit as $countToal){

                    if (array_sum($load_revanyPerunit) > 7000) {

                        $greater_then_seven[] = 1;
                    } else {

                        $greater_then_seven[] = 0;
                    }
                    // }

                    //dd($start_date,$end_date);

                    $loads =
                        Driver::select("teams.name as team_name", "drivers.id as driverid", "drivers.company_id as driver_company_id", "drivers.first_name", "drivers.last_name", "drivers.middle_name", "driver_financials.revenue_target as wgrr_seasonal", "driver_financials.occupancy as occupancy_commitment", "load_details.driver_id", "load_details.load_id", "load_details.load_type", "load_details.is_disable", "load_details.agreed_upon_rate", "load_details.detention", "load_details.accessorial", "load_details.fuel_surcharge_cost_per_mile", "load_details.shipper_city", "load_details.shipper_state", "load_details.delivery_city", "load_details.delivery_state", "load_details.load_number", "load_details.load_status", "load_details.actual_delivery_date", "load_drivers.load_detail_id")
                            ->leftjoin("load_details", "load_details.driver_id", "=", "drivers.id")
                            ->leftjoin("loads", "loads.id", "=", "load_details.load_id")
                            ->join("driver_informations", "driver_informations.driver_id", "=", "drivers.id")
                            ->leftjoin("load_drivers", "load_drivers.driver_id", "=", "drivers.id")
                            ->leftjoin("teams", "teams.id", "=", "drivers.team_id")
                            ->leftjoin('driver_financials', function ($join) use ($get_quarter, $get_year) {
                                $join->on('drivers.id', '=', 'driver_financials.driver_id')
                                    ->where('driver_financials.year', $get_year)
                                    ->where('driver_financials.quarter', $get_quarter);
                            })
                            ->where('drivers.company_id', auth()->guard('company-admin')->user()->company_id)
                            ->where('drivers.id', $driverData->id)
                            ->where('teams.id', $getTeamsdata->id)
                            ->groupBy('load_details.driver_id')
                            ->orderByRaw('drivers.last_name ASC, drivers.first_name ASC')
                            ->first();


                    $getLoadGrossRevenue[] = getLoadGrossRevenue($start_date, $end_date, $driverData->id, $loads, @$trailer_type, @$dispatcher);

                    //dd($getLoadGrossRevenue);

                    $getLoadOccupancy[] = round(getLoadOccupancy($start_date, $end_date, $driverData->id, $loads, @$trailer_type, @$dispatcher));

                    // $getLoadOccupancynewdata[] = round(getLoadOccupancynewdata($start_date,$end_date,$driverData->id,$loads,@$trailer_type,@$dispatcher));

                    $getLoadOccupancyj = getloadCount($start_date, $end_date, 0, $driverData->id);

                    $tot = $getLoadOccupancyj;

                    if ($tot > 0) {

                        $getLoadOccupancynewdata[] = round(($getLoadOccupancyj * 100) / $tot, 2);

                    } else {

                        $getLoadOccupancynewdata[] = $getLoadOccupancyj;
                    }


                    $getLoadOccupancydivideData = round(getLoadOccupancy($start_date, $end_date, $driverData->id, $loads, @$trailer_type, @$dispatcher));

                    //dd($getLoadGrossRevenue);

                    if (array_sum($getLoadOccupancynewdata) > 0) {

                        $fleetOccupancyData[] = array_sum($getLoadOccupancynewdata) / count(array_filter($getLoadOccupancynewdata));

                    } else {

                        $fleetOccupancyData[] = 0;
                    }


                    //$loadDetaildataget[] = LoadDetail::where('driver_id',$driverData->id)->whereBetween('actual_delivery_date',[$start_date, $end_date])->pluck('total_miles')->first();


                    $loadDetaildataget = LoadDetail::where('driver_id', $driverData->id)->whereBetween(DB::raw('DATE_FORMAT(load_details.actual_delivery_date, "%Y-%m-%d")'), [$start_date, $end_date])->pluck('total_miles')->toArray();

                    // $load_revanyPerunit[] = LoadDetail::where('driver_id',$driverData->id)->whereBetween('actual_delivery_date',[$start_date, $end_date])->pluck('driver_revenue')->toArray();

                    //

                    // dd($load_revanyPerunit);

                    //dd($load_revanyPerunit);

                    $load_revanyPerunitcount_cpm[] = LoadDetail::where('driver_id', $driverData->id)->whereBetween('actual_delivery_date', [$start_date, $end_date])->pluck('driver_revenue')->toArray();

                    $load_milesPerunitcount_cpm[] = LoadDetail::where('driver_id', $driverData->id)->whereBetween('actual_delivery_date', [$start_date, $end_date])->pluck('total_miles')->toArray();

                    $loadDetail_revenue = LoadDetail::where('driver_id', $driverData->id)->whereBetween('actual_delivery_date', [$start_date, $end_date])->pluck('driver_revenue')->toArray();


                    // $quarterly_target_milesData = DriverFinancial::where('driver_id',$driverData->id)
                    // ->where(\DB::raw('DATE_FORMAT(start_date, "%Y-%m-%d")'), '<=', $start_date)->
                    // where(\DB::raw('DATE_FORMAT(end_date, "%Y-%m-%d")'), '>=', $end_date)
                    // ->pluck('target_miles')->toArray();

                    $quarterly_target_milesData[] = getDrivertarget_milestrackerByDate($start_date, $end_date, $driverData->id);

                    // dd($quarterly_target_milesData);

                    if (array_sum($quarterly_target_milesData) > 0) {

                        $total_target_miles[] = array_sum($quarterly_target_milesData);

                    } else {

                        $total_target_miles[] = 0;

                    }

                    // dd($loadDetail_revenue);

                    //23-march-2022 $loadDetail_revenue_target = DriverFinancial::where('driver_id',$driverData->id)->wh//ere('year',Carbon::now()->year)->where('quarter',Carbon::now()->quarter)->pluck('reve//nue_target')->toArray();

                    //06-april-2022 $loadDetail_revenue_target = DriverFinancial::where('driver_id',$driverData->id)->where(\DB::raw('DATE_FORMAT(start_date, "%Y-%m-%d")'), '<=', $start_date)->
                    //     where(\DB::raw('DATE_FORMAT(end_date, "%Y-%m-%d")'), '>=', $end_date)->
                    //     pluck('revenue_target')->toArray();


                    //07-april-2022 $loadDetail_revenue_target[] = getDriverTargetRevenuetracker($start_date,$end_date,$driverData->id);

                    $loadDetail_revenue_target = getTargetRevenueByDate($start_date, $end_date, $driverData->id);

                    //dd($loadDetail_revenue_target);

                    // $quarterly_occupancy_totdata = DriverFinancial::where('driver_id',$driverData->id)
                    // ->where(\DB::raw('DATE_FORMAT(start_date, "%Y-%m-%d")'), '<=', $start_date)
                    // ->where(\DB::raw('DATE_FORMAT(end_date, "%Y-%m-%d")'), '>=', $end_date)
                    // ->pluck('occupancy')->toArray();

                    $quarterly_occupancy_totdata[] = getDriveroccupancytracker($start_date, $end_date, $driverData->id);

                    $divide_quarterly_occupancy_totdata[] = array_sum($quarterly_occupancy_totdata);

                    // dd($loadDetail_revenue_target);

                    $a = Carbon::now();
                    $quarter_date = new \Carbon\Carbon('-3 months'); // for the last quarter requirement

                    $quarterly_revenue_target = DriverFinancial::join('load_details', 'load_details.driver_id', '=', 'drivers.id')
                        ->whereNull('load_details.deleted_at')
                        ->where('driver_financials.driver_id', $driverData->id)->
                    where(\DB::raw('DATE_FORMAT(start_date, "%Y-%m-%d")'), '<=', $start_date)->
                    where(\DB::raw('DATE_FORMAT(end_date, "%Y-%m-%d")'), '>=', $end_date)->
                    pluck('driver_financials.revenue_target')->toArray();

                    //dd($quarterly_revenue_target);

                    //$loadDetail_cpm_target[] = DriverFinancial::where('driver_id',$driverData->id)->
                    // where(\DB::raw('DATE_FORMAT(start_date, "%Y-%m-%d")'), '<=', $start_date)->
                    // where(\DB::raw('DATE_FORMAT(end_date, "%Y-%m-%d")'), '>=', $end_date)->
                    // pluck('cpm_target')->first();

                    $loadDetail_cpm_target[] = getDrivercpm_targettracker($start_date, $end_date, $driverData->id);

                    //dd($loadDetail_cpm_target);

                    if (array_sum($loadDetail_cpm_target) > 0) {
                        //$loadDetail_cpm_targetdata = array_sum($loadDetail_cpm_target) / 12;

                        // $loadDetail_cpm_targetdatacount = array_sum($loadDetail_cpm_target) / count(array_filter($loadDetail_cpm_target));

                        $loadDetail_cpm_targetdatacount = array_sum($loadDetail_cpm_target);

                        $loadDetail_cpm_targetdata = $loadDetail_cpm_targetdatacount;

                    } else {

                        $loadDetail_cpm_targetdata = 0;
                    }

                    $loadDetail_occupancy = DriverFinancial::join('load_details', 'load_details.driver_id', '=', 'drivers.id')
                        ->whereNull('load_details.deleted_at')->where('driver_financials.driver_id', $getTeamsdata->driver_id)->
                    where(\DB::raw('DATE_FORMAT(start_date, "%Y-%m-%d")'), '<=', $start_date)->
                    where(\DB::raw('DATE_FORMAT(end_date, "%Y-%m-%d")'), '>=', $end_date)->
                    pluck('driver_financials.occupancy')->toArray();

                    //dd($loadDetail_occupancy);
                    $loadDetail_mileageper = LoadDriver::whereNull('deleted_at')->where('driver_id', $getTeamsdata->driver_id)->pluck('mileage_percentage')->toArray();

                    //$active_driver = Driver::where('id',$driverData->id)->get();

                    $active_trucks_earned = LoadDriver::whereNull('deleted_at')->where('driver_id', $getTeamsdata->driver_id)->pluck('mileage_percentage')->toArray();

                    $quarterly_occupancy = DriverFinancial::
                    join('load_details', 'load_details.driver_id', '=', 'drivers.id')
                        ->whereNull('load_details.deleted_at')
                        ->where('driver_financials.driver_id', $getTeamsdata->driver_id)->
                    where(\DB::raw('DATE_FORMAT(start_date, "%Y-%m-%d")'), '<=', $start_date)->
                    where(\DB::raw('DATE_FORMAT(end_date, "%Y-%m-%d")'), '>=', $end_date)->
                    pluck('driver_financials.occupancy')->toArray();

                    $getdataOccupancyDaystot = round(getLoadOccupancy($start_date, $end_date, $getTeamsdata->driver_id, $loads, @$trailer_type, @$dispatcher));

                    // dd($quarterly_occupancy);
                    // $occupancy_sum[] = array_sum($quarterly_occupancy) / count($getDriver);

                    if ((array_sum($quarterly_occupancy) > 0) && (count($getDriver) > 0)) {

                        $occupancy_sum[] = array_sum($quarterly_occupancy) / count($getDriver);
                    } else {

                        $occupancy_sum[] = 0;
                    }
                    ///

                    $data_pickup_count = Driver::select("load_details.id")
                        ->join("load_details", "load_details.driver_id", "=", "drivers.id")
                        ->join("load_drivers", "load_drivers.load_detail_id", "=", "load_details.id")
                        ->whereNull('load_details.deleted_at')
                        ->where('drivers.id', $driverData->id)
                        ->where('load_drivers.driver_id', $driverData->id)
                        ->where('drivers.company_id', auth()->guard('company-admin')->user()->company_id)
                        ->where(DB::raw('DATE_FORMAT(actual_shipper_date, "%Y-%m-%d")'), '<=', @$end_date)
                        ->where(DB::raw('DATE_FORMAT(actual_delivery_date, "%Y-%m-%d")'), '>=', @$start_date)
                        ->where('load_details.occupied_pickup_day', 1)
                        ->whereNotIn('load_details.load_type', [0, 4, 6]);

                    $data_pickup_count = $data_pickup_count->count();

                    $comapny_startDate = auth()->guard('company-admin')->user()->weekly_strat_day;

                    $comapny_endDate = auth()->guard('company-admin')->user()->weekly_strat_day + '6';

                    $period = CarbonPeriod::create(@$start_date, @$end_date);


                    $totalDays = 0;
                    $bcoutn = 0;
                    foreach ($period as $date) {

                        $dateYMD = $date->format('m/d/Y');
                        $getload = getLoadByDaterevenue($dateYMD, $getTeamsdata->driver_id);
                        if (count($getload) > 0) {
                            $load_type = array(0, 4, 6);
                            foreach ($getload as $load_details) {
                                if (in_array($load_details['load_type'], $load_type)) {
                                    $totalDays++;
                                    break;
                                }
                            }
                        }
                        if (count($getload) > 1) {
                            $load_type = array(1, 2, 3, 5);
                            $uc = 0;
                            $oc = 0;
                            foreach ($getload as $load_details) {
                                if (in_array($load_details['load_type'], $load_type)) {
                                    $uc++;
                                } else {
                                    $oc++;
                                }
                            }
                            if ($oc > 0 && $uc > 0) {
                                $bcoutn++;
                            }

                        }

                    }

                    //dd($totalDays,$bcoutn,$getload);
                    $totalDays = $totalDays + $data_pickup_count;
                    $totalDays = $totalDays - $bcoutn;
                    $mapeval = max(number_format(100 / 7 * $totalDays, 2), 0);

                    //return $mapeval;

                    $occupancy_revenue = $mapeval;
                    ///

                    ///// Occupancy Revenue start_date end_date ///end_date start_date


                    $datagetLoadGrossRevenue = getLoadGrossRevenue($start_date, $end_date, $getTeamsdata->driver_id, @$driverData, @$trailer_type, @$dispatcher);

                    if (($datagetLoadGrossRevenue > 0) && (count($getDriver) > 0)) {

                        $divideActual_rev = $datagetLoadGrossRevenue / count($getDriver);

                    } else {

                        $divideActual_rev = 0;
                    }

                    $occup_target = ($loadDetail_revenue_target);

                    $multi_reva[] = $occup_target * $divideActual_rev;

                    // dd($getLoadOccupancydivideData);

                    if (array_sum($load_revanyPerunit) > 0) {

                        $total_reveData = array_sum($load_revanyPerunit) / count(array_filter($load_revanyPerunit));

                        $total_reveDataActual = array_sum($load_revanyPerunit);

                    } else {

                        $total_reveData = 0;

                        $total_reveDataActual = 0;
                    }

                    // dd($total_reveDataActual);

                    if (($total_reveData > 0) && (array_sum($multi_reva) > 0)) {

                        $count_total_revenue = ($total_reveData) - (array_sum($multi_reva));

                    } else {

                        $count_total_revenue = 0;
                    }


                    //////

                    $actual_milecount_total_occupancy_miles_data[] = getLoadMileagerevenuetracker($start_date, $end_date, $getTeamsdata->driver_id, @$driverData, @$trailer_type, @$dispatcher);

                    $getLoadCPM[] = getLoadCPM($start_date, $end_date, $getTeamsdata->driver_id, @$driverData, @$trailer_type, @$dispatcher);


                    if (($loadDetail_revenue_target) > 0) {


                        $loadDetail_revenue_targetdata[] = ($loadDetail_revenue_target);

                    } else {

                        $loadDetail_revenue_targetdata[] = 0;
                    }


                    //$occupancy_sum[] = array_sum(@$quarterly_occupancy) / count(@$getDriver);

                    if ((array_sum($quarterly_occupancy) > 0) && (count($getDriver) > 0)) {

                        $occupancy_sum[] = array_sum($quarterly_occupancy) / count($getDriver);
                    } else {

                        $occupancy_sum[] = 0;
                    }

                    if ((($loadDetail_revenue_target)) < (array_sum($getLoadGrossRevenue))) {
                        $unitat_goal_data[] = 100;

                    } else {

                        $unitat_goal_data[] = 0;
                    }


                    /// revenue goal start lastweek //

                    //  $revenueData = (array_sum($loadDetail_revenue_target) / 12) * (array_sum($getLoadOccupancy));

                    // // dd($loadDetail_revenue_targetdata_divide);

                    //  $revenue_divide = $revenueData / 100;

                    //  if((array_sum($getLoadGrossRevenue) > 0) && ($revenue_divide > 0))
                    //  {

                    //       $actualreve_divide_by[] =  array_sum($getLoadGrossRevenue) / $revenue_divide;
                    //  }else{

                    //      $actualreve_divide_by[] = 0;
                    //  }

                    $getdataOccupancyDays = round(getLoadTotalDays($start_date, $end_date, $getTeamsdata->driver_id));


                    if ($getdataOccupancyDays > 0) {

                        $period = CarbonPeriod::create($start_date, $end_date);

                        $datesdays = count($period->toArray());
                        $totalPerData = ($getdataOccupancyDays * 100) / $datesdays;

                        $getdataOccupancyDaystot = $totalPerData;

                    } else {


                        $getdataOccupancyDaystot = 0;
                    }

                    ///////////////////

                    /// Occupancy Revenue    //

                    //dd($loadDetail_revenue_target,$getLoadOccupancydivideData);

                    if ((($loadDetail_revenue_target) > 0) && ($getLoadOccupancydivideData > 0)) {
                        $arrayquarterly_revenue_target = ($loadDetail_revenue_target);

                        // dd($getLoadOccupancydivideData);
                        $multiplyData = $arrayquarterly_revenue_target * ($getLoadOccupancydivideData);

                        $dividebyDatarevenu = $multiplyData / 100;

                        //dd($dividebyData);

                        // getLoadOccupancy

                    } else {

                        $dividebyDatarevenu = 0;
                    }

                    /// occ end ///


                    /// revenue goal start lastyear //

                    // $revenueData = (array_sum($loadDetail_revenue_target)) * ($getdataOccupancyDaystot);

                    if (is_numeric(($loadDetail_revenue_target)) && is_numeric($getdataOccupancyDaystot)) {

                        $revenueData = (($loadDetail_revenue_target)) * ($getdataOccupancyDaystot);

                    } else {

                        $revenueData = 0;
                        // do some error handling...
                    }

                    //dd($loadDetail_revenue_target,$getdataOccupancyDaystot);
                    $revenue_divide = $revenueData / 100;

                    if ((array_sum($getLoadGrossRevenue) > 0) && ($revenue_divide > 0)) {

                        $actualreve_divide_by[] = array_sum($getLoadGrossRevenue) / $revenue_divide;
                    } else {

                        $actualreve_divide_by[] = 0;
                    }

                    ///////////////////
                    //dd($actualreve_divide_by);

                    $current_startdate = $request->startDate;
                    $current_enddate = $request->endDate;
                }
                
                if ($request->input('id') == "CurrentWeek") {
        
                    $now = Carbon::now();
                    $weekStartDate = $now->startOfWeek()->format('Y-m-d');
                    $weekEndDate = $now->endOfWeek()->format('Y-m-d');
                    $current_startdate = Carbon::now()->startOfWeek(@$start_date)->format('m-d-Y');
                    $current_enddate = Carbon::now()->endOfWeek(@$end_date)->format('m-d-Y');

                    $active_driver = LoadDetail::whereNull('deleted_at')
                    ->where('driver_id',$getTeamsdata->driver_id)
                    ->whereBetween('created_at', [$weekStartDate, $weekEndDate])
                    ->first();

                    if (empty($active_driver)) {
                        $active_driverdata[] = 0;
                        //$inactive_driverdata[] = 1;

                    } else {
                        $active_driverdata[] = 1;
                        //$inactive_driverdata[] = 0;
                    }

                    ///

                    /// Revenue Band ///
                    //< $3,000.00///
                    //$three_Lower = array()
                    if (array_sum($load_revanyPerunit) < 3000.00) {

                        $three_Lower[] = 1;
                    } else {

                        $three_Lower[] = 0;
                    }
                    //}

                    ///$3000 - $4000

                    //$threeTofour = array();
                    // foreach($load_revanyPerunit as $countToal){

                    if (array_sum($load_revanyPerunit) > 3000 && array_sum($load_revanyPerunit) < 4000) {

                        $threeTofour[] = 1;
                    } else {

                        $threeTofour[] = 0;
                    }
                    // }


                    ///$4000 - $5000

                    $fourTofive = array();
                    // foreach($load_revanyPerunit as $countToal){

                    if (array_sum($load_revanyPerunit) > 4000 && array_sum($load_revanyPerunit) < 5000) {

                        $fourTofive[] = 1;
                    } else {

                        $fourTofive[] = 0;
                    }
                    //   }

                    ///$5000 - $6000

                    //$fiveTosix = array();
                    //foreach($load_revanyPerunit as $countToal){

                    if (array_sum($load_revanyPerunit) > 5000 && array_sum($load_revanyPerunit) < 6000) {

                        $fiveTosix[] = 1;
                    } else {

                        $fiveTosix[] = 0;
                    }
                    //  }

                    ///$6000 - $7000

                    //$sixToseven = array();
                    //foreach(array_sum($load_revanyPerunit) as $countToal){

                    if (array_sum($load_revanyPerunit) > 6000 && array_sum($load_revanyPerunit) < 7000) {

                        $sixToseven[] = 1;
                    } else {

                        $sixToseven[] = 0;
                    }
                    //}

                    // ///>$7,000.00

                    // $greater_then_seven = array();
                    // foreach($load_revanyPerunit as $countToal){

                    if (array_sum($load_revanyPerunit) > 7000) {

                        $greater_then_seven[] = 1;
                    } else {

                        $greater_then_seven[] = 0;
                    }
                    // }

                    $get_quarter = Carbon::now()->quarter;
                    $get_year = Carbon::now()->year;

                   $loads = getDriverLoads($get_quarter,$get_year,$getTeamsdata,$company_id);

                   $getLoadGrossRevenue[] = getLoadGrossRevenue($weekStartDate, $weekEndDate, $getTeamsdata->driver_id, $loads, @$trailer_type, @$dispatcher);
                    $getLoadOccupancy[] = round(getLoadOccupancy($weekStartDate, $weekEndDate, $getTeamsdata->driver_id, $loads, @$trailer_type, @$dispatcher));

                    $getLoadOccupancyj = getloadCount(Carbon::now()->startOfWeek(@$start_date)->format('Y-m-d'),
                                        Carbon::now()->endOfWeek(@$end_date)->format('Y-m-d'), 0, $getTeamsdata->driver_id);
                 
                    $tot = $getLoadOccupancyj;

                    if ($tot > 0) {

                        $getLoadOccupancynewdata[] = round(($getLoadOccupancyj * 100) / $tot, 2);

                    } else {

                        $getLoadOccupancynewdata[] = $getLoadOccupancyj;
                    }

                    $getLoadOccupancydivideData = round(getLoadOccupancy($weekStartDate, $weekEndDate, $getTeamsdata->driver_id, $loads, @$trailer_type, @$dispatcher));

                    if (array_sum($getLoadOccupancynewdata) > 0) {

                        $fleetOccupancyData[] = array_sum($getLoadOccupancynewdata) / count(array_filter($getLoadOccupancynewdata));

                    } else {

                        $fleetOccupancyData[] = 0;
                    }

                
                    $loadDetaildataget = LoadDetail::whereNull('deleted_at')->where('driver_id', $getTeamsdata->driver_id)
                                                     ->whereBetween(DB::raw('DATE_FORMAT(load_details.actual_delivery_date, "%Y-%m-%d")'), [Carbon::now()->startOfWeek()->format('Y-m-d'), Carbon::now()->endOfWeek()->format('Y-m-d')])->pluck('total_miles')->toArray();

                   
                    $load_revanyPerunit[] = getLoadGrossRevenue($weekStartDate, $weekEndDate, $getTeamsdata->driver_id, $loads, @$trailer_type, @$dispatcher);

                    $load_revanyPerunitcount_cpm[] = LoadDetail::whereNull('deleted_at')->where('driver_id',$getTeamsdata->driver_id)->pluck('driver_revenue')->toArray();

                    $load_milesPerunitcount_cpm[] = LoadDetail::whereNull('deleted_at')->where('driver_id', $getTeamsdata->driver_id)->pluck('total_miles')->toArray();

                    $loadDetail_revenue = LoadDetail::whereNull('deleted_at')->where('driver_id', $getTeamsdata->driver_id)->pluck('driver_revenue')->toArray();

                    $loadDetail_revenue_target = getTargetRevenueByDate($weekStartDate, $weekEndDate, $getTeamsdata->driver_id);
                    $quarterly_target_milesData[] = getDrivertarget_milestrackerByDate($weekStartDate, $weekEndDate, $getTeamsdata->driver_id);
                    $getdataOccupancyDaysnewdata = round(getLoadTotalDays($weekStartDate, $weekEndDate, $getTeamsdata->driver_id));


                    if ($getdataOccupancyDaysnewdata > 0) {

                        $period = CarbonPeriod::create($weekStartDate, $weekEndDate);

                        $datesdays = count($period->toArray());
                        $totalPerDatan = ($getdataOccupancyDaysnewdata * 100) / $datesdays;

                        $getdataOccupancyDaystot = $totalPerDatan;

                    } else {


                        $getdataOccupancyDaystot = 0;
                    }


                    //dd($getdataOccupancyDaystotn);
                    if (array_sum($quarterly_target_milesData) > 0) {

                        $total_target_miles[] = array_sum($quarterly_target_milesData);

                    } else {

                        $total_target_miles[] = 0;

                    }


                    // dd($total_target_miles);
                    ///// Occupancy Revenue start_date end_date  CurrentWeek ///

                    $datagetLoadGrossRevenue = getLoadGrossRevenue($weekStartDate, $weekEndDate, $getTeamsdata->driver_id, @driverData, @$trailer_type, @$dispatcher);

                    if (($datagetLoadGrossRevenue > 0) && (count($getDriver) > 0)) {

                        $divideActual_rev = $datagetLoadGrossRevenue / count($getDriver);

                    } else {

                        $divideActual_rev = 0;
                    }

                    $occup_target = ($loadDetail_revenue_target);

                    $multi_reva[] = $occup_target * $divideActual_rev;

                    if (array_sum($load_revanyPerunit) > 0) {

                        $total_reveData = array_sum($load_revanyPerunit) / count(array_filter($load_revanyPerunit));

                        $total_reveDataActual = array_sum($load_revanyPerunit);

                    } else {

                        $total_reveData = 0;

                        $total_reveDataActual = 0;
                    }

                    if (($total_reveData > 0) && (array_sum($multi_reva) > 0)) {

                        $count_total_revenue = ($total_reveData) - (array_sum($multi_reva));

                    } else {

                        $count_total_revenue = 0;
                    }

                    //////

                    $a = Carbon::now();
                    $quarter_date = new \Carbon\Carbon('-3 months'); // for the last quarter requirement

                    //07-april-2022 $quarterly_revenue_target = DriverFinancial::where('driver_id',$driverData->id)->where('year',Carbon::now()->year)->where('quarter',Carbon::now()->quarter)->pluck('revenue_target')->toArray();

                    $s_date = $weekStartDate;
                    $e_date = $weekEndDate;

                    $year = Carbon::now()->year;
                    $quarter = Carbon::now()->quarter;
                    $quarterly_revenue_target[] = getTargetRevenueByDate($s_date, $e_date, $getTeamsdata->driver_id);

                    //dd($quarterly_revenue_target);
                    $loadDetail_cpm_target[] = loadDetailCpmTarget($getTeamsdata,$year,$quarter);
                    

                    if (array_sum($loadDetail_cpm_target) > 0) {
                        //$loadDetail_cpm_targetdatacount = array_sum($loadDetail_cpm_target) / count(array_filter($loadDetail_cpm_target));

                        $loadDetail_cpm_targetdatacount = array_sum($loadDetail_cpm_target);


                        $loadDetail_cpm_targetdata = $loadDetail_cpm_targetdatacount;


                    } else {

                        $loadDetail_cpm_targetdata = 0;
                    }

                    $loadDetail_occupancy = DriverFinancial::join('load_details', 'load_details.driver_id', '=', 'driver_financials.driver_id')
                        ->whereNull('load_details.deleted_at')
                        ->where('driver_financials.driver_id', $getTeamsdata->driver_id)
                    ->whereBetween('driver_financials.created_at', [$weekStartDate, $weekEndDate])
                    ->pluck('driver_financials.occupancy')->toArray();

                    $loadDetail_mileageper = LoadDriver::where('driver_id', $getTeamsdata->driver_id)->pluck('mileage_percentage')->toArray();

                    //$active_driver = Driver::where('id',$driverData->id)->get();

                    $active_trucks_earned = LoadDriver::whereNull('deleted_at')->where('driver_id',$getTeamsdata->driver_id)->whereBetween('created_at', [$weekStartDate, $weekEndDate])->pluck('mileage_percentage')->toArray();

                    $quarterly_occupancy = DriverFinancial::join('load_details', 'load_details.driver_id', '=', 'driver_financials.driver_id')
                        ->whereNull('load_details.deleted_at')
                        ->where('driver_financials.driver_id', $getTeamsdata->driver_id)
                    ->where('driver_financials.year', Carbon::now()->year)
                    ->where('driver_financials.quarter', Carbon::now()->quarter)
                    ->pluck('driver_financials.occupancy')
                    ->toArray();


                    $quarterly_occupancy_totdata = DriverFinancial::join('load_details', 'load_details.driver_id', '=', 'driver_financials.driver_id')
                        ->whereNull('load_details.deleted_at')->
                        where('driver_financials.driver_id', $getTeamsdata->driver_id)
                        ->where('driver_financials.year', Carbon::now()->year)
                        ->where('driver_financials.quarter', Carbon::now()->quarter)
                        ->pluck('driver_financials.occupancy')->toArray();

                    $divide_quarterly_occupancy_totdata[] = array_sum($quarterly_occupancy_totdata);

                    $actual_milecount_total_occupancy_miles_data[] = getLoadMileagerevenuetracker($weekStartDate, $weekEndDate, $getTeamsdata->driver_id, @$driverData, @$trailer_type, @$dispatcher);

                    $data_pickup_count = dataPickupCount($getTeamsdata,$company_id,$quarter_date,$weekStartDate);
                    
                    $period = CarbonPeriod::create($weekEndDate, $weekEndDate);

                    $totalDays = 0;
                    $bcoutn = 0;
                    foreach ($period as $date) {

                        $dateYMD = $date->format('m/d/Y');
                        $getload = getLoadByDaterevenue($dateYMD, $getTeamsdata->driver_id);
                        if (count($getload) > 0) {
                            $load_type = array(0, 4, 6);
                            foreach ($getload as $load_details) {
                                if (in_array($load_details['load_type'], $load_type)) {
                                    $totalDays++;
                                    break;
                                }
                            }
                        }
                        if (count($getload) > 1) {
                            $load_type = array(1, 2, 3, 5);
                            $uc = 0;
                            $oc = 0;
                            foreach ($getload as $load_details) {
                                if (in_array($load_details['load_type'], $load_type)) {
                                    $uc++;
                                } else {
                                    $oc++;
                                }
                            }
                            if ($oc > 0 && $uc > 0) {
                                $bcoutn++;
                            }

                        }

                    }

                    //dd($totalDays,$bcoutn,$getload);
                    $totalDays = $totalDays + $data_pickup_count;
                    $totalDays = $totalDays - $bcoutn;
                    $mapeval = max(number_format(100 / 7 * $totalDays, 2), 0);

                    //return $mapeval;

                    $occupancy_revenue = $mapeval;

                    //dd($occupancy_revenue);
                    ///

                    if (($loadDetail_revenue_target) > 0) {
                        $loadDetail_revenue_targetdata[] = ($loadDetail_revenue_target);

                    } else {

                        $loadDetail_revenue_targetdata[] = 0;
                    }

                    $actual_milecount_total_occupancy_miles_data[] = getLoadMileagerevenuetracker($s_date, $e_date, $getTeamsdata->driver_id, @$driverData, @$trailer_type, @$dispatcher);


                    $getLoadCPM[] = getLoadCPM($weekStartDate, $weekEndDate, $getTeamsdata->driver_id, @$driverData, @$trailer_type, @$dispatcher);


                    /// Occupancy Revenue   CurrentWeek //

                    //dd($getdataOccupancyDaystotn);
                    // if(array_sum($quarterly_revenue_target getdataOccupancyDaystot) > 0)
                    if ((array_sum($quarterly_revenue_target) > 0) && ($getLoadOccupancydivideData > 0)) {
                        $arrayquarterly_revenue_target = array_sum($quarterly_revenue_target);

                        // dd($getLoadOccupancy);
                        $multiplyData = $arrayquarterly_revenue_target * ($getLoadOccupancydivideData);

                        $dividebyDatarevenu = $multiplyData / 100;

                        //dd($dividebyDatarevenu);

                        // getLoadOccupancy

                    } else {

                        $dividebyDatarevenu = 0;
                    }

                    /// occ end ///

                    /// revenue goal start lastweek //

                    $revenueData = (($loadDetail_revenue_target)) * (array_sum($getLoadOccupancy));

                    // dd($loadDetail_revenue_targetdata_divide);

                    //dd($loadDetail_revenue_target,$getLoadGrossRevenue,$getLoadOccupancy);

                    $revenue_divide = $revenueData / 100;

                    if ((array_sum($getLoadGrossRevenue) > 0) && ($revenue_divide > 0)) {

                        $actualreve_divide_by[] = array_sum($getLoadGrossRevenue) / $revenue_divide;
                    } else {

                        $actualreve_divide_by[] = 0;
                    }

                    ///////////////////


                    //$occupancy_sum[] = array_sum($quarterly_occupancy) / count($getDriver);

                    if ((array_sum($quarterly_occupancy) > 0) && (count($getDriver) > 0)) {

                        $occupancy_sum[] = array_sum($quarterly_occupancy) / count($getDriver);
                    } else {

                        $occupancy_sum[] = 0;
                    }

                    if ((($loadDetail_revenue_target)) < (array_sum($getLoadGrossRevenue))) {
                        $unitat_goal_data[] = 100;

                    } else {

                        $unitat_goal_data[] = 0;
                    }

                    $passcurrent_startdate = $s_date;

                    $passcurrent_enddate = $e_date;

                }



                
                elseif ($request->input('id') == "LastWeek") {


                    $start_date = auth()->guard('company-admin')->user()->weekly_strat_day;

                    $end_date = auth()->guard('company-admin')->user()->weekly_strat_day - '7';

                    $startDate_data = Carbon::now()->startOfWeek(@$start_date)->subDays(7)->format('Y-m-d');

                    $endDate_data = Carbon::now()->startOfWeek(@$start_date)->subDays(1)->format('Y-m-d');

                    $passcurrent_startdate = $startDate_data;
                    $passcurrent_enddate = $endDate_data;

                    $current_startdate = Carbon::now()->startOfWeek(@$start_date)->subDays(7)->format('m-d-Y');

                    $current_enddate = Carbon::now()->startOfWeek(@$start_date)->subDays(1)->format('m-d-Y');

                    $active_driver = LoadDetail::whereNull('deleted_at')->where('driver_id', $getTeamsdata->driver_id)->whereBetween('created_at', [$startDate_data, $endDate_data])->first();

                    if (empty($active_driver)) {

                        $active_driverdata[] = 0;

                    } else {

                        $active_driverdata[] = 1;
                    }


                    /// Revenue Band ///
                    //< $3,000.00///
                    //$three_Lower = array();
                    // foreach($load_revanyPerunit as $countToal){

                    if (array_sum($load_revanyPerunit) < 3000.00) {

                        $three_Lower[] = 1;
                    } else {

                        $three_Lower[] = 0;
                    }
                    //}

                    ///$3000 - $4000

                    //$threeTofour = array();
                    // foreach($load_revanyPerunit as $countToal){

                    if (array_sum($load_revanyPerunit) > 3000 && array_sum($load_revanyPerunit) < 4000) {

                        $threeTofour[] = 1;
                    } else {

                        $threeTofour[] = 0;
                    }
                    // }


                    ///$4000 - $5000

                    $fourTofive = array();
                    // foreach($load_revanyPerunit as $countToal){

                    if (array_sum($load_revanyPerunit) > 4000 && array_sum($load_revanyPerunit) < 5000) {

                        $fourTofive[] = 1;
                    } else {

                        $fourTofive[] = 0;
                    }
                    //   }

                    ///$5000 - $6000

                    //$fiveTosix = array();
                    //foreach($load_revanyPerunit as $countToal){

                    if (array_sum($load_revanyPerunit) > 5000 && array_sum($load_revanyPerunit) < 6000) {

                        $fiveTosix[] = 1;
                    } else {

                        $fiveTosix[] = 0;
                    }
                    //  }

                    ///$6000 - $7000

                    //$sixToseven = array();
                    //foreach(array_sum($load_revanyPerunit) as $countToal){

                    if (array_sum($load_revanyPerunit) > 6000 && array_sum($load_revanyPerunit) < 7000) {

                        $sixToseven[] = 1;
                    } else {

                        $sixToseven[] = 0;
                    }
                    //}

                    // ///>$7,000.00

                    // $greater_then_seven = array();
                    // foreach($load_revanyPerunit as $countToal){

                    if (array_sum($load_revanyPerunit) > 7000) {

                        $greater_then_seven[] = 1;
                    } else {

                        $greater_then_seven[] = 0;
                    }
                    // }


                    $get_year = Carbon::now()->startOfWeek(@$start_date)->subDays(7)->year;

                    $get_quarter = Carbon::now()->startOfWeek(@$start_date)->subDays(7)->quarter;
                    $loads = getDriverLoads($get_quarter,$get_year,$getTeamsdata,$company_id);
                   
                    $getLoadOccupancy[] = round(getLoadOccupancy($startDate_data, $endDate_data, $getTeamsdata->driver_id, $loads, @$trailer_type, @$dispatcher));

                    $getLoadOccupancyj = getloadCount($startDate_data, $endDate_data, 0, $getTeamsdata->driver_id);

                    $tot = $getLoadOccupancyj;

                    if ($tot > 0) {

                        $getLoadOccupancynewdata[] = round(($getLoadOccupancyj * 100) / $tot, 2);

                    } else {

                        $getLoadOccupancynewdata[] = $getLoadOccupancyj;
                    }

                    $getLoadOccupancydivideData = round(getLoadOccupancy($startDate_data, $endDate_data, $getTeamsdata->driver_id, $loads, @$trailer_type, @$dispatcher));
                    
                    $getLoadGrossRevenue[] = getLoadGrossRevenue($startDate_data, $endDate_data, $getTeamsdata->driver_id, $loads, @$trailer_type, @$dispatcher);


                    $getdataOccupancyDaystot = round(getLoadOccupancy($startDate_data, $endDate_data, $getTeamsdata->driver_id, $loads, @$trailer_type, @$dispatcher));

                    if (array_sum($getLoadOccupancynewdata) > 0) {

                        $fleetOccupancyData[] = array_sum($getLoadOccupancynewdata);

                    } else {

                        $fleetOccupancyData[] = 0;
                    }

                    $loadDetaildataget = LoadDetail::whereNull('deleted_at')->where('driver_id', $getTeamsdata->driver_id)->whereBetween(DB::raw('DATE_FORMAT(load_details.actual_delivery_date, "%Y-%m-%d")'), [$startDate_data, $endDate_data])->pluck('total_miles')->toArray();

                    
                    $load_revanyPerunit = getDriverdriver_revenueDatatracker($startDate_data, $endDate_data, $getTeamsdata->driver_id);

                    $load_revanyPerunitcount_cpm[] = LoadDetail::whereNull('deleted_at')->where('driver_id', $getTeamsdata->driver_id)->pluck('driver_revenue')->toArray();

                    $load_milesPerunitcount_cpm[] = LoadDetail::whereNull('deleted_at')->where('driver_id', $getTeamsdata->driver_id)->pluck('total_miles')->toArray();

                    $loadDetail_revenue = LoadDetail::whereNull('deleted_at')->where('driver_id', $getTeamsdata->driver_id)->pluck('driver_revenue')->toArray();

                    $loadDetail_revenue_target = getTargetRevenueByDate($startDate_data, $endDate_data, $getTeamsdata->driver_id);


                    $quarterly_occupancy_totdata = DriverFinancial::join('load_details', 'load_details.driver_id', '=', 'driver_financials.driver_id')
                        ->whereNull('load_details.deleted_at')
                        ->where('driver_financials.driver_id', $getTeamsdata->driver_id)
                        ->where('driver_financials.year', Carbon::now()->startOfWeek(@$start_date)->subDays(7)->year)
                        ->where('driver_financials.quarter', Carbon::now()->startOfWeek(@$start_date)->subDays(7)->quarter)
                        ->pluck('driver_financials.occupancy')->toArray();


                    $quarterly_target_milesData[] = getDrivertarget_milestrackerByDate($startDate_data, $endDate_data, $getTeamsdata->driver_id);


                    if (array_sum($quarterly_target_milesData) > 0) {

                        $total_target_miles[] = array_sum($quarterly_target_milesData);

                    } else {

                        $total_target_miles[] = 0;

                    }

                    $divide_quarterly_occupancy_totdata[] = array_sum($quarterly_occupancy_totdata);

                    ///// Occupancy Revenue start_date end_date /// startDate_data endDate_data


                    $datagetLoadGrossRevenue = getLoadGrossRevenue($startDate_data, $endDate_data, $getTeamsdata->driver_id, $loads, @$trailer_type, @$dispatcher);

                    if (($datagetLoadGrossRevenue > 0) && (count($getDriver) > 0)) {

                        $divideActual_rev = $datagetLoadGrossRevenue / count($getDriver);

                    } else {

                        $divideActual_rev = 0;
                    }

                    $occup_target = ($loadDetail_revenue_target);

                    $multi_reva[] = $occup_target * $divideActual_rev;

                    if ((array_sum($load_revanyPerunit) > 0)) {

                        $total_reveData = array_sum($load_revanyPerunit) / count(array_filter($load_revanyPerunit));

                        $total_reveDataActual = array_sum($load_revanyPerunit);

                    } else {

                        $total_reveData = 0;

                        $total_reveDataActual = 0;
                    }

                    if (($total_reveData > 0) && (array_sum($multi_reva) > 0)) {

                        $count_total_revenue = ($total_reveData) - (array_sum($multi_reva));

                    } else {

                        $count_total_revenue = 0;
                    }


                    //////

                    $a = Carbon::now();
                    $quarter_date = new \Carbon\Carbon('-3 months'); // for the last quarter requirement

                    $quarterly_revenue_target[] = getTargetRevenueByDate($startDate_data, $endDate_data, $getTeamsdata->driver_id);

                   $year =Carbon::now()->startOfWeek()->subDays(7)->year;
                   $quarter = Carbon::now()->startOfWeek()->subDays(7)->quarter;
                   $loadDetail_cpm_target[] = loadDetailCpmTarget($getTeamsdata,$year,$quarter);
                   
                    if (array_sum($loadDetail_cpm_target) > 0) {
                        $loadDetail_cpm_targetdatacount = array_sum($loadDetail_cpm_target);
                        $loadDetail_cpm_targetdata = $loadDetail_cpm_targetdatacount;

                    } else {
                        $loadDetail_cpm_targetdata = 0;
                    }

                    $loadDetail_occupancy = DriverFinancial::join('load_details', 'load_details.driver_id', '=', 'driver_financials.driver_id')
                        ->whereNull('load_details.deleted_at')
                        ->where('driver_financials.driver_id', $getTeamsdata->driver_id)
                    ->where('driver_financials.year', $year)
                    ->where('driver_financials.quarter', $quarter)
                    ->pluck('driver_financials.occupancy')->toArray();

                    $loadDetail_mileageper = LoadDriver::whereNull('deleted_at')->where('driver_id', $getTeamsdata->driver_id)->pluck('mileage_percentage')->toArray();

                    //$active_driver = Driver::where('id',$driverData->id)->get();

                    $active_trucks_earned = LoadDriver::whereNull('deleted_at')->where('driver_id', $getTeamsdata->driver_id)->pluck('mileage_percentage')->toArray();

                    $quarterly_occupancy = DriverFinancial::join('load_details', 'load_details.driver_id', '=', 'driver_financials.driver_id')
                        ->whereNull('load_details.deleted_at')
                        ->where('driver_financials.driver_id', $getTeamsdata->driver_id)
                    ->where('driver_financials.year', $year)
                    ->where('driver_financials.quarter', $quarter)
                    ->pluck('driver_financials.occupancy')->toArray();

                    ///

                    $data_pickup_count = dataPickupCount($getTeamsdata,$company_id,$quarter_date,$weekStartDate);
                    
                    $period = CarbonPeriod::create(Carbon::now()->endOfWeek(@$start_date), Carbon::now()->endOfWeek(@$end_date));


                    $totalDays = 0;
                    $bcoutn = 0;
                    foreach ($period as $date) {

                        $dateYMD = $date->format('m/d/Y');
                        $getload = getLoadByDaterevenue($dateYMD, $getTeamsdata->driver_id);
                        if (count($getload) > 0) {
                            $load_type = array(0, 4, 6);
                            foreach ($getload as $load_details) {
                                if (in_array($load_details['load_type'], $load_type)) {
                                    $totalDays++;
                                    break;
                                }
                            }
                        }
                        if (count($getload) > 1) {
                            $load_type = array(1, 2, 3, 5);
                            $uc = 0;
                            $oc = 0;
                            foreach ($getload as $load_details) {
                                if (in_array($load_details['load_type'], $load_type)) {
                                    $uc++;
                                } else {
                                    $oc++;
                                }
                            }
                            if ($oc > 0 && $uc > 0) {
                                $bcoutn++;
                            }

                        }

                    }

                    //dd($totalDays,$bcoutn,$getload);
                    $totalDays = $totalDays + $data_pickup_count;
                    $totalDays = $totalDays - $bcoutn;
                    $mapeval = max(number_format(100 / 7 * $totalDays, 2), 0);

                    //return $mapeval;

                    $occupancy_revenue = $mapeval;
                    ///


                    if (($loadDetail_revenue_target) > 0) {
                        $loadDetail_revenue_targetdata[] = ($loadDetail_revenue_target);

                    } else {

                        $loadDetail_revenue_targetdata[] = 0;
                    }

                    $actual_milecount_total_occupancy_miles_data[] = getLoadMileagerevenuetracker($startDate_data, $endDate_data, $getTeamsdata->driver_id, $loads, @$trailer_type, @$dispatcher);


                    // dd($startDate_data,$endDate_data,$actual_milecount_total_occupancy_miles_data);

                    $getLoadCPM[] = getLoadCPM($startDate_data, $endDate_data, $getTeamsdata->driver_id, @$driverData, @$trailer_type, @$dispatcher);


                    // $occupancy_sum[] = array_sum($quarterly_occupancy) / count($getDriver);

                    if ((array_sum($quarterly_occupancy) > 0) && (count($getDriver) > 0)) {

                        $occupancy_sum[] = array_sum($quarterly_occupancy) / count($getDriver);
                    } else {

                        $occupancy_sum[] = 0;
                    }

                    if ((($loadDetail_revenue_target)) < (array_sum($getLoadGrossRevenue))) {
                        $unitat_goal_data[] = 100;

                    } else {

                        $unitat_goal_data[] = 0;
                    }


                    /// revenue goal start lastweek //

                    $revenueData = (($loadDetail_revenue_target)) * ($getLoadOccupancydivideData);

                    // dd($datagetLoadGrossRevenue);

                    $revenue_divide = $revenueData / 100;

                    if (($datagetLoadGrossRevenue > 0) && ($revenue_divide > 0)) {

                        $actualreve_divide_by[] = array_sum($getLoadGrossRevenue) / $revenue_divide;
                    } else {

                        $actualreve_divide_by[] = 0;
                    }


                    // dd($actualreve_divide_by);
                    ///////////////////


                    /// Occupancy Revenue    date filter//
                    //if(array_sum($quarterly_revenue_target) > 0)
                    //dd($quarterly_revenue_target);
                    if ((array_sum($quarterly_revenue_target) > 0) && ($getLoadOccupancydivideData > 0)) {
                        $arrayquarterly_revenue_target = array_sum($quarterly_revenue_target);

                        //dd($getLoadOccupancydivideData,$quarterly_revenue_target);
                        $multiplyData = $getLoadOccupancydivideData * ($getLoadOccupancydivideData);

                        $dividebyDatarevenu = $multiplyData / 100;

                    } else {

                        $dividebyDatarevenu = 0;
                    }

                    /// occ end ///
                }

                
                elseif ($request->input('id') == "CurrentMonth") {

                    $start_date = auth()->guard('company-admin')->user()->weekly_strat_day;

                    $end_date = auth()->guard('company-admin')->user()->weekly_strat_day - '7';

                    $startDate_data = Carbon::now()->startOfWeek(@$start_date)->subDays(7);

                    $endDate_data = Carbon::now()->startOfWeek(@$start_date)->subDays(1);


                    $now = Carbon::now();
                    $startOfMonth = $now->startOfMonth()->format('Y-m-d');
                    $endOfMonth = $now->endOfMonth()->format('Y-m-d');
                    
                    $current_startdate = $now->startOfMonth()->format('m-d-Y');
                    $current_enddate = $now->endOfMonth()->format('m-d-Y');

                    $passcurrent_startdate = $startOfMonth;
                    $passcurrent_enddate = $endOfMonth;


                    $loadDetaildataget = LoadDetail::whereNull('deleted_at')->where('driver_id', $getTeamsdata->driver_id)
                    ->whereMonth('actual_delivery_date',  Carbon::now()->month)->pluck('total_miles')->toArray();
                   
                    $load_revanyPerunit = getDriverdriver_revenueDatatracker($startOfMonth, $endOfMonth, $getTeamsdata->driver_id);

                    $load_revanyPerunitcount_cpm[] = LoadDetail::whereNull('deleted_at')->where('driver_id', $getTeamsdata->driver_id)->pluck('driver_revenue')->toArray();

                    $load_milesPerunitcount_cpm[] = LoadDetail::whereNull('deleted_at')->where('driver_id', $getTeamsdata->driver_id)->pluck('total_miles')->toArray();

                    $loadDetail_revenue = LoadDetail::whereNull('deleted_at')->where('driver_id', $getTeamsdata->driver_id)->pluck('driver_revenue')->toArray();

                    // dd($loadDetail_revenue); startOfMonth

                    $loadDetail_revenue_target = getTargetRevenueByDate($startOfMonth, $endOfMonth, $getTeamsdata->driver_id);

                    $a = Carbon::now();
                    $quarter_date = new \Carbon\Carbon('-3 months'); // for the last quarter requirement

                    $quarterly_revenue_target[] = getTargetRevenueByDate($startOfMonth, $endOfMonth, $getTeamsdata->driver_id);

                    $quarterly_target_milesData[] = getDrivertarget_milestrackerByDate($startOfMonth, $endOfMonth, $getTeamsdata->driver_id);


                    if (array_sum($quarterly_target_milesData) > 0) {

                        $total_target_miles[] = array_sum($quarterly_target_milesData);

                    } else {

                        $total_target_miles[] = 0;

                    }

                    $year = Carbon::now()->startOfWeek()->subDays(7)->year;
                    $quarter = Carbon::now()->startOfWeek()->subDays(7)->quarter;
                    $loadDetail_cpm_target[] = loadDetailCpmTarget($getTeamsdata,$year,$quarter);

                    if (array_sum($loadDetail_cpm_target) > 0) {
                        $loadDetail_cpm_targetdatacount = array_sum($loadDetail_cpm_target) / count(array_filter($loadDetail_cpm_target));

                        $loadDetail_cpm_targetdatacount = array_sum($loadDetail_cpm_target);

                        $loadDetail_cpm_targetdata = $loadDetail_cpm_targetdatacount;

                    } else {

                        $loadDetail_cpm_targetdata = 0;
                    }

                    $loadDetail_occupancy = DriverFinancial::join('load_details', 'load_details.driver_id', '=', 'driver_financials.driver_id')
                        ->whereNull('load_details.deleted_at')
                        ->where('driver_financials.driver_id', $getTeamsdata->driver_id)
                        ->where('driver_financials.year', Carbon::now()->year)
                        ->where('driver_financials.quarter', Carbon::now()->quarter)
                        ->pluck('driver_financials.occupancy')
                        ->toArray();

                    $loadDetail_mileageper = LoadDriver::whereNull('deleted_at')->whereNull('deleted_at')->where('driver_id', $getTeamsdata->driver_id)->pluck('mileage_percentage')->toArray();

                    //$active_driver = Driver::where('id',$driverData->id)->get();

                    $active_trucks_earned = LoadDriver::whereNull('deleted_at')->whereNull('deleted_at')->where('driver_id', $getTeamsdata->driver_id)->pluck('mileage_percentage')->toArray();

                    $quarterly_occupancy = DriverFinancial::join('load_details', 'load_details.driver_id', '=', 'driver_financials.driver_id')
                        ->whereNull('load_details.deleted_at')
                        ->where('driver_financials.driver_id', $getTeamsdata->driver_id)
                        ->where('driver_financials.year', Carbon::now()->year)
                        ->where('driver_financials.quarter', Carbon::now()->quarter)
                        ->pluck('driver_financials.occupancy')->toArray();


                    ///
                    $monthData = Carbon::now()->month;
                    
                   $data_pickup_count = dataPickupCountMonth($getTeamsdata,$company_id,$quarter_date,$weekStartDate,$monthData);
                   
                    $period = CarbonPeriod::create(Carbon::now()->endOfWeek(@$start_date), Carbon::now()->endOfWeek(@$end_date));


                    $totalDays = 0;
                    $bcoutn = 0;
                    foreach ($period as $date) {

                        $dateYMD = $date->format('m/d/Y');
                        $getload = getLoadByDaterevenue($dateYMD, $getTeamsdata->driver_id);
                        if (count($getload) > 0) {
                            $load_type = array(0, 4, 6);
                            foreach ($getload as $load_details) {
                                if (in_array($load_details['load_type'], $load_type)) {
                                    $totalDays++;
                                    break;
                                }
                            }
                        }
                        if (count($getload) > 1) {
                            $load_type = array(1, 2, 3, 5);
                            $uc = 0;
                            $oc = 0;
                            foreach ($getload as $load_details) {
                                if (in_array($load_details['load_type'], $load_type)) {
                                    $uc++;
                                } else {
                                    $oc++;
                                }
                            }
                            if ($oc > 0 && $uc > 0) {
                                $bcoutn++;
                            }

                        }

                    }

                    //dd($totalDays,$bcoutn,$getload);
                    $totalDays = $totalDays + $data_pickup_count;
                    $totalDays = $totalDays - $bcoutn;
                    $mapeval = max(number_format(100 / 7 * $totalDays, 2), 0);

                    //return $mapeval;

                    $occupancy_revenue = $mapeval;
                    ///


                    if (($loadDetail_revenue_target) > 0) {
                        $loadDetail_revenue_targetdata[] = ($loadDetail_revenue_target);

                    } else {

                        $loadDetail_revenue_targetdata[] = 0;
                    }


                    //dd($passcurrent_startdate,$passcurrent_enddate);

                    $getdataOccupancyDays = round(getLoadTotalDays($startOfMonth, $endOfMonth, $getTeamsdata->driver_id));

                    //dd($getdataOccupancyDays);

                    $quarterly_occupancy_totdata = DriverFinancial::join('load_details', 'load_details.driver_id', '=', 'driver_financials.driver_id')
                        ->whereNull('load_details.deleted_at')
                        ->where('driver_financials.driver_id', $getTeamsdata->driver_id)
                        ->where(\DB::raw('DATE_FORMAT(driver_financials.start_date, "%Y-%m-%d")'), '<=', $startOfMonth)
                        ->where(\DB::raw('DATE_FORMAT(driver_financials.end_date, "%Y-%m-%d")'), '>=', $endOfMonth)
                        ->pluck('driver_financials.occupancy')->toArray();

                    $divide_quarterly_occupancy_totdata[] = array_sum($quarterly_occupancy_totdata);

                    $active_driver = LoadDetail::whereNull('deleted_at')->where('driver_id', $getTeamsdata->driver_id)->whereBetween('created_at', [$startOfMonth, $endOfMonth])->first();


                    if (empty($active_driver)) {

                        $active_driverdata[] = 0;

                    } else {

                        $active_driverdata[] = 1;
                    }

                    $actual_milecount_total_occupancy_miles_data[] = getLoadMileagerevenuetracker($startOfMonth, $endOfMonth, $getTeamsdata->driver_id, @$driverData, @$trailer_type, @$dispatcher);

                    ///// Occupancy Revenue start_date end_date ///

                    $datagetLoadGrossRevenue = getLoadGrossRevenue($startOfMonth, $endOfMonth, $getTeamsdata->driver_id, @$driverData, @$trailer_type, @$dispatcher);

                    if (($datagetLoadGrossRevenue > 0) && (count($getDriver) > 0)) {

                        $divideActual_rev = $datagetLoadGrossRevenue / count($getDriver);

                    } else {

                        $divideActual_rev = 0;
                    }

                    $occup_target = ($loadDetail_revenue_target);

                    $multi_reva[] = $occup_target * $divideActual_rev;

                    if ((array_sum($load_revanyPerunit) > 0)) {

                        $total_reveData = array_sum($load_revanyPerunit) / count(array_filter($load_revanyPerunit));

                        $total_reveDataActual = array_sum($load_revanyPerunit);

                    } else {

                        $total_reveData = 0;

                        $total_reveDataActual = 0;
                    }

                    if (($total_reveData > 0) && (array_sum($multi_reva) > 0)) {

                        $count_total_revenue = ($total_reveData) - (array_sum($multi_reva));

                    } else {

                        $count_total_revenue = 0;
                    }


                    //////

                    $get_quarter = Carbon::now()->quarter;
                    $get_year = Carbon::now()->year;

                    //$occupancy_sum[] = array_sum($quarterly_occupancy) / count($getDriver);

                    if ((array_sum($quarterly_occupancy) > 0) && (count($getDriver) > 0)) {

                        $occupancy_sum[] = array_sum($quarterly_occupancy) / count($getDriver);
                    } else {

                        $occupancy_sum[] = 0;
                    }
                   $loads = getDriverLoads($get_quarter,$get_year,$getTeamsdata,$company_id);
                    

                    $getLoadOccupancy[] = round(getLoadOccupancy($startOfMonth, $endOfMonth, $getTeamsdata, $loads, @$trailer_type, @$dispatcher));


                    // $getLoadOccupancynewdata[] = round(getLoadOccupancynewdata($startOfMonth,$endOfMonth,$driverData->i//d,$loads,@$trailer_type,@$dispatcher));

                    $getLoadOccupancyj = getloadCount($startOfMonth, $endOfMonth, 0, $getTeamsdata->driver_id);

                    $tot = $getLoadOccupancyj;

                    if ($tot > 0) {

                        $getLoadOccupancynewdata[] = round(($getLoadOccupancyj * 100) / $tot, 2);

                    } else {

                        $getLoadOccupancynewdata[] = $getLoadOccupancyj;
                    }

                    // dd($getLoadOccupancy);

                    $getLoadOccupancydivideData = round(getLoadOccupancy($startOfMonth, $endOfMonth, $getTeamsdata->driver_id, $loads, @$trailer_type, @$dispatcher));


                    $getdataOccupancyDays = round(getLoadTotalDays($startOfMonth, $endOfMonth, $getTeamsdata->driver_id));

                    if ($getdataOccupancyDays > 0) {
                        $period = CarbonPeriod::create($startOfMonth, $endOfMonth);

                        $datesdays = count($period->toArray());
                        $totalPerData = ($getdataOccupancyDays * 100) / $datesdays;

                        $getdataOccupancyDaystot = $totalPerData;

                    } else {


                        $getdataOccupancyDaystot = 0;
                    }

                    //dd($getdataoccupi);


                    $getLoadCPM[] = getLoadCPM($startOfMonth, $endOfMonth, $getTeamsdata->driver_id, $loads, @$trailer_type, @$dispatcher);

                    $getLoadGrossRevenue[] = getLoadGrossRevenue($startOfMonth, $endOfMonth, $getTeamsdata->driver_id, $loads, @$trailer_type, @$dispatcher);

                    //dd($getLoadGrossRevenue);

                    if (array_sum($getLoadOccupancynewdata) > 0) {

                        $fleetOccupancyData[] = array_sum($getLoadOccupancynewdata) / count(array_filter($getLoadOccupancynewdata));

                    } else {

                        $fleetOccupancyData[] = 0;
                    }


                    if ((($loadDetail_revenue_target)) < (array_sum($getLoadGrossRevenue))) {
                        $unitat_goal_data[] = 100;

                    } else {

                        $unitat_goal_data[] = 0;
                    }

                    $revenueData = (($loadDetail_revenue_target)) * ($getdataOccupancyDaystot);


                    $revenue_divide = $revenueData / 100;

                    if ((array_sum($getLoadGrossRevenue) > 0) && ($revenue_divide > 0)) {
                        //dd($revenue_divide,array_sum($getLoadGrossRevenue));
                        $actualreve_divide_by[] = array_sum($getLoadGrossRevenue) / $revenue_divide;
                    } else {

                        $actualreve_divide_by[] = 0;
                    }

                    // dd($actualreve_divide_by);

                    ///////////////////

                    /// Occupancy Revenue CurrentMonth   //

                    //if(array_sum($quarterly_revenue_target) > 0)
                    if ((array_sum($quarterly_revenue_target) > 0) && ($getLoadOccupancydivideData > 0)) {
                        $arrayquarterly_revenue_target = array_sum($quarterly_revenue_target);

                        $multiplyData = $getLoadOccupancydivideData * ($arrayquarterly_revenue_target);

                        $dividebyDatarevenu = $multiplyData / 100;

                    } else {

                        $dividebyDatarevenu = 0;
                    }


                    /// Revenue Band ///
                    //< $3,000.00///
                    //$three_Lower = array();
                    // foreach($load_revanyPerunit as $countToal){

                    if (array_sum($load_revanyPerunit) < 3000.00) {

                        $three_Lower[] = 1;
                    } else {

                        $three_Lower[] = 0;
                    }
                    //}

                    ///$3000 - $4000

                    //$threeTofour = array();
                    // foreach($load_revanyPerunit as $countToal){

                    if (array_sum($load_revanyPerunit) > 3000 && array_sum($load_revanyPerunit) < 4000) {

                        $threeTofour[] = 1;
                    } else {

                        $threeTofour[] = 0;
                    }
                    // }


                    ///$4000 - $5000

                    $fourTofive = array();
                    // foreach($load_revanyPerunit as $countToal){

                    if (array_sum($load_revanyPerunit) > 4000 && array_sum($load_revanyPerunit) < 5000) {

                        $fourTofive[] = 1;
                    } else {

                        $fourTofive[] = 0;
                    }
                    //   }

                    ///$5000 - $6000

                    //$fiveTosix = array();
                    //foreach($load_revanyPerunit as $countToal){

                    if (array_sum($load_revanyPerunit) > 5000 && array_sum($load_revanyPerunit) < 6000) {

                        $fiveTosix[] = 1;
                    } else {

                        $fiveTosix[] = 0;
                    }
                    //  }

                    ///$6000 - $7000

                    //$sixToseven = array();
                    //foreach(array_sum($load_revanyPerunit) as $countToal){

                    if (array_sum($load_revanyPerunit) > 6000 && array_sum($load_revanyPerunit) < 7000) {

                        $sixToseven[] = 1;
                    } else {

                        $sixToseven[] = 0;
                    }
                    //}

                    // ///>$7,000.00

                    // $greater_then_seven = array();
                    // foreach($load_revanyPerunit as $countToal){

                    // if (array_sum($load_revanyPerunit) > 7000) {

                    //      $greater_then_seven[] = 1;
                    //  }else{

                    //      $greater_then_seven[] = 0;
                    //  }
                    // }

                    // $current_startdate = $now->startOfMonth()->format('Y-m-d');
                    // $current_enddate = $now->endOfMonth()->formate('m-d-Y');

                    // dd($current_startdate);

                    /// occ end ///
                }
                

                elseif ($request->input('id') == "LastMonth") {

                    $date = Carbon::now();
                    $lastMonth = $date->subMonth();

                    $start_date = auth()->guard('company-admin')->user()->weekly_strat_day;

                    $end_date = auth()->guard('company-admin')->user()->weekly_strat_day - '7';

                    $startDate_data = Carbon::now()->startOfWeek(@$start_date)->subDays(7);

                    $endDate_data = Carbon::now()->startOfWeek(@$start_date)->subDays(1);

                    $now = Carbon::now();
                    $startOfMonth = Carbon::now()->startOfMonth()->subMonth()->toDateString();
                    $endOfMonth = Carbon::now()->subMonth()->endOfMonth()->toDateString();

                    $current_startdate = Carbon::now()->startOfMonth()->subMonth()->format('m-d-Y');
                    $current_enddate = Carbon::now()->subMonth()->endOfMonth()->format('m-d-Y');


                    $passcurrent_startdate = Carbon::now()->startOfMonth()->subMonth()->format('Y-m-d');
                    $passcurrent_enddate = Carbon::now()->subMonth()->endOfMonth()->format('Y-m-d');

                    // dd($passcurrent_startdate,$passcurrent_enddate);


                    $loadDetaildataget = LoadDetail::whereNull('deleted_at')->where('driver_id', $getTeamsdata->driver_id)->whereMonth('actual_delivery_date', $lastMonth)->pluck('total_miles')->toArray();

                    // dd($loadDetaildataget);

                    $load_revanyPerunit = LoadDetail::whereNull('deleted_at')->where('driver_id', $getTeamsdata->driver_id)->whereMonth('actual_delivery_date', $lastMonth)->pluck('driver_revenue')->toArray();


                    $load_revanyPerunitcount_cpm[] = LoadDetail::whereNull('deleted_at')->where('driver_id', $getTeamsdata->driver_id)->pluck('driver_revenue')->toArray();

                    $load_milesPerunitcount_cpm[] = LoadDetail::whereNull('deleted_at')->where('driver_id', $getTeamsdata->driver_id)->pluck('total_miles')->toArray();

                    $loadDetail_revenue = LoadDetail::whereNull('deleted_at')->where('driver_id', $getTeamsdata->driver_id)->pluck('driver_revenue')->toArray();


                    if ($lastMonth->format('m') <= '3') {

                        $quarter = 1;
                    }

                    if (($lastMonth->format('m') >= '4') && ($lastMonth->format('m') <= '6')) {
                        $quarter = 2;
                    }

                    if (($lastMonth->format('m') >= '7') && ($lastMonth->format('m') <= '9')) {

                        $quarter = 3;

                    }

                    if (($lastMonth->format('m') >= '10') && ($lastMonth->format('m') <= '12')) {

                        $quarter = 4;

                    }

                    // dd($passcurrent_startdate,$passcurrent_enddate);

                    $loadDetail_revenue_target = getTargetRevenueByDate($passcurrent_startdate, $passcurrent_enddate, $getTeamsdata->driver_id);

                    $a = Carbon::now();
                    $quarter_date = new \Carbon\Carbon('-3 months'); // for the last quarter requirement

                    $quarterly_revenue_target[] = getTargetRevenueByDate($passcurrent_startdate, $passcurrent_enddate, $getTeamsdata->driver_id);
                    $year = Carbon::now()->startOfWeek()->subDays(7)->year;
                    $quarter = Carbon::now()->startOfWeek()->subDays(7)->quarter;
                    //dd($quarterly_revenue_target);
                    $loadDetail_cpm_target[] = loadDetailCpmTarget($getTeamsdata,$year,$quarter);
                  
                    // dd($loadDetail_cpm_target);

                    $quarterly_target_milesData[] = getDrivertarget_milestrackerByDate($passcurrent_startdate, $passcurrent_enddate, $getTeamsdata->driver_id);

                    //dd($passcurrent_startdate,$passcurrent_enddate,$quarterly_target_milesData);


                    if (array_sum($quarterly_target_milesData) > 0) {

                        $total_target_miles[] = array_sum($quarterly_target_milesData);

                    } else {

                        $total_target_miles[] = 0;

                    }


                    if (array_sum($loadDetail_cpm_target) > 0) {
                        // $loadDetail_cpm_targetdata = array_sum($loadDetail_cpm_target) / 4;

                        /* $loadDetail_cpm_targetdatacount = array_sum($loadDetail_cpm_target) / count(array_filter($loadDetail_cpm_target)); */

                        $loadDetail_cpm_targetdatacount = array_sum($loadDetail_cpm_target);

                        $loadDetail_cpm_targetdata = $loadDetail_cpm_targetdatacount;

                    } else {

                        $loadDetail_cpm_targetdata = 0;
                    }

                    $loadDetail_occupancy = DriverFinancial::join('load_details', 'load_details.driver_id', '=', 'driver_financials.driver_id')
                        ->whereNull('load_details.deleted_at')
                        ->where('driver_financials.driver_id', $getTeamsdata->driver_id)
                        ->where('driver_financials.year', $lastMonth->format('Y'))
                        ->where('driver_financials.quarter', $quarter)
                        ->pluck('driver_financials.occupancy')
                        ->toArray();


                    $loadDetail_mileageper = LoadDriver::whereNull('deleted_at')->where('driver_id', $getTeamsdata->driver_id)->pluck('mileage_percentage')->toArray();

                    //$active_driver = Driver::where('id',$driverData->id)->get();

                    $active_trucks_earned = LoadDriver::whereNull('deleted_at')->where('driver_id', $getTeamsdata->driver_id)->pluck('mileage_percentage')->toArray();

                    $quarterly_occupancy = DriverFinancial::join('load_details', 'load_details.driver_id', '=', 'driver_financials.driver_id')
                        ->whereNull('load_details.deleted_at')
                        ->where('driver_financials.driver_id', $getTeamsdata->driver_id)
                        ->where('driver_financials.year', $lastMonth->format('Y'))
                        ->where('driver_financials.quarter', $quarter)
                        ->pluck('driver_financials.occupancy')->toArray();


                    ///

                    $data_pickup_count =dataPickupCountLastMonth($getTeamsdata,$company_id,$quarter_date,$weekStartDate,$lastMonth);
                   
                    $period = CarbonPeriod::create(Carbon::now()->subMonth());


                    // $totalDays = 0;
                    //  $bcoutn = 0;
                    // foreach ($period as $date) {

                    //     $dateYMD = $date->format('m/d/Y');
                    //     $getload = getLoadByDaterevenue($dateYMD,$driverData->id);
                    //     if(count($getload) > 0){
                    //         $load_type = array(0,4,6);
                    //         foreach($getload as $load_details){
                    //             if(in_array($load_details['load_type'], $load_type)){
                    //                 $totalDays++;
                    //                 break;
                    //             }
                    //         }
                    //     }
                    //     if(count($getload) > 1){
                    //         $load_type = array(1,2,3,5);
                    //         $uc=0;
                    //         $oc=0;
                    //         foreach($getload as $load_details){
                    //             if(in_array($load_details['load_type'], $load_type)){
                    //                 $uc++;
                    //             }else{
                    //                 $oc++;
                    //             }
                    //         }
                    //         if($oc > 0 && $uc > 0){
                    //             $bcoutn++;
                    //         }

                    //     }

                    // }

                    //dd($totalDays,$bcoutn,$getload);
                    // $totalDays = $totalDays + $data_pickup_count;
                    // $totalDays = $totalDays - $bcoutn;
                    // $mapeval = max(number_format(100 / 7 * $totalDays, 2), 0);

                    //return $mapeval;

                    $occupancy_revenue = @$mapeval;
                    ///


                    if (($loadDetail_revenue_target) > 0) {
                        $loadDetail_revenue_targetdata[] = ($loadDetail_revenue_target);

                    } else {

                        $loadDetail_revenue_targetdata[] = 0;
                    }

                    ///// Occupancy Revenue start_date end_date /// startDate_data endDate_data

                    $datagetLoadGrossRevenue = getLoadGrossRevenue($startDate_data->format('Y-m-d'), $endDate_data->format('Y-m-d'), $getTeamsdata->driver_id, @$driverData, @$trailer_type, @$dispatcher);

                    if (($datagetLoadGrossRevenue > 0) && (count($getDriver) > 0)) {

                        $divideActual_rev = $datagetLoadGrossRevenue / count($getDriver);

                    } else {

                        $divideActual_rev = 0;
                    }

                    if (($loadDetail_revenue_target) > 0) {

                        $occup_target = ($loadDetail_revenue_target);

                        $multi_reva[] = $occup_target * $divideActual_rev;

                    } else {


                        $occup_target = 0;

                        $multi_reva[] = 0;
                    }

                    if ((array_sum($load_revanyPerunit) > 0)) {

                        $total_reveData = array_sum($load_revanyPerunit) / count(array_filter($load_revanyPerunit));

                        $total_reveDataActual = array_sum($load_revanyPerunit);

                    } else {

                        $total_reveData = 0;

                        $total_reveDataActual = 0;
                    }

                    if (($total_reveData > 0) && (array_sum($multi_reva) > 0)) {

                        $count_total_revenue = ($total_reveData) - (array_sum($multi_reva));

                    } else {

                        $count_total_revenue = 0;
                    }

                    /// Revenue Band ///
                    //< $3,000.00///
                    //$three_Lower = array();
                    // foreach($load_revanyPerunit as $countToal){

                    if (array_sum($load_revanyPerunit) < 3000.00) {

                        $three_Lower[] = 1;
                    } else {

                        $three_Lower[] = 0;
                    }
                    //}

                    ///$3000 - $4000

                    //$threeTofour = array();
                    // foreach($load_revanyPerunit as $countToal){

                    if (array_sum($load_revanyPerunit) > 3000 && array_sum($load_revanyPerunit) < 4000) {

                        $threeTofour[] = 1;
                    } else {

                        $threeTofour[] = 0;
                    }
                    // }


                    ///$4000 - $5000

                    $fourTofive = array();
                    // foreach($load_revanyPerunit as $countToal){

                    if (array_sum($load_revanyPerunit) > 4000 && array_sum($load_revanyPerunit) < 5000) {

                        $fourTofive[] = 1;
                    } else {

                        $fourTofive[] = 0;
                    }
                    //   }

                    ///$5000 - $6000

                    //$fiveTosix = array();
                    //foreach($load_revanyPerunit as $countToal){

                    if (array_sum($load_revanyPerunit) > 5000 && array_sum($load_revanyPerunit) < 6000) {

                        $fiveTosix[] = 1;
                    } else {

                        $fiveTosix[] = 0;
                    }
                    //  }

                    ///$6000 - $7000

                    //$sixToseven = array();
                    //foreach(array_sum($load_revanyPerunit) as $countToal){

                    if (array_sum($load_revanyPerunit) > 6000 && array_sum($load_revanyPerunit) < 7000) {

                        $sixToseven[] = 1;
                    } else {

                        $sixToseven[] = 0;
                    }
                    //}

                    // ///>$7,000.00
                    // dd($load_revanyPerunit);
                    // $greater_then_seven = array();
                    // foreach($load_revanyPerunit as $countToal){

                    if (array_sum($load_revanyPerunit) > 7000 && array_sum($load_revanyPerunit) >= 7000) {

                        $greater_then_seven[] = 1;
                    } else {

                        $greater_then_seven[] = 0;
                    }
                    // }

                    $getdataOccupancyDays = round(getLoadTotalDays($startOfMonth, $endOfMonth, $getTeamsdata->driver_id));

                    $quarterly_occupancy_totdata = DriverFinancial::join('load_details', 'load_details.driver_id', '=', 'driver_financials.driver_id')
                        ->whereNull('load_details.deleted_at')->where('driver_financials.driver_id', $getTeamsdata->driver_id)
                        ->where(\DB::raw('DATE_FORMAT(driver_financials.start_date, "%Y-%m-%d")'), '<=', $passcurrent_startdate)
                        ->where(\DB::raw('DATE_FORMAT(driver_financials.end_date, "%Y-%m-%d")'), '>=', $passcurrent_enddate)
                        ->pluck('driver_financials.occupancy')->toArray();

                    $divide_quarterly_occupancy_totdata[] = array_sum($quarterly_occupancy_totdata);

                    $active_driver = LoadDetail::whereNull('deleted_at')->where('driver_id', $getTeamsdata->driver_id)->whereBetween(DB::raw('DATE_FORMAT(load_details.actual_delivery_date, "%Y-%m-%d")'), [$passcurrent_startdate, $passcurrent_enddate])->first();

                    // dd($active_driver);
                    if (empty($active_driver)) {

                        $active_driverdata[] = 0;

                        $inactive_driverdata[] = 1;

                    } else {

                        $active_driverdata[] = 1;

                        $inactive_driverdata[] = 0;
                    }
                    $get_quarter = Carbon::now()->quarter;
                    $get_year = Carbon::now()->year;

                    $loads = getDriverLoads($get_quarter,$get_year,$getTeamsdata,$company_id);
                        
                    $actual_milecount_total_occupancy_miles_data[] = getLoadMileagerevenuetracker($passcurrent_startdate, $passcurrent_enddate, $getTeamsdata->driver_id, $loads, @$trailer_type, @$dispatcher);

                    $getLoadGrossRevenue[] = getLoadGrossRevenue($passcurrent_startdate, $passcurrent_enddate, $getTeamsdata->driver_id, $loads, @$trailer_type, @$dispatcher);

                    $getLoadCPM[] = getLoadCPM($passcurrent_startdate, $passcurrent_enddate, $getTeamsdata->driver_id, $loads, @$trailer_type, @$dispatcher);

                    //$occupancy_sum[] = array_sum($quarterly_occupancy) / count($getDriver);

                    if ((array_sum($quarterly_occupancy) > 0) && (count($getDriver) > 0)) {

                        $occupancy_sum[] = array_sum($quarterly_occupancy) / count($getDriver);
                    } else {

                        $occupancy_sum[] = 0;
                    }


                    $getLoadOccupancy[] = round(getLoadOccupancy($passcurrent_startdate, $passcurrent_enddate, $getTeamsdata->driver_id, $loads, @$trailer_type, @$dispatcher));

                    // $getLoadOccupancynewdata[] = round(getLoadOccupancynewdata($startOfMonth,$endOfMonth,$driverData->id,$loads,@$trailer_type,@$dispatcher));


                    $getLoadOccupancyj = getloadCount($passcurrent_startdate, $passcurrent_enddate, 0, $getTeamsdata->driver_id);

                    $tot = $getLoadOccupancyj;

                    if ($tot > 0) {

                        $getLoadOccupancynewdata[] = round(($getLoadOccupancyj * 100) / $tot, 2);

                    } else {

                        $getLoadOccupancynewdata[] = $getLoadOccupancyj;
                    }


                    $getLoadOccupancydivideData = round(getLoadOccupancy($passcurrent_startdate, $passcurrent_enddate, $getTeamsdata->driver_id, $loads, @$trailer_type, @$dispatcher));


                    $getdataOccupancyDays = round(getLoadTotalDays($passcurrent_startdate, $passcurrent_enddate, $getTeamsdata->driver_id));


                    if ($getdataOccupancyDays > 0) {
                        $period = CarbonPeriod::create($passcurrent_startdate, $passcurrent_enddate);

                        $datesdays = count($period->toArray());
                        $totalPerData = ($getdataOccupancyDays * 100) / $datesdays;

                        $getdataOccupancyDaystot = $totalPerData;

                    } else {


                        $getdataOccupancyDaystot = 0;
                    }

                    if (array_sum($getLoadOccupancynewdata) > 0) {

                        $fleetOccupancyData[] = array_sum($getLoadOccupancynewdata) / count(array_filter($getLoadOccupancynewdata));

                    } else {

                        $fleetOccupancyData[] = 0;
                    }

                    if (($loadDetail_revenue_target) < (array_sum($getLoadGrossRevenue))) {
                        $unitat_goal_data[] = 100;

                    } else {

                        $unitat_goal_data[] = 0;
                    }

                    /// revenue goal start lastweek //

                    $revenueData = ($loadDetail_revenue_target) * (array_sum($getLoadOccupancynewdata));

                    // dd($loadDetail_revenue_targetdata_divide);

                    $revenue_divide = $revenueData / 100;

                    if ((array_sum($getLoadGrossRevenue) > 0) && ($revenue_divide > 0)) {

                        $actualreve_divide_by[] = array_sum($getLoadGrossRevenue) / $revenue_divide;
                    } else {

                        $actualreve_divide_by[] = 0;
                    }

                    ///////////////////

                    /// Occupancy Revenue  LastMonth  //

                    if ((array_sum($quarterly_revenue_target) > 0) && ($getdataOccupancyDaystot > 0)) //if(array_sum($quarterly_revenue_target) > 0)
                    {
                        $arrayquarterly_revenue_target = array_sum($quarterly_revenue_target);

                        //dd($quarterly_revenue_target,$getdataOccupancyDaystot);
                        $multiplyData = $arrayquarterly_revenue_target * ($getLoadOccupancydivideData);

                        $dividebyDatarevenu = $multiplyData / 100;

                        //dd($dividebyData);

                        // getLoadOccupancy

                    } else {

                        $dividebyDatarevenu = 0;
                    }

                    /// occ end ///

                }
                

                elseif ($request->input('id') == "ThisYear") {
                    
                    $date = Carbon::now();
                    $lastMonth = $date->subMonth();

                    $start_date = auth()->guard('company-admin')->user()->weekly_strat_day;

                    $end_date = auth()->guard('company-admin')->user()->weekly_strat_day - '7';

                    $startDate_data = Carbon::now()->startOfWeek(@$start_date)->subDays(7);

                    $endDate_data = Carbon::now()->startOfWeek(@$start_date)->subDays(1);

                    $now = Carbon::now();
                    $startOfMonth = $now->startOfYear()->format('Y-m-d');
                    $endOfMonth = $now->endOfYear()->format('Y-m-d');

                    $current_startdate = $now->startOfYear()->format('m-d-Y');
                    $current_enddate = $now->endOfYear()->format('m-d-Y');

                    $passcurrent_startdate = $startOfMonth;
                    $passcurrent_enddate = $endOfMonth;

                    $thisYear = Carbon::now()->year;

                    $loadDetaildataget = LoadDetail::whereNull('deleted_at')->where('driver_id', $getTeamsdata->driver_id)->whereYear('actual_delivery_date', $thisYear)->pluck('total_miles')->toArray();

                    //dd(array_sum($loadDetaildataget));

                    $load_revanyPerunit = LoadDetail::whereNull('deleted_at')->where('driver_id', $getTeamsdata->driver_id)->whereYear('actual_delivery_date', $thisYear)->pluck('driver_revenue')->toArray();

                    //  dd($load_revanyPerunit);

                    $load_revanyPerunitcount_cpm[] = LoadDetail::whereNull('deleted_at')->where('driver_id', $getTeamsdata->driver_id)->pluck('driver_revenue')->toArray();

                    $load_milesPerunitcount_cpm[] = LoadDetail::whereNull('deleted_at')->where('driver_id', $getTeamsdata->driver_id)->pluck('total_miles')->toArray();

                    $loadDetail_revenue = LoadDetail::whereNull('deleted_at')->where('driver_id', $getTeamsdata->driver_id)->pluck('driver_revenue')->toArray();

                    // dd($loadDetail_revenue);

                    $loadDetail_revenue_target = getTargetRevenueByDate($startOfMonth, $endOfMonth, $getTeamsdata->driver_id);


                    $quarterly_occupancy_totdata = DriverFinancial::join('load_details', 'load_details.driver_id', '=', 'driver_financials.driver_id')
                        ->whereNull('load_details.deleted_at')
                       ->where('driver_financials.driver_id', $getTeamsdata->driver_id)
                        ->where('driver_financials.year', $thisYear)
                        ->pluck('driver_financials.occupancy')->toArray();

                    $quarterly_target_milesData = getDrivertarget_milestrackerByDate($startOfMonth, $endOfMonth, $getTeamsdata->driver_id);


                    if (($quarterly_target_milesData) > 0) {

                        $total_target_miles[] = ($quarterly_target_milesData);

                    } else {

                        $total_target_miles[] = 0;

                    }

                    ///dd(array_sum($quarterly_occupancy_totdata));

                    $divide_quarterly_occupancy_totdata[] = array_sum($quarterly_occupancy_totdata);

                    $a = Carbon::now();
                    $quarter_date = new \Carbon\Carbon('-3 months'); // for the last quarter requirement

                    $quarterly_revenue_target[] = getTargetRevenueByDate($startOfMonth, $endOfMonth, $getTeamsdata->driver_id);

                    //dd($quarterly_revenue_target); startOfMonth
                    $year = Carbon::now()->year;
                    $quarter = Carbon::now()->quarter;
                    $loadDetail_cpm_target[] =loadDetailCpmTarget($getTeamsdata,$year,$quarter);



                    if (array_sum($loadDetail_cpm_target) > 0) {
                        /// $loadDetail_cpm_targetdata = array_sum($loadDetail_cpm_target) / 48;

                        // $loadDetail_cpm_targetdatacount = array_sum($loadDetail_cpm_target);

                        // $loadDetail_cpm_targetdatacount = array_sum($loadDetail_cpm_target) / count(array_filter($loadDetail_cpm_target));

                        $loadDetail_cpm_targetdatacount = array_sum($loadDetail_cpm_target);

                        $loadDetail_cpm_targetdata = $loadDetail_cpm_targetdatacount;

                    } else {

                        $loadDetail_cpm_targetdata = 0;
                    }

                    $loadDetail_occupancy = DriverFinancial::join('load_details', 'load_details.driver_id', '=', 'driver_financials.driver_id')
                        ->whereNull('load_details.deleted_at')
                       ->where('driver_financials.driver_id', $getTeamsdata->driver_id)
                        ->where('driver_financials.year', $thisYear)
                        ->pluck('driver_financials.occupancy')->toArray();

                    $loadDetail_mileageper = LoadDriver::whereNull('deleted_at')->where('driver_id', $getTeamsdata->driver_id)->pluck('mileage_percentage')->toArray();

                    //$active_driver = Driver::where('id',$driverData->id)->get();

                    $active_trucks_earned = LoadDriver::whereNull('deleted_at')->where('driver_id', $getTeamsdata->driver_id)->pluck('mileage_percentage')->toArray();

                    $quarterly_occupancy = DriverFinancial::join('load_details', 'load_details.driver_id', '=', 'driver_financials.driver_id')
                        ->whereNull('load_details.deleted_at')
                       ->where('driver_financials.driver_id', $getTeamsdata->driver_id)
                        ->where('driver_financials.year', $thisYear)
                        ->pluck('driver_financials.occupancy')->toArray();

                    ///

                    // $data_pickup_count = Driver::select("load_details.id")
                    // ->join("load_details","load_details.driver_id", "=" ,"drivers.id")
                    // ->join("load_drivers","load_drivers.load_detail_id","=","load_details.id")
                    // ->whereNull('load_details.deleted_at')
                    // ->where('drivers.id',$driverData->id)
                    // ->where('load_drivers.driver_id',$driverData->id)
                    // ->where('drivers.company_id', auth()->guard('company-admin')->user()->company_id)
                    // //->where(DB::raw('DATE_FORMAT(actual_delivery_date, "%Y-%m-%d")'), '>=' ,@$start_date)
                    // ->whereYear('actual_delivery_date',  Carbon::now()->year)
                    // ->where('load_details.occupied_pickup_day', 1)
                    // ->whereNotIn('load_details.load_type',[0,4,6]);

                    $data_pickup_count = LoadDetail::whereNull('deleted_at')->where('driver_id', $getTeamsdata->driver_id)->whereYear('actual_delivery_date', $thisYear)->where('load_details.occupied_pickup_day', 1)->whereNotIn('load_details.load_type', [0, 4, 6])->get();

                    $data_pickup_count = $data_pickup_count->count();

                    $period = CarbonPeriod::create($thisYear);

                    //dd($period);
                    $totalDays = 0;
                    $bcoutn = 0;
                    foreach ($period as $date) {

                        $dateYMD = $date->format('m/d/Y');

                        //  dd($dateYMD);
                        // $getload = getLoadByDaterevenue($dateYMD,$driverData->id);
                        // if(count($getload) > 0){
                        //     $load_type = array(0,4,6);
                        //     foreach($getload as $load_details){
                        //         if(in_array($load_details['load_type'], $load_type)){
                        //             $totalDays++;
                        //             break;
                        //         }
                        //     }
                        // }
                        // if(count($getload) > 1){
                        //     $load_type = array(1,2,3,5);
                        //     $uc=0;
                        //     $oc=0;
                        //     foreach($getload as $load_details){
                        //         if(in_array($load_details['load_type'], $load_type)){
                        //             $uc++;
                        //         }else{
                        //             $oc++;
                        //         }
                        //     }
                        //     if($oc > 0 && $uc > 0){
                        //         $bcoutn++;
                        //     }
                        // }

                    }


                    $totalDays = $totalDays + $data_pickup_count;
                    $totalDays = $totalDays - $bcoutn;
                    $mapeval = max(number_format(100 / 7 * $totalDays, 2), 0);

                    //return $mapeval;

                    $occupancy_revenue = $mapeval;
                    ///

                    if ($loadDetail_revenue_target > 0) {
                        $loadDetail_revenue_targetdata[] = $loadDetail_revenue_target;

                    } else {

                        $loadDetail_revenue_targetdata[] = 0;
                    }


                    $getdataOccupancyDays = round(getLoadTotalDays($startOfMonth, $endOfMonth, $getTeamsdata->driver_id));

                    $active_driver = LoadDetail::whereNull('deleted_at')->where('driver_id', $getTeamsdata->driver_id)->whereBetween('created_at', [$startOfMonth, $endOfMonth])->first();

                    //dd($start_date,$end_date);
                    if (empty($active_driver)) {
                        $active_driverdata[] = 0;

                    } else {
                        $active_driverdata[] = 1;
                    }

                    /// Revenue Band ///
                    //< $3,000.00///
                    //$three_Lower = array();
                    // foreach($load_revanyPerunit as $countToal){

                    if (array_sum($load_revanyPerunit) < 3000.00) {

                        $three_Lower[] = 1;
                    } else {

                        $three_Lower[] = 0;
                    }
                    //}

                    ///$3000 - $4000

                    //$threeTofour = array();
                    // foreach($load_revanyPerunit as $countToal){

                    if (array_sum($load_revanyPerunit) > 3000 && array_sum($load_revanyPerunit) < 4000) {

                        $threeTofour[] = 1;
                    } else {

                        $threeTofour[] = 0;
                    }
                    // }


                    ///$4000 - $5000

                    $fourTofive = array();
                    // foreach($load_revanyPerunit as $countToal){

                    if (array_sum($load_revanyPerunit) > 4000 && array_sum($load_revanyPerunit) < 5000) {

                        $fourTofive[] = 1;
                    } else {

                        $fourTofive[] = 0;
                    }
                    //   }

                    ///$5000 - $6000

                    //$fiveTosix = array();
                    //foreach($load_revanyPerunit as $countToal){

                    if (array_sum($load_revanyPerunit) > 5000 && array_sum($load_revanyPerunit) < 6000) {

                        $fiveTosix[] = 1;
                    } else {

                        $fiveTosix[] = 0;
                    }
                    //  }

                    ///$6000 - $7000

                    //$sixToseven = array();
                    //foreach(array_sum($load_revanyPerunit) as $countToal){

                    if (array_sum($load_revanyPerunit) > 6000 && array_sum($load_revanyPerunit) < 7000) {

                        $sixToseven[] = 1;
                    } else {

                        $sixToseven[] = 0;
                    }
                    //}

                    // ///>$7,000.00

                    // $greater_then_seven = array();
                    // foreach($load_revanyPerunit as $countToal){

                    if (array_sum($load_revanyPerunit) > 7000) {

                        $greater_then_seven[] = 1;
                    } else {

                        $greater_then_seven[] = 0;
                    }
                    // }

                    $get_quarter = Carbon::now()->quarter;
                    $get_year = Carbon::now()->year;

                    $loads = getDriverLoads($get_quarter,$get_year,$getTeamsdata,$company_id) ;
                       
                    $actual_milecount_total_occupancy_miles_data[] = getLoadMileagerevenuetracker($startOfMonth, $endOfMonth, $getTeamsdata->driver_id, $loads, @$trailer_type, @$dispatcher);


                    $getLoadGrossRevenue[] = getLoadGrossRevenue($startOfMonth, $endOfMonth, $getTeamsdata->driver_id, $loads, @$trailer_type, @$dispatcher);

                    $getLoadCPM[] = getLoadCPM($startOfMonth, $endOfMonth, $getTeamsdata->driver_id, $loads, @$trailer_type, @$dispatcher);

                    //dd($getLoadCPM,$startOfMonth,$endOfMonth);

                    // $occupancy_sum[] = array_sum($quarterly_occupancy) / count($getDriver);

                    if ((array_sum($quarterly_occupancy) > 0) && (count($getDriver) > 0)) {

                        $occupancy_sum[] = array_sum($quarterly_occupancy) / count($getDriver);
                    } else {

                        $occupancy_sum[] = 0;
                    }

                    ///// Occupancy Revenue start_date end_date ///

                    $datagetLoadGrossRevenue = getLoadGrossRevenue($startOfMonth, $endOfMonth, $getTeamsdata->driver_id, @$driverData, @$trailer_type, @$dispatcher);

                    if (($datagetLoadGrossRevenue > 0) && (count($getDriver) > 0)) {

                        $divideActual_rev = $datagetLoadGrossRevenue / count($getDriver);

                    } else {

                        $divideActual_rev = 0;
                    }

                    if ($loadDetail_revenue_target > 0) {

                        $occup_target = $loadDetail_revenue_target;

                        $multi_reva[] = $occup_target * $divideActual_rev;

                    } else {


                        $occup_target = 0;

                        $multi_reva[] = 0;
                    }

                    if (array_sum($load_revanyPerunit) > 0) {

                        $total_reveData = array_sum($load_revanyPerunit) / count(array_filter($load_revanyPerunit));

                        $total_reveDataActual = array_sum($load_revanyPerunit);

                    } else {

                        $total_reveData = 0;

                        $total_reveDataActual = 0;
                    }

                    if (($total_reveData > 0) && (array_sum($multi_reva) > 0)) {

                        $count_total_revenue = ($total_reveData) - (array_sum($multi_reva));

                    } else {

                        $count_total_revenue = 0;
                    }

                    //dd($startOfMonth$endOfMonth);
                    //////
                    $getLoadOccupancy[] = round(getLoadOccupancy($startOfMonth, $endOfMonth, $getTeamsdata->driver_id, $loads, @$trailer_type, @$dispatcher));


                    // $getLoadOccupancynewdata[] = round(getLoadOccupancynewdata($startOfMonth,$endOfMonth,$driverData->id,$loads,@$trailer_type,@$dispatcher));


                    $getLoadOccupancyj = getloadCount($startOfMonth, $endOfMonth, 0, $getTeamsdata->driver_id);

                    $tot = $getLoadOccupancyj;

                    if ($tot > 0) {

                        $getLoadOccupancynewdata[] = round(($getLoadOccupancyj * 100) / $tot, 2);

                    } else {

                        $getLoadOccupancynewdata[] = $getLoadOccupancyj;
                    }


                    $getLoadOccupancydivideData = round(getLoadOccupancy($startOfMonth, $endOfMonth, $getTeamsdata->driver_id, $loads, @$trailer_type, @$dispatcher));


                    $getdataOccupancyDays = round(getLoadTotalDays($startOfMonth, $endOfMonth, $getTeamsdata->driver_id));

                    //dd($getdataOccupancyDaystot);
                    $getdataOccupancyDaystot = array();
                    if ($getdataOccupancyDays > 0) {
                        $period = CarbonPeriod::create($startOfMonth, $endOfMonth);

                        $datesdays = count($period->toArray());
                        $totalPerData = ($getdataOccupancyDays * 100) / $datesdays;

                        $getdataOccupancyDaystot = $totalPerData;

                    } else {


                        $getdataOccupancyDaystot = 0;
                    }

                    //dd($startOfMonth,$endOfMonth,$getdataOccupancyDaystot,$getdataOccupancyDays,$datesdays);

                    if (array_sum($getLoadOccupancynewdata) > 0) {

                        $fleetOccupancyData = array_sum($getLoadOccupancynewdata) / count(array_filter($getLoadOccupancynewdata));

                    } else {

                        $fleetOccupancyData = 0;
                    }


                    if (($loadDetail_revenue_target) < (array_sum($getLoadGrossRevenue))) {
                        $unitat_goal_data[] = 100;

                    } else {

                        $unitat_goal_data[] = 0;
                    }

                    /// revenue goal start lastweek //

                    $revenueData = (($loadDetail_revenue_target)) * ($getdataOccupancyDaystot);

                    // dd($loadDetail_revenue_targetdata_divide);

                    $revenue_divide = $revenueData / 100;

                    if ((array_sum($getLoadGrossRevenue) > 0) && ($revenue_divide > 0)) {

                        $actualreve_divide_by[] = array_sum($getLoadGrossRevenue) / $revenue_divide;
                    } else {

                        $actualreve_divide_by[] = 0;
                    }

                    // dd($revenueData,$actualreve_divide_by,$getLoadGrossRevenue,$getLoadOccupancy);

                    ///////////////////


                    /// Occupancy Revenue  ThisYear  //

                    ///if(array_sum($quarterly_revenue_target) > 0)
                    //dd($getdataOccupancyDaystot);
                    if ((array_sum($quarterly_revenue_target) > 0) && ($getdataOccupancyDaystot > 0)) {
                        $arrayquarterly_revenue_target = array_sum($quarterly_revenue_target);

                        $multiplyData = $arrayquarterly_revenue_target * ($getLoadOccupancydivideData);

                        // dd($getdataOccupancyDaystot,$arrayquarterly_revenue_target,$multiplyData,$getdataOccupancyDaystot);
                        $dividebyDatarevenu = $multiplyData / 100;

                        // dd($dividebyDatarevenu);

                        // getLoadOccupancy

                    } else {

                        $dividebyDatarevenu = 0;
                    }


                    /// occ end ///
                }

                // dd($dividebyDatarevenu);
             
                elseif ($request->input('id') == "LastYear") {

                    $start_date = auth()->guard('company-admin')->user()->weekly_strat_day;

                    $end_date = auth()->guard('company-admin')->user()->weekly_strat_day - '7';

                    $startDate_data = Carbon::now()->startOfWeek(@$start_date)->subDays(7);

                    $endDate_data = Carbon::now()->startOfWeek(@$start_date)->subDays(1);


                    $now = Carbon::today()->subYear();
                    $startOfMonth = $now->startOfYear()->format('Y-m-d');
                    $endOfMonth = $now->endOfYear()->format('Y-m-d');

                    $passcurrent_startdate = $startOfMonth;
                    $passcurrent_enddate = $endOfMonth;


                    $loadDetaildataget = LoadDetail::whereNull('deleted_at')->where('driver_id', $getTeamsdata->driver_id)->whereYear('actual_delivery_date', Carbon::today()->subYear())->pluck('total_miles')->toArray();

                    $load_revanyPerunit = LoadDetail::whereNull('deleted_at')->where('driver_id', $getTeamsdata->driver_id)->whereYear('actual_delivery_date', Carbon::today()->subYear())->pluck('driver_revenue')->toArray();

                    $load_revanyPerunitcount_cpm = LoadDetail::whereNull('deleted_at')->where('driver_id', $getTeamsdata->driver_id)->pluck('driver_revenue')->toArray();

                    $load_milesPerunitcount_cpm = LoadDetail::whereNull('deleted_at')->where('driver_id', $getTeamsdata->driver_id)->pluck('total_miles')->toArray();

                    $loadDetail_revenue = LoadDetail::whereNull('deleted_at')->where('driver_id', $getTeamsdata->driver_id)->pluck('driver_revenue')->toArray();

                    // dd($loadDetail_revenue);

                    $loadDetail_revenue_target = getTargetRevenueByDate($startOfMonth, $endOfMonth, $getTeamsdata->driver_id);

                    $quarterly_target_milesData = DriverFinancial::join('load_details', 'load_details.driver_id', '=', 'driver_financials.driver_id')
                        ->whereNull('load_details.deleted_at')->where('driver_financials.driver_id', $getTeamsdata->driver_id)
                        ->where('driver_financials.year', Carbon::today()->subYear())
                        ->pluck('driver_financials.target_miles')->toArray();

                    if (array_sum($quarterly_target_milesData) > 0) {

                        $total_target_miles[] = array_sum($quarterly_target_milesData);

                    } else {

                        $total_target_miles[] = 0;

                    }

                    $a = Carbon::now();
                    $quarter_date = new \Carbon\Carbon('-3 months'); // for the last quarter requirement

                    $quarterly_revenue_target[] = getTargetRevenueByDate($startOfMonth, $endOfMonth, $getTeamsdata->driver_id);

                    //dd($quarterly_revenue_target);

                    $loadDetail_cpm_target[] = DriverFinancial::join('load_drivers', 'load_drivers.driver_id', '=', 'driver_financials.driver_id')
                        ->whereNull('load_drivers.deleted_at')
                        ->where('driver_financials.driver_id', $getTeamsdata->driver_id)
                        ->where('driver_financials.year', Carbon::now()->startOfWeek()->subDays(7)->year)
                        ->where('driver_financials.quarter', Carbon::now()->startOfWeek()->subDays(7)->quarter)
                        ->pluck('driver_financials.cpm_target')->first();

                    //dd($loadDetail_cpm_target);

                    if (array_sum($loadDetail_cpm_target) > 0) {
                        //$loadDetail_cpm_targetdata = array_sum($loadDetail_cpm_target) / 48;

                        //dd($loadDetail_cpm_target);
                        //$loadDetail_cpm_targetdatacount = array_sum($loadDetail_cpm_target) / count(array_filter($loadDetail_cpm_target));

                        $loadDetail_cpm_targetdatacount = array_sum($loadDetail_cpm_target);

                        $loadDetail_cpm_targetdata = $loadDetail_cpm_targetdatacount;

                    } else {

                        $loadDetail_cpm_targetdata = 0;
                    }


                    $loadDetail_occupancy = DriverFinancial::
                    join('load_details', 'load_details.driver_id', '=', 'driver_financials.driver_id')
                        ->whereNull('load_details.deleted_at')->where('driver_financials.driver_id', $getTeamsdata->driver_id)
                        ->where('driver_financials.year', Carbon::today()->subYear())->pluck('driver_financials.occupancy')->toArray();

                    $loadDetail_mileageper = LoadDriver::whereNull('deleted_at')->where('driver_id', $getTeamsdata->driver_id)->pluck('mileage_percentage')->toArray();

                    //$active_driver = Driver::where('id',$driverData->id)->get();

                    $active_trucks_earned = LoadDriver::whereNull('deleted_at')->where('driver_id', $getTeamsdata->driver_id)->pluck('mileage_percentage')->toArray();

                    $quarterly_occupancy = DriverFinancial::join('load_details', 'load_details.driver_id', '=', 'driver_financials.driver_id')
                        ->whereNull('load_details.deleted_at')->where('driver_financials.driver_id', $getTeamsdata->driver_id)
                    ->where('driver_financials.year', Carbon::today()->subYear())->pluck('driver_financials.occupancy')->toArray();

                    $quarterly_occupancy_totdata = DriverFinancial::
                    join('load_details', 'load_details.driver_id', '=', 'driver_financials.driver_id')
                        ->whereNull('load_details.deleted_at')->where('driver_financials.driver_id', $getTeamsdata->driver_id)
                        ->where('driver_financials.year', Carbon::today()->subYear())
                        ->pluck('driver_financials.occupancy')->toArray();

                    $divide_quarterly_occupancy_totdata[] = array_sum($quarterly_occupancy_totdata);

                    ///

                    $data_pickup_count = Driver::select("load_details.id")
                        ->join("load_details", "load_details.driver_id", "=", "drivers.id")
                        ->join("load_drivers", "load_drivers.load_detail_id", "=", "load_details.id")
                        ->whereNull('load_details.deleted_at')
                        ->where('drivers.id', $getTeamsdata->driver_id)
                        ->where('load_drivers.driver_id', $getTeamsdata->driver_id)
                        ->where('drivers.company_id', auth()->guard('company-admin')->user()->company_id)
                        //->where(DB::raw('DATE_FORMAT(actual_delivery_date, "%Y-%m-%d")'), '>=' ,@$start_date)
                        ->whereYear('actual_delivery_date', Carbon::today()->subYear())
                        ->where('load_details.occupied_pickup_day', 1)
                        ->whereNotIn('load_details.load_type', [0, 4, 6]);

                    $data_pickup_count = $data_pickup_count->count();

                    $period = CarbonPeriod::create(Carbon::today()->subYear());

                    $totalDays = 0;
                    $bcoutn = 0;


                    //dd($totalDays,$bcoutn,$getload);
                    $totalDays = $totalDays + $data_pickup_count;
                    $totalDays = $totalDays - $bcoutn;
                    $mapeval = max(number_format(100 / 7 * $totalDays, 2), 0);

                    //return $mapeval;

                    $occupancy_revenue = $mapeval;
                    ///
                    // dd($occupancy_revenue);


                    if (($loadDetail_revenue_target) > 0) {
                        $loadDetail_revenue_targetdata[] = ($loadDetail_revenue_target);

                    } else {

                        $loadDetail_revenue_targetdata[] = 0;
                    }

                    $getdataOccupancyDays = round(getLoadTotalDays($startOfMonth, $endOfMonth, $getTeamsdata->driver_id));

                    $active_driver = LoadDetail::whereNull('deleted_at')->where('driver_id', $getTeamsdata->driver_id)->whereBetween('created_at', [$startOfMonth, $endOfMonth])->first();

                    //dd($start_date,$end_date);
                    if (empty($active_driver)) {

                        $active_driverdata[] = 0;

                        $inactive_driverdata[] = 1;

                    } else {

                        $active_driverdata[] = 1;

                        $inactive_driverdata[] = 0;
                    }


                    // foreach($load_revanyPerunit as $countToal){

                    /// Revenue Band ///
                    //< $3,000.00///
                    //$three_Lower = array();
                    // foreach($load_revanyPerunit as $countToal){

                    if (array_sum($load_revanyPerunit) < 3000.00) {

                        $three_Lower[] = 1;
                    } else {

                        $three_Lower[] = 0;
                    }
                    //}

                    ///$3000 - $4000

                    //$threeTofour = array();
                    // foreach($load_revanyPerunit as $countToal){

                    if (array_sum($load_revanyPerunit) > 3000 && array_sum($load_revanyPerunit) < 4000) {

                        $threeTofour[] = 1;
                    } else {

                        $threeTofour[] = 0;
                    }
                    // }


                    ///$4000 - $5000

                    $fourTofive = array();
                    // foreach($load_revanyPerunit as $countToal){

                    if (array_sum($load_revanyPerunit) > 4000 && array_sum($load_revanyPerunit) < 5000) {

                        $fourTofive[] = 1;
                    } else {

                        $fourTofive[] = 0;
                    }
                    //   }

                    ///$5000 - $6000

                    //$fiveTosix = array();
                    //foreach($load_revanyPerunit as $countToal){

                    if (array_sum($load_revanyPerunit) > 5000 && array_sum($load_revanyPerunit) < 6000) {

                        $fiveTosix[] = 1;
                    } else {

                        $fiveTosix[] = 0;
                    }
                    //  }

                    ///$6000 - $7000

                    //$sixToseven = array();
                    //foreach(array_sum($load_revanyPerunit) as $countToal){

                    if (array_sum($load_revanyPerunit) > 6000 && array_sum($load_revanyPerunit) < 7000) {

                        $sixToseven[] = 1;
                    } else {

                        $sixToseven[] = 0;
                    }
                    //}

                    // ///>$7,000.00

                    // $greater_then_seven = array();
                    // foreach($load_revanyPerunit as $countToal){

                    if (array_sum($load_revanyPerunit) > 7000) {

                        $greater_then_seven[] = 1;
                    } else {

                        $greater_then_seven[] = 0;
                    }
                    // }

                    $get_quarter = Carbon::now()->quarter;
                    $get_year = Carbon::now()->year;

                    $loads =
                        Driver::select("teams.name as team_name", "drivers.id as driverid", "drivers.company_id as driver_company_id", "drivers.first_name", "drivers.last_name", "drivers.middle_name", "driver_financials.revenue_target as wgrr_seasonal", "driver_financials.occupancy as occupancy_commitment", "load_details.driver_id", "load_details.load_id", "load_details.load_type", "load_details.is_disable", "load_details.agreed_upon_rate", "load_details.detention", "load_details.accessorial", "load_details.fuel_surcharge_cost_per_mile", "load_details.shipper_city", "load_details.shipper_state", "load_details.delivery_city", "load_details.delivery_state", "load_details.load_number", "load_details.load_status", "load_details.actual_delivery_date", "load_drivers.load_detail_id")
                            ->join("driver_informations", "driver_informations.driver_id", "=", "drivers.id")
                            ->leftjoin('driver_financials', function ($join) use ($get_quarter, $get_year) {
                                $join->on('drivers.id', '=', 'driver_financials.driver_id')
                                    ->where('driver_financials.year', $get_year)
                                    ->where('driver_financials.quarter', $get_quarter);
                            })
                            ->leftjoin("teams", "teams.id", "=", "drivers.team_id")
                            ->leftjoin("load_details", "load_details.driver_id", "=", "drivers.id")
                            ->leftjoin("loads", "loads.id", "=", "load_details.load_id")
                            ->leftjoin("load_drivers", "load_drivers.driver_id", "=", "drivers.id")
                            ->where('drivers.company_id', auth()->guard('company-admin')->user()->company_id)
                            ->where('drivers.id', $getTeamsdata->driver_id)
                            ->where('teams.id', $getTeamsdata->driver_id)
                            ->groupBy('load_details.driver_id')
                            ->orderByRaw('drivers.last_name ASC, drivers.first_name ASC')
                            ->first();


                    $actual_milecount_total_occupancy_miles_data[] = getLoadMileagerevenuetracker($startOfMonth, $endOfMonth, $getTeamsdata->driver_id, $loads, @$trailer_type, @$dispatcher);

                    $getLoadCPM[] = getLoadCPM($startOfMonth, $endOfMonth, $getTeamsdata->driver_id, $loads, @$trailer_type, @$dispatcher);

                    $getLoadGrossRevenue[] = getLoadGrossRevenue($startOfMonth, $endOfMonth, $getTeamsdata->driver_id, $loads, @$trailer_type, @$dispatcher);

                    // $occupancy_sum[] = array_sum($quarterly_occupancy) / count($getDriver);

                    if ((array_sum($quarterly_occupancy) > 0) && (count($getDriver) > 0)) {

                        $occupancy_sum[] = array_sum($quarterly_occupancy) / count($getDriver);
                    } else {

                        $occupancy_sum[] = 0;
                    }

                    ///// Occupancy Revenue start_date end_date ///

                    $datagetLoadGrossRevenue = getLoadGrossRevenue($startOfMonth, $endOfMonth, $getTeamsdata->driver_id, @$driverData, @$trailer_type, @$dispatcher);

                    if (($datagetLoadGrossRevenue > 0) && (count($getDriver) > 0)) {

                        $divideActual_rev = $datagetLoadGrossRevenue / count($getDriver);

                    } else {

                        $divideActual_rev = 0;
                    }

                    if (($loadDetail_revenue_target) > 0) {

                        $occup_target = ($loadDetail_revenue_target);

                        $multi_reva[] = $occup_target * $divideActual_rev;

                    } else {


                        $occup_target = 0;

                        $multi_reva[] = 0;
                    }

                    if (array_sum($load_revanyPerunit) > 0) {

                        $total_reveData = array_sum($load_revanyPerunit) / count(array_filter($load_revanyPerunit));

                        $total_reveDataActual = array_sum($load_revanyPerunit);

                    } else {

                        $total_reveData = 0;

                        $total_reveDataActual = 0;
                    }

                    if (($total_reveData > 0) && (array_sum($multi_reva) > 0)) {

                        $count_total_revenue = ($total_reveData) - (array_sum($multi_reva));

                    } else {

                        $count_total_revenue = 0;
                    }


                    //////

                    $getLoadOccupancy[] = round(getLoadOccupancy($startOfMonth, $endOfMonth, $getTeamsdata->driver_id, @$driverData, @$trailer_type, @$dispatcher));

                    //$getLoadOccupancynewdata[] = round(getLoadOccupancynewdata($startOfMonth,$endOfMonth,$driverData->id,$driverData,@$trailer_type,@$dispatcher));

                    $getLoadOccupancyj = getloadCount($startOfMonth, $endOfMonth, 0, $getTeamsdata->driver_id);

                    $tot = $getLoadOccupancyj;

                    if ($tot > 0) {

                        $getLoadOccupancynewdata[] = round(($getLoadOccupancyj * 100) / $tot, 2);

                    } else {

                        $getLoadOccupancynewdata[] = $getLoadOccupancyj;
                    }


                    $getLoadOccupancydivideData = round(getLoadOccupancy($startOfMonth, $endOfMonth, $getTeamsdata->driver_id, @$driverData, @$trailer_type, @$dispatcher));

                    $getdataOccupancyDays = round(getLoadTotalDays($startOfMonth, $endOfMonth, $getTeamsdata->driver_id));


                    if ($getdataOccupancyDays > 0) {

                        $period = CarbonPeriod::create($startOfMonth, $endOfMonth);

                        $datesdays = count($period->toArray());
                        $totalPerData = ($getdataOccupancyDays * 100) / $datesdays;

                        $getdataOccupancyDaystot = $totalPerData;

                    } else {


                        $getdataOccupancyDaystot = 0;
                    }

                    if (array_sum($getLoadOccupancynewdata) > 0) {

                        $fleetOccupancyData = array_sum($getLoadOccupancynewdata) / count(array_filter($getLoadOccupancynewdata));

                    } else {

                        $fleetOccupancyData = 0;
                    }

                    if ((($loadDetail_revenue_target)) < (array_sum($getLoadGrossRevenue))) {
                        $unitat_goal_data[] = 100;

                    } else {

                        $unitat_goal_data[] = 0;
                    }


                    /// revenue goal start lastyear //

                    $revenueData = (($loadDetail_revenue_target)) * (array_sum($getLoadOccupancynewdata));

                    // dd($getLoadOccupancynewdata);

                    $revenue_divide = $revenueData / 100;

                    if ((array_sum($getLoadGrossRevenue) > 0) && ($revenue_divide > 0)) {

                        $actualreve_divide_by[] = array_sum($getLoadGrossRevenue) / $revenue_divide;
                    } else {

                        $actualreve_divide_by[] = 0;
                    }

                    ///////////////////

                    /// Occupancy Revenue  last year  //

                    //if(array_sum($quarterly_revenue_target) > 0)
                    if ((array_sum($quarterly_revenue_target) > 0) && ($getLoadOccupancydivideData > 0)) {
                        $arrayquarterly_revenue_target = array_sum($quarterly_revenue_target);

                        //  dd($arrayquarterly_revenue_target);
                        $multiplyData = $arrayquarterly_revenue_target * ($getLoadOccupancydivideData);

                        $dividebyDatarevenu = $multiplyData / 100;

                        //dd($dividebyData);

                        // getLoadOccupancy

                    } else {

                        $dividebyDatarevenu = 0;
                    }

                    /// occ end ///

                    $now = Carbon::today()->subYear();

                    $current_startdate = $now->startOfYear()->format('m-d-Y');
                    $current_enddate = $now->endOfYear()->format('m-d-Y');

                    $passcurrent_startdate = $now->startOfYear()->format('Y-m-d');

                    $passcurrent_enddate = $now->endOfYear()->format('Y-m-d');


                    ///>$7,000.00

                }

                // dd($greater_then_seven);

                //$inactive_driver = Driver::where('id',$driverData->id)->onlyTrashed()->get();

                if (array_sum($loadDetail_occupancy) > 0) {
                    $fleet_occupancy = array_sum($loadDetail_occupancy) / count(array_filter($loadDetail_occupancy));

                } else {-

                    $fleet_occupancy = 0;
                }

                if (array_sum($loadDetaildataget) > 0) {
                    $total_miles[] = array_sum($loadDetaildataget);
                } else {

                    $total_miles[] = 0;
                }

                if (array_sum($loadDetail_revenue) > 0) {
                    $total_revenue[] = array_sum($loadDetail_revenue);
                } else {

                    $total_revenue[] = 0;
                }

                if (array_sum($loadDetail_mileageper) > 0) {
                    $loadDetail_mileageperdata = array_sum($loadDetail_mileageper);

                } else {

                    $loadDetail_mileageperdata = 0;
                }

                $difference_act_obj = array_sum($total_revenue) - array_sum($loadDetail_revenue_targetdata);

                if (($total_revenue != '0') && ($total_miles != '0')) {

                    $centpermiles = array_sum($total_revenue) / count($total_miles);

                } else {


                    $centpermiles = 0;

                }

                $driverCountData = count($getDrivercount);

                if ((array_sum($total_miles) > '0') && ($driverCountData > '0')) {
                    $mileagesperUnit[] = array_sum($total_miles) / $driverCountData;

                } else {

                    $mileagesperUnit[] = 0;
                }

                $count_revanyPerunitdata = count($load_revanyPerunit);

                $driverCountData = count($getDrivercount);

                if (((int)$count_revanyPerunitdata > '0') && ((int)$driverCountData > '0')) {
                    $revenueperUnit[] = (int)$count_revanyPerunitdata / (int)$driverCountData;

                } else {

                    $revenueperUnit[] = 0;

                }

                //CMP Per Unit
                if ((array_sum($load_revanyPerunitcount_cpm) > '0') && (array_sum($load_milesPerunitcount_cpm) > '0')) {
                    $total_cpm_perunit[] = array_sum($load_revanyPerunitcount_cpm) / array_sum($load_milesPerunitcount_cpm);

                } else {

                    $total_cpm_perunit[] = 0;

                }

                if ((array_sum($revenueperUnit) > 0) && (array_sum($mileagesperUnit) > 0)) {

                    $cpm_per_unit[] = array_sum($revenueperUnit) / array_sum($mileagesperUnit);

                } else {

                    $cpm_per_unit[] = 0;
                }

                $loaddetails_occupancy_total = count($loadDetail_occupancy);

                // if(((int)$loadDetail_revenue_targetdata > 0) && ((int)$loaddetails_occupancy_total > 0))
                // {

                //     $occupancy_revenue = ((int)$loadDetail_revenue_targetdata * 100) / (int)$loadDetail_occupancy;

                // }else{

                //     $occupancy_revenue = '0';
                // }

                if ((array_sum($getLoadGrossRevenue) > 0) && (array_sum($total_revenue) > 0)) {

                    $total_occupancy_revenue[] = (array_sum($total_revenue)) - (array_sum($getLoadGrossRevenue));

                } else {

                    $total_occupancy_revenue[] = 0;
                }

                // dd($loadDetail_occupancy);

                $loadDetailsCount = array_sum($loadDetail_occupancy);
                // dd(array_sum($total_target_miles),$getLoadOccupancydivideData);
                // if((array_sum($total_miles) > 0) && ($loadDetailsCount > 0))
                if ((($quarterly_target_milesData) > 0) && ($getdataOccupancyDaystot > 0)) {
                    //$total_occupancy_miles[] = ((array_sum($total_target_miles)) * ($getLoadOccupancydivideData) / 100);

                    $totalPerDataRound = round($getdataOccupancyDaystot);

                    $total_occupancy_miles[] = ((array_sum($total_target_miles)) * ($totalPerDataRound) / 100);

                } else {

                    $total_occupancy_miles[] = 0;
                }


                if (($total_occupancy_miles > 0) && (array_sum($actual_milecount_total_occupancy_miles_data) > 0)) {
                    $final_ans_miles[] = array_sum($actual_milecount_total_occupancy_miles_data) - array_sum($total_occupancy_miles);

                } else {

                    $final_ans_miles[] = 0;
                }

                if ((array_sum($total_revenue) > 0) && (array_sum($quarterly_revenue_target) > 0)) {
                    $count_cpm_load = array_sum($quarterly_revenue_target);

                    $actual_CPM[] = @($count_cpm_load) / array_sum($total_revenue);

                } else {

                    $actual_CPM[] = 0;
                }


            if ((array_sum($getLoadGrossRevenue) > 0) && (array_sum($load_revanyPerunitcount_cpm) > 0)) {
              /*  count($getDriver)*/
                $gettrget_divide_driver = $load_revanyPerunitcount_cpm / 0;

                /** @var TYPE_NAME $getLoadGrossRevenue */
                $divideActive = $getLoadGrossRevenue / $gettrget_divide_driver;

                $total_multiply[] = $divideActive * 100;

            } else {


                $gettrget_divide_driver = 0;

                $divideActive = 0;

                $total_multiply[] = 0;

            }

            if (array_sum($loadDetaildataget) > 0) {

                $total_milesPer = (array_sum($loadDetaildataget)) / count(array_filter($loadDetaildataget));

            } else {

                $total_milesPer = 0;
            }


            if (array_sum($actual_milecount_total_occupancy_miles_data) > 0) {

                $tot_actualmilege = array_sum($actual_milecount_total_occupancy_miles_data);
            } else {

                $tot_actualmilege = 0;
            }


            //// divide by active driver////

            if (array_sum($loadDetail_revenue_targetdata) > 0) {

                $driverdivide_revenue_target_new = @array_sum($loadDetail_revenue_targetdata);
            } else {

                $driverdivide_revenue_target_new = 0;
            }

            if (array_sum($multi_reva) > 0) {

                $driverdivide_multi_reva = @array_sum($multi_reva) / count(array_filter($multi_reva));
            } else {

                $driverdivide_multi_reva = 0;
            }

            if (array_sum($total_miles) > 0) {

                $driverdivide_total_miles = @array_sum($total_miles) / count(array_filter($total_miles));
            } else {

                $driverdivide_total_miles = 0;
            }


            if (array_sum($loadDetail_cpm_target) > 0) {

                //$driverDiv_loadDetail_cpm_targetdata = @array_sum($loadDetail_cpm_target) / count(array_filter($loadDetail_cpm_target));

                $driverDiv_loadDetail_cpm_targetdata = @array_sum($loadDetail_cpm_target);

                $divibyweek_cpm_targetdata = $driverDiv_loadDetail_cpm_targetdata;

            } else {

                $divibyweek_cpm_targetdata = 0;
            }

            if (array_sum($getLoadOccupancynewdata) > 0) {


                $fleetOcuudata[] = @array_sum($getLoadOccupancynewdata) / count(array_filter($getLoadOccupancynewdata));

            } else {

                $fleetOcuudata[] = 0;

            }

            if (array_sum($getLoadCPM) > 0) {

                $driverDiv_getLoadCPM = @array_sum($getLoadCPM) / count(array_filter($getLoadCPM));

            } else {

                $driverDiv_getLoadCPM = 0;

            }


            if (($total_reveData > '0') && (@$total_milesPer) > '0') {
                $cpm_per_unit_countData = @$total_reveData / @$total_milesPer;

            } else {

                $cpm_per_unit_countData = 0;
            }


            if (array_sum($getLoadCPM) > '0') {
                //$driverDiv_getLoadCPM =  @array_sum($getLoadCPM) / count(array_filter($getLoadCPM));

                $driverDiv_getLoadCPM = @array_sum($getLoadCPM);


            } else {

                $driverDiv_getLoadCPM = 0;
            }

            //// end of divide by active driver ////

            //dd($unitat_goal_data);
            if (array_sum($unitat_goal_data) > 0) {

                $mainCount = count(array_filter($unitat_goal_data));

                if ($mainCount == '1') {

                    $divideCount = count($unitat_goal_data);

                } elseif (count(array_filter($unitat_goal_data)) == count($unitat_goal_data)) {

                    $divideCount = 1;

                } else {

                    $divideCount = count(array_filter($unitat_goal_data)) - count($unitat_goal_data);
                }


                $main_unitatgoal = @array_sum($unitat_goal_data) / $divideCount;
            } else {

                $main_unitatgoal = 0;
            }

            if (array_sum($three_Lower) > 0) {
                $count_three_Lower = @count(array_filter($three_Lower));

            } else {

                $count_three_Lower = 0;
            }

            if (array_sum($threeTofour) > 0) {
                $count_threeTofour = @count(array_filter($threeTofour));

            } else {

                $count_threeTofour = 0;
            }

            ///$5000 - $6000

            if (array_sum($fourTofive) > 0) {
                $count_fourTofive = @count(array_filter($fourTofive));

            } else {

                $count_fourTofive = 0;
            }

            if (array_sum($fiveTosix) > 0) {
                $count_fiveTosix = @count(array_filter($fiveTosix));

            } else {

                $count_fiveTosix = 0;
            }

            if (array_sum($sixToseven) > 0) {
                $count_sixToseven = @count(array_filter($sixToseven));

            } else {

                $count_sixToseven = 0;
            }

            if (($greater_then_seven) > 0) {

                $count_greater_then_seven = @count($greater_then_seven);
            } else {

                $count_greater_then_seven = 0;
            }

            if (($dividebyDatarevenu) > 0) {

                // $count_dividebyDatarevenu = (array_sum($dividebyDatarevenu)) / count(array_filter($dividebyDatarevenu));

                $count_dividebyDatarevenu = ($dividebyDatarevenu);
            } else {

                $count_dividebyDatarevenu = 0;
            }


            if (array_sum($total_target_miles) > 0) {

                $total_target_milesData = (array_sum($total_target_miles)) / count(array_filter($total_target_miles));
            } else {

                $total_target_milesData = 0;
            }
            

            $dataArray[] = array(
                'getdataOccupancyDays' => @$getdataOccupancyDaystot,
                'total_target_miles' => @$total_target_milesData,
                'cpm_per_unit_countData' => @$cpm_per_unit_countData,
                'totalOccupancy' => @$count_total_revenue,
                "teamId" => @$getTeamsdata->id,
                "teamName" => @$getTeamsdata->name,
                //10-april-2022  'new_loadDetaildataget' => @$total_milesPer,
                'new_loadDetaildataget' => @$driverdivide_total_miles,
                "Drivercount" => @count($getDriver),
                "Miles" => @$driverdivide_total_miles,
                'load_revanyPerunit' => @$total_reveData,
                'load_revanyActual' => @$total_reveDataActual,
                "revenue" => @array_sum($total_revenue),
                "revenue_target" => @$driverdivide_revenue_target_new,
                "difference_act_obj" => @$difference_act_obj,
                "mileage_percentage" => @$loadDetail_mileageperdata,
                "centpermiles" => @$centpermiles,
                "mileagePerunit" => @array_sum($mileagesperUnit),
                "revenueperUnit" => @array_sum($getLoadGrossRevenue),
                'activedriver' => @array_sum($active_driverdata),
                'inactivedriver' => @array_sum($inactive_driverdata),
                'target_CPM' => @$loadDetail_cpm_targetdata,
                //29'fleet_occupancy' => @$fleet_occupancy,
                'fleet_occupancy' => @array_sum($fleetOcuudata),
                'cpm_per_unit' => @array_sum($cpm_per_unit),
                'occupancy_revenue' => array_sum($getLoadGrossRevenue),
                'total_occupancy_revenue' => @array_sum($total_occupancy_revenue),
                'total_occupancy_miles' => @array_sum($total_occupancy_miles),
                'final_ans_miles' => @array_sum($final_ans_miles),
                // 'actual_cpm' => @$actual_CPM,
                'actual_cpm' => @$driverDiv_getLoadCPM,
                'quarterly_revenue_target' => @array_sum($quarterly_revenue_target),
                'active_trucks_earned' => @array_sum($active_trucks_earned),
                'quarterly_occupancy' => @array_sum($occupancy_sum),
                'three_Lower' => @$count_three_Lower,
                'threeTofour' => @$count_threeTofour,
                'fourTofive' => @$count_fourTofive,
                'fiveTosix' => @$count_fiveTosix,
                'sixToseven' => @$count_sixToseven,
                'greater_then_seven' => @$count_greater_then_seven,
                'total_cpm_perunit' => @array_sum($total_cpm_perunit),
                //08-april-20222 'fleetOccupancyData' => @array_sum($getLoadOccupancy),
                'fleetOccupancyData' => @array_sum($fleetOccupancyData),
                'actual_milecount_total_occupancy_miles_data' => @$tot_actualmilege,
                'sum_total_multiply' => array_sum($total_multiply),
                'occupancy_goalData' => array_sum($divide_quarterly_occupancy_totdata),
                'unitat_goal_data' => $main_unitatgoal,
                'loadDetail_revenue_target' => $loadDetail_revenue_target,
                'getLoadOccupancy' => $getLoadOccupancy,
                'actualreve_divide_by' => array_sum($actualreve_divide_by),
                'revenuDataset' => $dividebyDatarevenu,
            );
        }

        //dd($dataArray);

        /// total
        $count_getdataOccupancyDays = array();
        $countcpm_per_unit_countData = array();
        $countdriver = array();
        $countmiles = array();
        $countrevenue = array();
        $counttotalOccupancy = array();
        $countrevenue_target = array();
        $countactive_driver = array();
        $countinactive_driver = array();
        $count_cpm_driver = array();
        $count_fleet_occupancy = array();
        $count_mileagePerunit = array();
        $count_occupancy_revenue = array();
        $count_total_occupancy_revenue = array();
        $count_cpm_per_unit = array();
        $count_total_occupancy_miles = array();
        $sum_final_ans_miles = array();
        $sum_actual_cpm = array();
        $sum_quarterly_revenue_target = array();
        $sum_active_trucks_earned = array();
        $sum_quarterly_occupancy = array();
        $sum_three_Lower = array();
        $sum_threeTofour = array();
        $sum_fourTofive = array();
        $sum_fiveTosix = array();
        $sum_sixToseven = array();
        $count_revenueperUnit = array();
        $sum_greater_then_seven = array();
        $sum_fleetOccupancyData = array();
        $count_total_multiply = array();
        $total_multiply = array();
        $actualcountmiles = array();
        $count_load_revanyPerunit = array();
        $count_new_loadDetaildataget = array();
        $count_occupancy_goalData = array();
        $count_unitat_goal_data = array();
        $count_actualreve_divide_by = array();
        $count_load_revanyActual = array();
        $count_revenuDataset = array();
        $count_total_target_miles = array();
        foreach ($dataArray as $data) {
            $count_getdataOccupancyDays[] = $data['getdataOccupancyDays'];
            $count_total_target_miles[] = $data['total_target_miles'];

            $countcpm_per_unit_countData[] = $data['cpm_per_unit_countData'];

            $count_new_loadDetaildataget[] = $data['new_loadDetaildataget'];

            $counttotalOccupancy[] = $data['totalOccupancy'];

            $count_total_multiply[] = @$data['sum_total_multiply'];
            $countdriver[] = @$data['Drivercount'];

            $sum_fleetOccupancyData[] = @$data['fleetOccupancyData'];

            $countmiles[] = @$data['Miles'];

            $actualcountmiles[] = @$data['actual_milecount_total_occupancy_miles_data'];

            $countrevenue[] = @$data['revenue'];

            $countrevenue_target[] = @$data['revenue_target'];

            $countactive_driver[] = @$data['activedriver'];

            $countinactive_driver[] = @$data['inactivedriver'];

            $count_cpm_driver[] = @$data['target_CPM'];

            $count_fleet_occupancy[] = @$data['fleet_occupancy'];

            $count_revenueperUnit[] = @$data['revenueperUnit'];

            $count_mileagePerunit[] = @$data['mileagePerunit'];

            $count_occupancy_revenue[] = @$data['occupancy_revenue'];

            $count_cpm_per_unit[] = @$data['total_cpm_perunit'];

            $count_total_occupancy_revenue[] = @$data['total_occupancy_revenue'];

            $count_total_occupancy_miles[] = @$data['total_occupancy_miles'];

            $sum_final_ans_miles[] = @$data['final_ans_miles'];

            $sum_actual_cpm[] = @$data['actual_cpm'];

            $sum_quarterly_revenue_target[] = @$data['quarterly_revenue_target'];

            $sum_active_trucks_earned[] = @$data['active_trucks_earned'];

            $sum_quarterly_occupancy[] = @$data['quarterly_occupancy'];

            $sum_three_Lower[] = @$data['three_Lower'];

            $sum_threeTofour[] = @$data['threeTofour'];

            $sum_fourTofive[] = @$data['fourTofive'];

            $sum_fiveTosix[] = @$data['fiveTosix'];

            $sum_sixToseven[] = @$data['sixToseven'];

            $sum_greater_then_seven[] = @$data['greater_then_seven'];

            $count_actual_miles_data[] = @$data['actual_milecount_total_occupancy_miles_data'];

            $count_load_revanyPerunit[] = @$data['load_revanyPerunit'];

            $count_total_Of_revancy_goal[] = @$data['total_Of_revancy_goal'];

            $count_occupancy_goalData[] = $data['occupancy_goalData'];

            $count_unitat_goal_data[] = $data['unitat_goal_data'];

            $count_actualreve_divide_by[] = $data['actualreve_divide_by'];

            $count_load_revanyActual[] = $data['load_revanyActual'];

            $count_revenuDataset[] = $data['revenuDataset'];
        }


        if ((array_sum($count_fleet_occupancy) > 0) && (count(@$getDriver) > 0)) {

            $divide_fleet_occupancy = array_sum($count_fleet_occupancy) / count(@$getDriver);

        } else {

            $divide_fleet_occupancy = 0;
        }


        if ((array_sum($count_getdataOccupancyDays) > 0)) {

            $divide_count_getdataOccupancyDays = array_sum($count_getdataOccupancyDays) / count(array_filter($count_getdataOccupancyDays));

        } else {

            $divide_count_getdataOccupancyDays = 0;
        }

        if ((array_sum($count_load_revanyPerunit) > 0) && (count(@$getDriver) > 0)) {

            $divide_load_revanyPerunit = array_sum($count_load_revanyPerunit) / count(@$getDriver);

        } else {

            $divide_load_revanyPerunit = 0;
        }

        if (array_sum($sum_fleetOccupancyData) > 0) {

            $tot_sum_fleetOccupancyData = (array_sum($sum_fleetOccupancyData)) / count(array_filter($sum_fleetOccupancyData));

        } else {

            $tot_sum_fleetOccupancyData = 0;

        }

        // dd($sum_fleetOccupancyData);
        $tot_counttotalOccupancy = @array_sum($counttotalOccupancy);
        $tot_cpm_per_unit_countData = @array_sum($countcpm_per_unit_countData);
        $totalMiles = @array_sum($countmiles);
        $tot_count_new_loadDetaildataget = @array_sum($count_new_loadDetaildataget);
        $totalDriver = @array_sum($countdriver);
        $totalRevenue = @array_sum($countrevenue);
        $totalrevenue_target = @array_sum($countrevenue_target);
        $totalactivedriver = @array_sum($countactive_driver);
        $totalinactivedriver = @array_sum($countinactive_driver);
        $totalCPM_driver = @array_sum($count_cpm_driver);
        $totalfleet_occupancy = @$fleetOccupancyData;
        $total_count_revenueperUnit = @array_sum($count_revenueperUnit);
        $total_count_mileagePerunit = @array_sum($count_mileagePerunit);
        $total_count_occupancy_revenue = @array_sum($count_occupancy_revenue);
        $sum_total_occupancy_revenue = @array_sum($count_total_occupancy_revenue);
        $total_count_cpm_per_unit = @array_sum($count_cpm_per_unit);
        $all_count_total_occupancy_miles = @array_sum($count_total_occupancy_miles);
        $all_count_sum_final_ans_miles = @array_sum($sum_final_ans_miles);
        $all_count_sum_actual_cpm = @array_sum($sum_actual_cpm);
        $all_quarterly_revenue_target = @array_sum($sum_quarterly_revenue_target);
        $all_sum_active_trucks_earned = @array_sum($sum_active_trucks_earned);
        $all_sum_quarterly_occupancy = @array_sum($sum_quarterly_occupancy);
        $all_sum_3000Lower = @array_sum($sum_three_Lower);
        $all_3000to4000 = @array_sum($sum_threeTofour);
        $all_4000to5000 = @array_sum($sum_fourTofive);
        $all_5000to6000 = @array_sum($sum_fiveTosix);
        $all_6000to7000 = @array_sum($sum_sixToseven);
        $all_greater_then_seven = @array_sum($sum_greater_then_seven);
        $all_sum_fleetOccupancyData = @array_sum($sum_fleetOccupancyData);
        $sum_count_total_multiply = @array_sum($count_total_multiply);
        $sum_actualcountmiles = @array_sum($actualcountmiles);
        $sum_count_occupancy_goalData = @array_sum($count_occupancy_goalData);
        ///dd($count_occupancy_goalData);

        $sum_team_count_load_revanyPerunit = @array_sum($count_load_revanyPerunit);
        $sum_count_sum_count_total_revenue = @array_sum($count_sum_count_total_revenue);
        $count_fleetOccuData = @array_sum($count_fleet_occupancy);
        $count_count_unitat_goal_data = @array_sum($count_unitat_goal_data);
        $sum_count_actualreve_divide_by = @array_sum($count_actualreve_divide_by);
        $sum_count_load_revanyActual = @array_sum($count_load_revanyActual);
        $sum_count_revenuDataset = @array_sum($count_revenuDataset);
        $sum_count_total_target_miles = @array_sum($count_total_target_miles);
        
        $html = view('companyAdmin.revenue-tracker.filterdata', compact('dataArray', 'totalDriver', 'totalMiles', 'totalRevenue', 'totalrevenue_target', 'totalactivedriver', 'totalinactivedriver', 'totalCPM_driver', 'totalfleet_occupancy', 'total_count_revenueperUnit', 'total_count_revenueperUnit', 'total_count_mileagePerunit', 'total_count_cpm_per_unit', 'total_count_occupancy_revenue', 'sum_total_occupancy_revenue', 'all_count_total_occupancy_miles', 'all_count_sum_final_ans_miles', 'all_count_sum_actual_cpm', 'all_quarterly_revenue_target', 'all_sum_active_trucks_earned', 'all_sum_quarterly_occupancy', 'all_sum_3000Lower', 'all_3000to4000', 'all_4000to5000', 'all_5000to6000', 'all_greater_then_seven', 'all_6000to7000', 'count_cpm_driver', 'all_sum_fleetOccupancyData', 'sum_count_total_multiply', 'sum_actualcountmiles', 'tot_counttotalOccupancy', 'sum_team_count_load_revanyPerunit', 'sum_count_sum_count_total_revenue', 'divide_load_revanyPerunit', 'tot_count_new_loadDetaildataget', 'tot_cpm_per_unit_countData', 'tot_sum_fleetOccupancyData', 'sum_count_occupancy_goalData', 'count_fleetOccuData', 'count_count_unitat_goal_data', 'sum_count_actualreve_divide_by', 'sum_count_load_revanyActual', 'sum_count_revenuDataset', 'current_startdate', 'current_enddate', 'passcurrent_startdate', 'passcurrent_enddate', 'sum_count_total_target_miles', 'divide_count_getdataOccupancyDays'))->render();

        return $html;
    }
    /**
     * Show the form for multiple driver data.
     *
     *
     * @return \Illuminate\Http\Response
     */
    public function multipledriverdata(Request $request)
    {
        // dd($id,$startDate,$endDate);
        $base_enco = base64_decode($request->id);

        $company_id = auth()->guard('company-admin')->user()->company_id;

        $start_date = auth()->guard('company-admin')->user()->weekly_strat_day;

        $end_date = auth()->guard('company-admin')->user()->weekly_strat_day + '6';

        $getTeams = Team::where('id', $base_enco)->first();

        // $getDriver = Driver::where('team_id',$getTeams->id)->get();

        $getDriver = Driver::where('team_id', $getTeams->id)->get();

        //dd($getDriver);
        //$dataArray = array();
        $inactive_driverteam = Driver::where('team_id', $getTeams->id)->onlyTrashed()->get();

        $loadDriverdata = array();
        $load_revanyPerunitcount_cpm = array();
        $load_milesPerunitcount_cpm = array();
        $getLoadGrossRevenue = array();
        $loadDetail_revenue_targetdata[] = array();
        $driverOccupancy[] = array();
        $total_Of_revancy_goal[] = array();
        $fleet_occupancy = array();
        $count_total_multiply = array();
        $total_multiply = array();
        $totalfleet_occupancy = array();
        $total_miles = array();
        $total_cpm_perunit = array();
        $occupancy_revenue = array();
        $quarterly_revenue_target = array();
        $actual_CPM = array();
        $total_occupancy_miles = array();
        $actual_milecount_total_occupancy_miles_data = array();
        $mileagesperUnit = array();
        //dd($getDriver);
        foreach ($getDriver as $driverData) {

            $startDate_data = auth()->guard('company-admin')->user()->weekly_strat_day;

            $endDate_data = auth()->guard('company-admin')->user()->weekly_strat_day + '6';

            //dd($startDate_data,$endDate_data);

            $quarterly_revenue_target[] = getTargetRevenueByDate(Carbon::now()->startOfWeek(@$startDate_data)->format('Y-m-d'), Carbon::now()->endOfWeek(@$endDate_data)->format('Y-m-d'), $driverData->id);

            //07-april-2022 $quarterly_revenue_targetdriver = DriverFinancial::where('driver_id',$driverData->id)->where('year',Carbon::now()->year)->where('quarter',Carbon::now()->quarter)->pluck('revenue_target')->toArray();

            $quarterly_revenue_targetdriver[] = getTargetRevenueByDate(Carbon::now()->startOfWeek(@$startDate_data)->format('Y-m-d'), Carbon::now()->endOfWeek(@$endDate_data)->format('Y-m-d'), $driverData->id);

            $a = Carbon::now();
            $quarter_date = new \Carbon\Carbon('-3 months'); // for the last quarter requirement

            $loadDetaildataget = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereBetween('actual_delivery_date', [Carbon::now()->startOfWeek(@$startDate_data)->format('Y-m-d'), Carbon::now()->endOfWeek(@$endDate_data)->format('Y-m-d')])->pluck('total_miles')->toArray();

            //dd($loadDetaildataget);

            $loadDetail_revenue = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereBetween('actual_delivery_date', [Carbon::now()->startOfWeek(@$startDate_data)->format('Y-m-d'), Carbon::now()->endOfWeek(@$endDate_data)->format('Y-m-d')])->pluck('driver_revenue')->first();

            $loadDetail_revenue_target = DriverFinancial::join('load_details', 'load_details.driver_id', '=', 'drivers.id')
                        ->whereNull('load_details.deleted_at')
                        ->where('driver_financials.driver_id', $driverData->id)
                        ->where('driver_financials.year', Carbon::now()->year)
            ->where('driver_financials.quarter', Carbon::now()->quarter)
            ->pluck('driver_financials.revenue_target')
            ->toArray();

            $load_revanyPerunitcount_cpm[] = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereBetween('actual_delivery_date', [Carbon::now()->startOfWeek(@$startDate_data)->format('Y-m-d'), Carbon::now()->endOfWeek(@$endDate_data)->format('Y-m-d')])->pluck('driver_revenue')->toArray();

            $load_milesPerunitcount_cpm[] = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereBetween('actual_delivery_date', [Carbon::now()->startOfWeek(@$startDate_data)->format('Y-m-d'), Carbon::now()->endOfWeek(@$endDate_data)->format('Y-m-d')])->pluck('total_miles')->toArray();

            $loadDetail_cpm_target = DriverFinancial::join('load_drivers', 'load_drivers.driver_id', '=', 'driver_financials.driver_id')
                ->whereNull('load_drivers.deleted_at')
                ->where('driver_financials.driver_id', $driverData->id)
                ->where('year', Carbon::now()->startOfWeek()->subDays(7)->year)
                ->where('quarter', Carbon::now()->startOfWeek()->subDays(7)->quarter)
                ->pluck('driver_financials.cpm_target')->first();

            //dd(array_sum($loadDetail_cpm_target )/ 12);

            $loadDetail_mileageper = LoadDriver::where('driver_id', $driverData->id)->pluck('mileage_percentage')->toArray();

            //23-march $active_driver = Driver::where('id',$driverData->id)->get();

            $active_driver = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereBetween('actual_delivery_date', [Carbon::now()->startOfWeek(@$startDate_data)->format('Y-m-d'), Carbon::now()->endOfWeek(@$endDate_data)->format('Y-m-d')])->first();

            if (empty($active_driver)) {

                $active_driverdata = 0;

                $inactive_driverdata = 1;

            } else {

                $active_driverdata = 1;

                $inactive_driverdata = 0;
            }

            //$inactive_driver = Driver::where('id',$driverData->id)->onlyTrashed()->get();

            $getDrivercount = Driver::where('team_id', $base_enco)->get()->toArray();

            $active_trucks_earned = LoadDriver::where('driver_id', $driverData->id)->whereBetween('created_at', [Carbon::now()->startOfWeek(@$startDate_data)->format('Y-m-d'), Carbon::now()->endOfWeek(@$endDate_data)->format('Y-m-d')])->pluck('mileage_percentage')->toArray();

            $loadDetail_occupancy = DriverFinancial::where('driver_id', $driverData->id)->whereBetween('created_at', [Carbon::now()->startOfWeek(@$startDate_data)->format('Y-m-d'), Carbon::now()->endOfWeek(@$endDate_data)->format('Y-m-d')])->pluck('occupancy')->toArray();

            $load_revanyPerunit = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereBetween('actual_delivery_date', [Carbon::now()->startOfWeek(@$startDate_data)->format('Y-m-d'), Carbon::now()->endOfWeek(@$endDate_data)->format('Y-m-d')])->pluck('driver_revenue')->toArray();

            $quarterly_occupancy = DriverFinancial::where('driver_id', $driverData->id)->where('year', Carbon::now()->year)->where('quarter', Carbon::now()->quarter)->pluck('occupancy')->toArray();


            $quarterly_occupancy_totdata = DriverFinancial::where('driver_id', $driverData->id)
                ->where('year', Carbon::now()->year)
                ->where('quarter', Carbon::now()->quarter)
                ->pluck('occupancy')->toArray();

            $divide_quarterly_occupancy_totdata = array_sum($quarterly_occupancy_totdata);

            //$occupancy_sum[] = array_sum($quarterly_occupancy) / count($getDriver);

            if ((array_sum($quarterly_occupancy) > 0) && (count($getDriver) > 0)) {

                $occupancy_sum[] = array_sum($quarterly_occupancy) / count($getDriver);
            } else {

                $occupancy_sum[] = 0;
            }

            $now = Carbon::today()->subYear();
            $startOfMonth = $now->startOfYear()->format('Y-m-d');
            $endOfMonth = $now->endOfYear()->format('Y-m-d');

            $startDatedata = Carbon::now()->startOfWeek(@$startDate_data)->format('Y-m-d');

            $endDatedata = Carbon::now()->endOfWeek(@$endDate_data)->format('Y-m-d');

            // dd($startDatedata,$endDatedata);

            // $actual_milecount_total_occupancy_miles_data[] = getLoadMileage('2022-03-20','2022-03-27','40',$driverData,@$trailer_type,@$dispatcher);


            // dd($actual_milecount_total_occupancy_miles_data);
            $get_quarter = Carbon::now()->quarter;
            $get_year = Carbon::now()->year;

            $loads =
                Driver::select("teams.name as team_name", "drivers.id as driverid", "drivers.company_id as driver_company_id", "drivers.first_name", "drivers.last_name", "drivers.middle_name", "driver_financials.revenue_target as wgrr_seasonal", "driver_financials.occupancy as occupancy_commitment", "load_details.driver_id", "load_details.load_id", "load_details.load_type", "load_details.is_disable", "load_details.agreed_upon_rate", "load_details.detention", "load_details.accessorial", "load_details.fuel_surcharge_cost_per_mile", "load_details.shipper_city", "load_details.shipper_state", "load_details.delivery_city", "load_details.delivery_state", "load_details.load_number", "load_details.load_status", "load_details.actual_delivery_date", "load_drivers.load_detail_id")
                    ->join("driver_informations", "driver_informations.driver_id", "=", "drivers.id")
                    ->leftjoin('driver_financials', function ($join) use ($get_quarter, $get_year) {
                        $join->on('drivers.id', '=', 'driver_financials.driver_id')
                            ->where('driver_financials.year', $get_year)
                            ->where('driver_financials.quarter', $get_quarter);
                    })
                    ->leftjoin("teams", "teams.id", "=", "drivers.team_id")
                    ->leftjoin("load_details", "load_details.driver_id", "=", "drivers.id")
                    ->leftjoin("load_drivers", "load_drivers.driver_id", "=", "drivers.id")
                    ->leftjoin("loads", "loads.id", "=", "load_details.load_id")
                    ->where('drivers.company_id', auth()->guard('company-admin')->user()->company_id)
                    ->where('drivers.id', $driverData->id)
                    ->where('teams.id', $getTeams->id)
                    ->groupBy('load_details.driver_id')
                    ->orderByRaw('drivers.last_name ASC, drivers.first_name ASC')
                    ->first();

            $getLoadCPM = getLoadCPM($startDatedata, $endDatedata, $driverData->id, $loads, @$trailer_type, @$dispatcher);

            //dd($getLoadCPM);

            $actual_milecount_total_occupancy_miles_data[] = getLoadMileagerevenuetracker($startDatedata, $endDatedata, $driverData->id, $driverData, @$trailer_type, @$dispatcher);

            $getLoadGrossRevenue[] = getLoadGrossRevenue(Carbon::now()->startOfWeek(@$startDate_data), Carbon::now()->endOfWeek(@$endDate_data), $driverData->id, $loads, @$trailer_type, @$dispatcher);

            $getLoadGrossRevenue_driver = getLoadGrossRevenue(Carbon::now()->startOfWeek(@$startDate_data), Carbon::now()->endOfWeek(@$endDate_data), $driverData->id, $loads, @$trailer_type, @$dispatcher);

            $getLoadOccupancy[] = round(getLoadOccupancy(Carbon::now()->startOfWeek(@$startDate_data), Carbon::now()->endOfWeek(@$endDate_data), $driverData->id, $loads, @$trailer_type, @$dispatcher));

            $getLoadOccupancynewdata[] = round(getLoadOccupancynewdata(Carbon::now()->startOfWeek(@$startDate_data), Carbon::now()->endOfWeek(@$endDate_data), $driverData->id, $loads, @$trailer_type, @$dispatcher));

            $getLoadOccupancydriver = round(getLoadOccupancy(Carbon::now()->startOfWeek(@$startDate_data), Carbon::now()->endOfWeek(@$endDate_data), $driverData->id, $loads, @$trailer_type, @$dispatcher));

            $getLoadOccupancyocc = round(getLoadOccupancy(Carbon::now()->startOfWeek(@$startDate_data), Carbon::now()->endOfWeek(@$endDate_data), $driverData->id, $loads, @$trailer_type, @$dispatcher));

            ///// Occupancy Revenue ///

            $datagetLoadGrossRevenue = getLoadGrossRevenue(Carbon::now()->startOfWeek(@$startDate_data)->format('Y-m-d'), Carbon::now()->endOfWeek(@$endDate_data)->format('Y-m-d'), $driverData->id, $driverData, @$trailer_type, @$dispatcher);


            /// Occupancy Revenue    //
            //dd($quarterly_revenue_targetdriver);
            if (array_sum($quarterly_revenue_targetdriver) > 0) {
                $arrayquarterly_revenue_target = array_sum($quarterly_revenue_targetdriver);

                $multiplyData = $arrayquarterly_revenue_target * $getLoadOccupancyocc;

                //dd($multiplyData);
                $dividebyDatarevenu = $multiplyData / 100;

                //dd($dividebyData);

                // getLoadOccupancy

            } else {

                $dividebyDatarevenu = 0;
            }

            //dd($dividebyDatarevenu);
            /// occ end ///

            if (($datagetLoadGrossRevenue > 0) && (count($getDriver) > 0)) {

                $divideActual_rev = $datagetLoadGrossRevenue / count($getDriver);

            } else {

                $divideActual_rev = 0;
            }

            $occup_target = array_sum($loadDetail_revenue_target);

            $multi_reva = $occup_target * $divideActual_rev;


            //////


            if (array_sum($loadDetail_occupancy) > 0) {
                $fleet_occupancy[] = array_sum($getLoadOccupancynewdata);

            } else {

                $fleet_occupancy[] = 0;
            }


            if (array_sum($loadDetaildataget) > 0) {
                $total_miles[] = array_sum($loadDetaildataget);
            } else {

                $total_miles[] = 0;
            }

            if ($loadDetail_revenue) {
                $total_revenue[] = $loadDetail_revenue;
            } else {

                $total_revenue[] = 0;
            }

            if (array_sum($loadDetail_revenue_target) > 0) {
                $loadDetail_revenue_targetdata[] = array_sum($loadDetail_revenue_target);

                $loadDetail_revenue_targetdatanew = array_sum($loadDetail_revenue_target);


                $allDriverOccupancyactive = DriverFinancial::where('driver_id', $driverData->id)->whereBetween('created_at', [Carbon::now()->startOfWeek(@$startDate_data)->format('Y-m-d'), Carbon::now()->endOfWeek(@$endDate_data)->format('Y-m-d')])->pluck('occupancy')->toArray();

                $allDriverOccupancy = DriverFinancial::where('driver_id', $driverData->id)->whereBetween('created_at', [Carbon::now()->startOfWeek(@$startDate_data)->format('Y-m-d'), Carbon::now()->endOfWeek(@$endDate_data)->format('Y-m-d')])->pluck('occupancy')->toArray();


                if ((array_sum($allDriverOccupancyactive) > 0) && (array_sum($allDriverOccupancy) > 0)) {

                    $driverOccupancy = array_sum($allDriverOccupancy) / array_sum($allDriverOccupancyactive);
                } else {

                    $driverOccupancy[] = 0;
                }

                $actuval_revanue = array_sum($getLoadGrossRevenue);

                if ((array_sum($driverOccupancy) > 0) && (array_sum($getLoadGrossRevenue) > 0)) {

                    $total_Of_revancy_goal[] = array_sum($getLoadGrossRevenue) / array_sum($driverOccupancy);

                } else {

                    $total_Of_revancy_goal[] = 0;
                }

            } else {

                $loadDetail_revenue_targetdata[] = 0;
                $driverOccupancy[] = 0;
                $total_Of_revancy_goal[] = 0;
                $loadDetail_revenue_targetdatanew = 0;
            }

            if (array_sum($loadDetail_mileageper) > 0) {
                $loadDetail_mileageperdata = array_sum($loadDetail_mileageper);

            } else {

                $loadDetail_mileageperdata = 0;
            }

            $difference_act_obj = (array_sum($total_revenue)) - ($loadDetail_revenue_targetdatanew);

            if ((array_sum($total_revenue) > '0') && (array_sum($total_miles) > '0')) {

                $centpermiles = array_sum($total_revenue) / array_sum($total_miles);

            } else {


                $centpermiles = 0;

            }

            if (array_sum($loadDetail_cpm_target) > 0) {
                $loadDetail_cpm_targetdata = array_sum($loadDetail_cpm_target);

            } else {

                $loadDetail_cpm_targetdata = 0;
            }

            $driverCount = count($getDriver);

            if ((array_sum($total_miles) > '0') && (@$driverCountData) > '0') {
                $mileagesperUnit[] = array_sum($total_miles) / (@$driverCountData);

            } else {

                $mileagesperUnit[] = 0;
            }


            $count_revanyPerunitdata = count($load_revanyPerunit);

            $driverCountData = count($getDrivercount);

            if (($count_revanyPerunitdata > '0') && ((int)$driverCountData > '0')) {
                //$revenueperUnit[] =  array_sum($load_revanyPerunit) / (int)$driverCountData;

                $revenueperUnit[] = array_sum($load_revanyPerunit);

                $revenueperUnitData = array_sum($load_revanyPerunit);

            } else {

                $revenueperUnit[] = 0;

                $revenueperUnitData = 0;

            }


            //CMP Per Unit
            if ((array_sum($load_revanyPerunitcount_cpm) > '0') && (array_sum($load_milesPerunitcount_cpm) > '0')) {
                $total_cpm_perunit = array_sum($load_revanyPerunitcount_cpm) / array_sum($load_milesPerunitcount_cpm);

            } else {

                $total_cpm_perunit = 0;

            }


            // if(count($loadDetail_revenue_target) > 0)
            // {
            //      $loadDetail_revenue_targetdata[] = array_sum($loadDetail_revenue_target) / 12;

            //      $all_driver_getId = Driver::where('team_id',$getTeams->id)->withTrashed()->pluck('id')->toArray();

            //       $active_driver_getId = Driver::where('team_id',$getTeams->id)->pluck('id')->toArray();

            //     $allDriverOccupancyactive = DriverFinancial::whereIn('driver_id',$active_driver_getId)->whereBetween('created_at',[Carbon::now()->startOfWeek(@$startDate_data), Carbon::now()->endOfWeek(@$endDate_data)])->pluck('occupancy')->toArray();

            //     $allDriverOccupancy = DriverFinancial::whereIn('driver_id',$all_driver_getId)->whereBetween('created_at',[Carbon::now()->startOfWeek(@$startDate_data), Carbon::now()->endOfWeek(@$endDate_data)])->pluck('occupancy')->toArray();


            //     if((count($allDriverOccupancyactive) > 0) && (count($allDriverOccupancy) > 0))
            //     {

            //         $driverOccupancy = array_sum($allDriverOccupancy) / array_sum($allDriverOccupancyactive);
            //     }else{

            //         $driverOccupancy[] = '0';
            //     }

            //     $actuval_revanue = array_sum($getLoadGrossRevenue);

            //     if((array_sum($driverOccupancy) > 0) && (array_sum($getLoadGrossRevenue) > 0)){

            //         $total_Of_revancy_goal[] = array_sum($getLoadGrossRevenue) / array_sum($driverOccupancy);

            //     }else{

            //         $total_Of_revancy_goal[] = '0';
            //     }

            // }else{

            //     $loadDetail_revenue_targetdata[] = '0';
            //     $driverOccupancy[] = '0';
            //     $total_Of_revancy_goal[] = '0';
            // }


            //dd($revenueperUnit,$mileagesperUnit);
            if ((array_sum($revenueperUnit) > 0) && (array_sum($mileagesperUnit) > 0)) {

                $cpm_per_unit[] = array_sum($revenueperUnit) / array_sum($mileagesperUnit);

            } else {

                $cpm_per_unit[] = 0;
            }

            if (($loadDetail_revenue_targetdatanew > 0) && (array_sum($loadDetail_occupancy) > 0)) {

                $occupancy_revenue = ($loadDetail_revenue_targetdatanew * 100) / array_sum($loadDetail_occupancy);

            } else {

                $occupancy_revenue = 0;
            }

            if (($occupancy_revenue > 0) && (total_revenue($total_revenue) > 0)) {

                $total_occupancy_revenue = $occupancy_revenue - (array_sum($total_revenue));

            } else {

                $total_occupancy_revenue = 0;
            }

            // dd($loadDetail_occupancy);
            $loadDetailsCount = count($loadDetail_occupancy);
            if ((array_sum($total_miles) > 0) && ($loadDetailsCount > 0)) {
                $total_occupancy_miles[] = (array_sum($total_miles) * (int)$loadDetailsCount) / 100;

            } else {

                $total_occupancy_miles[] = 0;
            }

            // dd($total_occupancy_miles);
            if ((array_sum($total_occupancy_miles) > 0) && (array_sum($actual_milecount_total_occupancy_miles_data) > 0)) {
                $final_ans_miles[] = array_sum($actual_milecount_total_occupancy_miles_data) - array_sum($total_occupancy_miles);

            } else {

                $final_ans_miles[] = 0;
            }


            if ((array_sum($total_revenue) > 0) && (array_sum($quarterly_revenue_target) > 0)) {
                $count_cpm_load = array_sum($quarterly_revenue_target);

                $actual_CPM[] = @($count_cpm_load) / array_sum($total_revenue);

            } else {

                $actual_CPM[] = 0;
            }

            /// Revenue Band ///
            //< $3,000.00///
            $three_Lower = 0;
            foreach ($load_revanyPerunit as $countToal) {

                if ($countToal < 3000.00) {

                    $three_Lower = $countToal;
                } else {

                    $three_Lower = 0;
                }
            }

            ///$3000 - $4000

            $threeTofour = '0';
            foreach ($load_revanyPerunit as $countToal) {

                if ($countToal > 3000 && $countToal < 4000) {

                    $threeTofour = $countToal;
                } else {

                    $threeTofour = 0;
                }
            }


            ///$4000 - $5000

            $fourTofive = '0';
            foreach ($load_revanyPerunit as $countToal) {

                if ($countToal > 4000 && $countToal < 5000) {

                    $fourTofive = $countToal;
                } else {

                    $fourTofive = 0;

                }
            }

            ///$5000 - $6000

            $fiveTosix = 0;
            foreach ($load_revanyPerunit as $countToal) {

                if ($countToal > 5000 && $countToal < 6000) {

                    $fiveTosix = $countToal;
                } else {

                    $fiveTosix = 0;
                }
            }

            ///$6000 - $7000

            $sixToseven = 0;
            foreach ($load_revanyPerunit as $countToal) {

                if ($countToal > 6000 && $countToal < 7000) {

                    $sixToseven = $countToal;
                } else {

                    $sixToseven = 0;
                }
            }

            ///>$7,000.00

            $greater_then_seven = 0;
            foreach ($load_revanyPerunit as $countToal) {

                if ($countToal > 7000) {

                    $greater_then_seven = $countToal;
                } else {

                    $greater_then_seven = 0;
                }
            }


            ///fleet_occupancy //

            if (array_sum($fleet_occupancy) > 0) {

                $totalfleet_occupancy[] = array_sum($fleet_occupancy) / count(array_filter($fleet_occupancy));

            } else {

                $totalfleet_occupancy[] = 0;
            }

            ////

            //$occupancy_sum[] = array_sum($quarterly_occupancy) / count($getDriver);

            if ((array_sum($quarterly_occupancy) > 0) && (count($getDriver) > 0)) {

                $occupancy_sum[] = array_sum($quarterly_occupancy) / count($getDriver);
            } else {

                $occupancy_sum[] = 0;
            }

            // % of Revenue Goal ///

            if ((array_sum($getLoadGrossRevenue) > 0) && (array_sum($load_revanyPerunitcount_cpm) > 0)) {

                /** @var TYPE_NAME $load_revanyPerunitcount_cpm */
                $gettrget_divide_driver = $load_revanyPerunitcount_cpm / count($getDriver);

                /** @var TYPE_NAME $getLoadGrossRevenue */
                $divideActive = $getLoadGrossRevenue / $gettrget_divide_driver;

                $total_multiply[] = $divideActive * 100;

            } else {


                $gettrget_divide_driver = 0;

                $divideActive = 0;

                $total_multiply[] = 0;

            }


            if ((array_sum($quarterly_revenue_target) > 0) && (array_sum($getLoadGrossRevenue) > 0)) {
                $getdataarr = array();
                foreach ($quarterly_revenue_target as $querData) {
                    if ($querData > 0) {

                        $getdataarr[] = $querData;
                    } else {

                        $getdataarr[] = 0;
                    }
                }


                $getLoadarray = array();
                foreach ($getLoadGrossRevenue as $getLoadarray) {

                    if ($getLoadarray > 0) {

                        $getLoadarray = $getLoadarray;
                    } else {

                        $getLoadarray = 0;
                    }
                }


                if ($getdataarr <= $getLoadarray) {

                    $tot[] = $getdataarr;

                } else {

                    $tot[] = 0;
                }

            }


            if ((array_sum($total_miles) > '0') && (@$driverCountData) > '0') {
                $mileagesperUnitdata = array_sum($loadDetaildataget);

            } else {

                $mileagesperUnitdata = 0;
            }


            if (($revenueperUnitData > '0') && (@$mileagesperUnitdata) > '0') {
                $cpm_per_unit_count = @$revenueperUnitData / @$mileagesperUnitdata;

            } else {

                $cpm_per_unit_count = 0;
            }

            $actual_milecount_total_occupancy_miles_datanew = getLoadMileagerevenuetracker($startDatedata, $endDatedata, $driverData->id, $driverData, @$trailer_type, @$dispatcher);

            if ($loadDetail_revenue) {
                $count_loadDetail_revenue = $loadDetail_revenue;

            } else {

                $count_loadDetail_revenue = 0;
            }

            // unit at goal start //

            //dd(array_sum($loadDetail_revenue_target),array_sum($getLoadGrossRevenue));


            if ((array_sum($loadDetail_revenue_target)) < (array_sum($getLoadGrossRevenue))) {
                $unitat_goal_data = 100;

            } else {

                $unitat_goal_data = 0;
            }

            // unit at goal end //
            /// revenue goal start //

            /// 30000 start

            if ($three_Lower > 0) {
                $count_three_Lower = 1;

            } else {

                $count_three_Lower = 0;
            }

            ///$3000 - $4000

            ///$4000 - $5000 threeTofour

            if ($threeTofour > 0) {
                $count_threeTofour = 1;

            } else {

                $count_threeTofour = 0;
            }

            ///$5000 - $6000

            if ($fourTofive > 0) {
                $count_fourTofive = 1;

            } else {

                $count_fourTofive = 0;
            }

            if ($fiveTosix > 0) {
                $count_fiveTosix = 1;

            } else {

                $count_fiveTosix = 0;
            }

            if ($sixToseven > 0) {
                $count_sixToseven = 1;

            } else {

                $count_sixToseven = 0;
            }


            if ($greater_then_seven > 0) {

                $count_greater_then_seven = 1;
            } else {

                $count_greater_then_seven = 0;
            }

            ////3000 end

            /// revenue goal start lastweek //

            $revenueData = (array_sum($loadDetail_revenue_target)) * ($getLoadOccupancydriver);

            //dd($loadDetail_revenue_target,$getLoadOccupancydriver);

            $revenue_divide = $revenueData / 100;

            if (($getLoadGrossRevenue_driver > 0) && ($revenue_divide > 0)) {

                $actualreve_divide_by = $getLoadGrossRevenue_driver / $revenue_divide;
            } else {

                $actualreve_divide_by = 0;
            }

            ///////////////////

            ///////////////////
            $loadDriverdata[] = array(
                //'actualreve_divide_by' => $actualreve_divide_by,
                'getLoadCPM_data' => @$getLoadCPM,
                'divideActual_rev' => @$divideActual_rev,
                'occup_target' => @$occup_target,
                'OccupancyreveData' => @$multi_reva,
                'actual_milecount_total_occupancy_miles_datanew' => @$actual_milecount_total_occupancy_miles_datanew,
                "teamId" => @$getTeams->id,
                "teamName" => @$getTeams->name,
                "DriverId" => @$driverData->id,
                "Drivername" => @$driverData->first_name,
                "Drivercount" => @count($getDriver),
                "Miles" => @array_sum($total_miles),
                "revenue" => @$count_loadDetail_revenue,
                "revenue_target" => @$loadDetail_revenue_targetdata,
                "revenue_target_new" => @$loadDetail_revenue_targetdatanew,
                "difference_act_obj" => @$difference_act_obj,
                "mileage_percentage" => @$loadDetail_mileageperdata,
                "centpermiles" => @$centpermiles,
                "mileagePerunit" => @$mileagesperUnitdata,
                "revenueperUnit" => @$revenueperUnitData,
                'activedriver' => $active_driverdata,
                'inactivedriver' => @$inactive_driverdata,
                'target_CPM' => @$loadDetail_cpm_targetdata,
                'fleet_occupancy' => @array_sum($totalfleet_occupancy),
                'cpm_per_unit' => @array_sum($cpm_per_unit),
                'occupancy_revenue' => @$occupancy_revenue,
                'total_occupancy_revenue' => @$total_occupancy_revenue,
                'total_occupancy_miles' => @array_sum($total_occupancy_miles),
                'final_ans_miles' => @array_sum($final_ans_miles),
                //'actual_cpm' => @$actual_CPM,
                'actual_cpm' => @array_sum($getLoadCPM),
                'quarterly_revenue_target' => @array_sum($quarterly_revenue_target),
                'active_trucks_earned' => @array_sum($active_trucks_earned),
                'quarterly_occupancy' => @array_sum($occupancy_sum),
                'three_Lower' => @$count_three_Lower,
                'threeTofour' => $count_threeTofour,
                'fourTofive' => $count_fourTofive,
                'fiveTosix' => $count_fiveTosix,
                'sixToseven' => $count_sixToseven,
                'greater_then_seven' => $count_greater_then_seven,
                'total_cpm_perunit' => @$total_cpm_perunit,
                'actual_milecount_total_occupancy_miles_data' => @array_sum($actual_milecount_total_occupancy_miles_data),
                'total_Of_revancy_goal' => @array_sum($total_Of_revancy_goal),
                'tot_units_art' => @array_sum($tot),
                'sum_total_multiply' => array_sum($total_multiply),
                'cpm_per_unit_count' => @$cpm_per_unit_count,
                'fleetoccpancy_goal' => @$getLoadOccupancydriver,
                'occupancy_datatot' => $divide_quarterly_occupancy_totdata,
                'unitatgoalData' => $unitat_goal_data,
                'tar_re' => $loadDetail_revenue_target,
                'occ' => $getLoadOccupancy,
                'revenue_goal' => $actualreve_divide_by,
                'occreveData' => $dividebyDatarevenu,
            );
        }


        //dd($loadDriverdata);
        $countdriver = array();
        $countmiles = array();
        $countrevenue = array();
        $countrevenue_target = array();
        $countactive_driver = array();
        $countinactive_driver = array();
        $count_cpm_driver = array();
        $count_fleet_occupancy = array();
        $count_mileagePerunit = array();
        $count_occupancy_revenue = array();
        $count_total_occupancy_revenue = array();
        $count_cpm_per_unit = array();
        $count_total_occupancy_miles = array();
        $sum_final_ans_miles = array();
        $sum_actual_cpm = array();
        $sum_quarterly_revenue_target = array();
        $sum_active_trucks_earned = array();
        $sum_quarterly_occupancy = array();
        $sum_three_Lower = array();
        $sum_threeTofour = array();
        $sum_fourTofive = array();
        $sum_fiveTosix = array();
        $count_fleetOccupancyData = array();
        $count_revenueperUnit = array();
        $sum_sixToseven = array();
        $sum_DriverId = array();
        $sum_greater_then_seven = array();
        $count_total_Of_revancy_goal = array();
        $counttot_units_art = array();
        $count_total_multiply = array();
        $mileagesperUnit = array();
        $getLoadCPM = array();
        $count_actual_miles_data = array();
        $totalMiles = array();
        $count_revenue_target_new = array();
        $count_OccupancyreveData = array();
        $count_getLoadCPM_data = array();
        $sum_fleetoccpancy_goal = array();
        $tot_occupancy_datatot = array();
        $tot_unitatgoalData = array();
        $tot_revenue_goal = array();
        $tot_occreveData = array();
        foreach ($loadDriverdata as $data) {
            $count_OccupancyreveData[] = @$data['OccupancyreveData'];
            $counttot_units_art[] = @$data['tot_units_art'];
            $count_fleetOccupancyData[] = @$data['count_fleetOccupancyData'];

            $count_total_multiply[] = @$data['sum_total_multiply'];

            $countdriver[] = @$data['Drivercount'];

            //$countmiles[] = @$data['Miles'];

            $countmiles[] = @$data['actual_milecount_total_occupancy_miles_datanew'];

            $countrevenue[] = @$data['revenue'];

            $countrevenue_target[] = @$data['revenue_target'];

            $countactive_driver[] = @$data['activedriver'];

            $countinactive_driver[] = @$data['inactive_driverteam'];

            $count_total_Of_revancy_goal[] = @$data['total_Of_revancy_goal'];

            $count_cpm_driver[] = @$data['target_CPM'];

            $count_fleet_occupancy[] = @$data['fleet_occupancy'];

            $count_revenueperUnit[] = @$data['revenueperUnit'];

            $count_mileagePerunit[] = @$data['mileagePerunit'];

            $count_occupancy_revenue[] = @$data['occupancy_revenue'];

            $count_cpm_per_unit[] = @$data['total_cpm_perunit'];

            $count_total_occupancy_revenue[] = @$data['total_occupancy_revenue'];

            $count_total_occupancy_miles[] = @$data['total_occupancy_miles'];

            $sum_final_ans_miles[] = @$data['final_ans_miles'];

            $sum_actual_cpm[] = @$data['actual_cpm'];

            $sum_quarterly_revenue_target[] = @$data['quarterly_revenue_target'];

            $sum_active_trucks_earned[] = @$data['active_trucks_earned'];

            $sum_quarterly_occupancy[] = @$data['quarterly_occupancy'];

            $sum_three_Lower[] = $data['three_Lower'];

            $sum_threeTofour[] = @$data['threeTofour'];

            $sum_fourTofive[] = @$data['fourTofive'];

            $sum_fiveTosix[] = @$data['fiveTosix'];

            $sum_sixToseven[] = @$data['sixToseven'];

            $sum_greater_then_seven[] = @$data['greater_then_seven'];

            $sum_DriverId[] = @$data['DriverId'];

            $count_actual_miles_data[] = @$data['Miles'];

            $count_revenue_target_new[] = @$data['revenue_target_new'];

            $count_getLoadCPM_data[] = @$data['getLoadCPM_data'];

            $countInac_driverData[] = @$data['inactivedriver'];

            $countAct_driverData[] = @$data['activedriver'];

            $sum_fleetoccpancy_goal[] = $data['fleetoccpancy_goal'];

            $tot_occupancy_datatot[] = $data['occupancy_datatot'];

            $tot_unitatgoalData[] = $data['unitatgoalData'];

            $tot_revenue_goal[] = $data['revenue_goal'];

            $tot_occreveData[] = $data['occreveData'];
        }


        //main count fleetoccupancy start  //


        if (array_sum($tot_occreveData) > 0) {

            $sumtot_occreveData = array_sum($tot_occreveData) / count(array_filter($tot_occreveData));

        } else {

            $sumtot_occreveData = 0;
        }


        if (array_sum($sum_fleetoccpancy_goal) > 0) {

            $tot_fleetoccpancy_goal = array_sum($sum_fleetoccpancy_goal) / count(array_filter($sum_fleetoccpancy_goal));

        } else {

            $tot_fleetoccpancy_goal = 0;
        }

        //// end ///

        //dd($loadDriverdata);
        if (array_sum($getLoadOccupancynewdata) > 0) {

            $divide_fleet_occupancy = array_sum($getLoadOccupancynewdata) / count(array_filter($getLoadOccupancynewdata));

        } else {

            $divide_fleet_occupancy = 0;
        }

        if (array_sum($count_revenueperUnit) > 0) {

            //$count_revenueperUnit_totalTeam = array_sum($count_revenueperUnit) / count(@$getDriver);

            $count_revenueperUnit_totalTeam = array_sum($count_revenueperUnit) / count(array_filter($count_revenueperUnit));

            $total_reveDataactual = array_sum($count_revenueperUnit);


        } else {

            $count_revenueperUnit_totalTeam = 0;

            $total_reveDataactual = 0;
        }

        if (array_sum($count_mileagePerunit) > 0) {

            // $count_mileagePerunit_totalTeam = array_sum($count_mileagePerunit) / count(@$getDriver);

            $count_mileagePerunit_totalTeam = array_sum($count_mileagePerunit) / count(array_filter($count_mileagePerunit));

        } else {

            $count_mileagePerunit_totalTeam = 0;
        }


        if (($count_revenueperUnit_totalTeam > 0) && (@$count_mileagePerunit_totalTeam) > 0) {
            $cpm_per_unit_count = $count_revenueperUnit_totalTeam / $count_mileagePerunit_totalTeam;

        } else {

            $cpm_per_unit_count = 0;
        }

        if (array_sum($countmiles) > 0) {

            // $count_divideby_acMiles = array_sum($countmiles) / count(array_filter($countmiles));

            $count_divideby_acMiles = array_sum($countmiles);

        } else {

            $count_divideby_acMiles = 0;
        }

        //dd(array_sum($count_revenueperUnit));

        //divide active driver //

        if (array_sum($count_revenue_target_new) > 0) {

            $driverdivide_revenue_target_new = @array_sum($count_revenue_target_new);

        } else {

            $driverdivide_revenue_target_new = 0;
        }


        if (array_sum($count_actual_miles_data) > 0) {

            $driverdivide_actual_miles_data = @array_sum($count_actual_miles_data);

        } else {

            $driverdivide_actual_miles_data = 0;
        }

        if (array_sum($count_OccupancyreveData) > 0) {

            $driverdivide_count_OccupancyreveData = @array_sum($count_OccupancyreveData) / count(array_filter($count_OccupancyreveData));

        } else {

            $driverdivide_count_OccupancyreveData = 0;
        }


        if (array_sum($count_cpm_driver) > 0) {

            //$driverdivide_count_cpm_driver = @array_sum($count_cpm_driver) / count(array_filter($count_cpm_driver));

            $driverdivide_count_cpm_driver = @array_sum($count_cpm_driver);

        } else {

            $driverdivide_count_cpm_driver = 0;
        }


        if (array_sum($count_getLoadCPM_data) > 0) {

            //$driverdivide_count_getLoadCPM_data = @array_sum($count_getLoadCPM_data) / count(array_filter($count_getLoadCPM_data));

            $driverdivide_count_getLoadCPM_data = @array_sum($count_getLoadCPM_data);


        } else {

            $driverdivide_count_getLoadCPM_data = 0;
        }

        // if(array_sum($tot_unitatgoalData) > 0){

        //     $main_unitatgoal = @array_sum($tot_unitatgoalData) / count(array_filter($tot_unitatgoalData));
        // }else{

        //     $main_unitatgoal = '0';
        // }


        ///////////
        if (array_sum($tot_unitatgoalData) > 0) {

            $mainCount = count(array_filter($tot_unitatgoalData));

            if ($mainCount == '1') {

                $divideCount = count($tot_unitatgoalData);

            } elseif (count(array_filter($tot_unitatgoalData)) == count($tot_unitatgoalData)) {

                $divideCount = '1';

            } else {

                $divideCount = count(array_filter($tot_unitatgoalData)) - count($tot_unitatgoalData);
            }


            $main_unitatgoal = @array_sum($tot_unitatgoalData) / $divideCount;
        } else {

            $main_unitatgoal = 0;
        }

        ///////////////////

        $tot_count_revenue_target_new = @$driverdivide_revenue_target_new;
        $tot_counttot_units_art = @array_sum($counttot_units_art);
        $totalMiles = @$driverdivide_actual_miles_data;
        $totalDriver = @array_sum($countdriver);
        $totalRevenue = @array_sum($countrevenue);
        $totalrevenue_target = @array_sum($countrevenue_target);
        $totalactivedriver = @array_sum($countactive_driver);
        $totalinactivedriver = @count($inactive_driverteam);
        $totalCPM_driver = @$driverdivide_count_cpm_driver;
        $totalfleet_occupancy = @$divide_fleet_occupancy;
        $total_count_revenueperUnit = @array_sum(@$count_revenueperUnit);
        $total_count_mileagePerunit = @array_sum($count_mileagePerunit);
        $total_count_occupancy_revenue = @array_sum($count_occupancy_revenue);
        $sum_total_occupancy_revenue = @array_sum($count_total_occupancy_revenue);
        $total_count_cpm_per_unit = @array_sum($count_cpm_per_unit);
        $all_count_total_occupancy_miles = array_sum($count_total_occupancy_miles);
        $all_count_sum_final_ans_miles = @array_sum($sum_final_ans_miles);
        $all_count_sum_actual_cpm = @array_sum($sum_actual_cpm);
        $all_quarterly_revenue_target = @array_sum($sum_quarterly_revenue_target);
        $all_sum_active_trucks_earned = @array_sum($sum_active_trucks_earned);
        $all_sum_quarterly_occupancy = @array_sum($sum_quarterly_occupancy);
        $all_sum_3000Lower = @array_sum($sum_three_Lower);
        $all_3000to4000 = @array_sum($sum_threeTofour);
        $all_4000to5000 = @array_sum($sum_fourTofive);
        $all_5000to6000 = @array_sum($sum_fiveTosix);
        $all_6000to7000 = @array_sum($sum_sixToseven);
        $all_greater_then_seven = @array_sum($sum_greater_then_seven);
        $all_count_fleetOccupancyData = @array_sum($count_fleetOccupancyData);
        $count_total_Of_revancy_goal = @array_sum($count_total_Of_revancy_goal);
        $sum_count_total_multiply = @array_sum($count_total_multiply);
        $active_driverData = @$count_divideby_acMiles;
        $sum_count_revenueperUnit_totalTeam = @$count_revenueperUnit_totalTeam;
        $sum_total_reveDataactual = @$total_reveDataactual;
        $sum_count_mileagePerunit_totalTeam = @$count_mileagePerunit_totalTeam;
        $sum_count_OccupancyreveData = @$driverdivide_count_OccupancyreveData;
        $sum_count_getLoadCPM_data = @$driverdivide_count_getLoadCPM_data;
        $sum_activeDriverData = @array_sum($countAct_driverData);
        $sum_InactiveDriverData = @array_sum($countInac_driverData);
        $sum_tot_occupancy_datatot = @array_sum($tot_occupancy_datatot);
        $sum_tot_revenue_goal = @array_sum($tot_revenue_goal);
        $teameId = $getTeams->id;
        $sum_tot_occreveData = @array_sum($tot_occreveData);

        $current_startdate = Carbon::now()->startOfWeek(@$startDate_data)->format('m-d-Y');

        $current_enddate = Carbon::now()->endOfWeek(@$endDate_data)->format('m-d-Y');

        return view('companyAdmin.revenue-tracker.driverData', compact('loadDriverdata', 'totalDriver', 'totalMiles', 'totalRevenue', 'totalrevenue_target', 'teameId', 'totalactivedriver', 'totalinactivedriver', 'totalCPM_driver', 'totalfleet_occupancy', 'total_count_revenueperUnit', 'total_count_revenueperUnit', 'total_count_mileagePerunit', 'total_count_cpm_per_unit', 'total_count_occupancy_revenue', 'sum_total_occupancy_revenue', 'all_count_total_occupancy_miles', 'all_count_sum_final_ans_miles', 'all_count_sum_actual_cpm', 'all_quarterly_revenue_target', 'all_sum_active_trucks_earned', 'all_sum_quarterly_occupancy', 'all_sum_3000Lower', 'all_3000to4000', 'all_4000to5000', 'all_5000to6000', 'all_greater_then_seven', 'all_6000to7000', 'count_total_Of_revancy_goal', 'sum_count_total_multiply', 'all_count_fleetOccupancyData', 'tot_counttot_units_art', 'active_driverData', 'tot_count_revenue_target_new', 'sum_count_revenueperUnit_totalTeam', 'sum_count_mileagePerunit_totalTeam', 'cpm_per_unit_count', 'sum_count_OccupancyreveData', 'sum_count_getLoadCPM_data', 'sum_activeDriverData', 'sum_InactiveDriverData', 'tot_fleetoccpancy_goal', 'sum_tot_occupancy_datatot', 'main_unitatgoal', 'sum_tot_revenue_goal', 'sum_total_reveDataactual', 'sum_tot_occreveData', 'sumtot_occreveData', 'current_startdate', 'current_enddate'));
    }


    /**
     * Show the form for get driver filter data.
     *
     * @return \Illuminate\Http\Response
     */
    public function getdriverfilterdata(Request $request)
    {
        $base_enco = $request->teameId;

        $teameId = $request->teameId;

        $company_id = auth()->guard('company-admin')->user()->company_id;

        $getTeams = Team::where('id', $base_enco)->first();

        $getDrivercount = Driver::where('team_id', $base_enco)->get();

        $active_driver = Driver::where('team_id', $getTeams->id)->get();

        $active_driver_getId = Driver::where('team_id', $getTeams->id)->pluck('id')->toArray();

        $all_driver_getId = Driver::where('team_id', $getTeams->id)->withTrashed()->pluck('id')->toArray();

        if ($request->id == 'datefilter') {

            $start_date_timestamp = strtotime($request->startDate);
            $start_date = date('Y-m-d', $start_date_timestamp);

            $end_date_timestamp = strtotime($request->endDate);
            $end_date = date('Y-m-d', $end_date_timestamp);

            $getDriver = Driver::where('team_id', $getTeams->id)->get();
        }


        //dd($getDriver);
        //$dataArray = array();

        $loadDriverdata = array();
        $load_revanyPerunitcount_cpm = array();
        $load_milesPerunitcount_cpm = array();
        $total_cpm_perunit = array();
        $getLoadGrossRevenue = array();
        $getLoadOccupancy = array();
        $loadDetail_revenue_targetdata = array();
        $driverOccupancy = array();
        $total_Of_revancy_goal = array();
        $load_revanyPerunitcount_cpm = array();
        $load_milesPerunitcount_cpm = array();

        $quarterly_revenue_target = array();
        $totalfleet_occupancy = array();
        $three_Lower_data = array();
        $threeTofour_data = array();
        $fourTofive_data = array();
        $fiveTosix_data = array();
        $sixTosevenData = array();
        $tot = array();
        $greater_then_seven_data = array();
        $total_multiply = array();
        $actual_milecount_total_occupancy_miles_data = array();
        $total_occupancy_revenue = array();
        $total_occupancy_miles = array();
        $final_ans_miles = array();
        $counttot_units_art = array();
        $mileagesperUnit = array();
        $total_miles = array();
        $fleetOccupancyData = array();
        $revenueperUnit = array();
        $divide_quarterly_occupancy_totdata = array();
        foreach ($getDriver as $driverData) {

            if ($request->id == 'datefilter') {

                $start_date_timestamp = strtotime($request->startDate);
                $start_date = date('Y-m-d', $start_date_timestamp);

                $end_date_timestamp = strtotime($request->endDate);
                $end_date = date('Y-m-d', $end_date_timestamp);


                // if(($request->startDate != '') && ($request->endDate == '')){

                //         $start_date_timestamp = strtotime($request->startDate);
                //         $start_date = date('Y-m-d', $start_date_timestamp);

                //         $end_date_timestamp = strtotime($request->startDate);
                //         $end_date = date('Y-m-d', $end_date_timestamp);

                // }else{

                //     $start_date_timestamp = strtotime($request->startDate);
                //     $start_date = date('Y-m-d', $start_date_timestamp);

                //     $end_date_timestamp = strtotime($request->endDate);
                //     $end_date = date('Y-m-d', $end_date_timestamp);

                // }

                $start_date_timestamp = strtotime($request->startDate);
                $start_date = date_create_from_format("m-d-Y", $request->startDate)->format("Y-m-d");

                $end_date_timestamp = strtotime($request->endDate);
                $end_date = date_create_from_format("m-d-Y", $request->endDate)->format("Y-m-d");

                //dd($start_date,$end_date);
                //dd($current_startdate,$request->endDate);
                $active_driverdatanew = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereBetween('actual_delivery_date', [$start_date, $end_date])->first();

                if (empty($active_driverdatanew)) {

                    $active_driverdata = 0;

                    $inactive_driverdata = 1;

                } else {

                    $active_driverdata = 1;

                    $inactive_driverdata = 0;
                }

                $loadDetaildataget = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereBetween('actual_delivery_date', [$start_date, $end_date])->pluck('total_miles')->toArray();


                $load_revanyPerunitcount_cpm[] = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereBetween('actual_delivery_date', [$start_date, $end_date])->pluck('driver_revenue')->toArray();

                $load_milesPerunitcount_cpm[] = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereBetween('actual_delivery_date', [$start_date, $end_date])->pluck('driver_revenue')->toArray();

                $loadDetail_revenue = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereBetween('actual_delivery_date', [$start_date, $end_date])->pluck('driver_revenue')->first();

                $load_revanyPerunit = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereBetween('actual_delivery_date', [$start_date, $end_date])->pluck('driver_revenue')->toArray();

                //07-april-2022 $loadDetail_revenue_target = DriverFinancial::where('driver_id',$driverData->id)
                //  ->where(\DB::raw('DATE_FORMAT(start_date, "%Y-%m-%d")'), '<=', $start_date)->
                //  where(\DB::raw('DATE_FORMAT(end_date, "%Y-%m-%d")'), '>=', $end_date)
                // ->pluck('revenue_target')->toArray();

                //07-april-2022  $quarterly_target_milesData = DriverFinancial::where('driver_id',$driverData->id)
                // ->where(\DB::raw('DATE_FORMAT(start_date, "%Y-%m-%d")'), '<=', $start_date)->
                //  where(\DB::raw('DATE_FORMAT(end_date, "%Y-%m-%d")'), '>=', $end_date)
                // ->pluck('target_miles')->toArray();

                $loadDetail_revenue_target[] = getTargetRevenueByDate($start_date, $end_date, $driverData->id);

                $quarterly_target_milesData[] = getDrivertarget_milestrackerByDate($start_date, $end_date, $driverData->id);


                // dd($quarterly_target_milesData,$loadDetail_revenue_target,$start_date,$end_date);

                if (array_sum($quarterly_target_milesData) > 0) {

                    $total_target_miles = array_sum($quarterly_target_milesData);

                } else {

                    $total_target_miles = 0;

                }

                $loadDetail_revenue_targetdatanew = array_sum($loadDetail_revenue_target);

                //dd($loadDetail_revenue_targetdatanew);

//                $loadDetail_cpm_target = DriverFinancial::where('driver_id', $driverData->id)
//                    ->where(\DB::raw('DATE_FORMAT(start_date, "%Y-%m-%d")'), '<=', $start_date)->
//                    where(\DB::raw('DATE_FORMAT(end_date, "%Y-%m-%d")'), '>=', $end_date)
//                    ->pluck('cpm_target')->toArray();
                $loadDetail_cpm_target = DriverFinancial::join('load_drivers', 'load_drivers.driver_id', '=', 'driver_financials.driver_id')
                    ->whereNull('load_drivers.deleted_at')
                    ->where('driver_financials.driver_id', $driverData->id)
                    ->where(\DB::raw('DATE_FORMAT(start_date, "%Y-%m-%d")'), '<=', $start_date)->
                    where(\DB::raw('DATE_FORMAT(end_date, "%Y-%m-%d")'), '>=', $end_date)
                    ->pluck('driver_financials.cpm_target')->first();


                $quarterly_occupancy_totdata = DriverFinancial::where('driver_id', $driverData->id)
                    ->where(\DB::raw('DATE_FORMAT(start_date, "%Y-%m-%d")'), '<=', $start_date)
                    ->where(\DB::raw('DATE_FORMAT(end_date, "%Y-%m-%d")'), '>=', $end_date)
                    ->pluck('occupancy')->toArray();

                $divide_quarterly_occupancy_totdata = array_sum($quarterly_occupancy_totdata);

                $loadDetail_mileageper = LoadDriver::where('driver_id', $driverData->id)->whereBetween('created_at', [$start_date, $end_date])->pluck('mileage_percentage')->toArray();

                //07- april-2022 $quarterly_revenue_target = DriverFinancial::where('driver_id',$driverData->id)
                // ->where(\DB::raw('DATE_FORMAT(start_date, "%Y-%m-%d")'), '<=', $start_date)->
                //  where(\DB::raw('DATE_FORMAT(end_date, "%Y-%m-%d")'), '>=', $end_date)
                // ->pluck('revenue_target')->toArray();

                $quarterly_revenue_target[] = getTargetRevenueByDate($start_date, $end_date, $driverData->id);

                $loadDetail_occupancy = DriverFinancial::where('driver_id', $driverData->id)
                    ->where(\DB::raw('DATE_FORMAT(start_date, "%Y-%m-%d")'), '<=', $start_date)->
                    where(\DB::raw('DATE_FORMAT(end_date, "%Y-%m-%d")'), '>=', $end_date)
                    ->pluck('occupancy')->toArray();

                $loadDetail_mileageper = LoadDriver::where('driver_id', $driverData->id)->whereBetween('created_at', [$start_date, $end_date])->pluck('mileage_percentage')->toArray();


                $active_trucks_earned = LoadDriver::where('driver_id', $driverData->id)->whereBetween('created_at', [$start_date, $end_date])->pluck('mileage_percentage')->toArray();

                $quarterly_occupancy = DriverFinancial::where('driver_id', $driverData->id)
                    ->where(\DB::raw('DATE_FORMAT(start_date, "%Y-%m-%d")'), '<=', $start_date)->
                    where(\DB::raw('DATE_FORMAT(end_date, "%Y-%m-%d")'), '>=', $end_date)
                    ->pluck('occupancy')->toArray();

                $get_quarter = Carbon::now()->quarter;
                $get_year = Carbon::now()->year;

                $loads =
                    Driver::select("teams.name as team_name", "drivers.id as driverid", "drivers.company_id as driver_company_id", "drivers.first_name", "drivers.last_name", "drivers.middle_name", "driver_financials.revenue_target as wgrr_seasonal", "driver_financials.occupancy as occupancy_commitment", "load_details.driver_id", "load_details.load_id", "load_details.load_type", "load_details.is_disable", "load_details.agreed_upon_rate", "load_details.detention", "load_details.accessorial", "load_details.fuel_surcharge_cost_per_mile", "load_details.shipper_city", "load_details.shipper_state", "load_details.delivery_city", "load_details.delivery_state", "load_details.load_number", "load_details.load_status", "load_details.actual_delivery_date", "load_drivers.load_detail_id")
                        ->join("driver_informations", "driver_informations.driver_id", "=", "drivers.id")
                        ->leftjoin('driver_financials', function ($join) use ($get_quarter, $get_year) {
                            $join->on('drivers.id', '=', 'driver_financials.driver_id')
                                ->where('driver_financials.year', $get_year)
                                ->where('driver_financials.quarter', $get_quarter);
                        })
                        ->leftjoin("teams", "teams.id", "=", "drivers.team_id")
                        ->leftjoin("load_details", "load_details.driver_id", "=", "drivers.id")
                        ->leftjoin("load_drivers", "load_drivers.driver_id", "=", "drivers.id")
                        ->leftjoin("loads", "loads.id", "=", "load_details.load_id")
                        ->where('drivers.company_id', auth()->guard('company-admin')->user()->company_id)
                        ->where('drivers.id', $driverData->id)
                        ->where('teams.id', $getTeams->id)
                        ->groupBy('load_details.driver_id')
                        ->orderByRaw('drivers.last_name ASC, drivers.first_name ASC')
                        ->first();

                $getdataOccupancyDaystot = round(getLoadOccupancy($start_date, $end_date, $driverData->id, $loads, @$trailer_type, @$dispatcher));

                $actual_milecount_total_occupancy_miles_data[] = getLoadMileagerevenuetracker($start_date, $end_date, $driverData->id, $loads, @$trailer_type, @$dispatcher);


                $getLoadCPM = getLoadCPM($start_date, $end_date, $driverData->id, $loads, @$trailer_type, @$dispatcher);


                //$occupancy_sum[] = array_sum($quarterly_occupancy) / count($getDriver);

                if ((array_sum($quarterly_occupancy) > 0) && (count($getDriver) > 0)) {

                    $occupancy_sum[] = array_sum($quarterly_occupancy) / count($getDriver);
                } else {

                    $occupancy_sum[] = 0;
                }

                $getLoadGrossRevenue[] = getLoadGrossRevenue($start_date, $end_date, $driverData->id, $driverData, @$trailer_type, @$dispatcher);

                //  $getLoadOccupancy = round(getLoadOccupancy($start_date,$end_date,$driverData->id,$loads,@$trailer_type,@$dispatcher));

                $getLoadOccupancyj = getloadCount($start_date, $end_date, 0, $driverData->id);

                $tott = $getLoadOccupancyj;

                if ($tott > 0) {

                    $getLoadOccupancy = round(($getLoadOccupancyj * 100) / $tott, 2);

                } else {

                    $getLoadOccupancy = $getLoadOccupancyj;
                }


                if ($getLoadOccupancy > 0) {

                    $fleetOccupancyData[] = $getLoadOccupancy;

                } else {

                    $fleetOccupancyData[] = 0;
                }


                if (array_sum($loadDetail_revenue_target) > 0) {
                    $loadDetail_revenue_targetdata[] = array_sum($loadDetail_revenue_target);


                    $allDriverOccupancyactive = DriverFinancial::whereIn('driver_id', $active_driver_getId)->where(\DB::raw('DATE_FORMAT(start_date, "%Y-%m-%d")'), '<=', $start_date)
                        ->where(\DB::raw('DATE_FORMAT(end_date, "%Y-%m-%d")'), '>=', $end_date)
                        ->pluck('occupancy')->toArray();

                    $allDriverOccupancy = DriverFinancial::whereIn('driver_id', $all_driver_getId)->whereBetween('created_at', [$start_date, $end_date])->pluck('occupancy')->toArray();


                    if ((array_sum($allDriverOccupancyactive) > 0) && (array_sum($allDriverOccupancy) > 0)) {

                        $driverOccupancy[] = array_sum($allDriverOccupancy) / array_sum($allDriverOccupancyactive);
                    } else {

                        $driverOccupancy[] = 0;
                    }

                    $actuval_revanue = array_sum($getLoadGrossRevenue);

                    if ((array_sum($driverOccupancy) > 0) && (array_sum($getLoadGrossRevenue) > 0)) {

                        $total_Of_revancy_goal[] = array_sum($getLoadGrossRevenue) / array_sum($driverOccupancy);

                    } else {

                        $total_Of_revancy_goal[] = 0;
                    }

                } else {

                    $loadDetail_revenue_targetdata[] = 0;
                    $driverOccupancy[] = 0;
                    $total_Of_revancy_goal[] = 0;
                }


                /// revenue goal start datefilter //

                $revenueData = (array_sum($loadDetail_revenue_target)) * ($getLoadOccupancy);

                // dd($loadDetail_revenue_targetdata_divide);

                $revenue_divide = $revenueData / 100;

                if ((array_sum($getLoadGrossRevenue) > 0) && ($revenue_divide > 0)) {

                    $actualreve_divide_by = array_sum($getLoadGrossRevenue) / $revenue_divide;
                } else {

                    $actualreve_divide_by = 0;
                }

                ///////////////////

                if ($getdataOccupancyDaystot > 0) {

                    $period = CarbonPeriod::create($start_date, $end_date);

                    $datesdays = count($period->toArray());
                    $totalPerData = ($getdataOccupancyDaystot * 100) / $datesdays;

                    $getdataOccupancyDaystotd = $totalPerData;

                } else {


                    $getdataOccupancyDaystotd = 0;
                }


                /// Occupancy Revenue datefilter   //

                // if(array_sum($quarterly_revenue_target) > 0)
                if ((array_sum($quarterly_revenue_target) > 0) && ($getdataOccupancyDaystot > 0)) {
                    $arrayquarterly_revenue_target = array_sum($quarterly_revenue_target);

                    // dd($getLoadOccupancy);
                    $multiplyData = $getdataOccupancyDaystot * $arrayquarterly_revenue_target;

                    $dividebyDatarevenu = $multiplyData / 100;

                    //dd($dividebyData);

                    // getLoadOccupancy

                } else {

                    $dividebyDatarevenu = 0;
                }

                /// occ end ///

                $start_date_timestamp = strtotime($request->startDate);
                $current_startdate = $request->startDate;

                $end_date_timestamp = strtotime($request->endDate);
                $current_enddate = $request->endDate;

                //dd($current_startdate,$current_enddate);

            }


            ///////////


            if ($request->id == 'CurrentWeek') {

                $start_date = auth()->guard('company-admin')->user()->weekly_strat_day;

                $end_date = auth()->guard('company-admin')->user()->weekly_strat_day + '6';

                $start_date_data = Carbon::now()->startOfWeek(@$start_date);

                $end_date_data = Carbon::now()->endOfWeek(@$end_date);


                $active_driverdatanew = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereBetween('actual_delivery_date', [$start_date_data, $end_date_data])->first();
//dd($active_driverdatanew);
                if (empty($active_driverdatanew)) {

                    $active_driverdata = 0;

                    $inactive_driverdata = 1;

                } else {

                    $active_driverdata = 1;

                    $inactive_driverdata = 0;
                }

                // $start_date_timestamp = strtotime($start_date_data);
                // $start_date = date('Y-m-d', $start_date_timestamp);

                // $end_date_timestamp = strtotime($request->endDate);
                // $end_date = date('Y-m-d', $end_date_timestamp);

                $current_startdate = Carbon::now()->startOfWeek(@$start_date)->format('m-d-Y');
                $current_enddate = Carbon::now()->endOfWeek(@$end_date)->format('m-d-Y');

                $loadDetaildataget = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereBetween('actual_delivery_date', [Carbon::now()->startOfWeek(@$start_date)->format('Y-m-d'), Carbon::now()->endOfWeek(@$end_date)->format('Y-m-d')])->pluck('total_miles')->toArray();

                // dd($driverData->id);

                $loadDetail_revenue = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereBetween('actual_delivery_date', [Carbon::now()->startOfWeek(@$start_date)->format('Y-m-d'), Carbon::now()->endOfWeek(@$end_date)->format('Y-m-d')])->pluck('driver_revenue')->first();

                //$load_revanyPerunit = LoadDetail::whereNull('deleted_at')->where('driver_id',$driverData->id)->whereBetween('actual_delivery_date',[Carbon::now()->startOfWeek(@$start_date)->format('Y-m-d'), Carbon::now()->endOfWeek(@$end_date)->format('Y-m-d')])->pluck('driver_revenue')->toArray();


                $get_quarter = Carbon::now()->quarter;
                $get_year = Carbon::now()->year;

                $loads =
                    Driver::select("teams.name as team_name", "drivers.id as driverid", "drivers.company_id as driver_company_id", "drivers.first_name", "drivers.last_name", "drivers.middle_name", "driver_financials.revenue_target as wgrr_seasonal", "driver_financials.occupancy as occupancy_commitment", "load_details.driver_id", "load_details.load_id", "load_details.load_type", "load_details.is_disable", "load_details.agreed_upon_rate", "load_details.detention", "load_details.accessorial", "load_details.fuel_surcharge_cost_per_mile", "load_details.shipper_city", "load_details.shipper_state", "load_details.delivery_city", "load_details.delivery_state", "load_details.load_number", "load_details.load_status", "load_details.actual_delivery_date", "load_drivers.load_detail_id")
                        ->join("driver_informations", "driver_informations.driver_id", "=", "drivers.id")
                        ->leftjoin('driver_financials', function ($join) use ($get_quarter, $get_year) {
                            $join->on('drivers.id', '=', 'driver_financials.driver_id')
                                ->where('driver_financials.year', $get_year)
                                ->where('driver_financials.quarter', $get_quarter);
                        })
                        ->leftjoin("teams", "teams.id", "=", "drivers.team_id")
                        ->leftjoin("load_details", "load_details.driver_id", "=", "drivers.id")
                        ->leftjoin("load_drivers", "load_drivers.driver_id", "=", "drivers.id")
                        ->leftjoin("loads", "loads.id", "=", "load_details.load_id")
                        ->where('drivers.company_id', auth()->guard('company-admin')->user()->company_id)
                        ->where('drivers.id', $driverData->id)
                        ->where('teams.id', $getTeams->id)
                        ->groupBy('load_details.driver_id')
                        ->orderByRaw('drivers.last_name ASC, drivers.first_name ASC')
                        ->first();


                $load_revanyPerunit[] = getLoadGrossRevenue(Carbon::now()->startOfWeek()->format('Y-m-d'), Carbon::now()->endOfWeek()->format('Y-m-d'), $driverData->id, $loads, @$trailer_type, @$dispatcher);

//                dd($load_revanyPerunit);

                // $loadDetail_revenue_target = DriverFinancial::where('driver_id',$driverData->id)->where('year',Carbon::now()->year)->where('quarter',Carbon::now()->quarter)->pluck('revenue_target')->toArray();

                $loadDetail_revenue_target[] = getTargetRevenueByDate(Carbon::now()->startOfWeek(@$start_date)->format('Y-m-d'), Carbon::now()->endOfWeek(@$end_date)->format('Y-m-d'), $driverData->id);

                $loadDetail_cpm_target = DriverFinancial::join('load_drivers', 'load_drivers.driver_id', '=', 'driver_financials.driver_id')
                    ->whereNull('load_drivers.deleted_at')
                    ->where('driver_financials.driver_id', $driverData->id)
                    ->where('year', Carbon::now()->startOfWeek()->subDays(7)->year)
                    ->where('quarter', Carbon::now()->startOfWeek()->subDays(7)->quarter)
                    ->pluck('driver_financials.cpm_target')->toArray();

                //07-april-2022 $quarterly_target_milesData = DriverFinancial::where('driver_id',$driverData->id)
                //     ->where('year',Carbon::now()->year)->where('quarter',Carbon::now()->quarter)
                //     ->pluck('target_miles')->toArray();


                $quarterly_target_milesData[] = getDrivertarget_milestrackerByDate(Carbon::now()->startOfWeek()->format('Y-m-d'), Carbon::now()->endOfWeek()->format('Y-m-d'), $driverData->id);

                if (array_sum($quarterly_target_milesData) > 0) {

                    $total_target_miles = array_sum($quarterly_target_milesData);

                } else {

                    $total_target_miles = 0;

                }


                $load_revanyPerunitcount_cpm[] = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereBetween('actual_delivery_date', [Carbon::now()->startOfWeek(@$start_date)->format('Y-m-d'), Carbon::now()->endOfWeek(@$end_date)->format('Y-m-d')])->pluck('driver_revenue')->toArray();

                $load_milesPerunitcount_cpm[] = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereBetween('actual_delivery_date', [Carbon::now()->startOfWeek(@$start_date)->format('Y-m-d'), Carbon::now()->endOfWeek(@$end_date)->format('Y-m-d')])->pluck('driver_revenue')->toArray();


                $loadDetail_mileageper = LoadDriver::where('driver_id', $driverData->id)->pluck('mileage_percentage')->toArray();

                //07-april-2022 $quarterly_revenue_target = DriverFinancial::where('driver_id',$driverData->id)->where('year',Carbon::now()->year)->where('quarter',Carbon::now()->quarter)->pluck('revenue_target')->toArray();

                $quarterly_revenue_target[] = getTargetRevenueByDate(Carbon::now()->startOfWeek(@$start_date)->format('Y-m-d'), Carbon::now()->endOfWeek(@$end_date)->format('Y-m-d'), $driverData->id);

                $loadDetail_occupancy = DriverFinancial::where('driver_id', $driverData->id)->where('year', Carbon::now()->year)->where('quarter', Carbon::now()->quarter)->pluck('occupancy')->toArray();

                $loadDetail_mileageper = LoadDriver::where('driver_id', $driverData->id)->pluck('mileage_percentage')->toArray();


                $active_trucks_earned = LoadDriver::where('driver_id', $driverData->id)->pluck('mileage_percentage')->toArray();

                $quarterly_occupancy = DriverFinancial::where('driver_id', $driverData->id)->where('year', Carbon::now()->year)->where('quarter', Carbon::now()->quarter)->pluck('occupancy')->toArray();


                $quarterly_occupancy_totdata = DriverFinancial::where('driver_id', $driverData->id)
                    ->where('year', Carbon::now()->year)
                    ->where('quarter', Carbon::now()->quarter)
                    ->pluck('occupancy')->toArray();

                $divide_quarterly_occupancy_totdata = array_sum($quarterly_occupancy_totdata);


                $actual_milecount_total_occupancy_miles_data[] = getLoadMileagerevenuetracker($start_date_data, $end_date_data, $driverData->id, $loads, @$trailer_type, @$dispatcher);


                $getLoadCPM = getLoadCPM($start_date_data->format('Y-m-d'), $end_date_data->format('Y-m-d'), $driverData->id, $loads, @$trailer_type, @$dispatcher);

                // $occupancy_sum[] = array_sum($quarterly_occupancy) / count($getDriver);

                if ((array_sum($quarterly_occupancy) > 0) && (count($getDriver) > 0)) {

                    $occupancy_sum[] = array_sum($quarterly_occupancy) / count($getDriver);
                } else {

                    $occupancy_sum[] = 0;
                }

                $getLoadGrossRevenue[] = getLoadGrossRevenue(Carbon::now()->startOfWeek(@$start_date)->format('Y-m-d'), Carbon::now()->endOfWeek(@$end_date)->format('Y-m-d'), $driverData->id, $loads, @$trailer_type, @$dispatcher);

                //  $getLoadOccupancy = round(getLoadOccupancy(Carbon::now()->startOfWeek(@$start_date)->format('Y-m-d'),Carbon::now()->endOfWeek(@$end_date)->format('Y-m-d'),$driverData->id,$loads,@$trailer_type,@$dispatcher));


                $getLoadOccupancyj = getloadCount(Carbon::now()->startOfWeek(@$start_date)->format('Y-m-d'), Carbon::now()->endOfWeek(@$end_date)->format('Y-m-d'), 0, $driverData->id);

                $tott = $getLoadOccupancyj;

                if ($tott > 0) {

                    $getLoadOccupancy = round(($getLoadOccupancyj * 100) / $tott, 2);

                } else {

                    $getLoadOccupancy = $getLoadOccupancyj;
                }

                ///// Occupancy Revenue  ///

                $datagetLoadGrossRevenue = getLoadGrossRevenue(Carbon::now()->startOfWeek(@$startDate_data)->format('Y-m-d'), Carbon::now()->endOfWeek(@$endDate_data)->format('Y-m-d'), $driverData->id, $loads, @$trailer_type, @$dispatcher);


                $getdataOccupancyDaystot = round(getLoadOccupancy(Carbon::now()->startOfWeek(@$start_date)->format('Y-m-d'), Carbon::now()->endOfWeek(@$end_date)->format('Y-m-d'), $driverData->id, $loads, @$trailer_type, @$dispatcher));


                if (($datagetLoadGrossRevenue > 0) && (count($getDriver) > 0)) {

                    $divideActual_rev = $datagetLoadGrossRevenue / count($getDriver);

                } else {

                    $divideActual_rev = 0;
                }

                $occup_target = array_sum($loadDetail_revenue_target);

                $multi_reva = $occup_target * $divideActual_rev;

                $actual_milecount_total_occupancy_miles_datanew = getLoadMileagerevenuetracker(Carbon::now()->startOfWeek(@$start_date)->format('Y-m-d'), Carbon::now()->endOfWeek(@$end_date)->format('Y-m-d'), $driverData->id, $driverData, @$trailer_type, @$dispatcher);
                //////

                if ($getLoadOccupancy > 0) {

                    $fleetOccupancyData[] = $getLoadOccupancy;

                } else {

                    $fleetOccupancyData[] = 0;
                }

                if (array_sum($loadDetail_revenue_target) > 0) {

                    $loadDetail_revenue_targetdata[] = array_sum($loadDetail_revenue_target);


                    $loadDetail_revenue_targetdatanew = array_sum($loadDetail_revenue_target);

                    $allDriverOccupancyactive = DriverFinancial::whereIn('driver_id', $active_driver_getId)->whereBetween('created_at', [Carbon::now()->startOfWeek(@$start_date)->format('Y-m-d'), Carbon::now()->endOfWeek(@$end_date)->format('Y-m-d')])->pluck('occupancy')->toArray();

                    $allDriverOccupancy = DriverFinancial::whereIn('driver_id', $all_driver_getId)->whereBetween('created_at', [Carbon::now()->startOfWeek(@$start_date)->format('Y-m-d'), Carbon::now()->endOfWeek(@$end_date)->format('Y-m-d')])->pluck('occupancy')->toArray();


                    if ((array_sum($allDriverOccupancyactive) > 0) && (array_sum($allDriverOccupancy) > 0)) {

                        $driverOccupancy[] = array_sum($allDriverOccupancy) / array_sum($allDriverOccupancyactive);
                    } else {

                        $driverOccupancy[] = 0;
                    }

                    $actuval_revanue = array_sum($getLoadGrossRevenue);

                    if ((array_sum($driverOccupancy) > 0) && (array_sum($getLoadGrossRevenue) > 0)) {

                        $total_Of_revancy_goal[] = array_sum($getLoadGrossRevenue) / array_sum($driverOccupancy);

                    } else {

                        $total_Of_revancy_goal[] = 0;
                    }

                } else {

                    $loadDetail_revenue_targetdata[] = 0;
                    $driverOccupancy[] = 0;
                    $total_Of_revancy_goal[] = 0;
                    $loadDetail_revenue_targetdatanew = 0;
                }


                /// revenue goal start CurrentWeek //

                $revenueData = (array_sum($loadDetail_revenue_target)) * ($getLoadOccupancy);

                // dd($loadDetail_revenue_targetdata_divide);

                $revenue_divide = $revenueData / 100;

                if ((array_sum($getLoadGrossRevenue) > 0) && ($revenue_divide > 0)) {

                    $actualreve_divide_by = array_sum($getLoadGrossRevenue) / $revenue_divide;
                } else {

                    $actualreve_divide_by = 0;
                }

                ///////////////////


                /// Occupancy Revenue   CurrentWeek //
                // dd($getLoadOccupancy,$quarterly_revenue_target);
                //if(array_sum($quarterly_revenue_target) > 0)
                if ((array_sum($quarterly_revenue_target) > 0) && ($getdataOccupancyDaystot > 0)) {
                    $arrayquarterly_revenue_target = array_sum($quarterly_revenue_target);

                    //dd($arrayquarterly_revenue_target);
                    $multiplyData = $getdataOccupancyDaystot * $arrayquarterly_revenue_target;

                    //dd($getLoadOccupancy);

                    $dividebyDatarevenu = $multiplyData / 100;

                    //dd($dividebyData);

                    // getLoadOccupancy

                } else {

                    $dividebyDatarevenu = 0;
                }

                /// occ end ///

                if (array_sum($quarterly_target_milesData) > 0) {
                    $total_miles[] = array_sum($quarterly_target_milesData);
                } else {

                    $total_miles[] = 0;
                }

            }

            ////////


            if ($request->id == 'LastWeek') {

                $start_date = auth()->guard('company-admin')->user()->weekly_strat_day;

                $start_dateData = auth()->guard('company-admin')->user()->weekly_strat_day;

                $end_date = auth()->guard('company-admin')->user()->weekly_strat_day - '7';

                $startDate_data = Carbon::now()->startOfWeek(@$start_date)->subDays(7);

                $endDate_data = Carbon::now()->startOfWeek(@$start_date)->subDays(1);

                $current_startdate = Carbon::now()->startOfWeek(@$start_date)->subDays(7)->format('m-d-Y');

                $current_enddate = Carbon::now()->startOfWeek(@$start_date)->subDays(1)->format('m-d-Y');

                //  $date = Carbon::today()->subDays(7);

                $getquarter = $startDate_data->quarter;

                $getYear = $startDate_data->format('Y');

                $start_date_timestamp = strtotime($request->startDate);
                $start_date = date('Y-m-d', $start_date_timestamp);

                $end_date_timestamp = strtotime($endDate_data);
                $end_dateddd = date('Y-m-d', $end_date_timestamp);

                //   dd($end_date_timestamp);


                $active_driverdatanew = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereBetween('actual_delivery_date', [$startDate_data, $endDate_data])->first();

                if (empty($active_driverdatanew)) {

                    $active_driverdata = 0;

                    $inactive_driverdata = 1;

                } else {

                    $active_driverdata = 1;

                    $inactive_driverdata = 0;
                }

                // dd($startDate_data->format('Y-m-d'),$endDate_data->format('Y-m-d'));

                $loadDetaildataget = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereBetween('actual_delivery_date', [$startDate_data, $endDate_data])->pluck('total_miles')->toArray();

                $loadDetail_revenue = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereBetween('actual_delivery_date', [$startDate_data, $endDate_data])->pluck('driver_revenue')->first();

                //$load_revanyPerunit[] = LoadDetail::whereNull('deleted_at')->where('driver_id',$driverData->id)->whereBetween('actual_delivery_date',[$startDate_data, $endDate_data])->pluck('driver_revenue')->toArray();

                //07-april-2022 $loadDetail_revenue_target = DriverFinancial::where('driver_id',$driverData->id)->where('year',Carbon::now()->year)->where('quarter',Carbon::now()->quarter)->pluck('revenue_target')->toArray();

                $loadDetail_revenue_target[] = getTargetRevenueByDate($startDate_data->format('Y-m-d'), $endDate_data->format('Y-m-d'), $driverData->id);

                $loadDetail_cpm_target = DriverFinancial::join('load_drivers', 'load_drivers.driver_id', '=', 'driver_financials.driver_id')
                    ->whereNull('load_drivers.deleted_at')
                    ->where('driver_financials.driver_id', $driverData->id)
                    ->where('year', Carbon::now()->startOfWeek()->subDays(7)->year)
                    ->where('quarter', Carbon::now()->startOfWeek()->subDays(7)->quarter)
                    ->pluck('driver_financials.cpm_target')->toArray();
                // $quarterly_target_milesData = DriverFinancial::where('driver_id',$driverData->id)
                //   ->where('year',Carbon::now()->startOfWeek(@$start_dateData)->subDays(7)->year)
                //   ->where('quarter',Carbon::now()->startOfWeek(@$start_dateData)->subDays(7)->quarter)
                //   ->pluck('target_miles')->toArray();

                $quarterly_target_milesData[] = getDrivertarget_milestrackerByDate($startDate_data->format('Y-m-d'), $endDate_data->format('Y-m-d'), $driverData->id);


                if (array_sum($quarterly_target_milesData) > 0) {

                    $total_target_miles = array_sum($quarterly_target_milesData);

                } else {

                    $total_target_miles = 0;

                }


                $load_revanyPerunitcount_cpm[] = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereBetween('actual_delivery_date', [$startDate_data, $endDate_data])->pluck('driver_revenue')->toArray();

                $load_milesPerunitcount_cpm[] = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereBetween('actual_delivery_date', [$startDate_data, $endDate_data])->pluck('driver_revenue')->toArray();


                $loadDetail_mileageper = LoadDriver::where('driver_id', $driverData->id)->pluck('mileage_percentage')->toArray();

                // 07-april-2022 $quarterly_revenue_target = DriverFinancial::where('driver_id',$driverData->id)->where('year',Carbon::now()->year)->where('quarter',Carbon::now()->quarter)->pluck('revenue_target')->toArray();

                $quarterly_revenue_target[] = getTargetRevenueByDate($startDate_data->format('Y-m-d'), $endDate_data->format('Y-m-d'), $driverData->id);

                $loadDetail_occupancy = DriverFinancial::where('driver_id', $driverData->id)->where('year', Carbon::now()->year)->where('quarter', Carbon::now()->quarter)->pluck('occupancy')->toArray();

                $loadDetail_mileageper = LoadDriver::where('driver_id', $driverData->id)->pluck('mileage_percentage')->toArray();


                $active_trucks_earned = LoadDriver::where('driver_id', $driverData->id)->pluck('mileage_percentage')->toArray();

                //$getdataOccupancyDaystot = round(getLoadOccupancy(Carbon::now()->startOfWeek(@$start_date)->format('Y-m-d'),Carbon::now()->endOfWeek(@$end_date)->format('Y-m-d'),$driverData->id,$loads,@$trailer_type,@$dispatcher));

                //dd($getdataOccupancyDaystot);

                $quarterly_occupancy = DriverFinancial::where('driver_id', $driverData->id)->where('year', $getYear)->where('quarter', $getquarter)->pluck('occupancy')->toArray();

                $quarterly_occupancy_totdata = DriverFinancial::where('driver_id', $driverData->id)
                    ->where('year', $getYear)
                    ->where('quarter', $getquarter)
                    ->pluck('occupancy')->toArray();

                $divide_quarterly_occupancy_totdata = array_sum($quarterly_occupancy_totdata);


                $get_quarter = Carbon::now()->quarter;
                $get_year = Carbon::now()->year;

                $loads =
                    Driver::select("teams.name as team_name", "drivers.id as driverid", "drivers.company_id as driver_company_id", "drivers.first_name", "drivers.last_name", "drivers.middle_name", "driver_financials.revenue_target as wgrr_seasonal", "driver_financials.occupancy as occupancy_commitment", "load_details.driver_id", "load_details.load_id", "load_details.load_type", "load_details.is_disable", "load_details.agreed_upon_rate", "load_details.detention", "load_details.accessorial", "load_details.fuel_surcharge_cost_per_mile", "load_details.shipper_city", "load_details.shipper_state", "load_details.delivery_city", "load_details.delivery_state", "load_details.load_number", "load_details.load_status", "load_details.actual_delivery_date", "load_drivers.load_detail_id")
                        ->join("driver_informations", "driver_informations.driver_id", "=", "drivers.id")
                        ->leftjoin('driver_financials', function ($join) use ($get_quarter, $get_year) {
                            $join->on('drivers.id', '=', 'driver_financials.driver_id')
                                ->where('driver_financials.year', $get_year)
                                ->where('driver_financials.quarter', $get_quarter);
                        })
                        ->leftjoin("teams", "teams.id", "=", "drivers.team_id")
                        ->leftjoin("load_details", "load_details.driver_id", "=", "drivers.id")
                        ->leftjoin("load_drivers", "load_drivers.driver_id", "=", "drivers.id")
                        ->leftjoin("loads", "loads.id", "=", "load_details.load_id")
                        ->where('drivers.company_id', auth()->guard('company-admin')->user()->company_id)
                        ->where('drivers.id', $driverData->id)
                        ->where('teams.id', $getTeams->id)
                        ->groupBy('load_details.driver_id')
                        ->orderByRaw('drivers.last_name ASC, drivers.first_name ASC')
                        ->first();


                $load_revanyPerunit[] = getLoadGrossRevenue($startDate_data, $endDate_data, $driverData->id, $loads, @$trailer_type, @$dispatcher);

                $actual_milecount_total_occupancy_miles_data[] = getLoadMileagerevenuetracker($startDate_data, $endDate_data, $driverData->id, $loads, @$trailer_type, @$dispatcher);

                $getLoadCPM = getLoadCPM($startDate_data->format('Y-m-d'), $endDate_data->format('Y-m-d'), $driverData->id, $loads, @$trailer_type, @$dispatcher);

                //$occupancy_sum[] = array_sum($quarterly_occupancy) / count($getDriver);

                if ((array_sum($quarterly_occupancy) > 0) && (count($getDriver) > 0)) {

                    $occupancy_sum[] = array_sum($quarterly_occupancy) / count($getDriver);
                } else {

                    $occupancy_sum[] = 0;
                }

                $getLoadGrossRevenue[] = getLoadGrossRevenue($startDate_data->format('Y-m-d'), $endDate_data->format('Y-m-d'), $driverData->id, $loads, @$trailer_type, @$dispatcher);

                $actual_milecount_total_occupancy_miles_datanew = getLoadMileagerevenuetracker($startDate_data->format('Y-m-d'), $endDate_data->format('Y-m-d'), $driverData->id, $loads, @$trailer_type, @$dispatcher);

                // $getLoadOccupancy = round(getLoadOccupancy($startDate_data->format('Y-m-d'),$endDate_data->format('Y-m-d'),$driverData->id,$loads,@$trailer_type,@$dispatcher));


                $getLoadOccupancyj = getloadCount($startDate_data->format('Y-m-d'), $endDate_data->format('Y-m-d'), 0, $driverData->id);

                $tott = $getLoadOccupancyj;

                if ($tott > 0) {

                    $getLoadOccupancy = round(($getLoadOccupancyj * 100) / $tott, 2);

                } else {

                    $getLoadOccupancy = $getLoadOccupancyj;
                }

                $getdataOccupancyDaystot = round(getLoadOccupancy($startDate_data->format('Y-m-d'), $endDate_data->format('Y-m-d'), $driverData->id, $loads, @$trailer_type, @$dispatcher));

                if ($getLoadOccupancy > 0) {

                    $fleetOccupancyData[] = $getLoadOccupancy;

                } else {

                    $fleetOccupancyData[] = 0;
                }

                if (array_sum($loadDetail_revenue_target) > 0) {

                    $loadDetail_revenue_targetdata[] = array_sum($loadDetail_revenue_target);

                    $loadDetail_revenue_targetdata_divide = array_sum($loadDetail_revenue_target);

                    $loadDetail_revenue_targetdatanew = array_sum($loadDetail_revenue_target);
                    $allDriverOccupancyactive = DriverFinancial::whereIn('driver_id', $active_driver_getId)->whereBetween('created_at', [$startDate_data, $endDate_data])->pluck('occupancy')->toArray();

                    $allDriverOccupancy = DriverFinancial::whereIn('driver_id', $all_driver_getId)->whereBetween('created_at', [$startDate_data, $endDate_data])->pluck('occupancy')->toArray();


                    if ((array_sum($allDriverOccupancyactive) > 0) && (array_sum($allDriverOccupancy) > 0)) {

                        $driverOccupancy[] = array_sum($allDriverOccupancy) / array_sum($allDriverOccupancyactive);
                    } else {

                        $driverOccupancy[] = 0;
                    }

                    $actuval_revanue = array_sum($getLoadGrossRevenue);

                    if ((array_sum($driverOccupancy) > 0) && (array_sum($getLoadGrossRevenue) > 0)) {

                        $total_Of_revancy_goal[] = array_sum($getLoadGrossRevenue) / array_sum($driverOccupancy);

                    } else {

                        $total_Of_revancy_goal[] = 0;
                    }

                } else {

                    $loadDetail_revenue_targetdata[] = 0;
                    $driverOccupancy[] = 0;
                    $total_Of_revancy_goal[] = 0;
                    $loadDetail_revenue_targetdata_divide = 0;
                    $loadDetail_revenue_targetdatanew = 0;

                }

                /// revenue goal start lastweek //

                $revenueData = (array_sum($loadDetail_revenue_target)) * ($getLoadOccupancy);

                // dd($loadDetail_revenue_targetdata_divide);

                $revenue_divide = $revenueData / 100;

                if ((array_sum($getLoadGrossRevenue) > 0) && ($revenue_divide > 0)) {

                    $actualreve_divide_by = array_sum($getLoadGrossRevenue) / $revenue_divide;
                } else {

                    $actualreve_divide_by = 0;
                }

                ///////////////////

                /// Occupancy Revenue  LastWeek  //

                //if(array_sum($quarterly_revenue_target) > 0)
                if ((array_sum($quarterly_revenue_target) > 0) && ($getdataOccupancyDaystot > 0)) {
                    $arrayquarterly_revenue_target = array_sum($quarterly_revenue_target);

                    // dd($getLoadOccupancy);
                    $multiplyData = $getdataOccupancyDaystot * $arrayquarterly_revenue_target;

                    $dividebyDatarevenu = $multiplyData / 100;

                    //dd($dividebyData);

                    // getLoadOccupancy

                } else {

                    $dividebyDatarevenu = 0;
                }

                /// occ end ///

                //  $current_startdate = Carbon::now()->startOfWeek(@$start_date)->formate('m-d-Y');
                // $current_enddate = Carbon::now()->endOfWeek(@$end_date)->formate('m-d-Y');

                // dd($start_date);

                if (array_sum($quarterly_target_milesData) > 0) {
                    $total_miles[] = array_sum($quarterly_target_milesData);
                } else {

                    $total_miles[] = 0;
                }

            }


            ///////////


            if ($request->id == 'CurrentMonth') {

                // dd($loadDetaildataget);

                //dd(Carbon::now()->month);

                $start_date = auth()->guard('company-admin')->user()->weekly_strat_day;

                $end_date = auth()->guard('company-admin')->user()->weekly_strat_day - '7';

                $startDate_data = Carbon::now()->startOfWeek(@$start_date)->subDays(7);

                $endDate_data = Carbon::now()->startOfWeek(@$start_date)->subDays(1);

                //dd($endDate_data);

                //  $date = Carbon::today()->subDays(7);

                // $start_date_timestamp = strtotime($request->startDate);
                // $start_date = date('Y-m-d', $start_date_timestamp);

                // $end_date_timestamp = strtotime($endDate_data);
                // $end_dateddd = date('Y-m-d', $end_date_timestamp);

                //   dd($end_date_timestamp);

                $loadDetaildataget = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereMonth('actual_delivery_date', Carbon::now()->month)->pluck('total_miles')->toArray();


                $loadDetail_revenue = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereMonth('actual_delivery_date', Carbon::now()->month)->pluck('driver_revenue')->first();

                //$load_revanyPerunit[] = LoadDetail::whereNull('deleted_at')->where('driver_id',$driverData->id)->whereMonth('actual_delivery_date', Carbon::now()->month)->pluck('driver_revenue')->toArray();

                //dd($load_revanyPerunit);

                $now = Carbon::now();
                $startOfMonth = $now->startOfMonth()->format('Y-m-d');
                $endOfMonth = $now->endOfMonth()->format('Y-m-d');


                //07-april-2022 $loadDetail_revenue_target = DriverFinancial::where('driver_id',$driverData->id)->where('year',Carbon::now()->year)->where('quarter',Carbon::now()->quarter)->pluck('revenue_target')->toArray();

                $loadDetail_revenue_target[] = getTargetRevenueByDate($startOfMonth, $endOfMonth, $driverData->id);

                $loadDetail_cpm_target = DriverFinancial::join('load_drivers', 'load_drivers.driver_id', '=', 'driver_financials.driver_id')
                    ->whereNull('load_drivers.deleted_at')
                    ->where('driver_financials.driver_id', $driverData->id)
                    ->where('year', Carbon::now()->startOfWeek()->subDays(7)->year)
                    ->where('quarter', Carbon::now()->startOfWeek()->subDays(7)->quarter)
                    ->pluck('driver_financials.cpm_target')->toArray();

                $load_revanyPerunitcount_cpm[] = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereMonth('actual_delivery_date', Carbon::now()->month)->pluck('driver_revenue')->toArray();

                $load_milesPerunitcount_cpm[] = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereMonth('actual_delivery_date', Carbon::now()->month)->pluck('driver_revenue')->toArray();

                $loadDetail_mileageper = LoadDriver::where('driver_id', $driverData->id)->pluck('mileage_percentage')->toArray();

                $quarterly_revenue_target[] = getTargetRevenueByDate($startOfMonth, $endOfMonth, $driverData->id);

                $loadDetail_occupancy = DriverFinancial::where('driver_id', $driverData->id)->where('year', Carbon::now()->year)->where('quarter', Carbon::now()->quarter)->pluck('occupancy')->toArray();

                //07-april-2022 $quarterly_target_milesData = DriverFinancial::where('driver_id',$driverData->id)
                //     ->where('year',Carbon::now()->year)->where('quarter',Carbon::now()->quarter)
                //     ->pluck('target_miles')->toArray();


                $quarterly_target_milesData[] = getDrivertarget_milestrackerByDate($startOfMonth, $endOfMonth, $driverData->id);

                if (array_sum($quarterly_target_milesData) > 0) {

                    $total_target_miles = array_sum($quarterly_target_milesData);

                } else {

                    $total_target_miles = 0;

                }

                $loadDetail_mileageper = LoadDriver::where('driver_id', $driverData->id)->pluck('mileage_percentage')->toArray();


                $active_trucks_earned = LoadDriver::where('driver_id', $driverData->id)->pluck('mileage_percentage')->toArray();

                $quarterly_occupancy = DriverFinancial::where('driver_id', $driverData->id)->where('year', Carbon::now()->year)->where('quarter', Carbon::now()->quarter)->pluck('occupancy')->toArray();


                //dd($getLoadOccupancydivideData,$startOfMonth,$endOfMonth);


                $quarterly_occupancy_totdata = DriverFinancial::where('driver_id', $driverData->id)
                    ->where(\DB::raw('DATE_FORMAT(start_date, "%Y-%m-%d")'), '<=', $startOfMonth)
                    ->where(\DB::raw('DATE_FORMAT(end_date, "%Y-%m-%d")'), '>=', $endOfMonth)
                    ->pluck('occupancy')->toArray();

                $getdataOccupancyDays = round(getLoadTotalDays($startOfMonth, $endOfMonth, $driverData->id));


                if ($getdataOccupancyDays > 0) {

                    $period = CarbonPeriod::create($startOfMonth, $endOfMonth);

                    $datesdays = count($period->toArray());
                    $totalPerData = ($getdataOccupancyDays * 100) / $datesdays;

                    $getdataOccupancyDaystot = $totalPerData;

                } else {


                    $getdataOccupancyDaystot = 0;
                }

                $divide_quarterly_occupancy_totdata = array_sum($quarterly_occupancy_totdata);

                //dd($startOfMonth,$endOfMonth);
                $active_driverdatanew = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereBetween('created_at', [$startOfMonth, $endOfMonth])->first();

                if (empty($active_driverdatanew)) {

                    $active_driverdata = 0;

                    $inactive_driverdata = 1;

                } else {

                    $active_driverdata = 1;

                    $inactive_driverdata = 0;
                }


                $get_quarter = Carbon::now()->quarter;
                $get_year = Carbon::now()->year;

                $loads =
                    Driver::select("teams.name as team_name", "drivers.id as driverid", "drivers.company_id as driver_company_id", "drivers.first_name", "drivers.last_name", "drivers.middle_name", "driver_financials.revenue_target as wgrr_seasonal", "driver_financials.occupancy as occupancy_commitment", "load_details.driver_id", "load_details.load_id", "load_details.load_type", "load_details.is_disable", "load_details.agreed_upon_rate", "load_details.detention", "load_details.accessorial", "load_details.fuel_surcharge_cost_per_mile", "load_details.shipper_city", "load_details.shipper_state", "load_details.delivery_city", "load_details.delivery_state", "load_details.load_number", "load_details.load_status", "load_details.actual_delivery_date", "load_drivers.load_detail_id")
                        ->join("driver_informations", "driver_informations.driver_id", "=", "drivers.id")
                        ->leftjoin('driver_financials', function ($join) use ($get_quarter, $get_year) {
                            $join->on('drivers.id', '=', 'driver_financials.driver_id')
                                ->where('driver_financials.year', $get_year)
                                ->where('driver_financials.quarter', $get_quarter);
                        })
                        ->leftjoin("teams", "teams.id", "=", "drivers.team_id")
                        ->leftjoin("load_details", "load_details.driver_id", "=", "drivers.id")
                        ->leftjoin("load_drivers", "load_drivers.driver_id", "=", "drivers.id")
                        ->leftjoin("loads", "loads.id", "=", "load_details.load_id")
                        ->where('drivers.company_id', auth()->guard('company-admin')->user()->company_id)
                        ->where('drivers.id', $driverData->id)
                        ->where('teams.id', $getTeams->id)
                        ->groupBy('load_details.driver_id')
                        ->orderByRaw('drivers.last_name ASC, drivers.first_name ASC')
                        ->first();


                $getLoadOccupancydivideData = round(getLoadOccupancy($startOfMonth, $endOfMonth, $driverData->id, $loads, @$trailer_type, @$dispatcher));

                // dd($getLoadOccupancydivideData);

                $load_revanyPerunit[] = getLoadGrossRevenue($startOfMonth, $endOfMonth, $driverData->id, $loads, @$trailer_type, @$dispatcher);

                $actual_milecount_total_occupancy_miles_data[] = getLoadMileagerevenuetracker($startOfMonth, $endOfMonth, $driverData->id, $loads, @$trailer_type, @$dispatcher);

                $getLoadCPM = getLoadCPM($startOfMonth, $endOfMonth, $driverData->id, $loads, @$trailer_type, @$dispatcher);

                $actual_milecount_total_occupancy_miles_datanew = getLoadMileagerevenuetracker($startOfMonth, $endOfMonth, $driverData->id, $loads, @$trailer_type, @$dispatcher);
                // dd($startOfMonth,$endOfMonth);
                //$occupancy_sum[] = array_sum($quarterly_occupancy) / count($getDriver);

                if ((array_sum($quarterly_occupancy) > 0) && (count($getDriver) > 0)) {

                    $occupancy_sum[] = array_sum($quarterly_occupancy) / count($getDriver);
                } else {

                    $occupancy_sum[] = 0;
                }

                $getLoadGrossRevenue[] = getLoadGrossRevenue($startOfMonth, $endOfMonth, $driverData->id, $loads, @$trailer_type, @$dispatcher);

                // $getLoadOccupancy = round(getLoadOccupancy($startOfMonth,$endOfMonth,$driverData->id,$loads,@$trailer_type,@$dispatcher));


                $getLoadOccupancyj = getloadCount($startOfMonth, $endOfMonth, 0, $driverData->id);

                $tott = $getLoadOccupancyj;

                if ($tott > 0) {

                    $getLoadOccupancy = round(($getLoadOccupancyj * 100) / $tott, 2);

                } else {

                    $getLoadOccupancy = $getLoadOccupancyj;
                }

                //dd($getLoadOccupancy,$startOfMonth,$endOfMonth);

                if ($getLoadOccupancy > 0) {

                    $fleetOccupancyData[] = $getLoadOccupancy;

                } else {

                    $fleetOccupancyData[] = 0;
                }

                if (array_sum($loadDetail_revenue_target) > 0) {

                    $loadDetail_revenue_targetdata[] = array_sum($loadDetail_revenue_target);

                    $loadDetail_revenue_targetdata_divide = array_sum($loadDetail_revenue_target);

                    $loadDetail_revenue_targetdatanew = array_sum($loadDetail_revenue_target);

                    $allDriverOccupancyactive = DriverFinancial::whereIn('driver_id', $active_driver_getId)->whereBetween('created_at', [$startOfMonth, $endOfMonth])->pluck('occupancy')->toArray();

                    $allDriverOccupancy = DriverFinancial::whereIn('driver_id', $all_driver_getId)->whereBetween('created_at', [$startOfMonth, $endOfMonth])->pluck('occupancy')->toArray();


                    if ((array_sum($allDriverOccupancyactive) > 0) && (array_sum($allDriverOccupancy) > 0)) {

                        $driverOccupancy[] = array_sum($allDriverOccupancy) / array_sum($allDriverOccupancyactive);
                    } else {

                        $driverOccupancy[] = 0;
                    }

                    $actuval_revanue = array_sum($getLoadGrossRevenue);

                    //dd($driverOccupancy);

                    if ((array_sum($driverOccupancy) > 0) && (array_sum($getLoadGrossRevenue) > 0)) {

                        $total_Of_revancy_goal[] = array_sum($getLoadGrossRevenue) / array_sum($driverOccupancy);

                    } else {

                        $total_Of_revancy_goal[] = 0;
                    }

                } else {

                    $loadDetail_revenue_targetdata[] = 0;
                    $driverOccupancy[] = 0;
                    $total_Of_revancy_goal[] = 0;
                    $loadDetail_revenue_targetdata_divide = 0;
                }


                /// revenue goal start current month //

                $revenueData = (array_sum($loadDetail_revenue_target)) * ($getLoadOccupancy);

                // dd($loadDetail_revenue_targetdata_divide);

                $revenue_divide = $revenueData / 100;

                if ((array_sum($getLoadGrossRevenue) > 0) && ($revenue_divide > 0)) {

                    $actualreve_divide_by = array_sum($getLoadGrossRevenue) / $revenue_divide;
                } else {

                    $actualreve_divide_by = 0;
                }

                ///////////////////


                /// Occupancy Revenue  current month  //

                //if(array_sum($quarterly_revenue_target) > 0)
                if ((array_sum($quarterly_revenue_target) > 0) && ($getLoadOccupancydivideData > 0)) {
                    $arrayquarterly_revenue_target = array_sum($quarterly_revenue_target);

                    // dd($getLoadOccupancy);
                    $multiplyData = $getLoadOccupancydivideData * $arrayquarterly_revenue_target;

                    $dividebyDatarevenu = $multiplyData / 100;

                    //dd($dividebyData);

                    // getLoadOccupancy

                } else {

                    $dividebyDatarevenu = 0;
                }

                /// occ end ///

                $current_startdate = $now->startOfMonth()->format('m-d-Y');
                $current_enddate = $now->endOfMonth()->format('m-d-Y');

                if (array_sum($quarterly_target_milesData) > 0) {
                    $total_miles[] = array_sum($quarterly_target_milesData);
                } else {

                    $total_miles[] = 0;
                }

            }


            //////////


            if ($request->id == 'LastMonth') {

                $date = Carbon::now();
                $lastMonth = $date->subMonth();

                $start_date = auth()->guard('company-admin')->user()->weekly_strat_day;

                $end_date = auth()->guard('company-admin')->user()->weekly_strat_day - '7';

                $startDate_data = Carbon::now()->startOfWeek(@$start_date)->subDays(7);

                $endDate_data = Carbon::now()->startOfWeek(@$start_date)->subDays(1);


                $current_startdate = Carbon::now()->startOfMonth()->subMonth()->format('m-d-Y');
                $current_enddate = Carbon::now()->subMonth()->endOfMonth()->format('m-d-Y');

                $current_startdateymd = Carbon::now()->startOfMonth()->subMonth()->format('Y-m-d');
                $current_enddateymd = Carbon::now()->subMonth()->endOfMonth()->format('Y-m-d');

                // dd($current_startdate,$current_enddate);

                //  $date = Carbon::today()->subDays(7);

                // $start_date_timestamp = strtotime($request->startDate);
                // $start_date = date('Y-m-d', $start_date_timestamp);

                // $end_date_timestamp = strtotime($endDate_data);
                // $end_dateddd = date('Y-m-d', $end_date_timestamp);

                //   dd($end_date_timestamp);

                //11-april-2022 $loadDetaildataget = LoadDetail::whereNull('deleted_at')->where('driver_id',$driverData->id)->whereMonth('actual_delivery_date', $lastMonth)->pluck('total_miles')->toArray();

                $loadDetaildataget = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereBetween(DB::raw('DATE_FORMAT(load_details.actual_delivery_date, "%Y-%m-%d")'), [$current_startdateymd, $current_enddateymd])->pluck('total_miles')->toArray();

                $loadDetail_revenue = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereMonth('actual_delivery_date', $lastMonth)->pluck('driver_revenue')->first();

                // $load_revanyPerunit[] = LoadDetail::whereNull('deleted_at')->where('driver_id',$driverData->id)->whereMonth('actual_delivery_date', $lastMonth)->pluck('driver_revenue')->toArray();

                $loadDetail_revenue_target[] = getTargetRevenueByDate($current_startdateymd, $current_enddateymd, $driverData->id);

                // dd(Carbon::now()->year ,Carbon::now()->quarter,$loadDetail_revenue_target);

                // $loadDetail_cpm_target = DriverFinancial::where('driver_id',$driverData->id)->where('year',Carbon::now()->year)->where('quarter',Carbon::now()->quarter)->pluck('cpm_target')->toArray();


                $loadDetail_cpm_targetdataget = getDrivercpm_targettracker($current_startdateymd, $current_enddateymd, $driverData->id);

                $loadDetail_cpm_target[] = intval($loadDetail_cpm_targetdataget);


                $quarterly_target_milesData[] = getDrivertarget_milestrackerByDate($current_startdateymd, $current_enddateymd, $driverData->id);

                if (array_sum($quarterly_target_milesData) > 0) {

                    $total_target_miles = array_sum($quarterly_target_milesData);

                } else {

                    $total_target_miles = 0;

                }

                $load_revanyPerunitcount_cpm[] = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereMonth('actual_delivery_date', $lastMonth)->pluck('driver_revenue')->toArray();

                $load_milesPerunitcount_cpm[] = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereMonth('actual_delivery_date', $lastMonth)->pluck('driver_revenue')->toArray();

                $loadDetail_mileageper = LoadDriver::where('driver_id', $driverData->id)->pluck('mileage_percentage')->toArray();

                $quarterly_revenue_target[] = getTargetRevenueByDate($current_startdateymd, $current_enddateymd, $driverData->id);

                $loadDetail_occupancy = DriverFinancial::where('driver_id', $driverData->id)->where('year', Carbon::now()->year)->where('quarter', Carbon::now()->quarter)->pluck('occupancy')->toArray();

                $loadDetail_mileageper = LoadDriver::where('driver_id', $driverData->id)->pluck('mileage_percentage')->toArray();


                $active_trucks_earned = LoadDriver::where('driver_id', $driverData->id)->pluck('mileage_percentage')->toArray();

                $quarterly_occupancy = DriverFinancial::where('driver_id', $driverData->id)->where('year', Carbon::now()->year)->where('quarter', Carbon::now()->quarter)->pluck('occupancy')->toArray();


                $now = Carbon::now();
                $startOfMonth = Carbon::now()->startOfMonth()->subMonth()->toDateString();
                $endOfMonth = Carbon::now()->subMonth()->endOfMonth()->toDateString();


                $quarterly_occupancy_totdata = DriverFinancial::where('driver_id', $driverData->id)
                    ->where(\DB::raw('DATE_FORMAT(start_date, "%Y-%m-%d")'), '<=', $startOfMonth)
                    ->where(\DB::raw('DATE_FORMAT(end_date, "%Y-%m-%d")'), '>=', $endOfMonth)
                    ->pluck('occupancy')->toArray();


                $getdataOccupancyDays = round(getLoadTotalDays($startOfMonth, $endOfMonth, $driverData->id));

                $divide_quarterly_occupancy_totdata = array_sum($quarterly_occupancy_totdata);

                //dd($startOfMonth,$endOfMonth);
                $active_driverdatanew = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereBetween('actual_delivery_date', [$startOfMonth, $endOfMonth])->first();

                if (empty($active_driverdatanew)) {

                    $active_driverdata = 0;

                    $inactive_driverdata = 1;

                } else {

                    $active_driverdata = 1;

                    $inactive_driverdata = 0;
                }


                $get_quarter = Carbon::now()->quarter;
                $get_year = Carbon::now()->year;

                $loads =
                    Driver::select("teams.name as team_name", "drivers.id as driverid", "drivers.company_id as driver_company_id", "drivers.first_name", "drivers.last_name", "drivers.middle_name", "driver_financials.revenue_target as wgrr_seasonal", "driver_financials.occupancy as occupancy_commitment", "load_details.driver_id", "load_details.load_id", "load_details.load_type", "load_details.is_disable", "load_details.agreed_upon_rate", "load_details.detention", "load_details.accessorial", "load_details.fuel_surcharge_cost_per_mile", "load_details.shipper_city", "load_details.shipper_state", "load_details.delivery_city", "load_details.delivery_state", "load_details.load_number", "load_details.load_status", "load_details.actual_delivery_date", "load_drivers.load_detail_id")
                        ->join("driver_informations", "driver_informations.driver_id", "=", "drivers.id")
                        ->leftjoin('driver_financials', function ($join) use ($get_quarter, $get_year) {
                            $join->on('drivers.id', '=', 'driver_financials.driver_id')
                                ->where('driver_financials.year', $get_year)
                                ->where('driver_financials.quarter', $get_quarter);
                        })
                        ->leftjoin("teams", "teams.id", "=", "drivers.team_id")
                        ->leftjoin("load_details", "load_details.driver_id", "=", "drivers.id")
                        ->leftjoin("load_drivers", "load_drivers.driver_id", "=", "drivers.id")
                        ->leftjoin("loads", "loads.id", "=", "load_details.load_id")
                        ->where('drivers.company_id', auth()->guard('company-admin')->user()->company_id)
                        ->where('drivers.id', $driverData->id)
                        ->where('teams.id', $getTeams->id)
                        ->groupBy('load_details.driver_id')
                        ->orderByRaw('drivers.last_name ASC, drivers.first_name ASC')
                        ->first();

                $getLoadOccupancydivideDataf = round(getLoadOccupancy($startOfMonth, $endOfMonth, $driverData->id, $loads, @$trailer_type, @$dispatcher));

                //dd($getLoadOccupancydivideDataf);

                //11-april-2022 $load_revanyPerunit[] =  getLoadGrossRevenue($startOfMonth,$endOfMonth,$driverData->id,$loads,@$trailer_type,@$dispatcher);

                $load_revanyPerunit = getDriverdriver_revenueDatatracker($startOfMonth, $endOfMonth, $driverData->id);

                //dd($load_revanyPerunit);

                $actual_milecount_total_occupancy_miles_data[] = getLoadMileagerevenuetracker($startOfMonth, $endOfMonth, $driverData->id, $loads, @$trailer_type, @$dispatcher);

                $actual_milecount_total_occupancy_miles_datanew = getLoadMileagerevenuetracker($startOfMonth, $endOfMonth, $driverData->id, $loads, @$trailer_type, @$dispatcher);

                $getLoadCPM = getLoadCPM($startOfMonth, $endOfMonth, $driverData->id, $loads, @$trailer_type, @$dispatcher);

                //dd($startOfMonth,$endOfMonth);
                //$occupancy_sum[] = array_sum($quarterly_occupancy) / count($getDriver);

                if ((array_sum($quarterly_occupancy) > 0) && (count($getDriver) > 0)) {

                    $occupancy_sum[] = array_sum($quarterly_occupancy) / count($getDriver);
                } else {

                    $occupancy_sum[] = 0;
                }

                $getLoadGrossRevenue[] = getLoadGrossRevenue($startDate_data, $endDate_data, $driverData->id, $loads, @$trailer_type, @$dispatcher);

                // $getLoadOccupancy = round(getLoadOccupancy($startDate_data,$endDate_data,$driverData->id,$loads,@$trailer_type,@$dispatcher));

                $getLoadOccupancyj = getloadCount($startDate_data, $endDate_data, 0, $driverData->id);

                $tott = $getLoadOccupancyj;

                if ($tott > 0) {

                    $getLoadOccupancy = round(($getLoadOccupancyj * 100) / $tott, 2);

                } else {

                    $getLoadOccupancy = $getLoadOccupancyj;
                }


                if ($getLoadOccupancy > 0) {

                    $fleetOccupancyData[] = $getLoadOccupancy;

                } else {

                    $fleetOccupancyData[] = 0;
                }

                if (array_sum($loadDetail_revenue_target) > 0) {

                    $loadDetail_revenue_targetdata[] = array_sum($loadDetail_revenue_target);

                    $loadDetail_revenue_targetdata_divide = array_sum($loadDetail_revenue_target);

                    $loadDetail_revenue_targetdatanew = array_sum($loadDetail_revenue_target);

                    $allDriverOccupancyactive = DriverFinancial::whereIn('driver_id', $active_driver_getId)->whereBetween('created_at', [$startDate_data, $endDate_data])->pluck('occupancy')->toArray();

                    $allDriverOccupancy = DriverFinancial::whereIn('driver_id', $all_driver_getId)->whereBetween('created_at', [$startDate_data, $endDate_data])->pluck('occupancy')->toArray();


                    if ((array_sum($allDriverOccupancyactive) > 0) && (array_sum($allDriverOccupancy) > 0)) {

                        $driverOccupancy[] = array_sum($allDriverOccupancy) / array_sum($allDriverOccupancyactive);
                    } else {

                        $driverOccupancy[] = 0;
                    }

                    $actuval_revanue = array_sum($getLoadGrossRevenue);

                    if ((array_sum($driverOccupancy) > 0) && (array_sum($getLoadGrossRevenue) > 0)) {

                        $total_Of_revancy_goal[] = array_sum($getLoadGrossRevenue) / array_sum($driverOccupancy);

                    } else {

                        $total_Of_revancy_goal[] = 0;
                    }

                } else {

                    $loadDetail_revenue_targetdata[] = 0;
                    $driverOccupancy[] = 0;
                    $total_Of_revancy_goal[] = 0;
                    $loadDetail_revenue_targetdata_divide = 0;
                }

                $getdataOccupancyDays = round(getLoadTotalDays($startOfMonth, $endOfMonth, $driverData->id));


                if ($getdataOccupancyDays > 0) {

                    $period = CarbonPeriod::create($startOfMonth, $endOfMonth);

                    $datesdays = count($period->toArray());
                    $totalPerData = ($getdataOccupancyDays * 100) / $datesdays;

                    $getdataOccupancyDaystot = $totalPerData;

                } else {


                    $getdataOccupancyDaystot = 0;
                }

                /// revenue goal start LastMonth //

                $revenueData = (array_sum($loadDetail_revenue_target)) * ($getLoadOccupancy);

                // dd($loadDetail_revenue_targetdata_divide);

                $revenue_divide = $revenueData / 100;

                if ((array_sum($getLoadGrossRevenue) > 0) && ($revenue_divide > 0)) {

                    $actualreve_divide_by = array_sum($getLoadGrossRevenue) / $revenue_divide;
                } else {

                    $actualreve_divide_by = 0;
                }

                ///////////////////

                /// Occupancy Revenue  LastMonth  //

                // if(array_sum($quarterly_revenue_target) > 0)
                if ((array_sum($quarterly_revenue_target) > 0) && ($getLoadOccupancydivideDataf > 0)) {
                    $arrayquarterly_revenue_target = array_sum($quarterly_revenue_target);

                    //dd($arrayquarterly_revenue_target,$getdataOccupancyDays);
                    $multiplyData = $getLoadOccupancydivideDataf * $arrayquarterly_revenue_target;

                    $dividebyDatarevenu = $multiplyData / 100;

                    //dd($dividebyData);

                    // getLoadOccupancy

                } else {

                    $dividebyDatarevenu = 0;
                }


                if (array_sum($quarterly_target_milesData) > 0) {
                    $total_miles[] = array_sum($quarterly_target_milesData);
                } else {

                    $total_miles[] = 0;
                }

                /// occ end ///
            }


            ///////


            if ($request->id == 'ThisYear') {

                $date = Carbon::now();
                $lastMonth = $date->subMonth();

                $start_date = auth()->guard('company-admin')->user()->weekly_strat_day;

                $end_date = auth()->guard('company-admin')->user()->weekly_strat_day - '7';

                $startDate_data = Carbon::now()->startOfWeek(@$start_date)->subDays(7);

                $endDate_data = Carbon::now()->startOfWeek(@$start_date)->subDays(1);

                $now = Carbon::now();

                $current_startdate = $now->startOfYear()->format('m-d-Y');
                $current_enddate = $now->endOfYear()->format('m-d-Y');


                $now = Carbon::now();
                $startOfMonth = $now->startOfYear()->format('Y-m-d');
                $endOfMonth = $now->endOfYear()->format('Y-m-d');
                //dd($endDate_data);

                //  $date = Carbon::today()->subDays(7);

                // $start_date_timestamp = strtotime($request->startDate);
                // $start_date = date('Y-m-d', $start_date_timestamp);

                // $end_date_timestamp = strtotime($endDate_data);
                // $end_dateddd = date('Y-m-d', $end_date_timestamp);

                //   dd($end_date_timestamp);

                $loadDetaildataget = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereYear('actual_delivery_date', Carbon::now()->year)->pluck('total_miles')->toArray();

                $loadDetail_revenue = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereYear('actual_delivery_date', Carbon::now()->year)->pluck('driver_revenue')->first();

                //$load_revanyPerunit[] = LoadDetail::whereNull('deleted_at')->where('driver_id',$driverData->id)->whereYear('actual_delivery_date', Carbon::now()->year)->pluck('driver_revenue')->toArray();

                $loadDetail_revenue_target[] = getTargetRevenueByDate($startOfMonth, $endOfMonth, $driverData->id);

                $loadDetail_cpm_target = DriverFinancial::join('load_drivers', 'load_drivers.driver_id', '=', 'driver_financials.driver_id')
                    ->whereNull('load_drivers.deleted_at')
                    ->where('driver_financials.driver_id', $driverData->id)
                    ->where('year', Carbon::now()->startOfWeek()->subDays(7)->year)
                    ->where('quarter', Carbon::now()->startOfWeek()->subDays(7)->quarter)
                    ->pluck('driver_financials.cpm_target')->toArray();

                //dd($loadDetail_cpm_target);

                $load_revanyPerunitcount_cpm[] = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereYear('actual_delivery_date', Carbon::now()->year)->pluck('driver_revenue')->toArray();

                $load_milesPerunitcount_cpm[] = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereYear('actual_delivery_date', Carbon::now()->year)->pluck('driver_revenue')->toArray();


                $loadDetail_mileageper = LoadDriver::where('driver_id', $driverData->id)->pluck('mileage_percentage')->toArray();

                $quarterly_revenue_target[] = getTargetRevenueByDate($now->startOfYear()->format('Y-m-d'), $now->endOfYear()->format('Y-m-d'), $driverData->id);


                $loadDetail_occupancy = DriverFinancial::where('driver_id', $driverData->id)->where('year', Carbon::now()->year)->where('quarter', Carbon::now()->quarter)->pluck('occupancy')->toArray();

                $quarterly_target_milesData[] = getDrivertarget_milestrackerByDate($now->startOfYear()->format('Y-m-d'), $now->endOfYear()->format('Y-m-d'), $driverData->id);

                if (array_sum($quarterly_target_milesData) > 0) {

                    $total_target_miles = array_sum($quarterly_target_milesData);

                } else {

                    $total_target_miles = 0;

                }

                $loadDetail_mileageper = LoadDriver::where('driver_id', $driverData->id)->pluck('mileage_percentage')->toArray();


                $active_trucks_earned = LoadDriver::where('driver_id', $driverData->id)->pluck('mileage_percentage')->toArray();

                $quarterly_occupancy = DriverFinancial::where('driver_id', $driverData->id)->where('year', Carbon::now()->year)->pluck('occupancy')->toArray();

                $quarterly_occupancy_totdata = DriverFinancial::where('driver_id', $driverData->id)
                    ->where('year', Carbon::now()->year)
                    ->pluck('occupancy')->toArray();

                $divide_quarterly_occupancy_totdata = array_sum($quarterly_occupancy_totdata);


                //dd($startOfMonth,$endOfMonth);
                $active_driverdatanew = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereBetween('actual_delivery_date', [$startOfMonth, $endOfMonth])->first();

                if (empty($active_driverdatanew)) {

                    $active_driverdata = 0;

                    $inactive_driverdata = 1;

                } else {

                    $active_driverdata = 1;

                    $inactive_driverdata = 0;
                }

                $get_quarter = Carbon::now()->quarter;
                $get_year = Carbon::now()->year;

                $loads =
                    Driver::select("teams.name as team_name", "drivers.id as driverid", "drivers.company_id as driver_company_id", "drivers.first_name", "drivers.last_name", "drivers.middle_name", "driver_financials.revenue_target as wgrr_seasonal", "driver_financials.occupancy as occupancy_commitment", "load_details.driver_id", "load_details.load_id", "load_details.load_type", "load_details.is_disable", "load_details.agreed_upon_rate", "load_details.detention", "load_details.accessorial", "load_details.fuel_surcharge_cost_per_mile", "load_details.shipper_city", "load_details.shipper_state", "load_details.delivery_city", "load_details.delivery_state", "load_details.load_number", "load_details.load_status", "load_details.actual_delivery_date", "load_drivers.load_detail_id")
                        ->join("driver_informations", "driver_informations.driver_id", "=", "drivers.id")
                        ->leftjoin('driver_financials', function ($join) use ($get_quarter, $get_year) {
                            $join->on('drivers.id', '=', 'driver_financials.driver_id')
                                ->where('driver_financials.year', $get_year)
                                ->where('driver_financials.quarter', $get_quarter);
                        })
                        ->leftjoin("teams", "teams.id", "=", "drivers.team_id")
                        ->leftjoin("load_details", "load_details.driver_id", "=", "drivers.id")
                        ->leftjoin("load_drivers", "load_drivers.driver_id", "=", "drivers.id")
                        ->leftjoin("loads", "loads.id", "=", "load_details.load_id")
                        ->where('drivers.company_id', auth()->guard('company-admin')->user()->company_id)
                        ->where('drivers.id', $driverData->id)
                        ->where('teams.id', $getTeams->id)
                        ->groupBy('load_details.driver_id')
                        ->orderByRaw('drivers.last_name ASC, drivers.first_name ASC')
                        ->first();


                $getLoadOccupancydivideDataf = round(getLoadOccupancy($startOfMonth, $endOfMonth, $driverData->id, $loads, @$trailer_type, @$dispatcher));

                $actual_milecount_total_occupancy_miles_data[] = getLoadMileagerevenuetracker($startOfMonth, $endOfMonth, $driverData->id, $loads, @$trailer_type, @$dispatcher);

                $actual_milecount_total_occupancy_miles_datanew = getLoadMileagerevenuetracker($startOfMonth, $endOfMonth, $driverData->id, $loads, @$trailer_type, @$dispatcher);

                $getLoadCPM = getLoadCPM($startOfMonth, $endOfMonth, $driverData->id, $loads, @$trailer_type, @$dispatcher);
                //$occupancy_sum[] = array_sum($quarterly_occupancy) / count($getDriver);

                if ((array_sum($quarterly_occupancy) > 0) && (count($getDriver) > 0)) {

                    $occupancy_sum[] = array_sum($quarterly_occupancy) / count($getDriver);
                } else {

                    $occupancy_sum[] = 0;
                }

                $getLoadGrossRevenue[] = getLoadGrossRevenue($startOfMonth, $endOfMonth, $driverData->id, $loads, @$trailer_type, @$dispatcher);

                $load_revanyPerunit[] = getLoadGrossRevenue($startOfMonth, $endOfMonth, $driverData->id, $loads, @$trailer_type, @$dispatcher);

                // $getLoadOccupancy = round(getLoadOccupancy($startOfMonth,$endOfMonth,$driverData->id,$loads,@$trailer_type,@$dispatcher));


                $getLoadOccupancyj = getloadCount($startOfMonth, $endOfMonth, 0, $driverData->id);

                $tott = $getLoadOccupancyj;

                if ($tott > 0) {

                    $getLoadOccupancy = round(($getLoadOccupancyj * 100) / $tott, 2);

                } else {

                    $getLoadOccupancy = $getLoadOccupancyj;
                }


                if ($getLoadOccupancy > 0) {

                    $fleetOccupancyData[] = $getLoadOccupancy;

                } else {

                    $fleetOccupancyData[] = 0;
                }

                $getdataOccupancyDays = round(getLoadTotalDays($startOfMonth, $endOfMonth, $driverData->id));


                if ($getdataOccupancyDays > 0) {

                    $period = CarbonPeriod::create($startOfMonth, $endOfMonth);

                    $datesdays = count($period->toArray());
                    $totalPerData = ($getdataOccupancyDays * 100) / $datesdays;

                    $getdataOccupancyDaystot = $totalPerData;

                } else {


                    $getdataOccupancyDaystot = 0;
                }

                if (array_sum($loadDetail_revenue_target) > 0) {

                    $loadDetail_revenue_targetdata[] = array_sum($loadDetail_revenue_target);

                    $loadDetail_revenue_targetdata_divide = array_sum($loadDetail_revenue_target);

                    $loadDetail_revenue_targetdatanew = array_sum($loadDetail_revenue_target);

                    $allDriverOccupancyactive = DriverFinancial::whereIn('driver_id', $active_driver_getId)->whereBetween('created_at', [$startOfMonth, $endOfMonth])->pluck('occupancy')->toArray();

                    $allDriverOccupancy = DriverFinancial::whereIn('driver_id', $all_driver_getId)->whereBetween('created_at', [$startOfMonth, $endOfMonth])->pluck('occupancy')->toArray();


                    if ((array_sum($allDriverOccupancyactive) > 0) && (array_sum($allDriverOccupancy) > 0)) {

                        $driverOccupancy[] = array_sum($allDriverOccupancy) / array_sum($allDriverOccupancyactive);
                    } else {

                        $driverOccupancy[] = 0;
                    }

                    $actuval_revanue = array_sum($getLoadGrossRevenue);


                    if ((array_sum($driverOccupancy) > 0) && (array_sum($getLoadGrossRevenue) > 0)) {

                        $total_Of_revancy_goal[] = array_sum($getLoadGrossRevenue) / array_sum($driverOccupancy);

                    } else {

                        $total_Of_revancy_goal[] = 0;
                    }

                } else {

                    $loadDetail_revenue_targetdata[] = 0;
                    $driverOccupancy[] = 0;
                    $total_Of_revancy_goal[] = 0;
                    $loadDetail_revenue_targetdata_divide = 0;

                }


                /// revenue goal start this year //

                $revenueData = (array_sum($loadDetail_revenue_target)) * ($getLoadOccupancy);

                //dd($loadDetail_revenue_target,$getLoadOccupancy,$getLoadGrossRevenue);

                $revenue_divide = $revenueData / 100;

                if ((array_sum($getLoadGrossRevenue) > 0) && ($revenue_divide > 0)) {

                    $actualreve_divide_by = array_sum($getLoadGrossRevenue) / $revenue_divide;
                } else {

                    $actualreve_divide_by = 0;
                }

                ///////////////////

                /// Occupancy Revenue this year  //

                //if(array_sum($quarterly_revenue_target) > 0)

                if ((array_sum($quarterly_revenue_target) > 0) && ($getLoadOccupancydivideDataf > 0)) {
                    $arrayquarterly_revenue_target = array_sum($quarterly_revenue_target);

                    // dd($getLoadOccupancy);
                    $multiplyData = $getLoadOccupancydivideDataf * $arrayquarterly_revenue_target;

                    $dividebyDatarevenu = $multiplyData / 100;

                    //dd($dividebyData);

                    // getLoadOccupancy

                } else {

                    $dividebyDatarevenu = 0;
                }

                if (array_sum($quarterly_target_milesData) > 0) {
                    $total_miles[] = array_sum($quarterly_target_milesData);
                } else {

                    $total_miles[] = 0;
                }

                //dd($quarterly_target_milesData);
                /// occ end ///
            }

            ///////////////////


            if ($request->id == 'LastYear') {

                $date = Carbon::now();
                $lastMonth = $date->subMonth();

                $start_date = auth()->guard('company-admin')->user()->weekly_strat_day;

                $end_date = auth()->guard('company-admin')->user()->weekly_strat_day - '7';

                $startDate_data = Carbon::now()->startOfWeek(@$start_date)->subDays(7);

                $endDate_data = Carbon::now()->startOfWeek(@$start_date)->subDays(1);

                $now = Carbon::today()->subYear();
                $startOfMonth = $now->startOfYear()->format('Y-m-d');
                $endOfMonth = $now->endOfYear()->format('Y-m-d');

                //dd($endDate_data);

                //  $date = Carbon::today()->subDays(7);

                // $start_date_timestamp = strtotime($request->startDate);
                // $start_date = date('Y-m-d', $start_date_timestamp);

                // $end_date_timestamp = strtotime($endDate_data);
                // $end_dateddd = date('Y-m-d', $end_date_timestamp);

                //   dd($end_date_timestamp);

                $loadDetaildataget = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereYear('actual_delivery_date', Carbon::today()->subYear())->pluck('total_miles')->toArray();

                $loadDetail_revenue = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereYear('actual_delivery_date', Carbon::today()->subYear())->pluck('driver_revenue')->first();

                //$load_revanyPerunit[] = LoadDetail::whereNull('deleted_at')->where('driver_id',$driverData->id)->whereYear('actual_delivery_date', Carbon::today()->subYear())->pluck('driver_revenue')->toArray();

                $loadDetail_revenue_target = DriverFinancial::where('driver_id', $driverData->id)->where('year', Carbon::today()->subYear())->pluck('revenue_target')->toArray();


                $load_revanyPerunitcount_cpm[] = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereYear('actual_delivery_date', Carbon::today()->subYear())->pluck('driver_revenue')->toArray();

                $load_milesPerunitcount_cpm[] = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereYear('actual_delivery_date', Carbon::today()->subYear())->pluck('driver_revenue')->toArray();

                $loadDetail_cpm_target = DriverFinancial::join('load_drivers', 'load_drivers.driver_id', '=', 'driver_financials.driver_id')
                    ->whereNull('load_drivers.deleted_at')
                    ->where('driver_financials.driver_id', $driverData->id)
                    ->where('year', Carbon::now()->startOfWeek()->subDays(7)->year)
                    ->where('quarter', Carbon::now()->startOfWeek()->subDays(7)->quarter)
                    ->pluck('driver_financials.cpm_target')->toArray();


                $loadDetail_mileageper = LoadDriver::where('driver_id', $driverData->id)->pluck('mileage_percentage')->toArray();

                $quarterly_revenue_target = DriverFinancial::where('driver_id', $driverData->id)->where('year', Carbon::today()->subYear())->pluck('revenue_target')->toArray();


                $quarterly_target_milesData[] = getDrivertarget_milestrackerByDate($startOfMonth, $endOfMonth, $driverData->id);

                if (array_sum($quarterly_target_milesData) > 0) {

                    $total_target_miles = array_sum($quarterly_target_milesData);

                } else {

                    $total_target_miles = 0;

                }

                $loadDetail_occupancy = DriverFinancial::where('driver_id', $driverData->id)->where('year', Carbon::today()->subYear())->pluck('occupancy')->toArray();

                $loadDetail_mileageper = LoadDriver::where('driver_id', $driverData->id)->pluck('mileage_percentage')->toArray();


                $active_trucks_earned = LoadDriver::where('driver_id', $driverData->id)->pluck('mileage_percentage')->toArray();

                $now = Carbon::today()->subYear();
                $quarterly_occupancy = DriverFinancial::where('driver_id', $driverData->id)->where('year', Carbon::today()->subYear())->pluck('occupancy')->toArray();

                $quarterly_occupancy_totdata = DriverFinancial::where('driver_id', $driverData->id)
                    ->where('year', $now)
                    ->pluck('occupancy')->toArray();

                $divide_quarterly_occupancy_totdata = array_sum($quarterly_occupancy_totdata);


                //dd($startOfMonth,$endOfMonth);
                $active_driverdatanew = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereBetween('actual_delivery_date', [$startOfMonth, $endOfMonth])->first();

                if (empty($active_driverdatanew)) {

                    $active_driverdata = 0;

                    $inactive_driverdata = 1;

                } else {

                    $active_driverdata = 1;

                    $inactive_driverdata = 0;
                }


                $get_quarter = Carbon::now()->quarter;
                $get_year = Carbon::now()->year;

                $loads =
                    Driver::select("teams.name as team_name", "drivers.id as driverid", "drivers.company_id as driver_company_id", "drivers.first_name", "drivers.last_name", "drivers.middle_name", "driver_financials.revenue_target as wgrr_seasonal", "driver_financials.occupancy as occupancy_commitment", "load_details.driver_id", "load_details.load_id", "load_details.load_type", "load_details.is_disable", "load_details.agreed_upon_rate", "load_details.detention", "load_details.accessorial", "load_details.fuel_surcharge_cost_per_mile", "load_details.shipper_city", "load_details.shipper_state", "load_details.delivery_city", "load_details.delivery_state", "load_details.load_number", "load_details.load_status", "load_details.actual_delivery_date", "load_drivers.load_detail_id")
                        ->join("driver_informations", "driver_informations.driver_id", "=", "drivers.id")
                        ->leftjoin('driver_financials', function ($join) use ($get_quarter, $get_year) {
                            $join->on('drivers.id', '=', 'driver_financials.driver_id')
                                ->where('driver_financials.year', $get_year)
                                ->where('driver_financials.quarter', $get_quarter);
                        })
                        ->leftjoin("teams", "teams.id", "=", "drivers.team_id")
                        ->leftjoin("load_details", "load_details.driver_id", "=", "drivers.id")
                        ->leftjoin("load_drivers", "load_drivers.driver_id", "=", "drivers.id")
                        ->leftjoin("loads", "loads.id", "=", "load_details.load_id")
                        ->where('drivers.company_id', auth()->guard('company-admin')->user()->company_id)
                        ->where('drivers.id', $driverData->id)
                        ->where('teams.id', $getTeams->id)
                        ->groupBy('load_details.driver_id')
                        ->orderByRaw('drivers.last_name ASC, drivers.first_name ASC')
                        ->first();


                $getLoadOccupancydivideData = round(getLoadOccupancy($startOfMonth, $endOfMonth, $driverData->id, $loads, @$trailer_type, @$dispatcher));

                $actual_milecount_total_occupancy_miles_data[] = getLoadMileagerevenuetracker($startOfMonth, $endOfMonth, $driverData->id, $loads, @$trailer_type, @$dispatcher);

                $actual_milecount_total_occupancy_miles_datanew = getLoadMileagerevenuetracker($startOfMonth, $endOfMonth, $driverData->id, $loads, @$trailer_type, @$dispatcher);

                //11-april-2022 $load_revanyPerunit[] =  getLoadGrossRevenue($startOfMonth,$endOfMonth,$driverData->id,$loads,@$trailer_type,@$dispatcher);

                $load_revanyPerunit[] = getDriverdriver_revenueDatatracker($startOfMonth, $endOfMonth, $driverData->id);

                //dd($actual_milecount_total_occupancy_miles_data);

                $getLoadCPM = getLoadCPM($startOfMonth, $endOfMonth, $driverData->id, $loads, @$trailer_type, @$dispatcher);

                //  $getLoadOccupancy = round(getLoadOccupancy($startOfMonth,$endOfMonth,$driverData->id,$loads,@$trailer_type,@$dispatcher));
                //$occupancy_sum[] = array_sum($quarterly_occupancy) / count($getDriver);

                $getLoadOccupancyj = getloadCount($startOfMonth, $endOfMonth, 0, $driverData->id);

                $tott = $getLoadOccupancyj;

                if ($tott > 0) {

                    $getLoadOccupancy = round(($getLoadOccupancyj * 100) / $tott, 2);

                } else {

                    $getLoadOccupancy = $getLoadOccupancyj;
                }


                if ((array_sum($quarterly_occupancy) > 0) && (count($getDriver) > 0)) {

                    $occupancy_sum[] = array_sum($quarterly_occupancy) / count($getDriver);
                } else {

                    $occupancy_sum[] = 0;
                }

                $getLoadGrossRevenue[] = getLoadGrossRevenue($startOfMonth, $endOfMonth, $driverData->id, $loads, @$trailer_type, @$dispatcher);

                if ($getLoadOccupancy > 0) {

                    $fleetOccupancyData[] = $getLoadOccupancy;

                } else {

                    $fleetOccupancyData[] = 0;
                }

                if (array_sum($loadDetail_revenue_target) > 0) {

                    $loadDetail_revenue_targetdata[] = array_sum($loadDetail_revenue_target);

                    $loadDetail_revenue_targetdatanew = array_sum($loadDetail_revenue_target);

                    $allDriverOccupancyactive = DriverFinancial::whereIn('driver_id', $active_driver_getId)->whereBetween('created_at', [$startOfMonth, $endOfMonth])->pluck('occupancy')->toArray();

                    $allDriverOccupancy = DriverFinancial::whereIn('driver_id', $all_driver_getId)->whereBetween('created_at', [$startOfMonth, $endOfMonth])->pluck('occupancy')->toArray();


                    if ((array_sum($allDriverOccupancyactive) > 0) && (array_sum($allDriverOccupancy) > 0)) {

                        $driverOccupancy = array_sum($allDriverOccupancy) / array_sum($allDriverOccupancyactive);
                    } else {

                        $driverOccupancy = 0;
                    }

                    $actuval_revanue = array_sum($getLoadGrossRevenue);

                    if (($driverOccupancy > 0) && ($getLoadGrossRevenue > 0)) {

                        $total_Of_revancy_goal[] = array_sum($getLoadGrossRevenue) / array_sum($driverOccupancy);

                    } else {

                        $total_Of_revancy_goal[] = 0;
                    }

                } else {

                    $loadDetail_revenue_targetdata[] = 0;
                    $driverOccupancy = 0;
                    $total_Of_revancy_goal[] = 0;
                    $loadDetail_revenue_targetdatanew = 0;
                }

                // dd($loadDetail_revenue_targetdatanew);
                $getdataOccupancyDays = round(getLoadTotalDays($startOfMonth, $endOfMonth, $driverData->id));
                if ($getdataOccupancyDays > 0) {

                    $period = CarbonPeriod::create($startOfMonth, $endOfMonth);

                    $datesdays = count($period->toArray());
                    $totalPerData = ($getdataOccupancyDays * 100) / $datesdays;

                    $getdataOccupancyDaystot = $totalPerData;

                } else {


                    $getdataOccupancyDaystot = 0;
                }

                /// revenue goal start last year //

                $revenueData = (array_sum($loadDetail_revenue_target)) * ($getLoadOccupancy);

                // dd($loadDetail_revenue_targetdata_divide);

                $revenue_divide = $revenueData / 100;

                if ((array_sum($getLoadGrossRevenue) > 0) && ($revenue_divide > 0)) {

                    $actualreve_divide_by = array_sum($getLoadGrossRevenue) / $revenue_divide;
                } else {

                    $actualreve_divide_by = 0;
                }

                ///////////////////


                /// Occupancy Revenue   LastYear //

                // if(array_sum($quarterly_revenue_target) > 0)
                if ((array_sum($quarterly_revenue_target) > 0) && ($getLoadOccupancydivideData > 0)) {
                    $arrayquarterly_revenue_target = array_sum($quarterly_revenue_target);

                    // dd($getLoadOccupancy);
                    $multiplyData = $getLoadOccupancydivideData * $quarterly_revenue_target;

                    $dividebyDatarevenu = $multiplyData / 100;

                    //dd($dividebyData);

                    // getLoadOccupancy

                } else {

                    $dividebyDatarevenu = 0;
                }

                /// occ end ///

                $now = Carbon::today()->subYear();

                $current_startdate = $now->startOfYear()->format('m-d-Y');
                $current_enddate = $now->endOfYear()->format('m-d-Y');


                if (array_sum($quarterly_target_milesData) > 0) {
                    $total_miles[] = array_sum($quarterly_target_milesData);

                } else {

                    $total_miles[] = 0;
                }

            }

            ///////////////////

            $active_driver = Driver::where('id', $driverData->id)->get();

            $inactive_driver = Driver::where('id', $driverData->id)->onlyTrashed()->get();


            if ($getLoadOccupancy > 0) {
                // $fleet_occupancy = array_sum($getLoadOccupancy) / count(array_filter($getLoadOccupancy));

                $fleet_occupancy = $getLoadOccupancy;

            } else {

                $fleet_occupancy = 0;
            }

            // if(array_sum($loadDetaildataget) > 0)
            // {
            //     $total_miles[] = array_sum($loadDetaildataget);
            // }else{

            //     $total_miles[] = '0';
            // }

            if (($loadDetail_revenue) > 0) {
                $total_revenue[] = ($loadDetail_revenue);
            } else {

                $total_revenue[] = 0;
            }

            // if(count($loadDetail_revenue_target) > 0)
            // {
            //      $loadDetail_revenue_targetdata = array_sum($loadDetail_revenue_target);

            // }else{

            //      $loadDetail_revenue_targetdata = '0';
            // }

            if (array_sum($loadDetail_cpm_target) > 0) {
                $loadDetail_cpm_targetdata = array_sum($loadDetail_cpm_target);

            } else {

                $loadDetail_cpm_targetdata = 0;
            }

            if (array_sum($loadDetail_mileageper) > 0) {
                $loadDetail_mileageperdata = array_sum($loadDetail_mileageper);

            } else {

                $loadDetail_mileageperdata = 0;
            }

            //$loadDetail_revenue_targetdatanew = array_sum($loadDetail_revenue_target);

            $difference_act_obj = array_sum($total_revenue) - (@$loadDetail_revenue_targetdatanew);

            if ((array_sum($total_revenue) != '0') && (array_sum($total_miles) != '0')) {

                $centpermiles = array_sum($total_revenue) / array_sum($total_miles);

            } else {


                $centpermiles = 0;

            }


            $driverCountData = count($getDrivercount);

            //dd($total_miles);

            if ((array_sum($total_miles) > '0') && ($driverCountData > '0')) {
                $mileagesperUnit[] = array_sum($total_miles) / (int)$driverCountData;

            } else {

                $mileagesperUnit[] = 0;
            }

            $count_revanyPerunitdata = array_sum($load_revanyPerunit);

            $driverCountData = count($getDrivercount);


            if (($count_revanyPerunitdata > '0') && ((int)$driverCountData > '0')) {
                //$revenueperUnit[] =  array_sum($load_revanyPerunit) / (int)$driverCountData;

                $revenueperUnit[] = array_sum($load_revanyPerunit);

                $revenueperUnitData = array_sum($load_revanyPerunit);

            } else {

                $revenueperUnit[] = 0;

                $revenueperUnitData = 0;

            }


            //CMP Per Unit
            if ((array_sum($load_revanyPerunitcount_cpm) > '0') && (array_sum($load_milesPerunitcount_cpm) > '0')) {
                $total_cpm_perunit[] = array_sum($load_revanyPerunitcount_cpm) / array_sum($load_milesPerunitcount_cpm);

            } else {

                $total_cpm_perunit[] = 0;

            }

            if ((array_sum($revenueperUnit) > 0) && (array_sum($mileagesperUnit) > 0)) {

                $cpm_per_unit[] = array_sum($revenueperUnit) / count($mileagesperUnit);

            } else {

                $cpm_per_unit[] = 0;
            }

            if (($loadDetail_revenue_targetdata > 0) && (array_sum($loadDetail_occupancy) > 0)) {

                $countrev_d = array_sum($loadDetail_occupancy);

                $occupancy_revenue = (((int)$loadDetail_revenue_targetdata * 100) / (int)$countrev_d);

            } else {

                $occupancy_revenue = 0;
            }

            // dd($occupancy_revenue,$total_revenue)

            if ((array_sum($getLoadGrossRevenue) > 0) && (array_sum($total_revenue) > 0)) {

                $total_occupancy_revenue[] = (array_sum($total_revenue)) - (array_sum($getLoadGrossRevenue));

            } else {

                $total_occupancy_revenue[] = 0;
            }

            // dd($total_miles ,$getdataOccupancyDaystot);
            $loadDetailsCount = count($loadDetail_occupancy);
            if ((array_sum($total_miles) > 0) && ($getdataOccupancyDaystot > 0)) {
                $total_occupancy_miles[] = (array_sum($total_miles)) * $getdataOccupancyDaystot / 100;

            } else {

                $total_occupancy_miles[] = 0;
            }

            // dd($total_occupancy_miles ,$total_miles);
            if ((array_sum($total_occupancy_miles) > 0) && (array_sum($actual_milecount_total_occupancy_miles_data) > 0)) {
                $final_ans_miles[] = array_sum($actual_milecount_total_occupancy_miles_data) - array_sum($total_occupancy_miles);

            } else {

                $final_ans_miles[] = 0;
            }

            if (($total_revenue > 0) && (array_sum($loadDetail_cpm_target) > 0)) {
                $count_cpm_load = array_sum($loadDetail_cpm_target);

                $actual_CPM = @(int)$count_cpm_load / (int)$total_revenue;

            } else {

                $actual_CPM = 0;
            }


            /// Revenue Band ///
            //< $3,000.00///
            $three_Lower = 0;
            foreach ($load_revanyPerunit as $countToal) {

                if ($countToal < 3000.00) {

                    $three_Lower = $countToal;
                } else {

                    $three_Lower = 0;
                }
            }

            ///$3000 - $4000

            $threeTofour = 0;
            foreach ($load_revanyPerunit as $countToal) {

                if ($countToal > 3000 && $countToal < 4000) {

                    $threeTofour = $countToal;
                } else {

                    $threeTofour = 0;
                }
            }


            ///$4000 - $5000

            $fourTofive = 0;
            foreach ($load_revanyPerunit as $countToal) {

                if ($countToal > 4000 && $countToal < 5000) {

                    $fourTofive = $countToal;
                } else {

                    $fourTofive = 0;
                }
            }

            ///$5000 - $6000

            $fiveTosix = 0;
            foreach ($load_revanyPerunit as $countToal) {

                if ($countToal > 5000 && $countToal < 6000) {

                    $fiveTosix = $countToal;
                } else {

                    $fiveTosix = 0;
                }
            }

            ///$6000 - $7000

            $sixToseven = 0;
            foreach ($load_revanyPerunit as $countToal) {

                if ($countToal > 6000 && $countToal < 7000) {

                    $sixToseven = $countToal;
                } else {

                    $sixToseven = 0;
                }
            }

            ///>$7,000.00

            $greater_then_seven = 0;
            foreach ($load_revanyPerunit as $countToal) {

                if ($countToal > 7000) {

                    $greater_then_seven = $countToal;
                } else {

                    $greater_then_seven = 0;
                }
            }


            // % of Revenue Goal ///


            if ((array_sum($getLoadGrossRevenue) > 0) && (array_sum($load_revanyPerunitcount_cpm) > 0)) {

                /** @var TYPE_NAME $load_revanyPerunitcount_cpm */
                $gettrget_divide_driver = $load_revanyPerunitcount_cpm / count($getDriver);

                /** @var TYPE_NAME $getLoadGrossRevenue */
                $divideActive = $getLoadGrossRevenue / $gettrget_divide_driver;

                $total_multiply[] = $divideActive * 100;

            } else {

                $gettrget_divide_driver = 0;

                $divideActive = 0;

                $total_multiply[] = 0;

            }


            if ((array_sum($total_miles) > '0') && (@$driverCountData) > '0') {
                $mileagesperUnitdata = array_sum($loadDetaildataget);

            } else {

                $mileagesperUnitdata = 0;
            }


            if (($revenueperUnitData > '0') && (@$mileagesperUnitdata) > '0') {

                // dd($revenueperUnitData,@$mileagesperUnitdata);
                $cpm_per_unit_count = @$revenueperUnitData / @$mileagesperUnitdata;

            } else {

                $cpm_per_unit_count = 0;
            }

            if ($loadDetail_revenue) {

                $count_loadDetail_revenue = $loadDetail_revenue;
            } else {

                $count_loadDetail_revenue = 0;
            }

            //dd($loadDetail_revenue_target, $getLoadGrossRevenue);

            if ((array_sum($loadDetail_revenue_target)) < (array_sum($getLoadGrossRevenue))) {
                $unitat_goal_data = 100;

            } else {

                $unitat_goal_data = 0;
            }


            /// 30000 start

            if ($three_Lower > 0) {
                $count_three_Lower = 1;

            } else {

                $count_three_Lower = 0;
            }

            ///$3000 - $4000

            ///$4000 - $5000 threeTofour

            if ($threeTofour > 0) {
                $count_threeTofour = 1;

            } else {

                $count_threeTofour = 0;
            }

            ///$5000 - $6000

            if ($fourTofive > 0) {
                $count_fourTofive = 1;

            } else {

                $count_fourTofive = 0;
            }

            if ($fiveTosix > 0) {
                $count_fiveTosix = 1;

            } else {

                $count_fiveTosix = 0;
            }

            if ($sixToseven > 0) {
                $count_sixToseven = 1;

            } else {

                $count_sixToseven = 0;
            }


            if ($greater_then_seven > 0) {

                $count_greater_then_seven = 1;
            } else {

                $count_greater_then_seven = 0;
            }

            ////3000 end

            $loadDriverdata[] = array(
                'getdataOccupancyDaystot' => @$getdataOccupancyDaystot,
                'total_target_miles' => @$total_target_miles,
                'getLoadCPM_data' => @$getLoadCPM,
                'actual_milecount_total_occupancy_miles_datanew' => @$actual_milecount_total_occupancy_miles_datanew,
                "teamId" => @$getTeams->id,
                "teamName" => @$getTeams->name,
                'OccupancyreveData' => @$multi_reva,
                "Drivername" => @$driverData->first_name,
                'DriverId' => @$driverData->id,
                "revenue_target_new" => @$loadDetail_revenue_targetdatanew,
                "Drivercount" => @count($getDriver),
                "Miles" => array_sum(@$total_miles),
                "revenue" => @$count_loadDetail_revenue,
                "revenue_target" => array_sum($loadDetail_revenue_targetdata),
                "difference_act_obj" => @$difference_act_obj,
                "mileage_percentage" => @$loadDetail_mileageperdata,
                "centpermiles" => @$centpermiles,
                "mileagePerunit" => @$mileagesperUnitdata,
                "revenueperUnit" => array_sum($load_revanyPerunit),
                'activedriver' => @count($active_driver),
                'inactivedriver' => @count($inactive_driver),
                'target_CPM' => @$loadDetail_cpm_targetdata,
                'fleet_occupancy' => @$fleet_occupancy,
                'cpm_per_unit' => @array_sum($cpm_per_unit),
                'occupancy_revenue' => @$occupancy_revenue,
                'total_occupancy_revenue' => @array_sum($total_occupancy_revenue),
                'total_occupancy_miles' => @array_sum($total_occupancy_miles),
                'final_ans_miles' => @array_sum($final_ans_miles),
                //'actual_cpm' => @$actual_CPM,
                'actual_cpm' => @array_sum($getLoadCPM),
                'quarterly_revenue_target' => @array_sum($quarterly_revenue_target),
                'active_trucks_earned' => @array_sum($active_trucks_earned),
                'quarterly_occupancy' => @array_sum($occupancy_sum),
                'three_Lower' => @$count_three_Lower,
                'threeTofour' => @$count_threeTofour,
                'fourTofive' => @$count_fourTofive,
                'fiveTosix' => @$count_fiveTosix,
                'sixToseven' => @$count_sixToseven,
                'greater_then_seven' => @$count_greater_then_seven,
                'total_cpm_perunit' => @array_sum($total_cpm_perunit),
                'actual_milecount_total_occupancy_miles_data' => @array_sum($actual_milecount_total_occupancy_miles_data),
                'fleetOccupancyData' => array_sum($fleetOccupancyData),
                'total_Of_revancy_goal' => array_sum($total_Of_revancy_goal),
                'tot_units_art' => array_sum($tot),
                'sum_total_multiply' => array_sum($total_multiply),
                'cpm_per_unit_count' => @$cpm_per_unit_count,
                'active_driverdatanew' => @$active_driverdata,
                'inactive_driverdatanew' => @$inactive_driverdata,
                'countfleetoccgoal' => @$getLoadOccupancy,
                'divide_quarterly_occupancy_totdata' => @$divide_quarterly_occupancy_totdata,
                'unitatgoalData' => @$unitat_goal_data,
                'loadDetail_revenue_target' => $loadDetail_revenue_target,
                'getLoadOccupancy' => $getLoadOccupancy,
                'actualreve_divide_by' => $actualreve_divide_by,
                'revenuOccData' => $dividebyDatarevenu,
            );
        }

        // dd($loadDriverdata);
        $countdriver = array();
        $count_getdataOccupancyDaystot = array();
        $countmiles = array();
        $countrevenue = array();
        $countrevenue_target = array();
        $countactive_driver = array();
        $countinactive_driver = array();
        $count_cpm_driver = array();
        $count_fleet_occupancy = array();
        $count_mileagePerunit = array();
        $count_occupancy_revenue = array();
        $count_total_occupancy_revenue = array();
        $count_cpm_per_unit = array();
        $count_total_occupancy_miles = array();
        $sum_final_ans_miles = array();
        $sum_actual_cpm = array();
        $sum_quarterly_revenue_target = array();
        $sum_active_trucks_earned = array();
        $sum_quarterly_occupancy = array();
        $sum_three_Lower = array();
        $sum_threeTofour = array();
        $sum_fourTofive = array();
        $sum_fiveTosix = array();
        $sum_sixToseven = array();
        $count_revenueperUnit = array();
        $sum_greater_then_seven = array();
        $count_actual_miles_data = array();
        $count_revenue_target_new = array();
        $counttot_units_art = array();
        $countmilesdata = array();
        $count_OccupancyreveData = array();
        $count_getLoadCPM_data = array();
        $count_active_driverdatanew = array();
        $count_inactive_driverdatanew = array();
        $countcpmcpm_per_unit_count = array();
        $count_countfleetoccgoal = array();
        $count_divide_quarterly_occupancy_totdata = array();
        $tot_unitatgoalData = array();
        $tot_actualreve_divide_by = array();
        $tot_revenuOccData = array();
        $tot_total_target_miles = array();
        foreach ($loadDriverdata as $data) {
            $count_getdataOccupancyDaystot[] = @$data['getdataOccupancyDaystot'];

            $count_OccupancyreveData[] = @$data['OccupancyreveData'];

            $countdriver[] = @$data['Drivercount'];

            $counttot_units_art[] = @$data['tot_units_art'];

            $countmilesdata[] = @$data['Miles'];

            $countmiles[] = @$data['actual_milecount_total_occupancy_miles_datanew'];

            $countrevenue[] = @$data['revenue'];

            $countrevenue_target[] = @$data['revenue_target'];

            $countactive_driver[] = @$data['activedriver'];

            $countinactive_driver[] = @$data['inactivedriver'];

            $count_cpm_driver[] = @$data['target_CPM'];

            $count_fleet_occupancy[] = @$data['fleet_occupancy'];

            $count_revenueperUnit[] = @$data['revenueperUnit'];

            // $count_mileagePerunit[] = @$data['mileagePerunit'];

            $count_mileagePerunit[] = @$data['mileagePerunit'];

            $count_occupancy_revenue[] = @$data['occupancy_revenue'];

            $count_cpm_per_unit[] = @$data['total_cpm_perunit'];

            $count_total_occupancy_revenue[] = @$data['total_occupancy_revenue'];

            $count_total_occupancy_miles[] = @$data['total_occupancy_miles'];

            $sum_final_ans_miles[] = @$data['final_ans_miles'];

            $sum_actual_cpm[] = @$data['actual_cpm'];

            $sum_quarterly_revenue_target[] = @$data['quarterly_revenue_target'];

            $sum_active_trucks_earned[] = @$data['active_trucks_earned'];

            $sum_quarterly_occupancy[] = @$data['quarterly_occupancy'];

            $sum_three_Lower[] = @$data['three_Lower'];

            $sum_threeTofour[] = @$data['threeTofour'];

            $sum_fourTofive[] = @$data['fourTofive'];

            $sum_fiveTosix[] = @$data['fiveTosix'];

            $sum_sixToseven[] = @$data['sixToseven'];

            $sum_greater_then_seven[] = @$data['greater_then_seven'];

            $count_actual_miles_data[] = $data['actual_milecount_total_occupancy_miles_data'];

            $count_cpm_per_unit[] = $data['cpm_per_unit'];

            $count_sum_total_multiply[] = $data['sum_total_multiply'];

            $count_revenue_target_new[] = @$data['revenue_target_new'];

            $count_getLoadCPM_data[] = @$data['getLoadCPM_data'];

            $count_active_driverdatanew[] = @$data['active_driverdatanew'];

            $count_inactive_driverdatanew[] = @$data['inactive_driverdatanew'];

            $countcpmcpm_per_unit_count[] = @$data['cpm_per_unit_count'];

            $count_countfleetoccgoal[] = @$data['countfleetoccgoal'];

            $count_divide_quarterly_occupancy_totdata[] = $data['divide_quarterly_occupancy_totdata'];

            $tot_unitatgoalData[] = $data['unitatgoalData'];

            $tot_actualreve_divide_by[] = $data['actualreve_divide_by'];

            $tot_revenuOccData[] = $data['revenuOccData'];

            $tot_total_target_miles[] = $data['total_target_miles'];
        }


        if (array_sum($tot_total_target_miles) > 0) {

            $divide_tot_total_target_miles = array_sum($tot_total_target_miles) / count(array_filter($tot_total_target_miles));

        } else {

            $divide_tot_total_target_miles = 0;
        }

        if (array_sum($count_getdataOccupancyDaystot) > 0) {

            $divide_count_getdataOccupancyDaystot = array_sum($count_getdataOccupancyDaystot) / count(array_filter($count_getdataOccupancyDaystot));

        } else {

            $divide_count_getdataOccupancyDaystot = 0;
        }


        if (array_sum($tot_revenuOccData) > 0) {

            $divide_by_tot_revenuOccData = array_sum($tot_revenuOccData) / count(array_filter($tot_revenuOccData));

        } else {

            $divide_by_tot_revenuOccData = 0;
        }


        if (array_sum($count_countfleetoccgoal) > 0) {

            $totcount_countfleetoccgoal = array_sum($count_countfleetoccgoal) / count(array_filter($count_countfleetoccgoal));

        } else {

            $totcount_countfleetoccgoal = 0;
        }

        if (array_sum($count_fleet_occupancy) > 0) {

            $divide_fleet_occupancy = array_sum($count_fleet_occupancy) / count(array_filter($count_fleet_occupancy));

        } else {

            $divide_fleet_occupancy = 0;
        }

        if (array_sum($count_revenueperUnit) > 0) {

            //$count_revenueperUnit_totalTeam = array_sum($count_revenueperUnit) / count(@$getDriver);

            $count_revenueperUnit_totalTeam = array_sum($count_revenueperUnit) / count(array_filter($count_revenueperUnit));


            $count_revenueperUnit_totalTeam_actual = array_sum($count_revenueperUnit);


        } else {

            $count_revenueperUnit_totalTeam = 0;

            $count_revenueperUnit_totalTeam_actual = 0;
        }

        if ((array_sum($count_mileagePerunit) > 0) && (count(@$getDriver) > 0)) {

            //$count_mileagePerunit_totalTeam = array_sum($count_mileagePerunit) / count(@$getDriver);

            $count_mileagePerunit_totalTeam = array_sum($count_mileagePerunit) / count(array_filter($count_mileagePerunit));

        } else {

            $count_mileagePerunit_totalTeam = 0;
        }

        if (array_sum($count_mileagePerunit) > 0) {

            $sum_actualmailes = array_sum($count_mileagePerunit);

        } else {

            $sum_actualmailes = 0;
        }

        if (($count_revenueperUnit_totalTeam > '0') && (@$count_mileagePerunit_totalTeam) > '0') {
            $cpm_per_unit_count = array_sum($countcpmcpm_per_unit_count) / count(array_filter($countcpmcpm_per_unit_count));

        } else {

            $cpm_per_unit_count = 0;
        }

        if ((array_sum($countmiles) > 0) && (count(@$getDriver) > 0)) {

            $count_divideby_acMiles = array_sum($countmiles) / count(@$getDriver);

        } else {

            $count_divideby_acMiles = 0;
        }


        //divide active driver //

        if (array_sum($count_revenue_target_new) > 0) {

            $driverdivide_revenue_target_new = @array_sum($count_revenue_target_new);

        } else {

            $driverdivide_revenue_target_new = 0;
        }


        if (array_sum($countmilesdata) > 0) {

            $driverdivide_actual_miles_data = @array_sum($countmilesdata);

        } else {

            $driverdivide_actual_miles_data = 0;
        }

        if (array_sum($count_OccupancyreveData) > 0) {

            $driverdivide_count_OccupancyreveData = @array_sum($count_OccupancyreveData) / count(array_filter($count_OccupancyreveData));

        } else {

            $driverdivide_count_OccupancyreveData = 0;
        }

        if ((array_sum($countmiles) > 0) && (count(@$getDriver) > 0)) {

            $count_divideby_acMiles = array_sum($countmiles) / count(array_filter($countmiles));

        } else {

            $count_divideby_acMiles = 0;
        }


        if (array_sum($count_cpm_driver) > 0) {

            /*$driverdivide_count_cpm_driver = @array_sum($count_cpm_driver) / count(array_filter($count_cpm_driver));*/

            $driverdivide_count_cpm_driver = @array_sum($count_cpm_driver);

        } else {

            $driverdivide_count_cpm_driver = 0;
        }

        if (array_sum($count_getLoadCPM_data) > 0) {

            //$driverdivide_count_getLoadCPM_data = @array_sum($count_getLoadCPM_data) / count(array_filter($count_getLoadCPM_data));

            $driverdivide_count_getLoadCPM_data = @array_sum($count_getLoadCPM_data);

        } else {

            $driverdivide_count_getLoadCPM_data = 0;
        }

        // dd(count($tot_unitatgoalData));
        if (array_sum($tot_unitatgoalData) > 0) {

            $mainCount = count(array_filter($tot_unitatgoalData));

            if ($mainCount == '1') {

                $divideCount = count($tot_unitatgoalData);

            } elseif (count(array_filter($tot_unitatgoalData)) == count($tot_unitatgoalData)) {

                $divideCount = 1;

            } else {

                $divideCount = count(array_filter($tot_unitatgoalData)) - count($tot_unitatgoalData);
            }


            $main_unitatgoal = @array_sum($tot_unitatgoalData) / $divideCount;
        } else {

            $main_unitatgoal = 0;
        }

        ///////////////end of divide driver /////////

        $sum_divide_tot_total_target_miles = @$divide_tot_total_target_miles;
        $tot_count_revenue_target_new = @$driverdivide_revenue_target_new;
        $tot_counttot_units_art = array_sum($counttot_units_art);
        $totalMiles = array_sum($count_actual_miles_data);
        $totalDriver = @array_sum($countdriver);
        $totalRevenue = @array_sum($countrevenue);
        $totalrevenue_target = array_sum($countrevenue_target);
        $totalactivedriver = @array_sum($countactive_driver);
        $totalinactivedriver = @array_sum($countinactive_driver);
        $totalCPM_driver = @$driverdivide_count_cpm_driver;
        $totalfleet_occupancy = @$divide_fleet_occupancy;
        $total_count_revenueperUnit = @array_sum($count_revenueperUnit);
        $total_count_mileagePerunit = array_sum($count_mileagePerunit);
        $total_count_occupancy_revenue = @array_sum($count_occupancy_revenue);
        $sum_total_occupancy_revenue = @array_sum($count_total_occupancy_revenue);
        $total_count_cpm_per_unit = @array_sum($count_cpm_per_unit);
        $all_count_total_occupancy_miles = @array_sum($count_total_occupancy_miles);
        $all_count_sum_final_ans_miles = @array_sum($sum_final_ans_miles);
        $all_count_sum_actual_cpm = @array_sum($sum_actual_cpm);
        $all_quarterly_revenue_target = @array_sum($sum_quarterly_revenue_target);
        $all_sum_active_trucks_earned = @array_sum($sum_active_trucks_earned);
        $all_sum_quarterly_occupancy = @array_sum($sum_quarterly_occupancy);
        $all_sum_3000Lower = @array_sum($sum_three_Lower);
        $all_3000to4000 = @array_sum($sum_threeTofour);
        $all_4000to5000 = @array_sum($sum_fourTofive);
        $all_5000to6000 = @array_sum($sum_fiveTosix);
        $all_6000to7000 = @array_sum($sum_sixToseven);
        $all_greater_then_seven = @array_sum($sum_greater_then_seven);
        $sum_count_total_multiply = @array_sum($count_total_multiply);
        $sum_tot_count_cpm_per_unit = @array_sum($count_cpm_per_unit);
        $sum_count_fleet_occupancy = @array_sum($count_fleet_occupancy);
        $tot_count_sum_total_multiply = @array_sum($count_sum_total_multiply);
        $sum_count_revenueperUnit_totalTeam = @$count_revenueperUnit_totalTeam;
        $sumcount_revenueperUnit_totalTeam_actual = @$count_revenueperUnit_totalTeam_actual;
        $tot_countmilesdata = @$driverdivide_actual_miles_data;
        $sum_count_mileagePerunit_totalTeam = @$count_mileagePerunit_totalTeam;
        $sum_count_OccupancyreveData = @$driverdivide_count_OccupancyreveData;
        $active_driverData = @$count_divideby_acMiles;
        $sum_activeDriverdata = @$count_divideby_acMiles;
        $sum_count_getLoadCPM_data = @$driverdivide_count_getLoadCPM_data;
        $sum_count_active_driverdatanew = @array_sum($count_active_driverdatanew);
        $sum_count_inactive_driverdatanew = @array_sum($count_inactive_driverdatanew);
        $all_count_fleetOccupancyData = $divide_fleet_occupancy;
        $all_divide_quarterly_occupancy_totdata = array_sum($count_divide_quarterly_occupancy_totdata);
        $sum_tot_actualreve_divide_by = @array_sum($tot_actualreve_divide_by);
        $sum_tot_revenuOccData = @array_sum($tot_revenuOccData);

        $html = view('companyAdmin.revenue-tracker.driverfilterData', compact('loadDriverdata', 'teameId', 'totalactivedriver', 'totalinactivedriver', 'totalDriver', 'totalMiles', 'totalRevenue', 'totalrevenue_target', 'totalactivedriver', 'totalinactivedriver', 'totalCPM_driver', 'totalfleet_occupancy', 'total_count_revenueperUnit', 'total_count_revenueperUnit', 'total_count_mileagePerunit', 'total_count_cpm_per_unit', 'total_count_occupancy_revenue', 'sum_total_occupancy_revenue', 'all_count_total_occupancy_miles', 'all_count_sum_final_ans_miles', 'all_count_sum_actual_cpm', 'all_quarterly_revenue_target', 'all_sum_active_trucks_earned', 'all_sum_quarterly_occupancy', 'all_sum_3000Lower', 'all_3000to4000', 'all_4000to5000', 'all_5000to6000', 'all_greater_then_seven', 'all_6000to7000', 'tot_counttot_units_art', 'sum_count_total_multiply', 'sum_tot_count_cpm_per_unit', 'sum_count_fleet_occupancy', 'tot_count_sum_total_multiply', 'tot_count_revenue_target_new', 'tot_countmilesdata', 'sum_count_revenueperUnit_totalTeam', 'sum_count_mileagePerunit_totalTeam', 'cpm_per_unit_count', 'sum_count_OccupancyreveData', 'active_driverData', 'sum_count_getLoadCPM_data', 'sum_count_active_driverdatanew', 'sum_count_inactive_driverdatanew', 'all_count_fleetOccupancyData', 'totcount_countfleetoccgoal', 'all_divide_quarterly_occupancy_totdata', 'main_unitatgoal', 'sum_tot_actualreve_divide_by', 'sum_actualmailes', 'sumcount_revenueperUnit_totalTeam_actual', 'sum_tot_revenuOccData', 'divide_by_tot_revenuOccData', 'current_startdate', 'current_enddate', 'sum_divide_tot_total_target_miles', 'active_driverData', 'divide_count_getdataOccupancyDaystot'))->render();

        return $html;
    }

/////////// date wise get ////////

    public function driverDatagetdatewise(Request $request, $id, $startDate, $endDate)
    {
        $base_enco = base64_decode($request->id);
        $company_id = auth()->guard('company-admin')->user()->company_id;
        $start_date = auth()->guard('company-admin')->user()->weekly_strat_day;
        $end_date = auth()->guard('company-admin')->user()->weekly_strat_day + '6';

        $getTeams = Team::where('id', $base_enco)->first();
        $getDriver = Driver::where('team_id', $getTeams->id)->get();
        $inactive_driverteam = Driver::where('team_id', $getTeams->id)->onlyTrashed()->get();

        $loadDriverdata = array();
        $load_revanyPerunitcount_cpm = array();
        $load_milesPerunitcount_cpm = array();
        $getLoadGrossRevenue = array();
        $loadDetail_revenue_targetdata[] = array();
        $driverOccupancy[] = array();
        $total_Of_revancy_goal[] = array();
        $fleet_occupancy = array();
        $count_total_multiply = array();
        $total_multiply = array();
        $totalfleet_occupancy = array();
        $total_miles = array();
        $total_cpm_perunit = array();
        $occupancy_revenue = array();
        $quarterly_revenue_target = array();
        $actual_CPM = array();
        $total_occupancy_miles = array();
        $actual_milecount_total_occupancy_miles_data = array();
        $mileagesperUnit = array();
        //dd($getDriver);
        foreach ($getDriver as $driverData) {
            $yearData = date("Y", strtotime($endDate));

            $monthData = date("m", strtotime($endDate));

            $get_quarterdata = floor(($monthData - 1) / 3) + 1;

            $get_quarter = ltrim($get_quarterdata, '0');

//            dd($get_quarter);

            $get_year = $yearData;

            //////////////////////////////////

            $startDate_data = auth()->guard('company-admin')->user()->weekly_strat_day;

            $endDate_data = auth()->guard('company-admin')->user()->weekly_strat_day + '6';


            $quarterly_revenue_target[] = DriverFinancial::where('driver_id', $driverData->id)->where('year', $get_year)->where('quarter', $get_quarter)->pluck('revenue_target')->toArray();

            $quarterly_revenue_targetdriver = DriverFinancial::where('driver_id', $driverData->id)->where('year', $get_year)->where('quarter', $get_quarter)->pluck('revenue_target')->toArray();

            $a = Carbon::now();
            $quarter_date = new \Carbon\Carbon('-3 months'); // for the last quarter requirement

            $loadDetaildataget = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereBetween(DB::raw('DATE_FORMAT(load_details.actual_delivery_date, "%Y-%m-%d")'), [$startDate, $endDate])->pluck('total_miles')->toArray();

            // dd($startDate,$endDate);

            $loadDetail_revenue = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereBetween('actual_delivery_date', [$startDate, $endDate])->pluck('driver_revenue')->first();


            // $loadDetail_revenue_target = DriverFinancial::where('driver_id',$driverData->id)
            // ->whereBetween('start_date', [$startDate,$endDate])
            // ->whereBetween('end_date', [$startDate,$endDate])
            // ->pluck('revenue_target')->toArray();

            $loadDetail_revenue_target[] = getTargetRevenueByDate($startDate, $endDate, $driverData->id);

            //dd($loadDetail_revenue_target,$startDate,$endDate);

            //  $quarterly_target_milesData = DriverFinancial::where('driver_id',$driverData->id)
            // ->whereDate(\DB::raw('DATE_FORMAT(start_date, "%Y-%m-%d")'), '>=', $startDate)
            // ->whereDate(\DB::raw('DATE_FORMAT(end_date, "%Y-%m-%d")'), '<=', $endDate)
            //  ->pluck('target_miles')->toArray();


            $quarterly_target_milesData[] = getDrivertarget_milestrackerByDate($startDate, $endDate, $driverData->id);


            $load_revanyPerunitcount_cpm[] = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereBetween('actual_delivery_date', [$startDate, $endDate])->pluck('driver_revenue')->toArray();

            $load_milesPerunitcount_cpm[] = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereBetween(DB::raw('DATE_FORMAT(load_details.actual_delivery_date, "%Y-%m-%d")'), [$startDate, $endDate])->pluck('total_miles')->toArray();

            //  $loadDetail_cpm_target = DriverFinancial::where('driver_id',$driverData->id)
            // ->whereDate(\DB::raw('DATE_FORMAT(start_date, "%Y-%m-%d")'), '>=', $startDate)
            //  ->whereDate(\DB::raw('DATE_FORMAT(end_date, "%Y-%m-%d")'), '<=', $endDate)
            //  ->pluck('cpm_target')->first();

            $loadDetail_cpm_target = getDrivercpm_targettracker($startDate, $endDate, $driverData->id);

            //dd($loadDetail_cpm_target,$get_quarter);

            $loadDetail_mileageper = LoadDriver::where('driver_id', $driverData->id)->pluck('mileage_percentage')->toArray();

            //23-march $active_driver = Driver::where('id',$driverData->id)->get();

            //$active_driver = LoadDetail::whereNull('deleted_at')->where('driver_id',$driverData->id)->whereBetween('actual_delivery_date',[$startDate,$endDate])->where('load_status','==','0')->first();


            $active_driver = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereBetween(DB::raw('DATE_FORMAT(load_details.actual_delivery_date, "%Y-%m-%d")'), [$startDate, $endDate])->first();

            //dd($active_driver);

            if (empty($active_driver)) {

                $active_driverdata = 0;

                $inactive_driverdata = 1;

            } else {

                $active_driverdata = 1;

                $inactive_driverdata = 0;
            }


            //$inactive_driver = Driver::where('id',$driverData->id)->onlyTrashed()->get();

            $getDrivercount = Driver::where('team_id', $base_enco)->get()->toArray();

            $active_trucks_earned = LoadDriver::where('driver_id', $driverData->id)->whereBetween('created_at', [$startDate, $endDate])->pluck('mileage_percentage')->toArray();

            $loadDetail_occupancy = DriverFinancial::where('driver_id', $driverData->id)->where('year', $get_year)->where('quarter', $get_quarter)->pluck('occupancy')->first();

            $load_revanyPerunit = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereBetween(DB::raw('DATE_FORMAT(load_details.actual_delivery_date, "%Y-%m-%d")'), [$startDate, $endDate])->pluck('driver_revenue')->toArray();

            $quarterly_occupancy = DriverFinancial::where('driver_id', $driverData->id)->where('year', $get_year)->where('quarter', $get_quarter)->pluck('occupancy')->toArray();


            // $quarterly_occupancy_totdata = DriverFinancial::where('driver_id',$driverData->id)
            //      ->whereDate(\DB::raw('DATE_FORMAT(start_date, "%Y-%m-%d")'), '>=', $startDate)
            // ->whereDate(\DB::raw('DATE_FORMAT(end_date, "%Y-%m-%d")'), '<=', $endDate)
            //        ->pluck('occupancy')->toArray();

            $quarterly_occupancy_totdata[] = getDriveroccupancytracker($startDate, $endDate, $driverData->id);


            $divide_quarterly_occupancy_totdata = array_sum($quarterly_occupancy_totdata);
//dd($divide_quarterly_occupancy_totdata);
            //$occupancy_sum[] = array_sum($quarterly_occupancy) / count($getDriver);

            if ((array_sum($quarterly_occupancy) > 0) && (count($getDriver) > 0)) {

                $occupancy_sum[] = array_sum($quarterly_occupancy) / count($getDriver);
            } else {

                $occupancy_sum[] = 0;
            }

            // $now = Carbon::today()->subYear();
            //     $startOfMonth = $now->startOfYear()->format('Y-m-d');
            //     $endOfMonth = $now->endOfYear()->format('Y-m-d');

            //     $startDatedata = $startnewDate;

            //     $endDatedata = $$endnewDate;

            // dd($startDatedata,$endDatedata);

            // $actual_milecount_total_occupancy_miles_data[] = getLoadMileage('2022-03-20','2022-03-27','40',$driverData,@$trailer_type,@$dispatcher);


            // dd($actual_milecount_total_occupancy_miles_data);
            //$get_quarter = Carbon::now()->quarter;
            // $get_year = Carbon::now()->year;

            $loads =
                Driver::select("teams.name as team_name", "drivers.id as driverid", "drivers.company_id as driver_company_id", "drivers.first_name", "drivers.last_name", "drivers.middle_name", "driver_financials.revenue_target as wgrr_seasonal", "driver_financials.occupancy as occupancy_commitment", "load_details.driver_id", "load_details.load_id", "load_details.load_type", "load_details.is_disable", "load_details.agreed_upon_rate", "load_details.detention", "load_details.accessorial", "load_details.fuel_surcharge_cost_per_mile", "load_details.shipper_city", "load_details.shipper_state", "load_details.delivery_city", "load_details.delivery_state", "load_details.load_number", "load_details.load_status", "load_details.actual_delivery_date", "load_drivers.load_detail_id")
                    ->leftjoin("load_details", "load_details.driver_id", "=", "drivers.id")
                    ->leftjoin("loads", "loads.id", "=", "load_details.load_id")
                    ->join("driver_informations", "driver_informations.driver_id", "=", "drivers.id")
                    ->leftjoin("load_drivers", "load_drivers.driver_id", "=", "drivers.id")
                    ->leftjoin("teams", "teams.id", "=", "drivers.team_id")
                    ->leftjoin('driver_financials', function ($join) use ($get_quarter, $get_year) {
                        $join->on('drivers.id', '=', 'driver_financials.driver_id')
                            ->where('driver_financials.year', $get_year)
                            ->where('driver_financials.quarter', $get_quarter);
                    })
                    ->groupBy('load_details.driver_id')
                    ->orderByRaw('drivers.last_name ASC, drivers.first_name ASC')
                    ->where('drivers.company_id', auth()->guard('company-admin')->user()->company_id)
                    ->where('drivers.id', $driverData->id)
                    ->where('teams.id', $getTeams->id)->first();

            $trailer_type = [];
            $dispatcher = [];
            $getLoadCPM = getLoadCPM($startDate, $endDate, $driverData->id, $loads, @$trailer_type, @$dispatcher);

            //dd($getLoadCPM);


            $actual_milecount_total_occupancy_miles_data[] = getLoadMileagerevenuetracker($startDate, $endDate, $driverData->id, $loads, @$trailer_type, @$dispatcher);

            $getLoadGrossRevenue[] = getLoadGrossRevenue($startDate, $endDate, $driverData->id, $loads, @$trailer_type, @$dispatcher);

            $getLoadGrossRevenue_driver = getLoadGrossRevenue($startDate, $endDate, $driverData->id, $loads, @$trailer_type, @$dispatcher);

            $getLoadOccupancy[] = round(getLoadOccupancy($startDate, $endDate, $driverData->id, $loads, @$trailer_type, @$dispatcher));

            //dd($getLoadOccupancy);
            // $getLoadOccupancydriver = round(getLoadOccupancy($startDate,$endDate,$driverData->id,$loads,@$trailer_type,@$dispatcher));


            $getLoadOccupancyj = getloadCount($startDate, $endDate, 0, $driverData->id);

            $tott = $getLoadOccupancyj;

            if ($tott > 0) {

                $getLoadOccupancydriver = round(($getLoadOccupancyj * 100) / $tott, 2);

            } else {

                $getLoadOccupancydriver = $getLoadOccupancyj;
            }

            $getLoadOccupancyocc = round(getLoadOccupancy($startDate, $endDate, $driverData->id, $loads, @$trailer_type, @$dispatcher));

            ///// Occupancy Revenue ///

            $datagetLoadGrossRevenue = getLoadGrossRevenue($startDate, $endDate, $driverData->id, $driverData, @$trailer_type, @$dispatcher);


            /// Occupancy Revenue    //
            //dd($quarterly_revenue_targetdriver);
            if (array_sum($quarterly_revenue_targetdriver) > 0) {
                $arrayquarterly_revenue_target = array_sum($quarterly_revenue_targetdriver);

                $multiplyData = $arrayquarterly_revenue_target * $getLoadOccupancyocc;

                //dd($multiplyData);
                $dividebyDatarevenu = $multiplyData / 100;

                //dd($dividebyData);

                // getLoadOccupancy

            } else {

                $dividebyDatarevenu = 0;
            }

            //dd($dividebyDatarevenu);
            /// occ end ///

            if (($datagetLoadGrossRevenue > 0) && (count($getDriver) > 0)) {

                $divideActual_rev = $datagetLoadGrossRevenue / count($getDriver);

            } else {

                $divideActual_rev = 0;
            }

            $occup_target = array_sum($loadDetail_revenue_target);

            $multi_reva = $occup_target * $divideActual_rev;


            //////


            if ($loadDetail_occupancy > 0) {
                $fleet_occupancy[] = $getLoadOccupancy;

            } else {

                $fleet_occupancy[] = 0;
            }


            if (array_sum($loadDetaildataget) > 0) {
                $total_miles[] = array_sum($loadDetaildataget);
            } else {

                $total_miles[] = 0;
            }

            if ($loadDetail_revenue) {
                $total_revenue[] = $loadDetail_revenue;
            } else {

                $total_revenue[] = 0;
            }

            if (array_sum($loadDetail_revenue_target) > 0) {
                $loadDetail_revenue_targetdata[] = array_sum($loadDetail_revenue_target);

                $loadDetail_revenue_targetdatanew = array_sum($loadDetail_revenue_target);


                $allDriverOccupancyactive = DriverFinancial::where('driver_id', $driverData->id)->whereBetween('created_at', [$startDate, $endDate])->pluck('occupancy')->toArray();

                $allDriverOccupancy = DriverFinancial::where('driver_id', $driverData->id)->whereBetween('created_at', [$startDate, $endDate])->pluck('occupancy')->toArray();


                if ((array_sum($allDriverOccupancyactive) > 0) && (array_sum($allDriverOccupancy) > 0)) {

                    $driverOccupancy[] = array_sum($allDriverOccupancy) / array_sum($allDriverOccupancyactive);
                } else {

                    $driverOccupancy[] = 0;
                }

                $actuval_revanue = array_sum($getLoadGrossRevenue);

                // dd($driverOccupancy,$getLoadGrossRevenue);

                if ((array_sum($driverOccupancy) > 0) && (array_sum($getLoadGrossRevenue) > 0)) {

                    $total_Of_revancy_goal[] = array_sum($getLoadGrossRevenue) / array_sum($driverOccupancy);

                } else {

                    $total_Of_revancy_goal[] = 0;
                }

            } else {

                $loadDetail_revenue_targetdata[] = 0;
                $driverOccupancy[] = 0;
                $total_Of_revancy_goal[] = 0;
                $loadDetail_revenue_targetdatanew = 0;
            }

            if (array_sum($loadDetail_mileageper) > 0) {
                $loadDetail_mileageperdata = array_sum($loadDetail_mileageper);

            } else {

                $loadDetail_mileageperdata = 0;
            }

            $difference_act_obj = (array_sum($total_revenue)) - ($loadDetail_revenue_targetdatanew);

            if ((array_sum($total_revenue) > '0') && (array_sum($total_miles) > '0')) {

                $centpermiles = array_sum($total_revenue) / array_sum($total_miles);

            } else {


                $centpermiles = 0;

            }

            if ($loadDetail_cpm_target > 0) {
                $loadDetail_cpm_targetdata = $loadDetail_cpm_target;

            } else {

                $loadDetail_cpm_targetdata = 0;
            }

            $driverCount = count($getDriver);

            if ((array_sum($total_miles) > '0') && (@$driverCountData) > '0') {
                $mileagesperUnit[] = array_sum($total_miles) / (@$driverCountData);

            } else {

                $mileagesperUnit[] = 0;
            }


            $count_revanyPerunitdata = count($load_revanyPerunit);

            $driverCountData = count($getDrivercount);

            if (($count_revanyPerunitdata > '0') && ((int)$driverCountData > '0')) {
                //$revenueperUnit[] =  array_sum($load_revanyPerunit) / (int)$driverCountData;

                $revenueperUnit[] = array_sum($load_revanyPerunit);

                $revenueperUnitData = array_sum($load_revanyPerunit);

            } else {

                $revenueperUnit[] = 0;

                $revenueperUnitData = 0;

            }


            //CMP Per Unit
            if ((array_sum($load_revanyPerunitcount_cpm) > '0') && (array_sum($load_milesPerunitcount_cpm) > '0')) {
                $total_cpm_perunit = array_sum($load_revanyPerunitcount_cpm) / array_sum($load_milesPerunitcount_cpm);

            } else {

                $total_cpm_perunit = 0;

            }

            //dd($revenueperUnit,$mileagesperUnit);
            if ((array_sum($revenueperUnit) > 0) && (array_sum($mileagesperUnit) > 0)) {

                $cpm_per_unit[] = array_sum($revenueperUnit) / array_sum($mileagesperUnit);

            } else {

                $cpm_per_unit[] = 0;
            }

            if (($loadDetail_revenue_targetdatanew > 0) && ($loadDetail_occupancy > 0)) {

                $occupancy_revenue = ($loadDetail_revenue_targetdatanew * 100) / $loadDetail_occupancy;

            } else {

                $occupancy_revenue = 0;
            }

            if (($occupancy_revenue > 0) && (array_sum($total_revenue) > 0)) {

                $total_occupancy_revenue = $occupancy_revenue - (array_sum($total_revenue));

            } else {

                $total_occupancy_revenue = 0;
            }

            // dd($loadDetail_occupancy);
            //  $loadDetailsCount = $loadDetail_occupancy;
            //  if((array_sum($total_miles) > 0) && ($loadDetailsCount > 0))
            // {
            //     $total_occupancy_miles = (array_sum($total_miles) * (int)$loadDetailsCount) / 100;

            // }else{

            //     $total_occupancy_miles = '0';
            // }

            // dd($quarterly_target_milesData,$total_miles);
            $loadDetailsCount = $getLoadOccupancydriver;
            if ((array_sum($total_miles) > 0) && ($loadDetailsCount > 0)) {
                $total_occupancy_miles = (array_sum($quarterly_target_milesData) * (int)$loadDetailsCount) / 100;

            } else {

                $total_occupancy_miles = 0;
            }

            // dd($total_occupancy_miles);
            if (($total_occupancy_miles > 0) && (array_sum($actual_milecount_total_occupancy_miles_data) > 0)) {
                $final_ans_miles[] = array_sum($actual_milecount_total_occupancy_miles_data) - $total_occupancy_miles;

            } else {

                $final_ans_miles[] = 0;
            }


            if ((array_sum($total_revenue) > 0) && (array_sum($quarterly_revenue_target) > 0)) {
                $count_cpm_load = array_sum($quarterly_revenue_target);

                $actual_CPM[] = @($count_cpm_load) / array_sum($total_revenue);

            } else {

                $actual_CPM[] = 0;
            }

            /// Revenue Band ///
            //< $3,000.00///
            $three_Lower = 0;
            foreach ($load_revanyPerunit as $countToal) {

                if ($countToal < 3000.00) {

                    $three_Lower = $countToal;
                } else {

                    $three_Lower = 0;
                }
            }

            ///$3000 - $4000

            $threeTofour = 0;
            foreach ($load_revanyPerunit as $countToal) {

                if ($countToal > 3000 && $countToal < 4000) {

                    $threeTofour = $countToal;
                } else {

                    $threeTofour = 0;
                }
            }


            ///$4000 - $5000

            $fourTofive = 0;
            foreach ($load_revanyPerunit as $countToal) {

                if ($countToal > 4000 && $countToal < 5000) {

                    $fourTofive = $countToal;
                } else {

                    $fourTofive = 0;

                }
            }

            ///$5000 - $6000

            $fiveTosix = 0;
            foreach ($load_revanyPerunit as $countToal) {

                if ($countToal > 5000 && $countToal < 6000) {

                    $fiveTosix = $countToal;
                } else {

                    $fiveTosix = 0;
                }
            }

            ///$6000 - $7000

            $sixToseven = 0;
            foreach ($load_revanyPerunit as $countToal) {

                if ($countToal > 6000 && $countToal < 7000) {

                    $sixToseven = $countToal;
                } else {

                    $sixToseven = 0;
                }
            }

            ///>$7,000.00

            $greater_then_seven = 0;
            foreach ($load_revanyPerunit as $countToal) {

                if ($countToal > 7000) {

                    $greater_then_seven = $countToal;
                } else {

                    $greater_then_seven = 0;
                }
            }


            ///fleet_occupancy //

            if (array_sum($fleet_occupancy) > 0) {

                $totalfleet_occupancy[] = array_sum($fleet_occupancy) / count(array_filter($fleet_occupancy));

            } else {

                $totalfleet_occupancy[] = 0;
            }

            ////

            //$occupancy_sum[] = array_sum($quarterly_occupancy) / count($getDriver);

            if ((array_sum($quarterly_occupancy) > 0) && (count($getDriver) > 0)) {

                $occupancy_sum[] = array_sum($quarterly_occupancy) / count($getDriver);
            } else {

                $occupancy_sum[] = 0;
            }

            // % of Revenue Goal ///

            if ((array_sum($getLoadGrossRevenue) > 0) && (array_sum($load_revanyPerunitcount_cpm) > 0)) {

                /** @var TYPE_NAME $load_revanyPerunitcount_cpm */
                $gettrget_divide_driver = $load_revanyPerunitcount_cpm / count($getDriver);

                /** @var TYPE_NAME $getLoadGrossRevenue */
                $divideActive = $getLoadGrossRevenue / $gettrget_divide_driver;

                $total_multiply[] = $divideActive * 100;

            } else {


                $gettrget_divide_driver = 0;

                $divideActive = 0;

                $total_multiply[] = 0;

            }


            if ((array_sum($quarterly_revenue_target) > 0) && (array_sum($getLoadGrossRevenue) > 0)) {
                $getdataarr = array();
                foreach ($quarterly_revenue_target as $querData) {
                    if ($querData > 0) {

                        $getdataarr[] = $querData;
                    } else {

                        $getdataarr[] = 0;
                    }
                }


                $getLoadarray = array();
                foreach ($getLoadGrossRevenue as $getLoadarray) {

                    if ($getLoadarray > 0) {

                        $getLoadarray = $getLoadarray;
                    } else {

                        $getLoadarray = 0;
                    }
                }


                if ($getdataarr <= $getLoadarray) {

                    $tot[] = $getdataarr;

                } else {

                    $tot[] = 0;
                }

            }


            if (array_sum($total_miles) > '0') {
                $mileagesperUnitdata = array_sum($loadDetaildataget);

            } else {

                $mileagesperUnitdata = 0;
            }


            if (($revenueperUnitData > '0') && (@$mileagesperUnitdata) > '0') {
                $cpm_per_unit_count = @$revenueperUnitData / @$mileagesperUnitdata;

            } else {

                $cpm_per_unit_count = 0;
            }

            $actual_milecount_total_occupancy_miles_datanew = getLoadMileagerevenuetracker($startDate, $endDate, $driverData->id, $driverData, @$trailer_type, @$dispatcher);

            if ($loadDetail_revenue) {
                $count_loadDetail_revenue = $loadDetail_revenue;

            } else {

                $count_loadDetail_revenue = 0;
            }

            // unit at goal start //

            //dd(array_sum($loadDetail_revenue_target),array_sum($getLoadGrossRevenue));


            if ((array_sum($loadDetail_revenue_target)) < (array_sum($getLoadGrossRevenue))) {
                $unitat_goal_data = '100';

            } else {

                $unitat_goal_data = 0;
            }

            // unit at goal end //
            /// revenue goal start //

            /// 30000 start

            if ($three_Lower > 0) {
                $count_three_Lower = '1';

            } else {

                $count_three_Lower = 0;
            }

            ///$3000 - $4000

            ///$4000 - $5000 threeTofour

            if ($threeTofour > 0) {
                $count_threeTofour = 1;

            } else {

                $count_threeTofour = 0;
            }

            ///$5000 - $6000

            if ($fourTofive > 0) {
                $count_fourTofive = 1;

            } else {

                $count_fourTofive = 0;
            }

            if ($fiveTosix > 0) {
                $count_fiveTosix = 1;

            } else {

                $count_fiveTosix = 0;
            }

            if ($sixToseven > 0) {
                $count_sixToseven = 1;

            } else {

                $count_sixToseven = 0;
            }


            if ($greater_then_seven > 0) {

                $count_greater_then_seven = 1;
            } else {

                $count_greater_then_seven = 0;
            }

            ////3000 end

            /// revenue goal start lastweek //

            $revenueData = (array_sum($loadDetail_revenue_target)) * ($getLoadOccupancydriver);

            //dd($loadDetail_revenue_target,$getLoadOccupancydriver);

            $revenue_divide = $revenueData / 100;

            if (($getLoadGrossRevenue_driver > 0) && ($revenue_divide > 0)) {

                $actualreve_divide_by = $getLoadGrossRevenue_driver / $revenue_divide;
            } else {

                $actualreve_divide_by = 0;
            }

            ///////////////////

            ///////////////////
            $loadDriverdata[] = array(
                //'actualreve_divide_by' => $actualreve_divide_by,
                'getLoadCPM_data' => @$getLoadCPM,
                'divideActual_rev' => @$divideActual_rev,
                'occup_target' => @$occup_target,
                'OccupancyreveData' => @$multi_reva,
                'actual_milecount_total_occupancy_miles_datanew' => @$actual_milecount_total_occupancy_miles_datanew,
                "teamId" => @$getTeams->id,
                "teamName" => @$getTeams->name,
                "DriverId" => @$driverData->id,
                "Drivername" => @$driverData->first_name,
                "Drivercount" => @count($getDriver),
                "Miles" => @array_sum($total_miles),
                "revenue" => @$count_loadDetail_revenue,
                "revenue_target" => @$loadDetail_revenue_targetdata,
                "revenue_target_new" => @$loadDetail_revenue_targetdatanew,
                "difference_act_obj" => @$difference_act_obj,
                "mileage_percentage" => @$loadDetail_mileageperdata,
                "centpermiles" => @$centpermiles,
                "mileagePerunit" => @$mileagesperUnitdata,
                "revenueperUnit" => @$revenueperUnitData,
                'activedriver' => $active_driverdata,
                'inactivedriver' => @$inactive_driverdata,
                'target_CPM' => @$loadDetail_cpm_targetdata,
                'fleet_occupancy' => @array_sum($totalfleet_occupancy),
                'cpm_per_unit' => @array_sum($cpm_per_unit),
                'occupancy_revenue' => @$occupancy_revenue,
                'total_occupancy_revenue' => @$total_occupancy_revenue,
                'total_occupancy_miles' => @$total_occupancy_miles,
                'final_ans_miles' => @array_sum($final_ans_miles),
                //'actual_cpm' => @$actual_CPM,
                'actual_cpm' => @array_sum($getLoadCPM),
                'quarterly_revenue_target' => @array_sum($quarterly_revenue_target),
                'active_trucks_earned' => @array_sum($active_trucks_earned),
                'quarterly_occupancy' => @array_sum($occupancy_sum),
                'three_Lower' => @$count_three_Lower,
                'threeTofour' => $count_threeTofour,
                'fourTofive' => $count_fourTofive,
                'fiveTosix' => $count_fiveTosix,
                'sixToseven' => $count_sixToseven,
                'greater_then_seven' => $count_greater_then_seven,
                'total_cpm_perunit' => @$total_cpm_perunit,
                'actual_milecount_total_occupancy_miles_data' => @array_sum($actual_milecount_total_occupancy_miles_data),
                'total_Of_revancy_goal' => @array_sum($total_Of_revancy_goal),
                'tot_units_art' => @array_sum($tot),
                'sum_total_multiply' => array_sum($total_multiply),
                'cpm_per_unit_count' => @$cpm_per_unit_count,
                'fleetoccpancy_goal' => @$getLoadOccupancydriver,
                'occupancy_datatot' => $divide_quarterly_occupancy_totdata,
                'unitatgoalData' => $unitat_goal_data,
                'tar_re' => $loadDetail_revenue_target,
                'occ' => $getLoadOccupancy,
                'revenue_goal' => $actualreve_divide_by,
                'occreveData' => $dividebyDatarevenu,
                'ygg' => $loadDetail_occupancy,
                'quarterly_target_milesData' => array_sum($quarterly_target_milesData),
            );
        }


        //dd($loadDriverdata);
        $countdriver = array();
        $countmiles = array();
        $countrevenue = array();
        $countrevenue_target = array();
        $countactive_driver = array();
        $countinactive_driver = array();
        $count_cpm_driver = array();
        $count_fleet_occupancy = array();
        $count_mileagePerunit = array();
        $count_occupancy_revenue = array();
        $count_total_occupancy_revenue = array();
        $count_cpm_per_unit = array();
        $count_total_occupancy_miles = array();
        $sum_final_ans_miles = array();
        $sum_actual_cpm = array();
        $sum_quarterly_revenue_target = array();
        $sum_active_trucks_earned = array();
        $sum_quarterly_occupancy = array();
        $sum_three_Lower = array();
        $sum_threeTofour = array();
        $sum_fourTofive = array();
        $sum_fiveTosix = array();
        $count_fleetOccupancyData = array();
        $count_revenueperUnit = array();
        $sum_sixToseven = array();
        $sum_DriverId = array();
        $sum_greater_then_seven = array();
        $count_total_Of_revancy_goal = array();
        $counttot_units_art = array();
        $count_total_multiply = array();
        $mileagesperUnit = array();
        $getLoadCPM = array();
        $count_actual_miles_data = array();
        $totalMiles = array();
        $count_revenue_target_new = array();
        $count_OccupancyreveData = array();
        $count_getLoadCPM_data = array();
        $sum_fleetoccpancy_goal = array();
        $tot_occupancy_datatot = array();
        $tot_unitatgoalData = array();
        $tot_revenue_goal = array();
        $tot_occreveData = array();
        $tot_quarterly_target_milesData = array();
        foreach ($loadDriverdata as $data) {
            $tot_quarterly_target_milesData[] = @$data['quarterly_target_milesData'];
            $count_OccupancyreveData[] = @$data['OccupancyreveData'];
            $counttot_units_art[] = @$data['tot_units_art'];
            $count_fleetOccupancyData[] = @$data['count_fleetOccupancyData'];

            $count_total_multiply[] = @$data['sum_total_multiply'];

            $countdriver[] = @$data['Drivercount'];

            //$countmiles[] = @$data['Miles'];

            $countmiles[] = @$data['actual_milecount_total_occupancy_miles_datanew'];

            $countrevenue[] = @$data['revenue'];

            $countrevenue_target[] = @$data['revenue_target'];

            $countactive_driver[] = @$data['activedriver'];

            $countinactive_driver[] = @$data['inactive_driverteam'];

            $count_total_Of_revancy_goal[] = @$data['total_Of_revancy_goal'];

            $count_cpm_driver[] = @$data['target_CPM'];

            $count_fleet_occupancy[] = @$data['fleet_occupancy'];

            $count_revenueperUnit[] = @$data['revenueperUnit'];

            $count_mileagePerunit[] = @$data['mileagePerunit'];

            $count_occupancy_revenue[] = @$data['occupancy_revenue'];

            $count_cpm_per_unit[] = @$data['total_cpm_perunit'];

            $count_total_occupancy_revenue[] = @$data['total_occupancy_revenue'];

            $count_total_occupancy_miles[] = @$data['total_occupancy_miles'];

            $sum_final_ans_miles[] = @$data['final_ans_miles'];

            $sum_actual_cpm[] = @$data['actual_cpm'];

            $sum_quarterly_revenue_target[] = @$data['quarterly_revenue_target'];

            $sum_active_trucks_earned[] = @$data['active_trucks_earned'];

            $sum_quarterly_occupancy[] = @$data['quarterly_occupancy'];

            $sum_three_Lower[] = $data['three_Lower'];

            $sum_threeTofour[] = @$data['threeTofour'];

            $sum_fourTofive[] = @$data['fourTofive'];

            $sum_fiveTosix[] = @$data['fiveTosix'];

            $sum_sixToseven[] = @$data['sixToseven'];

            $sum_greater_then_seven[] = @$data['greater_then_seven'];

            $sum_DriverId[] = @$data['DriverId'];

            $count_actual_miles_data[] = @$data['Miles'];

            $count_revenue_target_new[] = @$data['revenue_target_new'];

            $count_getLoadCPM_data[] = @$data['getLoadCPM_data'];

            $countInac_driverData[] = @$data['inactivedriver'];

            $countAct_driverData[] = @$data['activedriver'];

            $sum_fleetoccpancy_goal[] = $data['fleetoccpancy_goal'];

            $tot_occupancy_datatot[] = $data['occupancy_datatot'];

            $tot_unitatgoalData[] = $data['unitatgoalData'];

            $tot_revenue_goal[] = $data['revenue_goal'];

            $tot_occreveData[] = $data['occreveData'];
        }


        //main count fleetoccupancy start  //


        if (array_sum($tot_occreveData) > 0) {

            $sumtot_occreveData = array_sum($tot_occreveData) / count(array_filter($tot_occreveData));

        } else {

            $sumtot_occreveData = 0;
        }


        if (array_sum($sum_fleetoccpancy_goal) > 0) {

            $tot_fleetoccpancy_goal = array_sum($sum_fleetoccpancy_goal) / count(array_filter($sum_fleetoccpancy_goal));

        } else {

            $tot_fleetoccpancy_goal = 0;
        }

        //// end ///

        //dd($loadDriverdata);
        if (array_sum($getLoadOccupancy) > 0) {

            $divide_fleet_occupancy = array_sum($getLoadOccupancy) / count(array_filter($getLoadOccupancy));

        } else {

            $divide_fleet_occupancy = 0;
        }

        if (array_sum($count_revenueperUnit) > 0) {

            //$count_revenueperUnit_totalTeam = array_sum($count_revenueperUnit) / count(@$getDriver);

            $count_revenueperUnit_totalTeam = array_sum($count_revenueperUnit) / count(array_filter($count_revenueperUnit));

            $total_reveDataactual = array_sum($count_revenueperUnit);


        } else {

            $count_revenueperUnit_totalTeam = 0;

            $total_reveDataactual = 0;
        }

        if (array_sum($count_mileagePerunit) > 0) {

            // $count_mileagePerunit_totalTeam = array_sum($count_mileagePerunit) / count(@$getDriver);

            $count_mileagePerunit_totalTeam = array_sum($count_mileagePerunit) / count(array_filter($count_mileagePerunit));

        } else {

            $count_mileagePerunit_totalTeam = 0;
        }


        if (($count_revenueperUnit_totalTeam > '0') && (@$count_mileagePerunit_totalTeam) > '0') {
            $cpm_per_unit_count = $count_revenueperUnit_totalTeam / $count_mileagePerunit_totalTeam;

        } else {

            $cpm_per_unit_count = 0;
        }

        if (array_sum($countmiles) > 0) {

            // $count_divideby_acMiles = array_sum($countmiles) / count(array_filter($countmiles));

            $count_divideby_acMiles = array_sum($countmiles);

        } else {

            $count_divideby_acMiles = 0;
        }

        //dd(array_sum($count_revenueperUnit));

        //divide active driver //

        if (array_sum($count_revenue_target_new) > 0) {

            $driverdivide_revenue_target_new = @array_sum($count_revenue_target_new);

        } else {

            $driverdivide_revenue_target_new = 0;
        }


        if (array_sum($count_actual_miles_data) > 0) {

            $driverdivide_actual_miles_data = @array_sum($count_actual_miles_data);

        } else {

            $driverdivide_actual_miles_data = 0;
        }

        if (array_sum($count_OccupancyreveData) > 0) {

            $driverdivide_count_OccupancyreveData = @array_sum($count_OccupancyreveData) / count(array_filter($count_OccupancyreveData));

        } else {

            $driverdivide_count_OccupancyreveData = 0;
        }

        //dd($tot_quarterly_target_milesData);
        if (array_sum($tot_quarterly_target_milesData) > 0) {
            $driverdivide_tot_quarterly_target_milesData = @array_sum($tot_quarterly_target_milesData) / count(array_filter($tot_quarterly_target_milesData));

        } else {

            $driverdivide_tot_quarterly_target_milesData = 0;
        }

        //dd($driverdivide_tot_quarterly_target_milesData);
        if (array_sum($count_cpm_driver) > 0) {

            //$driverdivide_count_cpm_driver = @array_sum($count_cpm_driver) / count(array_filter($count_cpm_driver));

            $driverdivide_count_cpm_driver = @array_sum($count_cpm_driver);

        } else {

            $driverdivide_count_cpm_driver = 0;
        }


        if (array_sum($count_getLoadCPM_data) > 0) {

            //$driverdivide_count_getLoadCPM_data = @array_sum($count_getLoadCPM_data) / count(array_filter($count_getLoadCPM_data));

            $driverdivide_count_getLoadCPM_data = @array_sum($count_getLoadCPM_data);


        } else {

            $driverdivide_count_getLoadCPM_data = 0;
        }

        // if(array_sum($tot_unitatgoalData) > 0){

        //     $main_unitatgoal = @array_sum($tot_unitatgoalData) / count(array_filter($tot_unitatgoalData));
        // }else{

        //     $main_unitatgoal = '0';
        // }


        ///////////
        if (array_sum($tot_unitatgoalData) > 0) {

            $mainCount = count(array_filter($tot_unitatgoalData));

            if ($mainCount == '1') {

                $divideCount = count($tot_unitatgoalData);

            } elseif (count(array_filter($tot_unitatgoalData)) == count($tot_unitatgoalData)) {

                $divideCount = count($tot_unitatgoalData);

            } else {

                $divideCount = count(array_filter($tot_unitatgoalData)) - count($tot_unitatgoalData);
            }


            $main_unitatgoal = @array_sum($tot_unitatgoalData) / $divideCount;
        } else {

            $main_unitatgoal = 0;
        }

        ///////////////////

        $tot_count_revenue_target_new = @$driverdivide_revenue_target_new;
        $tot_counttot_units_art = @array_sum($counttot_units_art);
        $totalMiles = @$driverdivide_actual_miles_data;
        $totalDriver = @array_sum($countdriver);
        $totalRevenue = @array_sum($countrevenue);
        $totalrevenue_target = @array_sum($countrevenue_target);
        $totalactivedriver = @array_sum($countactive_driver);
        $totalinactivedriver = @count($inactive_driverteam);
        $totalCPM_driver = @$driverdivide_count_cpm_driver;
        $totalfleet_occupancy = @$divide_fleet_occupancy;
        $total_count_revenueperUnit = @array_sum(@$count_revenueperUnit);
        $total_count_mileagePerunit = @array_sum($count_mileagePerunit);
        $total_count_occupancy_revenue = @array_sum($count_occupancy_revenue);
        $sum_total_occupancy_revenue = @array_sum($count_total_occupancy_revenue);
        $total_count_cpm_per_unit = @array_sum($count_cpm_per_unit);
        $all_count_total_occupancy_miles = array_sum($count_total_occupancy_miles);
        $all_count_sum_final_ans_miles = @array_sum($sum_final_ans_miles);
        $all_count_sum_actual_cpm = @array_sum($sum_actual_cpm);
        $all_quarterly_revenue_target = @array_sum($sum_quarterly_revenue_target);
        $all_sum_active_trucks_earned = @array_sum($sum_active_trucks_earned);
        $all_sum_quarterly_occupancy = @array_sum($sum_quarterly_occupancy);
        $all_sum_3000Lower = @array_sum($sum_three_Lower);
        $all_3000to4000 = @array_sum($sum_threeTofour);
        $all_4000to5000 = @array_sum($sum_fourTofive);
        $all_5000to6000 = @array_sum($sum_fiveTosix);
        $all_6000to7000 = @array_sum($sum_sixToseven);
        $all_greater_then_seven = @array_sum($sum_greater_then_seven);
        $all_count_fleetOccupancyData = @array_sum($count_fleetOccupancyData);
        $count_total_Of_revancy_goal = @array_sum($count_total_Of_revancy_goal);
        $sum_count_total_multiply = @array_sum($count_total_multiply);
        $active_driverData = @$count_divideby_acMiles;
        $sum_count_revenueperUnit_totalTeam = @$count_revenueperUnit_totalTeam;
        $sum_total_reveDataactual = @$total_reveDataactual;
        $sum_count_mileagePerunit_totalTeam = @$count_mileagePerunit_totalTeam;
        $sum_count_OccupancyreveData = @$driverdivide_count_OccupancyreveData;
        $sum_count_getLoadCPM_data = @$driverdivide_count_getLoadCPM_data;
        $sum_activeDriverData = @array_sum($countAct_driverData);
        $sum_InactiveDriverData = @array_sum($countInac_driverData);
        $sum_tot_occupancy_datatot = @array_sum($tot_occupancy_datatot);
        $sum_tot_revenue_goal = @array_sum($tot_revenue_goal);
        $teameId = $getTeams->id;
        $sum_tot_occreveData = @array_sum($tot_occreveData);
        $sum_driverdivide_tot_quarterly_target_milesData = @$driverdivide_tot_quarterly_target_milesData;

        $current_startdate = $startDate;

        $current_enddate = $endDate;

        $backIdstartdate = date_create_from_format("Y-m-d", $startDate)->format("m-d-Y");

        $backIdenddate = date_create_from_format("Y-m-d", $endDate)->format("m-d-Y");

        return view('companyAdmin.revenue-tracker.driverData', compact('loadDriverdata', 'totalDriver', 'totalMiles', 'totalRevenue', 'totalrevenue_target', 'teameId', 'totalactivedriver', 'totalinactivedriver', 'totalCPM_driver', 'totalfleet_occupancy', 'total_count_revenueperUnit', 'total_count_revenueperUnit', 'total_count_mileagePerunit', 'total_count_cpm_per_unit', 'total_count_occupancy_revenue', 'sum_total_occupancy_revenue', 'all_count_total_occupancy_miles', 'all_count_sum_final_ans_miles', 'all_count_sum_actual_cpm', 'all_quarterly_revenue_target', 'all_sum_active_trucks_earned', 'all_sum_quarterly_occupancy', 'all_sum_3000Lower', 'all_3000to4000', 'all_4000to5000', 'all_5000to6000', 'all_greater_then_seven', 'all_6000to7000', 'count_total_Of_revancy_goal', 'sum_count_total_multiply', 'all_count_fleetOccupancyData', 'tot_counttot_units_art', 'active_driverData', 'tot_count_revenue_target_new', 'sum_count_revenueperUnit_totalTeam', 'sum_count_mileagePerunit_totalTeam', 'cpm_per_unit_count', 'sum_count_OccupancyreveData', 'sum_count_getLoadCPM_data', 'sum_activeDriverData', 'sum_InactiveDriverData', 'tot_fleetoccpancy_goal', 'sum_tot_occupancy_datatot', 'main_unitatgoal', 'sum_tot_revenue_goal', 'sum_total_reveDataactual', 'sum_tot_occreveData', 'sumtot_occreveData', 'startDate', 'endDate', 'current_startdate', 'current_enddate', 'id', 'backIdstartdate', 'backIdenddate', 'sum_driverdivide_tot_quarterly_target_milesData'));
    }


    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */

    public function getbackdataindex(Request $request, $id, $startDate, $endDate)
    {
//        $now = Carbon::now();
//        $weekStartDate = $now->startOfWeek()->format('Y-m-d');
//        $weekEndDate = $now->endOfWeek()->format('Y-m-d');
//        dd($id,$weekStartDate,$weekEndDate,$startDate,$endDate);

        //$base_enco = base64_decode($id);

        $yearData = date_create_from_format("Y-m-d", $endDate)->format("Y");

        $monthData = date_create_from_format("Y-m-d", $endDate)->format("m");

        ///dd($yearData,$monthData);

        $get_quarterdata = floor(($monthData - 1) / 3) + 1;

        $get_quarter = ltrim($get_quarterdata, '0');

        $get_year = $yearData;

        $startDateData = date_create_from_format("Y-m-d", $startDate)->format("Y-m-d");

        $endDateData = date_create_from_format("Y-m-d", $endDate)->format("Y-m-d");

//        dd($startDateData,$endDateData);

        $company_id = auth()->guard('company-admin')->user()->company_id;

        $start_date = auth()->guard('company-admin')->user()->weekly_strat_day;

        $end_date = auth()->guard('company-admin')->user()->weekly_strat_day + '6';

        $getTeams = Team::where('company_id', $company_id)->get();

        $dataArray = array();
        foreach ($getTeams as $getTeamsdata) {

            $getDriver = Driver::where('team_id', $getTeamsdata->id)->get();

            $getDrivercount = Driver::where('team_id', $getTeamsdata->id)->get()->toArray();

            $inactive_driver = Driver::where('team_id', $getTeamsdata->id)->onlyTrashed()->get();

            //23-march-2022  $active_driver = Driver::where('team_id',$getTeamsdata->id)->get();

            $active_driver_getId = Driver::where('team_id', $getTeamsdata->id)->pluck('id')->toArray();

            $all_driver_getId = Driver::where('team_id', $getTeamsdata->id)->withTrashed()->pluck('id')->toArray();

            $loadDriverdata = array();
            $total_miles = array();
            $total_cpm_perunit = array();
            $occupancy_revenue = array();
            $total_revenue = array();
            $getLoadCPM = array();
            $getLoadOccupancy = array();
            $mileagesperUnit = array();
            $fleet_occupancy = array();
            $loadDetail_revenue_targetdata = array();
            $driverOccupancy = array();
            $total_Of_revancy_goal = array();
            $load_revanyPerunitcount_cpm = array();
            $load_milesPerunitcount_cpm = array();
            $loadDetail_cpm_target = array();
            $quarterly_revenue_target = array();
            $totalfleet_occupancy = array();
            $three_Lower_data = array();
            $threeTofour_data = array();
            $fourTofive_data = array();
            $fiveTosix_data = array();
            $sixTosevenData = array();
            $tot = array();
            $greater_then_seven_data = array();
            $total_multiply = array();
            $load_revanyPerunit = array();
            $loadDetaildataget = array();
            $revenueperUnit = array();
            $count_revenueperUnit_totalTeam = array();
            $count_revanyPerunitdata = array();
            $actual_milecount_total_occupancy_miles_data = array();
            $active_driverdata = array();
            $inactive_driverdata = array();
            $multi_reva = array();
            $unit_at_goal = array();
            $quarterly_occupancy_alldriver = array();
            $divide_quarterly_occupancy_totdata = array();
            $fleetOccupancyDataget = array();
            $unitat_goal_data = array();
            $actualreve_divide_by = array();
            $dividebyDatarevenu = array();
            $quarterly_target_milesDatacount = array();
            // dd($driver);
            foreach ($getDriver as $driverData) {

                // $get_quarter = Carbon::now()->quarter;
                //    $get_year = Carbon::now()->year;

                //dd($get_year,$get_quarter);

                $loads =
                    Driver::select("teams.name as team_name", "drivers.id as driverid", "drivers.company_id as driver_company_id", "drivers.first_name", "drivers.last_name", "drivers.middle_name", "driver_financials.revenue_target as wgrr_seasonal", "driver_financials.occupancy as occupancy_commitment", "load_details.driver_id", "load_details.load_id", "load_details.load_type", "load_details.is_disable", "load_details.agreed_upon_rate", "load_details.detention", "load_details.accessorial", "load_details.fuel_surcharge_cost_per_mile", "load_details.shipper_city", "load_details.shipper_state", "load_details.delivery_city", "load_details.delivery_state", "load_details.load_number", "load_details.load_status", "load_details.actual_delivery_date", "load_drivers.load_detail_id")
                        ->leftjoin("load_details", "load_details.driver_id", "=", "drivers.id")
                        ->leftjoin("loads", "loads.id", "=", "load_details.load_id")
                        ->join("driver_informations", "driver_informations.driver_id", "=", "drivers.id")
                        ->leftjoin("load_drivers", "load_drivers.driver_id", "=", "drivers.id")
                        ->leftjoin("teams", "teams.id", "=", "drivers.team_id")
                        ->leftjoin('driver_financials', function ($join) use ($get_quarter, $get_year) {
                            $join->on('drivers.id', '=', 'driver_financials.driver_id')
                                ->where('driver_financials.year', $get_year)
                                ->where('driver_financials.quarter', $get_quarter);
                        })
                        ->groupBy('load_details.driver_id')
                        ->orderByRaw('drivers.last_name ASC, drivers.first_name ASC')
                        ->where('drivers.company_id', auth()->guard('company-admin')->user()->company_id)
                        ->where('drivers.id', $driverData->id)
                        ->where('teams.id', $getTeamsdata->id)->first();

                //// driver data //

                //07-april-2022 $loadDetail_revenue_targetdriver = DriverFinancial::where('driver_id',$driverData->id)->where('year',$get_year)->where('quarter',$get_quarter)->pluck('revenue_target')->toArray();

                $loadDetail_revenue_targetdriver[] = getTargetRevenueByDate($startDateData, $endDateData, $driverData->id);

                $getLoadOccupancydividedriver = round(getLoadOccupancy($startDateData, $endDateData, $driverData->id, $loads, @$trailer_type, @$dispatcher));

                $getLoadGrossRevenuedividedriver = getLoadGrossRevenue($startDateData, $endDateData, $driverData->id, $loads, @$trailer_type, @$dispatcher);


                $revenueData = (array_sum($loadDetail_revenue_targetdriver)) * ($getLoadOccupancydividedriver);

                $revenue_divide = $revenueData / 100;

                if (($getLoadGrossRevenuedividedriver > 0) && ($revenue_divide > 0)) {

                    $actualreve_divide_by[] = $getLoadGrossRevenuedividedriver / $revenue_divide;
                } else {

                    $actualreve_divide_by[] = 0;
                }
                //dd($actualreve_divide_by);
                ///////

                $active_driver = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereBetween('actual_delivery_date', [$startDateData, $endDateData])->first();

//                dd($start_date,$end_date,$active_driver);
                if (empty($active_driver)) {

                    $active_driverdata[] = 0;

                    $inactive_driverdata[] = 1;

                } else {

                    $active_driverdata[] = 1;

                    $inactive_driverdata[] = 0;
                }

                //dd(Carbon::now()->startOfWeek(@$start_date),Carbon::now()->endOfWeek(@$end_date));Carbon::now()->year


                //dd($loads)Carbon::now()->startOfWeek(@$start_date), Carbon::now()->endOfWeek(@$end_date);

                $getLoadGrossRevenue[] = getLoadGrossRevenue($startDateData, $endDateData, $driverData->id, $driverData, @$trailer_type, @$dispatcher);

                $getLoadGrossRevenuedivide = getLoadGrossRevenue($startDateData, $endDateData, $driverData->id, $driverData, @$trailer_type, @$dispatcher);


                $getLoadOccupancy[] = round(getLoadOccupancy($startDateData, $endDateData, $driverData->id, $loads, @$trailer_type, @$dispatcher));

                $getLoadOccupancydivide = round(getLoadOccupancy($startDateData, $endDateData, $driverData->id, $loads, @$trailer_type, @$dispatcher));

                // dd($getLoadOccupancy);

                if ((array_sum($getLoadOccupancy) > '0') && (count($getDrivercount) > '0')) {

                    $fleetOccupancyData[] = array_sum($getLoadOccupancy) / count($getDrivercount);

                } else {

                    $fleetOccupancyData[] = 0;
                }

                $loadDetaildataget[] = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereBetween('actual_delivery_date', [$startDateData, $endDateData])->whereNotNull('total_miles')->pluck('total_miles')->first();


                //dd($loadDetaildataget,$startDateData,$endDateData);

                $load_revanyPerunit[] = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereBetween('actual_delivery_date', [$startDateData, $endDateData])->pluck('driver_revenue')->first();

                $load_revanyPerunitdata[] = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereBetween('actual_delivery_date', [$startDateData, $endDateData])->pluck('driver_revenue')->first();

                $load_revanyPerunitcount_cpm[] = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereBetween('actual_delivery_date', [$startDateData, $endDateData])->pluck('driver_revenue')->toArray();

                $load_milesPerunitcount_cpm[] = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereBetween('actual_delivery_date', [$startDateData, $endDateData])->pluck('total_miles')->toArray();


                $loadDetail_revenue = LoadDetail::whereNull('deleted_at')->where('driver_id', $driverData->id)->whereBetween('actual_delivery_date', [$startDateData, $endDateData])->pluck('driver_revenue')->toArray();

                // dd($loadDetail_revenue);

                //$loadDetail_revenue_target = DriverFinancial::where('driver_id',$driverData->id)->whereBetween('created_at',[Carbon::now()->startOfWeek(), Carbon::now()->endOfWeek()])->pluck('revenue_target')->toArray();

                $a = Carbon::now()->format('Y-m-d');
                $quarter_date = new \Carbon\Carbon('-3 months'); // for the last quarter requirement


                //07-april-2022 $loadDetail_revenue_target = DriverFinancial::where('driver_id',$driverData->id)->where('year',$get_year)->where('quarter',$get_quarter)->pluck('revenue_target')->toArray();

                $loadDetail_revenue_target[] = getTargetRevenueByDate($startDateData, $endDateData, $driverData->id);

                $a = Carbon::now();
                $quarter_date = new \Carbon\Carbon('-3 months'); // for the last quarter requirement

                $quarterly_revenue_target[] = getTargetRevenueByDate($startDateData, $endDateData, $driverData->id);

                //07- april-2022 $quarterly_revenue_target_driver = DriverFinancial::where('driver_id',$driverData->id)->where('year',$get_year)->where('quarter',$get_quarter)->pluck('revenue_target')->toArray();

                $quarterly_revenue_target_driver[] = getTargetRevenueByDate($startDateData, $endDateData, $driverData->id);

                //dd($quarterly_revenue_target);

                $loadDetail_cpm_target[] = DriverFinancial::join('load_drivers', 'load_drivers.driver_id', '=', 'driver_financials.driver_id')
                    ->whereNull('load_drivers.deleted_at')
                    ->where('driver_financials.driver_id', $driverData->id)
                    ->where('year', Carbon::now()->startOfWeek()->subDays(7)->year)
                    ->where('quarter', Carbon::now()->startOfWeek()->subDays(7)->quarter)
                    ->pluck('driver_financials.cpm_target')->first();


                //dd($loadDetail_cpm_target);

                $loadDetail_occupancy = DriverFinancial::where('driver_id', $driverData->id)->where('year', $get_year)->where('quarter', $get_quarter)->where('occupancy', '!=', '0')->pluck('occupancy')->toArray();

                //dd($loadDetail_occupancy,$startDateData,$endDateData);
                $loadDetail_mileageper = LoadDriver::where('driver_id', $driverData->id)->pluck('mileage_percentage')->toArray();

                // $active_driver[] = Driver::where('id',$driverData->id)->get();

                $active_trucks_earned = LoadDriver::where('driver_id', $driverData->id)->whereBetween('created_at', [$startDateData, $endDateData])->pluck('mileage_percentage')->toArray();

                $quarterly_occupancy = DriverFinancial::where('driver_id', $driverData->id)->where('year', $get_year)->where('quarter', $get_quarter)->pluck('occupancy')->toArray();

                $quarterly_occupancy_alldriver = DriverFinancial::where('driver_id', $driverData->id)->where('year', $get_year)->where('quarter', $get_quarter)->pluck('occupancy')->toArray();

                $divide_quarterly_occupancy_totdata[] = array_sum($quarterly_occupancy_alldriver);

                $quarterly_target_milesData = DriverFinancial::where('driver_id', $driverData->id)->where('year', $get_year)->where('quarter', $get_quarter)->pluck('target_miles')->toArray();


                //$startDatedata = Carbon::now()->startOfWeek(@$start_date)->format('Y-m-d');

                //$endDatedata = Carbon::now()->endOfWeek(@$end_date)->format('Y-m-d');

                $actual_milecount_total_occupancy_miles_data[] = getLoadMileagerevenuetracker($startDateData, $endDateData, $driverData->id, $loads, @$trailer_type, @$dispatcher);

                //dd($startDateData,$endDateData,$actual_milecount_total_occupancy_miles_data);
                //$inactive_driver = Driver::where('id',$driverData->id)->onlyTrashed()->get();

                /// Occupancy Revenue    //

                if (array_sum($quarterly_revenue_target_driver) > 0) {
                    $arrayquarterly_revenue_target = array_sum($quarterly_revenue_target_driver);

                    //dd($getLoadOccupancy);
                    $multiplyData = $arrayquarterly_revenue_target * ($getLoadOccupancydivide);

                    $dividebyDatarevenu[] = $multiplyData / 100;

                    //dd($dividebyData);

                    // getLoadOccupancy

                } else {

                    $dividebyDatarevenu[] = 0;
                }

                /// occ end ///

                if (array_sum($quarterly_target_milesData) > 0) {
                    $quarterly_target_milesDatacount[] = array_sum($quarterly_target_milesData);

                } else {

                    $quarterly_target_milesDatacount[] = 0;
                }


                if ((array_sum($loadDetail_revenue_target)) < (array_sum($getLoadGrossRevenue))) {
                    $unitat_goal_data[] = '100';

                } else {

                    $unitat_goal_data[] = 0;
                }

                if (array_sum($loadDetail_occupancy) > 0) {
                    $fleet_occupancy[] = array_sum($loadDetail_occupancy);

                } else {

                    $fleet_occupancy[] = 0;
                }

                if (array_sum($load_revanyPerunit) > 0) {

                    $count_revanyPerunitdata[] = count($load_revanyPerunit);

                } else {

                    $count_revanyPerunitdata[] = 0;
                }


                //dd($driverdivide_revenue_target_new);
                //% of unit at goal //
                if ((array_sum($load_revanyPerunit) > 0) <= array_sum($loadDetail_revenue_targetdata)) {

                    $unit_at_goal[] = array_sum($load_revanyPerunit);

                } else {

                    $unit_at_goal[] = 0;
                }

                // dd((int)($count_revanyPerunitdata));

                if (array_sum($getDrivercount) > 0) {

                    $driverCountData = count($getDrivercount);

                } else {

                    $driverCountData = 0;
                }


                if ((int)($count_revanyPerunitdata > '0') && ((int)$driverCountData > '0')) {
                    $revenueperUnit[] = (int)$load_revanyPerunit / (int)$driverCountData;

                } else {

                    $revenueperUnit[] = 0;

                }

                //CMP Per Unit
                if ((array_sum($load_revanyPerunitcount_cpm) > '0') && (array_sum($load_milesPerunitcount_cpm) > '0')) {
                    $total_cpm_perunit[] = array_sum($load_revanyPerunitcount_cpm) / array_sum($load_milesPerunitcount_cpm);

                } else {

                    $total_cpm_perunit[] = 0;

                }

                if (array_sum($loadDetaildataget) > 0) {
                    $total_miles[] = array_sum($loadDetaildataget);
                } else {

                    $total_miles[] = 0;
                }

                if (array_sum($loadDetail_revenue) > 0) {
                    $total_revenue[] = array_sum($loadDetail_revenue);
                } else {

                    $total_revenue[] = 0;
                }

                if (array_sum($loadDetail_revenue_target) > 0) {
                    $loadDetail_revenue_targetdata[] = array_sum($loadDetail_revenue_target);


                    $allDriverOccupancyactive = DriverFinancial::whereIn('driver_id', $active_driver_getId)->whereBetween('created_at', [$startDateData, $endDateData])->pluck('occupancy')->toArray();

                    $allDriverOccupancy = DriverFinancial::whereIn('driver_id', $all_driver_getId)->whereBetween('created_at', [$startDateData, $endDateData])->pluck('occupancy')->toArray();


                    if ((array_sum($allDriverOccupancyactive) > 0) && (array_sum($allDriverOccupancy) > 0)) {

                        $driverOccupancy[] = array_sum($allDriverOccupancy) / array_sum($allDriverOccupancyactive);
                    } else {

                        $driverOccupancy[] = 0;
                    }

                    $actuval_revanue = array_sum($getLoadGrossRevenue);

                    if ((array_sum($driverOccupancy) > 0) && (array_sum($getLoadGrossRevenue) > 0)) {

                        $total_Of_revancy_goal[] = array_sum($getLoadGrossRevenue) / array_sum($driverOccupancy);

                    } else {

                        $total_Of_revancy_goal[] = 0;
                    }

                } else {

                    $loadDetail_revenue_targetdata[] = 0;
                    $driverOccupancy[] = 0;
                    $total_Of_revancy_goal[] = 0;
                }

                if (array_sum($loadDetail_cpm_target) > 0) {
                    $loadDetail_cpm_targetdata = array_sum($loadDetail_cpm_target);

                } else {

                    $loadDetail_cpm_targetdata = 0;
                }

                if (array_sum($loadDetail_mileageper) > 0) {
                    $loadDetail_mileageperdata = array_sum($loadDetail_mileageper);

                } else {

                    $loadDetail_mileageperdata = 0;
                }

                $difference_act_obj = array_sum($total_revenue) - array_sum($loadDetail_revenue_targetdata);

                if (($total_revenue != '0') && (array_sum($total_miles) != '0')) {

                    $centpermiles = array_sum($total_revenue) / array_sum($total_miles);

                } else {


                    $centpermiles = 0;

                }

                if ((array_sum($total_miles) > '0') && ($driverCountData > '0')) {
                    $mileagesperUnit[] = array_sum($total_miles) / $driverCountData;

                } else {

                    $mileagesperUnit[] = 0;
                }

                if ((array_sum($revenueperUnit) > 0) && (array_sum($mileagesperUnit) > 0)) {

                    $cpm_per_unit[] = array_sum($revenueperUnit) / array_sum($mileagesperUnit);

                } else {

                    $cpm_per_unit[] = 0;
                }

                ///

                $data_pickup_count = Driver::select("load_details.id")
                    ->join("load_details", "load_details.driver_id", "=", "drivers.id")
                    ->join("load_drivers", "load_drivers.load_detail_id", "=", "load_details.id")
                    ->whereNull('load_details.deleted_at')
                    ->where('drivers.id', $driverData->id)
                    ->where('load_drivers.driver_id', $driverData->id)
                    ->where('drivers.company_id', auth()->guard('company-admin')->user()->company_id)
                    ->where(DB::raw('DATE_FORMAT(actual_shipper_date, "%Y-%m-%d")'), '<=', $endDateData)
                    ->where(DB::raw('DATE_FORMAT(actual_delivery_date, "%Y-%m-%d")'), '>=', $startDateData)
                    ->where('load_details.occupied_pickup_day', 1)
                    ->whereNotIn('load_details.load_type', [0, 4, 6]);

                $data_pickup_count = $data_pickup_count->count();


                $period = CarbonPeriod::create($startDateData, $endDateData);


                $totalDays = 0;
                $bcoutn = 0;
                foreach ($period as $date) {

                    $dateYMD = $date->format('m/d/Y');
                    $getload = getLoadByDaterevenue($dateYMD, $driverData->id);
                    if (count($getload) > 0) {
                        $load_type = array(0, 4, 6);
                        foreach ($getload as $load_details) {
                            if (in_array($load_details['load_type'], $load_type)) {
                                $totalDays++;
                                break;
                            }
                        }
                    }
                    if (count($getload) > 1) {
                        $load_type = array(1, 2, 3, 5);
                        $uc = 0;
                        $oc = 0;
                        foreach ($getload as $load_details) {
                            if (in_array($load_details['load_type'], $load_type)) {
                                $uc++;
                            } else {
                                $oc++;
                            }
                        }
                        if ($oc > 0 && $uc > 0) {
                            $bcoutn++;
                        }

                    }

                }

                //dd($totalDays,$bcoutn,$getload);
                $totalDays = $totalDays + $data_pickup_count;
                $totalDays = $totalDays - $bcoutn;
                $mapeval = max(number_format(100 / 7 * $totalDays, 2), 0);

                //return $mapeval;

                //16-march  $occupancy_revenue[]  = $mapeval;
                // $occupancy_revenue[] = $getLoadGrossRevenue
                ///

                // if(($loadDetail_revenue_targetdata > 0) && (count($loadDetail_occupancy) > 0))
                // {

                //     //$occupancy_revenue = ($loadDetail_revenue_targetdata * 100) / $loadDetail_occupancy;

                //      $getLoadOccupancy = round(getLoadOccupancy('2022-03-07','2022-03-14','27',$driverData,$trailer_type,$dispatcher));
                //   $chartarray[$ch]['getLoadOccupancy'] = $getLoadOccupancy;


                //   dd($getLoadOccupancy);

                // }else{

                //     $occupancy_revenue = '0';
                // }


                $loadDetailsCount = array_sum($loadDetail_occupancy);
                if ((array_sum($total_miles) > 0) && ($loadDetailsCount > 0)) {
                    $total_occupancy_miles[] = (array_sum($total_miles) * (int)$loadDetailsCount) / 100;

                } else {

                    $total_occupancy_miles[] = 0;
                }


                if ((array_sum($total_revenue) > 0) && (array_sum($quarterly_revenue_target) > 0)) {
                    $count_cpm_load = array_sum($quarterly_revenue_target);

                    $actual_CPM[] = @($count_cpm_load) / array_sum($total_revenue);

                } else {

                    $actual_CPM[] = 0;
                }


                if ((array_sum($getLoadGrossRevenue) > 0) && (array_sum($total_revenue) > 0)) {

                    $total_occupancy_revenue[] = (array_sum($total_revenue)) - (array_sum($getLoadGrossRevenue));

                } else {

                    $total_occupancy_revenue[] = 0;
                }

                //dd($load_revanyPerunit);
                /// Revenue Band ///
                //< $3,000.00///
                $three_Lower = array();
                foreach ($load_revanyPerunit as $countToal) {

                    if ($countToal < 3000.00) {

                        $three_Lower[] = $countToal;
                        $three_Lower_data[] = $three_Lower;
                    } else {

                        $three_Lower[] = 0;
                        $three_Lower_data[] = 0;
                    }
                }

                ///$3000 - $4000

                $threeTofour = array();
                foreach ($load_revanyPerunit as $countToal) {

                    if ($countToal > 3000 && $countToal < 4000) {

                        $threeTofour[] = $countToal;
                        $threeTofour_data[] = $threeTofour;
                    } else {

                        $threeTofour[] = 0;
                        $threeTofour_data[] = 0;

                    }
                }


                ///$4000 - $5000

                $fourTofive = array();
                foreach ($load_revanyPerunit as $countToal) {

                    if ($countToal > 4000 && $countToal < 5000) {

                        $fourTofive[] = $countToal;
                        $fourTofive_data[] = $fourTofive;
                    } else {

                        $fourTofive[] = 0;
                        $fourTofive_data[] = 0;

                    }
                }

                ///$5000 - $6000

                $fiveTosix = array();
                foreach ($load_revanyPerunit as $countToal) {

                    if ($countToal > 5000 && $countToal < 6000) {

                        $fiveTosix[] = $countToal;
                        $fiveTosix_data[] = $fiveTosix;
                    } else {

                        $fiveTosix[] = 0;
                        $fiveTosix_data[] = 0;

                    }
                }

                ///$6000 - $7000

                $sixToseven = array();
                foreach ($load_revanyPerunit as $countToal) {

                    if ($countToal > 6000 && $countToal < 7000) {

                        $sixToseven[] = $countToal;
                        $sixTosevenData[] = $sixToseven;
                    } else {

                        $sixToseven[] = 0;
                        $sixTosevenData[] = 0;
                    }
                }

                ///>$7,000.00

                $greater_then_seven = array();
                foreach ($load_revanyPerunit as $countToal) {

                    if ($countToal > 7000) {

                        $greater_then_seven[] = $countToal;
                        $greater_then_seven_data[] = $greater_then_seven;

                    } else {

                        $greater_then_seven[] = 0;
                        $greater_then_seven_data[] = 0;

                    }
                }

                //dd($start_date,$end_date,$driverData->id,$driverData,@$trailer_type,@$dispatcher);
                if ($driverData->id) {

                    $getLoadCPM[] = getLoadCPM($startDateData, $endDateData, $driverData->id, $driverData, @$trailer_type, @$dispatcher);

                } else {


                    $getLoadCPM[] = 0;
                }
            }

            //dd($divide_quarterly_occupancy_totdata);
            ///fleet_occupancy //

            if ((array_sum($getLoadOccupancy) > 0)) {

                $fleetOccupancyDataget[] = array_sum($getLoadOccupancy) / count(array_filter($getLoadOccupancy));
            } else {

                $fleetOccupancyDataget[] = 0;
            }


            if (array_sum($fleet_occupancy) > 0) {

                $totalfleet_occupancy[] = array_sum($fleet_occupancy) / count($fleet_occupancy);

            } else {

                $totalfleet_occupancy[] = 0;
            }

            ////

            if ((array_sum($quarterly_occupancy) > 0) && (count($getDriver) > 0)) {

                $occupancy_sum[] = array_sum($quarterly_occupancy) / count($getDriver);
            } else {

                $occupancy_sum[] = 0;
            }

            //dd($quarterly_revenue_target,$getLoadGrossRevenue);
            if ((array_sum($quarterly_revenue_target) > 0) && (array_sum($getLoadGrossRevenue) > 0)) {
                $getdataarr = array();
                foreach ($quarterly_revenue_target as $querData) {
                    if ($querData > 0) {

                        $getdataarr[] = $querData;
                    } else {

                        $getdataarr[] = 0;
                    }
                }

                $getLoadarray = array();
                foreach ($getLoadGrossRevenue as $getLoadarray) {

                    if ($getLoadarray > 0) {

                        @$getLoadarray[] = @array_sum($getLoadarray);
                    } else {

                        @$getLoadarray[] = 0;
                    }
                }

                if ($getdataarr <= $getLoadarray) {

                    $tot[] = $getdataarr;

                } else {

                    $tot[] = 0;
                }

            }


            if ((array_sum($getLoadGrossRevenue) > 0) && (array_sum($load_revanyPerunitcount_cpm) > 0)) {
                $gettrget_divide_driver = array_sum($load_revanyPerunitcount_cpm) / count($getDriver);

                $divideActive = array_sum($getLoadGrossRevenue) / $gettrget_divide_driver;

                $total_multiply[] = $divideActive * 100;

            } else {

                $gettrget_divide_driver = 0;

                $divideActive = 0;

                $total_multiply[] = 0;

            }

            $total_reveData = 0;
            if (array_sum($load_revanyPerunit) > 0) {

                $total_reveData = (array_sum($load_revanyPerunit)) / count(array_filter($load_revanyPerunit));

                $total_reveDataActual = (array_sum($load_revanyPerunit));

            } else {

                $total_reveData = 0;

                $total_reveDataActual = 0;
            }


            if (array_sum($loadDetaildataget) > 0) {

                $total_milesPer = (array_sum($loadDetaildataget)) / count(array_filter($loadDetaildataget));

            } else {

                $total_milesPer = 0;
            }


            if (($total_reveData > '0') && (@$total_milesPer) > '0') {
                $cpm_per_unit_countData = @$total_reveData / @$total_milesPer;

            } else {

                $cpm_per_unit_countData = 0;
            }

            //dd($cpm_per_unit_countData);

            ////////////////////


            ///// Occupancy Revenue start_date end_date ///

            $datagetLoadGrossRevenue = getLoadGrossRevenue($startDateData, $endDateData, $driverData->id, $driverData, @$trailer_type, @$dispatcher);

            if ($datagetLoadGrossRevenue > 0) {

                $divideActual_rev = $datagetLoadGrossRevenue;

            } else {

                $divideActual_rev = 0;
            }


            if (array_sum($loadDetail_revenue_target) > 0) {

                $occup_target = array_sum($loadDetail_revenue_target);

                $multi_reva[] = $occup_target * $divideActual_rev;

            } else {

                $occup_target = 0;

                $multi_reva[] = 0;
            }


            if (($total_reveData > 0) && (array_sum($multi_reva) > 0)) {

                $count_total_revenue = ($total_reveData) - (array_sum($multi_reva));

            } else {

                $count_total_revenue = 0;
            }


            //////

            ///// Actual Revenue //////


            $count_revanyPerunitdata = $load_revanyPerunitdata;

            $driverCountData = count($getDrivercount);

            //dd($driverCountData);

            if (($count_revanyPerunitdata > '0') && ((int)$driverCountData > '0')) {
                //$revenueperUnit[] =  array_sum($load_revanyPerunit) / (int)$driverCountData;

                $revenueperUnit[] = array_sum($load_revanyPerunit);

                $revenueperUnitData = array_sum($load_revanyPerunit);

            } else {

                $revenueperUnit[] = 0;

                $revenueperUnitData = 0;

            }

            ////////


            if (array_sum($actual_milecount_total_occupancy_miles_data) > 0) {

                // $actual_miles_divide = array_sum($actual_milecount_total_occupancy_miles_data) / count(array_filter($actual_milecount_total_occupancy_miles_data));

                $actual_miles_divide = array_sum($actual_milecount_total_occupancy_miles_data);

            } else {

                $actual_miles_divide = 0;
            }


            if ((array_sum($total_occupancy_miles) > 0) && ($actual_miles_divide > 0)) {
                $final_ans_miles = $actual_miles_divide - array_sum($total_occupancy_miles);

            } else {

                $final_ans_miles = 0;
            }

            //// divide by active driver////

            if (array_sum($loadDetail_revenue_targetdata) > 0) {

                $driverdivide_revenue_target_new = @array_sum($loadDetail_revenue_targetdata);
            } else {

                $driverdivide_revenue_target_new = 0;
            }


            // //dd($driverdivide_revenue_target_new);
            //     //% of unit at goal //
            // if($driverdivide_revenue_target_new <= array_sum($load_revanyPerunit))
            // {

            //     $unit_at_goal[] = array_sum($driverdivide_revenue_target_new);

            // }else{

            //     $unit_at_goal[] = '0';
            // }

            if (array_sum($multi_reva) > 0) {

                $driverdivide_multi_reva = @array_sum($multi_reva) / count(array_filter($multi_reva));
            } else {

                $driverdivide_multi_reva = 0;
            }

            if (array_sum($total_miles) > 0) {

                $driverdivide_total_miles = @array_sum($total_miles);
            } else {

                $driverdivide_total_miles = 0;
            }


            if (array_sum($loadDetail_cpm_target) > 0) {

                //$driverDiv_loadDetail_cpm_targetdata = @array_sum($loadDetail_cpm_target) / count(array_filter($loadDetail_cpm_target));

                $driverDiv_loadDetail_cpm_targetdata = @array_sum($loadDetail_cpm_target);

                $divibyweek_cpm_targetdata = $driverDiv_loadDetail_cpm_targetdata;

            } else {

                $divibyweek_cpm_targetdata = 0;
            }

            if (array_sum($getLoadCPM) > 0) {

                //$driverDiv_getLoadCPM = @array_sum($getLoadCPM) / count(array_filter($getLoadCPM));

                $driverDiv_getLoadCPM = @array_sum($getLoadCPM);


            } else {

                $driverDiv_getLoadCPM = 0;

            }

            //// end of divide by active driver ////

            //unit at gloa start //


            if (array_sum($unit_at_goal) > 0) {

                $total_reveDatafianl = (array_sum($unit_at_goal)) / count(array_filter($unit_at_goal));

                $unit_goal_pers = 100 / count(array_filter($unit_at_goal));

                //dd(count(array_filter($unit_at_goal)));

            } else {

                $total_reveDatafianl = 0;

                $unit_goal_pers = 0;
            }


            // dd($loadDetail_revenue_target,$getLoadGrossRevenue);

            /// unit at goal end //

            if (array_sum($unitat_goal_data) > 0) {

                $mainCount = count(array_filter($unitat_goal_data));

                if ($mainCount == '1') {

                    $divideCount = count($unitat_goal_data);

                } elseif (count(array_filter($unitat_goal_data)) == count($unitat_goal_data)) {

                    $divideCount = 1;

                } else {

                    $divideCount = count(array_filter($unitat_goal_data)) - count($unitat_goal_data);
                }


                $main_unitatgoal = @array_sum($unitat_goal_data) / $divideCount;
            } else {

                $main_unitatgoal = 0;
            }


            //  /// revenue goal start //

            // $revenueData = (array_sum($loadDetail_revenue_target)) * (array_sum($getLoadOccupancy));

            // $revenue_divide = $revenueData / 100;

            // if((array_sum($getLoadGrossRevenue) > 0) && ($revenue_divide > 0))
            // {

            //      $actualreve_divide_by =  array_sum($getLoadGrossRevenue) / $revenue_divide;
            // }else{

            //     $actualreve_divide_by = 0;
            // }

            // ///////////////////

            //< $3,000.00///

            if (array_sum($three_Lower) > 0) {
                $count_three_Lower = @count(array_filter($three_Lower));

            } else {

                $count_three_Lower = 0;
            }

            ///$3000 - $4000

            ///$4000 - $5000 threeTofour

            if (array_sum($threeTofour) > 0) {
                $count_threeTofour = @count(array_filter($threeTofour));

            } else {

                $count_threeTofour = 0;
            }

            ///$5000 - $6000

            if (array_sum($fourTofive) > 0) {
                $count_fourTofive = @count(array_filter($fourTofive));

            } else {

                $count_fourTofive = 0;
            }

            if (array_sum($fiveTosix) > 0) {
                $count_fiveTosix = @count(array_filter($fiveTosix));

            } else {

                $count_fiveTosix = 0;
            }

            if (array_sum($sixToseven) > 0) {
                $count_sixToseven = @count(array_filter($sixToseven));

            } else {

                $count_sixToseven = 0;
            }

            if (array_sum($greater_then_seven) > 0) {

                $count_greater_then_seven = @count(array_filter($greater_then_seven));
            } else {

                $count_greater_then_seven = 0;
            }

            if (array_sum($dividebyDatarevenu) > 0) {

                $driverTotoccrevData = array_sum($dividebyDatarevenu) / count(array_filter($dividebyDatarevenu));

            } else {

                $driverTotoccrevData = 0;
            }

            if (array_sum($quarterly_target_milesDatacount) > 0) {

                $driverTotoccrevDatacount = array_sum($quarterly_target_milesDatacount) / count(array_filter($quarterly_target_milesDatacount));

            } else {

                $driverTotoccrevDatacount = 0;
            }

            //dd($three_Lower);fourTofive  count_fourTofive count_fiveTosix count_sixToseven

            $dataArray[] = array(
                'data_actualreve_divide_by' => @array_sum($actualreve_divide_by),
                'sum_count_total_revenue' => @$count_total_revenue,
                'actual_revenue_data' => @$count_revenueperUnit_totalTeam,
                'totalOccupancy' => @$driverdivide_multi_reva,
                'occup_target' => @$occup_target,
                'divideActual_rev' => @$divideActual_rev,
                'cpm_per_unit_countData' => @$cpm_per_unit_countData,
                'new_loadDetaildataget' => @$total_milesPer,
                'load_revanyPerunit' => @$total_reveData,
                'load_revanyActual' => @$total_reveDataActual,
                "teamId" => @$getTeamsdata->id,
                "teamName" => @$getTeamsdata->name,
                "Drivercount" => @count($getDriver),
                "Miles" => @$driverdivide_total_miles,
                "revenue" => @array_sum($total_revenue),
                "revenue_target" => @$driverdivide_revenue_target_new,
                "difference_act_obj" => @$difference_act_obj,
                "mileage_percentage" => @$loadDetail_mileageperdata,
                "centpermiles" => @$centpermiles,
                "mileagePerunit" => @array_sum($mileagesperUnit),
                "revenueperUnit" => @array_sum($getLoadGrossRevenue),
                'activedriver' => @array_sum($active_driverdata),
                'inactivedriver' => @array_sum($inactive_driverdata),
                'target_CPM' => @$divibyweek_cpm_targetdata,
                'fleet_occupancy' => @array_sum($totalfleet_occupancy),
                'cpm_per_unit' => @array_sum($cpm_per_unit),
                'occupancy_revenue' => array_sum($getLoadGrossRevenue),
                'total_occupancy_revenue' => @array_sum($total_occupancy_revenue),
                'total_occupancy_miles' => @array_sum($total_occupancy_miles),
                'final_ans_miles' => @$final_ans_miles,
                // 'actual_cpm' => @$actual_CPM,
                'actual_cpm' => @$driverDiv_getLoadCPM,
                'quarterly_revenue_target' => @array_sum($quarterly_revenue_target),
                'active_trucks_earned' => @$active_trucks_earned,
                'quarterly_occupancy' => @array_sum($occupancy_sum),
                'three_Lower' => @$count_three_Lower,
                'threeTofour' => @$count_threeTofour,
                'fourTofive' => @$count_fourTofive,
                'fiveTosix' => @$count_fiveTosix,
                'sixToseven' => @$count_sixToseven,
                'greater_then_seven' => @$count_greater_then_seven,
                'total_cpm_perunit' => @array_sum($total_cpm_perunit),
                'actual_milecount_total_occupancy_miles_data' => @$actual_miles_divide,
                'fleetOccupancyData' => @array_sum($fleetOccupancyData),
                'total_Of_revancy_goal' => @array_sum($total_Of_revancy_goal),
                'tot_units_art' => @array_sum($tot),
                'sum_total_multiply' => array_sum($total_multiply),
                'fleetOccupancyData_tot' => array_sum($fleetOccupancyDataget),
                'unitatgoaldata' => $unit_goal_pers,
                'quarterly_occupancy_goal' => array_sum($divide_quarterly_occupancy_totdata),
                'unitat_goal_data' => $main_unitatgoal,
                'loadDetail_revenue_target' => $loadDetail_revenue_target,
                'getLoadOccupancy' => $getLoadOccupancy,
                'actualreve_divide_by' => $actualreve_divide_by,
                'occupancyRevData' => $driverTotoccrevData,
                'driverTotoccrevDatacount' => $driverTotoccrevDatacount,

            );
        }

        /// total

        //dd($dataArray);
        $count_sum_count_total_revenue = array();
        $countcpm_per_unit_countData = array();
        $counttotalOccupancy = array();
        $countdriver = array();
        $countmiles = array();
        $countrevenue = array();
        $countrevenue_target = array();
        $countactive_driver = array();
        $countinactive_driver = array();
        $count_cpm_driver = array();
        $count_fleet_occupancy = array();
        $count_mileagePerunit = array();
        $count_occupancy_revenue = array();
        $count_total_occupancy_revenue = array();
        $count_cpm_per_unit = array();
        $count_total_occupancy_miles = array();
        $sum_final_ans_miles = array();
        $sum_actual_cpm = array();
        $sum_quarterly_revenue_target = array();
        $sum_active_trucks_earned = array();
        $sum_quarterly_occupancy = array();
        $sum_three_Lower = array();
        $sum_threeTofour = array();
        $sum_fourTofive = array();
        $sum_fiveTosix = array();
        $sum_sixToseven = array();
        $count_revenueperUnit = array();
        $sum_greater_then_seven = array();
        $count_actual_miles_data = array();
        $count_fleetOccupancyData = array();
        $count_total_Of_revancy_goal = array();
        $gettargetrevany = array();
        $counttot_units_art = array();
        $count_total_multiply = array();
        $count_load_revanyPerunit = array();
        $count_load_revanyActual = array();
        $count_new_loadDetaildataget = array();
        $count_fleetOccupancyData_tot = array();
        $count_unitatgoal = array();
        $count_quarterly_occupancy_goal = array();
        $count_unitat_goal_data = array();
        $count_actualreve_divide_by = array();
        $count_occupancyRevData = array();
        $count_data_actualreve_divide_by = array();
        $count_driverTotoccrevDatacount = array();
        foreach ($dataArray as $data) {
            $counttotalOccupancy[] = $data['totalOccupancy'];

            $countcpm_per_unit_countData[] = $data['cpm_per_unit_countData'];

            $count_new_loadDetaildataget[] = $data['new_loadDetaildataget'];
            //// unit of goal
            $count_total_multiply[] = @$data['sum_total_multiply'];

            $counttot_units_art[] = @$data['tot_units_art'];
            ////////////////////
            $countdriver[] = @$data['Drivercount'];

            $count_fleetOccupancyData[] = @$data['fleetOccupancyData'];

            $countmiles[] = @$data['Miles'];

            //$countmiles[] = @$data['actual_milecount_total_occupancy_miles_data'];

            $countrevenue[] = @$data['revenue'];

            $countrevenue_target[] = @$data['revenue_target'];

            $countactive_driver[] = @$data['activedriver'];

            $countinactive_driver[] = @$data['inactivedriver'];

            $count_cpm_driver[] = @$data['target_CPM'];

            $count_fleet_occupancy[] = @$data['fleet_occupancy'];

            $count_revenueperUnit[] = @$data['revenueperUnit'];

            $count_mileagePerunit[] = @$data['mileagePerunit'];

            $count_occupancy_revenue[] = @$data['occupancy_revenue'];

            $count_cpm_per_unit[] = @$data['total_cpm_perunit'];

            $count_total_occupancy_revenue[] = @$data['total_occupancy_revenue'];

            $count_total_occupancy_miles[] = @$data['total_occupancy_miles'];

            $sum_final_ans_miles[] = @$data['final_ans_miles'];

            $sum_actual_cpm[] = @$data['actual_cpm'];

            $sum_quarterly_revenue_target[] = @$data['quarterly_revenue_target'];

            $sum_active_trucks_earned[] = @$data['active_trucks_earned'];

            $sum_quarterly_occupancy[] = @$data['quarterly_occupancy'];

            $sum_three_Lower[] = @$data['three_Lower'];

            $sum_threeTofour[] = @$data['threeTofour'];

            $sum_fourTofive[] = @$data['fourTofive'];

            $sum_fiveTosix[] = @$data['fiveTosix'];

            $sum_sixToseven[] = @$data['sixToseven'];

            $sum_greater_then_seven[] = @$data['greater_then_seven'];

            $count_actual_miles_data[] = @$data['actual_milecount_total_occupancy_miles_data'];

            $count_total_Of_revancy_goal[] = @$data['total_Of_revancy_goal'];

            $count_load_revanyPerunit[] = @$data['load_revanyPerunit'];

            $count_load_revanyActual[] = @$data['load_revanyActual'];

            $count_sum_count_total_revenue[] = @$data['sum_count_total_revenue'];

            $count_fleetOccupancyData_tot[] = @$data['fleetOccupancyData_tot'];

            $count_unitatgoal[] = $data['unitatgoaldata'];

            $count_quarterly_occupancy_goal[] = $data['quarterly_occupancy_goal'];

            $count_unitat_goal_data[] = $data['unitat_goal_data'];

            $count_actualreve_divide_by[] = $data['actualreve_divide_by'];

            $count_occupancyRevData[] = $data['occupancyRevData'];

            $count_data_actualreve_divide_by[] = $data['data_actualreve_divide_by'];

            $count_driverTotoccrevDatacount[] = $data['driverTotoccrevDatacount'];

        }

        if ((array_sum($count_fleet_occupancy) > 0) && (count(@$getDriver) > 0)) {

            $divide_fleet_occupancy = array_sum($count_fleet_occupancy) / count(@$getDriver);

        } else {

            $divide_fleet_occupancy = 0;
        }

        // dd($getDriver);

        if ((array_sum($count_load_revanyPerunit) > 0)) {

            $divide_load_revanyPerunit = array_sum($count_load_revanyPerunit);

        } else {

            $divide_load_revanyPerunit = 0;
        }


        if (array_sum($count_fleetOccupancyData_tot) > 0) {

            $driverTot = array_sum($count_fleetOccupancyData_tot) / count(array_filter($count_fleetOccupancyData_tot));

        } else {

            $driverTot = 0;
        }


        $tot_counttotalOccupancy = @array_sum($counttotalOccupancy);
        $tot_cpm_per_unit_countData = @array_sum($countcpm_per_unit_countData);
        $tot_count_new_loadDetaildataget = @array_sum($count_new_loadDetaildataget);
        $tot_counttot_units_art = @array_sum($counttot_units_art);
        $totalMiles = @array_sum($count_actual_miles_data);
        $totalDriver = @array_sum($countdriver);
        $totalRevenue = @array_sum($countrevenue);
        $totalrevenue_target = @array_sum($countrevenue_target);
        $totalactivedriver = @array_sum($countactive_driver);
        $totalinactivedriver = @array_sum($countinactive_driver);
        $totalCPM_driver = @array_sum($count_cpm_driver);
        // $totalfleet_occupancy = @$divide_fleet_occupancy;
        $totalfleet_occupancy = @array_sum($fleet_occupancy);
        $total_count_revenueperUnit = @array_sum($count_revenueperUnit);
        $total_count_mileagePerunit = @array_sum($count_mileagePerunit);
        $total_count_occupancy_revenue = @array_sum($count_occupancy_revenue);
        $sum_total_occupancy_revenue = @array_sum($count_total_occupancy_revenue);
        $total_count_cpm_per_unit = @array_sum($count_cpm_per_unit);
        $all_count_total_occupancy_miles = @array_sum($count_total_occupancy_miles);
        $all_count_sum_final_ans_miles = @array_sum($sum_final_ans_miles);
        $all_count_sum_actual_cpm = @array_sum($sum_actual_cpm);
        $all_quarterly_revenue_target = @array_sum($sum_quarterly_revenue_target);
        $all_sum_active_trucks_earned = @array_sum($sum_active_trucks_earned);
        $all_sum_quarterly_occupancy = @array_sum($sum_quarterly_occupancy);
        $all_sum_3000Lower = @array_sum($sum_three_Lower);
        $all_3000to4000 = @array_sum($sum_threeTofour);
        $all_4000to5000 = @array_sum($sum_fourTofive);
        $all_5000to6000 = @array_sum($sum_fiveTosix);
        $all_6000to7000 = @array_sum($sum_sixToseven);
        $all_greater_then_seven = @array_sum($sum_greater_then_seven);
        $all_count_fleetOccupancyData = @array_sum($count_fleetOccupancyData);
        $count_total_Of_revancy_goal = @array_sum($count_total_Of_revancy_goal);

        $sum_gettargetrevany = @array_sum($gettargetrevany);
        $sum_count_total_multiply = @array_sum($count_total_multiply);

        $sum_team_count_load_revanyPerunit = @array_sum($count_load_revanyPerunit);
        $sum_count_load_revanyActual = @array_sum($count_load_revanyActual);
        $sum_count_sum_count_total_revenue = @array_sum($count_sum_count_total_revenue);
        $sum_driverTotocc = @$driverTot;
        $sum_count_unitatgoal = @array_sum($count_unitatgoal);
        $sum_count_quarterly_occupancy_goal = array_sum($count_quarterly_occupancy_goal);
        $count_count_unitat_goal_data = @array_sum($count_unitat_goal_data);
        $sum_count_actualreve_divide_by = @array_sum($count_actualreve_divide_by);
        $sum_count_occupancyRevData = @array_sum($count_occupancyRevData);
        $sum_count_data_actualreve_divide_by = @array_sum($count_data_actualreve_divide_by);
        $sum_count_driverTotoccrevDatacount = @array_sum($count_driverTotoccrevDatacount);

        //dd($sum_count_actualreve_divide_by);

        $current_startdate = date_create_from_format("Y-m-d", $startDate)->format("m-d-Y");

        $passcurrent_startdate = Carbon::now()->startOfWeek(@$start_date)->format('Y-m-d');

        $passcurrent_enddate = Carbon::now()->endOfWeek(@$end_date)->format('Y-m-d');

        $current_enddate = date_create_from_format("Y-m-d", $endDate)->format("m-d-Y");

        //dd($current_startdate,$current_enddate);

        return view('companyAdmin.revenue-tracker.index', compact('dataArray', 'totalDriver', 'totalMiles', 'totalRevenue', 'totalrevenue_target', 'totalactivedriver', 'totalinactivedriver', 'totalCPM_driver', 'totalfleet_occupancy', 'total_count_revenueperUnit', 'total_count_revenueperUnit', 'total_count_mileagePerunit', 'total_count_cpm_per_unit', 'total_count_occupancy_revenue', 'sum_total_occupancy_revenue', 'all_count_total_occupancy_miles', 'all_count_sum_final_ans_miles', 'all_count_sum_actual_cpm', 'all_quarterly_revenue_target', 'all_sum_active_trucks_earned', 'all_sum_quarterly_occupancy', 'all_sum_3000Lower', 'all_3000to4000', 'all_4000to5000', 'all_5000to6000', 'all_greater_then_seven', 'all_6000to7000', 'all_count_fleetOccupancyData', 'count_total_Of_revancy_goal', 'countmiles', 'sum_gettargetrevany', 'tot_counttot_units_art', 'sum_count_total_multiply', 'divide_load_revanyPerunit', 'sum_team_count_load_revanyPerunit', 'tot_count_new_loadDetaildataget', 'tot_cpm_per_unit_countData', 'tot_counttotalOccupancy', 'sum_count_sum_count_total_revenue', 'sum_driverTotocc', 'sum_count_unitatgoal', 'sum_count_quarterly_occupancy_goal', 'main_unitatgoal', 'count_count_unitat_goal_data', 'sum_count_actualreve_divide_by', 'sum_count_load_revanyActual', 'sum_count_occupancyRevData', 'sum_count_data_actualreve_divide_by', 'current_startdate', 'current_enddate', 'passcurrent_startdate', 'passcurrent_enddate', 'getDriver', 'sum_count_driverTotoccrevDatacount'));
    }

}






