@extends($companyAdminTheme)

@section('title')
    @if(isset($truck))
        Truck Edit
    @else
        Truck Create
    @endif
@endsection

@section('style')
    <link rel="stylesheet" href="{{ asset('theme/css/datepicker3.min.css') }}">
    <link rel="stylesheet" href="{{ asset('theme/css/select2.min.css') }}">
    <style type="text/css">
        .modal-xl {
            max-width: 1720px;
        }
        .addMoreBtn i.fa-plus-square {
            padding-top: 2px;
            margin: 2px 5px;
            cursor: pointer;
            font-size: 32px;
            color: #305F9C;
        }
        .removeMoreBtn i.fa-minus-square {
            padding-top: 2px;
            margin: 2px 5px;
            cursor: pointer;
            font-size: 32px;
            color: #dc3545;
        }
        .removeMoreProfileRows i.fa-minus-square {
            padding-top: 2px;
            margin: 2px 5px;
            cursor: pointer;
            font-size: 32px;
            color: #dc3545;
        }
        .removeMoreAdditionalRows i.fa-minus-square {
            padding-top: 2px;
            margin: 2px 5px;
            cursor: pointer;
            font-size: 32px;
            color: #dc3545;
        }
        .insuranceFile i.fa-picture-o {
            padding-top: 7px;
            margin: 2px 5px;
            cursor: pointer;
            font-size: 26px;
            color: #00000082;
        }
        .insuranceFile i.fa-picture-o.uploaded {
            padding-top: 7px;
            margin: 2px 5px;
            cursor: pointer;
            font-size: 26px;
            color: #305F9C;
        }
        ::-webkit-scrollbar-thumb {
            background: #305F9C;
            border-radius: 10px;
        }

        .form-group img {
            width: 15px;
        }
        .form-group h6{
            font: normal normal 600 14px/17px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;
        }
        .preViewDiv {
            pointer-events: none;
            background-color: #e9ecef;
        }

        .pre-append input[type=text].form-control {
            border-radius: 0px 10px 10px 0px !important;
        }
        .post-append input[type=text].form-control {
            border-radius: 10px 0px 0px 10px !important;
        }
        .input-group .input-group-prepend {
            background: transparent;
            border-radius: 10px 0px 0px 10px;
            color: #342828;
            font-family: 'Inter', sans-serif;
        }
        .input-group .input-group-prepend .input-group-text {
            color: #616376;
            font-size: 16px;
            font-weight: 600;
            border: 1px solid #D8D8DD;
            background: #fff;
            font-family: 'Inter', sans-serif;
            min-width: 55px;
            justify-content: center;
        }
        .input-group .input-group-prepend.readonly-input .input-group-text{
            background: #E9ECEF;
            border-radius: 10px 0px 0px 10px;
            color: #342828;
            font-family: 'Inter', sans-serif;
        }

        .input-group .input-group-append {
            background: transparent;
            border-radius: 10px 0px 0px 10px;
            color: #342828;
            font-family: 'Inter', sans-serif;
        }
        .input-group .input-group-append .input-group-text {
            color: #616376;
            font-size: 16px;
            font-weight: 600;
            border: 1px solid #D8D8DD;
            background: #fff;
            font-family: 'Inter', sans-serif;
            min-width: 55px;
            justify-content: center;
        }

        .form-check {
            padding-left: inherit;
        }
        .form-check input {
            opacity: 0;
        }
        .form-check label {
            font: normal normal 600 14px/17px Inter, Sans-Serif;
            color: #342828;
        }
        .form-check label::before {
            content: '';
            position: absolute;
            width: 16px;
            height: 16px;
            left: 8px;
            border: 2px solid #305F9C;
            border-radius: 4px;
            top: 0px;
        }
        .form-check label::after {
            content: "\f00c";
            font: normal normal normal 14px/1 FontAwesome;
            color: white;
            left: 10px;
            position: absolute;
            top: 1.5px;
            font-size: 10px;
            opacity: 0;
        }
        .form-check-input {
            position: inherit;
            margin-top: inherit;
            margin-left: inherit;
        }
        .form-check input[type="checkbox"]:checked~label::before {
            background-color: #305F9C;
        }
        .form-check input[type="checkbox"]:checked~label::after {
            opacity: 1;
        }

        .truck-create #tabGeneralInfo .gi-custom-grid {
            max-width: 20%;
        }
        .truck-create #tabOwnership .own-custom-grid {
            max-width: 20%;
        }
        .truck-create #tabInsurance .ins-custom-grid {
            max-width: 19.25%;
        }
        .truck-create #tabCompliance .comp-custom-grid {
            max-width: 20%;
        }
        .truck-create #tabPmMaintenanceService .pm-service-custom-grid {
            max-width: 19.25%;
        }

        .truck-create .breadcrumb li {
            text-decoration: none !important;
        }
        .truck-create .breadcrumb li a {
            color: #305F9C !important;
        }

        .truck-create .tabList {
            border: 0;
            padding: 0px 0px 0px;
        }
        .truck-create .tabList a {
            font: normal normal bold 14px Inter, Sans-Serif;
            color: #305F9C;
            padding: 1rem 1rem;
            position: relative;
            height: 45px;
        }
        .truck-create .tabList a.active {
            font: normal normal bold 14px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #FFFFFF !important;
            background: transparent linear-gradient(180deg, #417CCB 0%, #294E7C 100%) 0% 0% no-repeat padding-box;
        }
        .truck-create .tabList a.active::before {
            content: '';
            background-color: inherit;
            height: 2px;
            width: 100%;
            position: absolute;
            left: 0;
            top: inherit;
            bottom: 0;
        }
        .truck-create .tabList .nav-link.disabled {
            font: normal normal bold 14px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;
        }
        .truck-create .tabList .nav-item {
            margin-right: 3px;
            border: 1px solid #305F9C;
            border-radius: 10px 10px 0px 0px;
            border-bottom: 1px solid #D8D8D9;
        }

        .truck-create .tab-content {
            background: #FFFFFF 0% 0% no-repeat padding-box;
            border: 1px solid #D8D8D9;
            border-radius: 0px 10px 10px 10px;
        }
        .truck-create .tab-content ul li {
            padding: 0px 0px;
        }
        .truck-create .btn-blue {
            background: #305F9C 0% 0% no-repeat padding-box;
            border: 1px solid #305F9C;
            border-radius: 10px !important;
            color: #F1F3F6;
            min-width: 110px;
        }
        .truck-create .btn-blue:hover {
            border: 1px solid #305F9C;
            background-color: #F1F3F6;
            color: #305F9C;
        }
        .truck-create .btn-blueBr {
            font-size: 14px;
            font-weight: bold;
            height: auto;
            line-height: 18px;
            text-align: center;
            padding: 12.5px 0.75rem;
            transition: all 0.3s linear;
            border-radius: 10px !important;
            min-width: 110px;
        }
        .truck-create .btn-save {
            min-width: 121px
        }
        .truck-create hr {
            border-color: #D8D8D9 !important;
        }

        .truck-create .insideTabList {
            border: 0;
            padding: 0px 0px 0px;
        }
        .truck-create .insideTabList a {
            font: normal normal bold 14px Inter, Sans-Serif;
            color: #7C8C9D;
            padding: 1rem 0rem;
            position: relative;
            height: 45px;
        }
        .truck-create .insideTabList a.active {
            color: #305F9C !important;
        }
        .truck-create .insideTabList a.active::before {
            content: '';
            background-color: #305F9C;
            height: 2px;
            width: 100%;
            position: absolute;
            left: 0;
            top: inherit;
            bottom: 0;
        }
        .truck-create .insideTabList .nav-item {
            padding: 0px 6px;
        }

        .truck-create .insideTabContent {
            background: #FFFFFF 0% 0% no-repeat padding-box;
            border: 0;
        }
        .truck-create .insideTabContent ul li {
            padding: 0px 0px;
        }

            /* Select 2 Single */
        .truck-create .select2-container {
            width: 100% !important;
        }
        .truck-create .select2-container .select2-selection--single {
            height: 43px !important;
            border-radius: 10px !important;
            border: 1px solid #D8D8DD !important;
        }
        .truck-create .select2-container--default .select2-selection--single {
            border: 1px solid #C5CEE0;
        }
        .truck-create .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 40px !important;
        }
        .truck-create .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 40px;
            width: 35px;
        }
        .truck-create .select2-container .select2-selection--single .select2-selection__rendered {
            padding-left: 12px;
            font-weight: 600;
            color: #000000e6 !important;
        }
        .truck-create .select2-container .select2-search__field::placeholder {
            font-size: 14px;
            font-weight: 500;
        }
        /* Select 2 Single */

        /* Select 2 Multiple */
        .truck-create .select2-container .select2-selection--multiple {
            height: 43px !important;
            border-radius: 10px !important;
            border: 1px solid #D8D8DD !important;
        }
        .truck-create .select2-container--default .select2-selection--multiple {
            border: 1px solid #C5CEE0;
        }
        .truck-create .select2-container--default .select2-selection--multiple .select2-selection__rendered {
            line-height: 10px !important;
        }
        .truck-create .select2-container--default .select2-selection--multiple .select2-selection__arrow {
            height: 40px;
            width: 35px;
        }
        .truck-create .select2-container .select2-selection--multiple .select2-selection__rendered {
            font-weight: 400;
            color: #616376 !important;
        }
        .truck-create .select2-container--default .select2-selection--multiple .select2-selection__rendered li {
            padding: 5px 5px;
        }
        .truck-create .multiple-select .select2-results__option {
            padding-right: 20px;
            vertical-align: middle;
        }
        .truck-create .multiple-select .select2-results__option:before {
            content: "";
            display: inline-block;
            position: relative;
            height: 16px;
            width: 16px;
            border: 2px solid #305F9C;
            border-radius: 4px;
            background-color: #fff;
            margin-right: 8px;
            vertical-align: middle;
        }
        .truck-create .multiple-select .select2-results__option[aria-selected=true]:before {
            font-family: fontAwesome;
            content: "\f00c";
            color: #fff;
            background-color: #305F9C;
            border: 0;
            display: inline-block;
            padding-left: 2px;
        }
        .truck-create .multiple-select .select2-container--default .select2-results__option[aria-selected=true] {
            background-color: #fff;
        }
        .truck-create .multiple-select .select2-container--default .select2-results__option--highlighted[aria-selected] {
            color: #616376;
        }
        .truck-create .multiple-select .select2-container--default .select2-selection--multiple {
            margin-bottom: 10px;
        }
        .truck-create .multiple-select .select2-container--default.select2-container--open.select2-container--below .select2-selection--multiple {
            border-radius: 4px;
        }
        .truck-create .multiple-select .select2-container--default.select2-container--focus .select2-selection--multiple {
            border-color: #f77750;
            border-width: 2px;
        }
        .truck-create .multiple-select .select2-container--default .select2-selection--multiple {
            border-width: 2px;
        }
        .truck-create .multiple-select .select2-container--open .select2-dropdown--below {
            border-radius: 6px;
            box-shadow: 0 0 10px rgba(0,0,0,0.5);
        }
        .truck-create .multiple-select .select2-selection .select2-selection--multiple:after {
            content: 'hhghgh';
        }
        .truck-create .multiple-select .select-icon .select2-selection__placeholder .badge {
            display: none;
        }
        .truck-create .multiple-select .select-icon .placeholder {
            display: none;
        }
        .truck-create .multiple-select .select-icon .select2-results__option:before,
        .truck-create .multiple-select .select-icon .select2-results__option[aria-selected=true]:before {
            display: none !important;
        }
        .truck-create .multiple-select .select-icon  .select2-search--dropdown {
            display: none;
        }
        .truck-create .multiple-select ul li {
            padding: 5px 8px !important;
        }
        .truck-create .select2-selection--multiple {
            overflow: hidden !important;
            height: auto !important;
        }
        .truck-create .select2-container .select2-selection--multiple {
            width: 100%;
            display: table;
        }
        .truck-create .select2-container--default .select2-selection--multiple .select2-selection__choice__remove {
            color: #fff;
        }
        .truck-create .select2-container--default .select2-selection--multiple .select2-selection__choice {
            background-color: #305F9C;
            border: 1px solid #305F9C;
            color: #fff;
        }
        /* Select 2 Multiple */

        .truck-create .form-group label {
            font: normal normal 600 14px/17px Inter, Sans-Serif;
            color: #616376 !important;
        }
        .truck-create .form-group .section-heading {
            font: normal normal 600 16px/20px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;
        }
        .truck-create .form-group .custom-top-label {
            font: normal normal 600 14px/17px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C !important;
        }
        .truck-create .form-group .removeMore{
            color: red !important;
        }
        .truck-create .form-group .fa-info-circle {
            font-size: 16px;
        }
        .truck-create input[type=text].form-control {
            font-size: 14px;
            font-weight: bolder;
            border: 1px solid #D8D8DD;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding: 0px 12px;
        }
        .truck-create input::placeholder {
            font-weight: 200;
            color: #616376 !important;
        }
        .truck-create textarea::placeholder {
            font-weight: 200;
            color: #616376 !important;
        }
        .truck-create select.form-control {
            font-size: 14px;
            border: 1px solid #C5CEE0;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding-left: 12px;
            font-weight: 400;
            color: #616376;
        }

        .truck-create #tabOwnership .mark-as-sold {
            text-decoration: underline;
            font: normal normal 600 14px/17px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;
        }
        .truck-create #tabOwnership .fileUpload i.fa-picture-o {
            padding-top: 20px;
            margin: 2px 6px;
            cursor: pointer;
            font-size: 26px;
            color: #00000082;
        }
        .truck-create #tabOwnership .fileUpload i.fa-picture-o.uploaded {
            padding-top: 20px;
            margin: 2px 6px;
            cursor: pointer;
            font-size: 26px;
            color: #305F9C;
        }

        .truck-create #tabInsurance .ins-prev-custom-grid {
            max-width: 18.60%;
        }

        .truck-create #tabPmMaintenanceService .pm-service-prev-custom-grid {
            max-width: 15.85%;
        }

        .truck-create #tabCompliance .fileUpload i.fa-picture-o {
            padding-top: 20px;
            margin: 2px 6px;
            cursor: pointer;
            font-size: 26px;
            color: #00000082;
        }
        .truck-create #tabCompliance .fileUpload i.fa-picture-o.uploaded {
            padding-top: 20px;
            margin: 2px 6px;
            cursor: pointer;
            font-size: 26px;
            color: #305F9C;
        }

        .truck-create #tabIntegrations .table td, .ngd-new .table tbody tr:first-child td {
            border-bottom: inherit !important;
        }
        .truck-create #tabIntegrations table .form-group img {
            position: inherit;
            right: inherit;
            bottom: inherit;
            width: inherit;
        }
        .truck-create #tabIntegrations table .headingRow {
            border-bottom: 1px solid #D8D8D9;
        }
        .truck-create #tabIntegrations table tr th {
            font: normal normal bold 18px/21px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #616376;
        }
        .truck-create #tabIntegrations table .form-group .provider-heading {
            font: normal normal 600 16px/20px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #322727;
        }
        .truck-create #tabIntegrations table .status-connected {
            font: normal normal bold 18px/21px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #616376;
        }
        .truck-create #tabIntegrations .status-not-connected {
            font: normal normal bold 18px/21px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #dc3545;
        }
        .truck-create #tabIntegrations table .view-details {
            text-decoration: underline;
            font: normal normal 600 18px/21px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;
        }

        .truck-create #tabStateMap .state-map-chart-custom-grid {
            max-width: 78%;
        }
        .truck-create #tabStateMap .state-map-chkbox-custom-grid {
            max-width: 22%;
        }
        .truck-create #tabStateMap .state-map-base-box {
            border: 1px solid #CCCCCC;
            border-radius: 10px;
            overflow-y: auto;
            overflow-x: hidden;
            max-height: 808px;
        }
        .truck-create #tabStateMap .state-map-base-box::-webkit-scrollbar{
            width: 5px;
        }
        .truck-create #tabStateMap .state-map-base-box .box-header{
            background: transparent linear-gradient(180deg, #417CCB 0%, #294E7C 100%) 0% 0% no-repeat padding-box;
            color: #fff;
            position: relative;
            border-radius: 10px 10px 0 0;
            height: 53px;
            margin-right: -5px;
        }
        .truck-create #tabStateMap .state-map-base-box .box-header h3 {
            font-size: 17px;
            line-height: 19px;
            color: #FFFFFF;
            font-weight: bold;
            white-space: nowrap;
            text-overflow: ellipsis;
            margin-top: 0;
            margin-bottom: 0;
            margin-left: 10px;
            padding: 18px 0px 0px 25px;
        }
        .truck-create #tabStateMap .state-map-base-box .tr-head {
            font-size: 15px;
            line-height: 19px;
            color: #FFFFFF;
            font-weight: bold;
            white-space: nowrap;
            text-overflow: ellipsis;
            margin-top: 0;
            margin-bottom: 0;
            margin-left: 10px;
            padding: 18px 0px 0px 10px;
        }
        .truck-create #tabStateMap .state-map-base-box table {
            width: 100%;
            border-collapse: collapse;
            margin-top: 0 !important;
            overflow-x: auto;
        }
        .truck-create #tabStateMap .state-map-base-box table tbody tr td .form-check {
            margin-right: 10px;
        }
        .truck-create #tabStateMap .state-map-base-box .table .tr-head {
            background-color: #DCE4EE;
            color: white;
        }
        .truck-create #tabStateMap .state-map-base-box .table .tr-head td {
            font-size: 14px;
            line-height: 19px;
            font-weight: 800;
            padding: 8px 10px !important;
            width: 100%;
            position: relative;
            min-width: 75px;
            color: #342828;
        }
        .truck-create #tabStateMap .state-map-base-box .table tbody tr:not(.tr-head) td {
            width: 100%;
            padding: 8px 30px !important;
            border-bottom: 1px solid #CCCCCC !important;
            font-size: 12px;
            line-height: 17px;
            font-weight: bold;
            min-width: 75px;
        }
        .truck-create #tabStateMap .state-map-base-box .form-check label::before {
            top: 2px;
        }
        .truck-create #tabStateMap .state-map-base-box .form-check label::after {
            top: 3.5px;
        }
        .truck-create #tabStateMap .state-map-base-box .form-check-label, .state-map-block {
            cursor: pointer;
        }
        .truck-create #tabStateMap .state-map-base-box .state-map-block {
            color: #FF1010;
        }
        .truck-create #tabStateMap .icon-preferred i {
            font-size: 14px;
            color: #305F9C;
        }
        .truck-create #tabStateMap .icon-Open i {
            font-size: 14px;
            color: #EAEAEA;
        }
        .truck-create #tabStateMap .icon-Block i {
            font-size: 14px;
            color: #FF1010;
        }
        .truck-create #tabStateMap .icon-preferred b {
            font-size: 14px;
            color: #322727;
        }
        .truck-create #tabStateMap .icon-Open b {
            font-size: 14px;
            color: #322727;
        }
        .truck-create #tabStateMap .icon-Block b {
            font-size: 14px;
            color: #322727;
        }
        .truck-create #tabStateMap .map-legend {
            position: absolute;
            bottom: 0;
            right: 0;
        }
        .truck-create #tabStateMap .form-check {
            padding-left: inherit;
        }
        .truck-create #tabStateMap .form-check input {
            opacity: 0;
        }
        .truck-create #tabStateMap .form-check label::before {
            content: '';
            position: absolute;
            width: 16px;
            height: 16px;
            left: 5px;
            border: 2px solid #305F9C;
            border-radius: 4px;
            top: -1px;
        }
        .truck-create #tabStateMap .form-check label::after {
            content: "\f00c";
            font: normal normal normal 14px/1 FontAwesome;
            color: white;
            left: 8px;
            position: absolute;
            top: 1.5px;
            font-size: 10px;
            opacity: 0;
        }
        .truck-create #tabStateMap .form-check-input {
            position: inherit;
            margin-top: inherit;
            margin-left: inherit;
        }
        .truck-create #tabStateMap .form-check input[type="checkbox"]:checked~label::before {
            background-color: #305F9C;
        }
        .truck-create #tabStateMap .form-check input[type="checkbox"]:checked~label::after {
            opacity: 1;
        }

        #vinLookupModal .select2-container {
            width: 100% !important;
        }
        #vinLookupModal .select2-container .select2-selection--single {
            height: 43px !important;
            border-radius: 10px !important;
            border: 1px solid #D8D8DD !important;
        }
        #vinLookupModal .select2-container--default .select2-selection--single {
            border: 1px solid #C5CEE0;
        }
        #vinLookupModal .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 40px !important;
        }
        #vinLookupModal .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 40px;
            width: 35px;
        }
        #vinLookupModal .select2-container .select2-selection--single .select2-selection__rendered {
            padding-left: 12px;
            font-weight: 600;
            color: #000000e6 !important;
        }
        #vinLookupModal .select2-container .select2-search__field::placeholder {
            font-size: 14px;
            font-weight: 500;
        }
        #vinLookupModal #vinLookupDetails {
            border: 1px solid #D8D8DD;
            border-radius: 10px;
            height: 284px;
        }
        #vinLookupModal input[type=text].form-control {
            font-size: 14px;
            font-weight: bolder;
            border: 1px solid #D8D8DD;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding: 0px 12px;
            height: 43px;
        }
        #vinLookupModal input::placeholder {
            font-weight: 200;
            color: #616376 !important;
        }
        #vinLookupModal textarea::placeholder {
            font-weight: 200;
            color: #616376 !important;
        }
        #vinLookupModal select.form-control {
            font-size: 14px;
            border: 1px solid #C5CEE0;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding-left: 12px;
            font-weight: 400;
            color: #616376;
        }

        #insuranceProfileModal .ins-modal-custom-grid {
            max-width: 18.75%;
        }
        #insuranceProfileModal .select2-container {
            width: 100% !important;
        }
        #insuranceProfileModal .select2-container .select2-selection--single {
            height: 43px !important;
            border-radius: 10px !important;
            border: 1px solid #D8D8DD !important;
        }
        #insuranceProfileModal .select2-container--default .select2-selection--single {
            border: 1px solid #C5CEE0;
        }
        #insuranceProfileModal .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 40px !important;
        }
        #insuranceProfileModal .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 40px;
            width: 35px;
        }
        #insuranceProfileModal .select2-container .select2-selection--single .select2-selection__rendered {
            padding-left: 12px;
            font-weight: 600;
            color: #000000e6 !important;
        }
        #insuranceProfileModal .select2-container .select2-search__field::placeholder {
            font-size: 14px;
            font-weight: 500;
        }
        #insuranceProfileModal input[type=text].form-control {
            font-size: 14px;
            font-weight: bolder;
            border: 1px solid #D8D8DD;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding: 0px 12px;
            height: 43px;
        }
        #insuranceProfileModal input::placeholder {
            font-weight: 200;
            color: #616376 !important;
        }
        #insuranceProfileModal select.form-control {
            font-size: 14px;
            border: 1px solid #C5CEE0;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding-left: 12px;
            font-weight: 400;
            color: #616376;
        }

        #addInsuranceLineModal .select2-container {
            width: 100% !important;
        }
        #addInsuranceLineModal .select2-container .select2-selection--single {
            height: 43px !important;
            border-radius: 10px !important;
            border: 1px solid #D8D8DD !important;
        }
        #addInsuranceLineModal .select2-container--default .select2-selection--single {
            border: 1px solid #C5CEE0;
        }
        #addInsuranceLineModal .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 40px !important;
        }
        #addInsuranceLineModal .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 40px;
            width: 35px;
        }
        #addInsuranceLineModal .select2-container .select2-selection--single .select2-selection__rendered {
            padding-left: 12px;
            font-weight: 600;
            color: #000000e6 !important;
        }
        #addInsuranceLineModal .select2-container .select2-search__field::placeholder {
            font-size: 14px;
            font-weight: 500;
        }

        #pmServiceProfileModal .pm-service-custom-grid {
            max-width: 16.20%;
        }
        #pmServiceProfileModal .select2-container {
            width: 100% !important;
        }
        #pmServiceProfileModal .select2-container .select2-selection--single {
            height: 43px !important;
            border-radius: 10px !important;
            border: 1px solid #D8D8DD !important;
        }
        #pmServiceProfileModal .select2-container--default .select2-selection--single {
            border: 1px solid #C5CEE0;
        }
        #pmServiceProfileModal .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 40px !important;
        }
        #pmServiceProfileModal .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 40px;
            width: 35px;
        }
        #pmServiceProfileModal .select2-container .select2-selection--single .select2-selection__rendered {
            padding-left: 12px;
            font-weight: 600;
            color: #000000e6 !important;
        }
        #pmServiceProfileModal .select2-container .select2-search__field::placeholder {
            font-size: 14px;
            font-weight: 500;
        }
        #pmServiceProfileModal input[type=text].form-control {
            font-size: 14px;
            font-weight: bolder;
            border: 1px solid #D8D8DD;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding: 0px 12px;
            height: 43px;
        }
        #pmServiceProfileModal input::placeholder {
            font-weight: 200;
            color: #616376 !important;
        }
        #pmServiceProfileModal select.form-control {
            font-size: 14px;
            border: 1px solid #C5CEE0;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding-left: 12px;
            font-weight: 400;
            color: #616376;
        }

        #warranty-pm-service-form .warranty-pm-service-custom-grid,
        #warrantyPmServiceModal .warranty-pm-service-custom-grid {
            max-width: 15.85%;
        }
        #warrantyPmServiceModal .select2-container {
            width: 100% !important;
        }
        #warrantyPmServiceModal .select2-container .select2-selection--single {
            height: 43px !important;
            border-radius: 10px !important;
            border: 1px solid #D8D8DD !important;
        }
        #warrantyPmServiceModal .select2-container--default .select2-selection--single {
            border: 1px solid #C5CEE0;
        }
        #warrantyPmServiceModal .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 40px !important;
        }
        #warrantyPmServiceModal .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 40px;
            width: 35px;
        }
        #warrantyPmServiceModal .select2-container .select2-selection--single .select2-selection__rendered {
            padding-left: 12px;
            font-weight: 600;
            color: #000000e6 !important;
        }
        #warrantyPmServiceModal .select2-container .select2-search__field::placeholder {
            font-size: 14px;
            font-weight: 500;
        }
        #warrantyPmServiceModal input[type=text].form-control {
            font-size: 14px;
            font-weight: bolder;
            border: 1px solid #D8D8DD;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding: 0px 12px;
            height: 43px;
        }
        #warrantyPmServiceModal input::placeholder {
            font-weight: 200;
            color: #616376 !important;
        }
        #warrantyPmServiceModal select.form-control {
            font-size: 14px;
            border: 1px solid #C5CEE0;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding-left: 12px;
            font-weight: 400;
            color: #616376;
        }

        #eldIntegrationSetupModal .select2-container,
        #viewDetailsEldIntegrationModal .select2-container {
            width: 100% !important;
        }
        #eldIntegrationSetupModal .select2-container .select2-selection--single,
        #viewDetailsEldIntegrationModal .select2-container .select2-selection--single {
            height: 43px !important;
            border-radius: 10px !important;
            border: 1px solid #D8D8DD !important;
        }
        #eldIntegrationSetupModal .select2-container--default .select2-selection--single,
        #viewDetailsEldIntegrationModal .select2-container--default .select2-selection--single {
            border: 1px solid #C5CEE0;
        }
        #eldIntegrationSetupModal .select2-container--default .select2-selection--single .select2-selection__rendered,
        #viewDetailsEldIntegrationModal .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 40px !important;
        }
        #eldIntegrationSetupModal .select2-container--default .select2-selection--single .select2-selection__arrow,
        #viewDetailsEldIntegrationModal .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 40px;
            width: 35px;
        }
        #eldIntegrationSetupModal .select2-container .select2-selection--single .select2-selection__rendered,
        #viewDetailsEldIntegrationModal .select2-container .select2-selection--single .select2-selection__rendered {
            padding-left: 12px;
            font-weight: 600;
            color: #000000e6 !important;
        }
        #eldIntegrationSetupModal .select2-container .select2-search__field::placeholder,
        #viewDetailsEldIntegrationModal .select2-container .select2-search__field::placeholder {
            font-size: 14px;
            font-weight: 500;
        }
        #eldIntegrationSetupModal input[type=text].form-control,
        #viewDetailsEldIntegrationModal input[type=text].form-control {
            font-size: 14px;
            font-weight: bolder;
            border: 1px solid #D8D8DD;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding: 0px 12px;
            height: 43px;
        }
        #eldIntegrationSetupModal input::placeholder,
        #viewDetailsEldIntegrationModal input::placeholder {
            font-weight: 200;
            color: #616376 !important;
        }
        #eldIntegrationSetupModal select.form-control,
        #viewDetailsEldIntegrationModal select.form-control {
            font-size: 14px;
            border: 1px solid #C5CEE0;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding-left: 12px;
            font-weight: 400;
            color: #616376;
        }
        #eldIntegrationSetupModal .form-check,
        #viewDetailsEldIntegrationModal .form-check {
            padding-left: inherit;
        }
        #eldIntegrationSetupModal .form-check input,
        #viewDetailsEldIntegrationModal .form-check input {
            opacity: 0;
        }
        #eldIntegrationSetupModal .form-check label,
        #viewDetailsEldIntegrationModal .form-check label {
            font: normal normal 600 14px/17px Inter, Sans-Serif;
            color: #305F9C;
        }
        #eldIntegrationSetupModal .form-check label::before,
        #viewDetailsEldIntegrationModal .form-check label::before {
            content: '';
            position: absolute;
            width: 16px;
            height: 16px;
            left: 14px;
            border: 2px solid #305F9C;
            border-radius: 4px;
            top: 1px;
        }
        #eldIntegrationSetupModal .form-check label::after,
        #viewDetailsEldIntegrationModal .form-check label::after {
            content: "\f00c";
            font: normal normal normal 14px/1 FontAwesome;
            color: white;
            left: 17px;
            position: absolute;
            top: 3.5px;
            font-size: 10px;
            opacity: 0;
        }
        #eldIntegrationSetupModal .form-check-input,
        #viewDetailsEldIntegrationModal .form-check-input {
            position: inherit;
            margin-top: inherit;
            margin-left: inherit;
        }
        #eldIntegrationSetupModal .form-check input[type="checkbox"]:checked~label::before,
        #viewDetailsEldIntegrationModal .form-check input[type="checkbox"]:checked~label::before {
            background-color: #305F9C;
        }
        #eldIntegrationSetupModal .form-check input[type="checkbox"]:checked~label::after,
        #viewDetailsEldIntegrationModal .form-check input[type="checkbox"]:checked~label::after {
            opacity: 1;
        }
        #eldIntegrationSetupModal .modal-dishpatch .form-group label,
        #viewDetailsEldIntegrationModal .modal-dishpatch .form-group label {
            font-size: 14px;
            line-height: 1.215;
            font-weight: bold;
            color: #616376;
            margin-bottom: 0.25rem!important;
        }

        #equipment-profile-form .equipment-custom-grid,
        #additional-equipment-form .equipment-custom-grid,
        #equipmentProfileModal .equipment-custom-grid {
            max-width: 15.85%;
        }
        #equipmentProfileModal .select2-container {
            width: 100% !important;
        }
        #equipmentProfileModal .select2-container .select2-selection--single {
            height: 43px !important;
            border-radius: 10px !important;
            border: 1px solid #D8D8DD !important;
        }
        #equipmentProfileModal .select2-container--default .select2-selection--single {
            border: 1px solid #C5CEE0;
        }
        #equipmentProfileModal .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 40px !important;
        }
        #equipmentProfileModal .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 40px;
            width: 35px;
        }
        #equipmentProfileModal .select2-container .select2-selection--single .select2-selection__rendered {
            padding-left: 12px;
            font-weight: 600;
            color: #000000e6 !important;
        }
        #equipmentProfileModal .select2-container .select2-search__field::placeholder {
            font-size: 14px;
            font-weight: 500;
        }
        #equipmentProfileModal input[type=text].form-control {
            font-size: 14px;
            font-weight: bolder;
            border: 1px solid #D8D8DD;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding: 0px 12px;
            height: 43px;
        }
        #equipmentProfileModal input::placeholder {
            font-weight: 200;
            color: #616376 !important;
        }
        #equipmentProfileModal select.form-control {
            font-size: 14px;
            border: 1px solid #C5CEE0;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding-left: 12px;
            font-weight: 400;
            color: #616376;
        }

        #document-profile-form .document-custom-grid,
        #additional-document-form .document-custom-grid {
            max-width: 15.85%;
        }
        #documentProfileModal .document-custom-grid {
            max-width: 24.20%;
        }
        #documentProfileModal .select2-container {
            width: 100% !important;
        }
        #documentProfileModal .select2-container .select2-selection--single {
            height: 43px !important;
            border-radius: 10px !important;
            border: 1px solid #D8D8DD !important;
        }
        #documentProfileModal .select2-container--default .select2-selection--single {
            border: 1px solid #C5CEE0;
        }
        #documentProfileModal .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 40px !important;
        }
        #documentProfileModal .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 40px;
            width: 35px;
        }
        #documentProfileModal .select2-container .select2-selection--single .select2-selection__rendered {
            padding-left: 12px;
            font-weight: 600;
            color: #000000e6 !important;
        }
        #documentProfileModal .select2-container .select2-search__field::placeholder {
            font-size: 14px;
            font-weight: 500;
        }
        #documentProfileModal input[type=text].form-control {
            font-size: 14px;
            font-weight: bolder;
            border: 1px solid #D8D8DD;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding: 0px 12px;
            height: 43px;
        }
        #documentProfileModal input::placeholder {
            font-weight: 200;
            color: #616376 !important;
        }
        #documentProfileModal select.form-control {
            font-size: 14px;
            border: 1px solid #C5CEE0;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding-left: 12px;
            font-weight: 400;
            color: #616376;
        }
        #documentProfileModal .modal-body .btn-blueBr,
        #tabOnBoardDocuments #preViewDocumentProfile .btn-blueBr,
        #tabOnBoardDocuments #documentProfile .btn-blueBr,
        #tabOnBoardDocuments #additionalDocument .btn-blueBr {
            width: 99px;
            height: 34px;
            background: #FFFFFF 0% 0% no-repeat padding-box;
            border: 1px solid #305F9C;
            border-radius: 10px;
            font: normal normal 600 14px/17px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;
            padding: inherit;
        }
        #tabOnBoardDocuments #documentProfile .btn-blueBr:hover,
        #tabOnBoardDocuments #additionalDocument .btn-blueBr:hover {
            background: #305F9C 0% 0% no-repeat padding-box;
            color: #FFFFFF;
        }
        #documentProfileModal .modal-body .btn-blue,
        #tabOnBoardDocuments #preViewDocumentProfile .btn-blue,
        #tabOnBoardDocuments #documentProfile .btn-blue,
        #tabOnBoardDocuments #additionalDocument .btn-blue {
            width: 99px;
            height: 34px;
            background: #305F9C 0% 0% no-repeat padding-box;
            border-radius: 10px;
            font: normal normal 600 14px/17px Inter, Sans-Serif;;
            letter-spacing: 0px;
            color: #FFFFFF;
            padding: inherit;
        }
        #documentProfileModal .addMoreBtn i.fa-plus-square {
            padding-top: 2px;
            margin: 2px 5px;
            cursor: pointer;
            font-size: 32px;
            color: #305F9C;
        }
        #documentProfileModal .removeMoreBtn i.fa-minus-square {
            padding-top: 2px;
            margin: 2px 5px;
            cursor: pointer;
            font-size: 32px;
            color: #dc3545;
        }
        #documentProfileModal .documentsFile i.fa-picture-o,
        #tabOnBoardDocuments #preViewDocumentProfile .documentsFile i.fa-picture-o,
        #tabOnBoardDocuments #documentProfile .documentsFile i.fa-picture-o,
        #tabOnBoardDocuments #additionalDocument .documentsFile i.fa-picture-o {
            padding-top: 7px;
            margin: 2px 8px;
            cursor: pointer;
            font-size: 26px;
            color: #00000082;
        }
        #documentProfileModal .documentsFile i.fa-picture-o.uploaded,
        #tabOnBoardDocuments #preViewDocumentProfile .documentsFile i.fa-picture-o.uploaded,
        #tabOnBoardDocuments #documentProfile .documentsFile i.fa-picture-o.uploaded,
        #tabOnBoardDocuments #additionalDocument .documentsFile i.fa-picture-o.uploaded {
            padding-top: 7px;
            margin: 2px 8px;
            cursor: pointer;
            font-size: 26px;
            color: #305F9C;
        }
    </style>
@endsection

@php $dummy_id = time(); @endphp

@section('content')
    <div class="row truck-create">
        <div class="col-12">
            <div class="d-flex custom-margin">
                <div class="mr-auto custom-width-95">
                    <nav aria-label="breadcrumb mb-3">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="javascript:void(0);">Equipment</a></li>
                            <li class="breadcrumb-item"><a href="{{ route('company.admin.trucks.index') }}">Trucks</a></li>
                            <li class="breadcrumb-item">
                                <a href="javascript:void(0);">@if(isset($truck)) Edit @else Add @endif Truck</a>
                            </li>
                        </ol>
                    </nav>
                    <ul class="nav nav-tabs flex-nowrap tabList" role="tablist">
                        <li role="presentation" class="nav-item">
                            <a href="#tabGeneralInfo" class="nav-link active" data-toggle="tab" aria-controls="tabGeneralInfo" role="tab"> General Info</a>
                        </li>
                        <li role="presentation" class="nav-item">
                            <a href="#tabOwnership" class="nav-link @if(!isset($truck)) disabled @endif" data-toggle="tab" aria-controls="tabOwnership" role="tab"> Ownership</a>
                        </li>
                        <li role="presentation" class="nav-item">
                            <a href="#tabInsurance" class="nav-link @if(!isset($truck)) disabled @endif" data-toggle="tab" aria-controls="tabInsurance" role="tab"> Insurance</a>
                        </li>
                        <li role="presentation" class="nav-item">
                            <a href="#tabCompliance" class="nav-link @if(!isset($truck)) disabled @endif" data-toggle="tab" aria-controls="tabCompliance" role="tab"> Compliance</a>
                        </li>
                        <li role="presentation" class="nav-item">
                            <a href="#tabPmMaintenanceService" class="nav-link @if(!isset($truck)) disabled @endif" data-toggle="tab" aria-controls="tabPmMaintenanceService" role="tab"> PM Maintenance & Service</a>
                        </li>
                        <li role="presentation" class="nav-item">
                            <a href="#tabIntegrations" class="nav-link @if(!isset($truck)) disabled @endif" data-toggle="tab" aria-controls="tabIntegrations" role="tab"> Integrations</a>
                        </li>
                        <li role="presentation" class="nav-item">
                            <a href="#tabToolsEquipmentAccessories" class="nav-link @if(!isset($truck)) disabled @endif" data-toggle="tab" aria-controls="tabToolsEquipmentAccessories" role="tab"> Tools, Equipment & Accessories</a>
                        </li>
                        <li role="presentation" class="nav-item">
                            <a href="#tabOnBoardDocuments" class="nav-link @if(!isset($truck)) disabled @endif" data-toggle="tab" aria-controls="tabOnBoardDocuments" role="tab"> On Board Documents</a>
                        </li>
                        <li role="presentation" class="nav-item">
                            <a href="#tabStateMap" class="nav-link @if(!isset($truck)) disabled @endif" data-toggle="tab" aria-controls="tabStateMap" role="tab"> State Map</a>
                        </li>
                        <li role="presentation" class="nav-item">
                            <a href="#tabPayment" class="nav-link @if(!isset($truck)) disabled @endif" data-toggle="tab" aria-controls="tabPayment" role="tab"> Payment</a>
                        </li>
                    </ul>
                </div>
                <div class="custom-width-10">
                    <div class="form-group pt-3 mb-0">
                        <label for="active-status">Status</label>
                        {!! Form::select('status', ['' => 'Select Status', '0' => 'Active', '1' => 'OOS', '2' => 'Terminate', '3' => 'Rehire'], $truck->status ?? 0, ['class' => 'form-control select2', 'id' => 'status']) !!}
                    </div>
                </div>
            </div>
            <div class="tab-content">
                <div class="tab-pane active" role="tabpanel" id="tabGeneralInfo">
                    {!! Form::open(['autocomplete'  => 'off', 'name' => 'general-info-tab', 'id' => 'general-info-tab']) !!}
                        <input type="hidden" class="truck-id" name="truck_id" value="{{ $truck->id ?? ''}}">
                        <div class="row px-3 py-2 pt-3">
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="truck-unique-id">Truck ID</label>
                                    {!! Form::text('truck_unique_id', $truck->truck_unique_id ?? null, array('class' => 'form-control truck-unique-id', 'id' => 'truck-unique-id', 'placeholder' => getCompIdentifier().'Auto Generated', 'readonly' => 'readonly')) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="unit">Unit No</label>
                                    {!! Form::text('unit', $truck->unit ?? null, array('class' => 'form-control', 'placeholder' => 'Enter Unit No.', 'id' => 'unit', 'required' => 'required')) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <div class="d-flex align-items-center">
                                        <div class="mr-auto">
                                            <label for="vin-number pr-1">Vehicle Identification No</label>
                                        </div>
                                        <div class="d-flex">
                                            <a href="javascript:void(0);" class="custom-top-label" data-toggle="modal" data-target="#vinLookupModal">
                                                VIN Lookup <i class="fa fa-info-circle" aria-hidden="true"></i>
                                            </a>
                                        </div>
                                    </div>
                                    {!! Form::text('vin_number', $truck->vin_number ?? null, array('class' => 'form-control', 'id' => 'vin-number', 'placeholder' => 'Enter VIN No.', 'required' => 'required')) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="truck-type">Truck Type</label>
                                    {!! Form::select('truck_type', ['' => 'Select Truck Type'] + getCompanyTruckTypes(), $truck->truck_type ?? null, ['class' => 'form-control select2', 'id' => 'truck-type']) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="required-license">Required License</label>
                                    {!! Form::select('required_license', ['' => 'Select Required License'] + getRequiredClass(), $truck->required_license ?? null, ['class' => 'form-control select2', 'id' => 'required-license']) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="year">Year</label>
                                    {!! Form::select('year', ['' => 'Select Year'] + getTruckYears(), $truck->year ?? null, ['class' => 'form-control select2', 'id' => 'year']) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="make">Make</label>
                                    {!! Form::text('make', $truck->make ?? null, array('class' => 'form-control', 'placeholder' => 'Enter Make', 'id' => 'make')) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="model">Model</label>
                                    {!! Form::text('model', $truck->model ?? null, array('class' => 'form-control', 'placeholder' => 'Enter Model', 'id' => 'model')) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="color">Color</label>
                                    {!! Form::text('color', $truck->color ?? null, array('class' => 'form-control', 'placeholder' => 'Enter Color', 'id' => 'color')) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="class">Class</label>
                                    {!! Form::select('class', ['' => 'Select Class', 'HD' => 'Heavy Duty', 'MD' => ' Medium Duty', 'LD' => 'Light Duty'], $truck->class ?? null, ['class' => 'form-control select2', 'id' => 'class']) !!}
                                </div>
                            </div>
                        </div>
                        <hr/>
                        <div class="row px-3 py-2 pt-1">
                            <div class="col-md-12 mb-2">
                                <div class="form-group">
                                    <h6 class="section-heading">Driver & Trailer Assignment</h6>
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="driver">Driver</label>
                                    <select class="form-control select2" name="driver" id="driver">
                                        <option value="">Select Driver</option>
                                        @foreach(getDriversByCompany() as $driverDetail)
                                            @if($driverDetail->truck_number == "")
                                                <option value="{{ $driverDetail->id }}">{{ $driverDetail->name }}</option>
                                            @else
                                                @if(isset($truck->driver) && $truck->driver == $driverDetail->id)
                                                    <option value="{{ $driverDetail->id }}" selected>{{ $driverDetail->name }}</option>
                                                @else
                                                    <option value="{{ $driverDetail->id }}" disabled>{{ $driverDetail->name }}</option>
                                                @endif
                                            @endif
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="co-driver">Co-Driver</label>
                                    <select class="form-control select2" name="co_driver" id="co-driver">
                                        <option value="">Select Co-Driver</option>
                                        @foreach(getDriversByCompany() as $driverDetail)
                                            @if($driverDetail->truck_number == "")
                                                <option value="{{ $driverDetail->id }}">{{ $driverDetail->name }}</option>
                                            @else
                                                @if(isset($truck->co_driver) && $truck->co_driver == $driverDetail->id)
                                                    <option value="{{ $driverDetail->id }}" selected>{{ $driverDetail->name }}</option>
                                                @else
                                                    <option value="{{ $driverDetail->id }}" disabled>{{ $driverDetail->name }}</option>
                                                @endif
                                            @endif
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group mb-1">
                                    <div class="d-flex align-items-center">
                                        <div class="mr-auto">
                                            <label for="trailer pr-1">Trailer</label>
                                        </div>
                                        <div class="d-flex">
                                            <a href="javascript:void(0);" class="custom-top-label addMoreTrailer">
                                                Add +
                                            </a>
                                        </div>
                                    </div>
                                    <select class="form-control select2" name="trailer[]">
                                        <option value="">Select Trailer</option>
                                        @foreach(getTrailerNumberListByCompany() as $trailerNumber)
                                            @if(!in_array($trailerNumber, $assignedTrailers))
                                                <option value="{{ $trailerNumber }}">{{ $trailerNumber }}</option>
                                            @else
                                                @if(isset($truck->trailer[0]) && $truck->trailer[0] == $trailerNumber)
                                                    <option value="{{ $trailerNumber }}" selected>{{ $trailerNumber }}</option>
                                                @else
                                                    <option value="{{ $trailerNumber }}" disabled>{{ $trailerNumber }}</option>
                                                @endif
                                            @endif
                                        @endforeach
                                    </select>
                                </div>
                                <div id="moreTrailer">
                                    @if(isset($truck->trailer))
                                        @if(count($truck->trailer) > 1)
                                            @foreach($truck->trailer as $key => $trailer)
                                                @if($key != 0)
                                                    <div class="form-group mb-1">
                                                        <div class="d-flex justify-content-end">
                                                            <a href="javascript:void(0);" class="custom-top-label removeMore removeMoreTrailer"> Remove -</a>
                                                        </div>
                                                        <select class="form-control select2" name="trailer[]">
                                                            <option value="">Select Trailer</option>
                                                            @foreach(getTrailerNumberListByCompany() as $trailerNumber)
                                                                @if(!in_array($trailerNumber, $assignedTrailers))
                                                                    <option value="{{ $trailerNumber }}">{{ $trailerNumber }}</option>
                                                                @else
                                                                    @if(isset($trailer) && $trailer == $trailerNumber)
                                                                        <option value="{{ $trailerNumber }}" selected>{{ $trailerNumber }}</option>
                                                                    @else
                                                                        <option value="{{ $trailerNumber }}" disabled>{{ $trailerNumber }}</option>
                                                                    @endif
                                                                @endif
                                                            @endforeach
                                                        </select>
                                                    </div>
                                                @endif
                                            @endforeach
                                        @endif
                                    @endif
                                </div>
                            </div>
                        </div>
                        <hr/>
                        <div class="row px-3 py-2 pt-1">
                            <div class="col-md-12 mb-2">
                                <div class="form-group">
                                    <h6 class="section-heading">Tires & Fuel</h6>
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="fuel-type">Fuel Type</label>
                                    {!! Form::select('fuel_type', ['' => 'Select Fuel Type'] + getTruckFuelType(), $truck->fuel_type ?? null, ['class' => 'form-control select2', 'id' => 'fuel-type']) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="fuel-capacity">Fuel Capacity</label>
                                    <div class="input-group post-append">
                                        {!! Form::text('fuel_capacity', $truck->fuel_capacity ?? null, array('class' => 'form-control integer-input comma-integer-input', 'placeholder' => 'Enter Fuel Capacity', 'id' => 'fuel-capacity')) !!}
                                        <div class="input-group-append">
                                            <span class="input-group-text">gal</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="tire-size">Tire Size</label>
                                    <a href="javascript:void(0);" class="custom-top-label" title="Example: 225/75r16">
                                        <i class="fa fa-info-circle" aria-hidden="true"></i>
                                    </a>
                                    {!! Form::text('tire_size', $truck->tire_size ?? null, array('class' => 'form-control', 'placeholder' => 'Enter Tire Size', 'id' => 'tire-size')) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="tire-qty">Tire Qty</label>
                                    {!! Form::select('tire_qty', ['' => 'Select Tire Qty'] + getTruckTireQty(), $truck->tire_qty ?? null, ['class' => 'form-control select2', 'id' => 'tire-qty']) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="axles">Axles</label>
                                    {!! Form::select('axles', ['' => 'Select No. of Axles'] + getTruckAxles(), $truck->axles ?? null, ['class' => 'form-control select2', 'id' => 'axles']) !!}
                                </div>
                            </div>
                        </div>
                        <hr/>
                        <div class="row px-3 py-2 pt-1">
                            <div class="col-md-12 mb-2">
                                <div class="form-group">
                                    <h6 class="section-heading">Weight & Dimensions</h6>
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="length">Length</label>
                                    {!! Form::text('length', $truck->length ?? null, array('class' => 'form-control integer-input feetInches', 'placeholder' => '0\'00"', 'id' => 'length')) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="width">Width</label>
                                    {!! Form::text('width', $truck->width ?? null, array('class' => 'form-control integer-input feetInches', 'placeholder' => '0\'00"', 'id' => 'width')) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="height">Height</label>
                                    {!! Form::text('height', $truck->height ?? null, array('class' => 'form-control integer-input feetInches', 'placeholder' => '0\'00"', 'id' => 'height')) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label>Gross Weight</label>
                                    <div class="input-group post-append">
                                        {!! Form::text('gross_weight', $truck->gross_weight ?? null, array('class' => 'form-control integer-input comma-integer-input', 'placeholder' => 'Enter Gross Weight', 'id' => 'gross-weight')) !!}
                                        <div class="input-group-append">
                                            <span class="input-group-text">lbs</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="max-load-weight">Max Load Weight</label>
                                    <div class="input-group post-append">
                                        {!! Form::text('max_load_weight', $truck->max_load_weight ?? null, array('class' => 'form-control integer-input comma-integer-input', 'placeholder' => 'Enter Max Load Weight', 'id' => 'max-load-weight')) !!}
                                        <div class="input-group-append">
                                            <span class="input-group-text">lbs</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <hr/>
                        <div class="row px-3 py-2 pt-1">
                            <div class="col-md-12 mb-2">
                                <div class="form-group">
                                    <h6 class="section-heading">Truck Options</h6>
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="engine">Engine</label>
                                    <a href="javascript:void(0);" class="custom-top-label" title="Example: Caterpillar 335 HP">
                                        <i class="fa fa-info-circle" aria-hidden="true"></i>
                                    </a>
                                    {!! Form::text('engine', $truck->engine ?? null, array('class' => 'form-control', 'placeholder' => 'Enter Engine', 'id' => 'engine')) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="transmission">Transmission</label>
                                    <a href="javascript:void(0);" class="custom-top-label" title="Example: 10 Speed Eaton Manual">
                                        <i class="fa fa-info-circle" aria-hidden="true"></i>
                                    </a>
                                    {!! Form::text('transmission', $truck->transmission ?? null, array('class' => 'form-control', 'placeholder' => 'Enter Transmission', 'id' => 'transmission')) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="automatic-transmission">Automatic Transmission</label>
                                    {!! Form::select('automatic_transmission', ['' => 'Select Yes / No', '0' => 'No', '1' => 'Yes'], $truck->automatic_transmission ?? null, ['class' => 'form-control select2', 'id' => 'automatic-transmission']) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="high-cube">High Cube</label>
                                    {!! Form::select('high_cube', ['' => 'Select Yes / No', '0' => 'No', '1' => 'Yes'], $truck->high_cube ?? null, ['class' => 'form-control select2', 'id' => 'high-cube']) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="vented">Vented</label>
                                    {!! Form::select('vented', ['' => 'Select Yes / No', '0' => 'No', '1' => 'Yes'], $truck->vented ?? null, ['class' => 'form-control select2', 'id' => 'vented']) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="liftgate">Liftgate</label>
                                    {!! Form::select('liftgate', ['' => 'Select Yes / No', '0' => 'No', '1' => 'Yes'], $truck->vented ?? null, ['class' => 'form-control select2', 'id' => 'liftgate']) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="pallet-jack">Pallet Jack</label>
                                    {!! Form::select('pallet_jack', ['' => 'Select Yes / No', '0' => 'No', '1' => 'Yes'], $truck->pallet_jack ?? null, ['class' => 'form-control select2', 'id' => 'pallet-jack']) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="reefer-equipped">Reefer Equipped</label>
                                    {!! Form::select('reefer_equipped', ['' => 'Select Yes / No', '0' => 'No', '1' => 'Yes'], $truck->reefer_equipped ?? null, ['class' => 'form-control select2', 'id' => 'reefer-equipped']) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="apu-equipped">APU Equipped</label>
                                    {!! Form::select('apu_equipped', ['' => 'Select Yes / No', '0' => 'No', '1' => 'Yes'], $truck->apu_equipped ?? null, ['class' => 'form-control select2', 'id' => 'apu-equipped']) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="onboarding-odometer">Onboarding Odometer</label>
                                    {!! Form::text('onboarding_odometer', $truck->onboarding_odometer ?? null, array('class' => 'form-control', 'placeholder' => 'Enter Onboarding Odometer', 'id' => 'onboarding-odometer')) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <div class="d-flex align-items-center">
                                        <div class="mr-auto">
                                            <label for="current-odometer">Current Odometer</label>
                                        </div>
                                        <div class="d-flex">
                                            @if(isset($truck) && $truck->samsara_id != "")
                                                <a href="javascript:void(0);" class="custom-top-label syncOdometer">Sync <i class="fa fa-refresh" aria-hidden="true"></i></a>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="input-group post-append">
                                        {!! Form::text('current_odometer', $truck->current_odometer ?? null, array('class' => 'form-control', 'placeholder' => 'Enter Current Odometer', 'id' => 'current-odometer')) !!}
                                        <div class="input-group-append">
                                            <span class="input-group-text">miles</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <hr/>
                        <div class="row px-3 py-2 pt-1">
                            <div class="col-md-12 mb-2">
                                <div class="form-group">
                                    <h6 class="section-heading">Customer & Group Assignment</h6>
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="truck-group">Truck Group</label>
                                    {!! Form::select('truck_group', ['' => 'Select Truck Group'] + getTruckGroup(), $truck->truck_group ?? null, ['class' => 'form-control select2', 'id' => 'truck-group']) !!}
                                </div>
                            </div>
                            <div class="col-md-3 gi-custom-grid">
                                <div class="form-group">
                                    <label for="assigned-customer">Assigned Customer</label>
                                    {!! Form::select('assigned_customer', ['' => 'Select Assigned Customer'] + getAssignedCustomer(), $truck->assigned_customer ?? null, ['class' => 'form-control select2', 'id' => 'assigned-customer']) !!}
                                </div>
                            </div>
                        </div>
                        <hr/>
                        <div class="row p-3">
                            <div class="col-md-12 text-right">
                                <ul>
                                    @if(isset($truck))
                                        <li class="list-inline-item">
                                            <button type="button" class="btn btn-blue next-step general-info-save" data-save-close="0">Save & Close</button>
                                        </li>
                                    @endif
                                    <li class="list-inline-item">
                                        <button type="submit" class="btn btn-blue next-step mr-2 general-info-save" data-save-close="1">Save & Next</button>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    {!! Form::close() !!}
                </div>
                <div class="tab-pane" role="tabpanel" id="tabOwnership">
                    {!! Form::open(['autocomplete'  => 'off', 'name' => 'ownership-tab', 'id' => 'ownership-tab']) !!}
                    <input type="hidden" class="truck-id" name="truck_id" value="{{ $truck->id ?? ''}}">
                    <input type="hidden" name="dummy_id" value="{{ $dummy_id }}">
                    <div class="row px-3 pt-3">
                        <div class="col-md-3 own-custom-grid">
                            <div class="form-group">
                                <label for="carrier">Carrier</label>
                                {!! Form::select('carrier_id', ['' => 'Select Carrier'] + getCarrierList(), $truck->carrier_id ?? null, ['class' => 'form-control select2', 'id' => 'carrier']) !!}
                            </div>
                        </div>
                        <div class="col-md-3 own-custom-grid">
                            <div class="form-group">
                                <label for="terminal">Terminal</label>
                                {!! Form::select('terminal_id', ['' => 'Select Terminal'] + getTerminalList(), $truck->terminal_id ?? null, ['class' => 'form-control select2', 'id' => 'terminal']) !!}
                            </div>
                        </div>
                        <div class="col-md-3 own-custom-grid">
                            <div class="form-group">
                                <label for="pay_to">Pay To</label>
                                <select name="pay_to" class="form-control select2">
                                    <option value="">Select Option</option>
                                    @if(!empty(getCarrierList()))
                                        <optgroup label="Carrier">
                                            @foreach (getCarrierList() as $nckey => $node)
                                                <option value="carriers_{{ $nckey }}" {{ isset($truck->owner_type) && isset($truck->owner_id) && $truck->owner_type == 1 && $truck->owner_id == $nckey ? 'selected' : '' }}>{{ $node }}</option>
                                            @endforeach
                                        </optgroup>
                                    @endif
                                    @if(!empty(getTruckOwnerList()))
                                        <optgroup label="Truck Owner">
                                            @foreach (getTruckOwnerList() as $ntkey => $node)
                                                <option value="truck_owners_{{ $ntkey }}" {{ isset($truck->owner_type) && isset($truck->owner_id) && $truck->owner_type == 2 && $truck->owner_id == $ntkey ? 'selected' : '' }}>{{ $node }}</option>
                                            @endforeach
                                        </optgroup>
                                    @endif
                                </select>
                            </div>
                        </div>
                        <div class="col-md-3 own-custom-grid">
                            <div class="form-group">
                                <label for="ownership">Ownership</label>
                                {!! Form::select('ownership', ['' => 'Select Ownership'] + getTruckOwnershipType(), $truck->ownership ?? null, ['class' => 'form-control select2', 'id' => 'ownership']) !!}
                            </div>
                        </div>

                        @if(isset($truck))
                            {{--
                            @if(is_array($truck->owner_id))
                                <div class="col-md-3 own-custom-grid owned-by-carrier owned-by-other @if(!in_array($truck->ownership, ['0', '3'])) d-none @endif">
                                    <div class="form-group mb-1">
                                        <div class="d-flex align-items-center">
                                            <div class="mr-auto">
                                                <label for="owner pr-1">Owner</label>
                                            </div>
                                            <div class="d-flex">
                                                <a href="javascript:void(0);" class="custom-top-label addMoreOwner">
                                                    Add +
                                                </a>
                                            </div>
                                        </div>
                                        @if($truck->ownership == '3')
                                            {!! Form::select('owner[]', ['' => 'Select Owner'] + getDriverListByCompany(), $truck->owner_id[0] ?? null, ['class' => 'form-control owner select2']) !!}
                                        @else
                                            {!! Form::select('owner[]', ['' => 'Select Owner'] + getCarrierList(), $truck->owner_id[0] ?? null, ['class' => 'form-control owner select2']) !!}
                                        @endif
                                    </div>
                                    <div id="moreOwner">
                                        @foreach($truck->owner_id as $truckOwnerId)
                                            @if(!$loop->first)
                                                <div class="form-group mb-1">
                                                    <div class="d-flex justify-content-end">
                                                        <div class="d-flex">
                                                            <a href="javascript:void(0);" class="custom-top-label removeMore removeMoreOwner">
                                                                Remove -
                                                            </a>
                                                        </div>
                                                    </div>
                                                    @if($truck->ownership == '3')
                                                        {!! Form::select('owner[]', ['' => 'Select Owner'] + getDriverListByCompany(), $truckOwnerId, ['class' => 'form-control owner select2']) !!}
                                                    @else
                                                        {!! Form::select('owner[]', ['' => 'Select Owner'] + getCarrierList(), $truckOwnerId, ['class' => 'form-control owner select2']) !!}
                                                    @endif
                                                </div>
                                            @endif
                                        @endforeach
                                    </div>
                                </div>
                            @else
                                <div class="col-md-3 own-custom-grid owned-by-carrier owned-by-other @if(!in_array($truck->ownership, ['0', '3'])) d-none @endif">
                                    <div class="form-group mb-1">
                                        <div class="d-flex align-items-center">
                                            <div class="mr-auto">
                                                <label for="owner pr-1">Owner</label>
                                            </div>
                                            <div class="d-flex">
                                                <a href="javascript:void(0);" class="custom-top-label addMoreOwner">
                                                    Add +
                                                </a>
                                            </div>
                                        </div>
                                        @if($truck->ownership == '3')
                                            {!! Form::select('owner[]', ['' => 'Select Owner'] + getDriverListByCompany(), $truck->owner_id, ['class' => 'form-control owner select2']) !!}
                                        @else
                                            {!! Form::select('owner[]', ['' => 'Select Owner'] + getCarrierList(), $truck->owner_id, ['class' => 'form-control owner select2']) !!}
                                        @endif
                                    </div>
                                    <div id="moreOwner"></div>
                                </div>
                            @endif
                            --}}
                            <div class="col-md-3 own-custom-grid owned-by-carrier owned-by-other @if(!in_array($truck->ownership, ['0', '3'])) d-none @endif">
                                <div class="form-group mb-1">
                                    <label for="owner pr-1">Owner</label>
                                    @if($truck->ownership == '3')
                                        {!! Form::select('owner', ['' => 'Select Owner'] + getDriverListByCompany(), $truck->ownership_id, ['class' => 'form-control owner select2']) !!}
                                    @else
                                        {!! Form::select('owner', ['' => 'Select Owner'] + getCarrierList(), $truck->ownership_id, ['class' => 'form-control owner select2']) !!}
                                    @endif
                                </div>
                            </div>
                            {{--<div class="col-md-3 own-custom-grid owned-by-carrier @if(!in_array($truck->ownership, ['0', '3'])) d-none @endif"></div>--}}
                            <div class="col-md-3 own-custom-grid owned-by-carrier @if(!in_array($truck->ownership, ['0'])) d-none @endif">
                                <div class="form-group">
                                    <label for="purchase-date" class="mb-1">Purchase Date</label>
                                    <div class="input-group">
                                        <input class="form-control date" placeholder="Enter Purchase Date" id="purchase-date" name="owner_purchase_date" type="text" value="{{ $truck->owner_purchase_date ?? null }}">
                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 own-custom-grid owned-by-carrier @if(!in_array($truck->ownership, ['0'])) d-none @endif">
                                <div class="form-group">
                                    <label for="purchase-price" class="mb-1">Purchase Price</label>
                                    <div class="input-group pre-append">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text">$</span>
                                        </div>
                                        <input class="form-control integer-input" placeholder="Enter Purchase Price" id="purchase-price" name="owner_purchase_price" type="text" value="{{ $truck->owner_purchase_price ?? null }}" onkeyup="clcBalanceDue()">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 own-custom-grid owned-by-carrier @if(!in_array($truck->ownership, ['0'])) d-none @endif">
                                <div class="form-group">
                                    <label for="down-payment" class="mb-1">Down Payment</label>
                                    <div class="input-group pre-append">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text">$</span>
                                        </div>
                                        <input class="form-control integer-input" placeholder="Enter Down Payment" id="down-payment" name="down_payment" type="text" value="{{ $truck->down_payment ?? null }}" onkeyup="clcBalanceDue()">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 own-custom-grid owned-by-carrier @if(!in_array($truck->ownership, ['0'])) d-none @endif">
                                <div class="form-group">
                                    <label for="balance-due" class="mb-1">Balance Due</label>
                                    <div class="input-group pre-append">
                                        <div class="input-group-prepend readonly-input">
                                            <span class="input-group-text">$</span>
                                        </div>
                                        <input class="form-control integer-input" placeholder="Balance Due" id="balance-due" name="balance_due" type="text" value="{{ $truck->balance_due ?? null }}" readonly>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 own-custom-grid owned-by-carrier align-self-center pl-0 @if(!in_array($truck->ownership, ['0'])) d-none @endif">
                                <a href="javascript:void(0);" class="mark-as-sold">Mark As Sold</a>
                            </div>
                            <div class="col-md-3 own-custom-grid owned-by-carrier @if(!in_array($truck->ownership, ['0'])) d-none @endif">
                                <div class="row">
                                    <div class="col-10 pr-0">
                                        <div class="form-group">
                                            <label for="purchase-agreement-on-file" class="mb-1">Purchase Agreement On-File</label>
                                            {!! Form::select('purchase_agreement_on_file', ['' => 'Select Yes / No', '0' => 'No', '1' => 'Yes'], $truck->purchase_agreement_on_file ?? null, ['class' => 'form-control select2', 'id' => 'purchase-agreement-on-file']) !!}
                                        </div>
                                    </div>
                                    <div class="col-2 pl-2 pr-1 d-flex align-items-center">
                                        <div class="form-group">
                                            <a href="javascript:void(0);" class="fileUpload">
                                                <i class="fa fa-picture-o purchaseAgreementFile gallary-edit @isset($truck->id) {{ checkeGalleryFileUpload($truck->id, 'purchase_agreement_file') }} @endisset" aria-hidden="true" data-id="{{ $truck->id ?? $dummy_id }}" data-source="truck" data-field="purchase_agreement_file" data-toggle="modal" data-target="#galleryModal" title="Purchase Agreement File"></i>
                                            </a>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            {{--
                            @if(is_array($truck->leasing_company))
                                <div class="col-md-3 own-custom-grid leased-by-carrier leased-by-other @if(!in_array($truck->ownership, ['1', '4'])) d-none @endif">
                                    <div class="form-group mb-1">
                                        <div class="d-flex align-items-center">
                                            <div class="mr-auto">
                                                <label for="leasing-company pr-1">Leasing Company</label>
                                            </div>
                                            <div class="d-flex">
                                                <a href="javascript:void(0);" class="custom-top-label addMoreLeasingCompany">
                                                    Add +
                                                </a>
                                            </div>
                                        </div>
                                        {!! Form::select('leasing_company[]', ['' => 'Select Leasing Company'] + getVendorList(), $truck->leasing_company[0] ?? null, ['class' => 'form-control leasingCompany select2']) !!}
                                    </div>
                                    <div id="moreLeasingCompany">
                                        @foreach($truck->leasing_company as $leasingCompany)
                                            @if(!$loop->first)
                                                <div class="form-group mb-1">
                                                    <div class="d-flex justify-content-end">
                                                        <div class="d-flex">
                                                            <a href="javascript:void(0);" class="custom-top-label removeMore removeMoreLeasingCompany">
                                                                Remove -
                                                            </a>
                                                        </div>
                                                    </div>
                                                    {!! Form::select('leasing_company[]', ['' => 'Select Leasing Company'] + getVendorList(), $leasingCompany, ['class' => 'form-control leasingCompany select2']) !!}
                                                </div>
                                            @endif
                                        @endforeach
                                    </div>
                                </div>
                            @else
                                <div class="col-md-3 own-custom-grid leased-by-carrier leased-by-other @if(!in_array($truck->ownership, ['1', '4'])) d-none @endif">
                                    <div class="form-group mb-1">
                                        <div class="d-flex align-items-center">
                                            <div class="mr-auto">
                                                <label for="leasing-company pr-1">Leasing Company</label>
                                            </div>
                                            <div class="d-flex">
                                                <a href="javascript:void(0);" class="custom-top-label addMoreLeasingCompany">
                                                    Add +
                                                </a>
                                            </div>
                                        </div>
                                        {!! Form::select('leasing_company[]', ['' => 'Select Leasing Company'] + getVendorList(), $truck->leasing_company, ['class' => 'form-control leasingCompany select2']) !!}
                                    </div>
                                    <div id="moreLeasingCompany"></div>
                                </div>
                            @endif
                            @if(is_array($truck->rental_company))
                                <div class="col-md-3 own-custom-grid rented-by-carrier rented-by-other @if(!in_array($truck->ownership, ['2', '5'])) d-none @endif">
                                    <div class="form-group mb-1">
                                        <div class="d-flex align-items-center">
                                            <div class="mr-auto">
                                                <label for="rental-company pr-1">Rental Company</label>
                                            </div>
                                            <div class="d-flex">
                                                <a href="javascript:void(0);" class="custom-top-label addMoreRentalCompany">
                                                    Add +
                                                </a>
                                            </div>
                                        </div>
                                        {!! Form::select('rental_company[]', ['' => 'Select Rental Company'] + getVendorList(), $truck->rental_company[0], ['class' => 'form-control rentalCompany select2']) !!}
                                    </div>
                                    <div id="moreRentalCompany">
                                        @foreach($truck->rental_company as $rentalCompany)
                                            @if(!$loop->first)
                                                <div class="form-group mb-1">
                                                    <div class="d-flex justify-content-end">
                                                        <div class="d-flex">
                                                            <a href="javascript:void(0);" class="custom-top-label removeMore removeMoreRentalCompany">
                                                                Remove -
                                                            </a>
                                                        </div>
                                                    </div>
                                                    {!! Form::select('rental_company[]', ['' => 'Select Rental Company'] + getVendorList(), $truck->rental_company[0], ['class' => 'form-control rentalCompany select2']) !!}
                                                </div>
                                            @endif
                                        @endforeach
                                    </div>
                                </div>
                            @else
                                <div class="col-md-3 own-custom-grid rented-by-carrier rented-by-other @if(!in_array($truck->ownership, ['2', '5'])) d-none @endif">
                                    <div class="form-group mb-1">
                                        <div class="d-flex align-items-center">
                                            <div class="mr-auto">
                                                <label for="rental-company pr-1">Rental Company</label>
                                            </div>
                                            <div class="d-flex">
                                                <a href="javascript:void(0);" class="custom-top-label addMoreRentalCompany">
                                                    Add +
                                                </a>
                                            </div>
                                        </div>
                                        {!! Form::select('rental_company[]', ['' => 'Select Rental Company'] + getVendorList(), $truck->rental_company, ['class' => 'form-control rentalCompany select2']) !!}
                                    </div>
                                    <div id="moreRentalCompany"></div>
                                </div>
                            @endif
                            --}}
                            <div class="col-md-3 own-custom-grid leased-by-carrier leased-by-other @if(!in_array($truck->ownership, ['1', '4'])) d-none @endif">
                                <div class="form-group mb-1">
                                    <label for="leasing-company pr-1">Leasing Company</label>
                                    {!! Form::select('leasing_company', ['' => 'Select Leasing Company'] + getVendorList(), $truck->leasing_company, ['class' => 'form-control leasingCompany select2']) !!}
                                </div>
                            </div>
                            <div class="col-md-3 own-custom-grid rented-by-carrier rented-by-other @if(!in_array($truck->ownership, ['2', '5'])) d-none @endif">
                                <div class="form-group mb-1">
                                    <label for="rental-company pr-1">Rental Company</label>
                                    {!! Form::select('rental_company', ['' => 'Select Rental Company'] + getVendorList(), $truck->rental_company, ['class' => 'form-control rentalCompany select2']) !!}
                                </div>
                            </div>

                            <div class="col-md-3 own-custom-grid leased-by-carrier leased-by-other @if(!in_array($truck->ownership, ['1', '4'])) d-none @endif">
                                <div class="form-group">
                                    <label for="lease-point-of-contact" class="mb-1">Lease Point of Contact</label>
                                    {!! Form::select('lease_point_of_contact', [], $truck->lease_point_of_contact ?? null, ['class' => 'form-control', 'multiple' => 'multiple', 'id' => 'lease-point-of-contact']) !!}
                                </div>
                            </div>
                            <div class="col-md-3 own-custom-grid rented-by-carrier rented-by-other @if(!in_array($truck->ownership, ['2', '5'])) d-none @endif">
                                <div class="form-group">
                                    <label for="rental-point-of-contact" class="mb-1">Rental Point of Contact</label>
                                    {!! Form::select('rental_point_of_contact', [], $truck->rental_point_of_contact ?? null, ['class' => 'form-control', 'multiple' => 'multiple', 'id' => 'rental-point-of-contact']) !!}
                                </div>
                            </div>

                            <div class="col-md-3 own-custom-grid leased-by-carrier @if(!in_array($truck->ownership, ['1'])) d-none @endif">
                                <div class="form-group">
                                    <label for="lease-start" class="mb-1">Lease Start</label>
                                    <div class="input-group">
                                        <input class="form-control date" placeholder="Enter Lease Start" id="lease-start" name="lease_start" type="text" value="{{ $truck->lease_start ?? null }}">
                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 own-custom-grid leased-by-carrier @if(!in_array($truck->ownership, ['1'])) d-none @endif">
                                <div class="form-group">
                                    <label for="lease-end" class="mb-1">Lease End</label>
                                    <div class="input-group">
                                        <input class="form-control date" placeholder="Enter Lease End" id="lease-end" name="lease_end" type="text" value="{{ $truck->lease_end ?? null }}">
                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 own-custom-grid rented-by-carrier @if(!in_array($truck->ownership, ['2'])) d-none @endif">
                                <div class="form-group">
                                    <label for="rental-start" class="mb-1">Rental Start</label>
                                    <div class="input-group">
                                        <input class="form-control date" placeholder="Enter Rental Start" id="rental-start" name="rental_start" type="text" value="{{ $truck->rental_start ?? null }}">
                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 own-custom-grid rented-by-carrier @if(!in_array($truck->ownership, ['2'])) d-none @endif">
                                <div class="form-group">
                                    <label for="rental-end" class="mb-1">Rental End</label>
                                    <div class="input-group">
                                        <input class="form-control date" placeholder="Enter Rental End" id="rental-end" name="rental_end" type="text" value="{{ $truck->rental_end ?? null }}">
                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-3 own-custom-grid leased-by-carrier rented-by-carrier @if(!in_array($truck->ownership, ['1', '2'])) d-none @endif">
                                <div class="form-group">
                                    <label for="billing-type" class="mb-1">Billing Type</label>
                                    {!! Form::select('billing_type', ['' => 'Select Billing Type', '0' => 'ACH', '1' => 'Cheque', '2' => 'Credit Card', '3' => 'Cash', '4' => 'Invoiced'], $truck->billing_type ?? null, ['class' => 'form-control select2', 'id' => 'billing-type']) !!}
                                </div>
                            </div>

                            <div class="col-md-3 own-custom-grid leased-by-carrier @if(!in_array($truck->ownership, ['1'])) d-none @endif">
                                <div class="row">
                                    <div class="col-10 pr-0">
                                        <div class="form-group">
                                            <label for="lease-agreement-on-file" class="mb-1">Lease Agreement On-File</label>
                                            {!! Form::select('lease_agreement_on_file', ['' => 'Select Yes / No', '0' => 'No', '1' => 'Yes'], $truck->lease_agreement_on_file ?? null, ['class' => 'form-control select2', 'id' => 'lease-agreement-on-file']) !!}
                                        </div>
                                    </div>
                                    <div class="col-2 pl-2 pr-1 d-flex align-items-center">
                                        <div class="form-group">
                                            <a href="javascript:void(0);" class="fileUpload">
                                                <i class="fa fa-picture-o leaseAgreementFile gallary-edit @isset($truck->id) {{ checkeGalleryFileUpload($truck->id, 'lease_agreement_file') }} @endisset" aria-hidden="true" data-id="{{ $truck->id ?? $dummy_id }}" data-source="truck" data-field="lease_agreement_file" data-toggle="modal" data-target="#galleryModal" title="Lease Agreement File"></i>
                                            </a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 own-custom-grid rented-by-carrier @if(!in_array($truck->ownership, ['2'])) d-none @endif">
                                <div class="row">
                                    <div class="col-10 pr-0">
                                        <div class="form-group">
                                            <label for="rental-agreement-on-file" class="mb-1">Rental Agreement On-File</label>
                                            {!! Form::select('rental_agreement_on_file', ['' => 'Select Yes / No', '0' => 'No', '1' => 'Yes'], $truck->rental_agreement_on_file ?? null, ['class' => 'form-control select2', 'id' => 'rental-agreement-on-file']) !!}
                                        </div>
                                    </div>
                                    <div class="col-2 pl-2 pr-1 d-flex align-items-center">
                                        <div class="form-group">
                                            <a href="javascript:void(0);" class="fileUpload">
                                                <i class="fa fa-picture-o rentalAgreementFile gallary-edit @isset($truck->id) {{ checkeGalleryFileUpload($truck->id, 'rental_agreement_file') }} @endisset" aria-hidden="true" data-id="{{ $truck->id ?? $dummy_id }}" data-source="truck" data-field="rental_agreement_file" data-toggle="modal" data-target="#galleryModal" title="Rental Agreement File"></i>
                                            </a>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            {{--<div class="col-md-3 own-custom-grid leased-by-carrier rented-by-carrier @if(!in_array($truck->ownership, ['1', '2'])) d-none @endif"></div>--}}
                            <div class="col-md-3 own-custom-grid owned-by-carrier leased-by-carrier rented-by-carrier @if(!in_array($truck->ownership, ['0', '1', '2'])) d-none @endif">
                                <div class="form-group">
                                    <label for="payment-type" class="mb-1">Payment Type</label>
                                    {!! Form::select('payment_type', ['' => 'Select Payment Type', '0' => 'ACH', '1' => 'Cheque', '2' => 'Credit Card', '3' => 'Cash', '4' => 'Invoiced'], $truck->payment_type ?? null, ['class' => 'form-control select2', 'id' => 'payment-type']) !!}
                                </div>
                            </div>
                            <div class="col-md-3 own-custom-grid leased-by-carrier rented-by-carrier @if(!in_array($truck->ownership, ['1', '2'])) d-none @endif">
                                <div class="form-group">
                                    <label for="payment-amount" class="mb-1">Payment Amount</label>
                                    <div class="input-group pre-append">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text">$</span>
                                        </div>
                                        <input class="form-control integer-input" placeholder="Enter Payment Amount" id="payment-amount" name="payment_amount" type="text" value="{{ $truck->payment_amount ?? null }}">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 own-custom-grid leased-by-carrier rented-by-carrier @if(!in_array($truck->ownership, ['1', '2'])) d-none @endif">
                                <div class="form-group">
                                    <label for="security-deposit" class="mb-1">Security Deposit</label>
                                    <div class="input-group pre-append">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text">$</span>
                                        </div>
                                        <input class="form-control integer-input" placeholder="Enter Payment Amount" id="security-deposit" name="security_deposit" type="text" value="{{ $truck->security_deposit ?? null }}">
                                    </div>
                                </div>
                            </div>
                        @else
                            {{--
                            <div class="col-md-3 own-custom-grid owned-by-carrier owned-by-other d-none">
                                <div class="form-group mb-1">
                                    <div class="d-flex align-items-center">
                                        <div class="mr-auto">
                                            <label for="owner pr-1">Owner</label>
                                        </div>
                                        <div class="d-flex">
                                            <a href="javascript:void(0);" class="custom-top-label addMoreOwner">
                                                Add +
                                            </a>
                                        </div>
                                    </div>
                                    {!! Form::select('owner[]', ['' => 'Select Owner'] + getCarrierList(), null, ['class' => 'form-control owner select2']) !!}
                                </div>
                                <div id="moreOwner"></div>
                            </div>
                            --}}
                            <div class="col-md-3 own-custom-grid owned-by-carrier owned-by-other d-none">
                                <div class="form-group mb-1">
                                    <label for="owner pr-1">Owner</label>
                                    {!! Form::select('owner', ['' => 'Select Owner'] + getCarrierList(), null, ['class' => 'form-control owner select2']) !!}
                                </div>
                            </div>
                            {{--<div class="col-md-3 own-custom-grid owned-by-carrier d-none"></div>--}}
                            <div class="col-md-3 own-custom-grid owned-by-carrier d-none">
                                <div class="form-group">
                                    <label for="purchase-date" class="mb-1">Purchase Date</label>
                                    <div class="input-group">
                                        <input class="form-control date" placeholder="Enter Purchase Date" id="purchase-date" name="owner_purchase_date" type="text" value="{{ $truck->owner_purchase_date ?? null }}">
                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 own-custom-grid owned-by-carrier d-none">
                                <div class="form-group">
                                    <label for="purchase-price" class="mb-1">Purchase Price</label>
                                    <div class="input-group pre-append">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text">$</span>
                                        </div>
                                        <input class="form-control integer-input" placeholder="Enter Purchase Price" id="purchase-price" name="owner_purchase_price" type="text" value="{{ $truck->owner_purchase_price ?? null }}" onkeyup="clcBalanceDue()">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 own-custom-grid owned-by-carrier d-none">
                                <div class="form-group">
                                    <label for="down-payment" class="mb-1">Down Payment</label>
                                    <div class="input-group pre-append">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text">$</span>
                                        </div>
                                        <input class="form-control integer-input" placeholder="Enter Down Payment" id="down-payment" name="down_payment" type="text" value="{{ $truck->down_payment ?? null }}" onkeyup="clcBalanceDue()">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 own-custom-grid owned-by-carrier d-none">
                                <div class="form-group">
                                    <label for="balance-due" class="mb-1">Balance Due</label>
                                    <div class="input-group pre-append">
                                        <div class="input-group-prepend readonly-input">
                                            <span class="input-group-text">$</span>
                                        </div>
                                        <input class="form-control integer-input" placeholder="Balance Due" id="balance-due" name="balance_due" type="text" value="{{ $truck->balance_due ?? null }}" readonly>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 own-custom-grid owned-by-carrier align-self-center pl-0 d-none">
                                <a href="javascript:void(0);" class="mark-as-sold">Mark As Sold</a>
                            </div>
                            <div class="col-md-3 own-custom-grid owned-by-carrier d-none">
                                <div class="row">
                                    <div class="col-10 pr-0">
                                        <div class="form-group">
                                            <label for="purchase-agreement-on-file" class="mb-1">Purchase Agreement On-File</label>
                                            {!! Form::select('purchase_agreement_on_file', ['' => 'Select Yes / No', '0' => 'No', '1' => 'Yes'], $truck->purchase_agreement_on_file ?? null, ['class' => 'form-control select2', 'id' => 'purchase-agreement-on-file']) !!}
                                        </div>
                                    </div>
                                    <div class="col-2 pl-2 pr-1 d-flex align-items-center">
                                        <div class="form-group">
                                            <a href="javascript:void(0);" class="fileUpload">
                                                <i class="fa fa-picture-o purchaseAgreementFile gallary-edit @isset($truck->id) {{ checkeGalleryFileUpload($truck->id, 'purchase_agreement_file') }} @endisset" aria-hidden="true" data-id="{{ $truck->id ?? $dummy_id }}" data-source="truck" data-field="purchase_agreement_file" data-toggle="modal" data-target="#galleryModal" title="Purchase Agreement File"></i>
                                            </a>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            {{--
                            <div class="col-md-3 own-custom-grid leased-by-carrier leased-by-other d-none">
                                <div class="form-group mb-1">
                                    <div class="d-flex align-items-center">
                                        <div class="mr-auto">
                                            <label for="leasing-company pr-1">Leasing Company</label>
                                        </div>
                                        <div class="d-flex">
                                            <a href="javascript:void(0);" class="custom-top-label addMoreLeasingCompany">
                                                Add +
                                            </a>
                                        </div>
                                    </div>
                                    {!! Form::select('leasing_company[]', ['' => 'Select Leasing Company'] + getVendorList(), null, ['class' => 'form-control leasingCompany select2']) !!}
                                </div>
                                <div id="moreLeasingCompany"></div>
                            </div>
                            <div class="col-md-3 own-custom-grid rented-by-carrier rented-by-other d-none">
                                <div class="form-group mb-1">
                                    <div class="d-flex align-items-center">
                                        <div class="mr-auto">
                                            <label for="rental-company pr-1">Rental Company</label>
                                        </div>
                                        <div class="d-flex">
                                            <a href="javascript:void(0);" class="custom-top-label addMoreRentalCompany">
                                                Add +
                                            </a>
                                        </div>
                                    </div>
                                    {!! Form::select('rental_company[]', ['' => 'Select Rental Company'] + getVendorList(), null, ['class' => 'form-control rentalCompany select2']) !!}
                                </div>
                                <div id="moreRentalCompany"></div>
                            </div>
                            --}}

                            <div class="col-md-3 own-custom-grid leased-by-carrier leased-by-other d-none">
                                <div class="form-group mb-1">
                                    <label for="leasing-company pr-1">Leasing Company</label>
                                    {!! Form::select('leasing_company', ['' => 'Select Leasing Company'] + getVendorList(), null, ['class' => 'form-control leasingCompany select2']) !!}
                                </div>
                            </div>
                            <div class="col-md-3 own-custom-grid rented-by-carrier rented-by-other d-none">
                                <div class="form-group mb-1">
                                    <label for="rental-company pr-1">Rental Company</label>
                                    {!! Form::select('rental_company', ['' => 'Select Rental Company'] + getVendorList(), null, ['class' => 'form-control rentalCompany select2']) !!}
                                </div>
                            </div>

                            <div class="col-md-3 own-custom-grid leased-by-carrier leased-by-other d-none">
                                <div class="form-group">
                                    <label for="lease-point-of-contact" class="mb-1">Lease Point of Contact</label>
                                    {!! Form::select('lease_point_of_contact', [], $truck->lease_point_of_contact ?? null, ['class' => 'form-control', 'multiple' => 'multiple', 'id' => 'lease-point-of-contact']) !!}
                                </div>
                            </div>
                            <div class="col-md-3 own-custom-grid rented-by-carrier rented-by-other d-none">
                                <div class="form-group">
                                    <label for="rental-point-of-contact" class="mb-1">Rental Point of Contact</label>
                                    {!! Form::select('rental_point_of_contact', [], $truck->rental_point_of_contact ?? null, ['class' => 'form-control', 'multiple' => 'multiple', 'id' => 'rental-point-of-contact']) !!}
                                </div>
                            </div>

                            <div class="col-md-3 own-custom-grid leased-by-carrier d-none">
                                <div class="form-group">
                                    <label for="lease-start" class="mb-1">Lease Start</label>
                                    <div class="input-group">
                                        <input class="form-control date" placeholder="Enter Lease Start" id="lease-start" name="lease_start" type="text" value="{{ $truck->lease_start ?? null }}">
                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 own-custom-grid leased-by-carrier d-none">
                                <div class="form-group">
                                    <label for="lease-end" class="mb-1">Lease End</label>
                                    <div class="input-group">
                                        <input class="form-control date" placeholder="Enter Lease End" id="lease-end" name="lease_end" type="text" value="{{ $truck->lease_end ?? null }}">
                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 own-custom-grid rented-by-carrier d-none">
                                <div class="form-group">
                                    <label for="rental-start" class="mb-1">Rental Start</label>
                                    <div class="input-group">
                                        <input class="form-control date" placeholder="Enter Rental Start" id="rental-start" name="rental_start" type="text" value="{{ $truck->rental_start ?? null }}">
                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 own-custom-grid rented-by-carrier d-none">
                                <div class="form-group">
                                    <label for="rental-end" class="mb-1">Rental End</label>
                                    <div class="input-group">
                                        <input class="form-control date" placeholder="Enter Rental End" id="rental-end" name="rental_end" type="text" value="{{ $truck->rental_end ?? null }}">
                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-3 own-custom-grid leased-by-carrier rented-by-carrier d-none">
                                <div class="form-group">
                                    <label for="billing-type" class="mb-1">Billing Type</label>
                                    {!! Form::select('billing_type', ['' => 'Select Billing Type', '0' => 'ACH', '1' => 'Cheque', '2' => 'Credit Card', '3' => 'Cash', '4' => 'Invoiced'], $truck->billing_type ?? null, ['class' => 'form-control select2', 'id' => 'billing-type']) !!}
                                </div>
                            </div>

                            <div class="col-md-3 own-custom-grid leased-by-carrier d-none">
                                <div class="row">
                                    <div class="col-10 pr-0">
                                        <div class="form-group">
                                            <label for="lease-agreement-on-file" class="mb-1">Lease Agreement On-File</label>
                                            {!! Form::select('lease_agreement_on_file', ['' => 'Select Yes / No', '0' => 'No', '1' => 'Yes'], $truck->lease_agreement_on_file ?? null, ['class' => 'form-control select2', 'id' => 'lease-agreement-on-file']) !!}
                                        </div>
                                    </div>
                                    <div class="col-2 pl-2 pr-1 d-flex align-items-center">
                                        <div class="form-group">
                                            <a href="javascript:void(0);" class="fileUpload">
                                                <i class="fa fa-picture-o leaseAgreementFile gallary-edit @isset($truck->id) {{ checkeGalleryFileUpload($truck->id, 'lease_agreement_file') }} @endisset" aria-hidden="true" data-id="{{ $truck->id ?? $dummy_id }}" data-source="truck" data-field="lease_agreement_file" data-toggle="modal" data-target="#galleryModal" title="Lease Agreement File"></i>
                                            </a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 own-custom-grid rented-by-carrier d-none">
                                <div class="row">
                                    <div class="col-10 pr-0">
                                        <div class="form-group">
                                            <label for="rental-agreement-on-file" class="mb-1">Rental Agreement On-File</label>
                                            {!! Form::select('rental_agreement_on_file', ['' => 'Select Yes / No', '0' => 'No', '1' => 'Yes'], $truck->rental_agreement_on_file ?? null, ['class' => 'form-control select2', 'id' => 'rental-agreement-on-file']) !!}
                                        </div>
                                    </div>
                                    <div class="col-2 pl-2 pr-1 d-flex align-items-center">
                                        <div class="form-group">
                                            <a href="javascript:void(0);" class="fileUpload">
                                                <i class="fa fa-picture-o rentalAgreementFile gallary-edit @isset($truck->id) {{ checkeGalleryFileUpload($truck->id, 'rental_agreement_file') }} @endisset" aria-hidden="true" data-id="{{ $truck->id ?? $dummy_id }}" data-source="truck" data-field="rental_agreement_file" data-toggle="modal" data-target="#galleryModal" title="Rental Agreement File"></i>
                                            </a>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            {{--<div class="col-md-3 own-custom-grid leased-by-carrier rented-by-carrier d-none"></div>--}}
                            <div class="col-md-3 own-custom-grid owned-by-carrier leased-by-carrier rented-by-carrier d-none">
                                <div class="form-group">
                                    <label for="payment-type" class="mb-1">Payment Type</label>
                                    {!! Form::select('payment_type', ['' => 'Select Payment Type', '0' => 'ACH', '1' => 'Cheque', '2' => 'Credit Card', '3' => 'Cash', '4' => 'Invoiced'], $truck->payment_type ?? null, ['class' => 'form-control select2', 'id' => 'payment-type']) !!}
                                </div>
                            </div>
                            <div class="col-md-3 own-custom-grid leased-by-carrier rented-by-carrier d-none">
                                <div class="form-group">
                                    <label for="payment-amount" class="mb-1">Payment Amount</label>
                                    <div class="input-group pre-append">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text">$</span>
                                        </div>
                                        <input class="form-control integer-input" placeholder="Enter Payment Amount" id="payment-amount" name="payment_amount" type="text" value="{{ $truck->payment_amount ?? null }}">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 own-custom-grid leased-by-carrier rented-by-carrier d-none">
                                <div class="form-group">
                                    <label for="security-deposit" class="mb-1">Security Deposit</label>
                                    <div class="input-group pre-append">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text">$</span>
                                        </div>
                                        <input class="form-control integer-input" placeholder="Enter Payment Amount" id="security-deposit" name="security_deposit" type="text" value="{{ $truck->security_deposit ?? null }}">
                                    </div>
                                </div>
                            </div>
                        @endif
                    </div>
                    <hr/>
                    <div class="row p-3">
                        <div class="col-md-12 text-right">
                            <ul>
                                <li class="list-inline-item">
                                    <button type="button" class="btn btn-blueBr prev-step">Previous</button>
                                </li>
                                @if(isset($truck))
                                    <li class="list-inline-item">
                                        <button type="button" class="btn btn-blue next-step ownership-save" data-save-close="0">Save & Close</button>
                                    </li>
                                @endif
                                <li class="list-inline-item">
                                    <button type="button" class="btn btn-blue next-step mr-2 ownership-save" data-save-close="1">Save & Next</button>
                                </li>
                            </ul>
                        </div>
                    </div>
                    {!! Form::close() !!}
                </div>
                <div class="tab-pane" role="tabpanel" id="tabInsurance">
                    {!! Form::open(['autocomplete'  => 'off', 'name' => 'insurance-profile-form', 'id' => 'insurance-profile-form']) !!}
                        <input type="hidden" class="truck-id" name="truck_id" value="{{ $truck->id ?? ''}}">
                        @if(isset($truck) && !is_null($truck->truckProfileInsurance))
                            <div class="row px-3 py-2 pt-3">
                                <div class="col-md-3 ins-custom-grid">
                                    <div class="form-group mb-1">
                                        <div class="d-flex align-items-center">
                                            <div class="mr-auto">
                                                <label for="insurance_profile pr-1">Insurance Profile</label>
                                            </div>
                                            <div class="d-flex">
                                                <a href="javascript:void(0);" class="custom-top-label" data-toggle="modal" data-target="#insuranceProfileModal">
                                                    Add +
                                                </a>
                                            </div>
                                        </div>
                                        <select class="form-control select2" id="insurance-profile" name="insurance_profile">
                                            <option value="" data-insurance-types="">Select Insurance Profile</option>
                                            @foreach(getCompanyInsuranceProfiles() as $insuranceProfile)
                                                <option value="{{ $insuranceProfile->id }}" data-insurance-types="{{ $insuranceProfile->insurance_types }}" {{ (isset($truck->truckProfileInsurance->pluck('insurance_profile')[0]) && $truck->truckProfileInsurance->pluck('insurance_profile')[0] == $insuranceProfile->id) ? 'selected' : '' }}>{{ $insuranceProfile->profile_name }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <hr/>
                            <div class="row mx-2">
                                <div class="col-md-12 preViewDiv" id="preViewInsuranceProfile"></div>
                                <div class="col-md-12 text-center py-2 d-none" id="previewBtn">
                                    <button type="button" class="btn btn-blueBr mr-2" id="preViewCancel">Cancel</button>
                                    <button type="button" class="btn btn-blue ml-2" id="preViewImport">Import</button>
                                </div>
                            </div>
                            <div class="row px-3">
                                <div class="col-md-12" id="insuranceProfile">
                                    <div class="row pt-2">
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                @isset($truck->truckProfileInsurance->pluck('insurance_profile')[0])
                                                    <h6 class="section-heading">{{ getCompanyInsuranceProfilesName()[$truck->truckProfileInsurance->pluck('insurance_profile')[0]] ?? '' }}</h6>
                                                @endisset
                                            </div>
                                        </div>
                                    </div>
                                    @foreach($truck->truckProfileInsurance as $truckProfileInsurance)
                                        <div class="row pt-2">
                                            <div class="col-md-3 ins-prev-custom-grid pr-1">
                                                <div class="form-group">
                                                    <label for="insurance-types" class="mb-1">{{ getCompanyInsuranceTypes()[$truckProfileInsurance->insurance_type] }}</label>
                                                    <select class="form-control select2" name="insurance_vendor[]">
                                                        <option value="">Select Insurance Vendor</option>
                                                        @foreach (getVendorList() as $id => $vendorName){
                                                        <option value="{{$id}}" {{ ($truckProfileInsurance->insurance_vendor == $id) ? 'selected' : '' }}>{{$vendorName}}</option>
                                                        @endforeach
                                                    </select>
                                                    <input type="hidden" name="insurance_type[]" value="{{ $truckProfileInsurance->insurance_type ?? null }}">
                                                </div>
                                            </div>
                                            <div class="col-md-3 ins-prev-custom-grid pl-1 pr-1">
                                                <div class="form-group">
                                                    <label for="policy-number" class="mb-1">Policy No.</label>
                                                    <input class="form-control" placeholder="Enter" name="policy_number[]" type="text" value="{{ $truckProfileInsurance->policy_number ?? null }}">
                                                </div>
                                            </div>
                                            <div class="col-md-3 ins-prev-custom-grid pl-1 pr-1">
                                                <div class="form-group">
                                                    <label for="value" class="mb-1">Value</label>
                                                    <div class="input-group pre-append">
                                                        <div class="input-group-prepend">
                                                            <span class="input-group-text">$</span>
                                                        </div>
                                                        <input class="form-control integer-input comma-integer-input" placeholder="Enter" name="value[]" type="text" value="{{ $truckProfileInsurance->value ?? null }}">
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-3 ins-prev-custom-grid pl-1 pr-1">
                                                <div class="form-group">
                                                    <label for="date-added" class="mb-1">Date Added</label>
                                                    <div class="input-group">
                                                        <input class="form-control date" placeholder="Enter" name="date_added[]" type="text" value="@if(!is_null($truckProfileInsurance->date_added)){{ \Carbon\Carbon::parse($truckProfileInsurance->date_added)->format('m/d/Y') ?? null }}@endif">
                                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-3 ins-prev-custom-grid pl-1 pr-1">
                                                <div class="form-group">
                                                    <label for="expiration-date" class="mb-1">Expiration Date</label>
                                                    <div class="input-group">
                                                        <input class="form-control date" placeholder="Enter" name="expiration_date[]" type="text" value="@if(!is_null($truckProfileInsurance->expiration_date)){{ \Carbon\Carbon::parse($truckProfileInsurance->expiration_date)->format('m/d/Y') ?? null }}@endif">
                                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="pl-1 mt-4">
                                                <div class="form-group d-flex">
                                                    <div>
                                                        <a href="javascript:void(0);" class="insuranceFile">
                                                            <i class="fa fa-picture-o profileInsuranceFile gallary-edit {{checkeGalleryFileUpload($truck->id, 'profile_insurance_file_'.$loop->index)}}" aria-hidden="true" data-id="{{$truck->id}}" data-source="truck" data-field="profile_insurance_file_{{ $loop->index }}" data-toggle="modal" data-target="#galleryModal" title="Insurance File"></i>
                                                        </a>
                                                    </div>
                                                    <div>
                                                        <a href="javascript:void(0);" class="removeMoreProfileRows">
                                                            <i class="fa fa-minus-square" aria-hidden="true"></i>
                                                        </a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    @endforeach
                                </div>
                            </div>
                        @else
                            <div class="row px-3 py-2 pt-3">
                                <div class="col-md-3 ins-custom-grid">
                                    <div class="form-group mb-1">
                                        <div class="d-flex align-items-center">
                                            <div class="mr-auto">
                                                <label for="insurance_profile pr-1">Insurance Profile</label>
                                            </div>
                                            <div class="d-flex">
                                                <a href="javascript:void(0);" class="custom-top-label" data-toggle="modal" data-target="#insuranceProfileModal">
                                                    Add +
                                                </a>
                                            </div>
                                        </div>
                                        <select class="form-control select2" id="insurance-profile" name="insurance_profile">
                                            <option value="" data-insurance-types="">Select Insurance Profile</option>
                                            @foreach(getCompanyInsuranceProfiles() as $insuranceProfile)
                                                <option value="{{ $insuranceProfile->id }}" data-insurance-types="{{ $insuranceProfile->insurance_types }}">{{ $insuranceProfile->profile_name }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <hr/>
                            <div class="row mx-2">
                                <div class="col-md-12 preViewDiv" id="preViewInsuranceProfile"></div>
                                <div class="col-md-12 text-center py-2 d-none" id="previewBtn">
                                    <button type="button" class="btn btn-blueBr mr-2" id="preViewCancel">Cancel</button>
                                    <button type="button" class="btn btn-blue ml-2" id="preViewImport">Import</button>
                                </div>
                            </div>
                            <div class="row px-3">
                                <div class="col-md-12" id="insuranceProfile"></div>
                            </div>
                        @endif
                    {!! Form::close() !!}
                    <hr/>
                    {!! Form::open(['autocomplete'  => 'off', 'name' => 'additional-insurance-form', 'id' => 'additional-insurance-form']) !!}
                        <input type="hidden" class="truck-id" name="truck_id" value="{{ $truck->id ?? ''}}">
                        <input type="hidden" name="dummy_id" value="{{ $dummy_id }}">
                        @if(isset($truck) && !is_null($truck->truckAdditionalInsurance))
                            <div class="row px-3 py-2 pt-3">
                                <div class="col-md-12 text-left">
                                    <div class="d-flex align-items-center" id="additionalInsuranceHeader">
                                        <div class="form-group mb-1">
                                            <h6 class="section-heading">Additional Insurance</h6>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row px-3">
                                <div class="col-md-12" id="additionalInsurance">
                                    @foreach($truck->truckAdditionalInsurance as $truckAdditionalInsurance)
                                        <div class="row pt-2">
                                            <div class="col-md-3 ins-prev-custom-grid pr-1">
                                                <div class="form-group">
                                                    <label for="insurance-types" class="mb-1">{{ getCompanyInsuranceTypes()[$truckAdditionalInsurance->insurance_type] }}</label>
                                                    <select class="form-control select2" name="insurance_vendor[]">
                                                        <option value="">Select Insurance Vendor</option>
                                                        @foreach (getVendorList() as $id => $vendorName){
                                                        <option value="{{$id}}" {{ ($truckAdditionalInsurance->insurance_vendor == $id) ? 'selected' : '' }}>{{$vendorName}}</option>
                                                        @endforeach
                                                    </select>
                                                    <input type="hidden" name="insurance_type[]" value="{{ $truckAdditionalInsurance->insurance_type ?? null }}">
                                                </div>
                                            </div>
                                            <div class="col-md-3 ins-prev-custom-grid pl-1 pr-1">
                                                <div class="form-group">
                                                    <label for="policy-number" class="mb-1">Policy No.</label>
                                                    <input class="form-control" placeholder="Enter" name="policy_number[]" type="text" value="{{ $truckAdditionalInsurance->policy_number ?? null }}">
                                                </div>
                                            </div>
                                            <div class="col-md-3 ins-prev-custom-grid pl-1 pr-1">
                                                <div class="form-group">
                                                    <label for="value" class="mb-1">Value</label>
                                                    <div class="input-group pre-append">
                                                        <div class="input-group-prepend">
                                                            <span class="input-group-text">$</span>
                                                        </div>
                                                        <input class="form-control integer-input comma-integer-input" placeholder="Enter" name="value[]" type="text" value="{{ $truckAdditionalInsurance->value ?? null }}">
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-3 ins-prev-custom-grid pl-1 pr-1">
                                                <div class="form-group">
                                                    <label for="date-added" class="mb-1">Date Added</label>
                                                    <div class="input-group">
                                                        <input class="form-control date" placeholder="Enter" name="date_added[]" type="text" value="@if(!is_null($truckAdditionalInsurance->date_added)){{ \Carbon\Carbon::parse($truckAdditionalInsurance->date_added)->format('m/d/Y') ?? null }}@endif">
                                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-3 ins-prev-custom-grid pl-1 pr-1">
                                                <div class="form-group">
                                                    <label for="expiration-date" class="mb-1">Expiration Date</label>
                                                    <div class="input-group">
                                                        <input class="form-control date" placeholder="Enter" name="expiration_date[]" type="text" value="@if(!is_null($truckAdditionalInsurance->expiration_date)){{ \Carbon\Carbon::parse($truckAdditionalInsurance->expiration_date)->format('m/d/Y') ?? null }}@endif">
                                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="pl-1 mt-4">
                                                <div class="form-group d-flex">
                                                    <div>
                                                        <a href="javascript:void(0);" class="insuranceFile">
                                                            <i class="fa fa-picture-o additionalInsuranceFile gallary-edit {{checkeGalleryFileUpload($truck->id, 'additional_insurance_file_'.$loop->index)}}" aria-hidden="true" data-id="{{$truck->id}}" data-source="truck" data-field="additional_insurance_file_{{ $loop->index }}" data-toggle="modal" data-target="#galleryModal" title="Additional Insurance File"></i>
                                                        </a>
                                                    </div>
                                                    <div>
                                                        <a href="javascript:void(0);" class="removeMoreAdditionalRows">
                                                            <i class="fa fa-minus-square" aria-hidden="true"></i>
                                                        </a>
                                                    </div>
                                                    @if($loop->last)
                                                    <div>
                                                        <a href="javascript:void(0);" class="addMoreBtn addInsuranceBtn" data-toggle="modal" data-target="#addInsuranceLineModal">
                                                            <i class="fa fa-plus-square" aria-hidden="true"></i>
                                                        </a>
                                                    </div>
                                                    @endif
                                                </div>
                                            </div>
                                        </div>
                                    @endforeach
                                </div>
                            </div>
                        @else
                            <div class="row px-3 py-2 pt-3">
                                <div class="col-md-12 text-left">
                                    <div class="d-flex align-items-center" id="additionalInsuranceHeader">
                                        <div class="form-group mb-1">
                                            <a href="javascript:void(0);" class="addMoreBtn addInsuranceBtn" data-toggle="modal" data-target="#addInsuranceLineModal">
                                                <i class="fa fa-plus-square" aria-hidden="true"></i>
                                            </a>
                                        </div>
                                        <div class="form-group mb-1">
                                            <h6 class="section-heading">Additional Insurance</h6>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row px-3">
                                <div class="col-md-12" id="additionalInsurance"></div>
                            </div>
                        @endif
                    {!! Form::close() !!}
                    <hr/>
                    <div class="row p-3">
                        <div class="col-md-12 text-right">
                            <ul>
                                <li class="list-inline-item">
                                    <button type="button" class="btn btn-blueBr prev-step">Previous</button>
                                </li>
                                @if(isset($truck))
                                    <li class="list-inline-item">
                                        <button type="button" class="btn btn-blue next-step insurance-save" data-save-close="0">Save & Close</button>
                                    </li>
                                @endif
                                <li class="list-inline-item">
                                    <button type="button" class="btn btn-blue next-step mr-2 insurance-save" data-save-close="1">Save & Next</button>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
                <div class="tab-pane" role="tabpanel" id="tabCompliance">
                    {!! Form::open(['autocomplete'  => 'off', 'name' => 'compliance-tab', 'id' => 'compliance-tab']) !!}
                        <input type="hidden" class="truck-id" name="truck_id" value="{{ $truck->id ?? ''}}">
                        <input type="hidden" name="dummy_id" value="{{ $dummy_id }}">
                        <div class="row px-3 pt-3">
                            <div class="col-md-3 comp-custom-grid pr-2">
                                <div class="form-group">
                                    <label for="tag-type">Tag Type</label>
                                    {!! Form::select('tag', ['' => 'Select Tag Type'] + getTruckTagType(), $truck->tag ?? null, ['class' => 'form-control select2', 'id' => 'tag-type']) !!}
                                </div>
                            </div>
                            <div class="col-md-3 comp-custom-grid pl-1 pr-2">
                                <div class="form-group">
                                    <label for="tag-state">Tag State</label>
                                    {!! Form::select('tag_state', ['' => 'Select Tag State'] + getStateList(), $truck->tag_state ?? null, ['class' => 'form-control select2', 'id' => 'tag-state']) !!}
                                </div>
                            </div>
                            <div class="col-md-3 comp-custom-grid pl-1 pr-2">
                                <div class="form-group">
                                    <label for="tag-number">Tag Number</label>
                                    {!! Form::text('tag_number', $truck->tag_number ?? null, array('class' => 'form-control', 'placeholder' => 'Enter Tag Number', 'id' => 'tag-number')) !!}
                                </div>
                            </div>
                            <div class="col-md-3 comp-custom-grid pl-1 pr-2">
                                <div class="form-group">
                                    <label for="tag-exp-date" class="mb-1">Tag Exp. Date</label>
                                    <div class="input-group">
                                        {!! Form::text('tag_exp', $truck->tag_exp ?? null, array('class' => 'form-control date', 'placeholder' => 'Enter Tag Exp. Date', 'id' => 'tag-exp-date')) !!}
                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 comp-custom-grid pl-0 d-flex align-items-center">
                                <div class="form-group">
                                    <a href="javascript:void(0);" class="fileUpload">
                                        <i class="fa fa-picture-o tagFile gallary-edit @isset($truck->id) {{ checkeGalleryFileUpload($truck->id, 'tag_photo') }} @endisset" aria-hidden="true" data-id="{{ $truck->id ?? $dummy_id }}" data-source="truck" data-field="tag_photo" data-toggle="modal" data-target="#galleryModal" title="Tag File"></i>
                                    </a>
                                </div>
                            </div>
                        </div>
                        <div class="row px-3">
                            <div class="col-md-3 comp-custom-grid pr-2">
                                <div class="form-group">
                                    <label for="oregon-permit-number">Oregon Permit#</label>
                                    {!! Form::text('oregon_permit_number', $truck->oregon_permit_number ?? null, array('class' => 'form-control', 'placeholder' => 'Enter Permit No.', 'id' => 'oregon-permit-number')) !!}
                                </div>
                            </div>
                            <div class="col-md-3 comp-custom-grid pl-1 pr-2">
                                <div class="form-group">
                                    <label for="oregon-axles">Oregon Axles</label>
                                    {!! Form::select('oregon_axles', ['' => 'Select Oregon Axles'] + getTruckAxles(), $truck->oregon_axles ?? null, ['class' => 'form-control select2', 'id' => 'oregon-axles']) !!}
                                </div>
                            </div>
                            <div class="col-md-3 comp-custom-grid pl-1 pr-2">
                                <div class="form-group">
                                    <label for="oregon-date" class="mb-1">Oregon Date</label>
                                    <div class="input-group">
                                        {!! Form::text('oregon_date', $truck->oregon_date ?? null, array('class' => 'form-control date', 'placeholder' => 'Enter Oregon Date', 'id' => 'oregon-date')) !!}
                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 comp-custom-grid pl-1 pr-2">
                                <div class="form-group">
                                    <label for="oregon-weight" class="mb-1">Oregon Weight</label>
                                    <div class="input-group post-append">
                                        {!! Form::text('oregon_weight', $truck->oregon_weight ?? null, array('class' => 'form-control integer-input comma-integer-input', 'placeholder' => 'Enter Oregon Weight', 'id' => 'oregon-weight')) !!}
                                        <div class="input-group-append">
                                            <span class="input-group-text">lbs</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 comp-custom-grid pl-0 d-flex align-items-center">
                                <div class="form-group">
                                    <a href="javascript:void(0);" class="fileUpload">
                                        <i class="fa fa-picture-o oregonFile gallary-edit @isset($truck->id) {{ checkeGalleryFileUpload($truck->id, 'oregon_file') }} @endisset" aria-hidden="true" data-id="{{ $truck->id ?? $dummy_id }}" data-source="truck" data-field="oregon_file" data-toggle="modal" data-target="#galleryModal" title="Oregon File"></i>
                                    </a>
                                </div>
                            </div>
                        </div>
                        <div class="row px-3">
                            <div class="col-md-3 comp-custom-grid pr-2">
                                <div class="form-group">
                                    <label for="conf-number-2290">2290 Conf. #</label>
                                    {!! Form::text('conf_number_2290', $truck->conf_number_2290 ?? null, array('class' => 'form-control', 'placeholder' => 'Enter Conf. #', 'id' => 'conf-number-2290')) !!}
                                </div>
                            </div>
                            <div class="col-md-3 comp-custom-grid pl-1 pr-2">
                                <div class="form-group">
                                    <label for="filed-date-2290" class="mb-1">2290 Filed Date</label>
                                    <div class="input-group">
                                        {!! Form::text('filed_date_2290', $truck->filed_date_2290 ?? null, array('class' => 'form-control date', 'placeholder' => 'Enter 2290 Filed Date', 'id' => 'filed-date-2290')) !!}
                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 comp-custom-grid pl-1 pr-2">
                                <div class="form-group">
                                    <label for="exp-date-2290" class="mb-1">2290 Exp. Date</label>
                                    <div class="input-group">
                                        {!! Form::text('exp_date_2290', $truck->exp_date_2290 ?? null, array('class' => 'form-control date', 'placeholder' => 'Enter 2290 Exp. Date', 'id' => 'exp-date-2290')) !!}
                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 comp-custom-grid pl-0 d-flex align-items-center">
                                <div class="form-group">
                                    <a href="javascript:void(0);" class="fileUpload">
                                        <i class="fa fa-picture-o file2290 gallary-edit @isset($truck->id) {{ checkeGalleryFileUpload($truck->id, '2290_file') }} @endisset" aria-hidden="true" data-id="{{ $truck->id ?? $dummy_id }}" data-source="truck" data-field="2290_file" data-toggle="modal" data-target="#galleryModal" title="2290 File"></i>
                                    </a>
                                </div>
                            </div>
                        </div>
                        <div class="row px-3">
                            <div class="col-md-3 comp-custom-grid pr-2">
                                <div class="form-group">
                                    <label for="nyhut-permit-number">NYHUT Permit#</label>
                                    {!! Form::text('nyhut', $truck->nyhut ?? null, array('class' => 'form-control', 'placeholder' => 'Enter NYHUT Permit No.', 'id' => 'nyhut-permit-number')) !!}
                                </div>
                            </div>
                            <div class="col-md-3 comp-custom-grid pl-1 pr-2">
                                <div class="form-group">
                                    <label for="nyhut-exp-date" class="mb-1">NYHUT Exp. Date</label>
                                    <div class="input-group">
                                        {!! Form::text('nyhut_date', $truck->nyhut_date ?? null, array('class' => 'form-control date', 'placeholder' => 'Enter NYHUT Exp. Date', 'id' => 'nyhut-exp-date')) !!}
                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 comp-custom-grid pl-1 pr-2">
                                <div class="form-group">
                                    <label for="nyhut-unladen" class="mb-1">NYHUT Unladen</label>
                                    <div class="input-group post-append">
                                        {!! Form::text('nyhut_unladen', $truck->nyhut_unladen ?? null, array('class' => 'form-control integer-input comma-integer-input', 'placeholder' => 'Enter NYHUT Unladen', 'id' => 'nyhut-unladen')) !!}
                                        <div class="input-group-append">
                                            <span class="input-group-text">lbs</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 comp-custom-grid pl-0 d-flex align-items-center">
                                <div class="form-group">
                                    <a href="javascript:void(0);" class="fileUpload">
                                        <i class="fa fa-picture-o nyhutFile gallary-edit @isset($truck->id) {{ checkeGalleryFileUpload($truck->id, 'nyhut_file') }} @endisset" aria-hidden="true" data-id="{{ $truck->id ?? $dummy_id }}" data-source="truck" data-field="nyhut_file" data-toggle="modal" data-target="#galleryModal" title="NYHUT File"></i>
                                    </a>
                                </div>
                            </div>
                        </div>
                        <div class="row px-3">
                            <div class="col-md-3 comp-custom-grid pr-2">
                                <div class="form-group">
                                    <label for="kyu-permit-number">KYU Permit No.</label>
                                    {!! Form::text('kyu_permit_number', $truck->kyu_permit_number ?? null, array('class' => 'form-control', 'placeholder' => 'Enter KYU Permit No.', 'id' => 'kyu-permit-number')) !!}
                                </div>
                            </div>
                            <div class="col-md-3 comp-custom-grid pl-1 pr-2">
                                <div class="form-group">
                                    <label for="kyu-exp-date" class="mb-1">KYU Exp. Date</label>
                                    <div class="input-group">
                                        {!! Form::text('kyu_due_date', $truck->kyu_due_date ?? null, array('class' => 'form-control date', 'placeholder' => 'Enter KYU Exp. Date', 'id' => 'kyu-exp-date')) !!}
                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 comp-custom-grid pl-0 d-flex align-items-center">
                                <div class="form-group">
                                    <a href="javascript:void(0);" class="fileUpload">
                                        <i class="fa fa-picture-o kyuFile gallary-edit @isset($truck->id) {{ checkeGalleryFileUpload($truck->id, 'kyu_file') }} @endisset" aria-hidden="true" data-id="{{ $truck->id ?? $dummy_id }}" data-source="truck" data-field="kyu_file" data-toggle="modal" data-target="#galleryModal" title="KYU File"></i>
                                    </a>
                                </div>
                            </div>
                        </div>
                        <div class="row px-3">
                            <div class="col-md-3 comp-custom-grid pr-2">
                                <div class="form-group">
                                    <label for="carb-id-number">Carb ID No.</label>
                                    {!! Form::text('carb_id', $truck->carb_id ?? null, array('class' => 'form-control', 'placeholder' => 'Enter Carb ID No.', 'id' => 'carb-id-number')) !!}
                                </div>
                            </div>
                            <div class="col-md-3 comp-custom-grid pl-1 pr-2">
                                <div class="form-group">
                                    <label for="carb-exp-date" class="mb-1">Carb Exp. Date</label>
                                    <div class="input-group">
                                        {!! Form::text('carb_id_date', $truck->carb_id_date ?? null, array('class' => 'form-control date', 'placeholder' => 'Enter Carb Exp. Date', 'id' => 'carb-exp-date')) !!}
                                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 comp-custom-grid pl-1 pr-2">
                                <div class="form-group">
                                    <label for="carb-compliant">Carb Compliant</label>
                                    {!! Form::select('carb_compliant', ['' => 'Select Yes / No', '0' => 'No', '1' => 'Yes'], $truck->carb_compliant ?? null, ['class' => 'form-control select2', 'id' => 'carb-compliant']) !!}
                                </div>
                            </div>
                            <div class="col-md-3 comp-custom-grid pl-0 d-flex align-items-center">
                                <div class="form-group">
                                    <a href="javascript:void(0);" class="fileUpload">
                                        <i class="fa fa-picture-o carbFile gallary-edit @isset($truck->id) {{ checkeGalleryFileUpload($truck->id, 'carb_id_file') }} @endisset" aria-hidden="true" data-id="{{ $truck->id ?? $dummy_id }}" data-source="truck" data-field="carb_id_file" data-toggle="modal" data-target="#galleryModal" title="Carb File"></i>
                                    </a>
                                </div>
                            </div>
                        </div>
                        <hr/>
                        <div class="row px-3 py-2 pt-1">
                            <div class="col-md-12 mb-2">
                                <div class="form-group">
                                    <h6 class="section-heading">Turn On Tax Filing (Select All That Apply)</h6>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-check form-check-inline">
                                    <input class="form-check-input" type="checkbox" id="chkIfta" name="apply_ifta" value="1" @isset($truck->id) {{ $truck->apply_ifta == '1' ? 'checked' : '' }} @endisset>
                                    <label class="form-check-label" for="chkIfta">IFTA</label>
                                </div>
                                <div class="form-check form-check-inline">
                                    <input class="form-check-input" type="checkbox" id="chkNyhut" name="apply_nyhut" value="1" @isset($truck->id) {{ $truck->apply_nyhut == '1' ? 'checked' : '' }} @endisset>
                                    <label class="form-check-label" for="chkNyhut">NYHUT</label>
                                </div>
                                <div class="form-check form-check-inline">
                                    <input class="form-check-input" type="checkbox" id="chkKyu" name="apply_kyu" value="1" @isset($truck->id) {{ $truck->apply_kyu == '1' ? 'checked' : '' }} @endisset>
                                    <label class="form-check-label" for="chkKyu">KYU</label>
                                </div>
                                <div class="form-check form-check-inline">
                                    <input class="form-check-input" type="checkbox" id="chkNewMexico" name="apply_new_mexico" value="1" @isset($truck->id) {{ $truck->apply_new_mexico == '1' ? 'checked' : '' }} @endisset>
                                    <label class="form-check-label" for="chkNewMexico">New Mexico</label>
                                </div>
                                <div class="form-check form-check-inline">
                                    <input class="form-check-input" type="checkbox" id="chkOregon" name="apply_oregon" value="1" @isset($truck->id) {{ $truck->apply_oregon == '1' ? 'checked' : '' }} @endisset>
                                    <label class="form-check-label" for="chkOregon">Oregon</label>
                                </div>
                            </div>
                        </div>
                        <hr/>
                        <div class="row p-3">
                            <div class="col-md-12 text-right">
                                <ul>
                                    <li class="list-inline-item">
                                        <button type="button" class="btn btn-blueBr prev-step">Previous</button>
                                    </li>
                                    @if(isset($truck))
                                        <li class="list-inline-item">
                                            <button type="button" class="btn btn-blue next-step compliance-save" data-save-close="0">Save & Close</button>
                                        </li>
                                    @endif
                                    <li class="list-inline-item">
                                        <button type="button" class="btn btn-blue next-step mr-2 compliance-save" data-save-close="1">Save & Next</button>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    {!! Form::close() !!}
                </div>
                <div class="tab-pane" role="tabpanel" id="tabPmMaintenanceService">
                    {!! Form::open(['autocomplete'  => 'off', 'name' => 'pm-service-profile-form', 'id' => 'pm-service-profile-form']) !!}
                        <input type="hidden" class="truck-id" name="truck_id" value="{{ $truck->id ?? ''}}">
                        @if(isset($truck) && !is_null($truck->truckProfilePmServices))
                            <div class="row px-3 py-2 pt-3">
                                <div class="col-md-3 pm-service-custom-grid">
                                    <div class="form-group mb-1">
                                        <div class="d-flex align-items-center">
                                            <div class="mr-auto">
                                                <label for="pm-service-profile pr-1">PM/Service Profile</label>
                                            </div>
                                            <div class="d-flex">
                                                <a href="javascript:void(0);" class="custom-top-label" id="getPmServiceProfileModal">
                                                    Add +
                                                </a>
                                            </div>
                                        </div>
                                        <select class="form-control select2" id="pm-service-profile" name="pm_service_profile">
                                            <option value="" data-pm-types="">Select PM/Service Profile</option>
                                            @foreach(getCompanyPmServiceProfiles() as $pmServiceProfiles)
                                                <option value="{{ $pmServiceProfiles->id }}" data-pm-types="{{ base64_encode($pmServiceProfiles->types) }}" data-pm-service-types="{{ base64_encode($pmServiceProfiles->service_types) }}" data-pm-interval-types="{{ base64_encode($pmServiceProfiles->interval_types) }}" data-pm-schedules="{{ base64_encode($pmServiceProfiles->schedules) }}" {{ (isset($truck->truckProfilePmServices->pluck('pm_service_profile')[0]) && $truck->truckProfilePmServices->pluck('pm_service_profile')[0] == $pmServiceProfiles->id) ? 'selected' : '' }}>{{ $pmServiceProfiles->profile_name }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <hr/>
                            <div class="row mx-2">
                                <div class="col-md-12 preViewDiv" id="preViewPmServiceProfile"></div>
                                <div class="col-md-12 text-center py-2 d-none previewBtn">
                                    <button type="button" class="btn btn-blueBr mr-2 preViewCancel">Cancel</button>
                                    <button type="button" class="btn btn-blue ml-2 preViewImport">Import</button>
                                </div>
                            </div>
                            <div class="row px-3">
                                <div class="col-md-12" id="pmServiceProfile">
                                    <div class="row pt-2">
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                @isset($truck->truckProfilePmServices->pluck('pm_service_profile')[0])
                                                    <h6 class="section-heading">{{ getCompanyPmServiceProfilesName()[$truck->truckProfilePmServices->pluck('pm_service_profile')[0]] ?? '' }}</h6>
                                                @endisset
                                            </div>
                                        </div>
                                    </div>
                                    @foreach($truck->truckProfilePmServices as $truckProfilePmService)
                                        <div class="row pb-2">
                                            <div class="col-md-2 pr-1 pm-service-prev-custom-grid">
                                                <div class="form-group">
                                                    @if($loop->first)
                                                        <label for="types" class="mb-1">Type</label>
                                                    @endif
                                                    {!! Form::select('types[]', ['' => 'Select Type'] + getTruckPmType(), $truckProfilePmService->type ?? null, ['class' => 'form-control select2']) !!}
                                                </div>
                                            </div>
                                            <div class="col-md-2 pl-1 pr-1 pm-service-prev-custom-grid">
                                                <div class="form-group">
                                                    @if($loop->first)
                                                        <label for="service-type" class="mb-1">Service Type</label>
                                                    @endif
                                                    {!! Form::select('service_type[]', ['' => 'Select Service Type'] + getTruckPmServiceType(), $truckProfilePmService->service_type ?? null, ['class' => 'form-control select2']) !!}
                                                </div>
                                            </div>
                                            <div class="col-md-2 pl-1 pr-1 pm-service-prev-custom-grid">
                                                <div class="form-group">
                                                    @if($loop->first)
                                                        <label for="interval-type" class="mb-1">Interval Type</label>
                                                    @endif
                                                    {!! Form::select('interval_type[]', ['' => 'Select Interval Type'] + getTruckPmServiceIntervalType(), $truckProfilePmService->interval_type ?? null, ['class' => 'form-control intervalType select2']) !!}
                                                </div>
                                            </div>
                                            @if($truckProfilePmService->interval_type == "1" || $truckProfilePmService->interval_type == "2")
                                                <div class="col-md-2 pl-1 pr-1 pm-service-prev-custom-grid">
                                                    <div class="form-group">
                                                        @if($loop->first)
                                                            <label for="schedule" class="mb-1">Schedule</label>
                                                        @endif
                                                        {!! Form::text('schedule[]', $truckProfilePmService->schedule ?? null, array('class' => 'form-control integer-input', 'placeholder' => 'Enter')) !!}
                                                    </div>
                                                </div>
                                                <div class="col-md-2 pl-1 pr-1 pm-service-prev-custom-grid">
                                                    <div class="form-group">
                                                        @if($loop->first)
                                                            <label for="due" class="mb-1">Due</label>
                                                        @endif
                                                        {!! Form::text('due_date[]',  $truckProfilePmService->due_date ?? null, array('class' => 'form-control integer-input', 'placeholder' => 'Enter')) !!}
                                                    </div>
                                                </div>
                                                <div class="col-md-2 pl-1 pr-1 pm-service-prev-custom-grid">
                                                    <div class="form-group">
                                                        @if($loop->first)
                                                            <label for="due" class="mb-1">Last Performed</label>
                                                        @endif
                                                        {!! Form::text('last_performed[]', $truckProfilePmService->last_performed ?? null, array('class' => 'form-control', 'placeholder' => 'Enter')) !!}
                                                    </div>
                                                </div>
                                            @else
                                                <div class="col-md-2 pl-1 pr-1 pm-service-prev-custom-grid">
                                                    <div class="form-group">
                                                        @if($loop->first)
                                                            <label for="schedule" class="mb-1">Schedule</label>
                                                        @endif
                                                        {!! Form::select('schedule[]', ['' => 'Select'] + getTruckSchedules(), $truckProfilePmService->schedule ?? null, ['class' => 'form-control schedule select2']) !!}
                                                    </div>
                                                </div>
                                                <div class="col-md-2 pl-1 pr-1 pm-service-prev-custom-grid">
                                                    <div class="form-group">
                                                        @if($loop->first)
                                                            <label for="due" class="mb-1">Due</label>
                                                        @endif
                                                        <div class="input-group">
                                                            {!! Form::text('due_date[]',  $truckProfilePmService->due_date ?? null, array('class' => 'form-control date', 'placeholder' => 'Enter')) !!}
                                                            <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-md-2 pl-1 pr-1 pm-service-prev-custom-grid">
                                                    <div class="form-group">
                                                        @if($loop->first)
                                                            <label for="due" class="mb-1">Last Performed</label>
                                                        @endif
                                                        <div class="input-group">
                                                            {!! Form::text('last_performed[]', $truckProfilePmService->last_performed ?? null, array('class' => 'form-control date', 'placeholder' => 'Enter')) !!}
                                                            <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                                        </div>
                                                    </div>
                                                </div>
                                            @endif
                                            <div class="pl-1 {{ ($loop->first) ? 'mt-4' : 'mt-1' }}">
                                                <div class="form-group d-flex">
                                                    <div>
                                                        <a href="javascript:void(0);" class="removeMoreBtn removeMorePmServiceProfileRows">
                                                            <i class="fa fa-minus-square" aria-hidden="true"></i>
                                                        </a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    @endforeach
                                </div>
                            </div>
                        @else
                            <div class="row px-3 py-2 pt-3">
                                <div class="col-md-3 pm-service-custom-grid">
                                    <div class="form-group mb-1">
                                        <div class="d-flex align-items-center">
                                            <div class="mr-auto">
                                                <label for="pm-service-profile pr-1">PM/Service Profile</label>
                                            </div>
                                            <div class="d-flex">
                                                <a href="javascript:void(0);" class="custom-top-label" id="getPmServiceProfileModal">
                                                    Add +
                                                </a>
                                            </div>
                                        </div>
                                        <select class="form-control select2" id="pm-service-profile" name="pm_service_profile">
                                            <option value="" data-pm-types="">Select PM/Service Profile</option>
                                            @foreach(getCompanyPmServiceProfiles() as $pmServiceProfiles)
                                                <option value="{{ $pmServiceProfiles->id }}" data-pm-types="{{ base64_encode($pmServiceProfiles->types) }}" data-pm-service-types="{{ base64_encode($pmServiceProfiles->service_types) }}" data-pm-interval-types="{{ base64_encode($pmServiceProfiles->interval_types) }}" data-pm-schedules="{{ base64_encode($pmServiceProfiles->schedules) }}">{{ $pmServiceProfiles->profile_name }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <hr/>
                            <div class="row mx-2">
                                <div class="col-md-12 preViewDiv" id="preViewPmServiceProfile"></div>
                                <div class="col-md-12 text-center py-2 d-none previewBtn">
                                    <button type="button" class="btn btn-blueBr mr-2 preViewCancel">Cancel</button>
                                    <button type="button" class="btn btn-blue ml-2 preViewImport">Import</button>
                                </div>
                            </div>
                            <div class="row px-3">
                                <div class="col-md-12" id="pmServiceProfile"></div>
                            </div>
                        @endif
                    {!! Form::close() !!}
                    <hr/>
                    {!! Form::open(['autocomplete'  => 'off', 'name' => 'additional-pm-service-form', 'id' => 'additional-pm-service-form']) !!}
                        <input type="hidden" class="truck-id" name="truck_id" value="{{ $truck->id ?? ''}}">
                        @if(isset($truck) && !is_null($truck->truckAdditionalPmService))
                            <div class="row px-3 py-2 pt-3">
                                <div class="col-md-12 text-left">
                                    <div class="d-flex align-items-center" id="additionalPmServiceHeader">
                                        <div class="form-group mb-1">
                                            <h6 class="section-heading">Additional PM Maintenance & Service</h6>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row px-3">
                                <div class="col-md-12" id="additionalPmService">
                                    @foreach($truck->truckAdditionalPmService as $truckAdditionalPmService)
                                        @include('companyAdmin.truck.ajax-view.additional-pm-service', ['rowIndex' => $loop->index, 'truckAdditionalPmService' => $truckAdditionalPmService, 'isLast' => $loop->last])
                                    @endforeach
                                </div>
                            </div>
                        @else
                            <div class="row px-3 py-2 pt-3">
                                <div class="col-md-12 text-left">
                                    <div class="d-flex align-items-center" id="additionalPmServiceHeader">
                                        <div class="form-group mb-1">
                                            <a href="javascript:void(0);" class="addMoreBtn addAdditionalPmServiceBtn">
                                                <i class="fa fa-plus-square" aria-hidden="true"></i>
                                            </a>
                                        </div>
                                        <div class="form-group mb-1">
                                            <h6 class="section-heading">Additional PM Maintenance & Service</h6>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row px-3">
                                <div class="col-md-12" id="additionalPmService"></div>
                            </div>
                        @endif
                    {!! Form::close() !!}
                    <hr/>
                    {!! Form::open(['autocomplete'  => 'off', 'name' => 'warranty-pm-service-form', 'id' => 'warranty-pm-service-form']) !!}
                        <input type="hidden" class="truck-id" name="truck_id" value="{{ $truck->id ?? ''}}">
                        @if(isset($truck) && !is_null($truck->truckWarrantyPmServices))
                            <div class="row px-3 py-2 pt-3" id="warrantyHeader">
                                @if(count(getCompanyPmServiceWarrantyProfiles()) > 0)
                                    <div class="col-md-3 warranty-pm-service-custom-grid">
                                        <div class="form-group mb-1">
                                            <div class="d-flex align-items-center">
                                                <div class="mr-auto">
                                                    <label for="pm-service-profile pr-1">Warranty Profile</label>
                                                </div>
                                                <div class="d-flex">
                                                    <a href="javascript:void(0);" class="custom-top-label addWarranty">
                                                        Add +
                                                    </a>
                                                </div>
                                            </div>
                                            <select class="form-control select2" id="pm-service-warranty-profile" name="pm_service_warranty_profile">
                                                <option value="" data-warranty-providers="">Select Warranty Profile</option>
                                                @foreach(getCompanyPmServiceWarrantyProfiles() as $pmServiceWarrantyProfiles)
                                                    <option value="{{ $pmServiceWarrantyProfiles->id }}" data-warranty-providers="{{ base64_encode($pmServiceWarrantyProfiles->warranty_providers) }}" {{ (isset($truck->truckWarrantyPmServices->pluck('pm_service_warranty_profile')[0]) && $truck->truckWarrantyPmServices->pluck('pm_service_warranty_profile')[0] == $pmServiceWarrantyProfiles->id) ? 'selected' : '' }}>{{ $pmServiceWarrantyProfiles->profile_name }}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                @else
                                    <div class="col-md-12 text-left">
                                        <div class="d-flex align-items-center" id="warrantyPmServiceHeader">
                                            <div class="form-group mb-1">
                                                <a href="javascript:void(0);" class="addMoreBtn addWarranty">
                                                    <i class="fa fa-plus-square" aria-hidden="true"></i>
                                                </a>
                                            </div>
                                            <div class="form-group mb-1">
                                                <h6 class="section-heading">Warranty</h6>
                                            </div>
                                        </div>
                                    </div>
                                @endif
                            </div>
                            <hr/>
                            <div class="row mx-2">
                                <div class="col-md-12 preViewDiv" id="preViewPmServiceWarrantyProfile"></div>
                                <div class="col-md-12 text-center py-2 d-none previewBtn">
                                    <button type="button" class="btn btn-blueBr mr-2 preViewCancel">Cancel</button>
                                    <button type="button" class="btn btn-blue ml-2 preViewImport">Import</button>
                                </div>
                            </div>
                            <div class="row px-3">
                                <div class="col-md-12" id="warrantyPmService">
                                    @include('companyAdmin.truck.ajax-view.warranty-pm-service', ['pmServiceWarrantyProfile' => getCompanyPmServiceWarrantyProfilesName()[$truck->truckWarrantyPmServices->pluck('pm_service_warranty_profile')[0]] ?? '', 'truckWarrantyPmServices' => $truck->truckWarrantyPmServices])
                                </div>
                            </div>
                        @else
                            <div class="row px-3 py-2 pt-3" id="warrantyHeader">
                                @if(count(getCompanyPmServiceWarrantyProfiles()) > 0)
                                    <div class="col-md-3 warranty-pm-service-custom-grid">
                                        <div class="form-group mb-1">
                                            <div class="d-flex align-items-center">
                                                <div class="mr-auto">
                                                    <label for="pm-service-profile pr-1">Warranty Profile</label>
                                                </div>
                                                <div class="d-flex">
                                                    <a href="javascript:void(0);" class="custom-top-label addWarranty">
                                                        Add +
                                                    </a>
                                                </div>
                                            </div>
                                            <select class="form-control select2" id="pm-service-warranty-profile" name="pm_service_warranty_profile">
                                                <option value="" data-warranty-providers="">Select Warranty Profile</option>
                                                @foreach(getCompanyPmServiceWarrantyProfiles() as $pmServiceWarrantyProfiles)
                                                    <option value="{{ $pmServiceWarrantyProfiles->id }}" data-warranty-providers="{{ base64_encode($pmServiceWarrantyProfiles->warranty_providers) }}">{{ $pmServiceWarrantyProfiles->profile_name }}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                @else
                                    <div class="col-md-12 text-left">
                                        <div class="d-flex align-items-center" id="warrantyPmServiceHeader">
                                            <div class="form-group mb-1">
                                                <a href="javascript:void(0);" class="addMoreBtn addWarranty">
                                                    <i class="fa fa-plus-square" aria-hidden="true"></i>
                                                </a>
                                            </div>
                                            <div class="form-group mb-1">
                                                <h6 class="section-heading">Warranty</h6>
                                            </div>
                                        </div>
                                    </div>
                                @endif
                            </div>
                            <hr/>
                            <div class="row mx-2">
                                <div class="col-md-12 preViewDiv" id="preViewPmServiceWarrantyProfile"></div>
                                <div class="col-md-12 text-center py-2 d-none previewBtn">
                                    <button type="button" class="btn btn-blueBr mr-2 preViewCancel">Cancel</button>
                                    <button type="button" class="btn btn-blue ml-2 preViewImport">Import</button>
                                </div>
                            </div>
                            <div class="row px-3">
                                <div class="col-md-12" id="warrantyPmService"></div>
                            </div>
                        @endif
                    {!! Form::close() !!}
                    <hr/>
                    <div class="row p-3">
                        <div class="col-md-12 text-right">
                            <ul>
                                <li class="list-inline-item">
                                    <button type="button" class="btn btn-blueBr prev-step">Previous</button>
                                </li>
                                @if(isset($truck))
                                    <li class="list-inline-item">
                                        <button type="button" class="btn btn-blue next-step pm-service-save" data-save-close="0">Save & Close</button>
                                    </li>
                                @endif
                                <li class="list-inline-item">
                                    <button type="button" class="btn btn-blue next-step mr-2 pm-service-save" data-save-close="1">Save & Next</button>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
                <div class="tab-pane" role="tabpanel" id="tabIntegrations">
                    <ul class="nav nav-tabs flex-nowrap px-3 insideTabList" role="tablist">
                        <li role="presentation" class="nav-item">
                            <a href="#tabAllIntegrations" class="nav-link tabAllIntegrations active" data-toggle="tab" aria-controls="tabAllIntegrations" role="tab"> All Integrations</a>
                        </li>
                        <li role="presentation" class="nav-item">
                            <a href="#tabConnected" class="nav-link tabConnected" data-toggle="tab" aria-controls="tabConnected" role="tab"> Connected</a>
                        </li>
                    </ul>
                    <div class="tab-content insideTabContent">
                        <div class="tab-pane active" role="tabpanel" id="tabAllIntegrations">
                            @include('companyAdmin.truck.ajax-view.all-Integrations')
                        </div>
                        <div class="tab-pane" role="tabpanel" id="tabConnected">
                            @include('companyAdmin.truck.ajax-view.connected-Integrations')
                        </div>
                    </div>
                    <hr/>
                    <div class="row p-3">
                        <div class="col-md-12 text-right">
                            <ul>
                                <li class="list-inline-item">
                                    <button type="button" class="btn btn-blueBr prev-step">Previous</button>
                                </li>
                                @if(isset($truck))
                                    <li class="list-inline-item">
                                        <button type="button" class="btn btn-blue next-step integrations-save" data-save-close="0">Save & Close</button>
                                    </li>
                                @endif
                                <li class="list-inline-item">
                                    <button type="button" class="btn btn-blue next-step mr-2 integrations-save" data-save-close="1">Save & Next</button>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
                <div class="tab-pane" role="tabpanel" id="tabToolsEquipmentAccessories">
                    {!! Form::open(['autocomplete'  => 'off', 'name' => 'equipment-profile-form', 'id' => 'equipment-profile-form']) !!}
                        <input type="hidden" class="truck-id" name="truck_id" value="{{ $truck->id ?? ''}}">
                        @if(isset($truck) && !is_null($truck->truckProfileEquipments))
                            <div class="row px-3 py-2 pt-3">
                                <div class="col-md-3 equipment-custom-grid">
                                    <div class="form-group mb-1">
                                        <div class="d-flex align-items-center">
                                            <div class="mr-auto">
                                                <label for="equipment-profile pr-1">Equipment Profile</label>
                                            </div>
                                            <div class="d-flex">
                                                <a href="javascript:void(0);" class="custom-top-label" id="getEquipmentProfileModal">
                                                    Add +
                                                </a>
                                            </div>
                                        </div>
                                        <select class="form-control select2" id="equipment-profile" name="equipment_profile">
                                            <option value="" data-equipment-titles="">Select Equipment Profile</option>
                                            @foreach(getCompanyEquipmentProfiles() as $equipmentProfiles)
                                                <option value="{{ $equipmentProfiles->id }}" data-equipment-titles="{{ $equipmentProfiles->titles }}" {{ (isset($truck->truckProfileEquipments->pluck('equipment_profile')[0]) && $truck->truckProfileEquipments->pluck('equipment_profile')[0] == $equipmentProfiles->id) ? 'selected' : '' }}>{{ $equipmentProfiles->profile_name }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <hr/>
                            <div class="row mx-2">
                                <div class="col-md-12 preViewDiv" id="preViewEquipmentProfile"></div>
                                <div class="col-md-12 text-center py-2 d-none previewBtn">
                                    <button type="button" class="btn btn-blueBr mr-2 preViewCancel">Cancel</button>
                                    <button type="button" class="btn btn-blue ml-2 preViewImport">Import</button>
                                </div>
                            </div>
                            <div class="row px-3">
                                <div class="col-md-12" id="equipmentProfile">
                                    @php
                                        $equipmentProfileName = (isset($truck->truckProfileEquipments->pluck('equipment_profile')[0])) ? getCompanyEquipmentProfilesName()[$truck->truckProfileEquipments->pluck('equipment_profile')[0]] : '';
                                    @endphp
                                    @include('companyAdmin.truck.ajax-view.equipment-profile', ['equipmentProfileName' => $equipmentProfileName, 'truckProfileEquipments' => $truck->truckProfileEquipments])
                                </div>
                            </div>
                        @else
                            <div class="row px-3 py-2 pt-3">
                                <div class="col-md-3 equipment-custom-grid">
                                    <div class="form-group mb-1">
                                        <div class="d-flex align-items-center">
                                            <div class="mr-auto">
                                                <label for="equipment-profile pr-1">Equipment Profile</label>
                                            </div>
                                            <div class="d-flex">
                                                <a href="javascript:void(0);" class="custom-top-label" id="getEquipmentProfileModal">
                                                    Add +
                                                </a>
                                            </div>
                                        </div>
                                        <select class="form-control select2" id="equipment-profile" name="equipment_profile">
                                            <option value="" data-equipment-titles="">Select Equipment Profile</option>
                                            @foreach(getCompanyEquipmentProfiles() as $equipmentProfiles)
                                                <option value="{{ $equipmentProfiles->id }}" data-equipment-titles="{{ $equipmentProfiles->titles }}">{{ $equipmentProfiles->profile_name }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <hr/>
                            <div class="row mx-2">
                                <div class="col-md-12 preViewDiv" id="preViewEquipmentProfile"></div>
                                <div class="col-md-12 text-center py-2 d-none previewBtn">
                                    <button type="button" class="btn btn-blueBr mr-2 preViewCancel">Cancel</button>
                                    <button type="button" class="btn btn-blue ml-2 preViewImport">Import</button>
                                </div>
                            </div>
                            <div class="row px-3">
                                <div class="col-md-12" id="equipmentProfile"></div>
                            </div>
                        @endif
                    {!! Form::close() !!}
                    <hr/>
                    {!! Form::open(['autocomplete'  => 'off', 'name' => 'additional-equipment-form', 'id' => 'additional-equipment-form']) !!}
                        <input type="hidden" class="truck-id" name="truck_id" value="{{ $truck->id ?? ''}}">
                        @if(isset($truck) && !is_null($truck->truckAdditionalEquipments))
                            <div class="row px-3 py-2 pt-3">
                                <div class="col-md-12 text-left">
                                    <div class="d-flex align-items-center" id="additionalEquipmentHeader">
                                        <div class="form-group mb-1">
                                            <h6 class="section-heading">Additional Equipment</h6>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row px-3">
                                <div class="col-md-12" id="additionalEquipment">
                                    @foreach($truck->truckAdditionalEquipments as $truckAdditionalEquipment)
                                        @include('companyAdmin.truck.ajax-view.additional-equipment', ['rowIndex' => $loop->index, 'truckAdditionalEquipment' => $truckAdditionalEquipment, 'isLast' => $loop->last])
                                    @endforeach
                                </div>
                            </div>
                        @else
                            <div class="row px-3 py-2 pt-3">
                                <div class="col-md-12 text-left">
                                    <div class="d-flex align-items-center" id="additionalEquipmentHeader">
                                        <div class="form-group mb-1">
                                            <a href="javascript:void(0);" class="addMoreBtn addAdditionalEquipmentBtn">
                                                <i class="fa fa-plus-square" aria-hidden="true"></i>
                                            </a>
                                        </div>
                                        <div class="form-group mb-1">
                                            <h6 class="section-heading">Additional Equipment</h6>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row px-3">
                                <div class="col-md-12" id="additionalEquipment"></div>
                            </div>
                        @endif
                    {!! Form::close() !!}
                    <hr/>
                    <div class="row p-3">
                        <div class="col-md-12 text-right">
                            <ul>
                                <li class="list-inline-item">
                                    <button type="button" class="btn btn-blueBr prev-step">Previous</button>
                                </li>
                                @if(isset($truck))
                                    <li class="list-inline-item">
                                        <button type="button" class="btn btn-blue next-step equipment-save" data-save-close="0">Save & Close</button>
                                    </li>
                                @endif
                                <li class="list-inline-item">
                                    <button type="button" class="btn btn-blue next-step mr-2 equipment-save" data-save-close="1">Save & Next</button>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
                <div class="tab-pane" role="tabpanel" id="tabOnBoardDocuments">
                    {!! Form::open(['autocomplete'  => 'off', 'name' => 'document-profile-form', 'id' => 'document-profile-form']) !!}
                        <input type="hidden" class="truck-id" name="truck_id" value="{{ $truck->id ?? ''}}">
                        @if(isset($truck) && !is_null($truck->truckProfileDocuments))
                            <div class="row px-3 py-2 pt-3">
                                <div class="col-md-3 document-custom-grid">
                                    <div class="form-group mb-1">
                                        <div class="d-flex align-items-center">
                                            <div class="mr-auto">
                                                <label for="document-profile pr-1">Document Profile</label>
                                            </div>
                                            <div class="d-flex">
                                                <a href="javascript:void(0);" class="custom-top-label" id="getDocumentProfileModal">
                                                    Add +
                                                </a>
                                            </div>
                                        </div>
                                        <select class="form-control select2" id="document-profile" name="document_profile">
                                            <option value="" data-document-titles="">Select Document Profile</option>
                                            @foreach(getCompanyDocumentProfiles() as $documentProfiles)
                                                <option value="{{ $documentProfiles->id }}" data-document-titles="{{ $documentProfiles->titles }}" {{ (isset($truck->truckProfileDocuments->pluck('document_profile')[0]) && $truck->truckProfileDocuments->pluck('document_profile')[0] == $documentProfiles->id) ? 'selected' : '' }}>{{ $documentProfiles->profile_name }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <hr/>
                            <div class="row mx-2">
                                <div class="col-md-12 preViewDiv" id="preViewDocumentProfile"></div>
                                <div class="col-md-12 text-center py-2 d-none previewBtn">
                                    <button type="button" class="btn btn-blueBr mr-2 preViewCancel">Cancel</button>
                                    <button type="button" class="btn btn-blue ml-2 preViewImport">Import</button>
                                </div>
                            </div>
                            <div class="row px-3">
                                <div class="col-md-12" id="documentProfile">
                                    @php
                                        $documentProfileName = (isset($truck->truckProfileDocuments->pluck('document_profile')[0])) ? getCompanyDocumentProfilesName()[$truck->truckProfileDocuments->pluck('document_profile')[0]] : '';
                                    @endphp
                                    @include('companyAdmin.truck.ajax-view.document-profile', ['documentProfileName' => $documentProfileName, 'truckProfileDocuments' => $truck->truckProfileDocuments])
                                </div>
                            </div>
                        @else
                            <div class="row px-3 py-2 pt-3">
                                <div class="col-md-3 document-custom-grid">
                                    <div class="form-group mb-1">
                                        <div class="d-flex align-items-center">
                                            <div class="mr-auto">
                                                <label for="document-profile pr-1">Document Profile</label>
                                            </div>
                                            <div class="d-flex">
                                                <a href="javascript:void(0);" class="custom-top-label" id="getDocumentProfileModal">
                                                    Add +
                                                </a>
                                            </div>
                                        </div>
                                        <select class="form-control select2" id="document-profile" name="document_profile">
                                            <option value="" data-document-titles="">Select Document Profile</option>
                                            @foreach(getCompanyDocumentProfiles() as $documentProfiles)
                                                <option value="{{ $documentProfiles->id }}" data-document-titles="{{ $documentProfiles->titles }}">{{ $documentProfiles->profile_name }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <hr/>
                            <div class="row mx-2">
                                <div class="col-md-12 preViewDiv" id="preViewDocumentProfile"></div>
                                <div class="col-md-12 text-center py-2 d-none previewBtn">
                                    <button type="button" class="btn btn-blueBr mr-2 preViewCancel">Cancel</button>
                                    <button type="button" class="btn btn-blue ml-2 preViewImport">Import</button>
                                </div>
                            </div>
                            <div class="row px-3">
                                <div class="col-md-12" id="documentProfile"></div>
                            </div>
                        @endif
                    {!! Form::close() !!}
                    <hr/>
                    {!! Form::open(['autocomplete'  => 'off', 'name' => 'additional-document-form', 'id' => 'additional-document-form']) !!}
                        <input type="hidden" class="truck-id" name="truck_id" value="{{ $truck->id ?? ''}}">
                        @if(isset($truck) && !is_null($truck->truckAdditionalDocuments))
                            <div class="row px-3 py-2 pt-3">
                                <div class="col-md-12 text-left">
                                    <div class="d-flex align-items-center" id="additionalDocumentHeader">
                                        <div class="form-group mb-1">
                                            <h6 class="section-heading">Additional On Board Documents</h6>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row px-3">
                                <div class="col-md-12" id="additionalDocument">
                                    @foreach($truck->truckAdditionalDocuments as $truckAdditionalDocument)
                                        @include('companyAdmin.truck.ajax-view.additional-document', ['rowIndex' => $loop->index, 'truckAdditionalDocument' => $truckAdditionalDocument, 'isLast' => $loop->last, 'dummyId' => $dummy_id])
                                    @endforeach
                                </div>
                            </div>
                        @else
                            <div class="row px-3 py-2 pt-3">
                                <div class="col-md-12 text-left">
                                    <div class="d-flex align-items-center" id="additionalDocumentHeader">
                                        <div class="form-group mb-1">
                                            <a href="javascript:void(0);" class="addMoreBtn addAdditionalDocumentBtn">
                                                <i class="fa fa-plus-square" aria-hidden="true"></i>
                                            </a>
                                        </div>
                                        <div class="form-group mb-1">
                                            <h6 class="section-heading">Additional On Board Documents</h6>
                                            <input type="hidden" name="dummy_id" value="{{ $dummy_id }}">
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row px-3">
                                <div class="col-md-12" id="additionalDocument"></div>
                            </div>
                        @endif
                    {!! Form::close() !!}
                    <hr/>
                    <div class="row p-3">
                        <div class="col-md-12 text-right">
                            <ul>
                                <li class="list-inline-item">
                                    <button type="button" class="btn btn-blueBr prev-step">Previous</button>
                                </li>
                                @if(isset($truck))
                                    <li class="list-inline-item">
                                        <button type="button" class="btn btn-blue next-step on-board-documents-save" data-save-close="0">Save & Close</button>
                                    </li>
                                @endif
                                <li class="list-inline-item">
                                    <button type="button" class="btn btn-blue next-step mr-2 on-board-documents-save" data-save-close="1">Save & Next</button>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
                <div class="tab-pane" role="tabpanel" id="tabStateMap">
                    {!! Form::open(['files' => 'true', 'autocomplete'  => 'off', 'name' => 'state-map-tab', 'id' => 'state-map-tab']) !!}
                        <input type="hidden" class="truck-id" name="truck_id" value="{{ $truck->id ?? ''}}">
                        @include('companyAdmin.truck.tab.stateMap')
                    {!! Form::close() !!}
                    <hr/>
                    <div class="row p-3">
                        <div class="col-md-12 text-right">
                            <ul>
                                <li class="list-inline-item">
                                    <button type="button" class="btn btn-blueBr prev-step">Previous</button>
                                </li>
                                @if(isset($truck))
                                    <li class="list-inline-item">
                                        <button type="button" class="btn btn-blue next-step state-map-save" data-save-close="0">Save & Close</button>
                                    </li>
                                @endif
                                <li class="list-inline-item">
                                    <button type="button" class="btn btn-blue next-step mr-2 state-map-save" data-save-close="1">Save & Next</button>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
                <div class="tab-pane" role="tabpanel" id="tabPayment">
                    <div class="row px-3 py-4">
                        <div class="col-md-12 text-center">
                            <h6>Coming Soon</h6>
                        </div>
                    </div>
                    <hr/>
                    <div class="row p-3">
                        <div class="col-md-12 text-right">
                            <ul>
                                <li class="list-inline-item">
                                    <button type="button" class="btn btn-blueBr prev-step">Previous</button>
                                </li>
                                @if(isset($truck))
                                    <li class="list-inline-item">
                                        <button type="button" class="btn btn-blue next-step payment-save" data-save-close="0">Save & Close</button>
                                    </li>
                                @endif
                                <li class="list-inline-item">
                                    <button type="button" class="btn btn-blue next-step mr-2 payment-save" data-save-close="1">Save</button>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('modal')
    <!-- VIN Lookup -->
    <div class="modal fade" id="vinLookupModal" aria-labelledby="vinLookupLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dishpatch">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="vinLookupLabel">VIN Lookup</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body p-4">
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="vin-no" class="mb-1">VIN Identification No.</label>
                                {!! Form::text('vin_no', null, array('class' => 'form-control', 'placeholder' => 'Auto Populate', 'id' => 'vin-no', 'readonly' => 'readonly')) !!}
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="year" class="mb-1">Year</label>
                                {!! Form::select('vin_year', ['' => 'Select Year'] + getTruckYears(), null, ['class' => 'form-control select2', 'id' => 'vin-year']) !!}
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div id="vinLookupDetails"></div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                    <button type="submit" class="btn btn-blue">Import</button>
                </div>
            </div>
        </div>
    </div>
    <!-- VIN Lookup -->

    <!-- Insurance Profile Builder -->
    <div class="modal fade" id="insuranceProfileModal" aria-labelledby="insuranceProfileLabel" aria-hidden="true">
        <div class="modal-dialog modal-xl modal-dishpatch">
            {!! Form::open(['autocomplete'  => 'off', 'class' => 'insurance-profile-modal-form']) !!}
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="insuranceProfileLabel">Insurance Profile Builder</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body p-0">
                    <div class="row px-4 py-3">
                        <div class="col-md-3" style="max-width: 19.25%;">
                            <label for="profile-name" class="mb-1">Insurance Profile Name</label>
                            <div class="form-group">
                                {!! Form::text('profile_name', null, array('class' => 'form-control', 'placeholder' => 'Enter Profile Name', 'required' => 'required')) !!}
                            </div>
                        </div>
                    </div>
                    <div class="row px-4">
                        <div class="col-md-3 ins-modal-custom-grid pr-1">
                            <label for="insurance-types" class="mb-1">Type</label>
                        </div>
                        <div class="col-md-3 ins-modal-custom-grid pl-1 pr-1">
                            <label for="policy-number" class="mb-1">Policy No.</label>
                        </div>
                        <div class="col-md-3 ins-modal-custom-grid pl-1 pr-1">
                            <label for="value" class="mb-1">Value</label>
                        </div>
                        <div class="col-md-3 ins-modal-custom-grid pl-1 pr-1">
                            <label for="date-added" class="mb-1">Date Added</label>
                        </div>
                        <div class="col-md-3 ins-modal-custom-grid pl-1 pr-1">
                            <label for="expiration-date" class="mb-1">Expiration Date</label>
                        </div>
                        <div class="pl-1">
                            <label class="mb-1"></label>
                        </div>
                    </div>
                    <hr class="my-0" />
                    <div class="row px-4 pt-3 pb-2">
                        <div class="col-md-3 ins-modal-custom-grid pr-1">
                            <div class="form-group">
                                {!! Form::select('insurance_types[]', ['' => 'Select Insurance Type'] + getCompanyInsuranceTypes(), null, ['class' => 'form-control select2']) !!}
                            </div>
                        </div>
                        <div class="col-md-3 ins-modal-custom-grid pl-1 pr-1">
                            <div class="form-group">
                                {!! Form::text('policy_number[]', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
                            </div>
                        </div>
                        <div class="col-md-3 ins-modal-custom-grid pl-1 pr-1">
                            <div class="form-group">
                                <div class="input-group pre-append">
                                    <div class="input-group-prepend readonly-input">
                                        <span class="input-group-text">$</span>
                                    </div>
                                    {!! Form::text('value[]', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
                                </div>
                            </div>
                        </div>
                        <div class="col-md-3 ins-modal-custom-grid pl-1 pr-1">
                            <div class="form-group">
                                <div class="input-group">
                                    {!! Form::text('date_added[]', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
                                    <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                </div>
                            </div>
                        </div>
                        <div class="col-md-3 ins-modal-custom-grid pl-1 pr-1">
                            <div class="form-group">
                                <div class="input-group">
                                    {!! Form::text('expiration_date[]', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
                                    <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                </div>
                            </div>
                        </div>
                        <div class="pl-1">
                            <div class="form-group d-flex">
                                <div>
                                    <a href="javascript:void(0);" class="insuranceFile">
                                        <i class="fa fa-picture-o" aria-hidden="true" title="Insurance File"></i>
                                    </a>
                                </div>
                                <div>
                                    <a href="javascript:void(0);" class="addMoreBtn addMoreProfileRows">
                                        <i class="fa fa-plus-square" aria-hidden="true"></i>
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div id="insuranceProfileMoreRows"></div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-blueBr" data-dismiss="modal" id="insurance-profile-cancel">Cancel</button>
                    <button type="submit" class="btn btn-blue" id="insurance-profile-save">Save</button>
                </div>
            </div>
            {!! Form::close() !!}
        </div>
    </div>
    <!-- Insurance Profile Builder -->

    <!-- Additional Insurance > Add Insurance Line -->
    <div class="modal fade" id="addInsuranceLineModal" aria-labelledby="addInsuranceLineLabel" aria-hidden="true">
        <div class="modal-dialog modal-md modal-dishpatch">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="addInsuranceLineLabel">Add Insurance Line</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="col-md-12">
                        <label for="insurance-type" class="mb-1">Insurance Type</label>
                        <div class="form-group">
                            {!! Form::select('insurance_types', ['' => 'Select Insurance Type'] + getCompanyInsuranceTypes(), null, ['class' => 'form-control select2', 'id' => 'insurance-type']) !!}
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-blueBr" data-dismiss="modal" id="cancelAdditionalInsuranceLine">Cancel</button>
                    <button type="submit" class="btn btn-blue" id="addAdditionalInsuranceLine">Add</button>
                </div>
            </div>
        </div>
    </div>
    <!-- Additional Insurance > Add Insurance Line -->

    <!-- PM/Service Profile -->
    <div class="modal fade" id="pmServiceProfileModal" aria-labelledby="pmServiceProfileLabel" aria-hidden="true">
        <div class="modal-dialog modal-xl modal-dishpatch">
            {!! Form::open(['autocomplete'  => 'off', 'class' => 'pm-service-profile-form']) !!}
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="pmServiceProfileLabel">PM/Service Profile Builder</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body p-0"></div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-blueBr" data-dismiss="modal" id="pm-service-profile-cancel">Cancel</button>
                    <button type="submit" class="btn btn-blue" id="pm-service-profile-save">Save</button>
                </div>
            </div>
            {!! Form::close() !!}
        </div>
    </div>
    <!-- PM/Service Profile -->

    <!-- Warranty PM/Service Profile -->
    <div class="modal fade" id="warrantyPmServiceModal" aria-labelledby="warrantyPmServiceLabel" aria-hidden="true">
        <div class="modal-dialog modal-xl modal-dishpatch">
            {!! Form::open(['autocomplete'  => 'off', 'class' => 'pm-service-warranty-form']) !!}
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="warrantyPmServiceLabel">Warranty</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body p-0"></div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                    <button type="submit" class="btn btn-blue" id="pm-service-warranty-save">Save</button>
                </div>
            </div>
            {!! Form::close() !!}
        </div>
    </div>
    <!-- Warranty PM/Service Profile -->

    <!-- ELD Integration Setup -->
    <div class="modal fade" id="eldIntegrationSetupModal" aria-labelledby="eldIntegrationSetupLabel" aria-hidden="true" data-backdrop="static">
        <div class="modal-dialog modal-dishpatch" style="max-width: 628px;">
            {!! Form::open(['autocomplete'  => 'off', 'class' => 'eld-integration-setup']) !!}
            <input type="hidden" class="truck-id" name="truck_id" value="{{ $truck->id ?? ''}}">
            <input type="hidden" class="integration-type" name="integration_type" value="1">
            <input type="hidden" class="connected-status" name="connected_status" value="0">
            <input type="hidden" class="eld-provider" name="eld_provider" value="">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="eldIntegrationSetupLabel">ELD Integration Setup</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body p-4">
                    <div class="row">
                        <div class="col-md-8">
                            <div class="row">
                                <div class="col-md-12 mb-2">
                                    <div class="form-group">
                                        <label for="eld-provider" class="mb-1">Select ELD Provider</label>
                                        {!! Form::select('eld_provider', ['' => 'Select ELD Provider'] + getTruckEldProvider(), null, ['class' => 'form-control select2', 'id' => 'eld-provider', 'data-parsley-errors-container' => '#eld-provider-errors', 'data-parsley-required-message' => 'Please select ELD Provider', 'required' => 'required']) !!}
                                        <div id="eld-provider-errors"></div>
                                    </div>
                                </div>
                                <div class="col-md-12 mb-2">
                                    <div class="form-group">
                                        <div class="row justify-content-between">
                                            <div class="col-auto">
                                                <label for="vin-number" class="mb-1">Vehicle Identification No.</label>
                                            </div>
                                            <div class="col-auto">
                                                <div class="form-check form-check-inline">
                                                    <input class="form-check-input" type="checkbox" id="vin-number-auto-populate" name="vin_number_auto_populate" value="1">
                                                    <label class="form-check-label" for="vin-number-auto-populate">Auto-Populate</label>
                                                </div>
                                            </div>
                                            <div class="col-12">
                                                {!! Form::text('vin_number', null, array('class' => 'form-control', 'placeholder' => 'Enter Vehicle Identification No.', 'id' => 'vin-number', 'data-parsley-errors-container' => '#vin-number-errors', 'data-parsley-required-message' => 'Please enter Vehicle Identification No.', 'data-parsley-required' => 'true')) !!}
                                                <div id="vin-number-errors"></div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-12 d-none" id="eldIdDiv">
                                    <div class="form-group">
                                        <label for="eld-id" class="mb-1">ELD ID</label>
                                        {!! Form::text('eld_id', null, array('class' => 'form-control', 'placeholder' => 'Enter ELD ID', 'id' => 'eld-id', 'readonly' => 'readonly')) !!}
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="row">
                                <div class="col-md-12 d-none" id="logoDiv">
                                    <img src="{{ asset('theme/img/logo-samsara.png') }}" class="app-center-logo" title="Samsara Logo">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-blueBr" id="eld-clear">Clear</button>
                    <button type="button" class="btn btn-blue" id="eld-connect">Connect</button>
                    <button type="button" class="btn btn-blue d-none" id="eld-confirm">Confirm</button>
                </div>
            </div>
            {!! Form::close() !!}
        </div>
    </div>
    <!-- ELD Integration Setup -->

    <!-- View Details ELD Integration -->
    <div class="modal fade" id="viewDetailsEldIntegrationModal" aria-labelledby="viewDetailsEldIntegrationLabel" aria-hidden="true" data-backdrop="static">
        <div class="modal-dialog modal-dishpatch" style="max-width: 628px;">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="viewDetailsEldIntegrationLabel">ELD Integration Setup</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body p-4">
                    <div class="row">
                        <div class="col-md-8">
                            <div class="row">
                                <div class="col-md-12 mb-2">
                                    <div class="form-group">
                                        <label for="eld-provider" class="mb-1">Select ELD Provider</label>
                                        {!! Form::select('eld_provider', ['' => 'Select ELD Provider'] + getTruckEldProvider(), null, ['class' => 'form-control select2', 'id' => 'view-eld-provider']) !!}
                                    </div>
                                </div>
                                <div class="col-md-12 mb-2">
                                    <div class="form-group">
                                        <div class="row justify-content-between">
                                            <div class="col-auto">
                                                <label for="vin-number" class="mb-1">Vehicle Identification No.</label>
                                            </div>
                                            <div class="col-auto">
                                                <div class="form-check form-check-inline">
                                                    <input class="form-check-input" type="checkbox" id="view-vin-number-auto-populate" name="vin_number_auto_populate" value="1">
                                                    <label class="form-check-label" for="chk-auto-populate">Auto-Populate</label>
                                                </div>
                                            </div>
                                            <div class="col-12">
                                                {!! Form::text('vin_number', null, array('class' => 'form-control', 'placeholder' => 'Enter Vehicle Identification No.', 'id' => 'view-vin-number')) !!}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label for="eld-id" class="mb-1">ELD ID</label>
                                        {!! Form::text('eld_id', null, array('class' => 'form-control', 'placeholder' => 'Enter ELD ID', 'id' => 'view-eld-id')) !!}
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="row">
                                <div class="col-md-12" id="viewLogoDiv"></div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-blueBr" id="cancelViewDetails">Cancel</button>
                </div>
            </div>
        </div>
    </div>
    <!-- View Details ELD Integration -->

    <!-- Tools, Equipment & Accessories Profile -->
    <div class="modal fade" id="equipmentProfileModal" aria-labelledby="equipmentProfileLabel" aria-hidden="true">
        <div class="modal-dialog modal-xl modal-dishpatch">
            {!! Form::open(['autocomplete'  => 'off', 'class' => 'equipment-profile-form']) !!}
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="equipmentProfileLabel">Tools, Equipment & Accessories Profile Builder</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body p-0"></div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-blueBr" data-dismiss="modal" id="equipment-profile-cancel">Cancel</button>
                    <button type="submit" class="btn btn-blue" id="equipment-profile-save">Save</button>
                </div>
            </div>
            {!! Form::close() !!}
        </div>
    </div>
    <!-- Tools, Equipment & Accessories Profile -->

    <!-- On Board Documents Profile -->
    <div class="modal fade" id="documentProfileModal" aria-labelledby="documentProfileLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dishpatch" style="max-width: 1199px;">
            {!! Form::open(['autocomplete'  => 'off', 'class' => 'document-profile-form']) !!}
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="documentProfileLabel">On Board Documents Profile Builder</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body p-0"></div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-blueBr" data-dismiss="modal" id="document-profile-cancel">Cancel</button>
                    <button type="submit" class="btn btn-blue" id="document-profile-save">Save</button>
                </div>
            </div>
            {!! Form::close() !!}
        </div>
    </div>
    <!-- On Board Documents Profile -->
@endsection

@section('script')
    <script defer src="https://maps.google.com/maps/api/js?key={{ env('GOOGLE_MAPS_KEY') }}&callback=initialize&libraries=places,visualization"></script>
    <script src="{{ asset('theme/js/charts-loader.js') }}"></script>
    <script src="{{ asset('theme/js/bootstrap-datepicker.js') }}"></script>
    <script src="{{ asset('theme/js/select2.full.min.js') }}"></script>
    <script type="text/javascript">
        function loader(){
            Swal.fire({
                title: '<h5 class="font-weight-bold">Please wait...</h5>',
                allowEscapeKey: false,
                allowOutsideClick: false,
                didOpen: () => {
                    Swal.showLoading()
                }
            });
        }

        function nextStep(){
            var $active = $('.nav-tabs li>.active');
            $active.parent().next().find('.nav-link').removeClass('disabled');
            nextTab($active);
        }

        function nextTab(elem){
            $(elem).parent().next().find('a[data-toggle="tab"]').click();
        }

        function prevTab(elem){
            $(elem).parent().prev().find('a[data-toggle="tab"]').click();
        }

        function clcBalanceDue() {
            if($("#purchase-price").val() == "" && $("#down-payment").val() == ""){
                $("#balance-due").val("");
            }else{
                $("#balance-due").val($("#purchase-price").val() - $("#down-payment").val());
            }
        }

        /********************* State Map - START *********************/
        function preLoadStateMap() {
            @if(isset($truck->restricted_states))
                let restricted_states = {{ $truck->restricted_states ?? '' }};
            @else
                let restricted_states = [];
            @endif
            @if(isset($truck->restricted_states))
                let avoid_states = {{ $truck->avoid_states ?? '' }};
            @else
                let avoid_states = [];
            @endif

            $('[id^="region-"]').not('#region-southwest,#region-west,#region-midwest,#region-southeast,#region-northeast').each(function (){
                var id = parseInt(($(this).attr('id')).slice(7));

                if($.inArray(id, restricted_states) !== -1){
                    $(this).val('').parent().addClass('d-none').prev('div').removeClass('d-none');
                }
                if($.inArray(id, avoid_states) !== -1){
                    $(this).prop('checked', true).val(1);
                }
            });
        }

        function initialize() {
            // Google Chart
            var restricted_states, avoid_states;

            @if(isset($truck->restricted_states) || isset($truck->avoid_states))
                preLoadStateMap();

                @if(isset($truck->restricted_states) && $truck->restricted_states != '')
                    restricted_states = $.parseJSON('{!! $truck->restricted_states !!}');
                @endif
                    @if(isset($truck->avoid_states) && $truck->avoid_states != '')
                    avoid_states = $.parseJSON('{!! $truck->avoid_states !!}');
                @endif

                if($('.region-southwest-child').length === $('.region-southwest-child').filter(':checked').length){
                    $('#region-southwest').prop('checked', true).val(1);
                }else if($('.region-southwest-child').length === $('.region-southwest-child').filter(function() { return !this.value; }).length){
                    $('#region-southwest').val('').parent().addClass('d-none').prev('div').removeClass('d-none');
                }
                if($('.region-west-child').length === $('.region-west-child').filter(':checked').length){
                    $('#region-west').prop('checked', true).val(1);
                }else if($('.region-west-child').length === $('.region-west-child').filter(function() { return !this.value; }).length){
                    $('#region-west').val('').parent().addClass('d-none').prev('div').removeClass('d-none');
                }
                if($('.region-midwest-child').length === $('.region-midwest-child').filter(':checked').length){
                    $('#region-midwest').prop('checked', true).val(1);
                }else if($('.region-midwest-child').length === $('.region-midwest-child').filter(function() { return !this.value; }).length){
                    $('#region-midwest').val('').parent().addClass('d-none').prev('div').removeClass('d-none');
                }
                if($('.region-southeast-child').length === $('.region-southeast-child').filter(':checked').length){
                    $('#region-southeast').prop('checked', true).val(1);
                }else if($('.region-southeast-child').length === $('.region-southeast-child').filter(function() { return !this.value; }).length){
                    $('#region-southeast').val('').parent().addClass('d-none').prev('div').removeClass('d-none');
                }
                if($('.region-northeast-child').length === $('.region-northeast-child').filter(':checked').length){
                    $('#region-northeast').prop('checked', true).val(1);
                }else if($('.region-northeast-child').length === $('.region-northeast-child').filter(function() { return !this.value; }).length){
                    $('#region-northeast').val('').parent().addClass('d-none').prev('div').removeClass('d-none');
                }
            @endif

            $('[id^="region-"]').on('change', function (e) {
                restricted_states = [], avoid_states = [];

                $('[id^="region-"]').not('#region-southwest,#region-west,#region-midwest,#region-southeast,#region-northeast').each(function (){
                    if($(this).attr('value') == ''){
                        restricted_states.push(($(this).attr('id')).slice(7));
                    }else if($(this).attr('value') == '1'){
                        avoid_states.push(($(this).attr('id')).slice(7));
                    }
                });

                stateList(restricted_states, avoid_states);
            });

            $('.state-map-block').on('click', function (e) {
                restricted_states = [], avoid_states = [];

                setTimeout(function(){
                    $('[id^="region-"]').not('#region-southwest,#region-west,#region-midwest,#region-southeast,#region-northeast').each(function (){
                        if($(this).attr('value') === ''){
                            restricted_states.push(($(this).attr('id')).slice(7));
                        }else if($(this).attr('value') === '1'){
                            avoid_states.push(($(this).attr('id')).slice(7));
                        }
                    });

                    stateList(restricted_states, avoid_states);
                }, 100);
            });

            google.charts.load('current', {
                'packages':['geochart'],
            });

            google.charts.setOnLoadCallback(drawRegionsMap);

            var token               = $('meta[name="csrf-token"]').attr('content');
            var dataArray           = [['State', '']];

            function stateList(restricted_states, avoid_states) {
                $.ajax({
                    url: "/company-admin/trucks/state-list-for-map",
                    method: 'POST',
                    data: { _token: token, restricted_states: restricted_states, avoid_states: avoid_states },
                    dataType: 'json',
                    success: function(response) {
                        for (var i = 0; i < response.data.length; i++) {
                            dataArray.push([{ v: response.data[i][2] , f: response.data[i][0] } , { v:response.data[i][1] , f: response.data[i][3] }]);
                        }
                        drawRegionsMap();
                    }
                });
            }

            stateList(restricted_states, avoid_states);

            function drawRegionsMap() {
                var data    = google.visualization.arrayToDataTable(dataArray);
                var options = {
                    region: 'US',
                    width: 1315,
                    height: 808,
                    colorAxis: {
                        colors: ['#EAEAEA', '#305F9C', '#FF1010'],
                        minValue: 0,
                        maxValue: 2,
                    },
                    legend: "none",
                    resolution: 'provinces',
                };

                var container = document.getElementById('map');
                var chart   = new google.visualization.GeoChart(container);

                // Change default stroke color
                google.visualization.events.addListener(chart, 'ready', function () {
                    var countries = container.getElementsByTagName('path');
                    Array.prototype.forEach.call(countries, function(path) {
                        path.setAttribute('stroke', '#8D8D8D');
                    });
                });

                // change active stroke color, build mutation observer
                var observer = new MutationObserver(function (nodes) {
                    Array.prototype.forEach.call(nodes, function(node) {
                        // check for new nodes
                        if (node.addedNodes.length > 0) {
                            Array.prototype.forEach.call(node.addedNodes, function(addedNode) {
                                // the tooltip element will also be here, we only want the group elements
                                if (addedNode.tagName === 'g') {
                                    // find children of the group element
                                    Array.prototype.forEach.call(addedNode.childNodes, function(childNode) {
                                        // check for path element, change stroke
                                        if (childNode.tagName === 'path') {
                                            childNode.setAttribute('stroke', '#000000FF');
                                        }
                                    });
                                }
                            });
                        }
                    });
                });

                // activate mutation observer
                observer.observe(container, {
                    childList: true,
                    subtree: true
                });

                chart.draw(data, options);
            }
        }
        /********************* State Map - END *********************/

        $(function (){
            $('a[data-toggle="tab"]').on('show.bs.tab', function (e) {
                var $target = $(e.target);
                if ($target.parent().hasClass('disabled')) {
                    return false;
                }
            });

            /*
            $(".next-step").click(function (e) {
                var $active = $('.nav-tabs li>.active');
                $active.parent().next().find('.nav-link').removeClass('disabled');
                nextTab($active);
            });
             */

            $(".prev-step").click(function (e) {
                var $active = $('.nav-tabs li>a.active');
                prevTab($active);
            });

            $(".select2").select2({ width: '100%' });

            $("#lease-point-of-contact").select2({
                closeOnSelect : false,
                placeholder : "Select Lease Point of Contact",
                allowHtml: true,
                allowClear: false,
                tags: false,
                dropdownCssClass: "multiple-select",
                width: '100%'
            });

            $("#rental-point-of-contact").select2({
                closeOnSelect : false,
                placeholder : "Select Rental Point of Contact",
                allowHtml: true,
                allowClear: false,
                tags: false,
                dropdownCssClass: "multiple-select",
                width: '100%'
            });

            $('.date').datetimepicker({ format: 'MM/DD/YYYY', useCurrent: false });

            $(document).on('click', '.green-btn', function(e){
                let action_id = $('[name="action_id"]').val();
                let field_name = $('[name="field_name"]').val();

                let form = $('.storeGalleryImage');
                let parsley = form.parsley({
                    excluded: 'input[type=button], input[type=submit], input[type=reset]',
                    inputs: 'input, textarea, select, input[type=hidden], :hidden',
                });

                parsley.validate();

                if (parsley.isValid()) {
                    $('.profileInsuranceFile').each(function (i, ele){
                        if($(ele).attr('data-field') == field_name){
                            $(ele).addClass('uploaded');
                        }
                    });
                    $('.additionalInsuranceFile').each(function (i, ele){
                        if($(ele).attr('data-field') == field_name){
                            $(ele).addClass('uploaded');
                        }
                    });
                    $('.documentProfileFile').each(function (i, ele){
                        if($(ele).attr('data-field') == field_name){
                            $(ele).addClass('uploaded');
                        }
                    });
                    $('.additionalDocumentFile').each(function (i, ele){
                        if($(ele).attr('data-field') == field_name){
                            $(ele).addClass('uploaded');
                        }
                    });
                    if($('.purchaseAgreementFile').attr('data-field') == field_name){
                        $('.purchaseAgreementFile').addClass('uploaded');
                    }else if($('.leaseAgreementFile  ').attr('data-field') == field_name){
                        $('.leaseAgreementFile  ').addClass('uploaded');
                    }else if($('.rentalAgreementFile ').attr('data-field') == field_name){
                        $('.rentalAgreementFile ').addClass('uploaded');
                    } else if($('.tagFile').attr('data-field') == field_name){
                        $('.tagFile').addClass('uploaded');
                    }else if($('.oregonFile').attr('data-field') == field_name){
                        $('.oregonFile').addClass('uploaded');
                    }else if($('.file2290').attr('data-field') == field_name){
                        $('.file2290').addClass('uploaded');
                    }else if($('.nyhutFile').attr('data-field') == field_name){
                        $('.nyhutFile').addClass('uploaded');
                    }else if($('.kyuFile').attr('data-field') == field_name){
                        $('.kyuFile').addClass('uploaded');
                    }else if($('.carbFile').attr('data-field') == field_name){
                        $('.carbFile').addClass('uploaded');
                    }
                }
            });

            $(document).on("click", "#galleryModal .clobtn", function () {
                let field_name = $('#galleryModal [name="field_name"]').val();

                $('.gallary-edit').each(function(){
                    if(field_name == $(this).attr('data-field')){
                        if($('#galleryModal #getgalleryfile').find('tr').length == 1){
                            $(this).removeClass('uploaded');
                        }
                    }
                });
            });

            /********************* General Info - START *********************/
            $(document).on('click', '.addMoreTrailer', function (){
                let moreTrailerHtml = '';

                moreTrailerHtml += '<div class="form-group mb-1">';
                moreTrailerHtml += '<div class="d-flex justify-content-end">';
                moreTrailerHtml += '<a href="javascript:void(0);" class="custom-top-label removeMore removeMoreTrailer"> Remove -</a>';
                moreTrailerHtml += '</div>';
                moreTrailerHtml += '<select class="form-control select2" name="trailer[]">';
                moreTrailerHtml += '<option value="">Select Trailer</option>';
                @foreach(getTrailerNumberListByCompany() as $trailerNumber)
                    @if(!in_array($trailerNumber, $assignedTrailers))
                        moreTrailerHtml += '<option value="{{ $trailerNumber }}">{{ $trailerNumber }}</option>';
                    @else
                        moreTrailerHtml += '<option value="{{ $trailerNumber }}" disabled>{{ $trailerNumber }}</option>';
                    @endif
                @endforeach
                moreTrailerHtml += '</select>';
                moreTrailerHtml += '</div>';

                $('#moreTrailer').append(moreTrailerHtml);
                $(".select2").select2({ width: '100%' });
            });

            $(document).on('click', '.removeMoreTrailer', function (){
                $(this).closest('.form-group').remove();
            });

            $(document).on('click', '.general-info-save', function(e){
                e.preventDefault();

                let that = $(this);
                let form = $('#general-info-tab');
                let parsley = form.parsley({
                    excluded: 'input[type=button], input[type=submit], input[type=reset]',
                    inputs: 'input, textarea, select, input[type=hidden], :hidden',
                });
                let isSaveAndClose = $(this).attr('data-save-close');

                parsley.validate();

                if (parsley.isValid()){
                    $.ajax({
                        url: "{!! route('company.admin.trucks.save.tab1') !!}",
                        method: "POST",
                        data: form.serialize() + '&status=' + $('#status').val(),
                        beforeSend: function() {
                            loader();
                        },
                        success: function(response) {
                            if(response.success){
                                $('.truck-id').val(response.truckId);
                                $('#truck-unique-id').val('{!! getCompIdentifier() !!}'+ response.truckId);

                                toastr.success(response.msg, 'Success Alert', { timeOut: 5000 });

                                if(isSaveAndClose == '1'){
                                    nextStep();
                                }else{
                                    window.location.href = '{!! route('company.admin.trucks.index') !!}'
                                }
                            }else{
                                toastr.error(response.msg, 'Error Alert', { timeOut: 5000 });
                            }
                        },
                        complete: function() {
                            Swal.close();
                        },
                        error: function(jqXHR, status, exception) {
                            if (jqXHR.status === 0) {
                                error = 'Not connected.\nPlease verify your network connection.';
                            } else if (jqXHR.status == 404) {
                                error = 'The requested page not found. [404]';
                            } else if (jqXHR.status == 500) {
                                error = 'Internal Server Error [500].';
                            } else if (exception === 'parsererror') {
                                error = 'Requested JSON parse failed.';
                            } else if (exception === 'timeout') {
                                error = 'Time out error.';
                            } else if (exception === 'abort') {
                                error = 'Ajax request aborted.';
                            } else {
                                error = 'Uncaught Error.\n' + jqXHR.responseText;
                            }
                            toastr.error(error, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    });
                }
            });

            $(document).on('click', '.syncOdometer', function(e){
                e.preventDefault();

                if($('#tabGeneralInfo .truck-id').val() != ""){
                    $.ajax({
                        url: "{!! route('company.admin.truck.odometer.sync') !!}",
                        method: "POST",
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        data: {
                            truckId: $('#tabGeneralInfo .truck-id').val(),
                        },
                        beforeSend: function() {
                            loader();
                        },
                        success: function(response) {
                            if(response.type == 'success'){
                                $("#tabGeneralInfo #current-odometer").val(response.odometer);

                                toastr.success(response.msg, 'Success Alert', { timeOut: 5000 });
                            }else{
                                if(response.type == 'error'){
                                    toastr.error(response.msg, 'Error Alert', { timeOut: 5000 });
                                }else{
                                    if (jqXHR.status === 0) {
                                        error = 'Not connected.\nPlease verify your network connection.';
                                    } else if (jqXHR.status == 404) {
                                        error = 'The requested page not found. [404]';
                                    } else if (jqXHR.status == 500) {
                                        error = 'Internal Server Error [500].';
                                    } else if (exception === 'parsererror') {
                                        error = 'Requested JSON parse failed.';
                                    } else if (exception === 'timeout') {
                                        error = 'Time out error.';
                                    } else if (exception === 'abort') {
                                        error = 'Ajax request aborted.';
                                    } else {
                                        error = 'Uncaught Error.\n' + jqXHR.responseText;
                                    }

                                    toastr.error(error, 'Error Alert', {
                                        timeOut: 5000
                                    });
                                }
                            }
                        },
                        complete: function() {
                            Swal.close();
                        },
                        error: function(jqXHR, status, exception) {
                            if (jqXHR.status === 0) {
                                error = 'Not connected.\nPlease verify your network connection.';
                            } else if (jqXHR.status == 404) {
                                error = 'The requested page not found. [404]';
                            } else if (jqXHR.status == 500) {
                                error = 'Internal Server Error [500].';
                            } else if (exception === 'parsererror') {
                                error = 'Requested JSON parse failed.';
                            } else if (exception === 'timeout') {
                                error = 'Time out error.';
                            } else if (exception === 'abort') {
                                error = 'Ajax request aborted.';
                            } else {
                                error = 'Uncaught Error.\n' + jqXHR.responseText;
                            }
                            toastr.error(error, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    });
                }
            });
            /********************* General Info - END *********************/

            /********************* Ownership - START *********************/
            $(document).on('change', '#ownership', function (){
                let ownership = $(this).val();

                if(ownership == "0"){
                    $(".leased-by-carrier").addClass('d-none').find('input:text, .select2').val('').trigger('change');
                    $(".rented-by-carrier").addClass('d-none').find('input:text, .select2').val('').trigger('change');
                    $(".owned-by-other").addClass('d-none').find('input:text, .select2').val('').trigger('change');
                    $(".leased-by-other").addClass('d-none').find('input:text, .select2').val('').trigger('change');
                    $(".rented-by-other").addClass('d-none').find('input:text, .select2').val('').trigger('change');

                    $("#moreOwner").html("");
                    $("#moreLeasingCompany").html("");
                    $("#moreRentalCompany").html("");

                    let getOwnerParent = $(".owner").parent();
                    {{--getOwnerParent.html("").html('<div class="d-flex align-items-center"><div class="mr-auto"><label for="owner pr-1">Owner</label></div><div class="d-flex"><a href="javascript:void(0);" class="custom-top-label addMoreOwner">Add +</a></div></div>{!! Form::select('owner[]', ['' => 'Select Owner'] + getCarrierList(), null, ['class' => 'form-control owner select2']) !!}');--}}
                    getOwnerParent.html("").html('<label for="owner pr-1">Owner</label>{!! Form::select('owner', ['' => 'Select Owner'] + getCarrierList(), null, ['class' => 'form-control owner select2']) !!}');
                    $(".owner").select2({ width: '100%' });

                    $(".owned-by-carrier").removeClass('d-none');
                }else if(ownership == "1"){
                    $(".owned-by-carrier").addClass('d-none').find('input:text, .select2').val('').trigger('change');
                    $(".rented-by-carrier").addClass('d-none').find('input:text, .select2').val('').trigger('change');
                    $(".owned-by-other").addClass('d-none').find('input:text, .select2').val('').trigger('change');
                    $(".leased-by-other").addClass('d-none').find('input:text, .select2').val('').trigger('change');
                    $(".rented-by-other").addClass('d-none').find('input:text, .select2').val('').trigger('change');

                    $("#moreOwner").html("");
                    $("#moreLeasingCompany").html("");
                    $("#moreRentalCompany").html("");

                    let getLeasingCompanyParent = $(".leasingCompany").parent();
                    {{--getLeasingCompanyParent.html("").html('<div class="d-flex align-items-center"><div class="mr-auto"><label for="leasing-company pr-1">Leasing Company</label></div><div class="d-flex"><a href="javascript:void(0);" class="custom-top-label addMoreLeasingCompany">Add +</a></div></div>{!! Form::select('leasing_company[]', ['' => 'Select Leasing Company'] + getVendorList(), null, ['class' => 'form-control leasingCompany select2']) !!}');--}}
                    getLeasingCompanyParent.html("").html('<label for="leasing-company pr-1">Leasing Company</label>{!! Form::select('leasing_company', ['' => 'Select Leasing Company'] + getVendorList(), null, ['class' => 'form-control leasingCompany select2']) !!}');
                    $(".leasingCompany").select2({ width: '100%' });

                    $(".leased-by-carrier").removeClass('d-none');
                }else if(ownership == "2"){
                    $(".owned-by-carrier").addClass('d-none').find('input:text, .select2').val('').trigger('change');
                    $(".leased-by-carrier").addClass('d-none').find('input:text, .select2').val('').trigger('change');
                    $(".owned-by-other").addClass('d-none').find('input:text, .select2').val('').trigger('change');
                    $(".leased-by-other").addClass('d-none').find('input:text, .select2').val('').trigger('change');
                    $(".rented-by-other").addClass('d-none').find('input:text, .select2').val('').trigger('change');

                    $("#moreOwner").html("");
                    $("#moreLeasingCompany").html("");
                    $("#moreRentalCompany").html("");

                    let getRentalCompanyParent = $(".rentalCompany").parent();
                    {{--getRentalCompanyParent.html("").html('<div class="d-flex align-items-center"><div class="mr-auto"><label for="rental-company pr-1">Rental Company</label></div><div class="d-flex"><a href="javascript:void(0);" class="custom-top-label addMoreRentalCompany">Add +</a></div></div>{!! Form::select('rental_company[]', ['' => 'Select Rental Company'] + getVendorList(), null, ['class' => 'form-control rentalCompany select2']) !!}');--}}
                    getRentalCompanyParent.html("").html('<label for="rental-company pr-1">Rental Company</label>{!! Form::select('rental_company', ['' => 'Select Rental Company'] + getVendorList(), null, ['class' => 'form-control rentalCompany select2']) !!}');
                    $(".rentalCompany").select2({ width: '100%' });

                    $(".rented-by-carrier").removeClass('d-none');
                }else if(ownership == "3"){
                    $(".owned-by-carrier").addClass('d-none').find('input:text, .select2').val('').trigger('change');
                    $(".leased-by-carrier").addClass('d-none').find('input:text, .select2').val('').trigger('change');
                    $(".rented-by-carrier").addClass('d-none').find('input:text, .select2').val('').trigger('change');
                    $(".leased-by-other").addClass('d-none').find('input:text, .select2').val('').trigger('change');
                    $(".rented-by-other").addClass('d-none').find('input:text, .select2').val('').trigger('change');

                    $("#moreOwner").html("");
                    $("#moreLeasingCompany").html("");
                    $("#moreRentalCompany").html("");

                    let getOwnerParent = $(".owner").parent();
                    {{--getOwnerParent.html("").html('<div class="d-flex align-items-center"><div class="mr-auto"><label for="owner pr-1">Owner</label></div><div class="d-flex"><a href="javascript:void(0);" class="custom-top-label addMoreOwner">Add +</a></div></div>{!! Form::select('owner[]', ['' => 'Select Owner'] + getDriverListByCompany(), null, ['class' => 'form-control owner select2']) !!}');--}}
                    getOwnerParent.html("").html('<label for="owner pr-1">Owner</label>{!! Form::select('owner', ['' => 'Select Owner'] + getDriverListByCompany(), null, ['class' => 'form-control owner select2']) !!}');
                    $(".owner").select2({ width: '100%' });

                    $(".owned-by-other").removeClass('d-none');
                }else if(ownership == "4"){
                    $(".owned-by-carrier").addClass('d-none').find('input:text, .select2').val('').trigger('change');
                    $(".leased-by-carrier").addClass('d-none').find('input:text, .select2').val('').trigger('change');
                    $(".rented-by-carrier").addClass('d-none').find('input:text, .select2').val('').trigger('change');
                    $(".owned-by-other").addClass('d-none').find('input:text, .select2').val('').trigger('change');
                    $(".rented-by-other").addClass('d-none').find('input:text, .select2').val('').trigger('change');

                    $("#moreOwner").html("");
                    $("#moreLeasingCompany").html("");
                    $("#moreRentalCompany").html("");

                    let getLeasingCompanyParent = $(".leasingCompany").parent();
                    {{--getLeasingCompanyParent.html("").html('<div class="d-flex align-items-center"><div class="mr-auto"><label for="leasing-company pr-1">Leasing Company</label></div><div class="d-flex"><a href="javascript:void(0);" class="custom-top-label addMoreLeasingCompany">Add +</a></div></div>{!! Form::select('leasing_company[]', ['' => 'Select Leasing Company'] + getVendorList(), null, ['class' => 'form-control leasingCompany select2']) !!}');--}}
                    getLeasingCompanyParent.html("").html('<label for="leasing-company pr-1">Leasing Company</label>{!! Form::select('leasing_company', ['' => 'Select Leasing Company'] + getVendorList(), null, ['class' => 'form-control leasingCompany select2']) !!}');
                    $(".leasingCompany").select2({ width: '100%' });

                    $(".leased-by-other").removeClass('d-none');
                }else if(ownership == "5"){
                    $(".owned-by-carrier").addClass('d-none').find('input:text, .select2').val('').trigger('change');
                    $(".leased-by-carrier").addClass('d-none').find('input:text, .select2').val('').trigger('change');
                    $(".rented-by-carrier").addClass('d-none').find('input:text, .select2').val('').trigger('change');
                    $(".owned-by-other").addClass('d-none').find('input:text, .select2').val('').trigger('change');
                    $(".leased-by-other").addClass('d-none').find('input:text, .select2').val('').trigger('change');

                    $("#moreOwner").html("");
                    $("#moreLeasingCompany").html("");
                    $("#moreRentalCompany").html("");

                    let getRentalCompanyParent = $(".rentalCompany").parent();
                    {{--getRentalCompanyParent.html("").html('<div class="d-flex align-items-center"><div class="mr-auto"><label for="rental-company pr-1">Rental Company</label></div><div class="d-flex"><a href="javascript:void(0);" class="custom-top-label addMoreRentalCompany">Add +</a></div></div>{!! Form::select('rental_company[]', ['' => 'Select Rental Company'] + getVendorList(), null, ['class' => 'form-control rentalCompany select2']) !!}');--}}
                    getRentalCompanyParent.html("").html('<label for="rental-company pr-1">Rental Company</label>{!! Form::select('rental_company', ['' => 'Select Rental Company'] + getVendorList(), null, ['class' => 'form-control rentalCompany select2']) !!}');
                    $(".rentalCompany").select2({ width: '100%' });

                    $(".rented-by-other").removeClass('d-none');
                }else{
                    $(".owned-by-carrier").addClass('d-none').find('input:text, .select2').val('').trigger('change');
                    $(".leased-by-carrier").addClass('d-none').find('input:text, .select2').val('').trigger('change');
                    $(".rented-by-carrier").addClass('d-none').find('input:text, .select2').val('').trigger('change');
                    $(".owned-by-other").addClass('d-none').find('input:text, .select2').val('').trigger('change');
                    $(".leased-by-other").addClass('d-none').find('input:text, .select2').val('').trigger('change');
                    $(".rented-by-other").addClass('d-none').find('input:text, .select2').val('').trigger('change');

                    $("#moreOwner").html("");
                    $("#moreLeasingCompany").html("");
                    $("#moreRentalCompany").html("");

                    let getOwnerParent = $(".owner").parent();
                    {{--getOwnerParent.html("").html('<div class="d-flex align-items-center"><div class="mr-auto"><label for="owner pr-1">Owner</label></div><div class="d-flex"><a href="javascript:void(0);" class="custom-top-label addMoreOwner">Add +</a></div></div>{!! Form::select('owner[]', ['' => 'Select Owner'] + getCarrierList(), null, ['class' => 'form-control owner select2']) !!}');--}}
                    getOwnerParent.html("").html('<label for="owner pr-1">Owner</label>{!! Form::select('owner', ['' => 'Select Owner'] + getCarrierList(), null, ['class' => 'form-control owner select2']) !!}');
                    $(".owner").select2({ width: '100%' });

                    let getLeasingCompanyParent = $(".leasingCompany").parent();
                    {{--getLeasingCompanyParent.html("").html('<div class="d-flex align-items-center"><div class="mr-auto"><label for="leasing-company pr-1">Leasing Company</label></div><div class="d-flex"><a href="javascript:void(0);" class="custom-top-label addMoreLeasingCompany">Add +</a></div></div>{!! Form::select('leasing_company[]', ['' => 'Select Leasing Company'] + getVendorList(), null, ['class' => 'form-control leasingCompany select2']) !!}');--}}
                    getLeasingCompanyParent.html("").html('<label for="leasing-company pr-1">Leasing Company</label>{!! Form::select('leasing_company', ['' => 'Select Leasing Company'] + getVendorList(), null, ['class' => 'form-control leasingCompany select2']) !!}');
                    $(".leasingCompany").select2({ width: '100%' });

                    let getRentalCompanyParent = $(".rentalCompany").parent();
                    {{--getRentalCompanyParent.html("").html('<div class="d-flex align-items-center"><div class="mr-auto"><label for="rental-company pr-1">Rental Company</label></div><div class="d-flex"><a href="javascript:void(0);" class="custom-top-label addMoreRentalCompany">Add +</a></div></div>{!! Form::select('rental_company[]', ['' => 'Select Rental Company'] + getVendorList(), null, ['class' => 'form-control rentalCompany select2']) !!}');--}}
                    getRentalCompanyParent.html("").html('<label for="rental-company pr-1">Rental Company</label>{!! Form::select('rental_company', ['' => 'Select Rental Company'] + getVendorList(), null, ['class' => 'form-control rentalCompany select2']) !!}');
                    $(".rentalCompany").select2({ width: '100%' });
                }
            });

            $(document).on('click', '.addMoreOwner', function (){
                let ownership = $('#ownership').val();

                let addMoreOwnerHtml = '';

                addMoreOwnerHtml += '<div class="form-group mb-1">';
                addMoreOwnerHtml += '<div class="d-flex justify-content-end">';
                addMoreOwnerHtml += '<div class="d-flex">';
                addMoreOwnerHtml += '<a href="javascript:void(0);" class="custom-top-label removeMore removeMoreOwner"> Remove -</a>';
                addMoreOwnerHtml += '</div>';
                addMoreOwnerHtml += '</div>';

                if(ownership == '3'){
                    addMoreOwnerHtml += '{!! Form::select('owner[]', ['' => 'Select Owner'] + getDriverListByCompany(), null, ['class' => 'form-control owner select2']) !!}';
                }else{
                    addMoreOwnerHtml += '{!! Form::select('owner[]', ['' => 'Select Owner'] + getCarrierList(), null, ['class' => 'form-control owner select2']) !!}';
                }

                addMoreOwnerHtml += '</div>';

                $("#moreOwner").append(addMoreOwnerHtml);

                $(".select2").select2({ width: '100%' });
            });

            $(document).on('click', '.removeMoreOwner', function (){
                $(this).closest('.form-group').remove();
            });

            $(document).on('click', '.addMoreLeasingCompany', function (){
                let addLeasingCompanyHtml = '';

                addLeasingCompanyHtml += '<div class="form-group mb-1">';
                addLeasingCompanyHtml += '<div class="d-flex justify-content-end">';
                addLeasingCompanyHtml += '<div class="d-flex">';
                addLeasingCompanyHtml += '<a href="javascript:void(0);" class="custom-top-label removeMore removeMoreLeasingCompany"> Remove -</a>';
                addLeasingCompanyHtml += '</div>';
                addLeasingCompanyHtml += '</div>';
                addLeasingCompanyHtml += '{!! Form::select('leasing_company[]', ['' => 'Select Leasing Company'] + getVendorList(), null, ['class' => 'form-control leasingCompany select2']) !!}';
                addLeasingCompanyHtml += '</div>';

                $("#moreLeasingCompany").append(addLeasingCompanyHtml);

                $(".select2").select2({ width: '100%' });
            });

            $(document).on('click', '.removeMoreLeasingCompany', function (){
                $(this).closest('.form-group').remove();
            });

            $(document).on('click', '.addMoreRentalCompany', function (){
                let addRentalCompanyHtml = '';

                addRentalCompanyHtml += '<div class="form-group mb-1">';
                addRentalCompanyHtml += '<div class="d-flex justify-content-end">';
                addRentalCompanyHtml += '<div class="d-flex">';
                addRentalCompanyHtml += '<a href="javascript:void(0);" class="custom-top-label removeMore removeMoreRentalCompany"> Remove -</a>';
                addRentalCompanyHtml += '</div>';
                addRentalCompanyHtml += '</div>';
                addRentalCompanyHtml += '{!! Form::select('rental_company[]', ['' => 'Select Rental Company'] + getVendorList(), null, ['class' => 'form-control rentalCompany select2']) !!}';
                addRentalCompanyHtml += '</div>';

                $("#moreRentalCompany").append(addRentalCompanyHtml);

                $(".select2").select2({ width: '100%' });
            });

            $(document).on('click', '.removeMoreRentalCompany', function (){
                $(this).closest('.form-group').remove();
            });

            $(document).on('click', '.ownership-save', function(e){
                e.preventDefault();

                let form = $('#ownership-tab');
                let isSaveAndClose = $(this).attr('data-save-close');

                $.ajax({
                    url: "{!! route('company.admin.trucks.save.tab2') !!}",
                    method: "POST",
                    data: form.serialize() + '&status=' + $('#status').val(),
                    beforeSend: function() {
                        loader();
                    },
                    success: function(response) {
                        if(response.success){
                            $('.truck-id').val(response.truckId);
                            toastr.success(response.msg, 'Success Alert', { timeOut: 5000 });

                            if(isSaveAndClose == '1'){
                                nextStep();
                            }else{
                                window.location.href = '{!! route('company.admin.trucks.index') !!}'
                            }
                        }else{
                            toastr.error(response.msg, 'Error Alert', { timeOut: 5000 });
                        }
                    },
                    complete: function() {
                        Swal.close();
                    },
                    error: function(jqXHR, status, exception) {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
            });
            /********************* Ownership - END *********************/

            /********************* Insurance - START *********************/
            $(document).on('click', '.addMoreProfileRows', function (){
                $(this).parent().remove();

                let insuranceProfileHtml = '';

                insuranceProfileHtml += '<div class="row px-4 pb-2">';
                insuranceProfileHtml += '<div class="col-md-3 ins-modal-custom-grid pr-1">';
                insuranceProfileHtml += '<div class="form-group">';
                insuranceProfileHtml += '{!! Form::select('insurance_types[]', ['' => 'Select Insurance Type'] + getCompanyInsuranceTypes(), null, ['class' => 'form-control select2']) !!}';
                insuranceProfileHtml += '</div>';
                insuranceProfileHtml += '</div>';
                insuranceProfileHtml += '<div class="col-md-3 ins-modal-custom-grid pl-1 pr-1">';
                insuranceProfileHtml += '<div class="form-group">';
                insuranceProfileHtml += '{!! Form::text('policy_number', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}';
                insuranceProfileHtml += '</div>';
                insuranceProfileHtml += '</div>';
                insuranceProfileHtml += '<div class="col-md-3 ins-modal-custom-grid pl-1 pr-1">';
                insuranceProfileHtml += '<div class="form-group">';
                insuranceProfileHtml += '<div class="input-group pre-append">';
                insuranceProfileHtml += '<div class="input-group-prepend readonly-input">';
                insuranceProfileHtml += '<span class="input-group-text">$</span>';
                insuranceProfileHtml += '</div>';
                insuranceProfileHtml += '{!! Form::text('value', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}';
                insuranceProfileHtml += '</div>';
                insuranceProfileHtml += '</div>';
                insuranceProfileHtml += '</div>';
                insuranceProfileHtml += '<div class="col-md-3 ins-modal-custom-grid pl-1 pr-1">';
                insuranceProfileHtml += '<div class="form-group">';
                insuranceProfileHtml += '<div class="input-group">';
                insuranceProfileHtml += '{!! Form::text('date_added', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}';
                insuranceProfileHtml += '<img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">';
                insuranceProfileHtml += '</div>';
                insuranceProfileHtml += '</div>';
                insuranceProfileHtml += '</div>';
                insuranceProfileHtml += '<div class="col-md-3 ins-modal-custom-grid pl-1 pr-1">';
                insuranceProfileHtml += '<div class="form-group">';
                insuranceProfileHtml += '<div class="input-group">';
                insuranceProfileHtml += '{!! Form::text('expiration_date', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}';
                insuranceProfileHtml += '<img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">';
                insuranceProfileHtml += '</div>';
                insuranceProfileHtml += '</div>';
                insuranceProfileHtml += '</div>';
                insuranceProfileHtml += '<div class="pl-1">';
                insuranceProfileHtml += '<div class="form-group d-flex">';
                insuranceProfileHtml += '<div>';
                insuranceProfileHtml += '<a href="javascript:void(0);" class="insuranceFile">';
                insuranceProfileHtml += '<i class="fa fa-picture-o" aria-hidden="true" title="Insurance File"></i>';
                insuranceProfileHtml += '</a>';
                insuranceProfileHtml += '</div>';
                insuranceProfileHtml += '<div>';
                insuranceProfileHtml += '<a href="javascript:void(0);" class="addMoreBtn addMoreProfileRows">';
                insuranceProfileHtml += '<i class="fa fa-plus-square" aria-hidden="true"></i>';
                insuranceProfileHtml += '</a>';
                insuranceProfileHtml += '</div>';
                insuranceProfileHtml += '</div>';
                insuranceProfileHtml += '</div>';
                insuranceProfileHtml += '</div>';

                $('#insuranceProfileMoreRows').append(insuranceProfileHtml);
                $(".select2").select2({ width: '100%' });
            });

            $(document).on('click', '#insurance-profile-cancel', function (e){
                $("#insuranceProfileMoreRows").html("");
                $(".insurance-profile-modal-form").trigger('reset');
                $(".insurance-profile-modal-form .select2").val('').trigger('change');

                if($("#insuranceProfileModal .insuranceFile").parent().parent().find('div').length == 1){
                    $("#insuranceProfileModal .insuranceFile").parent().parent().append('<div><a href="javascript:void(0);" class="addMoreBtn addMoreProfileRows"><i class="fa fa-plus-square" aria-hidden="true"></i></a></div>');
                }
            });

            $(document).on('click', '#insurance-profile-save', function (e){
                e.preventDefault();

                let form = $('.insurance-profile-modal-form');
                let parsley = form.parsley({
                    excluded: 'input[type=button], input[type=submit], input[type=reset]',
                    inputs: 'input, textarea, select, input[type=hidden], :hidden',
                });

                parsley.validate();

                if (parsley.isValid()){
                    $.ajax({
                        url: "{!! route('company.admin.trucks.insurance.profile') !!}",
                        method: "POST",
                        data: form.serializeArray(),
                        success: function(response) {
                            if(response.success){
                                $("#insuranceProfileModal").modal('hide');
                                $("#insurance-profile").html(response.insuranceProfileHtml);
                                $("#insuranceProfileMoreRows").html("");
                                $(".insurance-profile-modal-form").trigger('reset');
                                $(".insurance-profile-modal-form .select2").val('').trigger('change');

                                if($("#insuranceProfileModal .insuranceFile").parent().parent().find('div').length == 1){
                                    $("#insuranceProfileModal .insuranceFile").parent().parent().append('<div><a href="javascript:void(0);" class="addMoreBtn addMoreProfileRows"><i class="fa fa-plus-square" aria-hidden="true"></i></a></div>');
                                }

                                $("#insurance-profile").val(response.new_profile_id).trigger('change');

                                setTimeout(function(){
                                    $("#preViewImport").trigger('click');
                                }, 400);

                                toastr.success(response.msg, 'Success Alert', { timeOut: 5000 });
                            }else{
                                toastr.error(response.msg, 'Error Alert', { timeOut: 5000 });
                            }
                        },
                        error: function(jqXHR, status, exception) {
                            if (jqXHR.status === 0) {
                                error = 'Not connected.\nPlease verify your network connection.';
                            } else if (jqXHR.status == 404) {
                                error = 'The requested page not found. [404]';
                            } else if (jqXHR.status == 500) {
                                error = 'Internal Server Error [500].';
                            } else if (exception === 'parsererror') {
                                error = 'Requested JSON parse failed.';
                            } else if (exception === 'timeout') {
                                error = 'Time out error.';
                            } else if (exception === 'abort') {
                                error = 'Ajax request aborted.';
                            } else {
                                error = 'Uncaught Error.\n' + jqXHR.responseText;
                            }
                            toastr.error(error, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    });
                }
            });

            $(document).on('change', '#insurance-profile', function (){
                $("#preViewInsuranceProfile").html("");
                $("#insuranceProfile").html("");
                $("#previewBtn").addClass("d-none");

                if($('#insurance-profile option:selected').attr('data-insurance-types') != ''){
                    $.ajax({
                        url: "{!! route('company.admin.trucks.insurance.profile.view') !!}",
                        method: "POST",
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        data: {
                            insuranceProfile: $(this).find('option:selected').text(),
                            insuranceTypes: $('#insurance-profile option:selected').attr('data-insurance-types'),
                        },
                        success: function(response) {
                            if(response.success){
                                $("#preViewInsuranceProfile").html(response.preViewHtml);
                                $("#previewBtn").removeClass('d-none');
                            }else{
                                toastr.error(response.msg, 'Error Alert', { timeOut: 5000 });
                            }
                        },
                        error: function(jqXHR, status, exception) {
                            toastr.error('Uncaught Error.\n' + jqXHR.responseText, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    });
                }
            });

            $(document).on('click', '#preViewCancel', function (){
                $("#preViewInsuranceProfile").html("");
                $("#insurance-profile").val("").trigger('change');
                $("#previewBtn").addClass("d-none");
            });

            $(document).on('click', '#preViewImport', function (){
                $("#previewBtn").addClass("d-none");
                $("#insuranceProfile").html($("#preViewInsuranceProfile").html());
                $("#preViewInsuranceProfile").html("");

                $(".select2").select2({ width: '100%' });
                $('.date').datetimepicker({ format: 'MM/DD/YYYY', useCurrent: false });
            });

            $(document).on('click', '.removeMoreProfileRows', function (){
                $(this).parent().parent().parent().parent().remove();
            });

            $(document).on('click', '#cancelAdditionalInsuranceLine', function (){
                $('#addInsuranceLineModal #insurance-type').val('').trigger('change');
            });

            $(document).on('click', '.removeMoreAdditionalRows', function (){
                $(this).parent().parent().parent().parent().remove();

                if($("#additional-insurance-form #additionalInsurance .row").length == 0){
                    $('#additionalInsurance').html("");
                    $("#additional-insurance-form #additionalInsuranceHeader").prepend('<div class="form-group mb-1"><a href="javascript:void(0);" class="addMoreBtn addInsuranceBtn" data-toggle="modal" data-target="#addInsuranceLineModal"><i class="fa fa-plus-square" aria-hidden="true"></i></a></div>');
                }else{
                    if($("#additional-insurance-form #additionalInsurance").find('.row:last-of-type div:last-of-type .form-group div').length !== 3){
                        $("#additional-insurance-form #additionalInsurance").find('.row:last-of-type div:last-of-type .form-group').append('<div class="form-group mb-1"><a href="javascript:void(0);" class="addMoreBtn addInsuranceBtn" data-toggle="modal" data-target="#addInsuranceLineModal"><i class="fa fa-plus-square" aria-hidden="true"></i></a></div>');
                    }
                }
            });

            $(document).on('click', '#addAdditionalInsuranceLine', function (){
                let insuranceTypeId = $('#addInsuranceLineModal #insurance-type').find('option:selected').val();
                let insuranceTypeName = $('#addInsuranceLineModal #insurance-type').find('option:selected').text();
                let insuranceFileIndex = $('#additional-insurance-form .additionalInsuranceFile').length;

                if(insuranceTypeId != "" && insuranceTypeName != ""){
                    $("#addInsuranceLineModal").modal('hide');
                    $('#addInsuranceLineModal #insurance-type').val('').trigger('change');
                    $('.addInsuranceBtn').parent().remove();

                    let additionalInsuranceHtml = '';

                    additionalInsuranceHtml += '<div class="row pt-2">';
                    additionalInsuranceHtml += '<div class="col-md-3 ins-prev-custom-grid pr-1">';
                    additionalInsuranceHtml += '<div class="form-group">';
                    additionalInsuranceHtml += '<label for="insurance-types" class="mb-1">'+ insuranceTypeName +'</label>';
                    additionalInsuranceHtml += '{!! Form::select('insurance_vendor[]', ['' => 'Select Insurance Vendor'] + getVendorList(), null, ['class' => 'form-control select2']) !!}';
                    additionalInsuranceHtml += '<input type="hidden" name="insurance_type[]" value="'+ insuranceTypeId +'">';
                    additionalInsuranceHtml += '</div>';
                    additionalInsuranceHtml += '</div>';
                    additionalInsuranceHtml += '<div class="col-md-3 ins-prev-custom-grid pl-1 pr-1">';
                    additionalInsuranceHtml += '<div class="form-group">';
                    additionalInsuranceHtml += '<label for="policy-number" class="mb-1">Policy No.</label>';
                    additionalInsuranceHtml += '<input class="form-control" placeholder="Enter" name="policy_number[]" type="text">';
                    additionalInsuranceHtml += '</div>';
                    additionalInsuranceHtml += '</div>';
                    additionalInsuranceHtml += '<div class="col-md-3 ins-prev-custom-grid pl-1 pr-1">';
                    additionalInsuranceHtml += '<div class="form-group">';
                    additionalInsuranceHtml += '<label for="value" class="mb-1">Value</label>';
                    additionalInsuranceHtml += '<div class="input-group pre-append">';
                    additionalInsuranceHtml += '<div class="input-group-prepend">';
                    additionalInsuranceHtml += '<span class="input-group-text">$</span>';
                    additionalInsuranceHtml += '</div>';
                    additionalInsuranceHtml += '<input class="form-control integer-input comma-integer-input" placeholder="Enter" name="value[]" type="text">';
                    additionalInsuranceHtml += '</div>';
                    additionalInsuranceHtml += '</div>';
                    additionalInsuranceHtml += '</div>';
                    additionalInsuranceHtml += '<div class="col-md-3 ins-prev-custom-grid pl-1 pr-1">';
                    additionalInsuranceHtml += '<div class="form-group">';
                    additionalInsuranceHtml += '<label for="date-added" class="mb-1">Date Added</label>';
                    additionalInsuranceHtml += '<div class="input-group">';
                    additionalInsuranceHtml += '<input class="form-control date" placeholder="Enter" name="date_added[]" type="text">';
                    additionalInsuranceHtml += '<img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">';
                    additionalInsuranceHtml += '</div>';
                    additionalInsuranceHtml += '</div>';
                    additionalInsuranceHtml += '</div>';
                    additionalInsuranceHtml += '<div class="col-md-3 ins-prev-custom-grid pl-1 pr-1">';
                    additionalInsuranceHtml += '<div class="form-group">';
                    additionalInsuranceHtml += '<label for="expiration-date" class="mb-1">Expiration Date</label>';
                    additionalInsuranceHtml += '<div class="input-group">';
                    additionalInsuranceHtml += '<input class="form-control date" placeholder="Enter" name="expiration_date[]" type="text">';
                    additionalInsuranceHtml += '<img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">';
                    additionalInsuranceHtml += '</div>';
                    additionalInsuranceHtml += '</div>';
                    additionalInsuranceHtml += '</div>';
                    additionalInsuranceHtml += '<div class="pl-1 mt-4">';
                    additionalInsuranceHtml += '<div class="form-group d-flex">';
                    additionalInsuranceHtml += '<div>';
                    additionalInsuranceHtml += '<a href="javascript:void(0);" class="insuranceFile">';
                    additionalInsuranceHtml += '<i class="fa fa-picture-o additionalInsuranceFile gallary-edit" aria-hidden="true" data-id="{{ $truck->id ?? $dummy_id }}" data-source="truck" data-field="additional_insurance_file_'+ insuranceFileIndex +'" data-toggle="modal" data-target="#galleryModal" title="Additional Insurance File"></i>';
                    additionalInsuranceHtml += '</a>';
                    additionalInsuranceHtml += '</div>';
                    additionalInsuranceHtml += '<div>';
                    additionalInsuranceHtml += '<a href="javascript:void(0);" class="removeMoreAdditionalRows">';
                    additionalInsuranceHtml += '<i class="fa fa-minus-square" aria-hidden="true"></i>';
                    additionalInsuranceHtml += '</a>';
                    additionalInsuranceHtml += '</div>';
                    additionalInsuranceHtml += '<div>';
                    additionalInsuranceHtml += '<a href="javascript:void(0);" class="addMoreBtn addInsuranceBtn" data-toggle="modal" data-target="#addInsuranceLineModal">';
                    additionalInsuranceHtml += '<i class="fa fa-plus-square" aria-hidden="true"></i>';
                    additionalInsuranceHtml += '</a>';
                    additionalInsuranceHtml += '</div>';
                    additionalInsuranceHtml += '</div>';
                    additionalInsuranceHtml += '</div>';
                    additionalInsuranceHtml += '</div>';

                    $('#additionalInsurance').append(additionalInsuranceHtml);
                    $(".select2").select2({ width: '100%' });
                    $('.date').datetimepicker({ format: 'MM/DD/YYYY', useCurrent: false });
                }
            });

            $(document).on('click', '.insurance-save', function (e){
                e.preventDefault();

                let isSaveAndClose = $(this).attr('data-save-close');
                let isError = 0;

                if($("#insurance-profile option:selected").val() != ""){
                    let insuranceProfileForm = $('#insurance-profile-form');
                    $.ajax({
                        url: "{!! route('company.admin.trucks.save.tab3', ['section' => '1']) !!}",
                        method: "POST",
                        data: insuranceProfileForm.serialize() + '&status=' + $('#status').val(),
                        async:false,
                        beforeSend: function() {
                            loader();
                        },
                        success: function(response) {
                            if(response.success){
                                $('.truck-id').val(response.truckId);
                            }else{
                                isError = 1;
                                toastr.error(response.msg, 'Error Alert', { timeOut: 5000 });
                            }
                        },
                        complete: function() {
                            Swal.close();
                        },
                        error: function(jqXHR, status, exception) {
                            isError = 1;

                            if (jqXHR.status === 0) {
                                error = 'Not connected.\nPlease verify your network connection.';
                            } else if (jqXHR.status == 404) {
                                error = 'The requested page not found. [404]';
                            } else if (jqXHR.status == 500) {
                                error = 'Internal Server Error [500].';
                            } else if (exception === 'parsererror') {
                                error = 'Requested JSON parse failed.';
                            } else if (exception === 'timeout') {
                                error = 'Time out error.';
                            } else if (exception === 'abort') {
                                error = 'Ajax request aborted.';
                            } else {
                                error = 'Uncaught Error.\n' + jqXHR.responseText;
                            }
                            toastr.error(error, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    });
                }

                let additionalInsuranceForm = $('#additional-insurance-form');
                $.ajax({
                    url: "{!! route('company.admin.trucks.save.tab3', ['section' => '2']) !!}",
                    method: "POST",
                    data: additionalInsuranceForm.serialize() + '&status=' + $('#status').val(),
                    async:false,
                    beforeSend: function() {
                        loader();
                    },
                    success: function(response) {
                        if(response.success){
                            $('.truck-id').val(response.truckId);
                        }else{
                            isError = 1;
                            toastr.error(response.msg, 'Error Alert', { timeOut: 5000 });
                        }
                    },
                    complete: function() {
                        Swal.close();
                    },
                    error: function(jqXHR, status, exception) {
                        isError = 1;

                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });

                if(isError == 1){
                    toastr.error('Error, on save Truck Insurance', 'Error Alert', { timeOut: 5000 });
                }else{
                    toastr.success('Insurance saved successfully', 'Success Alert', { timeOut: 5000 });

                    if(isSaveAndClose == '1'){
                        nextStep();
                    }else{
                        window.location.href = '{!! route('company.admin.trucks.index') !!}'
                    }
                }
            });
            /********************* Insurance - END *********************/

            /********************* Compliance - START *********************/
            $(document).on('click', '.compliance-save', function(e){
                e.preventDefault();

                let form = $('#compliance-tab');
                let isSaveAndClose = $(this).attr('data-save-close');

                $.ajax({
                    url: "{!! route('company.admin.trucks.save.tab4') !!}",
                    method: "POST",
                    data: form.serialize() + '&status=' + $('#status').val(),
                    beforeSend: function() {
                        loader();
                    },
                    success: function(response) {
                        if(response.success){
                            $('.truck-id').val(response.truckId);
                            toastr.success(response.msg, 'Success Alert', { timeOut: 5000 });

                            if(isSaveAndClose == '1'){
                                nextStep();
                            }else{
                                window.location.href = '{!! route('company.admin.trucks.index') !!}'
                            }
                        }else{
                            toastr.error(response.msg, 'Error Alert', { timeOut: 5000 });
                        }
                    },
                    complete: function() {
                        Swal.close();
                    },
                    error: function(jqXHR, status, exception) {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
            });
            /********************* Compliance - END *********************/

            /********************* PM Maintenance & Service - START *********************/
            $(document).on('click', '#getPmServiceProfileModal', function (){
                $.ajax({
                    url: "{!! route('company.admin.trucks.pm-service.profile.view') !!}",
                    method: "GET",
                    data: {},
                    success: function(response) {
                        if(response.success){
                            $("#pmServiceProfileModal .modal-content .modal-body").html("").html(response.view);
                            $(".select2").select2({ width: '100%' });

                            $("#pmServiceProfileModal").modal('show');
                        }else{
                            toastr.error(response.msg, 'Error Alert', { timeOut: 5000 });
                        }
                    }
                });
            });

            $(document).on('click', '.addMorePmServiceProfileRows', function (){
                $(this).parent().parent().html("").html('<div><a href="javascript:void(0);" class="removeMoreBtn removeMorePmServiceProfileRows"><i class="fa fa-minus-square" aria-hidden="true"></i></a></div>');

                let pmServiceProfileHtml = '';

                pmServiceProfileHtml += '<div class="row px-4 pb-2">';
                pmServiceProfileHtml += '<div class="col-md-2 pr-1 pm-service-custom-grid">';
                pmServiceProfileHtml += '<div class="form-group">';
                pmServiceProfileHtml += '{!! Form::select('types[]', ['' => 'Select Type'] + getTruckPmType(), null, ['class' => 'form-control select2']) !!}';
                pmServiceProfileHtml += '</div>';
                pmServiceProfileHtml += '</div>';
                pmServiceProfileHtml += '<div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">';
                pmServiceProfileHtml += '<div class="form-group">';
                pmServiceProfileHtml += '{!! Form::select('service_type[]', ['' => 'Select Service Type'] + getTruckPmServiceType(), null, ['class' => 'form-control select2']) !!}';
                pmServiceProfileHtml += '</div>';
                pmServiceProfileHtml += '</div>';
                pmServiceProfileHtml += '<div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">';
                pmServiceProfileHtml += '<div class="form-group">';
                pmServiceProfileHtml += '{!! Form::select('interval_type[]', ['' => 'Select Interval Type'] + getTruckPmServiceIntervalType(), null, ['class' => 'form-control intervalTypePopup select2']) !!}';
                pmServiceProfileHtml += '</div>';
                pmServiceProfileHtml += '</div>';
                pmServiceProfileHtml += '<div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">';
                pmServiceProfileHtml += '<div class="form-group">';
                pmServiceProfileHtml += '{!! Form::text('schedule[]', null, array('class' => 'form-control', 'placeholder' => 'Enter')) !!}';
                pmServiceProfileHtml += '</div>';
                pmServiceProfileHtml += '</div>';
                pmServiceProfileHtml += '<div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">';
                pmServiceProfileHtml += '<div class="form-group">';
                pmServiceProfileHtml += '{!! Form::text('due_date', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}';
                pmServiceProfileHtml += '</div>';
                pmServiceProfileHtml += '</div>';
                pmServiceProfileHtml += '<div class="col-md-2 pl-1 pr-1 pm-service-custom-grid">';
                pmServiceProfileHtml += '<div class="form-group">';
                pmServiceProfileHtml += '{!! Form::text('last_performed', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}';
                pmServiceProfileHtml += '</div>';
                pmServiceProfileHtml += '</div>';
                pmServiceProfileHtml += '<div class="pl-1 pm-service-custom-grid">';
                pmServiceProfileHtml += '<div class="form-group">';
                pmServiceProfileHtml += '<div>';
                pmServiceProfileHtml += '<a href="javascript:void(0);" class="addMoreBtn addMorePmServiceProfileRows">';
                pmServiceProfileHtml += '<i class="fa fa-plus-square" aria-hidden="true"></i>';
                pmServiceProfileHtml += '</a>';
                pmServiceProfileHtml += '</div>';
                pmServiceProfileHtml += '</div>';
                pmServiceProfileHtml += '</div>';

                $('#pmServiceProfileMoreRows').append(pmServiceProfileHtml);
                $(".select2").select2({ width: '100%' });
            });

            $(document).on('click', '.removeMorePmServiceProfileRows', function (){
                $(this).parent().parent().parent().parent().remove();
            });

            $(document).on('click', '#pm-service-profile-save', function (e){
                e.preventDefault();

                let form = $('.pm-service-profile-form');
                let parsley = form.parsley({
                    excluded: 'input[type=button], input[type=submit], input[type=reset]',
                    inputs: 'input, textarea, select, input[type=hidden], :hidden',
                });

                parsley.validate();

                if (parsley.isValid()){
                    $.ajax({
                        url: "{!! route('company.admin.trucks.pm-service.profile') !!}",
                        method: "POST",
                        data: form.serializeArray(),
                        success: function(response) {
                            if(response.success){
                                $("#pmServiceProfileModal").modal('hide');
                                $("#pm-service-profile").html(response.pmServiceProfileHtml);
                                $("#pm-service-profile").val(response.new_profile_id).trigger('change');

                                setTimeout(function(){
                                    $("#pm-service-profile-form .preViewImport").trigger('click');
                                }, 400);

                                toastr.success(response.msg, 'Success Alert', { timeOut: 5000 });
                            }else{
                                toastr.error(response.msg, 'Error Alert', { timeOut: 5000 });
                            }
                        },
                        error: function(jqXHR, status, exception) {
                            if (jqXHR.status === 0) {
                                error = 'Not connected.\nPlease verify your network connection.';
                            } else if (jqXHR.status == 404) {
                                error = 'The requested page not found. [404]';
                            } else if (jqXHR.status == 500) {
                                error = 'Internal Server Error [500].';
                            } else if (exception === 'parsererror') {
                                error = 'Requested JSON parse failed.';
                            } else if (exception === 'timeout') {
                                error = 'Time out error.';
                            } else if (exception === 'abort') {
                                error = 'Ajax request aborted.';
                            } else {
                                error = 'Uncaught Error.\n' + jqXHR.responseText;
                            }
                            toastr.error(error, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    });
                }
            });

            $(document).on('change', '#pm-service-profile', function (){
                $("#preViewPmServiceProfile").html("");
                $("#pmServiceProfile").html("");
                $("#pm-service-profile-form .previewBtn").addClass("d-none");

                if($('#pm-service-profile option:selected').attr('data-pm-types') != ''){
                    $.ajax({
                        url: "{!! route('company.admin.trucks.pm-service.profile.view') !!}",
                        method: "POST",
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        data: {
                            pmServiceProfile: $(this).find('option:selected').text(),
                            pmTypes: $('#pm-service-profile option:selected').attr('data-pm-types'),
                            pmServiceTypes: $('#pm-service-profile option:selected').attr('data-pm-service-types'),
                            pmIntervalTypes: $('#pm-service-profile option:selected').attr('data-pm-interval-types'),
                            pmSchedules: $('#pm-service-profile option:selected').attr('data-pm-schedules'),
                        },
                        success: function(response) {
                            if(response.success){
                                $("#preViewPmServiceProfile").html(response.preViewHtml);
                                $("#pm-service-profile-form .previewBtn").removeClass('d-none');
                            }else{
                                toastr.error(response.msg, 'Error Alert', { timeOut: 5000 });
                            }
                        },
                        error: function(jqXHR, status, exception) {
                            toastr.error('Uncaught Error.\n' + jqXHR.responseText, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    });
                }
            });

            $(document).on('click', '#pm-service-profile-form .preViewImport', function (){
                $("#pm-service-profile-form .previewBtn").addClass("d-none");
                $("#pmServiceProfile").html($("#preViewPmServiceProfile").html());
                $("#preViewPmServiceProfile").html("");

                $(".select2").select2({ width: '100%' });
                $('.date').datetimepicker({ format: 'MM/DD/YYYY', useCurrent: false });

                $('.schedule ').trigger('change');
            });

            $(document).on('click', '#pm-service-profile-form .preViewCancel', function (){
                $("#preViewPmServiceProfile").html("");
                $("#pm-service-profile").val("").trigger('change');
                $("#pm-service-profile-form .previewBtn").addClass("d-none");
            });

            $(document).on('change', '.intervalType', function (){
                let intervalType = $(this).val();

                if(intervalType == '1' || intervalType == '2'){ //Mileage / Hours
                    if($(this).parent().parent().next('div').find('.form-group label').length > 0){
                        $(this).parent().parent().next('div').find('.form-group label').next('select').remove();
                        $(this).parent().parent().next('div').find('.form-group label').next('.select2').remove();
                        $(this).parent().parent().next('div').find('.form-group label').next('input').remove();
                        $(this).parent().parent().next('div').next('div').find('input').val('');
                        $(this).parent().parent().next('div').find('.form-group label').after('{!! Form::text('schedule[]', null, array('class' => 'form-control integer-input', 'placeholder' => 'Enter')) !!}');

                        $(this).parent().parent().next('div').next('div').find('.form-group label').next('.input-group').remove();
                        $(this).parent().parent().next('div').next('div').find('.form-group label').next('input').remove();

                        $(this).parent().parent().next('div').next('div').find('.form-group label').after('{!! Form::text('due_date[]', null, array('class' => 'form-control integer-input', 'placeholder' => 'Enter')) !!}');

                        $(this).parent().parent().next('div').next('div').next('div').find('.form-group label').next('.input-group').remove();
                        $(this).parent().parent().next('div').next('div').next('div').find('.form-group label').next('input').remove();

                        $(this).parent().parent().next('div').next('div').next('div').find('.form-group label').after('{!! Form::text('last_performed[]', null, array('class' => 'form-control integer-input', 'placeholder' => 'Enter')) !!}');
                    }else{
                        $(this).parent().parent().next('div').find('.form-group').find('select').remove();
                        $(this).parent().parent().next('div').find('.form-group').find('.select2').remove();
                        $(this).parent().parent().next('div').find('.form-group').find('input').remove();
                        $(this).parent().parent().next('div').next('div').find('input').val('');
                        $(this).parent().parent().next('div').find('.form-group').append('{!! Form::text('schedule[]', null, array('class' => 'form-control integer-input', 'placeholder' => 'Enter')) !!}');

                        $(this).parent().parent().next('div').next('div').find('.form-group').find('.input-group').remove();
                        $(this).parent().parent().next('div').next('div').find('.form-group').find('input').remove();

                        $(this).parent().parent().next('div').next('div').find('.form-group').append('{!! Form::text('due_date[]', null, array('class' => 'form-control integer-input', 'placeholder' => 'Enter')) !!}');

                        $(this).parent().parent().next('div').next('div').next('div').find('.form-group').find('.input-group').remove();
                        $(this).parent().parent().next('div').next('div').next('div').find('.form-group').find('input').remove();

                        $(this).parent().parent().next('div').next('div').next('div').find('.form-group').append('{!! Form::text('last_performed[]', null, array('class' => 'form-control integer-input', 'placeholder' => 'Enter')) !!}');
                    }
                }else if(intervalType == '3'){ //Date
                    if($(this).parent().parent().next('div').find('.form-group label').length > 0){
                        $(this).parent().parent().next('div').find('.form-group label').next('select').remove();
                        $(this).parent().parent().next('div').find('.form-group label').next('.select2').remove();
                        $(this).parent().parent().next('div').find('.form-group label').next('input').remove();
                        $(this).parent().parent().next('div').next('div').find('input').val('');
                        $(this).parent().parent().next('div').find('.form-group label').after('{!! Form::select('schedule[]', ['' => 'Select'] + getTruckSchedules(), null, ['class' => 'form-control schedule select2']) !!}');
                        $(".select2").select2({ width: '100%' });

                        $(this).parent().parent().next('div').next('div').find('.form-group label').next('.input-group').remove();
                        $(this).parent().parent().next('div').next('div').find('.form-group label').next('input').remove();
                        $(this).parent().parent().next('div').next('div').find('.form-group label').after('<div class="input-group">{!! Form::text('due_date[]', null, array('class' => 'form-control date', 'placeholder' => 'Enter')) !!}<img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon"></div>');

                        $(this).parent().parent().next('div').next('div').next('div').find('.form-group label').next('.input-group').remove();
                        $(this).parent().parent().next('div').next('div').next('div').find('.form-group label').next('input').remove();
                        $(this).parent().parent().next('div').next('div').next('div').find('.form-group label').after('<div class="input-group">{!! Form::text('last_performed[]', null, array('class' => 'form-control date', 'placeholder' => 'Enter')) !!}<img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon"></div>');

                        $('.date').datetimepicker({ format: 'MM/DD/YYYY', useCurrent: false });
                    }else{
                        $(this).parent().parent().next('div').find('.form-group').find('select').remove();
                        $(this).parent().parent().next('div').find('.form-group').find('.select2').remove();
                        $(this).parent().parent().next('div').find('.form-group').find('input').remove();
                        $(this).parent().parent().next('div').next('div').find('input').val('');
                        $(this).parent().parent().next('div').find('.form-group').append('{!! Form::select('schedule[]', ['' => 'Select'] + getTruckSchedules(), null, ['class' => 'form-control schedule select2']) !!}');
                        $(".select2").select2({ width: '100%' });

                        $(this).parent().parent().next('div').next('div').find('.form-group').find('.input-group').remove();
                        $(this).parent().parent().next('div').next('div').find('.form-group').find('input').remove();
                        $(this).parent().parent().next('div').next('div').find('.form-group').append('<div class="input-group">{!! Form::text('due_date[]', null, array('class' => 'form-control date', 'placeholder' => 'Enter')) !!}<img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon"></div>');

                        $(this).parent().parent().next('div').next('div').next('div').find('.form-group').find('.input-group').remove();
                        $(this).parent().parent().next('div').next('div').next('div').find('.form-group').find('input').remove();
                        $(this).parent().parent().next('div').next('div').next('div').find('.form-group').append('<div class="input-group">{!! Form::text('last_performed[]', null, array('class' => 'form-control date', 'placeholder' => 'Enter')) !!}<img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon"></div>');

                        $('.date').datetimepicker({ format: 'MM/DD/YYYY', useCurrent: false });
                    }
                }
            });

            $(document).on('change', '.intervalTypePopup', function (){
                let intervalType = $(this).val();

                if(intervalType == '1' || intervalType == '2'){ //Mileage / Hours
                    if($(this).parent().parent().next('div').find('.form-group label').length > 0){
                        $(this).parent().parent().next('div').find('.form-group label').next('select').remove();
                        $(this).parent().parent().next('div').find('.form-group label').next('.select2').remove();
                        $(this).parent().parent().next('div').find('.form-group label').next('input').remove();
                        $(this).parent().parent().next('div').next('div').find('input').val('');
                        $(this).parent().parent().next('div').find('.form-group label').after('{!! Form::text('schedule[]', null, array('class' => 'form-control integer-input', 'placeholder' => 'Enter')) !!}');

                        $(this).parent().parent().next('div').next('div').find('.form-group label').next('.input-group').remove();
                        $(this).parent().parent().next('div').next('div').find('.form-group label').next('input').remove();

                        $(this).parent().parent().next('div').next('div').find('.form-group label').after('{!! Form::text('due_date', null, array('class' => 'form-control integer-input', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}');
                    }else{
                        $(this).parent().parent().next('div').find('.form-group').find('select').remove();
                        $(this).parent().parent().next('div').find('.form-group').find('.select2').remove();
                        $(this).parent().parent().next('div').find('.form-group').find('input').remove();
                        $(this).parent().parent().next('div').next('div').find('input').val('');
                        $(this).parent().parent().next('div').find('.form-group').append('{!! Form::text('schedule[]', null, array('class' => 'form-control integer-input', 'placeholder' => 'Enter')) !!}');

                        $(this).parent().parent().next('div').next('div').find('.form-group').find('.input-group').remove();
                        $(this).parent().parent().next('div').next('div').find('.form-group').find('input').remove();

                        $(this).parent().parent().next('div').next('div').find('.form-group').append('{!! Form::text('due_date', null, array('class' => 'form-control integer-input', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}');
                    }
                }else if(intervalType == '3'){ //Date
                    if($(this).parent().parent().next('div').find('.form-group label').length > 0){
                        $(this).parent().parent().next('div').find('.form-group label').next('select').remove();
                        $(this).parent().parent().next('div').find('.form-group label').next('.select2').remove();
                        $(this).parent().parent().next('div').find('.form-group label').next('input').remove();
                        $(this).parent().parent().next('div').next('div').find('input').val('');
                        $(this).parent().parent().next('div').find('.form-group label').after('{!! Form::select('schedule[]', ['' => 'Select'] + getTruckSchedules(), null, ['class' => 'form-control select2']) !!}');
                        $(".select2").select2({ width: '100%' });

                        $(this).parent().parent().next('div').next('div').find('.form-group label').next('.input-group').remove();
                        $(this).parent().parent().next('div').next('div').find('.form-group label').next('input').remove();
                        $(this).parent().parent().next('div').next('div').find('.form-group label').after('<div class="input-group">{!! Form::text('due_date', null, array('class' => 'form-control date', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}<img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon"></div>');

                        $('.date').datetimepicker({ format: 'MM/DD/YYYY', useCurrent: false });
                    }else{
                        $(this).parent().parent().next('div').find('.form-group').find('select').remove();
                        $(this).parent().parent().next('div').find('.form-group').find('.select2').remove();
                        $(this).parent().parent().next('div').find('.form-group').find('input').remove();
                        $(this).parent().parent().next('div').next('div').find('input').val('');
                        $(this).parent().parent().next('div').find('.form-group').append('{!! Form::select('schedule[]', ['' => 'Select'] + getTruckSchedules(), null, ['class' => 'form-control select2']) !!}');
                        $(".select2").select2({ width: '100%' });

                        $(this).parent().parent().next('div').next('div').find('.form-group').find('.input-group').remove();
                        $(this).parent().parent().next('div').next('div').find('.form-group').find('input').remove();
                        $(this).parent().parent().next('div').next('div').find('.form-group').append('<div class="input-group">{!! Form::text('due_date', null, array('class' => 'form-control date', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}<img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon"></div>');

                        $('.date').datetimepicker({ format: 'MM/DD/YYYY', useCurrent: false });
                    }
                }
            });

            $(document).on('change', '.schedule', function (){
                let schedule = $(this).val();

                if(schedule == '1_year'){
                    $(this).parent().parent().next('div').find('input').val(moment().add(1, 'years').calendar());
                }else if(schedule == '30_days'){
                    $(this).parent().parent().next('div').find('input').val(moment().add(30, 'days').calendar());
                }else if(schedule == '60_days'){
                    $(this).parent().parent().next('div').find('input').val(moment().add(60, 'days').calendar());
                }else if(schedule == '90_days'){
                    $(this).parent().parent().next('div').find('input').val(moment().add(90, 'days').calendar());
                }else if(schedule == '120_days'){
                    $(this).parent().parent().next('div').find('input').val(moment().add(120, 'days').calendar());
                }else if(schedule == '180_days'){
                    $(this).parent().parent().next('div').find('input').val(moment().add(180, 'days').calendar());
                }else{
                    $(this).parent().parent().next('div').find('input').val('');
                }
            });

            $(document).on('click', '.addAdditionalPmServiceBtn', function (){
                $(this).parent().remove();

                $.ajax({
                    url: "{!! route('company.admin.trucks.pm-service.additional.view') !!}",
                    method: "GET",
                    data: {
                        rowIndex: $("#additionalPmService").find('.row').length,
                    },
                    success: function(response) {
                        if(response.success){
                            $("#additional-pm-service-form #additionalPmService").append(response.view);
                            $(".select2").select2({ width: '100%' });
                            $('.date').datetimepicker({ format: 'MM/DD/YYYY', useCurrent: false });
                        }else{
                            toastr.error(response.msg, 'Error Alert', { timeOut: 5000 });
                        }
                    }
                });
            });

            $(document).on('click', '.removeMorePmServiceAdditionalRows', function (){
                $(this).parent().parent().parent().parent().remove();

                if($("#additionalPmService").find('.row').length == 0){
                    $('#additionalPmServiceHeader').prepend('<div class="form-group mb-1"><a href="javascript:void(0);" class="addMoreBtn addAdditionalPmServiceBtn"><i class="fa fa-plus-square" aria-hidden="true"></i></a></div>');
                }else{
                    if($("#additionalPmService").find('.row:last-of-type div:last-of-type .form-group div').length == 1){
                        $("#additionalPmService").find('.row:last-of-type div:last-of-type .form-group').append('<div class="form-group mb-1"><a href="javascript:void(0);" class="addMoreBtn addAdditionalPmServiceBtn"><i class="fa fa-plus-square" aria-hidden="true"></i></a></div>');
                    }
                }
            });

            $(document).on('click', '.addWarranty', function (){
                $.ajax({
                    url: "{!! route('company.admin.trucks.pm-service.warranty.view') !!}",
                    method: "GET",
                    data: {},
                    success: function(response) {
                        if(response.success){
                            $("#warrantyPmServiceModal .modal-content .modal-body").html("").html(response.view);
                            $(".select2").select2({ width: '100%' });

                            $("#warrantyPmServiceModal").modal('show');
                        }else{
                            toastr.error(response.msg, 'Error Alert', { timeOut: 5000 });
                        }
                    }
                });
            });

            $(document).on('click', '.addWarrantyPmServiceBtn', function (){
                let cloneRow = $(this).closest('.row').clone().find('span').remove().end();
                $(this).closest('.row').after(cloneRow);
                $(this).parent().parent().append('<div><a href="javascript:void(0);" class="removeMoreBtn removeMorePmServiceWarrantyRows"><i class="fa fa-minus-square" aria-hidden="true"></i></a></div>');
                $(this).parent().remove();
                $(".select2").select2({ width: '100%' });
            });

            $(document).on('click', '.removeMorePmServiceWarrantyRows', function (){
                $(this).parent().parent().parent().parent().remove();

                if($("#warrantyPmService").find('.row').length == 0){
                    $('#warrantyPmServiceHeader').prepend('<div class="form-group mb-1"><a href="javascript:void(0);" class="addMoreBtn addWarranty"><i class="fa fa-plus-square" aria-hidden="true"></i></a></div></div>');
                }else{
                    if($("#warrantyPmService").find('.row:last-of-type div:last-of-type .form-group div').length == 1){
                        $("#warrantyPmService").find('.row:last-of-type div:last-of-type .form-group').append('<div class="form-group mb-1"><a href="javascript:void(0);" class="addMoreBtn addWarranty"><i class="fa fa-plus-square" aria-hidden="true"></i></a></div></div>');
                    }
                }
            });

            $(document).on('click', '#pm-service-warranty-save', function (e){
                e.preventDefault();

                let form = $('.pm-service-warranty-form')
                let parsley = form.parsley({
                    excluded: 'input[type=button], input[type=submit], input[type=reset]',
                    inputs: 'input, textarea, select, input[type=hidden], :hidden',
                });

                parsley.validate();

                if (parsley.isValid()){
                    $.ajax({
                        url: "{!! route('company.admin.trucks.pm-service-warranty.profile') !!}",
                        method: "POST",
                        data: form.serializeArray(),
                        success: function(response) {
                            if(response.success){
                                $("#warrantyPmServiceModal").modal('hide');
                                $("#warranty-profile-name").val('');
                                $("#warrantyHeader").html("").html(response.pmServiceWarrantyProfileHtml);
                                $("#pm-service-warranty-profile").val(response.new_profile_id).trigger('change');
                                $(".select2").select2({ width: '100%' });

                                setTimeout(function(){
                                    $("#warranty-pm-service-form .preViewImport").trigger('click');
                                }, 400);

                                toastr.success(response.msg, 'Success Alert', { timeOut: 5000 });
                            }else{
                                toastr.error(response.msg, 'Error Alert', { timeOut: 5000 });
                            }
                        },
                        error: function(jqXHR, status, exception) {
                            if (jqXHR.status === 0) {
                                error = 'Not connected.\nPlease verify your network connection.';
                            } else if (jqXHR.status == 404) {
                                error = 'The requested page not found. [404]';
                            } else if (jqXHR.status == 500) {
                                error = 'Internal Server Error [500].';
                            } else if (exception === 'parsererror') {
                                error = 'Requested JSON parse failed.';
                            } else if (exception === 'timeout') {
                                error = 'Time out error.';
                            } else if (exception === 'abort') {
                                error = 'Ajax request aborted.';
                            } else {
                                error = 'Uncaught Error.\n' + jqXHR.responseText;
                            }
                            toastr.error(error, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    });
                }
            });

            $(document).on('change', '#pm-service-warranty-profile', function (){
                $("#preViewPmServiceWarrantyProfile").html("");
                $("#warrantyPmService").html("");
                $("#warranty-pm-service-form .previewBtn").addClass("d-none");

                if($('#pm-service-warranty-profile option:selected').attr('data-warranty-providers') != ''){
                    $.ajax({
                        url: "{!! route('company.admin.trucks.pm-service.warranty.view') !!}",
                        method: "POST",
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        data: {
                            pmServiceWarrantyProfile: $(this).find('option:selected').text(),
                            pmServiceWarrantyProviders: $('#pm-service-warranty-profile option:selected').attr('data-warranty-providers')
                        },
                        success: function(response) {
                            if(response.success){
                                $("#preViewPmServiceWarrantyProfile").html(response.preViewHtml);
                                $("#warranty-pm-service-form .previewBtn").removeClass('d-none');
                            }else{
                                toastr.error(response.msg, 'Error Alert', { timeOut: 5000 });
                            }
                        },
                        error: function(jqXHR, status, exception) {
                            toastr.error('Uncaught Error.\n' + jqXHR.responseText, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    });
                }
            });

            $(document).on('click', '#warranty-pm-service-form .preViewImport', function (){
                $("#warranty-pm-service-form .previewBtn").addClass("d-none");
                $("#warrantyPmService").html($("#preViewPmServiceWarrantyProfile").html());
                $("#preViewPmServiceWarrantyProfile").html("");

                $(".select2").select2({ width: '100%' });
                $('.date').datetimepicker({ format: 'MM/DD/YYYY', useCurrent: false });

                $('.schedule ').trigger('change');
            });

            $(document).on('click', '#warranty-pm-service-form .preViewCancel', function (){
                $("#preViewPmServiceWarrantyProfile").html("");
                $("#pm-service-warranty-profile").val("").trigger('change');
                $("#warranty-pm-service-form .previewBtn").addClass("d-none");
            });

            $(document).on('change', '.warrantyTypes', function (){
                let warrantyTypes = $(this).val();

                if(warrantyTypes == '1' || warrantyTypes == '2'){ //Mileage / Hours
                    if($(this).parent().parent().next('div').find('.form-group label').length > 0){
                        $(this).parent().parent().next('div').find('.form-group label').next('select').remove();
                        $(this).parent().parent().next('div').find('.form-group label').next('.select2').remove();
                        $(this).parent().parent().next('div').find('.form-group label').next('input').remove();
                        $(this).parent().parent().next('div').next('div').find('input').val('');
                        $(this).parent().parent().next('div').find('.form-group label').after('{!! Form::text('term[]', null, array('class' => 'form-control integer-input', 'placeholder' => 'Enter')) !!}');

                        $(this).parent().parent().next('div').next('div').find('.form-group label').next('.input-group').remove();
                        $(this).parent().parent().next('div').next('div').find('.form-group label').next('input').remove();
                        $(this).parent().parent().next('div').next('div').find('.form-group label').after('{!! Form::text('warranty_start[]', null, array('class' => 'form-control integer-input', 'placeholder' => 'Enter')) !!}');

                        $(this).parent().parent().next('div').next('div').next('div').find('.form-group label').next('.input-group').remove();
                        $(this).parent().parent().next('div').next('div').next('div').find('.form-group label').next('input').remove();
                        $(this).parent().parent().next('div').next('div').next('div').find('.form-group label').after('{!! Form::text('warranty_exp[]', null, array('class' => 'form-control integer-input', 'placeholder' => 'Enter')) !!}');
                    }else{
                        $(this).parent().parent().next('div').find('.form-group').find('select').remove();
                        $(this).parent().parent().next('div').find('.form-group').find('.select2').remove();
                        $(this).parent().parent().next('div').find('.form-group').find('input').remove();
                        $(this).parent().parent().next('div').next('div').find('input').val('');
                        $(this).parent().parent().next('div').find('.form-group').append('{!! Form::text('term[]', null, array('class' => 'form-control integer-input', 'placeholder' => 'Enter')) !!}');

                        $(this).parent().parent().next('div').next('div').find('.form-group').find('.input-group').remove();
                        $(this).parent().parent().next('div').next('div').find('.form-group').find('input').remove();
                        $(this).parent().parent().next('div').next('div').find('.form-group').append('{!! Form::text('warranty_start[]', null, array('class' => 'form-control integer-input', 'placeholder' => 'Enter')) !!}');

                        $(this).parent().parent().next('div').next('div').next('div').find('.form-group').find('.input-group').remove();
                        $(this).parent().parent().next('div').next('div').next('div').find('.form-group').find('input').remove();
                        $(this).parent().parent().next('div').next('div').next('div').find('.form-group').append('{!! Form::text('warranty_exp[]', null, array('class' => 'form-control integer-input', 'placeholder' => 'Enter')) !!}');
                    }
                }else if(warrantyTypes == '3'){ //Date
                    if($(this).parent().parent().next('div').find('.form-group label').length > 0){
                        $(this).parent().parent().next('div').find('.form-group label').next('select').remove();
                        $(this).parent().parent().next('div').find('.form-group label').next('.select2').remove();
                        $(this).parent().parent().next('div').find('.form-group label').next('input').remove();
                        $(this).parent().parent().next('div').next('div').find('input').val('');
                        $(this).parent().parent().next('div').find('.form-group label').after('{!! Form::select('term[]', ['' => 'Select'] + getTruckTerms(), null, ['class' => 'form-control term select2']) !!}');
                        $(".select2").select2({ width: '100%' });

                        $(this).parent().parent().next('div').next('div').find('.form-group label').next('.input-group').remove();
                        $(this).parent().parent().next('div').next('div').find('.form-group label').next('input').remove();
                        $(this).parent().parent().next('div').next('div').find('.form-group label').after('<div class="input-group">{!! Form::text('warranty_start[]', null, array('class' => 'form-control date warrantyStart', 'placeholder' => 'Enter')) !!}<img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon"></div>');

                        $(this).parent().parent().next('div').next('div').next('div').find('.form-group label').next('.input-group').remove();
                        $(this).parent().parent().next('div').next('div').next('div').find('.form-group label').next('input').remove();
                        $(this).parent().parent().next('div').next('div').next('div').find('.form-group label').after('<div class="input-group">{!! Form::text('warranty_exp[]', null, array('class' => 'form-control date warrantyExp', 'placeholder' => 'Enter')) !!}<img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon"></div>');

                        $('.date').datetimepicker({ format: 'MM/DD/YYYY', useCurrent: false });
                    }else{
                        $(this).parent().parent().next('div').find('.form-group').find('select').remove();
                        $(this).parent().parent().next('div').find('.form-group').find('.select2').remove();
                        $(this).parent().parent().next('div').find('.form-group').find('input').remove();
                        $(this).parent().parent().next('div').next('div').find('input').val('');
                        $(this).parent().parent().next('div').find('.form-group').append('{!! Form::select('term[]', ['' => 'Select'] + getTruckTerms(), null, ['class' => 'form-control term select2']) !!}');
                        $(".select2").select2({ width: '100%' });

                        $(this).parent().parent().next('div').next('div').find('.form-group').find('.input-group').remove();
                        $(this).parent().parent().next('div').next('div').find('.form-group').find('input').remove();
                        $(this).parent().parent().next('div').next('div').find('.form-group').append('<div class="input-group">{!! Form::text('warranty_start[]', null, array('class' => 'form-control date warrantyStart', 'placeholder' => 'Enter')) !!}<img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon"></div>');

                        $(this).parent().parent().next('div').next('div').next('div').find('.form-group').find('.input-group').remove();
                        $(this).parent().parent().next('div').next('div').next('div').find('.form-group').find('input').remove();
                        $(this).parent().parent().next('div').next('div').next('div').find('.form-group').append('<div class="input-group">{!! Form::text('warranty_exp[]', null, array('class' => 'form-control date warrantyExp', 'placeholder' => 'Enter')) !!}<img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon"></div>');

                        $('.date').datetimepicker({ format: 'MM/DD/YYYY', useCurrent: false });
                    }
                }
            });

            $(document).on('change', '.term', function (){
                $(this).closest('.row').find('.warrantyStart').val('').data("DateTimePicker").clear();
                $(this).closest('.row').find('.warrantyExp').val('').data("DateTimePicker").clear();

                if($(this).find('option:selected').val() != "" && $(this).closest('.row').find('.warrantyStart').val() != ""){
                    $(this).closest('.row').find('.warrantyStart').trigger('dp.change');
                }
            });

            $(document).on('dp.change', '.warrantyStart', function (){
                if($(this).closest('.row').find('.warrantyTypes option:selected').val() == 3){
                    let schedule = $(this).closest('.row').find('.term option:selected').val();
                    let warrantyStart = $(this).val();

                    if(schedule == '30_days' && warrantyStart != ''){
                        $(this).closest('.row').find('.warrantyExp').val(moment(warrantyStart).add(30, 'days').format('MM/DD/YYYY'));
                    }else if(schedule == '60_days'&& warrantyStart != ''){
                        $(this).closest('.row').find('.warrantyExp').val(moment(warrantyStart).add(60, 'days').format('MM/DD/YYYY'));
                    }else if(schedule == '90_days'&& warrantyStart != ''){
                        $(this).closest('.row').find('.warrantyExp').val(moment(warrantyStart).add(90, 'days').format('MM/DD/YYYY'));
                    }else if(schedule == '120_days'&& warrantyStart != ''){
                        $(this).closest('.row').find('.warrantyExp').val(moment(warrantyStart).add(120, 'days').format('MM/DD/YYYY'));
                    }else if(schedule == '180_days'&& warrantyStart != ''){
                        $(this).closest('.row').find('.warrantyExp').val(moment(warrantyStart).add(180, 'days').format('MM/DD/YYYY'));
                    }else if(schedule == '1_year'&& warrantyStart != ''){
                        $(this).closest('.row').find('.warrantyExp').val(moment(warrantyStart).add(1, 'years').format('MM/DD/YYYY'));
                    }else if(schedule == '2_year'&& warrantyStart != ''){
                        $(this).closest('.row').find('.warrantyExp').val(moment(warrantyStart).add(2, 'years').format('MM/DD/YYYY'));
                    }else if(schedule == '3_year'&& warrantyStart != ''){
                        $(this).closest('.row').find('.warrantyExp').val(moment(warrantyStart).add(3, 'years').format('MM/DD/YYYY'));
                    }else if(schedule == '4_year'&& warrantyStart != ''){
                        $(this).closest('.row').find('.warrantyExp').val(moment(warrantyStart).add(4, 'years').format('MM/DD/YYYY'));
                    }else if(schedule == '5_year'&& warrantyStart != ''){
                        $(this).closest('.row').find('.warrantyExp').val(moment(warrantyStart).add(5, 'years').format('MM/DD/YYYY'));
                    }else{
                        $(this).closest('.row').find('.warrantyExp').val('');
                    }
                }
            });

            $(document).on('click', '.pm-service-save', function (e){
                e.preventDefault();

                let isSaveAndClose = $(this).attr('data-save-close');
                let isError = 0;

                let serviceType = [];
                $('#pm-service-profile-form [name="service_type[]"]').each(function (i){
                    if($.inArray($(this).find('option:selected').val(), serviceType) === -1) {
                        serviceType.push($(this).find('option:selected').val());
                    }else{
                        isError = 1;
                        return false;
                    }
                });

                $('#additional-pm-service-form [name="service_type[]"]').each(function (i){
                    if($.inArray($(this).find('option:selected').val(), serviceType) === -1) {
                        serviceType.push($(this).find('option:selected').val());
                    }else{
                        isError = 1;
                        return false;
                    }
                });

                if(isError == 1){
                    toastr.error("Service Type select must be different.", 'Error Alert', { timeOut: 5000 });
                    return false;
                }else{
                    isError = 0;
                }

                if($("#pm-service-profile option:selected").val() != ""){
                    let pmServiceProfileForm = $('#pm-service-profile-form');

                    $.ajax({
                        url: "{!! route('company.admin.trucks.save.tab5', ['section' => '1']) !!}",
                        method: "POST",
                        data: pmServiceProfileForm.serialize() + '&status=' + $('#status').val(),
                        async:false,
                        beforeSend: function() {
                            loader();
                        },
                        success: function(response) {
                            if(response.success){
                                $('.truck-id').val(response.truckId);
                            }else{
                                isError = 1;
                                toastr.error(response.msg, 'Error Alert', { timeOut: 5000 });
                            }
                        },
                        complete: function() {
                            Swal.close();
                        },
                        error: function(jqXHR, status, exception) {
                            isError = 1;

                            if (jqXHR.status === 0) {
                                error = 'Not connected.\nPlease verify your network connection.';
                            } else if (jqXHR.status == 404) {
                                error = 'The requested page not found. [404]';
                            } else if (jqXHR.status == 500) {
                                error = 'Internal Server Error [500].';
                            } else if (exception === 'parsererror') {
                                error = 'Requested JSON parse failed.';
                            } else if (exception === 'timeout') {
                                error = 'Time out error.';
                            } else if (exception === 'abort') {
                                error = 'Ajax request aborted.';
                            } else {
                                error = 'Uncaught Error.\n' + jqXHR.responseText;
                            }
                            toastr.error(error, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    });
                }

                let pmServiceAdditionalForm = $('#additional-pm-service-form');
                $.ajax({
                    url: "{!! route('company.admin.trucks.save.tab5', ['section' => '2']) !!}",
                    method: "POST",
                    data: pmServiceAdditionalForm.serialize() + '&status=' + $('#status').val(),
                    async:false,
                    beforeSend: function() {
                        loader();
                    },
                    success: function(response) {
                        if(response.success){
                            $('.truck-id').val(response.truckId);
                        }else{
                            isError = 1;
                            toastr.error(response.msg, 'Error Alert', { timeOut: 5000 });
                        }
                    },
                    complete: function() {
                        Swal.close();
                    },
                    error: function(jqXHR, status, exception) {
                        isError = 1;

                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });

                let pmServiceWarrantyForm = $('#warranty-pm-service-form');
                $.ajax({
                    url: "{!! route('company.admin.trucks.save.tab5', ['section' => '3']) !!}",
                    method: "POST",
                    data: pmServiceWarrantyForm.serialize() + '&status=' + $('#status').val(),
                    async:false,
                    beforeSend: function() {
                        loader();
                    },
                    success: function(response) {
                        if(response.success){
                            $('.truck-id').val(response.truckId);
                        }else{
                            isError = 1;
                            toastr.error(response.msg, 'Error Alert', { timeOut: 5000 });
                        }
                    },
                    complete: function() {
                        Swal.close();
                    },
                    error: function(jqXHR, status, exception) {
                        isError = 1;

                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });

                if(isError == 1){
                    toastr.error('Error, on save PM Maintenance & Service', 'Error Alert', { timeOut: 5000 });
                }else{
                    toastr.success('PM Maintenance & Service saved successfully', 'Success Alert', { timeOut: 5000 });

                    if(isSaveAndClose == '1'){
                        nextStep();
                    }else{
                        window.location.href = '{!! route('company.admin.trucks.index') !!}'
                    }
                }
            });
            /********************* PM Maintenance & Service - END *********************/

            /********************* Integrations Tab - START *********************/
            $(document).on('click', '#eld-clear', function (e){
                e.preventDefault();

                $('#eldIntegrationSetupModal .connected-status').val('0');
                $("#eldIntegrationSetupModal .eld-provider").val("");
                $('#eldIntegrationSetupModal #eld-provider').prop('disabled', false).val('').trigger('change');
                $('#eldIntegrationSetupModal #vin-number-auto-populate').prop('checked', false);
                $('#eldIntegrationSetupModal #vin-number').val('').prop('readonly', false);
                $('#eldIntegrationSetupModal #eldIdDiv').addClass('d-none');
                $('#eldIntegrationSetupModal #logoDiv').addClass('d-none');
                $('#eldIntegrationSetupModal #eld-id').val('');
                $('#eldIntegrationSetupModal #eld-connect').removeClass('d-none');
                $('#eldIntegrationSetupModal #eld-confirm').addClass('d-none');
            });

            $(document).on('change', '#vin-number-auto-populate', function (e){
                e.preventDefault();

                if($(this).is(':checked') == true && $('#eldIntegrationSetupModal #eld-provider').val() == '3'){
                    $('#eldIntegrationSetupModal #vin-number').attr('data-parsley-required', 'false');

                    let form = $('.eld-integration-setup');
                    let parsley = form.parsley({
                        excluded: 'input[type=button], input[type=submit], input[type=reset]',
                        inputs: 'input, textarea, select, input[type=hidden], :hidden',
                    });

                    parsley.validate();

                    if (parsley.isValid()){
                        let truckId = $('#eldIntegrationSetupModal .truck-id').val();

                        $.ajax({
                            url: "{!! route('company.admin.trucks.get.eldVinNumber') !!}",
                            method: "POST",
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            data: {
                                truckId: truckId,
                            },
                            success: function(response) {
                                if(response.success){
                                    $('#eldIntegrationSetupModal #vin-number').val(response.vinNumber).attr('data-parsley-required', 'true');
                                }
                            },
                            error: function(jqXHR, status, exception) {
                                toastr.error('Uncaught Error.\n' + jqXHR.responseText, 'Error Alert', {
                                    timeOut: 5000
                                });
                            }
                        });
                    }else{
                        $('#eldIntegrationSetupModal #vin-number-auto-populate').prop('checked', false);
                    }
                }
            });

            $(document).on('click', '#eld-connect', function (e){
                e.preventDefault();


                $('#eldIntegrationSetupModal #vin-number').attr('data-parsley-required', 'true');

                let form = $('.eld-integration-setup');
                let parsley = form.parsley({
                    excluded: 'input[type=button], input[type=submit], input[type=reset]',
                    inputs: 'input, textarea, select, input[type=hidden], :hidden',
                });

                parsley.validate();

                if (parsley.isValid()){
                    if($('#eldIntegrationSetupModal #eld-provider').val() == '3') {
                        let truckId = $('#eldIntegrationSetupModal .truck-id').val();
                        let eldProvider = $('#eldIntegrationSetupModal #eld-provider').val();
                        let vinNumber = $('#eldIntegrationSetupModal #vin-number').val();

                        $.ajax({
                            url: "{!! route('company.admin.trucks.eld.connect') !!}",
                            method: "POST",
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            data: {
                                truckId: truckId,
                                eldProvider: eldProvider,
                                vinNumber: vinNumber,
                            },
                            success: function (response) {
                                $('#eldIntegrationSetupModal #eldIdDiv').removeClass('d-none');
                                $('#eldIntegrationSetupModal #logoDiv').removeClass('d-none');
                                $('#eldIntegrationSetupModal #eld-connect').addClass('d-none');
                                $('#eldIntegrationSetupModal #eld-confirm').removeClass('d-none');
                                $('#eldIntegrationSetupModal #vin-number').prop('readonly', true);
                                $("#eldIntegrationSetupModal .eld-provider").val($("#eldIntegrationSetupModal #eld-provider").val());
                                $("#eldIntegrationSetupModal #eld-provider").select2({disabled: 'readonly'});
                                $("#eldIntegrationSetupModal #eld-provider").select2({disabled: 'readonly'});

                                if (response.success) {
                                    $('#eldIntegrationSetupModal #eld-id').val(response.eldId);
                                    $('#eldIntegrationSetupModal .connected-status').val(response.connected);
                                } else {
                                    toastr.error(response.msg, 'Error Alert', {timeOut: 5000});
                                }
                            },
                            error: function (error) {
                                toastr.error("Vin number doesn't match with samsara registration.", 'Error Alert', {timeOut: 5000})
                            },
                        });
                    }
                }
            });

            $(document).on('click', '#eld-confirm', function (e){
                e.preventDefault();

                let form = $('.eld-integration-setup');
                let parsley = form.parsley({
                    excluded: 'input[type=button], input[type=submit], input[type=reset]',
                    inputs: 'input, textarea, select, input[type=hidden], :hidden',
                });

                parsley.validate();

                if (parsley.isValid()){
                    $.ajax({
                        url: "{!! route('company.admin.trucks.integration.save') !!}",
                        method: "POST",
                        data: form.serialize(),
                        success: function(response) {
                            if(response.success){
                                $('#eldIntegrationSetupModal #eld-clear').trigger('click');

                                $('#tabAllIntegrations').html(response.viewHtml.allIntegrations)
                                $('#tabConnected').html(response.viewHtml.connectedIntegrations);

                                $('#eldIntegrationSetupModal').modal('hide');
                            }else{
                                toastr.error(response.msg, 'Error Alert', {timeOut: 5000});
                            }
                        },
                        error: function (error) {
                            toastr.error("Vin number doesn't match with samsara registration.", 'Error Alert', {timeOut: 5000})
                        },
                    });
                }
            });

            $(document).on('click', '.view-details', function (e){
                e.preventDefault();

                $('#viewDetailsEldIntegrationModal #view-eld-provider').val($(".eldProvider").val()).trigger('change').prop('disabled', true);
                if($(".vinNumberAutoPopulate").val() == 1){
                    $('#viewDetailsEldIntegrationModal #view-vin-number-auto-populate').prop('checked', true).prop('disabled', true);
                }else{
                    $('#viewDetailsEldIntegrationModal #view-vin-number-auto-populate').prop('checked', false).prop('disabled', true);
                }
                $('#viewDetailsEldIntegrationModal #view-vin-number').val($(".vinNumber").val()).prop('disabled', true);
                $('#viewDetailsEldIntegrationModal #view-eld-id').val($(".eldId").val()).prop('disabled', true);
                $('#viewDetailsEldIntegrationModal').modal('show');

                if($(".eldProvider").val() == '3'){
                    $("#viewLogoDiv").html('<img src="{{ asset('theme/img/logo-samsara.png') }}" class="app-center-logo" title="Samsara Logo" width="75" height="75">');
                }
            });

            $(document).on('click', '#cancelViewDetails', function (e){
                e.preventDefault();
                $('#viewDetailsEldIntegrationModal').modal('hide');
                $('#viewDetailsEldIntegrationModal #view-eld-provider').val('').trigger('change').prop('disabled', false);
                $('#viewDetailsEldIntegrationModal #view-vin-number-auto-populate').prop('checked', false).prop('disabled', false);
                $('#viewDetailsEldIntegrationModal #view-vin-number').val('').prop('disabled', false);
                $('#viewDetailsEldIntegrationModal #view-eld-id').val('').prop('disabled', false);
                $("#viewLogoDiv").html('');
            });

            $(document).on('click', '.eld-provider-delete', function (e){
                let url = $(this).attr('data-action');

                Swal.fire({
                    title: "Are you sure?",
                    text: "You won't be able to revert this!",
                    icon: "warning",
                    showCancelButton: true,
                    confirmButtonColor: "#3085d6",
                    cancelButtonColor: "#d33",
                    confirmButtonText: "Yes, delete it!",
                }).then((result) => {
                    if (result.value) {
                        $.ajax({
                            url: url,
                            method: "DELETE",
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            data: {},
                            success: function(response) {
                                if(response.success){
                                    $('#tabAllIntegrations').html(response.viewHtml.allIntegrations);
                                    $('#tabConnected').html(response.viewHtml.connectedIntegrations);
                                }else{
                                    toastr.error(response.msg, 'Error Alert', {timeOut: 5000});
                                }
                            }
                        });
                    }
                });
            });

            $(document).on('click', '.integrations-save', function (e){
                e.preventDefault();

                let isSaveAndClose = $(this).attr('data-save-close');

                toastr.success('Integrations saved successfully', 'Success Alert', { timeOut: 5000 });

                if(isSaveAndClose == '1'){
                    nextStep();
                }else{
                    window.location.href = '{!! route('company.admin.trucks.index') !!}'
                }
            });
            /********************* Integrations Tab - END *********************/

            /********************* Tools, Equipment & Accessories - START *********************/
            $(document).on('click', '#getEquipmentProfileModal', function (){
                $.ajax({
                    url: "{!! route('company.admin.trucks.equipment.profile.view') !!}",
                    method: "GET",
                    data: {},
                    success: function(response) {
                        if(response.success){
                            $("#equipmentProfileModal .modal-content .modal-body").html("").html(response.view);
                            $(".select2").select2({ width: '100%' });

                            $("#equipmentProfileModal").modal('show');
                        }else{
                            toastr.error(response.msg, 'Error Alert', { timeOut: 5000 });
                        }
                    }
                });
            });

            $(document).on('click', '.addMoreEquipmentProfileRows', function (){
                let cloneRow = $(this).closest('.row').clone().find('.equipment-custom-grid:first span').remove().end();
                $(this).closest('.row').after(cloneRow);
                $(this).parent().parent().append('<div><a href="javascript:void(0);" class="removeMoreBtn removeMoreEquipmentProfileRows"><i class="fa fa-minus-square" aria-hidden="true"></i></a></div>');
                $(this).parent().remove();
                $(".select2").select2({ width: '100%' });
            });

            $(document).on('click', '.removeMoreEquipmentProfileRows', function (){
                $(this).parent().parent().parent().parent().remove();
            });

            $(document).on('click', '#equipment-profile-save', function (e){
                e.preventDefault();

                let form = $('.equipment-profile-form');
                let parsley = form.parsley({
                    excluded: 'input[type=button], input[type=submit], input[type=reset]',
                    inputs: 'input, textarea, select, input[type=hidden], :hidden',
                });

                parsley.validate();

                if (parsley.isValid()){
                    $.ajax({
                        url: "{!! route('company.admin.trucks.equipment.profile') !!}",
                        method: "POST",
                        data: form.serializeArray(),
                        success: function(response) {
                            if(response.success){
                                $("#equipmentProfileModal").modal('hide');
                                $("#equipment-profile").html(response.equipmentProfileHtml);
                                $("#equipment-profile").val(response.new_profile_id).trigger('change');

                                setTimeout(function(){
                                    $("#equipment-profile-form .preViewImport").trigger('click');
                                }, 400);

                                toastr.success(response.msg, 'Success Alert', { timeOut: 5000 });
                            }else{
                                toastr.error(response.msg, 'Error Alert', { timeOut: 5000 });
                            }
                        },
                        error: function(jqXHR, status, exception) {
                            if (jqXHR.status === 0) {
                                error = 'Not connected.\nPlease verify your network connection.';
                            } else if (jqXHR.status == 404) {
                                error = 'The requested page not found. [404]';
                            } else if (jqXHR.status == 500) {
                                error = 'Internal Server Error [500].';
                            } else if (exception === 'parsererror') {
                                error = 'Requested JSON parse failed.';
                            } else if (exception === 'timeout') {
                                error = 'Time out error.';
                            } else if (exception === 'abort') {
                                error = 'Ajax request aborted.';
                            } else {
                                error = 'Uncaught Error.\n' + jqXHR.responseText;
                            }
                            toastr.error(error, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    });
                }
            });

            $(document).on('change', '#equipment-profile', function (){
                $("#preViewEquipmentProfile").html("");
                $("#equipmentProfile").html("");
                $("#equipment-profile-form .previewBtn").addClass("d-none");

                if($('#equipment-profile option:selected').attr('data-equipment-titles') != ''){
                    $.ajax({
                        url: "{!! route('company.admin.trucks.equipment.profile.view') !!}",
                        method: "POST",
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        data: {
                            equipmentProfile: $(this).find('option:selected').text(),
                            equipmentTitles: $('#equipment-profile option:selected').attr('data-equipment-titles'),
                        },
                        success: function(response) {
                            if(response.success){
                                $("#preViewEquipmentProfile").html(response.preViewHtml);
                                $("#equipment-profile-form .previewBtn").removeClass('d-none');
                            }else{
                                toastr.error(response.msg, 'Error Alert', { timeOut: 5000 });
                            }
                        },
                        error: function(jqXHR, status, exception) {
                            toastr.error('Uncaught Error.\n' + jqXHR.responseText, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    });
                }
            });

            $(document).on('click', '#equipment-profile-form .preViewImport', function (){
                $("#equipment-profile-form .previewBtn").addClass("d-none");
                $("#equipmentProfile").html($("#preViewEquipmentProfile").html());
                $("#preViewEquipmentProfile").html("");

                $(".select2").select2({ width: '100%' });
                $('.date').datetimepicker({ format: 'MM/DD/YYYY', useCurrent: false });
            });

            $(document).on('click', '#equipment-profile-form .preViewCancel', function (){
                $("#preViewEquipmentProfile").html("");
                $("#equipment-profile").val("").trigger('change');
                $("#equipment-profile-form .previewBtn").addClass("d-none");
            });

            $(document).on('click', '.addAdditionalEquipmentBtn', function (){
                $(this).parent().remove();

                $.ajax({
                    url: "{!! route('company.admin.trucks.equipment.additional.view') !!}",
                    method: "GET",
                    data: {
                        rowIndex: $("#additionalEquipment").find('.row').length,
                    },
                    success: function(response) {
                        if(response.success){
                            $("#additional-equipment-form #additionalEquipment").append(response.view);
                            $(".select2").select2({ width: '100%' });
                            $('.date').datetimepicker({ format: 'MM/DD/YYYY', useCurrent: false });
                        }else{
                            toastr.error(response.msg, 'Error Alert', { timeOut: 5000 });
                        }
                    }
                });
            });

            $(document).on('click', '.removeMoreEquipmentAdditionalRows', function (){
                $(this).parent().parent().parent().parent().remove();

                if($("#additionalEquipment").find('.row').length == 0){
                    $('#additionalEquipmentHeader').prepend('<div class="form-group mb-1"><a href="javascript:void(0);" class="addMoreBtn addAdditionalEquipmentBtn"><i class="fa fa-plus-square" aria-hidden="true"></i></a></div>');
                }else{
                    if($("#additionalEquipment").find('.row:last-of-type div:last-of-type .form-group div').length == 1){
                        $("#additionalEquipment").find('.row:last-of-type div:last-of-type .form-group').append('<div class="form-group mb-1"><a href="javascript:void(0);" class="addMoreBtn addAdditionalEquipmentBtn"><i class="fa fa-plus-square" aria-hidden="true"></i></a></div>');
                    }
                }
            });

            $(document).on('click', '.equipment-save', function (e){
                e.preventDefault();

                let isSaveAndClose = $(this).attr('data-save-close');
                let isError = 0;

                if($("#equipment-profile option:selected").val() != ""){
                    let equipmentProfileForm = $('#equipment-profile-form');
                    $.ajax({
                        url: "{!! route('company.admin.trucks.save.tab7', ['section' => '1']) !!}",
                        method: "POST",
                        data: equipmentProfileForm.serialize() + '&status=' + $('#status').val(),
                        async:false,
                        beforeSend: function() {
                            loader();
                        },
                        success: function(response) {
                            if(response.success){
                                $('.truck-id').val(response.truckId);
                            }else{
                                isError = 1;
                                toastr.error(response.msg, 'Error Alert', { timeOut: 5000 });
                            }
                        },
                        complete: function() {
                            Swal.close();
                        },
                        error: function(jqXHR, status, exception) {
                            isError = 1;

                            if (jqXHR.status === 0) {
                                error = 'Not connected.\nPlease verify your network connection.';
                            } else if (jqXHR.status == 404) {
                                error = 'The requested page not found. [404]';
                            } else if (jqXHR.status == 500) {
                                error = 'Internal Server Error [500].';
                            } else if (exception === 'parsererror') {
                                error = 'Requested JSON parse failed.';
                            } else if (exception === 'timeout') {
                                error = 'Time out error.';
                            } else if (exception === 'abort') {
                                error = 'Ajax request aborted.';
                            } else {
                                error = 'Uncaught Error.\n' + jqXHR.responseText;
                            }
                            toastr.error(error, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    });
                }

                let equipmentAdditionalForm = $('#additional-equipment-form');
                $.ajax({
                    url: "{!! route('company.admin.trucks.save.tab7', ['section' => '2']) !!}",
                    method: "POST",
                    data: equipmentAdditionalForm.serialize() + '&status=' + $('#status').val(),
                    async:false,
                    beforeSend: function() {
                        loader();
                    },
                    success: function(response) {
                        if(response.success){
                            $('.truck-id').val(response.truckId);
                        }else{
                            isError = 1;
                            toastr.error(response.msg, 'Error Alert', { timeOut: 5000 });
                        }
                    },
                    complete: function() {
                        Swal.close();
                    },
                    error: function(jqXHR, status, exception) {
                        isError = 1;

                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });

                if(isError == 1){
                    toastr.error('Error, on save Tools, Equipment & Accessories', 'Error Alert', { timeOut: 5000 });
                }else{
                    toastr.success('Tools, Equipment & Accessories saved successfully', 'Success Alert', { timeOut: 5000 });

                    if(isSaveAndClose == '1'){
                        nextStep();
                    }else{
                        window.location.href = '{!! route('company.admin.trucks.index') !!}'
                    }
                }
            });
            /********************* Tools, Equipment & Accessories - START *********************/

            /********************* On Board Documents - START *********************/
            $(document).on('click', '#getDocumentProfileModal', function (){
                $.ajax({
                    url: "{!! route('company.admin.trucks.document.profile.view') !!}",
                    method: "GET",
                    data: {},
                    success: function(response) {
                        if(response.success){
                            $("#documentProfileModal .modal-content .modal-body").html("").html(response.view);
                            $(".select2").select2({ width: '100%' });

                            $("#documentProfileModal").modal('show');
                        }else{
                            toastr.error(response.msg, 'Error Alert', { timeOut: 5000 });
                        }
                    }
                });
            });

            $(document).on('click', '.addMoreDocumentProfileRows', function (){
                let cloneRow = $(this).closest('.row').clone().find('.selectDiv span').remove().end();
                $(this).closest('.row').after(cloneRow);
                $(this).parent().parent().append('<div><a href="javascript:void(0);" class="removeMoreBtn removeMoreDocumentProfileRows"><i class="fa fa-minus-square" aria-hidden="true"></i></a></div>');
                $(this).parent().remove();
                $(".select2").select2({ width: '100%' });
            });

            $(document).on('click', '.removeMoreDocumentProfileRows', function (){
                $(this).parent().parent().parent().parent().remove();
            });

            $(document).on('click', '#document-profile-save', function (e){
                e.preventDefault();

                let form = $('.document-profile-form');
                let parsley = form.parsley({
                    excluded: 'input[type=button], input[type=submit], input[type=reset]',
                    inputs: 'input, textarea, select, input[type=hidden], :hidden',
                });

                parsley.validate();

                if (parsley.isValid()){
                    $.ajax({
                        url: "{!! route('company.admin.trucks.document.profile') !!}",
                        method: "POST",
                        data: form.serializeArray(),
                        success: function(response) {
                            if(response.success){
                                $("#documentProfileModal").modal('hide');
                                $("#document-profile").html(response.documentProfileHtml);
                                $("#document-profile").val(response.new_profile_id).trigger('change');

                                setTimeout(function(){
                                    $("#document-profile-form .preViewImport").trigger('click');
                                }, 400);

                                toastr.success(response.msg, 'Success Alert', { timeOut: 5000 });
                            }else{
                                toastr.error(response.msg, 'Error Alert', { timeOut: 5000 });
                            }
                        },
                        error: function(jqXHR, status, exception) {
                            if (jqXHR.status === 0) {
                                error = 'Not connected.\nPlease verify your network connection.';
                            } else if (jqXHR.status == 404) {
                                error = 'The requested page not found. [404]';
                            } else if (jqXHR.status == 500) {
                                error = 'Internal Server Error [500].';
                            } else if (exception === 'parsererror') {
                                error = 'Requested JSON parse failed.';
                            } else if (exception === 'timeout') {
                                error = 'Time out error.';
                            } else if (exception === 'abort') {
                                error = 'Ajax request aborted.';
                            } else {
                                error = 'Uncaught Error.\n' + jqXHR.responseText;
                            }
                            toastr.error(error, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    });
                }
            });

            $(document).on('change', '#document-profile', function (){
                $("#preViewDocumentProfile").html("");
                $("#documentProfile").html("");
                $("#document-profile-form .previewBtn").addClass("d-none");

                if($('#document-profile option:selected').attr('data-document-titles') != ''){
                    $.ajax({
                        url: "{!! route('company.admin.trucks.document.profile.view') !!}",
                        method: "POST",
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        data: {
                            documentProfile: $(this).find('option:selected').text(),
                            documentTitles: $('#document-profile option:selected').attr('data-document-titles'),
                        },
                        success: function(response) {
                            if(response.success){
                                $("#preViewDocumentProfile").html(response.preViewHtml);
                                $("#document-profile-form .previewBtn").removeClass('d-none');
                            }else{
                                toastr.error(response.msg, 'Error Alert', { timeOut: 5000 });
                            }
                        },
                        error: function(jqXHR, status, exception) {
                            toastr.error('Uncaught Error.\n' + jqXHR.responseText, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    });
                }
            });

            $(document).on('click', '#document-profile-form .preViewImport', function (){
                $("#document-profile-form .previewBtn").addClass("d-none");
                $("#documentProfile").html($("#preViewDocumentProfile").html());
                $("#preViewDocumentProfile").html("");

                $(".select2").select2({ width: '100%' });
                $('.date').datetimepicker({ format: 'MM/DD/YYYY', useCurrent: false });
            });

            $(document).on('click', '#document-profile-form .preViewCancel', function (){
                $("#preViewDocumentProfile").html("");
                $("#document-profile").val("").trigger('change');
                $("#document-profile-form .previewBtn").addClass("d-none");
            });

            $(document).on('click', '.btn-copy', function (){
                if($(this).hasClass('btn-blueBr')){
                    $(this).removeClass('btn-blueBr').addClass('btn-blue');
                    $(this).parent().find('.btn-original').removeClass('btn-blue').addClass('btn-blueBr');
                    $(this).parent().find('.docType').val('1');
                }
            });

            $(document).on('click', '.btn-original', function (){
                if($(this).hasClass('btn-blueBr')){
                    $(this).removeClass('btn-blueBr').addClass('btn-blue');
                    $(this).parent().find('.btn-copy').removeClass('btn-blue').addClass('btn-blueBr');
                    $(this).parent().find('.docType').val('2');
                }
            });

            $(document).on('click', '.addAdditionalDocumentBtn', function (){
                $(this).parent().remove();

                $.ajax({
                    url: "{!! route('company.admin.trucks.document.additional.view') !!}",
                    method: "GET",
                    data: {
                        dummyId: '{{ $truck->id ?? $dummy_id }}',
                        rowIndex: $("#additionalDocument").find('.row').length,
                    },
                    success: function(response) {
                        if(response.success){
                            $("#additional-document-form #additionalDocument").append(response.view);
                            $(".select2").select2({ width: '100%' });
                            $('.date').datetimepicker({ format: 'MM/DD/YYYY', useCurrent: false });
                        }else{
                            toastr.error(response.msg, 'Error Alert', { timeOut: 5000 });
                        }
                    }
                });
            });

            $(document).on('click', '.removeMoreDocumentAdditionalRows', function (){
                $(this).parent().parent().parent().parent().remove();

                if($("#additionalDocument").find('.row').length == 0){
                    $('#additionalDocumentHeader').prepend('<div class="form-group mb-1"><a href="javascript:void(0);" class="addMoreBtn addAdditionalDocumentBtn"><i class="fa fa-plus-square" aria-hidden="true"></i></a></div>');
                }else{
                    if($("#additionalDocument").find('.row:last-of-type div:last-of-type .form-group div').length == 3){
                        $("#additionalDocument").find('.row:last-of-type div:last-of-type .form-group').append('<div class="form-group mb-1"><a href="javascript:void(0);" class="addMoreBtn addAdditionalDocumentBtn"><i class="fa fa-plus-square" aria-hidden="true"></i></a></div>');
                    }
                }
            });

            $(document).on('click', '.on-board-documents-save', function (e){
                e.preventDefault();

                let isSaveAndClose = $(this).attr('data-save-close');
                let isError = 0;

                if($("#document-profile option:selected").val() != ""){
                    let documentProfileForm = $('#document-profile-form');
                    $.ajax({
                        url: "{!! route('company.admin.trucks.save.tab8', ['section' => '1']) !!}",
                        method: "POST",
                        data: documentProfileForm.serialize() + '&status=' + $('#status').val(),
                        async:false,
                        beforeSend: function() {
                            loader();
                        },
                        success: function(response) {
                            if(response.success){
                                $('.truck-id').val(response.truckId);
                            }else{
                                isError = 1;
                                toastr.error(response.msg, 'Error Alert', { timeOut: 5000 });
                            }
                        },
                        complete: function() {
                            Swal.close();
                        },
                        error: function(jqXHR, status, exception) {
                            isError = 1;

                            if (jqXHR.status === 0) {
                                error = 'Not connected.\nPlease verify your network connection.';
                            } else if (jqXHR.status == 404) {
                                error = 'The requested page not found. [404]';
                            } else if (jqXHR.status == 500) {
                                error = 'Internal Server Error [500].';
                            } else if (exception === 'parsererror') {
                                error = 'Requested JSON parse failed.';
                            } else if (exception === 'timeout') {
                                error = 'Time out error.';
                            } else if (exception === 'abort') {
                                error = 'Ajax request aborted.';
                            } else {
                                error = 'Uncaught Error.\n' + jqXHR.responseText;
                            }
                            toastr.error(error, 'Error Alert', {
                                timeOut: 5000
                            });
                        }
                    });
                }

                let documentAdditionalForm = $('#additional-document-form');
                $.ajax({
                    url: "{!! route('company.admin.trucks.save.tab8', ['section' => '2']) !!}",
                    method: "POST",
                    data: documentAdditionalForm.serialize() + '&status=' + $('#status').val(),
                    async:false,
                    beforeSend: function() {
                        loader();
                    },
                    success: function(response) {
                        if(response.success){
                            $('.truck-id').val(response.truckId);
                        }else{
                            isError = 1;
                            toastr.error(response.msg, 'Error Alert', { timeOut: 5000 });
                        }
                    },
                    complete: function() {
                        Swal.close();
                    },
                    error: function(jqXHR, status, exception) {
                        isError = 1;

                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });

                if(isError == 1){
                    toastr.error('Error, on save On Board Documents', 'Error Alert', { timeOut: 5000 });
                }else{
                    toastr.success('On Board Documents saved successfully', 'Success Alert', { timeOut: 5000 });

                    if(isSaveAndClose == '1'){
                        nextStep();
                    }else{
                        window.location.href = '{!! route('company.admin.trucks.index') !!}'
                    }
                }
            });
            /********************* On Board Documents - END *********************/

            /********************* State Map - START *********************/
            $(document).on('click', '#region-southwest', function () {
                if($(this).is(':checked')){
                    $(this).val(1);
                    $(".region-southwest-child").prop('checked', true).val(1);
                }else{
                    $(this).parent().addClass('d-none').prev('div').removeClass('d-none');
                    $(".region-southwest-child").parent().addClass('d-none').prev('div').removeClass('d-none');

                    $(this).val('');
                    $(".region-southwest-child").prop('checked', false).val('');
                }
            });
            $(document).on('click', '.region-southwest-block', function () {
                $(this).parent().addClass('d-none').next('div').removeClass('d-none').find('#region-southwest').val(0);
                $(".region-southwest-child-block").parent().addClass('d-none').next('div').removeClass('d-none').find('.region-southwest-child').val(0);
            });

            $(document).on('click', '#region-west', function () {
                if($(this).is(':checked')){
                    $(this).val(1);
                    $(".region-west-child").prop('checked', true).val(1);
                }else{
                    $(this).parent().addClass('d-none').prev('div').removeClass('d-none');
                    $(".region-west-child").parent().addClass('d-none').prev('div').removeClass('d-none');

                    $(this).val('');
                    $(".region-west-child").prop('checked', false).val('');
                }
            });
            $(document).on('click', '.region-west-block', function () {
                $(this).parent().addClass('d-none').next('div').removeClass('d-none').find('#region-west').val(0);
                $(".region-west-child-block").parent().addClass('d-none').next('div').removeClass('d-none').find('.region-west-child').val(0);
            });

            $(document).on('click', '#region-midwest', function () {
                if($(this).is(':checked')){
                    $(this).val(1);
                    $(".region-midwest-child").prop('checked', true).val(1);
                }else{
                    $(this).parent().addClass('d-none').prev('div').removeClass('d-none');
                    $(".region-midwest-child").parent().addClass('d-none').prev('div').removeClass('d-none');

                    $(this).val('');
                    $(".region-midwest-child").prop('checked', false).val('');
                }
            });
            $(document).on('click', '.region-midwest-block', function () {
                $(this).parent().addClass('d-none').next('div').removeClass('d-none').find('#region-midwest').val(0);
                $(".region-midwest-child-block").parent().addClass('d-none').next('div').removeClass('d-none').find('.region-midwest-child').val(0);
            });

            $(document).on('click', '#region-southeast', function () {
                if($(this).is(':checked')){
                    $(this).val(1);
                    $(".region-southeast-child").prop('checked', true).val(1);
                }else{
                    $(this).parent().addClass('d-none').prev('div').removeClass('d-none');
                    $(".region-southeast-child").parent().addClass('d-none').prev('div').removeClass('d-none');

                    $(this).val('');
                    $(".region-southeast-child").prop('checked', false).val('');
                }
            });
            $(document).on('click', '.region-southeast-block', function () {
                $(this).parent().addClass('d-none').next('div').removeClass('d-none').find('#region-southeast').val(0);
                $(".region-southeast-child-block").parent().addClass('d-none').next('div').removeClass('d-none').find('.region-southeast-child').val(0);
            });

            $(document).on('click', '#region-northeast', function () {
                if($(this).is(':checked')){
                    $(this).val(1);
                    $(".region-northeast-child").prop('checked', true).val(1);
                }else{
                    $(this).parent().addClass('d-none').prev('div').removeClass('d-none');
                    $(".region-northeast-child").parent().addClass('d-none').prev('div').removeClass('d-none');

                    $(this).val('');
                    $(".region-northeast-child").prop('checked', false).val('');
                }
            });
            $(document).on('click', '.region-northeast-block', function () {
                $(this).parent().addClass('d-none').next('div').removeClass('d-none').find('#region-northeast').val(0);
                $(".region-northeast-child-block").parent().addClass('d-none').next('div').removeClass('d-none').find('.region-northeast-child').val(0);
            });

            $(document).on('click', '.region-southwest-child', function () {
                if($(this).is(':checked')){
                    $(this).val(1);
                }else{
                    $(this).val('').parent().addClass('d-none').prev('div').removeClass('d-none');
                }

                if($(".region-southwest-child").length === $(".region-southwest-child").filter(':checked').length){
                    $("#region-southwest").prop('checked', true).val(1);
                }else if($('.region-southwest-child').length === $('.region-southwest-child').filter(function() { return !this.value; }).length){
                    $('#region-southwest').val('').parent().addClass('d-none').prev('div').removeClass('d-none');
                }else{
                    $("#region-southwest").prop('checked', false);
                }
            });
            $(document).on('click', '.region-southwest-child-block', function () {
                $('#region-southwest').val(0).parent().removeClass('d-none').prev('div').addClass('d-none');
                $(this).parent().addClass('d-none').next('div').removeClass('d-none').find('.region-southwest-child').val(0);
            });

            $(document).on('click', '.region-west-child', function () {
                if($(this).is(':checked')){
                    $(this).val(1);
                }else{
                    $(this).val('').parent().addClass('d-none').prev('div').removeClass('d-none');
                }

                if($(".region-west-child").length === $(".region-west-child").filter(':checked').length){
                    $("#region-west").prop('checked', true).val(1);
                }else if($('.region-west-child').length === $('.region-west-child').filter(function() { return !this.value; }).length){
                    $('#region-west').val('').parent().addClass('d-none').prev('div').removeClass('d-none');
                }else{
                    $("#region-west").prop('checked', false);
                }
            });
            $(document).on('click', '.region-west-child-block', function () {
                $('#region-west').val(0).parent().removeClass('d-none').prev('div').addClass('d-none');
                $(this).parent().addClass('d-none').next('div').removeClass('d-none').find('.region-west-child').val(0);
            });

            $(document).on('click', '.region-midwest-child', function () {
                if($(this).is(':checked')){
                    $(this).val(1);
                }else{
                    $(this).val('').parent().addClass('d-none').prev('div').removeClass('d-none');
                }

                if($(".region-midwest-child").length === $(".region-midwest-child").filter(':checked').length){
                    $("#region-midwest").prop('checked', true).val(1);
                }else if($('.region-midwest-child').length === $('.region-midwest-child').filter(function() { return !this.value; }).length){
                    $('#region-midwest').val('').parent().addClass('d-none').prev('div').removeClass('d-none');
                }else{
                    $("#region-midwest").prop('checked', false);
                }
            });
            $(document).on('click', '.region-midwest-child-block', function () {
                $('#region-midwest').val(0).parent().removeClass('d-none').prev('div').addClass('d-none');
                $(this).parent().addClass('d-none').next('div').removeClass('d-none').find('.region-midwest-child').val(0);
            });

            $(document).on('click', '.region-southeast-child', function () {
                if($(this).is(':checked')){
                    $(this).val(1);
                }else{
                    $(this).val('').parent().addClass('d-none').prev('div').removeClass('d-none');
                }

                if($(".region-southeast-child").length === $(".region-southeast-child").filter(':checked').length){
                    $("#region-southeast").prop('checked', true).val(1);
                }else if($('.region-southeast-child').length === $('.region-southeast-child').filter(function() { return !this.value; }).length){
                    $('#region-southeast').val('').parent().addClass('d-none').prev('div').removeClass('d-none');
                }else{
                    $("#region-southeast").prop('checked', false);
                }
            });
            $(document).on('click', '.region-southeast-child-block', function () {
                $('#region-southeast').val(0).parent().removeClass('d-none').prev('div').addClass('d-none');
                $(this).parent().addClass('d-none').next('div').removeClass('d-none').find('.region-southeast-child').val(0);
            });

            $(document).on('click', '.region-northeast-child', function () {
                if($(this).is(':checked')){
                    $(this).val(1);
                }else{
                    $(this).val('').parent().addClass('d-none').prev('div').removeClass('d-none');
                }

                if($(".region-northeast-child").length === $(".region-northeast-child").filter(':checked').length){
                    $("#region-northeast").prop('checked', true).val(1);
                }else if($('.region-northeast-child').length === $('.region-northeast-child').filter(function() { return !this.value; }).length){
                    $('#region-northeast').val('').parent().addClass('d-none').prev('div').removeClass('d-none');
                }else{
                    $("#region-northeast").prop('checked', false);
                }
            });
            $(document).on('click', '.region-northeast-child-block', function () {
                $('#region-northeast').val(0).parent().removeClass('d-none').prev('div').addClass('d-none');
                $(this).parent().addClass('d-none').next('div').removeClass('d-none').find('.region-northeast-child').val(0);
            });

            $(document).on('click', '.state-map-save', function(e){
                e.preventDefault();

                let that = $(this);
                let formData = $('#state-map-tab').not('[id^="region-"]').serializeArray();
                formData.push({ name: 'status', value: $('#status').val() });

                let dataArr = [];
                $('[id^="region-"]').not('#region-southwest,#region-west,#region-midwest,#region-southeast,#region-northeast').each(function (){
                    dataArr.push({ region: ($(this).attr('id')).slice(7), value: $(this).attr('value') });
                });

                formData.push({ name: 'dataArr', value: JSON.stringify(dataArr) });

                let isSaveAndClose = $(this).attr('data-save-close');

                $.ajax({
                    url: "{!! route('company.admin.trucks.save.tab9') !!}",
                    method: "POST",
                    data: formData,
                    beforeSend: function() {
                        loader();
                    },
                    success: function(response) {
                        if(response.success){
                            $('.truck-id').val(response.truckId);
                            toastr.success(response.msg, 'Success Alert', { timeOut: 5000 });

                            if(isSaveAndClose == '1'){
                                nextStep();
                            }else{
                                window.location.href = '{!! route('company.admin.trucks.index') !!}'
                            }
                        }else{
                            toastr.error(response.msg, 'Error Alert', { timeOut: 5000 });
                        }
                    },
                    complete: function() {
                        Swal.close();
                    },
                    error: function(jqXHR, status, exception) {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert', {
                            timeOut: 5000
                        });
                    }
                });
            });
            /********************* State Map - END *********************/

            /********************* Payment - START *********************/
            $(document).on('click', '.payment-save', function (e){
                e.preventDefault();

                toastr.success('Truck details saved successfully', 'Success Alert', { timeOut: 5000 });

                setTimeout(function(){
                    window.location.href = '{!! route('company.admin.trucks.index') !!}'
                }, 1000);
            });
            /********************* Payment - END *********************/
        });
    </script>
@endsection

@push('after-scripts')
    <script src="{{ asset('theme/js/trimble.js') }}"></script>
@endpush
