@extends($companyAdminTheme)

@section('title')
    Truck Show
@endsection

@section('style')
    <link rel="stylesheet" href="{{ asset('theme/css/select2.min.css') }}">
    <link rel="stylesheet" href="{{ asset('theme/css/datepicker3.min.css') }}">
    <link rel="stylesheet" href="{{ asset('theme/css/media3.css') }}">
    <link rel="stylesheet" href="{{ asset('theme/css/daterangepicker.css') }}">
    <style type="text/css">
        /************ Custom CSS*****************/
        .form-group .custom-top-label {
            font: normal normal 600 14px/17px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C !important;
        }
        .text-decoration-underline {
            text-decoration: underline;
        }
        ::-webkit-scrollbar-thumb {
            background: #305F9C;
            border-radius: 10px;
        }
        /************ Custom CSS*****************/

        /************ Header CSS *****************/
        .truck-header .card {
            border-radius: 0.75rem 0.75rem 0.25rem 0.25rem;
        }
        .truck-header .card .card-header {
            padding: 0.25rem 1.25rem;
            background: transparent linear-gradient(180deg, #417CCB 0%, #294E7C 100%) 0% 0% no-repeat padding-box;
            border-radius: 10px 10px 0px 0px;
            height: 55px;
        }
        .truck-header .card .card-header h6 {
            font: normal normal bold 18px/21px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #FFFFFF;
        }
        .truck-header .card .card-header #btnEdit {
            border-radius: 10px;
            height: 45px;
        }
        .truck-header .card .card-header #btnEdit:hover {
            color: #ffffff;
            background: transparent linear-gradient(180deg, #417CCB 0%, #294E7C 100%) 0% 0% no-repeat padding-box;
            border: 1px solid #ffffff;
        }
        /************ Header CSS *****************/

        /************ Profile CSS *****************/
        .truck-profile .card {
            border-radius: 10px;
        }
        .truck-profile .card .avatar-upload {
            position: relative;
            max-width: 230px;
            margin: 25px auto;
        }
        .truck-profile .card .avatar-upload .avatar-edit {
            position: absolute;
            right: 18px;
            z-index: 1;
            bottom: 10px;
        }
        .truck-profile .card .avatar-upload .avatar-edit input {
            display: none;
        }
        .truck-profile .card .avatar-upload .avatar-edit input + label {
            display: inline-block;
            width: 34px;
            height: 34px;
            margin-bottom: 0;
            border-radius: 100%;
            background: #FFFFFF;
            border: 1px solid transparent;
            box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.12);
            cursor: pointer;
            font-weight: normal;
            transition: all 0.2s ease-in-out;
        }
        .truck-profile .card .avatar-upload .avatar-edit input + label:hover {
            background: #f1f1f1;
            border-color: #d6d6d6;
        }
        .truck-profile .card .avatar-upload .avatar-edit input + label:after {
            content: "\f030";
            font-family: 'FontAwesome';
            color: #305F9C;
            position: absolute;
            top: 6px;
            left: 0;
            right: 0;
            text-align: center;
            margin: auto;
            font-size: 16px;
        }
        .truck-profile .card .avatar-upload .avatar-preview {
            width: 230px;
            height: 230px;
            position: relative;
            border-radius: 100%;
            border: 6px solid #F8F8F8;
            box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.1);
        }
        .truck-profile .card .avatar-upload .avatar-preview > div {
            width: 100%;
            height: 100%;
            border-radius: 100%;
            background-size: cover;
            background-repeat: no-repeat;
            background-position: center;
        }
        .truck-profile .card .modal-url,
        .truck-profile .card .modal-url:hover {
            text-decoration: underline;
            font: normal normal bold 16px/20px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;
            cursor: pointer;
        }
        .truck-profile .card .title-label {
            font: normal normal bold 19px/23px Inter;
            letter-spacing: 0px;
            color: #305F9C;
        }
        .truck-profile .truck-details label {
            font: normal normal bold 16px/20px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;
        }
        .truck-profile .truck-details p {
            font: normal normal 500 16px/20px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #322727;
        }
        .truck-profile .truck-details .badge-active {
            color: #fff;
            background-color: #2F9840;
        }
        .truck-profile .truck-details .badge-oss {
            color: #fff;
            background-color: #FFCF10;
        }
        .truck-profile .truck-details .badge-terminate {
            color: #fff;
            background-color: #FF1010;
        }
        .truck-profile .truck-details .badge-rehire {
            color: #fff;
            background-color: #305F9C;
        }
        .truck-profile .ul-border-right {
            border-right: 1px solid #E4E4E4;
        }
        .truck-profile .ul-border-bottom {
            border-bottom: 1px solid #E4E4E4;
        }

        .truck-profile .card .avatar-assign-driver {
            position: relative;
            max-width: 122px;
            /*margin: auto 10px auto auto;*/
            margin: auto auto;
        }
        .truck-profile .card .avatar-assign-driver .avatar-assign-driver-preview {
            width: 122px;
            height: 122px;
            position: relative;
            border-radius: 100%;
            border: 6px solid #F8F8F8;
            box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.1);
            background: #F1F3F6 0% 0% no-repeat padding-box;
            border: 2px dashed #7C8C9D;
        }
        .truck-profile .card .avatar-assign-driver .avatar-assign-driver-preview > div {
            width: 100%;
            height: 100%;
            border-radius: 100%;
            background-size: cover;
            background-repeat: no-repeat;
            background-position: center;
        }

        .truck-profile .card .avatar-driver {
            position: relative;
            max-width: 122px;
            /*margin: auto 10px auto auto;*/
            margin: auto auto;
        }
        .truck-profile .card .avatar-driver .avatar-driver-preview {
            width: 122px;
            height: 122px;
            position: relative;
            border-radius: 100%;
            border: 6px solid #F8F8F8;
            box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.1);
        }
        .truck-profile .card .avatar-driver .avatar-driver-preview > div {
            width: 100%;
            height: 100%;
            border-radius: 100%;
            background-size: cover;
            background-repeat: no-repeat;
            background-position: center;
        }

        .truck-profile .card .avatar-assign-co-driver {
            position: relative;
            max-width: 122px;
            /*margin: auto auto auto 15px;*/
            margin: auto auto;
        }
        .truck-profile .card .avatar-assign-co-driver .avatar-assign-co-driver-preview {
            width: 122px;
            height: 122px;
            position: relative;
            border-radius: 100%;
            border: 6px solid #F8F8F8;
            box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.1);
            background: #F1F3F6 0% 0% no-repeat padding-box;
            border: 2px dashed #7C8C9D;
        }
        .truck-profile .card .avatar-assign-co-driver .avatar-assign-co-driver-preview > div {
            width: 100%;
            height: 100%;
            border-radius: 100%;
            background-size: cover;
            background-repeat: no-repeat;
            background-position: center;
        }

        .truck-profile .card .avatar-co-driver {
            position: relative;
            max-width: 122px;
            /*margin: auto auto auto 15px;*/
            margin: auto auto;
        }
        .truck-profile .card .avatar-co-driver .avatar-co-driver-preview {
            width: 122px;
            height: 122px;
            position: relative;
            border-radius: 100%;
            border: 6px solid #F8F8F8;
            box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.1);
        }
        .truck-profile .card .avatar-co-driver .avatar-co-driver-preview > div {
            width: 100%;
            height: 100%;
            border-radius: 100%;
            background-size: cover;
            background-repeat: no-repeat;
            background-position: center;
        }

        .truck-profile .card .card-body .last-location-chart label {
            font: normal normal bold 16px/20px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;
        }
        .truck-profile .card .card-body .last-location-chart p {
            font: normal normal medium 12px/15px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #322727;
        }
        .truck-profile .card .card-body .last-location-chart img {
            width: 68px;
            height: 68px;
        }

        .truck-profile .card .card-body .eld-status {
            display: inline-block;
            padding: 0.25em 0.4em;
            font-size: 14px;
            font-weight: 700;
            line-height: 1;
            text-align: left;
            white-space: nowrap;
            vertical-align: baseline;
            border-radius: 0.25rem;
            transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
        }

        .truck-profile .truck-and-trailer {
            display: inline-block;
            padding: 0.25em 0.4em;
            font-size: 75%;
            font-weight: 700;
            line-height: 1;
            text-align: left;
            white-space: nowrap;
            vertical-align: baseline;
            border-radius: 0.25rem;
            transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
            border: 1px solid #E4E4E4;
        }
        .truck-profile .truck-and-trailer h6 {
            font: normal normal bold 18px/21px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #322727;
            text-transform: capitalize;
        }
        .truck-profile .edit-icon img {
            position: absolute;
            top: -5px;
            right: -5px;
        }

        .truck-profile .driverView .driver-fullname {
            font: normal normal 500 16px/20px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #7C8C9D;
        }
        .truck-profile .driverView .eld-status .eld-status-type {
            font: normal normal 600 19px/23px Inter;
            letter-spacing: 0px;
            color: #322727;
            text-transform: capitalize;
        }
        .truck-profile .driverView .eld-status .badge {
            background: #2F9840 0% 0% no-repeat padding-box;
            border-radius: 3px;
        }
        /************ Profile CSS *****************/

        /************ Tabs CSS *****************/
        .truck-tabs .nav-tabs {
            border: 0;
            padding: 25px 0px 0px
        }
        .truck-tabs .nav-tabs a {
            font: normal normal bold 15px Inter, Sans-Serif;
            color: #305F9C;
            padding: 1rem 1.15rem;
            position: relative;
            height: 45px;
        }
        .truck-tabs .nav-tabs a.active {
            font: normal normal bold 15px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #FFFFFF !important;
            background: transparent linear-gradient(180deg, #417CCB 0%, #294E7C 100%) 0% 0% no-repeat padding-box;
        }
        .truck-tabs .nav-tabs .nav-link.disabled {
            font: normal normal bold 15px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;
        }
        .truck-tabs .nav-tabs .nav-item {
            margin-right: 3px;
            border: 1px solid #305F9C;
            border-radius: 10px 10px 0px 0px;
            border-bottom: 1px solid #D8D8D9;
        }
        .truck-tabs .nav-tabs a.active::before {
            content: '';
            background-color: inherit;
            height: 2px;
            width: 100%;
            position: absolute;
            left: 0;
            top: inherit;
            bottom: 0;
        }
        .truck-tabs .tab-content {
            background: #FFFFFF 0% 0% no-repeat padding-box;
            border: 1px solid #D8D8D9;
            border-radius: 0px 10px 10px 10px;
        }
        .truck-tabs .tab-content ul li {
            padding: 0px 0px;
        }
        .truck-tabs .select2-container {
            width: 100% !important;
        }
        .truck-tabs .select2-container .select2-selection--single {
            height: 43px !important;
            border-radius: 10px !important;
            border: 1px solid #D8D8DD !important;
        }
        .truck-tabs .select2-container--default .select2-selection--single {
            border: 1px solid #C5CEE0;
        }
        .truck-tabs .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 40px !important;
        }
        .truck-tabs .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 40px;
            width: 35px;
        }
        .truck-tabs .select2-container .select2-selection--single .select2-selection__rendered {
            padding-left: 12px;
            font-weight: 600;
            color: #000000e6 !important;
            padding-right: 30px;
        }
        .truck-tabs .select2-container .select2-search__field::placeholder {
            font-size: 14px;
            font-weight: 500;
        }
        .truck-tabs .form-group label {
            font: normal normal 600 14px/17px Inter;
            letter-spacing: 0px;
            color: #616376;
        }

        .truck-tabs #tabAccount .card {
            border-radius: 10px 10px 10px 10px;
        }
        .truck-tabs #tabAccount .card .card-header {
            background: transparent linear-gradient(180deg, #417CCB 0%, #294E7C 100%) 0% 0% no-repeat padding-box;
            border-radius: 10px 10px 0px 0px;
            height: 55px;
            padding-top: 7px;
        }
        .truck-tabs #tabAccount .card .card-header h6 {
            font: normal normal bold 18px/21px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #FFFFFF;
            padding-top: 7px;
        }
        .truck-tabs #tabAccount .dropdown #upcomingEvents {
            color: #FFFFFF;
            cursor: pointer;
            padding: 10px 10px;
            border: 1px solid #D8D8DD;
            width: 100%;
            border-radius: 10px;
        }
        .truck-tabs #tabAccount .t-info {
            max-height: 250px;
            overflow-y: scroll;
            overflow-x: hidden;
        }
        .truck-tabs #tabAccount .t-info .eventList .event {
            color: #8F9BB3;
            font-size: 14px;
        }
        .truck-tabs #tabAccount .t-info .eventList .event span {
            color: #212121;
            display: block;
            font-weight: 600;
            cursor: pointer;
        }

        .truck-tabs #tabOwners label{
            font: normal normal bold 20px/24px Inter;
            letter-spacing: 0px;
            color: #305F9C;
        }
        .truck-tabs #tabOwners h6 {
            font: normal normal bold 20px/24px Inter;
            letter-spacing: 0px;
            color: #322727;
        }

        .truck-tabs #tabLoads .white-box.table-view .table-title {
            background: #F1F3F6 0% 0% no-repeat padding-box;
            border-radius: 10px;
        }
        .truck-tabs #tabLoads .white-box.table-view .dataTables_wrapper .dataTables_filter .form-control {
            font-size: 14px;
            font-weight: bolder;
            border: 1px solid #305F9C;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding: 0px 12px;
            background: #F1F3F6 0% 0% no-repeat padding-box;
            width: 373px;
            height: 43px;
            box-shadow: 0 3px 6px rgb(0 0 0 / 16%);
        }
        .truck-tabs #tabLoads .white-box.table-view .dataTables_wrapper .dataTables_length .form-control {
            font-size: 14px;
            font-weight: bolder;
            border: 1px solid #305F9C;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding: 8px;
            height: 43px;
            width: 60px;
            color: #305F9C !important;
            box-shadow: 0 3px 6px rgb(0 0 0 / 16%);
        }
        .truck-tabs #tabLoads .white-box.table-view .dataTables_wrapper .dataTables_length .form-control:hover {
            color: #fff !important;
            background-color: #305F9C;
        }
        .truck-tabs #tabLoads .white-box.table-view .table-title {
            margin-bottom: -54px;
        }
        .truck-tabs #tabLoads .white-box.table-view .dataTables_filter {
            padding-right: 0px;
            margin-right: -10px;
        }
        .truck-tabs #tabLoads .white-box.table-view table.dataTable {
            border: 1px solid #CCCCCC;
            margin-top: 0px !important;
        }
        .truck-tabs #tabLoads .white-box.table-view .row .dataTables_length {
            display: block!important;
            margin-right: -10px;
        }
        .truck-tabs #tabLoads .white-box.table-view .table thead th {
            padding: 15px 15px 15px 15px !important;
        }
        .truck-tabs #tabLoads .white-box.table-view .table tbody td {
            padding: 8px 15px 8px 15px !important;
        }
        .truck-tabs #tabLoads .white-box.table-view .listing .table thead {
            background: transparent linear-gradient(180deg, #417CCB 0%, #294E7C 100%) 0% 0% no-repeat padding-box;
            text-align: center;
        }
        .truck-tabs #tabLoads .white-box.table-view .listing .table tbody {
            text-align: center;
        }
        .truck-tabs #tabLoads .white-box.table-view .listing .table tbody tr:first-child td {
            border: 1px solid #dee2e6 !important;
        }
        .truck-tabs #tabLoads .white-box.table-view table.rounded-corners {
            border-radius: 10px;
            border-spacing: 0;
            border-collapse: separate;
            overflow: hidden;
            font-weight: 600;
        }
        .truck-tabs #tabLoads .white-box.table-view table.rounded-corners th:not(:last-child),
        .truck-tabs #tabLoads .white-box.table-view table.rounded-corners td:not(:last-child) {
            border-right: var(--border);
        }
        .truck-tabs #tabLoads .white-box.table-view table.rounded-corners>thead>tr:not(:last-child)>th,
        .truck-tabs #tabLoads .white-box.table-view table.rounded-corners>thead>tr:not(:last-child)>td,
        .truck-tabs #tabLoads .white-box.table-view table.rounded-corners>tbody>tr:not(:last-child)>th,
        .truck-tabs #tabLoads .white-box.table-view table.rounded-corners>tbody>tr:not(:last-child)>td,
        .truck-tabs #tabLoads .white-box.table-view table.rounded-corners>tfoot>tr:not(:last-child)>th,
        .truck-tabs #tabLoads .white-box.table-view table.rounded-corners>tfoot>tr:not(:last-child)>td,
        .truck-tabs #tabLoads .white-box.table-view table.rounded-corners>tr:not(:last-child)>td,
        .truck-tabs #tabLoads .white-box.table-view table.rounded-corners>tr:not(:last-child)>th,
        .truck-tabs #tabLoads .white-box.table-view table.rounded-corners>thead:not(:last-child),
        .truck-tabs #tabLoads .white-box.table-view table.rounded-corners>tbody:not(:last-child),
        .truck-tabs #tabLoads .white-box.table-view table.rounded-corners>tfoot:not(:last-child) {
            border-bottom: var(--border);
        }
        .truck-tabs #tabLoads .white-box.table-view .table thead::before {
            background: transparent linear-gradient(180deg, #417CCB 0%, #294E7C 100%) 0% 0% no-repeat padding-box;
        }
        .truck-tabs #tabLoads .white-box.table-view .btn-blueBr {
            color: #305F9C;
            background-color: #F1F3F6;
            border: 1px solid #305F9C;
            height: 43px;
            border-radius: 10px;
        }
        .truck-tabs #tabLoads .white-box.table-view .btn-blueBr:hover {
            color: #fff;
            background-color: #305F9C;
        }
        .truck-tabs #tabLoads .cusotdiv {
            padding-right: 12px!important;
        }
        .truck-tabs #tabLoads .load-report .big-ttl {
            font: normal normal bold 20px/24px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;
        }
        .truck-tabs #tabLoads .load-report .h5 {
            font: normal normal bold 28px/34px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #322727;
        }
        .truck-tabs #tabLoads .load-report .blue {
            font: normal normal 500 13px/16px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;
        }
        .truck-tabs #tabLoads .load-report .orange {
            font: normal normal 500 13px/16px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #FF1010;
        }
        .truck-tabs #tabLoads .load-report .img {
            width: 11px;
            height: 5px;
        }
        .truck-tabs #tabLoads .dropdown #reportRange {
            background: #FFFFFF 0% 0% no-repeat padding-box;
            cursor: pointer;
            padding: 10px 10px;
            border: 1px solid #D8D8DD;
            width: 100%;
            border-radius: 10px;
        }
        .truck-tabs #tabLoads .dropdown #reportRange .fa-caret-down {
            color: #305F9C;
        }
        .truck-tabs #tabLoads .employee-box {
            padding: 10px !important;
        }
        .truck-tabs #tabLoads .white-box .loadingdiv {
            min-height: inherit;
        }
        .truck-tabs #tabLoads .white-box .loadingdiv img {
            width: 30px;
        }
        .truck-tabs #tabLoads .form-check {
            padding-left: inherit;
        }
        .truck-tabs #tabLoads .form-check input {
            opacity: 0;
        }
        .truck-tabs #tabLoads .form-check label {
            font-size: 14px;
            line-height: 1.215;
            font-weight: bold;
            color: #616376;
        }
        .truck-tabs #tabLoads .form-check label::before {
            content: '';
            position: absolute;
            width: 16px;
            height: 16px;
            left: 5px;
            border: 2px solid #305F9C;
            border-radius: 4px;
            top: 0px;
        }
        .truck-tabs #tabLoads .form-check label::after {
            content: "\f00c";
            font: normal normal normal 14px/1 FontAwesome;
            color: white;
            left: 8px;
            position: absolute;
            top: 3.5px;
            font-size: 10px;
            opacity: 0;
        }
        .truck-tabs #tabLoads .form-check-input {
            position: inherit;
            margin-top: inherit;
            margin-left: inherit;
        }
        .truck-tabs #tabLoads .form-check input[type="checkbox"]:checked~label::before {
            background-color: #305F9C;
        }
        .truck-tabs #tabLoads .form-check input[type="checkbox"]:checked~label::after {
            opacity: 1;
        }

        .truck-tabs #tabMaintenanceRepairs .maintenance-repairs-report .big-ttl {
            font: normal normal bold 20px/24px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;
        }
        .truck-tabs #tabMaintenanceRepairs .maintenance-repairs-report .h5 {
            font: normal normal bold 28px/34px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #322727;
        }
        .truck-tabs #tabMaintenanceRepairs .maintenance-repairs-report .blue {
            font: normal normal 500 13px/16px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;
        }
        .truck-tabs #tabMaintenanceRepairs .maintenance-repairs-report .orange {
            font: normal normal 500 13px/16px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #FF1010;
        }
        .truck-tabs #tabMaintenanceRepairs .maintenance-repairs-report .img {
            width: 11px;
            height: 5px;
        }
        .truck-tabs #tabMaintenanceRepairs .card {
            border-radius: 10px 10px 10px 10px;
        }
        .truck-tabs #tabMaintenanceRepairs .card .card-header {
            background: transparent linear-gradient(180deg, #417CCB 0%, #294E7C 100%) 0% 0% no-repeat padding-box;
            border-radius: 10px 10px 0px 0px;
            height: 55px;
            padding-top: 7px;
        }
        .truck-tabs #tabMaintenanceRepairs .card .card-header h6 {
            font: normal normal bold 18px/21px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #FFFFFF;
            padding-top: 7px;
        }
        .truck-tabs #tabMaintenanceRepairs .table td,
        .truck-tabs #tabMaintenanceRepairs .table tbody tr:first-child td {
            border-bottom: 0 !important;
        }
        .truck-tabs #tabMaintenanceRepairs .table tbody tr td a {
            text-decoration: underline;
            font: normal normal 600 12px/15px Inter;
            letter-spacing: 0px;
            color: #305F9C;
        }
        .truck-tabs #tabMaintenanceRepairs .dropdown #truckMaintenanceReportRange {
            background: #FFFFFF 0% 0% no-repeat padding-box;
            cursor: pointer;
            padding: 10px 10px;
            border: 1px solid #D8D8DD;
            width: 100%;
            border-radius: 10px;
        }
        .truck-tabs #tabMaintenanceRepairs .dropdown #truckMaintenanceReportRange .fa-caret-down {
            color: #305F9C;
        }

        .truck-tabs #tabTruckInformation .truck-report span {
            font: normal normal bold 20px/24px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;
        }
        .truck-tabs #tabTruckInformation .truck-report .h5 {
            font: normal normal bold 28px/34px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #322727;
        }
        .truck-tabs #tabTruckInformation .dropdown #truckReportRange {
            background: #FFFFFF 0% 0% no-repeat padding-box;
            cursor: pointer;
            padding: 10px 10px;
            border: 1px solid #D8D8DD;
            width: 100%;
            border-radius: 10px;
        }
        .truck-tabs #tabTruckInformation .dropdown #truckReportRange .fa-caret-down {
            color: #305F9C;
        }
        .truck-tabs #tabTruckInformation .card {
            border-radius: 10px 10px 10px 10px;
        }
        .truck-tabs #tabTruckInformation .card .card-header {
            background: transparent linear-gradient(180deg, #417CCB 0%, #294E7C 100%) 0% 0% no-repeat padding-box;
            border-radius: 10px 10px 0px 0px;
            height: 55px;
            padding-top: 7px;
        }
        .truck-tabs #tabTruckInformation .card .card-header h6 {
            font: normal normal bold 18px/21px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #FFFFFF;
            padding-top: 7px;
        }
        .truck-tabs #tabTruckInformation .truck-details label {
            font: normal normal 600 14px/17px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;
        }
        .truck-tabs #tabTruckInformation .truck-details p {
            font: normal normal 500 14px/17px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #322727;
        }
        .truck-tabs #tabTruckInformation .truck-details hr {
            border-color: #E4E4E4;
        }
        .truck-tabs #tabTruckInformation .white-box .loadingdiv {
            min-height: inherit;
        }
        .truck-tabs #tabTruckInformation .white-box .loadingdiv img {
            width: 30px;
        }
        .truck-tabs #tabTruckInformation .card .card-header #btnData {
            border-radius: 10px;
            height: 40px;
            min-width: 80px;
            font-size: 14px !important;
            font-weight: bold !important;
        }
        .truck-tabs #tabTruckInformation .card .card-header #btnData:hover {
            color: #ffffff;
            background: transparent linear-gradient(180deg, #417CCB 0%, #294E7C 100%) 0% 0% no-repeat padding-box;
            border: 1px solid #ffffff;
        }
        .truck-tabs #tabTruckInformation .card .card-header #btnRefresh {
            border-radius: 10px;
            height: 40px;
            min-width: 80px;
        }
        .truck-tabs #tabTruckInformation .card .card-header #btnRefresh:hover {
            color: #ffffff;
            background: transparent linear-gradient(180deg, #417CCB 0%, #294E7C 100%) 0% 0% no-repeat padding-box;
            border: 1px solid #ffffff;
        }
        .truck-tabs #tabTruckInformation #diagnostics-form .btn-blue {
            background: #305F9C 0% 0% no-repeat padding-box;
            border: 1px solid #305F9C;
            border-radius: 10px !important;
            color: #F1F3F6;
            min-width: 110px;
        }
        .truck-tabs #tabTruckInformation #diagnostics-form .btn-blue:hover {
            border: 1px solid #305F9C;
            background-color: #F1F3F6;
            color: #305F9C;
        }
        .truck-tabs #tabTruckInformation #diagnostics-form .btn-blueBr {
            font-size: 14px;
            font-weight: bold;
            height: auto;
            line-height: 18px;
            text-align: center;
            padding: 12.5px 0.75rem;
            transition: all 0.3s linear;
            border-radius: 10px !important;
            min-width: 110px;
        }
        .truck-tabs #tabTruckInformation #diagnostics .card-body label {
            font: normal normal bold 18px/21px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #322727;
            margin-bottom: 0px;
        }
        .truck-tabs #tabTruckInformation #diagnostics .card-body p {
            font: normal normal 500 16px/20px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #322727;
        }
        .truck-tabs #tabTruckInformation #diagnostics .card-body .row:not(:last-of-type) {
            border-bottom: 1px solid #E4E4E4;
        }
        .truck-tabs #tabTruckInformation .dropdown.dropdown-blue-theme .dropdown-menu .dropdown-body {
            padding: 3px 30px 11px !important;
        }
        .truck-tabs #tabTruckInformation .dropdown.dropdown-blue-theme .dropdown-menu ul {
            max-height: 550px;
            overflow: auto;
        }
        .truck-tabs #tabTruckInformation #diagnosticsSortable .fixed {
            opacity: 0.5;
        }
        .truck-tabs #tabTruckInformation #truckDiagnosticDiv .progress {
            height: 10px;
            margin: inherit;
        }

        .truck-tabs #tabSafetyCompliance hr {
            border: 1px solid #E4E4E4;
        }
        .truck-tabs #tabSafetyCompliance .account-detail li a {
            font: normal normal bold 16px/20px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #322727;
        }
        .truck-tabs #tabSafetyCompliance .account-detail li i {
            color: #305F9C;
            font-size: 30px;
            border-radius: 8px;
        }
        .truck-tabs #tabSafetyCompliance .date-details {
            display: inline-table;
        }
        .truck-tabs #tabSafetyCompliance .date-details .top-header {
            font: normal normal 600 14px/17px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;
        }
        .truck-tabs #tabSafetyCompliance .table tr td:not(.top-header){
            font: normal normal 600 14px/17px Inter, Sans-Serif !important;
            letter-spacing: 0px;
            color: #322727;
        }
        .truck-tabs #tabSafetyCompliance .text-incomplete{
            color: #FF1010 !important;
        }
        .truck-tabs #tabSafetyCompliance .text-complete{
            color: #2F9840 !important;
        }
        .truck-tabs #tabSafetyCompliance .table td,
        .truck-tabs #tabSafetyCompliance .table tbody tr:first-child td {
            border-bottom: inherit !important;
        }

        .truck-tabs #tabOnBoardItems .on-board-items-report .big-ttl {
            font: normal normal bold 20px/24px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;
        }
        .truck-tabs #tabOnBoardItems .on-board-items-report .h5 {
            font: normal normal bold 28px/34px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #322727;
        }
        .truck-tabs #tabOnBoardItems .on-board-items-report .blue {
            font: normal normal 500 13px/16px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #305F9C;
        }
        .truck-tabs #tabOnBoardItems .on-board-items-report .orange {
            font: normal normal 500 13px/16px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #FF1010;
        }
        .truck-tabs #tabOnBoardItems .on-board-items-report .img {
            width: 11px;
            height: 5px;
        }
        .truck-tabs #tabOnBoardItems .card {
            border-radius: 10px 10px 10px 10px;
        }
        .truck-tabs #tabOnBoardItems .card .card-header {
            background: transparent linear-gradient(180deg, #417CCB 0%, #294E7C 100%) 0% 0% no-repeat padding-box;
            border-radius: 10px 10px 0px 0px;
            height: 55px;
            padding-top: 7px;
        }
        .truck-tabs #tabOnBoardItems .card .card-header h6 {
            font: normal normal bold 18px/21px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #FFFFFF;
            padding-top: 7px;
        }
        .truck-tabs #tabOnBoardItems .table td,
        .truck-tabs #tabOnBoardItems .table tbody tr:first-child td {
            border-bottom: 0 !important;
        }

        .truck-tabs #tabStateMap .icon-preferred i {
            font-size: 14px;
            color: #305F9C;
        }
        .truck-tabs #tabStateMap .icon-Open i {
            font-size: 14px;
            color: #EAEAEA;
        }
        .truck-tabs #tabStateMap .icon-Block i {
            font-size: 14px;
            color: #FF1010;
        }
        .truck-tabs #tabStateMap .icon-preferred b {
            font-size: 14px;
            color: #322727;
        }
        .truck-tabs #tabStateMap .icon-Open b {
            font-size: 14px;
            color: #322727;
        }
        .truck-tabs #tabStateMap .icon-Block b {
            font-size: 14px;
            color: #322727;
        }
        .truck-tabs #tabStateMap .map-legend {
            position: absolute;
            bottom: 0;
            right: 0;
        }
        .truck-tabs #tabStateMap .map-button .btn-blue {
            width: 117px;
            height: 45px;
            border-radius: 10px;
        }

        .truck-tabs #tabDocuments .card {
            border-radius: 10px 10px 10px 10px;
        }
        .truck-tabs #tabDocuments .card .card-header {
            background: transparent linear-gradient(180deg, #417CCB 0%, #294E7C 100%) 0% 0% no-repeat padding-box;
            border-radius: 10px 10px 0px 0px;
            height: 55px;
            padding-top: 7px;
        }
        .truck-tabs #tabDocuments .card .card-header h6 {
            font: normal normal bold 18px/21px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #FFFFFF;
            padding-top: 7px;
        }
        .truck-tabs #tabDocuments .table td,
        .truck-tabs #tabDocuments .table tbody tr:first-child td {
            border-bottom: 0 !important;
        }
        .truck-tabs #tabDocuments .table tbody tr td .fa-eye {
            color: #305F9C;
        }
        .truck-tabs #tabDocuments .table tbody tr td .fa-eye-slash {
            color: #305F9C;
        }

        .truck-tabs #tabGallery .card {
            border-radius: 10px 10px 10px 10px;
        }
        .truck-tabs #tabGallery .card .card-header {
            background: transparent linear-gradient(180deg, #417CCB 0%, #294E7C 100%) 0% 0% no-repeat padding-box;
            border-radius: 10px 10px 0px 0px;
            height: 55px;
            padding-top: 7px;
        }
        .truck-tabs #tabGallery .card .card-header h6 {
            font: normal normal bold 18px/21px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #FFFFFF;
            padding-top: 7px;
        }
        .truck-tabs #tabGallery .card .card-header #btnUpload {
            border-radius: 10px;
            height: 40px;
            min-width: 80px;
        }
        .truck-tabs #tabGallery .card .card-header #btnUpload:hover {
            color: #ffffff;
            background: transparent linear-gradient(180deg, #417CCB 0%, #294E7C 100%) 0% 0% no-repeat padding-box;
            border: 1px solid #ffffff;
        }
        .truck-tabs #tabGallery .card .card-body .galleryDelete img {
            margin-top: 0.20rem!important;
        }
        .storeGalleryImage .form-control {
            font-size: 14px !important;
            padding: 5px 12px !important;
        }
        /************ Tabs CSS *****************/

        /************ Modal CSS *****************/
        .modal .modal-dishpatch .select2-container {
            width: 100% !important;
        }
        .modal .modal-dishpatch .select2-container .select2-selection--single {
            height: 43px !important;
            border-radius: 10px !important;
            border: 1px solid #D8D8DD !important;
        }
        .modal .modal-dishpatch .select2-container--default .select2-selection--single {
            border: 1px solid #C5CEE0;
        }
        .modal .modal-dishpatch .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 40px !important;
        }
        .modal .modal-dishpatch .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 40px;
            width: 35px;
        }
        .modal .modal-dishpatch .select2-container .select2-selection--single .select2-selection__rendered {
            padding-left: 12px;
            font-weight: 600;
            color: #000000e6 !important;
        }
        .modal .modal-dishpatch .select2-container .select2-search__field::placeholder {
            font-size: 14px;
            font-weight: 500;
        }
        .modal .modal-dishpatch input[type=text].form-control {
            font-size: 14px;
            font-weight: bolder;
            border: 1px solid #D8D8DD;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding: 0px 12px;
            height: 43px;
        }
        .modal .modal-dishpatch input::placeholder {
            font-weight: 200;
            color: #616376 !important;
        }
        .modal .modal-dishpatch textarea::placeholder {
            font-weight: 200;
            color: #616376 !important;
        }
        .modal .modal-dishpatch select.form-control {
            font-size: 14px;
            border: 1px solid #C5CEE0;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding-left: 12px;
            font-weight: 400;
            color: #616376;
        }
        .modal .modal-dishpatch .form-group img {
            width: 15px;
        }
        .modal .modal-dishpatch .form-group label {
            font-size: 14px;
            line-height: 1.215;
            font-weight: bold;
            color: #616376;
            margin-bottom: 0.25rem!important;
        }

        .modal .modal-dishpatch .form-check {
            padding-left: inherit;
        }
        .modal .modal-dishpatch .form-check input {
            opacity: 0;
        }
        .modal .modal-dishpatch .form-check label::before {
            content: '';
            position: absolute;
            width: 16px;
            height: 16px;
            left: 5px;
            border: 2px solid #305F9C;
            border-radius: 4px;
            top: -1px;
        }
        .modal .modal-dishpatch .form-check label::after {
            content: "\f00c";
            font: normal normal normal 14px/1 FontAwesome;
            color: white;
            left: 8px;
            position: absolute;
            top: 1.5px;
            font-size: 10px;
            opacity: 0;
        }
        .modal .modal-dishpatch .form-check-input {
            position: inherit;
            margin-top: inherit;
            margin-left: inherit;
        }
        .modal .modal-dishpatch .form-check input[type="checkbox"]:checked~label::before {
            background-color: #305F9C;
        }
        .modal .modal-dishpatch .form-check input[type="checkbox"]:checked~label::after {
            opacity: 1;
        }

        #createHOSViolationsModal .modal-lg, .modal-xl,
        #editHOSViolationsModal .modal-lg, .modal-xl,
        #showHOSViolationsModal .modal-lg, .modal-xl,
        #createNonViolationsModal .modal-lg, .modal-xl,
        #editNONViolationsModal .modal-lg, .modal-xl,
        #showNONViolationsModal .modal-lg, .modal-xl {
            max-width: 1109px;
        }
        #createAccidentModal .modal-dialog,
        #editAccidentModal .modal-dialog,
        #showAccidentModal .modal-dialog {
            max-width: 668px;
        }
        #createHOSViolationsModal input[type=text].form-control,
        #editHOSViolationsModal input[type=text].form-control,
        #showHOSViolationsModal input[type=text].form-control,
        #createNonViolationsModal input[type=text].form-control,
        #editNONViolationsModal input[type=text].form-control,
        #showNONViolationsModal input[type=text].form-control,
        #createAccidentModal input[type=text].form-control,
        #editAccidentModal input[type=text].form-control,
        #showAccidentModal input[type=text].form-control {
            font-size: 14px;
            font-weight: bolder;
            border: 1px solid #D8D8DD;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding: 0px 12px;
            color: #000000 !important;
        }
        #createHOSViolationsModal .form-group .input-group img,
        #editHOSViolationsModal .form-group .input-group img,
        #showHOSViolationsModal .form-group .input-group img,
        #createNonViolationsModal .form-group .input-group img,
        #editNONViolationsModal .form-group .input-group img,
        #showNONViolationsModal .form-group .input-group img,
        #createAccidentModal .form-group .input-group img,
        #editAccidentModal .form-group .input-group img,
        #showAccidentModal .form-group .input-group img {
            width: 15px;
            height: 17px;
        }
        #createHOSViolationsModal .form-group label,
        #editHOSViolationsModal .form-group label,
        #showHOSViolationsModal .form-group label,
        #createNonViolationsModal .form-group label,
        #editNONViolationsModal .form-group label,
        #showNONViolationsModal .form-group label,
        #createAccidentModal .form-group label,
        #editAccidentModal .form-group label,
        #showAccidentModal .form-group label {
            font: normal normal 600 14px/17px Inter, Sans-Serif;
            color: #616376 !important;
        }
        #createHOSViolationsModal select.form-control,
        #editHOSViolationsModal select.form-control,
        #showHOSViolationsModal select.form-control,
        #createNonViolationsModal select.form-control,
        #editNONViolationsModal select.form-control,
        #showNONViolationsModal select.form-control,
        #createAccidentModal select.form-control,
        #editAccidentModal select.form-control,
        #showAccidentModal select.form-control {
            font-size: 14px;
            border: 1px solid #C5CEE0;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding-left: 12px;
            font-weight: 400;
            color: #616376;
        }
        #createHOSViolationsModal input::placeholder,
        #editHOSViolationsModal input::placeholder,
        #showHOSViolationsModal input::placeholder,
        #createNonViolationsModal input::placeholder,
        #editNONViolationsModal input::placeholder,
        #showNONViolationsModal input::placeholder,
        #createAccidentModal input::placeholder,
        #editAccidentModal input::placeholder,
        #showAccidentModal input::placeholder {
            font: normal normal normal 14px/17px Inter, Sans-Serif;
            letter-spacing: 0px;
            color: #616376;
        }
        #createHOSViolationsModal .select2-container,
        #editHOSViolationsModal .select2-container,
        #showHOSViolationsModal .select2-container,
        #createNonViolationsModal .select2-container,
        #editNONViolationsModal .select2-container,
        #showNONViolationsModal .select2-container,
        #createAccidentModal .select2-container,
        #editAccidentModal .select2-container,
        #showAccidentModal .select2-container {
            width: 100% !important;
        }
        #createHOSViolationsModal .select2-container .select2-selection--single,
        #editHOSViolationsModal .select2-container .select2-selection--single,
        #showHOSViolationsModal .select2-container .select2-selection--single,
        #createNonViolationsModal .select2-container .select2-selection--single,
        #editNONViolationsModal .select2-container .select2-selection--single,
        #showNONViolationsModal .select2-container .select2-selection--single,
        #createAccidentModal .select2-container .select2-selection--single,
        #editAccidentModal .select2-container .select2-selection--single,
        #showAccidentModal .select2-container .select2-selection--single {
            height: 43px !important;
            border-radius: 10px !important;
            border: 1px solid #D8D8DD !important;
        }
        #createHOSViolationsModal .select2-container--default .select2-selection--single,
        #editHOSViolationsModal .select2-container--default .select2-selection--single,
        #showHOSViolationsModal .select2-container--default .select2-selection--single,
        #createNonViolationsModal .select2-container--default .select2-selection--single,
        #editNONViolationsModal .select2-container--default .select2-selection--single,
        #showNONViolationsModal .select2-container--default .select2-selection--single,
        #createAccidentModal .select2-container--default .select2-selection--single,
        #editAccidentModal .select2-container--default .select2-selection--single,
        #showAccidentModal .select2-container--default .select2-selection--single {
            border: 1px solid #C5CEE0;
        }
        #createHOSViolationsModal .select2-container--default .select2-selection--single .select2-selection__rendered,
        #editHOSViolationsModal .select2-container--default .select2-selection--single .select2-selection__rendered,
        #showHOSViolationsModal .select2-container--default .select2-selection--single .select2-selection__rendered,
        #createNonViolationsModal .select2-container--default .select2-selection--single .select2-selection__rendered,
        #editNONViolationsModal .select2-container--default .select2-selection--single .select2-selection__rendered,
        #showNONViolationsModal .select2-container--default .select2-selection--single .select2-selection__rendered,
        #createAccidentModal .select2-container--default .select2-selection--single .select2-selection__rendered,
        #editAccidentModal .select2-container--default .select2-selection--single .select2-selection__rendered,
        #showAccidentModal .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 40px !important;
        }
        #createHOSViolationsModal .select2-container--default .select2-selection--single .select2-selection__arrow,
        #editHOSViolationsModal .select2-container--default .select2-selection--single .select2-selection__arrow,
        #showHOSViolationsModal .select2-container--default .select2-selection--single .select2-selection__arrow,
        #createNonViolationsModal .select2-container--default .select2-selection--single .select2-selection__arrow,
        #editNONViolationsModal .select2-container--default .select2-selection--single .select2-selection__arrow,
        #showNONViolationsModal .select2-container--default .select2-selection--single .select2-selection__arrow,
        #createAccidentModal .select2-container--default .select2-selection--single .select2-selection__arrow,
        #editAccidentModal .select2-container--default .select2-selection--single .select2-selection__arrow,
        #showAccidentModal .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 40px;
            width: 35px;
        }
        #createHOSViolationsModal .select2-container .select2-selection--single .select2-selection__rendered,
        #editHOSViolationsModal .select2-container .select2-selection--single .select2-selection__rendered,
        #showHOSViolationsModal .select2-container .select2-selection--single .select2-selection__rendered,
        #createNonViolationsModal .select2-container .select2-selection--single .select2-selection__rendered,
        #editNONViolationsModal .select2-container .select2-selection--single .select2-selection__rendered,
        #showNONViolationsModal .select2-container .select2-selection--single .select2-selection__rendered,
        #createAccidentModal .select2-container .select2-selection--single .select2-selection__rendered,
        #editAccidentModal .select2-container .select2-selection--single .select2-selection__rendered,
        #showAccidentModal .select2-container .select2-selection--single .select2-selection__rendered {
            padding-left: 12px;
            font-weight: 600;
            color: #000000e6 !important;
        }
        #createHOSViolationsModal #HosaddRow,
        #editHOSViolationsModal #HosaddRow,
        #showHOSViolationsModal #HosaddRow,
        #createNonViolationsModal #HosaddRow,
        #editNONViolationsModal #HosaddRow,
        #showNONViolationsModal #HosaddRow {
            background: #305F9C !important;
        }
        #createHOSViolationsModal #HosaddRow:hover,
        #editHOSViolationsModal #HosaddRow:hover,
        #showHOSViolationsModal #HosaddRow:hover,
        #createNonViolationsModal #HosaddRow:hover,
        #editNONViolationsModal #HosaddRow:hover,
        #showNONViolationsModal #HosaddRow:hover {
            opacity: 0.5;
        }
        #createHOSViolationsModal textarea.form-control,
        #editHOSViolationsModal textarea.form-control,
        #showHOSViolationsModal textarea.form-control,
        #createNonViolationsModal textarea.form-control,
        #editNONViolationsModal textarea.form-control,
        #showNONViolationsModal textarea.form-control,
        #createAccidentModal textarea.form-control,
        #editAccidentModal textarea.form-control,
        #showAccidentModal textarea.form-control {
            height: inherit;
            font-size: 14px;
            font-weight: bolder;
            border: 1px solid #D8D8DD;
            border-radius: 10px;
            font-family: 'Inter', sans-serif;
            padding: 9px 12px;
        }
        #createHOSViolationsModal textarea::placeholder,
        #editHOSViolationsModal textarea::placeholder,
        #showHOSViolationsModal textarea::placeholder,
        #createNonViolationsModal textarea::placeholder,
        #editNONViolationsModal textarea::placeholder,
        #showNONViolationsModal textarea::placeholder,
        #createAccidentModal textarea::placeholder,
        #editAccidentModal textarea::placeholder,
        #showAccidentModal textarea::placeholder {
            font-weight: 200;
            color: #616376 !important;
        }
        #createHOSViolationsModal .custom-switch .custom-control-label::before,
        #editHOSViolationsModal .custom-switch .custom-control-label::before,
        #showHOSViolationsModal .custom-switch .custom-control-label::before,
        #createNonViolationsModal .custom-switch .custom-control-label::before,
        #editNONViolationsModal .custom-switch .custom-control-label::before,
        #showNONViolationsModal .custom-switch .custom-control-label::before {
            width: 40px;
            height: 23px;
            border-radius: 30px;
            border: 1px solid #305F9C;
            background-color: #fff;
        }
        #createHOSViolationsModal .custom-switch .custom-control-label::after,
        #editHOSViolationsModal .custom-switch .custom-control-label::after,
        #showHOSViolationsModal .custom-switch .custom-control-label::after,
        #createNonViolationsModal .custom-switch .custom-control-label::after,
        #editNONViolationsModal .custom-switch .custom-control-label::after,
        #showNONViolationsModal .custom-switch .custom-control-label::after {
            left: calc(-2.25rem + 2px);
            width: calc(1rem - 1px);
            height: calc(1rem - 1px);
            font-family: 'FontAwesome';
            top: 8.4px;
            font-size: 20px;
            color: #ffffff;
            background: #305F9C;
            border-radius: 100%;
            content: '';
        }
        #createHOSViolationsModal .custom-control-input:checked~.custom-control-label::after,
        #editHOSViolationsModal .custom-control-input:checked~.custom-control-label::after,
        #showHOSViolationsModal .custom-control-input:checked~.custom-control-label::after,
        #createNonViolationsModal .custom-control-input:checked~.custom-control-label::after,
        #editNONViolationsModal .custom-control-input:checked~.custom-control-label::after,
        #showNONViolationsModal .custom-control-input:checked~.custom-control-label::after {
            color: #305F9C !important;
            background: #ffffff !important;
        }
        #createHOSViolationsModal .custom-control-input:checked~.custom-control-label::before,
        #editHOSViolationsModal .custom-control-input:checked~.custom-control-label::before,
        #showHOSViolationsModal .custom-control-input:checked~.custom-control-label::before,
        #createNonViolationsModal .custom-control-input:checked~.custom-control-label::before,
        #editNONViolationsModal .custom-control-input:checked~.custom-control-label::before,
        #showNONViolationsModal .custom-control-input:checked~.custom-control-label::before {
            background-color: #305F9C !important;
            border-color: #305F9C !important;
        }
        #createNonViolationsModal.input-group>.custom-select:not(:last-child),
        #createNonViolationsModal.input-group>.form-control:not(:last-child),
        #editNONViolationsModal.input-group>.custom-select:not(:last-child),
        #editNONViolationsModal.input-group>.form-control:not(:last-child),
        #showNONViolationsModal.input-group>.custom-select:not(:last-child),
        #showNONViolationsModal.input-group>.form-control:not(:last-child) {
            border-top-right-radius: 10px 10px;
            border-bottom-right-radius: 10px 10px;
        }
        #createAccidentModal .input-group-text,
        #editAccidentModal .input-group-text,
        #showAccidentModal .input-group-text {
            background: transparent;
            border-radius: 10px 0px 0px 10px;
            color: #342828;
            padding: 4px 14px;
            font-family: 'Inter', sans-serif;
        }
        #createAccidentModal input[type=number].form-control,
        #editAccidentModal input[type=number].form-control,
        #showAccidentModal input[type=number].form-control {
            width: auto;
            font-size: 14px;
            font-weight: bolder;
            border: 1px solid #D8D8DD;
            border-radius: 0px 10px 10px 0px;
            font-family: 'Inter', sans-serif;
            padding: 0px 12px;
            color: #000000 !important;
        }
        #createAccidentModal #upload,
        #editAccidentModal #upload {
            display: block;
            border: 2px dashed #8f9bb3;
            font-size: 16px;
            cursor: pointer;
            background: #eff4fa;
            color: #305F9C;
            outline: none;
            font-family: 'Open Sans', sans-serif;
            width: 100%;
            height: 192px;
            border-radius: 10px;
        }
        #createAccidentModal .drop-zone__prompt,
        #editAccidentModal .drop-zone__prompt {
            font: normal normal 600 14px/17px Inter;
            letter-spacing: 0px;
            color: #305F9C;
            bottom: 65px;
        }
        #createAccidentModal .drop-zone__prompt::before,
        #editAccidentModal .drop-zone__prompt::before {
            top: -40px;
            font-size: 50px;
            color: #305F9C;
        }
        #createAccidentModal .image-wrapper img,
        #editAccidentModal .image-wrapper img {
            display: block;
            margin: 0 auto 15px;
            position: absolute;
            width: 100%;
            height: 192px;
            object-fit: cover;
            border-radius: 10px;
        }

        #galleryModal #ffdupdlsoe {
            display: none;
        }
        #galleryModal #getgalleryfile .clobtn {
            display: none;
        }
        #galleryModal #getgalleryfile .chagneaccess {
            background-color: #ededed;
            pointer-events: none;
        }
        #galleryModal #viewCurrentImage .cufilenameedit {
            display: none;
        }
        /************ Modal CSS *****************/
    </style>
@endsection

@section('content')
    <div class="row px-2 pt-3">
        <div class="col-12 px-0 truck-header">
            <div class="card mb-1">
                <div class="card-header">
                    <div class="row align-items-center">
                        <div class="col-6">
                            <h6>{{ $truck->unit }}</h6>
                        </div>
                        <div class="col-6 pr-0 text-right">
                            <a href="{{ route('company.admin.trucks.edit', base64Encode($truck->id)) }}" target="_blank"><button type="button" class="btn btn-blueBr" id="btnEdit">Edit Truck</button></a>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="col-md-5 pl-0 pr-1 mt-1 truck-profile">
            <div class="card h-100">
                <div class="card-body py-1">
                    <ul class="top-section">
                        <li>
                            <div class="avatar-upload">
                                <div class="avatar-edit">
                                    <input type='file' id="profile_image" accept=".png, .jpg, .jpeg" />
                                    <label for="profile_image" title="Update Profile Picture"></label>
                                </div>
                                <div class="avatar-preview">
                                    @if (!is_null($truck->profile_image))
                                        <div id="profile_image_preview" style="background-image: url('{!! asset('storage/companyAdmin/truck/'.$truck->profile_image) !!}');"></div>
                                    @else
                                        <div id="profile_image_preview" style="background-image: url('{!! asset('theme/img/truck/truck-avtar.png') !!}');"></div>
                                    @endif
                                </div>
                            </div>
                            @if(isset($truck) && count($truck->trailer) > 0)
                                <div id="divAttachTrailer" class="d-inline-flex">
                                    @foreach($truck->trailer as $trailer)
                                        @if($loop->index < 2)
                                            <div class="badge truck-and-trailer position-relative mb-0 {{ ($loop->index == 0) ? 'mr-2' : '' }}">
                                                <div class="d-flex align-items-center">
                                                    <div>
                                                        <img src="{{ asset('theme/images/trailer.svg') }}" alt="trailer.svg" width="43" height="28">
                                                    </div>
                                                    <div>
                                                        <h6 class="m-2">{{ $trailer }}</h6>
                                                    </div>
                                                    <div>
                                                        <a href="javascript:void(0);" class="edit-icon editAttachTrailerModal" data-current-trailer="{{ $trailer }}">
                                                            <img src="{{ asset('theme/img/truck/pencil.png') }}" alt="pencil.svg" width="18" height="18">
                                                        </a>
                                                    </div>
                                                </div>
                                            </div>
                                        @endif
                                    @endforeach
                                </div>
                            @else
                                <div class="text-center" id="divAttachTrailerBtn">
                                    <a class="modal-url" data-toggle="modal" data-target="#attachTrailerModal">Attach Trailer +</a>
                                </div>
                            @endif
                        </li>
                        <li class="mr-0 w-100 truck-details d-flex flex-column">
                            <div class="row align-items-center my-auto">
                                <div class="col-1 text-center">
                                    <img src="{{ asset('theme/img/truck/big-truck.svg') }}" alt="big-truck.svg" width="25" height="25">
                                </div>
                                <div class="col-4">
                                    <label class="mb-0">Unit No:</label>
                                </div>
                                <div class="col-7">
                                    <p>{{ $truck->unit ?? '' }}</p>
                                </div>
                            </div>
                            <div class="row align-items-center my-auto">
                                <div class="col-1 text-center">
                                    <img src="{{ asset('theme/img/truck/profile.svg') }}" alt="profile.svg" width="20" height="20">
                                </div>
                                <div class="col-4">
                                    <label class="mb-0">Owner Name:</label>
                                </div>
                                <div class="col-7">
                                    @if($truck->ownership != "")
                                        @if(in_array($truck->ownership, ['0', '3']))
                                            @if($truck->ownership == '3')
                                                <p>{{ getDriverListByCompany()[$truck->ownership_id] ?? '' }}</p>
                                            @else
                                                <p>{{ getCarrierList()[$truck->ownership_id] ?? '' }}</p>
                                            @endif
                                        @else
                                            @if(in_array($truck->ownership, ['1', '4']))
                                                <p>{{ getVendorList()[$truck->leasing_company] ?? '' }}</p>
                                            @else
                                                <p>{{ getVendorList()[$truck->rental_company] ?? '' }}</p>
                                            @endif
                                        @endif
                                    @else
                                        <p>-</p>
                                    @endif
                                </div>
                            </div>
                            <div class="row align-items-center my-auto">
                                <div class="col-1 text-center">
                                    <img src="{{ asset('theme/img/truck/user.svg') }}" alt="user.svg" width="20" height="20">
                                </div>
                                <div class="col-4">
                                    <label class="mb-0">Owner Type:</label>
                                </div>
                                <div class="col-7">
                                    <p>{{ getTruckOwnershipType()[$truck->ownership] ?? '-' }}</p>
                                </div>
                            </div>
                            <div class="row align-items-center my-auto">
                                <div class="col-1 text-center">
                                    <img src="{{ asset('theme/img/truck/calendar.svg') }}" alt="calendar.svg" width="20" height="20">
                                </div>
                                <div class="col-4">
                                    <label class="mb-0">Year:</label>
                                </div>
                                <div class="col-7">
                                    <p>{{ getTruckYears()[$truck->year] ?? '' }}</p>
                                </div>
                            </div>
                            <div class="row align-items-center my-auto">
                                <div class="col-1 text-center">
                                    <img src="{{ asset('theme/img/truck/building.svg') }}" alt="building.svg" width="20" height="20">
                                </div>
                                <div class="col-4">
                                    <label class="mb-0">Make:</label>
                                </div>
                                <div class="col-7">
                                    <p>{{ $truck->make ?? '' }}</p>
                                </div>
                            </div>
                            <div class="row align-items-center my-auto">
                                <div class="col-1 text-center">
                                    <img src="{{ asset('theme/img/truck/dimensions.svg') }}" alt="dimensions.svg" width="20" height="20">
                                </div>
                                <div class="col-4">
                                    <label class="mb-0">Model:</label>
                                </div>
                                <div class="col-7">
                                    <p>{{ $truck->model ?? '' }}</p>
                                </div>
                            </div>
                            <div class="row align-items-center my-auto">
                                <div class="col-1 text-center">
                                    <img src="{{ asset('theme/img/truck/engine.svg') }}" alt="engine.svg" width="20" height="20">
                                </div>
                                <div class="col-4">
                                    <label class="mb-0">Engine:</label>
                                </div>
                                <div class="col-7">
                                    <p>{{ $truck->engine ?? '' }}</p>
                                </div>
                            </div>
                            <div class="row align-items-center my-auto">
                                <div class="col-1 text-center">
                                    <img src="{{ asset('theme/img/truck/manual-transmission.svg') }}" alt="manual-transmission.svg" width="20" height="20">
                                </div>
                                <div class="col-4">
                                    <label class="mb-0">Transmission:</label>
                                </div>
                                <div class="col-7">
                                    <p>{{ $truck->transmission ?? '' }}</p>
                                </div>
                            </div>
                            <div class="row align-items-center my-auto">
                                <div class="col-1 text-center">
                                    <img src="{{ asset('theme/img/truck/gas-station.svg') }}" alt="gas-station.svg" width="20" height="20">
                                </div>
                                <div class="col-4">
                                    <label class="mb-0">Fuel Type:</label>
                                </div>
                                <div class="col-7">
                                    @if(isset(getTruckFuelType()[$truck->fuel_type]))
                                        <p>{{ getTruckFuelType()[$truck->fuel_type] ?? '' }}</p>
                                    @else
                                        <p></p>
                                    @endif
                                </div>
                            </div>
                            <div class="row align-items-center my-auto">
                                <div class="col-1 text-center">
                                    <img src="{{ asset('theme/img/truck/wheel.svg') }}" alt="wheel.svg" width="20" height="20">
                                </div>
                                <div class="col-4">
                                    <label class="mb-0">Tire Size:</label>
                                </div>
                                <div class="col-7">
                                    <p>{{ $truck->tire_size ?? '' }}</p>
                                </div>
                            </div>
                            <div class="row align-items-center my-auto">
                                <div class="col-1 text-center">
                                    <img src="{{ asset('theme/img/truck/credit-card.svg') }}" alt="credit-card.svg" width="20" height="20">
                                </div>
                                <div class="col-4">
                                    <label class="mb-0">VIN:</label>
                                </div>
                                <div class="col-7">
                                    <p>{{ $truck->vin_number ?? '' }}</p>
                                </div>
                            </div>
                        </li>
                    </ul>
                </div>
            </div>
        </div>

        <div class="col-md-7 pr-0 pl-1 mt-1 truck-profile">
            <div class="card h-100">
                <div class="card-body py-0 pr-0">
                    <ul class="top-section h-100">
                        <li class="mr-0 w-100 truck-details ul-border-right d-flex flex-column py-1">
                            <div class="row align-items-center my-auto">
                                <div class="col-1 text-center">
                                    <img src="{{ asset('theme/img/truck/check.svg') }}" alt="check.svg" width="20" height="20">
                                </div>
                                <div class="col-4">
                                    <label class="mb-0">Status:</label>
                                </div>
                                <div class="col-7">
                                    @if($truck->status == 0)
                                        <p><span class="badge badge-active">Active</span></p>
                                    @elseif($truck->status == 1)
                                        <p><span class="badge badge-oss">OSS</span></p>
                                    @elseif($truck->status == 2)
                                        <p><span class="badge badge-terminate">Terminate</span></p>
                                    @elseif($truck->status == 3)
                                        <p><span class="badge badge-rehire">Rehire</span></p>
                                    @endif
                                </div>
                            </div>
                            <div class="row align-items-center my-auto">
                                <div class="col-1 text-center">
                                    <img src="{{ asset('theme/img/truck/eld.svg') }}" alt="eld.svg" width="20" height="20">
                                </div>
                                <div class="col-4">
                                    <label class="mb-0">EOBR Provider:</label>
                                </div>
                                <div class="col-7">
                                    @php
                                        $EldProvider = $truck->truck_integrations->where('integration_type', 1)->first();
                                    @endphp
                                    <p>{{ (!is_null($EldProvider)) ? getTruckEldProvider()[$EldProvider->eld_provider] : '-' }}</p>
                                </div>
                            </div>
                            <div class="row align-items-center my-auto">
                                <div class="col-1 text-center">
                                    <img src="{{ asset('theme/img/truck/toll-road.svg') }}" alt="toll-road.svg" width="20" height="20">
                                </div>
                                <div class="col-4">
                                    <label class="mb-0">Toll Provider:</label>
                                </div>
                                <div class="col-7">
                                    <p>-</p>
                                </div>
                            </div>
                            <div class="row align-items-center my-auto">
                                <div class="col-1 text-center">
                                    <img src="{{ asset('theme/img/truck/measurement.svg') }}" alt="measurement.svg" width="20" height="20">
                                </div>
                                <div class="col-4">
                                    <label class="mb-0">Gross Weight:</label>
                                </div>
                                <div class="col-7">
                                    <p>{{ $truck->gross_weight.' lbs.' ?? '' }}</p>
                                </div>
                            </div>
                            <div class="row align-items-center my-auto">
                                <div class="col-1 text-center">
                                    <img src="{{ asset('theme/img/truck/weight.svg') }}" alt="weight.svg" width="20" height="20">
                                </div>
                                <div class="col-4">
                                    <label class="mb-0">Max Load Weight:</label>
                                </div>
                                <div class="col-7">
                                    <p>{{ $truck->max_load_weight.' lbs.' ?? '' }}</p>
                                </div>
                            </div>
                            <div class="row align-items-center my-auto">
                                <div class="col-1 text-center">
                                    <img src="{{ asset('theme/img/truck/odometer.svg') }}" alt="odometer.svg" width="20" height="20">
                                </div>
                                <div class="col-4">
                                    <label class="mb-0">Odometer:</label>
                                </div>
                                <div class="col-7">
                                    @if($truck->current_odometer != "")
                                        <p>{{ $truck->current_odometer }} miles</p>
                                    @else
                                        <p>-</p>
                                    @endif
                                </div>
                            </div>
                            <div class="row align-items-center my-auto">
                                <div class="col-1 text-center">
                                    <img src="{{ asset('theme/img/truck/cdl.svg') }}" alt="cdl.svg" width="20" height="20">
                                </div>
                                <div class="col-4">
                                    <label class="mb-0">CDL Class Req.:</label>
                                </div>
                                <div class="col-7">
                                    <p>{{ getRequiredClass()[$truck->required_license] ?? '-' }}</p>
                                </div>
                            </div>
                            <div class="row align-items-center my-auto">
                                <div class="col-1 text-center">
                                    <img src="{{ asset('theme/img/truck/repairing-service.svg') }}" alt="repairing-service.svg" width="20" height="20">
                                </div>
                                <div class="col-4">
                                    <label class="mb-0">Next Service:</label>
                                </div>
                                <div class="col-7">
                                    <p>-</p>
                                </div>
                            </div>
                            <div class="row align-items-center my-auto">
                                <div class="col-1 text-center">
                                    <img src="{{ asset('theme/img/truck/delivery-truck.svg') }}" alt="delivery-truck.svg" width="20" height="20">
                                </div>
                                <div class="col-4">
                                    <label class="mb-0">FAI Expiration:</label>
                                </div>
                                <div class="col-7">
                                    @if($truck->truck_profile_pm_services->where('service_type', array_search('FAI', getTruckPmServiceType()))->first())
                                        @if($currentDate < $truck->truck_profile_pm_services->where('service_type', array_search('FAI', getTruckPmServiceType()))->first()->due_date)
                                            <p>{{ $truck->truck_profile_pm_services->where('service_type', array_search('FAI', getTruckPmServiceType()))->first()->due_date ?? '-' }}</p>
                                        @else
                                            <p class="text-red">{{ $truck->truck_profile_pm_services->where('service_type', array_search('FAI', getTruckPmServiceType()))->first()->due_date ?? '-' }}</p>
                                        @endif
                                    @else
                                        <p>-</p>
                                    @endif
                                </div>
                            </div>
                            <div class="row align-items-center my-auto">
                                <div class="col-1 text-center">
                                    <img src="{{ asset('theme/img/truck/carb.svg') }}" alt="carb.svg" width="20" height="20">
                                </div>
                                <div class="col-4">
                                    <label class="mb-0">Carb Compliant:</label>
                                </div>
                                <div class="col-7">
                                    @if(!is_null($truck->carb_compliant))
                                        @if($truck->carb_compliant == '1')
                                            <p><span class="badge badge-orange">Yes</span></p>
                                        @else
                                            <p><span class="badge badge-danger">No</span></p>
                                        @endif
                                    @else
                                        <p>-</p>
                                    @endif
                                </div>
                            </div>
                        </li>
                        <li class="mr-0 w-100">
                            <ul>
                                <li class="ul-border-bottom">
                                    <div class="row pt-2">
                                        <div class="col-12 text-center">
                                            <label class="mb-0 title-label">Drivers</label>
                                        </div>
                                        <div class="col-md-12 d-flex justify-content-center driverView">
                                            <div class="mr-3">
                                                <div class="d-flex flex-column justify-content-center">
                                                    @if(!is_null($truck->driver_details))
                                                        <div>
                                                            <div class="avatar-driver">
                                                                <div class="avatar-driver-preview">
                                                                    <div id="driver_profile_image_preview" style="background-image: url('{!! asset('storage/companyAdmin/driver/'.$truck->driver_details->profile_image) ?? '' !!}');"></div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="text-center my-2">
                                                            @if(isset($truck->driver_samsara_info) && !empty($truck->driver_samsara_info))
                                                                @if($truck->driver_samsara_info['duty_status'] == 'sleeperBed')
                                                                    <label class="badge eld-status mb-0">
                                                                        <div class="d-flex align-items-center">
                                                                            <div>
                                                                                <span class="badge badge-theme">SB</span>
                                                                            </div>
                                                                            <div>
                                                                                <label class="eld-status-type ml-1 mb-0">Sleeper Bed</label>
                                                                            </div>
                                                                        </div>
                                                                    </label>
                                                                @elseif($truck->driver_samsara_info['duty_status'] == 'offDuty')
                                                                    <label class="badge eld-status mb-0">
                                                                        <div class="d-flex align-items-center">
                                                                            <div>
                                                                                <span class="badge badge-danger">OF</span>
                                                                            </div>
                                                                            <div>
                                                                                <label class="eld-status-type ml-1 mb-0">Off Duty</label>
                                                                            </div>
                                                                        </div>
                                                                    </label>
                                                                @elseif($truck->driver_samsara_info['duty_status'] == 'onDuty')
                                                                    <label class="badge eld-status mb-0">
                                                                        <div class="d-flex align-items-center">
                                                                            <div>
                                                                                <span class="badge badge-themeOrange">on</span>
                                                                            </div>
                                                                            <div>
                                                                                <label class="eld-status-type ml-1 mb-0">On Duty</label>
                                                                            </div>
                                                                        </div>
                                                                    </label>
                                                                @elseif($truck->driver_samsara_info['duty_status'] == 'driving')
                                                                    <label class="badge eld-status mb-0">
                                                                        <div class="d-flex align-items-center">
                                                                            <div>
                                                                                <span class="badge badge-success">D</span>
                                                                            </div>
                                                                            <div>
                                                                                <label class="eld-status-type ml-1 mb-0">Driving</label>
                                                                            </div>
                                                                        </div>
                                                                    </label>
                                                                @endif
                                                            @endif
                                                            <br/>
                                                            <label class="driver-fullname">{{ $truck->driver_details->full_name ?? '' }}</label>
                                                        </div>
                                                    @else
                                                        <div>
                                                            <div class="avatar-assign-driver">
                                                                <div class="avatar-assign-driver-preview">
                                                                    <div id="driver_assign_profile_image_preview" class="text-center mt-1">
                                                                        <img src="{!! asset('theme/img/truck/user-add.png') !!}" alt="" class="mt-4"  width="65" height="65"/>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="text-center my-3">
                                                            <a href="javascript:void(0);" class="modal-url" id="assignDriver">Assign Driver+</a>
                                                        </div>
                                                    @endif
                                                </div>
                                            </div>
                                            <div class="ml-3">
                                                <div class="d-flex flex-column justify-content-center">
                                                    @if(!is_null($truck->co_driver_details))
                                                        <div>
                                                            <div class="avatar-co-driver">
                                                                <div class="avatar-co-driver-preview">
                                                                    <div id="co_driver_profile_image_preview" style="background-image: url('{!! asset('storage/companyAdmin/driver/'.$truck->co_driver_details->profile_image) ?? '' !!}');"></div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="text-center my-2">
                                                            @if(isset($truck->co_driver_samsara_info) && !empty($truck->co_driver_samsara_info))
                                                                @if($truck->co_driver_samsara_info['duty_status'] == 'sleeperBed')
                                                                    <label class="badge eld-status mb-0">
                                                                        <div class="d-flex align-items-center">
                                                                            <div>
                                                                                <span class="badge badge-theme">SB</span>
                                                                            </div>
                                                                            <div>
                                                                                <label class="eld-status-type ml-1 mb-0">Sleeper Bed</label>
                                                                            </div>
                                                                        </div>
                                                                    </label>
                                                                @elseif($truck->co_driver_samsara_info['duty_status'] == 'offDuty')
                                                                    <label class="badge eld-status mb-0">
                                                                        <div class="d-flex align-items-center">
                                                                            <div>
                                                                                <span class="badge badge-danger">OF</span>
                                                                            </div>
                                                                            <div>
                                                                                <label class="eld-status-type ml-1 mb-0">Off Duty</label>
                                                                            </div>
                                                                        </div>
                                                                    </label>
                                                                @elseif($truck->co_driver_samsara_info['duty_status'] == 'onDuty')
                                                                    <label class="badge eld-status mb-0">
                                                                        <div class="d-flex align-items-center">
                                                                            <div>
                                                                                <span class="badge badge-themeOrange">on</span>
                                                                            </div>
                                                                            <div>
                                                                                <label class="eld-status-type ml-1 mb-0">On Duty</label>
                                                                            </div>
                                                                        </div>
                                                                    </label>
                                                                @elseif($truck->co_driver_samsara_info['duty_status'] == 'driving')
                                                                    <label class="badge eld-status mb-0">
                                                                        <div class="d-flex align-items-center">
                                                                            <div>
                                                                                <span class="badge badge-success">D</span>
                                                                            </div>
                                                                            <div>
                                                                                <label class="eld-status-type ml-1 mb-0">Driving</label>
                                                                            </div>
                                                                        </div>
                                                                    </label>
                                                                @endif
                                                            @endif
                                                            <br/>
                                                            <label class="driver-fullname">{{ $truck->co_driver_details->full_name ?? '' }}</label>
                                                        </div>
                                                    @else
                                                        <div>
                                                            <div class="avatar-assign-co-driver">
                                                                <div class="avatar-assign-co-driver-preview">
                                                                    <div id="co_driver_assign_profile_image_preview" class="text-center mt-1">
                                                                        <img src="{!! asset('theme/img/truck/user-add.png') !!}" alt="" class="mt-4"  width="65" height="65"/>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="text-center my-3">
                                                            <a href="javascript:void(0);" class="modal-url" id="assignCoDriver">Assign Co-Driver+</a>
                                                        </div>
                                                    @endif
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </li>
                                <li>
                                    <div class="row last-location-chart">
                                        <div class="col-sm-12 text-center pt-2 pb-2">
                                            <label class="font-weight-bold">Last Location</label>
                                            <div class="truckLiveLocation mb-1" data-truck="{{ $truck->id }}">
                                                <img src="{{ asset('theme/images/driverDetails-img.png') }}" alt="images" class="img-fluid">
                                            </div>
                                            @if(isset($truckLastLocation) && !empty($truckLastLocation))
                                                <p>{{ $truckLastLocation['City'].', '.$truckLastLocation['State'] }}</p>
                                            @endif
                                        </div>
                                    </div>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>

        <div class="col-12 px-0 truck-tabs">
            <div class="d-flex custom-margin">
                <div class="mr-auto custom-width-95 mt-1">
                    <ul class="nav nav-tabs flex-nowrap tabList" role="tablist">
                        <li role="presentation" class="nav-item">
                            <a href="#tabAccount" class="nav-link active" data-toggle="tab" aria-controls="tabAccount" role="tab"> Account</a>
                        </li>
                        <li role="presentation" class="nav-item">
                            <a href="#tabOwners" class="nav-link" data-toggle="tab" aria-controls="tabOwners" role="tab"> Owners</a>
                        </li>
                        <li role="presentation" class="nav-item">
                            <a href="#tabLoads" class="nav-link" data-toggle="tab" aria-controls="tabLoads" role="tab"> Loads</a>
                        </li>
                        <li role="presentation" class="nav-item">
                            <a href="#tabLocationHistory" class="nav-link" data-toggle="tab" aria-controls="tabLocationHistory" role="tab"> Location History</a>
                        </li>
                        <li role="presentation" class="nav-item">
                            <a href="#tabMaintenanceRepairs" class="nav-link" data-toggle="tab" aria-controls="tabMaintenanceRepairs" role="tab"> Maintenance & Repairs</a>
                        </li>
                        <li role="presentation" class="nav-item">
                            <a href="#tabTruckInformation" class="nav-link" data-toggle="tab" aria-controls="tabTruckInformation" role="tab"> Truck Information</a>
                        </li>
                        <li role="presentation" class="nav-item">
                            <a href="#tabSafetyCompliance" class="nav-link" data-toggle="tab" aria-controls="tabSafetyCompliance" role="tab"> Safety & Compliance</a>
                        </li>
                        <li role="presentation" class="nav-item">
                            <a href="#tabOnBoardItems" class="nav-link" data-toggle="tab" aria-controls="tabOnBoardItems" role="tab"> On Board Items</a>
                        </li>
                        <li role="presentation" class="nav-item">
                            <a href="#tabStateMap" class="nav-link" data-toggle="tab" aria-controls="tabStateMap" role="tab"> State Map</a>
                        </li>
                        <li role="presentation" class="nav-item">
                            <a href="#tabFuel" class="nav-link" data-toggle="tab" aria-controls="tabFuel" role="tab"> Fuel</a>
                        </li>
                        <li role="presentation" class="nav-item">
                            <a href="#tabDocuments" class="nav-link" data-toggle="tab" aria-controls="tabDocuments" role="tab"> Documents</a>
                        </li>
                        <li role="presentation" class="nav-item">
                            <a href="#tabGallery" class="nav-link" data-toggle="tab" aria-controls="tabGallery" role="tab"> Gallery</a>
                        </li>
                    </ul>
                </div>
                <div class="custom-width-10">
                    <div class="form-group pt-2 mb-1">
                        <label for="status">Status</label>
                        {!! Form::select('status', ['' => 'Select Status', '0' => 'Active', '1' => 'OOS', '2' => 'Terminate', '3' => 'Rehire'], $truck->status ?? 0, ['class' => 'form-control select2', 'id' => 'status']) !!}
                    </div>
                </div>
            </div>
            <div class="tab-content">
                <div class="tab-pane active" role="tabpanel" id="tabAccount">
                    <div class="row px-3">
                        <div class="col-md-12 py-2">
                            <div class="d-flex justify-content-between">
                                <div class="text-center">
                                    <div class="white-box">
                                        <div class="box-padding employee-box">
                                            <img src="{{ asset('theme/img/truck/engine.svg') }}" alt="engine.svg" width="60" height="60">
                                            <p class="font-weight-bold">Engine</p>
                                        </div>
                                    </div>
                                </div>
                                <div class="text-center">
                                    <div class="white-box">
                                        <div class="box-padding employee-box">
                                            <img src="{{ asset('theme/img/truck/engine-coolant.svg') }}" alt="engine-coolant.svg" width="60" height="60">
                                            <p class="font-weight-bold">Engine Coolant Temperature</p>
                                        </div>
                                    </div>
                                </div>
                                <div class="text-center">
                                    <div class="white-box">
                                        <div class="box-padding employee-box">
                                            <img src="{{ asset('theme/img/truck/battery.svg') }}" alt="engine.svg" width="60" height="60">
                                            <p class="font-weight-bold">Low Battery Level</p>
                                        </div>
                                    </div>
                                </div>
                                <div class="text-center">
                                    <div class="white-box">
                                        <div class="box-padding employee-box">
                                            <img src="{{ asset('theme/img/truck/coolant-level.svg') }}" alt="engine.svg" width="60" height="60">
                                            <p class="font-weight-bold">Coolant Level</p>
                                        </div>
                                    </div>
                                </div>
                                <div class="text-center">
                                    <div class="white-box">
                                        <div class="box-padding employee-box">
                                            <img src="{{ asset('theme/img/truck/car-oil.svg') }}" alt="engine.svg" width="60" height="60">
                                            <p class="font-weight-bold">Oil Level</p>
                                        </div>
                                    </div>
                                </div>
                                <div class="text-center">
                                    <div class="white-box">
                                        <div class="box-padding employee-box">
                                            <img src="{{ asset('theme/img/truck/tire.svg') }}" alt="engine.svg" width="60" height="60">
                                            <p class="font-weight-bold">Tire Pressure</p>
                                        </div>
                                    </div>
                                </div>
                                <div class="text-center">
                                    <div class="white-box">
                                        <div class="box-padding employee-box">
                                            <img src="{{ asset('theme/img/truck/abs.svg') }}" alt="engine.svg" width="60" height="60">
                                            <p class="font-weight-bold">ABS Brakes</p>
                                        </div>
                                    </div>
                                </div>
                                <div class="text-center">
                                    <div class="white-box">
                                        <div class="box-padding employee-box">
                                            <img src="{{ asset('theme/img/truck/pollution.svg') }}" alt="engine.svg" width="60" height="60">
                                            <p class="font-weight-bold">DPF Emissions</p>
                                        </div>
                                    </div>
                                </div>
                                <div class="text-center">
                                    <div class="white-box">
                                        <div class="box-padding employee-box">
                                            <img src="{{ asset('theme/img/truck/parking-lights.svg') }}" alt="engine.svg" width="60" height="60">
                                            <p class="font-weight-bold">Lights</p>
                                        </div>
                                    </div>
                                </div>
                                <div class="text-center">
                                    <div class="white-box">
                                        <div class="box-padding employee-box">
                                            <img src="{{ asset('theme/img/truck/gas-station.svg') }}" alt="engine.svg" width="60" height="60">
                                            <p class="font-weight-bold">Fuel Level</p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row px-3">
                        <div class="col-md-12 py-2">
                            <div class="card h-100">
                                <div class="card-header">
                                    <div class="row d-flex">
                                        <div class="col-auto mr-auto">
                                            <h6>Upcoming</h6>
                                        </div>
                                        <div class="col-auto pr-1">
                                            <div class="dropdown date-selection">
                                                <div id="upcomingEvents">
                                                    <img src="{{ asset('theme/images/date-calendar-white.svg') }}" alt="icon" width="15" height="15">&nbsp;
                                                    <span></span> <i class="fa fa-caret-down"></i>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="card-body py-3">
                                    <div class="t-info">
                                        <div class="row eventList"></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6 pr-2 py-2 pb-3">
                            <div class="card h-100">
                                <div class="card-header">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <h6>Axle Monitor System</h6>
                                        </div>
                                    </div>
                                </div>
                                <div class="card-body">
                                    <div class="row px-3 py-4">
                                        <div class="col-md-12 text-center">
                                            <h6>Coming Soon</h6>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6 pl-2 pt-2 pb-3">
                            <div class="card h-100">
                                <div class="card-header">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <h6>Tire Pressure Monitor System</h6>
                                        </div>
                                    </div>
                                </div>
                                <div class="card-body">
                                    <div class="row px-3 py-4">
                                        <div class="col-md-12 text-center">
                                            <h6>Coming Soon</h6>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="tab-pane" role="tabpanel" id="tabOwners">
                    <div class="row px-3 py-5">
                        <div class="col-md-2 text-center">
                            <label>Owner Name</label>
                            <h6>{{ $ownersDetails['owner_name'] ?? '-' }}</h6>
                        </div>
                        <div class="col-md-4 text-center">
                            <label>Physical Address</label>
                            <h6>{{ $ownersDetails['physical_address'] ?? '-' }}</h6>
                        </div>
                        <div class="col-md-2 text-center">
                            <label>Phone</label>
                            <h6>{{ $ownersDetails['phone'] ?? '-' }}</h6>
                        </div>
                        <div class="col-md-4 text-center">
                            <label>Email</label>
                            <h6>{{ $ownersDetails['email'] ?? '-' }}</h6>
                        </div>
                    </div>
                </div>
                <div class="tab-pane" role="tabpanel" id="tabLoads">
                    <div class="row px-3 pt-3">
                        <div class="col-md-12">
                            <div class="d-flex flex-row-reverse align-items-center">
                                <div class="ml-2 text-left">
                                    {!! Form::select('compare_period', ['1' => 'Previous Period', '2' => 'Previous Period Last Year'], '1', ['class' => 'form-control select2', 'id' => 'compare-period']) !!}
                                </div>
                                <div class="ml-2">
                                    <div class="form-check">
                                        <input class="form-check-input" type="checkbox" id="check-compare" name="check_compare" value="1">
                                        <label class="form-check-label ml-2" for="check-compare">Compare</label>
                                    </div>
                                </div>
                                <div>
                                    <div class="dropdown date-selection">
                                        <div id="reportRange">
                                            <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon" width="15" height="15">&nbsp;
                                            <span data-from-date="" data-to-date=""></span> <i class="fa fa-caret-down"></i>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row px-3">
                        <div class="col-md-12 py-2 load-report">
                            <div class="d-flex justify-content-between">
                                <div class="text-center">
                                    <div class="white-box">
                                        <div class="box-padding employee-box">
                                            <span class="big-ttl">Active Loads</span>
                                            <h5 id="report-active-load">0</h5>
                                            <ul class="per-data">
                                                <li></li>
                                                <li id="compare-active-load"></li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                                <div class="text-center">
                                    <div class="white-box">
                                        <div class="box-padding employee-box">
                                            <span class="big-ttl">Ready to Bill</span>
                                            <h5 id="report-ready-to-bill">0</h5>
                                            <ul class="per-data">
                                                <li></li>
                                                <li id="compare-ready-to-bill"></li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                                <div class="text-center">
                                    <div class="white-box">
                                        <div class="box-padding employee-box">
                                            <span class="big-ttl">Delivered</span>
                                            <h5 id="report-delivered">0</h5>
                                            <ul class="per-data">
                                                <li></li>
                                                <li id="compare-delivered"></li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                                <div class="text-center">
                                    <div class="white-box">
                                        <div class="box-padding employee-box">
                                            <span class="big-ttl">Complete</span>
                                            <h5 id="report-complete">0</h5>
                                            <ul class="per-data">
                                                <li></li>
                                                <li id="compare-complete"></li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                                <div class="text-center">
                                    <div class="white-box">
                                        <div class="box-padding employee-box">
                                            <span class="big-ttl">On Hold</span>
                                            <h5 id="report-on-hold">0</h5>
                                            <ul class="per-data">
                                                <li></li>
                                                <li id="compare-on-hold"></li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                                <div class="text-center">
                                    <div class="white-box">
                                        <div class="box-padding employee-box">
                                            <span class="big-ttl">Cancelled</span>
                                            <h5 id="report-cancelled">0</h5>
                                            <ul class="per-data">
                                                <li></li>
                                                <li id="compare-cancelled"></li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                                <div class="text-center">
                                    <div class="white-box">
                                        <div class="box-padding employee-box">
                                            <span class="big-ttl">All Loads</span>
                                            <h5 id="report-all-loads">0</h5>
                                            <ul class="per-data">
                                                <li></li>
                                                <li id="compare-all-loads"></li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                                <div class="text-center">
                                    <div class="white-box">
                                        <div class="box-padding employee-box">
                                            <span class="big-ttl">Cargo Claims</span>
                                            <h5 id="report-cargo-claims">0</h5>
                                            <ul class="per-data">
                                                <li></li>
                                                <li id="compare-cargo-claims"></li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row px-3">
                        <div class="col-md-12">
                            <div class="white-box table-view scroll-data-table">
                                <h3 class="table-title">Loads</h3>
                                <div class="table-responsive">
                                    <table class="table rounded-corners new-load-data-table">
                                        <thead>
                                        <tr>
                                            @foreach($getField as $key => $filed)
                                                @if($filed == 1 && isset(config('settings.table_truck_view_loads')[$key]['name']))
                                                    @if(isset(config('settings.table_truck_view_loads')[$key]['searchBuilderType']))
                                                        @if(config('settings.table_truck_view_loads')[$key]['col_search'] == 0)
                                                            @if( config('settings.table_truck_view_loads')[$key]['searchBuilderType'] == 'string' )
                                                                <th class="{{ config('settings.table_truck_view_loads')[$key]['class'] }}">{{ config('settings.table_truck_view_loads')[$key]['name'] }} <i class="fa fa-filter table_truck_view_loads_{{$key}}_string columnFilter" data-modal="SearchByStringModal{{ $key }}"></i></th>
                                                            @elseif( config('settings.table_truck_view_loads')[$key]['searchBuilderType'] == 'date' )
                                                                 <th class="{{ config('settings.table_truck_view_loads')[$key]['class'] }}">{{ config('settings.table_truck_view_loads')[$key]['name'] }} <i class="fa fa-filter table_truck_view_loads_{{$key}}_date columnFilter" data-modal="SearchByDateModal{{ $key }}"></i></th>
                                                            @elseif( config('settings.table_truck_view_loads')[$key]['searchBuilderType'] == 'status' )
                                                                <th class="{{ config('settings.table_truck_view_loads')[$key]['class'] }}">{{ config('settings.table_truck_view_loads')[$key]['name'] }} <i class="fa fa-filter table_truck_view_loads_{{$key}}_status columnFilter" data-modal="SearchByStatusModal{{ $key }}"></i></th>
                                                            @endif
                                                        @else
                                                            @if( config('settings.table_truck_view_loads')[$key]['searchBuilderType'] == 'string' )
                                                                <th>{{ config('settings.table_truck_view_loads')[$key]['name'] }} <i class="fa fa-filter table_truck_view_loads_{{$key}}_string columnFilter" data-modal="SearchByStringModal{{ $key }}"></i></th>
                                                            @elseif( config('settings.table_truck_view_loads')[$key]['searchBuilderType'] == 'date' )
                                                                <th>{{ config('settings.table_truck_view_loads')[$key]['name'] }} <i class="fa fa-filter table_truck_view_loads_{{$key}}_date columnFilter" data-modal="SearchByDateModal{{ $key }}"></i></th>
                                                            @elseif( config('settings.table_truck_view_loads')[$key]['searchBuilderType'] == 'status' )
                                                                <th>{{ config('settings.table_truck_view_loads')[$key]['name'] }} <i class="fa fa-filter table_truck_view_loads_{{$key}}_status columnFilter" data-modal="SearchByStatusModal{{ $key }}"></i></th>
                                                            @endif

                                                        @endif
                                                    @else
                                                        @if(config('settings.table_truck_view_loads')[$key]['col_search'] == 0)
                                                            <th class="{{ config('settings.table_truck_view_loads')[$key]['class'] }}">{{ config('settings.table_truck_view_loads')[$key]['name'] }}</th>
                                                        @else
                                                            <th>{{ config('settings.table_truck_view_loads')[$key]['name'] }}</th>
                                                        @endif
                                                    @endif
                                                @endif
                                            @endforeach
                                        </tr>
                                        </thead>
                                        <tbody></tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="tab-pane" role="tabpanel" id="tabLocationHistory">
                    <div class="row px-3 py-4">
                        <div class="col-md-12 text-center">
                            <h6>Coming Soon</h6>
                        </div>
                    </div>
                </div>
                <div class="tab-pane" role="tabpanel" id="tabMaintenanceRepairs">
                    <div class="row px-3">
                        <div class="col-md-12 pt-3">
                            <div class="dropdown date-selection float-right">
                                <div id="truckMaintenanceReportRange">
                                    <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon" width="15" height="15">&nbsp;
                                    <span></span> <i class="fa fa-caret-down"></i>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row px-3">
                        <div class="col-md-12 py-2 maintenance-repairs-report">
                            <div class="d-flex justify-content-between">
                                <div class="text-center">
                                    <div class="white-box">
                                        <div class="box-padding employee-box">
                                            <span class="big-ttl">Cost Per Mile</span>
                                            <h5>$0.00</h5>
                                        </div>
                                    </div>
                                </div>
                                <div class="text-center">
                                    <div class="white-box">
                                        <div class="box-padding employee-box">
                                            <span class="big-ttl">% Revenue</span>
                                            <h5>0%</h5>
                                        </div>
                                    </div>
                                </div>
                                <div class="text-center">
                                    <div class="white-box">
                                        <div class="box-padding employee-box">
                                            <span class="big-ttl">Repair Costs</span>
                                            <h5>$0.00</h5>
                                        </div>
                                    </div>
                                </div>
                                <div class="text-center">
                                    <div class="white-box">
                                        <div class="box-padding employee-box">
                                            <span class="big-ttl">Open Repairs</span>
                                            <h5>00</h5>
                                        </div>
                                    </div>
                                </div>
                                <div class="text-center">
                                    <div class="white-box">
                                        <div class="box-padding employee-box">
                                            <span class="big-ttl">Open Services</span>
                                            <h5>00</h5>
                                        </div>
                                    </div>
                                </div>
                                <div class="text-center">
                                    <div class="white-box">
                                        <div class="box-padding employee-box">
                                            <span class="big-ttl">Warranties</span>
                                            <h5>00</h5>
                                        </div>
                                    </div>
                                </div>
                                <div class="text-center">
                                    <div class="white-box">
                                        <div class="box-padding employee-box">
                                            <span class="big-ttl">Status</span>
                                            <h5>-</h5>
                                        </div>
                                    </div>
                                </div>
                                <div class="text-center">
                                    <div class="white-box">
                                        <div class="box-padding employee-box">
                                            <span class="big-ttl">Accidents</span>
                                            <h5>00</h5>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row px-3">
                        <div class="col-md-12 mb-3">
                            <div class="card h-100">
                                <div class="card-header">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <h6>PM Service Schedule</h6>
                                        </div>
                                    </div>
                                </div>
                                <div class="card-body p-0">
                                    <div class="table-responsive">
                                        <table class="table mt-0">
                                            <tbody>
                                            <tr class="font-weight-bold">
                                                <td width="15%">Type</td>
                                                <td width="15%">Service Type</td>
                                                <td width="15%">Interval Type</td>
                                                <td width="15%">Schedule</td>
                                                <td width="15%">Due</td>
                                                <td width="10%">Remaining</td>
                                                <td width="15%"></td>
                                            </tr>
                                            @if($truck->truck_profile_pm_services->count() == 0 && $truck->truck_additional_pm_services->count() == 0 )
                                                <tr class="font-weight-bold text-center">
                                                    <td colspan="7" class="text-danger">No Data Available In Table</td>
                                                </tr>
                                            @else
                                                @foreach($truck->truck_profile_pm_services as $truckProfilePmServices)
                                                    <tr>
                                                        <td>{{ getTruckPmType()[$truckProfilePmServices->type] ?? '' }}</td>
                                                        <td>{{ getTruckPmServiceType()[$truckProfilePmServices->service_type] ?? '' }}</td>
                                                        <td>{{ getTruckPmServiceIntervalType()[$truckProfilePmServices->interval_type] ?? '' }}</td>

                                                        {{--Schedule--}}
                                                        @if(isset(getTruckPmServiceIntervalType()[$truckProfilePmServices->interval_type]))
                                                            @if(getTruckPmServiceIntervalType()[$truckProfilePmServices->interval_type] == "Mileage" || getTruckPmServiceIntervalType()[$truckProfilePmServices->interval_type] == "Hours")
                                                                <td>{{ number_format($truckProfilePmServices->schedule) ?? '' }}</td>
                                                            @elseif(getTruckPmServiceIntervalType()[$truckProfilePmServices->interval_type] == "Date")
                                                                <td>{{ getTruckSchedules()[$truckProfilePmServices->schedule] ?? '' }}</td>
                                                            @endif
                                                        @else
                                                            <td></td>
                                                        @endif
                                                        {{--Schedule--}}

                                                        {{--Due--}}
                                                        @if(isset(getTruckPmServiceIntervalType()[$truckProfilePmServices->interval_type]))
                                                            @if(getTruckPmServiceIntervalType()[$truckProfilePmServices->interval_type] == "Mileage" || getTruckPmServiceIntervalType()[$truckProfilePmServices->interval_type] == "Hours")
                                                                <td>{{ number_format($truckProfilePmServices->due_date) ?? '' }}</td>
                                                            @elseif(getTruckPmServiceIntervalType()[$truckProfilePmServices->interval_type] == "Date")
                                                                <td>{{ $truckProfilePmServices->due_date ?? '' }}</td>
                                                            @endif
                                                        @else
                                                            <td></td>
                                                        @endif
                                                        {{--Due--}}

                                                        {{--Remaining--}}
                                                        @if(isset(getTruckPmServiceIntervalType()[$truckProfilePmServices->interval_type]) && isset($truckProfilePmServices->due_date) && $truckProfilePmServices->due_date != "")
                                                            @if(getTruckPmServiceIntervalType()[$truckProfilePmServices->interval_type] == "Mileage")
                                                                @if($odometer < (int)$truckProfilePmServices->due_date)
                                                                    <td>{{ number_format(((int)$truckProfilePmServices->due_date) - $odometer).' Miles' ?? ''}}</td>
                                                                @else
                                                                    <td class="font-weight-bold text-danger">OVERDUE</td>
                                                                @endif
                                                            @elseif(getTruckPmServiceIntervalType()[$truckProfilePmServices->interval_type] == "Hours")
                                                                @if($engineHours < (int)$truckProfilePmServices->due_date)
                                                                    <td>{{ number_format(((int)$truckProfilePmServices->due_date - $engineHours)).' Hours' ?? ''}}</td>
                                                                @else
                                                                    <td class="font-weight-bold text-danger">OVERDUE</td>
                                                                @endif
                                                            @elseif(getTruckPmServiceIntervalType()[$truckProfilePmServices->interval_type] == "Date")
                                                                @if(\Illuminate\Support\Carbon::parse($truckProfilePmServices->due_date)->lte($currentDate))
                                                                    <td class="font-weight-bold text-danger">EXPIRED</td>
                                                                @else
                                                                    <td>{{ Carbon\Carbon::parse($truckProfilePmServices->due_date)->diffInDays() .' Days'?? '' }}</td>
                                                                @endif
                                                            @endif
                                                        @else
                                                            <td></td>
                                                        @endif
                                                        {{--Remaining--}}

                                                        <td class="text-right">
                                                            <a href="{{ route('company.admin.trucks.edit', base64Encode($truck->id)) }}#tabPmMaintenanceService" class="mr-4" target="_blank">
                                                                Update
                                                            </a>
                                                        </td>
                                                    </tr>
                                                @endforeach
                                                @foreach($truck->truck_additional_pm_services as $truckAdditionalPmServices)
                                                    <tr>
                                                        <td>{{ getTruckPmType()[$truckAdditionalPmServices->type] ?? '' }}</td>
                                                        <td>{{ getTruckPmServiceType()[$truckAdditionalPmServices->service_type] ?? '' }}</td>
                                                        <td>{{ getTruckPmServiceIntervalType()[$truckAdditionalPmServices->interval_type] ?? '' }}</td>

                                                        {{--Schedule--}}
                                                        @if(isset(getTruckPmServiceIntervalType()[$truckAdditionalPmServices->interval_type]))
                                                            @if(getTruckPmServiceIntervalType()[$truckAdditionalPmServices->interval_type] == "Mileage" || getTruckPmServiceIntervalType()[$truckAdditionalPmServices->interval_type] == "Hours")
                                                                <td>{{ number_format($truckAdditionalPmServices->schedule) ?? '' }}</td>
                                                            @elseif(getTruckPmServiceIntervalType()[$truckAdditionalPmServices->interval_type] == "Date")
                                                                <td>{{ getTruckSchedules()[$truckAdditionalPmServices->schedule] ?? '' }}</td>
                                                            @endif
                                                        @else
                                                            <td></td>
                                                        @endif
                                                        {{--Schedule--}}

                                                        {{--Due--}}
                                                        @if(isset(getTruckPmServiceIntervalType()[$truckAdditionalPmServices->interval_type]))
                                                            @if(getTruckPmServiceIntervalType()[$truckAdditionalPmServices->interval_type] == "Mileage" || getTruckPmServiceIntervalType()[$truckAdditionalPmServices->interval_type] == "Hours")
                                                                <td>{{ number_format($truckAdditionalPmServices->due_date) ?? '' }}</td>
                                                            @elseif(getTruckPmServiceIntervalType()[$truckAdditionalPmServices->interval_type] == "Date")
                                                                <td>{{ $truckAdditionalPmServices->due_date ?? '' }}</td>
                                                            @endif
                                                        @else
                                                            <td></td>
                                                        @endif
                                                        {{--Due--}}

                                                        {{--Remaining--}}
                                                        @if(isset(getTruckPmServiceIntervalType()[$truckAdditionalPmServices->interval_type]) && isset($truckAdditionalPmServices->due_date) && $truckAdditionalPmServices->due_date != "")
                                                            @if(getTruckPmServiceIntervalType()[$truckAdditionalPmServices->interval_type] == "Mileage")
                                                                @if($odometer < (int)$truckAdditionalPmServices->due_date)
                                                                    <td>{{ number_format(((int)$truckAdditionalPmServices->due_date) - $odometer).' Miles' ?? ''}}</td>
                                                                @else
                                                                    <td class="font-weight-bold text-danger">OVERDUE</td>
                                                                @endif
                                                            @elseif(getTruckPmServiceIntervalType()[$truckAdditionalPmServices->interval_type] == "Hours")
                                                                @if($engineHours < (int)$truckAdditionalPmServices->due_date)
                                                                    <td>{{ number_format(((int)$truckAdditionalPmServices->due_date - $engineHours)).' Hours' ?? ''}}</td>
                                                                @else
                                                                    <td class="font-weight-bold text-danger">OVERDUE</td>
                                                                @endif
                                                            @elseif(getTruckPmServiceIntervalType()[$truckAdditionalPmServices->interval_type] == "Date")
                                                                @if(\Illuminate\Support\Carbon::parse($truckAdditionalPmServices->due_date)->lte($currentDate))
                                                                    <td class="font-weight-bold text-danger">EXPIRED</td>
                                                                @else
                                                                    <td>{{ Carbon\Carbon::parse($truckAdditionalPmServices->due_date)->diffInDays() .' Days'?? '' }}</td>
                                                                @endif
                                                            @endif
                                                        @else
                                                            <td></td>
                                                        @endif
                                                        {{--Remaining--}}

                                                        <td class="text-right">
                                                            <a href="{{ route('company.admin.trucks.edit', base64Encode($truck->id)) }}#tabPmMaintenanceService" class="mr-4" target="_blank">
                                                                Update
                                                            </a>
                                                        </td>
                                                    </tr>
                                                @endforeach
                                            @endif
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12 mb-3">
                            <div class="card h-100">
                                <div class="card-header">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <h6>Warranty Information</h6>
                                        </div>
                                    </div>
                                </div>
                                <div class="card-body p-0">
                                    <div class="table-responsive">
                                        <table class="table mt-0">
                                            <tbody>
                                            <tr class="font-weight-bold">
                                                <td width="15%">Warranty provider</td>
                                                <td width="15%">Description</td>
                                                <td width="15%">Type</td>
                                                <td width="15%">Terms</td>
                                                <td width="15%">Warranty Start</td>
                                                <td width="15%">Warranty Expiration</td>
                                                <td width="10%">Remaining</td>
                                                <td width="10%"></td>
                                            </tr>
                                            @forelse($truck->truck_warranty_pm_services as $truckWarrantyPmServices)
                                                <tr>
                                                    <td>{{ getCompanyPmServiceWarrantyProviders()[$truckWarrantyPmServices->warranty_provider] ?? '' }}</td>
                                                    <td>{{ $truckWarrantyPmServices->description ?? '' }}</td>
                                                    <td>{{ getTruckPmServiceIntervalType()[$truckWarrantyPmServices->type] ?? '' }}</td>

                                                    {{--Terms--}}
                                                    @if(isset(getTruckPmServiceIntervalType()[$truckWarrantyPmServices->type]))
                                                        @if(getTruckPmServiceIntervalType()[$truckWarrantyPmServices->type] == "Mileage" || getTruckPmServiceIntervalType()[$truckWarrantyPmServices->type] == "Hours")
                                                            <td>{{ number_format($truckWarrantyPmServices->term) ?? '' }}</td>
                                                        @elseif(getTruckPmServiceIntervalType()[$truckWarrantyPmServices->type] == "Date")
                                                            <td>{{ getTruckTerms()[$truckWarrantyPmServices->term] ?? '' }}</td>
                                                        @endif
                                                    @else
                                                        <td></td>
                                                    @endif
                                                    {{--Terms--}}

                                                    {{--Warranty Start--}}
                                                    @if(isset(getTruckPmServiceIntervalType()[$truckWarrantyPmServices->type]))
                                                        @if(getTruckPmServiceIntervalType()[$truckWarrantyPmServices->type] == "Mileage" || getTruckPmServiceIntervalType()[$truckWarrantyPmServices->type] == "Hours")
                                                            <td>{{ number_format($truckWarrantyPmServices->warranty_start) ?? '' }}</td>
                                                        @elseif(getTruckPmServiceIntervalType()[$truckWarrantyPmServices->type] == "Date")
                                                            <td>{{ $truckWarrantyPmServices->warranty_start ?? '' }}</td>
                                                        @endif
                                                    @else
                                                        <td></td>
                                                    @endif
                                                    {{--Warranty Start--}}

                                                    {{--Warranty Expiration--}}
                                                    @if(isset(getTruckPmServiceIntervalType()[$truckWarrantyPmServices->type]))
                                                        @if(getTruckPmServiceIntervalType()[$truckWarrantyPmServices->type] == "Mileage" || getTruckPmServiceIntervalType()[$truckWarrantyPmServices->type] == "Hours")
                                                            <td>{{ number_format($truckWarrantyPmServices->warranty_exp) ?? '' }}</td>
                                                        @elseif(getTruckPmServiceIntervalType()[$truckWarrantyPmServices->type] == "Date")
                                                            <td>{{ $truckWarrantyPmServices->warranty_exp ?? '' }}</td>
                                                        @endif
                                                    @else
                                                        <td></td>
                                                    @endif
                                                    {{--Warranty Expiration--}}

                                                    {{--Remaining--}}
                                                    @if(isset(getTruckPmServiceIntervalType()[$truckWarrantyPmServices->type]) && isset($truckWarrantyPmServices->warranty_exp) && $truckWarrantyPmServices->warranty_exp != "")
                                                        @if(getTruckPmServiceIntervalType()[$truckWarrantyPmServices->type] == "Mileage")
                                                            @if($odometer < (int)$truckWarrantyPmServices->warranty_exp)
                                                                <td>{{ number_format(((int)$truckWarrantyPmServices->warranty_exp) - $odometer).' Miles' ?? ''}}</td>
                                                            @else
                                                                <td class="font-weight-bold text-danger">OVERDUE</td>
                                                            @endif
                                                        @elseif(getTruckPmServiceIntervalType()[$truckWarrantyPmServices->type] == "Hours")
                                                            @if($engineHours < (int)$truckWarrantyPmServices->warranty_exp)
                                                                <td>{{ number_format(((int)$truckWarrantyPmServices->warranty_exp - $engineHours)).' Hours' ?? ''}}</td>
                                                            @else
                                                                <td class="font-weight-bold text-danger">OVERDUE</td>
                                                            @endif
                                                        @elseif(getTruckPmServiceIntervalType()[$truckWarrantyPmServices->type] == "Date")
                                                            @if(\Illuminate\Support\Carbon::parse($truckWarrantyPmServices->warranty_exp)->lte($currentDate))
                                                                <td class="font-weight-bold text-danger">EXPIRED</td>
                                                            @else
                                                                <td>{{ Carbon\Carbon::parse($truckWarrantyPmServices->warranty_exp)->diffInDays() .' Days'?? '' }}</td>
                                                            @endif
                                                        @endif
                                                    @else
                                                        <td></td>
                                                    @endif
                                                    {{--Remaining--}}

                                                    <td class="text-right">
                                                        <a href="{{ route('company.admin.trucks.edit', base64Encode($truck->id)) }}#tabPmMaintenanceService" class="mr-4" target="_blank">
                                                            Update
                                                        </a>
                                                    </td>
                                                </tr>
                                            @empty
                                                <tr class="font-weight-bold text-center">
                                                    <td colspan="8" class="text-danger">No Data Available In Table</td>
                                                </tr>
                                            @endforelse
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="tab-pane" role="tabpanel" id="tabTruckInformation">
                    <div class="row px-3">
                        <div class="col-md-10 pt-3">
                            <div class="dropdown date-selection float-right">
                                <div id="truckReportRange">
                                    <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon" width="15" height="15">&nbsp;
                                    <span></span> <i class="fa fa-caret-down"></i>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-2"></div>
                    </div>
                    <div class="row px-3">
                        <div class="col-md-10 py-2 truck-report">
                            <div class="d-flex justify-content-between">
                                <div class="text-center">
                                    <div class="white-box">
                                        <div class="box-padding employee-box">
                                            <span>Loads</span>
                                            <h5 id="report-loads">0</h5>
                                        </div>
                                    </div>
                                </div>
                                <div class="text-center">
                                    <div class="white-box">
                                        <div class="box-padding employee-box">
                                            <span>Miles Per Gallon</span>
                                            <h5 id="report-miles-per-gallon">0</h5>
                                        </div>
                                    </div>
                                </div>
                                <div class="text-center">
                                    <div class="white-box">
                                        <div class="box-padding employee-box">
                                            <span>Average Fuel Discount</span>
                                            <h5 id="report-average-fuel-discount">$0.00</h5>
                                        </div>
                                    </div>
                                </div>
                                <div class="text-center">
                                    <div class="white-box">
                                        <div class="box-padding employee-box">
                                            <span>Average Fuel Cost (PPG)</span>
                                            <h5 id="report-average-fuel-cost">$0.00</h5>
                                        </div>
                                    </div>
                                </div>
                                <div class="text-center">
                                    <div class="white-box">
                                        <div class="box-padding employee-box">
                                            <span>Total Miles</span>
                                            <h5 id="report-total-miles">0</h5>
                                        </div>
                                    </div>
                                </div>
                                <div class="text-center">
                                    <div class="white-box">
                                        <div class="box-padding employee-box">
                                            <span>Total Revenue</span>
                                            <h5 id="report-total-revenue">$0.00</h5>
                                        </div>
                                    </div>
                                </div>
                                <div class="text-center">
                                    <div class="white-box">
                                        <div class="box-padding employee-box">
                                            <span>Total CPM</span>
                                            <h5 id="report-total-cpm">$0.00</h5>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-2 py-2 truck-report">
                            <div class="text-center">
                                <div class="white-box">
                                    <div class="box-padding employee-box">
                                        <span>Lifetime Earnings</span>
                                        <h5 id="report-lifetime-earnings">${{ number_format($truckLifetimeEarnings, 2, '.', ',') ?? '0.00' }}</h5>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row px-3">
                        <div class="col-md-3 mb-3 pr-2">
                            <div class="card h-100">
                                <div class="card-header">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <h6>Compliance</h6>
                                        </div>
                                    </div>
                                </div>
                                <div class="card-body truck-details px-0 py-2">
                                    <div class="row align-items-center px-3 py-2">
                                        <div class="col-8 text-left">
                                            <label class="mb-0">SCAC Expiration Date:</label>
                                        </div>
                                        <div class="col-4 text-right">
                                            <p>-</p>
                                        </div>
                                    </div>
                                    <div class="row align-items-center px-3 py-2">
                                        <div class="col-8 text-left">
                                            <label class="mb-0">KYU Expiration Date:</label>
                                        </div>
                                        <div class="col-4 text-right">
                                            @if($truck->kyu_due_date < $currentDate)
                                                <p class="text-red">{{ $truck->kyu_due_date ?? '-' }}</p>
                                            @else
                                                <p>{{ $truck->kyu_due_date ?? '-' }}</p>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="row align-items-center px-3 py-2">
                                        <div class="col-8 text-left">
                                            <label class="mb-0">NY HUT Expiration Date:</label>
                                        </div>
                                        <div class="col-4 text-right">
                                            @if($truck->nyhut_date < $currentDate)
                                                <p class="text-red">{{ $truck->nyhut_date ?? '-' }}</p>
                                            @else
                                                <p>{{ $truck->nyhut_date ?? '-' }}</p>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="row align-items-center px-3 py-2">
                                        <div class="col-8 text-left">
                                            <label class="mb-0">New Mexico Expiration Date:</label>
                                        </div>
                                        <div class="col-4 text-right">
                                            <p>-</p>
                                        </div>
                                    </div>
                                    <div class="row align-items-center px-3 py-2">
                                        <div class="col-8 text-left">
                                            <label class="mb-0">Oregon Expiration Date:</label>
                                        </div>
                                        <div class="col-4 text-right">
                                            @if($truck->oregon_date < $currentDate)
                                                <p class="text-red">{{ $truck->oregon_date ?? '-' }}</p>
                                            @else
                                                <p>{{ $truck->oregon_date ?? '-' }}</p>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="row align-items-center px-3 py-2">
                                        <div class="col-8 text-left">
                                            <label class="mb-0">2290 Expiration Date:</label>
                                        </div>
                                        <div class="col-4 text-right">
                                            @if($truck->exp_date_2290 < $currentDate)
                                                <p class="text-red">{{ $truck->exp_date_2290 ?? '-' }}</p>
                                            @else
                                                <p>{{ $truck->exp_date_2290 ?? '-' }}</p>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="row align-items-center px-3 py-2">
                                        <div class="col-8 text-left">
                                            <label class="mb-0">Carb Expiration Date:</label>
                                        </div>
                                        <div class="col-4 text-right">
                                            @if($truck->carb_id_date < $currentDate)
                                                <p class="text-red">{{ $truck->carb_id_date ?? '-' }}</p>
                                            @else
                                                <p>{{ $truck->carb_id_date ?? '-' }}</p>
                                            @endif
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-3 mb-3 pl-2 pr-2">
                            <div class="card h-100">
                                <div class="card-header">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <h6>Tag & Insurance Info</h6>
                                        </div>
                                    </div>
                                </div>
                                <div class="card-body truck-details px-0 py-2">
                                    <div class="row align-items-center px-3 py-2">
                                        <div class="col-8 text-left">
                                            <label class="mb-0">Tag Type:</label>
                                        </div>
                                        <div class="col-4 text-right">
                                            <p>{{ getTruckTagType()[$truck->tag] ?? '-' }}</p>
                                        </div>
                                    </div>
                                    <div class="row align-items-center px-3 py-2">
                                        <div class="col-8 text-left">
                                            <label class="mb-0">Tag State:</label>
                                        </div>
                                        <div class="col-4 text-right">
                                            <p>{{ getStateList()[$truck->tag_state] ?? '-' }}</p>
                                        </div>
                                    </div>
                                    <div class="row align-items-center px-3 py-2">
                                        <div class="col-8 text-left">
                                            <label class="mb-0">Tag Number:</label>
                                        </div>
                                        <div class="col-4 text-right">
                                            <p>{{ $truck->tag_number ?? '-' }}</p>
                                        </div>
                                    </div>
                                    <div class="row align-items-center px-3 py-2">
                                        <div class="col-8 text-left">
                                            <label class="mb-0">Tag Expiration:</label>
                                        </div>
                                        <div class="col-4 text-right">
                                            @if($truck->tag_exp < $currentDate)
                                                <p class="text-red">{{ $truck->tag_exp ?? '-' }}</p>
                                            @else
                                                <p>{{ $truck->tag_exp ?? '-' }}</p>
                                            @endif
                                        </div>
                                    </div>
                                    <hr/>
                                    <div class="row align-items-center px-3 py-2">
                                        <div class="col-8 text-left">
                                            <label class="mb-0">Physical Damage Insurance:</label>
                                        </div>
                                        <div class="col-4 text-right">
                                            @if($truck->truck_profile_insurances->where('insurance_type', array_search('Physical Damage Carrier', getCompanyInsuranceTypes()))->first())
                                                @if($currentDate < $truck->truck_profile_insurances->where('insurance_type', array_search('Physical Damage Carrier', getCompanyInsuranceTypes()))->first()->expiration_date)
                                                    <p>{{ $truck->truck_profile_insurances->where('insurance_type', array_search('Physical Damage Carrier', getCompanyInsuranceTypes()))->first()->expiration_date ?? '-' }}</p>
                                                @else
                                                    <p class="text-red">{{ $truck->truck_profile_insurances->where('insurance_type', array_search('Physical Damage Carrier', getCompanyInsuranceTypes()))->first()->expiration_date ?? '-' }}</p>
                                                @endif
                                            @else
                                                <p>-</p>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="row align-items-center px-3 py-2">
                                        <div class="col-8 text-left">
                                            <label class="mb-0">Non-Trucking Liability:</label>
                                        </div>
                                        <div class="col-4 text-right">
                                            @if($truck->truck_profile_insurances->where('insurance_type', array_search('Non-Trucking Liability Carrier', getCompanyInsuranceTypes()))->first())
                                                @if($currentDate < $truck->truck_profile_insurances->where('insurance_type', array_search('Non-Trucking Liability Carrier', getCompanyInsuranceTypes()))->first()->expiration_date)
                                                    <p>{{ $truck->truck_profile_insurances->where('insurance_type', array_search('Non-Trucking Liability Carrier', getCompanyInsuranceTypes()))->first()->expiration_date ?? '-' }}</p>
                                                @else
                                                    <p class="text-red">{{ $truck->truck_profile_insurances->where('insurance_type', array_search('Non-Trucking Liability Carrier', getCompanyInsuranceTypes()))->first()->expiration_date ?? '-' }}</p>
                                                @endif
                                            @else
                                                <p>-</p>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="row align-items-center px-3 py-2">
                                        <div class="col-8 text-left">
                                            <label class="mb-0">Cargo Insurance:</label>
                                        </div>
                                        <div class="col-4 text-right">
                                            @if($truck->truck_profile_insurances->where('insurance_type', array_search('Cargo Insurance Carrier', getCompanyInsuranceTypes()))->first())
                                                @if($currentDate < $truck->truck_profile_insurances->where('insurance_type', array_search('Cargo Insurance Carrier', getCompanyInsuranceTypes()))->first()->expiration_date)
                                                    <p>{{ $truck->truck_profile_insurances->where('insurance_type', array_search('Cargo Insurance Carrier', getCompanyInsuranceTypes()))->first()->expiration_date ?? '-' }}</p>
                                                @else
                                                    <p class="text-red">{{ $truck->truck_profile_insurances->where('insurance_type', array_search('Cargo Insurance Carrier', getCompanyInsuranceTypes()))->first()->expiration_date ?? '-' }}</p>
                                                @endif
                                            @else
                                                <p>-</p>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="row align-items-center px-3 py-2">
                                        <div class="col-8 text-left">
                                            <label class="mb-0">Genberal Liability:</label>
                                        </div>
                                        <div class="col-4 text-right">
                                            <p>-</p>
                                        </div>
                                    </div>
                                    <div class="row align-items-center px-3 py-2">
                                        <div class="col-8 text-left">
                                            <label class="mb-0">Auto Liability:</label>
                                        </div>
                                        <div class="col-4 text-right">
                                            @if($truck->truck_profile_insurances->where('insurance_type', array_search('Auto Liability Carrier', getCompanyInsuranceTypes()))->first())
                                                @if($currentDate < $truck->truck_profile_insurances->where('insurance_type', array_search('Auto Liability Carrier', getCompanyInsuranceTypes()))->first()->expiration_date)
                                                    <p>{{ $truck->truck_profile_insurances->where('insurance_type', array_search('Auto Liability Carrier', getCompanyInsuranceTypes()))->first()->expiration_date ?? '-' }}</p>
                                                @else
                                                    <p class="text-red">{{ $truck->truck_profile_insurances->where('insurance_type', array_search('Auto Liability Carrier', getCompanyInsuranceTypes()))->first()->expiration_date ?? '-' }}</p>
                                                @endif
                                            @else
                                                <p>-</p>
                                            @endif
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-3 mb-3 pl-2 pr-2">
                            <div class="card h-100">
                                <div class="card-header">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <h6>Truck Dimensions & Options</h6>
                                        </div>
                                    </div>
                                </div>
                                <div class="card-body truck-details px-0 py-2">
                                    <div class="row align-items-center px-3 py-2">
                                        <div class="col-8 text-left">
                                            <label class="mb-0">Length:</label>
                                        </div>
                                        <div class="col-4 text-right">
                                            <p>{{ $truck->length ?? '-' }}</p>
                                        </div>
                                    </div>
                                    <div class="row align-items-center px-3 py-2">
                                        <div class="col-8 text-left">
                                            <label class="mb-0">Width:</label>
                                        </div>
                                        <div class="col-4 text-right">
                                            <p>{{ $truck->width ?? '-' }}</p>
                                        </div>
                                    </div>
                                    <div class="row align-items-center px-3 py-2">
                                        <div class="col-8 text-left">
                                            <label class="mb-0">Height:</label>
                                        </div>
                                        <div class="col-4 text-right">
                                            <p>{{ $truck->height ?? '-' }}</p>
                                        </div>
                                    </div>
                                    <div class="row align-items-center px-3 py-2">
                                        <div class="col-8 text-left">
                                            <label class="mb-0">Gross Weight:</label>
                                        </div>
                                        <div class="col-4 text-right">
                                            <p>{{ $truck->gross_weight.' lbs' ?? '-' }}</p>
                                        </div>
                                    </div>
                                    <div class="row align-items-center px-3 py-2">
                                        <div class="col-8 text-left">
                                            <label class="mb-0">Max Load Weight</label>
                                        </div>
                                        <div class="col-4 text-right">
                                            <p>{{ $truck->max_load_weight.' lbs' ?? '-' }}</p>
                                        </div>
                                    </div>
                                    <div class="row align-items-center px-3 py-2">
                                        <div class="col-8 text-left">
                                            <label class="mb-0">High Cube</label>
                                        </div>
                                        <div class="col-4 text-right">
                                            @if($truck->high_cube == 1)
                                                <p>Yes</p>
                                            @else
                                                <p>No</p>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="row align-items-center px-3 py-2">
                                        <div class="col-8 text-left">
                                            <label class="mb-0">Vented</label>
                                        </div>
                                        <div class="col-4 text-right">
                                            @if($truck->vented == 1)
                                                <p>Yes</p>
                                            @else
                                                <p>No</p>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="row align-items-center px-3 py-2">
                                        <div class="col-8 text-left">
                                            <label class="mb-0">Liftgate</label>
                                        </div>
                                        <div class="col-4 text-right">
                                            @if($truck->vented == 1)
                                                <p>Yes</p>
                                            @else
                                                <p>No</p>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="row align-items-center px-3 py-2">
                                        <div class="col-8 text-left">
                                            <label class="mb-0">Pallet Jack</label>
                                        </div>
                                        <div class="col-4 text-right">
                                            @if($truck->pallet_jack == 1)
                                                <p>Yes</p>
                                            @else
                                                <p>No</p>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="row align-items-center px-3 py-2">
                                        <div class="col-8 text-left">
                                            <label class="mb-0">Reefer Equipped</label>
                                        </div>
                                        <div class="col-4 text-right">
                                            @if($truck->reefer_equipped == 1)
                                                <p>Yes</p>
                                            @else
                                                <p>No</p>
                                            @endif
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-3 mb-3 pl-2">
                            <div class="card h-100">
                                <div class="card-header">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <h6>Other</h6>
                                        </div>
                                    </div>
                                </div>
                                <div class="card-body truck-details px-0 py-2">
                                    <div class="row align-items-center px-3 py-2">
                                        <div class="col-4 text-left">
                                            <label class="mb-0">Owner Name:</label>
                                        </div>
                                        <div class="col-8 text-right">
                                            @if($truck->ownership != "")
                                                @if(in_array($truck->ownership, ['0', '3']))
                                                    @if($truck->ownership == '3')
                                                        <p>{{ getDriverListByCompany()[$truck->ownership_id] ?? '' }}</p>
                                                    @else
                                                        <p>{{ getCarrierList()[$truck->ownership_id] ?? '' }}</p>
                                                    @endif
                                                @else
                                                    @if(in_array($truck->ownership, ['1', '4']))
                                                        <p>{{ getVendorList()[$truck->leasing_company] ?? '' }}</p>
                                                    @else
                                                        <p>{{ getVendorList()[$truck->rental_company] ?? '' }}</p>
                                                    @endif
                                                @endif
                                            @else
                                                <p>-</p>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="row align-items-center px-3 py-2">
                                        <div class="col-4 text-left">
                                            <label class="mb-0">Owner Type:</label>
                                        </div>
                                        <div class="col-8 text-right">
                                            <p>{{ getTruckOwnershipType()[$truck->ownership] ?? '-' }}</p>
                                        </div>
                                    </div>
                                    <div class="row align-items-center px-3 py-2">
                                        <div class="col-4 text-left">
                                            <label class="mb-0">Truck Group:</label>
                                        </div>
                                        <div class="col-8 text-right">
                                            <p>{{ getTruckGroup()[$truck->truck_group] ?? '-' }}</p>
                                        </div>
                                    </div>
                                    <div class="row align-items-center px-3 py-2">
                                        <div class="col-8 text-left">
                                            <label class="mb-0">Assigned Customer:</label>
                                        </div>
                                        <div class="col-4 text-right">
                                            <p>{{ getAssignedCustomer()[$truck->assigned_customer] ?? '-' }}</p>
                                        </div>
                                    </div>
                                    <div class="row align-items-center px-3 py-2">
                                        <div class="col-8 text-left">
                                            <label class="mb-0">Non-Trucking Value</label>
                                        </div>
                                        <div class="col-4 text-right">
                                            <p>-</p>
                                        </div>
                                    </div>
                                    <div class="row align-items-center px-3 py-2">
                                        <div class="col-8 text-left">
                                            <label class="mb-0">Physical Damage Value</label>
                                        </div>
                                        <div class="col-4 text-right">
                                            <p>-</p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="row">
                                <div class="col-12 mb-3 pr-2">
                                    <div class="card h-100">
                                        <div class="card-header">
                                            <div class="row">
                                                <div class="col-md-12">
                                                    <h6>Actual vs Dispatch</h6>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="card-body truck-details px-0 py-2">
                                            <div class="row">
                                                <div class="col-3">
                                                    <div class="row align-items-center px-2 py-2">
                                                        <div class="col-8">
                                                            <label class="mb-0">Actual Miles:</label>
                                                        </div>
                                                        <div class="col-4">
                                                            <p>-</p>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-3">
                                                    <div class="row align-items-center px-2 py-2">
                                                        <div class="col-8">
                                                            <label class="mb-0">Dispatch Miles:</label>
                                                        </div>
                                                        <div class="col-4">
                                                            <p>-</p>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-3">
                                                    <div class="row align-items-center px-2 py-2">
                                                        <div class="col-8">
                                                            <label class="mb-0">Difference:</label>
                                                        </div>
                                                        <div class="col-4">
                                                            <p>-</p>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-3">
                                                    <div class="row align-items-center px-2 py-2">
                                                        <div class="col-8">
                                                            <label class="mb-0">Variance:</label>
                                                        </div>
                                                        <div class="col-4">
                                                            <p>-</p>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-12 mb-3 pr-2">
                                    <div class="card h-100">
                                        <div class="card-header">
                                            <div class="row">
                                                <div class="col-md-12">
                                                    <h6>Integrations Data</h6>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="card-body truck-details px-0 py-2">
                                            <div class="row">
                                                <div class="col-6">
                                                    @if($truckIntegrations->where('integration_type', 1)->first())
                                                        <div class="row align-items-center px-3 py-2">
                                                            <div class="col-8 text-left">
                                                                <label class="mb-0">EOBR Provider:</label>
                                                            </div>
                                                            <div class="col-4 text-right">
                                                                <p>{{ getTruckEldProvider()[$truckIntegrations->where('integration_type', 1)->first()->eld_provider] ?? '-' }}</p>
                                                            </div>
                                                        </div>
                                                    @endif
                                                    <div class="row align-items-center px-3 py-2">
                                                        <div class="col-8 text-left">
                                                            <label class="mb-0">Camera Provider</label>
                                                        </div>
                                                        <div class="col-4 text-right">
                                                            <p>-</p>
                                                        </div>
                                                    </div>
                                                    <div class="row align-items-center px-3 py-2">
                                                        <div class="col-8 text-left">
                                                            <label class="mb-0">Toll Provider</label>
                                                        </div>
                                                        <div class="col-4 text-right">
                                                            <p>-</p>
                                                        </div>
                                                    </div>
                                                    <div class="row align-items-center px-3 py-2">
                                                        <div class="col-8 text-left">
                                                            <label class="mb-0">TMPS Provider</label>
                                                        </div>
                                                        <div class="col-4 text-right">
                                                            <p>-</p>
                                                        </div>
                                                    </div>
                                                    <div class="row align-items-center px-3 py-2">
                                                        <div class="col-8 text-left">
                                                            <label class="mb-0">Axle Provider</label>
                                                        </div>
                                                        <div class="col-4 text-right">
                                                            <p>-</p>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-6">
                                                    @if($truckIntegrations->where('integration_type', 1)->first())
                                                        <div class="row align-items-center px-3 py-2">
                                                            <div class="col-4 text-left">
                                                                <label class="mb-0">EOBR ID:</label>
                                                            </div>
                                                            <div class="col-8 text-right">
                                                                <p>{{ $truckIntegrations->where('integration_type', 1)->first()->eld_id ?? '-' }}</p>
                                                            </div>
                                                        </div>
                                                    @endif
                                                    <div class="row align-items-center px-3 py-2">
                                                        <div class="col-8 text-left">
                                                            <label class="mb-0">Camera ID:</label>
                                                        </div>
                                                        <div class="col-4 text-right">
                                                            <p>-</p>
                                                        </div>
                                                    </div>
                                                    <div class="row align-items-center px-3 py-2">
                                                        <div class="col-8 text-left">
                                                            <label class="mb-0">Toll ID:</label>
                                                        </div>
                                                        <div class="col-4 text-right">
                                                            <p>-</p>
                                                        </div>
                                                    </div>
                                                    <div class="row align-items-center px-3 py-2">
                                                        <div class="col-8 text-left">
                                                            <label class="mb-0">TMPS VD:</label>
                                                        </div>
                                                        <div class="col-4 text-right">
                                                            <p>-</p>
                                                        </div>
                                                    </div>
                                                    <div class="row align-items-center px-3 py-2">
                                                        <div class="col-8 text-left">
                                                            <label class="mb-0">Axle ID:</label>
                                                        </div>
                                                        <div class="col-4 text-right">
                                                            <p>-</p>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-12 mb-3 pr-2">
                                    <div class="card h-100">
                                        <div class="card-header">
                                            <div class="row">
                                                <div class="col-md-12">
                                                    <h6>Rehire History</h6>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="card-body">
                                            <div class="row px-3 py-4">
                                                <div class="col-md-12 text-center">
                                                    <h6>Coming Soon</h6>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6 mb-3 pl-2">
                            <div class="card h-100" id="diagnostics">
                                <div class="card-header">
                                    <div class="row">
                                        <div class="col-6">
                                            <h6>Diagnostics</h6>
                                        </div>
                                        <div class="col-6 pr-0 text-right">
                                            <a href="javascript:void(0);">
                                                <button type="button" class="btn btn-blueBr" id="btnRefresh">
                                                    <i class="fa fa-refresh mt-1"></i>&nbsp;&nbsp;<span class="mt-1">Refresh</span>
                                                </button>
                                            </a>
                                            <div class="dropdown dropdown-blue-theme btn-widget dropleft float-right">
                                                <a href="javascript:void(0);" class="btn btn-blueBr dropdown-toggle ml-2 mr-1" role="button" data-toggle="dropdown" aria-expanded="false" id="btnData">
                                                    Data
                                                </a>
                                                <form class="dropdown-menu p-0" id="diagnostics-form">
                                                    <div class="arrow">
                                                        <div class="dropdown-hedding">
                                                            <div>
                                                                <h6 class="">Diagnostics</h6>
                                                            </div>
                                                        </div>
                                                        <div class="dropdown-body">
                                                            <ul id="diagnosticsSortable">
                                                                @if($truckDiagnostics->count() > 0)
                                                                    @foreach($truckDiagnostics as $truckDiagnostic)
                                                                        <li class="widgets-item drag-drop {{ ($truckDiagnostic->diagnostic->is_disabled == '1') ? 'fixed' : '' }}" data-diagnostic-id="{{ $truckDiagnostic['diagnostic_id'] }}" data-index="{{ $truckDiagnostic['display_no'] }}">
                                                                            <div class="d-flex align-items-center justify-content-between">
                                                                                <div class="form-check">
                                                                                    <input class="form-check-input" type="checkbox" id="chk_{{ $truckDiagnostic['display_no'] }}" value="1" {{ ($truckDiagnostic['is_active'] == '1') ? 'checked' : '' }} {{ ($truckDiagnostic->diagnostic->is_disabled == '1') ? 'disabled' : '' }}>
                                                                                    <label class="form-check-label" for="chk_{{ $truckDiagnostic['display_no'] }}">{{ $truckDiagnostic->diagnostic->diagnostic_name }}</label>
                                                                                </div>
                                                                            </div>
                                                                        </li>
                                                                    @endforeach
                                                                @else
                                                                    @foreach($diagnostics as $diagnostic)
                                                                        <li class="widgets-item drag-drop {{ ($diagnostic['is_disabled'] == '1') ? 'fixed' : '' }}" data-diagnostic-id="{{ $diagnostic['diagnostic_id'] }}" data-index="{{ $loop->iteration }}">
                                                                            <div class="d-flex align-items-center justify-content-between">
                                                                                <div class="form-check">
                                                                                    <input class="form-check-input" type="checkbox" id="chk_{{ $loop->iteration }}" value="1" {{ ($diagnostic['is_disabled'] == '1') ? 'disabled' : '' }} checked>
                                                                                    <label class="form-check-label" for="chk_{{ $loop->iteration }}">{{ $diagnostic['diagnostic_name'] }}</label>
                                                                                </div>
                                                                            </div>
                                                                        </li>
                                                                    @endforeach
                                                                @endif
                                                            </ul>
                                                        </div>
                                                    </div>
                                                    <hr class="dropdown-divider">
                                                    <div class="dropdown-footer d-sm-flex justify-content-between pt-3">
                                                        <button type="button" class="btn btn-blue btn-cancel">Cancel</button>
                                                        <button type="button" class="btn btn-blueBr btn-filter updateDiagnosticFilter">Filter Selected</button>
                                                    </div>
                                                </form>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="card-body p-0">
                                    <div class="row px-1 py-2 mx-0">
                                        <div class="col-md-4">
                                            <label>Diagnostic</label>
                                        </div>
                                        <div class="col-md-4">
                                            <label>Value</label>
                                        </div>
                                        <div class="col-md-4">
                                            <label>Timestamp</label>
                                        </div>
                                    </div>
                                    <div id="truckDiagnosticDiv">
                                        @if($truckDiagnostics->count() > 0)
                                            @foreach($truckDiagnostics as $truckDiagnostic)
                                                @if($truckDiagnostic['is_active'] && $truckDiagnostic->diagnostic->is_disabled == '0')
                                                    <div class="row px-1 py-2 mx-0">
                                                        <div class="col-md-4">
                                                            <p>{{ $truckDiagnostic->diagnostic->diagnostic_name ?? '' }}</p>
                                                        </div>
                                                        <div class="col-md-4">
                                                            @if($truckDiagnostic->isHtml)
                                                                {!! $truckDiagnostic->value ?? '<p>-</p>' !!}
                                                            @else
                                                                <p>{{ $truckDiagnostic->value ?? '-' }}</p>
                                                            @endif
                                                        </div>
                                                        <div class="col-md-4">
                                                            <p>{{ $truckDiagnostic->timestamp ?? '-' }}</p>
                                                        </div>
                                                    </div>
                                                @endif
                                            @endforeach
                                        @else
                                            @foreach($diagnostics as $diagnostic)
                                                @if($diagnostic['is_disabled'] == '0')
                                                    <div class="row px-1 py-2 mx-0">
                                                        <div class="col-md-4">
                                                            <p>{{ $diagnostic['diagnostic_name'] ?? '' }}</p>
                                                        </div>
                                                        <div class="col-md-4">
                                                            @if($diagnostic->isHtml)
                                                                {!! $diagnostic->value ?? '-' !!}
                                                            @else
                                                                <p>{{ $diagnostic->value ?? '-' }}</p>
                                                            @endif
                                                        </div>
                                                        <div class="col-md-4">
                                                            <p>{{ $diagnostic->timestamp ?? '-' }}</p>
                                                        </div>
                                                    </div>
                                                @endif
                                            @endforeach
                                        @endif
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="tab-pane" role="tabpanel" id="tabSafetyCompliance">
                    @if(isset($truck->driver) && $truck->driver != "")
                        <div class="row px-4 py-2 pt-3">
                            <div class="col-md-12">
                                <ul class="account-detail">
                                    <li>
                                        <a href="" class="lbl-p create-hos-violations-btn" data-driver-id="{{ $truck->driver }}" data-toggle="modal" data-target="#createHOSViolationsModal">
                                            <div class="d-flex align-items-center">
                                                <div>
                                                    Driver Violations
                                                </div>
                                                <div>
                                                    <i class="fa fa-plus-square mr-10"></i>
                                                </div>
                                            </div>
                                        </a>
                                    </li>
                                </ul>
                            </div>
                            <div class="col-md-12 pl-0 pr-0">
                                @if($driverHosViolations->count())
                                    <table class="table border-0 w-100 date-details mt-0">
                                        <tr>
                                            <td class="top-header text-center">Report Number</td>
                                            <td class="top-header text-center">Date</td>
                                            <td class="top-header text-center">Inspection Level</td>
                                            <td class="top-header text-center">State</td>
                                            <td class="top-header text-center">Carrier</td>
                                            <td class="top-header text-center">Unit #</td>
                                            <td class="top-header text-center">Disciplinary Action</td>
                                            <td class="top-header text-center">Load No.</td>
                                            <td class="top-header text-center">OOS</td>
                                            <td class="top-header text-center">Violation Code</td>
                                            <td class="top-header text-center">Points</td>
                                            <td class="top-header text-center">Status</td>
                                            <td class="top-header text-center"></td>
                                        </tr>
                                        @foreach ($driverHosViolations as $driverHosViolation)
                                            <tr>
                                                <td class="text-center top-header">{{ Str::limit($driverHosViolation->title,90) }}</td>
                                                <td class="text-center">{{ $driverHosViolation->date }}</td>
                                                <td class="text-center">{{ getDriverInspectionLevel()[$driverHosViolation->inspection_level] ?? '' }}</td>
                                                <td class="text-center">{{ getStateList()[$driverHosViolation->state] ?? '' }}</td>
                                                <td class="text-center">{{ getCarrierList()[$driverHosViolation->motor_carrier] ?? '' }}</td>
                                                <td class="text-center">{{ getTruckList()[$driverHosViolation->unit1] ?? '' }}</td>
                                                <td class="text-center">{{ getDriverDisciplinaryAction()[$driverHosViolation->disciplinary_action] ?? '' }}</td>
                                                <td class="text-center">{{ $driverHosViolation->load_number }}</td>
                                                <td class="text-center">{{ (in_array('1', $driverHosViolation->DriverHosViolationsData->pluck('oos')->toArray())) ? 'Yes' : 'No' }}</td>
                                                <td class="text-center">{{ $driverHosViolation->DriverHosViolationsData->count('violation_code') ?? '0' }}</td>
                                                <td class="text-center">-</td>
                                                <td class="text-center text-capitalize @if($driverHosViolation->status == 'incomplete') text-incomplete @else text-complete @endif">{{ $driverHosViolation->status }}</td>
                                                <td class="text-center">
                                                    <a href="javascript:void(0);" class="destroy" data-id="{{ $driverHosViolation->id }}" data-action="{{ route('company.admin.hos.violation.destroy',$driverHosViolation->id) }}"><img src="{{ asset('theme/img/icon-material-delete.svg') }}" alt=""></a>
                                                    <a href="javascript:void(0);" class="edit-hos-violations-btn" data-id="{{ $driverHosViolation->id }}" data-toggle="modal" data-target="#editHOSViolationsModal"><img src="{{ asset('theme/img/icon-material-edit.svg') }}" alt=""></a>
                                                    <a href="javascript:void(0);" class="show-hos-violations-btn" data-id="{{ $driverHosViolation->id }}" data-toggle="modal" data-target="#showHOSViolationsModal"><img src="{{ asset('theme/img/Icon ionic-md-eye.svg') }}" alt=""></a>
                                                </td>
                                            </tr>
                                        @endforeach
                                    </table>
                                    @if ($truck->driver_details->driver_hos_violations()->count() > 3)
                                        <div class="col-md-12">
                                            <ul class="date-details">
                                                <li><a href="{{ route('company.admin.hos.violation.index', $truck->driver) }}">View All</a></li>
                                            </ul>
                                        </div>
                                    @endif
                                @endif
                            </div>
                        </div>
                        <hr />
                        <div class="row px-4 py-2 pt-3">
                            <div class="col-md-12">
                                <ul class="account-detail">
                                    <li>
                                        <a href="" class="lbl-p create-hos-violations-btn" data-driver-id="{{ $truck->driver }}" data-toggle="modal" data-target="#createHOSViolationsModal">
                                            <div class="d-flex align-items-center">
                                                <div>
                                                    Citations/Violations/Warnings
                                                </div>
                                                <div>
                                                    <i class="fa fa-plus-square mr-10"></i>
                                                </div>
                                            </div>
                                        </a>
                                    </li>
                                </ul>
                            </div>
                            <div class="col-md-12 pl-0 pr-0">
                                @if($driverHosViolationsCheckCitations->count())
                                    <table class="table border-0 w-100 date-details mt-0">
                                        <tr>
                                            <td class="top-header text-center">Report Number</td>
                                            <td class="top-header text-center">Date</td>
                                            <td class="top-header text-center">Inspection Level</td>
                                            <td class="top-header text-center">State</td>
                                            <td class="top-header text-center">Carrier</td>
                                            <td class="top-header text-center">Unit #</td>
                                            <td class="top-header text-center">Disciplinary Action</td>
                                            <td class="top-header text-center">Load No.</td>
                                            <td class="top-header text-center">OOS</td>
                                            <td class="top-header text-center">Violation Code</td>
                                            <td class="top-header text-center">Points</td>
                                            <td class="top-header text-center">Status</td>
                                            <td class="top-header text-center"></td>
                                        </tr>
                                        @foreach ($driverHosViolationsCheckCitations as $key => $driverHosViolation)
                                            @if($loop->index <= 2)
                                                <tr>
                                                    <td class="text-center top-header">{{ Str::limit($driverHosViolation->title,90) }}</td>
                                                    <td class="text-center">{{ $driverHosViolation->date }}</td>
                                                    <td class="text-center">{{ getDriverInspectionLevel()[$driverHosViolation->inspection_level] ?? '' }}</td>
                                                    <td class="text-center">{{ getStateList()[$driverHosViolation->state] ?? '' }}</td>
                                                    <td class="text-center">{{ getCarrierList()[$driverHosViolation->motor_carrier] ?? '' }}</td>
                                                    <td class="text-center">{{ getTruckList()[$driverHosViolation->unit1] ?? '' }}</td>
                                                    <td class="text-center">{{ getDriverDisciplinaryAction()[$driverHosViolation->disciplinary_action] ?? '' }}</td>
                                                    <td class="text-center">{{ $driverHosViolation->load_number }}</td>
                                                    <td class="text-center">{{ (in_array('1', $driverHosViolation->DriverHosViolationsData->pluck('oos')->toArray())) ? 'Yes' : 'No' }}</td>
                                                    <td class="text-center">{{ $driverHosViolation->DriverHosViolationsData->count('violation_code') ?? '0' }}</td>
                                                    <td class="text-center">-</td>
                                                    <td class="text-center text-capitalize @if($driverHosViolation->status == 'incomplete') text-incomplete @else text-complete @endif">{{ $driverHosViolation->status }}</td>
                                                    <td class="text-center">
                                                        <a href="javascript:void(0);" class="destroy" data-id="{{ $driverHosViolation->id }}" data-action="{{ route('company.admin.hos.violation.destroy',$driverHosViolation->id) }}"><img src="{{ asset('theme/img/icon-material-delete.svg') }}" alt=""></a>
                                                        <a href="javascript:void(0);" class="edit-hos-violations-btn" data-id="{{ $driverHosViolation->id }}" data-toggle="modal" data-target="#editHOSViolationsModal"><img src="{{ asset('theme/img/icon-material-edit.svg') }}" alt=""></a>
                                                        <a href="javascript:void(0);" class="show-hos-violations-btn" data-id="{{ $driverHosViolation->id }}" data-toggle="modal" data-target="#showHOSViolationsModal"><img src="{{ asset('theme/img/Icon ionic-md-eye.svg') }}" alt=""></a>
                                                    </td>
                                                </tr>
                                            @endif
                                        @endforeach
                                    </table>
                                    @if($driverHosViolationsCheckCitations->count() > 3)
                                        <div class="col-md-12">
                                            <ul class="date-details">
                                                <li><a href="{{ route('company.admin.hos.violation.index', $truck->driver) }}">View All</a></li>
                                            </ul>
                                        </div>
                                    @endif
                                @endif
                            </div>
                        </div>
                        <hr />
                        <div class="row px-4 py-2 pt-3">
                            <div class="col-md-12">
                                <ul class="account-detail">
                                    <li>
                                        <a href="" class="lbl-p create-accident-btn" data-driver-id="{{ $truck->driver }}" data-toggle="modal" data-target="#createAccidentModal">
                                            <div class="d-flex align-items-center">
                                                <div>
                                                    Accident/Incident/Claim/Injury
                                                </div>
                                                <div>
                                                    <i class="fa fa-plus-square mr-10"></i>
                                                </div>
                                            </div>
                                        </a>
                                    </li>
                                </ul>
                            </div>
                            <div class="col-md-12 pl-0 pr-0">
                                @if($driverAccidents->count())
                                    <table class="table border-0 w-100 date-details mt-0">
                                        <tr>
                                            <td class="top-header text-center">Report Number</td>
                                            <td class="top-header text-center">Date</td>
                                            <td class="top-header text-center">Type</td>
                                            <td class="top-header text-center">Title</td>
                                            <td class="top-header text-center">Load Number</td>
                                            <td class="top-header text-center">State</td>
                                            <td class="top-header text-center">Injury</td>
                                            <td class="top-header text-center">Drug Test Req.</td>
                                            <td class="top-header text-center">File on Insurance</td>
                                            <td class="top-header text-center">Fault</td>
                                            <td class="top-header text-center">Damage Estimate</td>
                                            <td class="top-header text-center"></td>
                                        </tr>
                                        @foreach ($driverAccidents as $driverAccident)
                                            <tr>
                                                <td class="text-center top-header">{{ $driverAccident->report_number }}</td>
                                                <td class="text-center">{{ $driverAccident->date }}</td>
                                                <td class="text-center">{{ getAccidentIncidentClaimInjuryList()[$driverAccident->type] ?? '' }}</td>
                                                <td class="text-center">{{ Str::limit($driverAccident->title,90) }}</td>
                                                <td class="text-center">{{ $driverAccident->load_number }}</td>
                                                <td class="text-center">{{ getStateList()[$driverAccident->state] ?? '' }}</td>
                                                <td class="text-center">{{ ($driverAccident->injury == '1') ? 'Yes' : 'No' }}</td>
                                                <td class="text-center">{{ ($driverAccident->drug_Test == '1') ? 'Yes' : 'No' }}</td>
                                                <td class="text-center">{{ ($driverAccident->file_on_insurance == '1') ? 'Yes' : 'No' }}</td>
                                                <td class="text-center">{{ $driverAccident->fault }}</td>
                                                <td class="text-center">{{ '$'.number_format($driverAccident->damage_estimate, '2', '.', ',') }}</td>
                                                <td class="text-center">
                                                    <a href="javascript:void(0);" class="destroy" data-id="{{ $driverAccident->id }}" data-action="{{ route('company.admin.accident.destroy',$driverAccident->id) }}"><img src="{{ asset('theme/img/icon-material-delete.svg') }}" alt=""></a>
                                                    <a href="javascript:void(0);" class="edit-accident-btn" data-id="{{ $driverAccident->id }}" data-toggle="modal" data-target="#editAccidentModal"><img src="{{ asset('theme/img/icon-material-edit.svg') }}" alt=""></a>
                                                    <a href="javascript:void(0);" class="show-accident-btn" data-id="{{ $driverAccident->id }}" data-toggle="modal" data-target="#showAccidentModal"><img src="{{ asset('theme/img/Icon ionic-md-eye.svg') }}" alt=""></a>
                                                </td>
                                            </tr>
                                        @endforeach
                                    </table>
                                    @if ($truck->driver_details->driver_accidents()->count() > 3)
                                        <div class="col-md-12">
                                            <ul class="date-details">
                                                <li><a href="{{ route('company.admin.accident.index', $truck->driver) }}">View All</a></li>
                                            </ul>
                                        </div>
                                    @endif
                                @endif
                            </div>
                        </div>
                        <hr />
                        <div class="row px-4 py-2 pt-3">
                            <div class="col-md-12">
                                <ul class="account-detail">
                                    <li>
                                        <a href="" class="lbl-p create-non-violations-btn" data-driver-id="{{ $truck->driver }}" data-toggle="modal" data-target="#createNonViolationsModal">
                                            <div class="d-flex align-items-center">
                                                <div>
                                                    Non Violation Reports
                                                </div>
                                                <div>
                                                    <i class="fa fa-plus-square mr-10"></i>
                                                </div>
                                            </div>
                                        </a>
                                    </li>
                                </ul>
                            </div>
                            <div class="col-md-12 pl-0 pr-0">
                                @if($driverNonViolations->count())
                                    <table class="table border-0 w-100 date-details mt-0">
                                        <tr>
                                            <td class="top-header text-center">Report Number</td>
                                            <td class="top-header text-center">Date</td>
                                            <td class="top-header text-center">Inspection Level</td>
                                            <td class="top-header text-center">State</td>
                                            <td class="top-header text-center">Carrier</td>
                                            <td class="top-header text-center">Unit #</td>
                                            <td class="top-header text-center">Disciplinary Action</td>
                                            <td class="top-header text-center">Load No.</td>
                                            <td class="top-header text-center">OOS</td>
                                            <td class="top-header text-center">Violation Code</td>
                                            <td class="top-header text-center">Points</td>
                                            <td class="top-header text-center">Status</td>
                                            <td class="top-header text-center"></td>
                                        </tr>
                                        @foreach ($driverNonViolations as $drivernonviolation)
                                            <tr>
                                                <td class="text-center top-header">{{ Str::limit($drivernonviolation->title,90) }}</td>
                                                <td class="text-center">{{ $drivernonviolation->date }}</td>
                                                <td class="text-center">{{ getDriverInspectionLevel()[$drivernonviolation->inspection_level] ?? '' }}</td>
                                                <td class="text-center">{{ getStateList()[$drivernonviolation->state] ?? '' }}</td>
                                                <td class="text-center">{{ getCarrierList()[$drivernonviolation->motor_carrier] ?? '' }}</td>
                                                <td class="text-center">{{ getTruckList()[$drivernonviolation->unit1] ?? '' }}</td>
                                                <td class="text-center">{{ getDriverDisciplinaryAction()[$drivernonviolation->disciplinary_action] ?? '' }}</td>
                                                <td class="text-center">{{ $drivernonviolation->load_number }}</td>
                                                <td class="text-center">{{ (in_array('1', $drivernonviolation->DriverNonViolationsData->pluck('oos')->toArray())) ? 'Yes' : 'No' }}</td>
                                                <td class="text-center">{{ $drivernonviolation->DriverNonViolationsData->count('violation_code') }}</td>
                                                <td class="text-center">-</td>
                                                <td class="text-center text-capitalize @if($drivernonviolation->status == 'incomplete') text-danger @else text-success @endif">{{ $drivernonviolation->status }}</td>
                                                <td class="text-center">
                                                    <a href="javascript:void(0);" class="destroy" data-id="{{ $drivernonviolation->id }}" data-action="{{ route('company.admin.non.violation.destroy',$drivernonviolation->id) }}"><img src="{{ asset('theme/img/icon-material-delete.svg') }}" alt=""></a>
                                                    <a href="javascript:void(0);" class="edit-non-violations-btn" data-id="{{ $drivernonviolation->id }}" data-toggle="modal" data-target="#editNONViolationsModal"><img src="{{ asset('theme/img/icon-material-edit.svg') }}" alt=""></a>
                                                    <a href="javascript:void(0);" class="show-non-violations-btn" data-id="{{ $drivernonviolation->id }}" data-toggle="modal" data-target="#showNONViolationsModal"><img src="{{ asset('theme/img/Icon ionic-md-eye.svg') }}" alt=""></a>
                                                </td>
                                            </tr>
                                        @endforeach
                                    </table>
                                    @if ($truck->driver_details->driver_non_violations()->count() > 3)
                                        <div class="col-md-12">
                                            <ul class="date-details">
                                                <li><a href="{{ route('company.admin.non.violation.index', $truck->driver) }}">View All</a></li>
                                            </ul>
                                        </div>
                                    @endif
                                @endif
                            </div>
                        </div>
                    @else
                        <div class="row px-3 py-4">
                            <div class="col-md-12 text-center">
                                <h6>Please Assign Truck Driver</h6>
                            </div>
                        </div>
                    @endif
                </div>
                <div class="tab-pane" role="tabpanel" id="tabOnBoardItems">
                    <div class="row px-3">
                        <div class="col-md-12 py-2 on-board-items-report">
                            <div class="d-flex justify-content-between">
                                <div class="text-center">
                                    <div class="white-box">
                                        <div class="box-padding employee-box">
                                            <span class="big-ttl">Lease Agreement</span>
                                            @if($truck->truck_profile_documents->where('title', array_search('Lease Agreement', getDocumentTitles()))->first())
                                                @if($truck->truck_profile_documents->where('title', array_search('Lease Agreement', getDocumentTitles()))->first()->doc_type == 1)
                                                    <h5>Yes</h5>
                                                @else
                                                    <h5>No</h5>
                                                @endif
                                            @else
                                                <h5>-</h5>
                                            @endif
                                        </div>
                                    </div>
                                </div>
                                <div class="text-center">
                                    <div class="white-box">
                                        <div class="box-padding employee-box">
                                            <span class="big-ttl">Inspection Paperwork</span>
                                            @if($truck->truck_profile_documents->where('title', array_search('Inspection Paperwork', getDocumentTitles()))->first())
                                                @if($truck->truck_profile_documents->where('title', array_search('Inspection Paperwork', getDocumentTitles()))->first()->doc_type == 1)
                                                    <h5>Yes</h5>
                                                @else
                                                    <h5>No</h5>
                                                @endif
                                            @else
                                                <h5>-</h5>
                                            @endif
                                        </div>
                                    </div>
                                </div>
                                <div class="text-center">
                                    <div class="white-box">
                                        <div class="box-padding employee-box">
                                            <span class="big-ttl">Registration</span>
                                            @if($truck->truck_profile_documents->where('title', array_search('Registration', getDocumentTitles()))->first())
                                                @if($truck->truck_profile_documents->where('title', array_search('Registration', getDocumentTitles()))->first()->doc_type == 1)
                                                    <h5>Yes</h5>
                                                @else
                                                    <h5>No</h5>
                                                @endif
                                            @else
                                                <h5>-</h5>
                                            @endif
                                        </div>
                                    </div>
                                </div>
                                <div class="text-center">
                                    <div class="white-box">
                                        <div class="box-padding employee-box">
                                            <span class="big-ttl">7 Day Paper Logs</span>
                                            @if($truck->truck_profile_documents->where('title', array_search('7 Day Paper Logs', getDocumentTitles()))->first())
                                                @if($truck->truck_profile_documents->where('title', array_search('7 Day Paper Logs', getDocumentTitles()))->first()->doc_type == 1)
                                                    <h5>Yes</h5>
                                                @else
                                                    <h5>No</h5>
                                                @endif
                                            @else
                                                <h5>-</h5>
                                            @endif
                                        </div>
                                    </div>
                                </div>
                                <div class="text-center">
                                    <div class="white-box">
                                        <div class="box-padding employee-box">
                                            <span class="big-ttl">EOBR Instructions</span>
                                            @if($truck->truck_profile_documents->where('title', array_search('EOBR Instructions', getDocumentTitles()))->first())
                                                @if($truck->truck_profile_documents->where('title', array_search('EOBR Instructions', getDocumentTitles()))->first()->doc_type == 1)
                                                    <h5>Yes</h5>
                                                @else
                                                    <h5>No</h5>
                                                @endif
                                            @else
                                                <h5>-</h5>
                                            @endif
                                        </div>
                                    </div>
                                </div>
                                <div class="text-center">
                                    <div class="white-box">
                                        <div class="box-padding employee-box">
                                            <span class="big-ttl">Insurance Certificate</span>
                                            @if($truck->truck_profile_documents->where('title', array_search('Insurance Certificate', getDocumentTitles()))->first())
                                                @if($truck->truck_profile_documents->where('title', array_search('Insurance Certificate', getDocumentTitles()))->first()->doc_type == 1)
                                                    <h5>Yes</h5>
                                                @else
                                                    <h5>No</h5>
                                                @endif
                                            @else
                                                <h5>-</h5>
                                            @endif
                                        </div>
                                    </div>
                                </div>
                                <div class="text-center">
                                    <div class="white-box">
                                        <div class="box-padding employee-box">
                                            <span class="big-ttl">Accident Instructions</span>
                                            @if($truck->truck_profile_documents->where('title', array_search('Accident Instructions', getDocumentTitles()))->first())
                                                @if($truck->truck_profile_documents->where('title', array_search('Accident Instructions', getDocumentTitles()))->first()->doc_type == 1)
                                                    <h5>Yes</h5>
                                                @else
                                                    <h5>No</h5>
                                                @endif
                                            @else
                                                <h5>-</h5>
                                            @endif
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row px-3">
                        <div class="col-md-12 mb-3">
                            <div class="card h-100">
                                <div class="card-header">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <h6>Tools, Equipment & Accessories</h6>
                                        </div>
                                    </div>
                                </div>
                                <div class="card-body p-0">
                                    <div class="table-responsive">
                                        <table class="table mt-0">
                                            <tbody>
                                                <tr class="font-weight-bold">
                                                    <td width="10%" class="text-center">QTY</td>
                                                    <td width="20%" >Title</td>
                                                    <td width="15%" >Description</td>
                                                    <td width="15%"  class="text-center">Value</td>
                                                    <td width="15%" >Entered By</td>
                                                    <td width="15%" >Date Entered</td>
                                                    <td width="10%" ></td>
                                                </tr>
                                                @if($truck->truck_profile_equipments->count() == 0 && $truck->truck_additional_equipments->count() == 0)
                                                    <tr class="font-weight-bold text-center">
                                                        <td colspan="7" class="text-danger">No Data Available In Table</td>
                                                    </tr>
                                                @else
                                                    @foreach($truck->truck_profile_equipments as $truckProfileEquipment)
                                                        <tr>
                                                            <td class="text-center">{{ $truckProfileEquipment->qty ?? '' }}</td>
                                                            <td>{{ getEquipmentTitles()[$truckProfileEquipment->title] ?? '' }}</td>
                                                            <td>{{ $truckProfileEquipment->description ?? '' }}</td>
                                                            <td class="text-center">{{ '$'.number_format(str_replace(",","",$truckProfileEquipment->value), 2, '.', ',') ?? '' }}</td>
                                                            <td>{{ $truckProfileEquipment->entered_by ?? '' }}</td>
                                                            <td>{{ $truckProfileEquipment->date_entered ?? '' }}</td>
                                                            <td class="text-right">
                                                                <a href="{{ route('company.admin.trucks.edit', base64Encode($truck->id)) }}#tabToolsEquipmentAccessories" class="mr-4" target="_blank">
                                                                    <img src="{{ asset('theme/img/icon-material-edit.svg') }}" alt="">
                                                                </a>
                                                            </td>
                                                        </tr>
                                                    @endforeach
                                                    @foreach($truck->truck_additional_equipments as $truckAdditionalEquipment)
                                                        <tr>
                                                            <td class="text-center">{{ $truckAdditionalEquipment->qty ?? '' }}</td>
                                                            <td>{{ getEquipmentTitles()[$truckAdditionalEquipment->title] ?? '' }}</td>
                                                            <td>{{ $truckAdditionalEquipment->description ?? '' }}</td>
                                                            <td class="text-center">{{ '$'.number_format(str_replace(",","",$truckAdditionalEquipment->value), 2, '.', ',') ?? '' }}</td>
                                                            <td>{{ $truckAdditionalEquipment->entered_by ?? '' }}</td>
                                                            <td>{{ $truckAdditionalEquipment->date_entered ?? '' }}</td>
                                                            <td class="text-right">
                                                                <a href="{{ route('company.admin.trucks.edit', base64Encode($truck->id)) }}#tabToolsEquipmentAccessories" class="mr-4" target="_blank">
                                                                    <img src="{{ asset('theme/img/icon-material-edit.svg') }}" alt="">
                                                                </a>
                                                            </td>
                                                        </tr>
                                                    @endforeach
                                                @endif
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12 mb-3">
                            <div class="card h-100">
                                <div class="card-header">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <h6>On Board Documents</h6>
                                        </div>
                                    </div>
                                </div>
                                <div class="card-body p-0">
                                    <div class="table-responsive">
                                        <table class="table mt-0">
                                            <tbody>
                                                <tr class="font-weight-bold">
                                                    <td width="30%">Title</td>
                                                    <td width="30%" class="text-center">Required</td>
                                                    <td width="30%">Expiration Date</td>
                                                    <td width="10%"></td>
                                                </tr>
                                                @if($truck->truck_profile_documents->count() == 0 && $truck->truck_additional_documents->count() == 0)
                                                    <tr class="font-weight-bold text-center">
                                                        <td colspan="4" class="text-danger">No Data Available In Table</td>
                                                    </tr>
                                                @else
                                                    @foreach($truck->truck_profile_documents as $truckProfileDocuments)
                                                        <tr>
                                                            <td>{{ getDocumentTitles()[$truckProfileDocuments->title] ?? '' }}</td>
                                                            @if(isset($truckProfileDocuments->dot_required ))
                                                                @if($truckProfileDocuments->dot_required == '1')
                                                                    <td class="text-center">Yes</td>
                                                                @else
                                                                    <td class="text-center">No</td>
                                                                @endif
                                                            @else
                                                                <td class="text-center">-</td>
                                                            @endif
                                                            <td>{{ $truckProfileDocuments->exp_date ?? '' }}</td>
                                                            <td class="text-right">
                                                                <a href="{{ route('company.admin.trucks.edit', base64Encode($truck->id)) }}#tabOnBoardDocuments" class="mr-4" target="_blank">
                                                                    <img src="{{ asset('theme/img/icon-material-edit.svg') }}" alt="">
                                                                </a>
                                                            </td>
                                                        </tr>
                                                    @endforeach
                                                    @foreach($truck->truck_additional_documents as $truckAdditionalDocuments)
                                                        <tr>
                                                            <td>{{ getDocumentTitles()[$truckAdditionalDocuments->title] ?? '' }}</td>
                                                            @if(isset($truckAdditionalDocuments->dot_required ))
                                                                @if($truckAdditionalDocuments->dot_required == '1')
                                                                    <td class="text-center">Yes</td>
                                                                @else
                                                                    <td class="text-center">No</td>
                                                                @endif
                                                            @else
                                                                <td class="text-center">-</td>
                                                            @endif
                                                            <td>{{ $truckAdditionalDocuments->exp_date ?? '' }}</td>
                                                            <td class="text-right">
                                                                <a href="{{ route('company.admin.trucks.edit', base64Encode($truck->id)) }}#tabOnBoardDocuments" class="mr-4" target="_blank">
                                                                    <img src="{{ asset('theme/img/icon-material-edit.svg') }}" alt="">
                                                                </a>
                                                            </td>
                                                        </tr>
                                                    @endforeach
                                                @endif
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="tab-pane" role="tabpanel" id="tabStateMap">
                    <div class="row py-3 mx-3">
                        <div class="col-md-12 pr-0 map-button text-right">
                            <a href="{{ route('company.admin.trucks.edit', base64Encode($truck->id)) }}#tabStateMap" target="_blank">
                                <button type="button" class="btn btn-blue" id="btnMap">Edit Map</button>
                            </a>
                        </div>
                        <div class="col-md-12 mx-0">
                            <div id="map" style="height:808px"></div>
                            <div class="map-legend d-flex flex-column">
                                <div class="icon-preferred">
                                    <i class="fa fa-circle mr-1" aria-hidden="true"></i> <b>Preferred</b>
                                </div>
                                <div class="icon-Open mr-4">
                                    <i class="fa fa-circle mr-1" aria-hidden="true"></i> <b>Open</b>
                                </div>
                                <div class="icon-Block mr-4">
                                    <i class="fa fa-circle mr-1" aria-hidden="true"></i> <b>Block</b>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="tab-pane" role="tabpanel" id="tabFuel">
                    <div class="row px-3 py-4">
                        <div class="col-md-12 text-center">
                            <h6>Coming Soon</h6>
                        </div>
                    </div>
                </div>
                <div class="tab-pane" role="tabpanel" id="tabDocuments">
                    <div class="row px-3">
                        <div class="col-md-12 py-3">
                            <div class="card h-100">
                                <div class="card-header">
                                    <div class="row align-items-center">
                                        <div class="col-md-12">
                                            <h6 class="mt-1">Document Images</h6>
                                        </div>
                                    </div>
                                </div>
                                <div class="card-body p-0">
                                    <div class="table-responsive">
                                        <table class="table mt-0">
                                            <tbody>
                                                <tr class="font-weight-bold">
                                                    <td width="20%">Image Name</td>
                                                    <td width="15%">Category</td>
                                                    <td width="15%">Load Assignment</td>
                                                    <td width="15%">Other Info</td>
                                                    <td width="10%">Uploaded By</td>
                                                    <td width="15%">Date Updated</td>
                                                    <td width="10%" class="text-center">Action</td>
                                                </tr>
                                                <tr>
                                                    <td>Truck Photo</td>
                                                    <td>Onboarding</td>
                                                    <td>-</td>
                                                    <td>-</td>
                                                    <td>{{ getCompanyAdminNameById($truck->profile_image_upload_by) ?? '-' }}</td>
                                                    <td>{{ $truck->profile_image_update_date ?? '-' }}</td>
                                                    <td class="text-center">
                                                        @if (!is_null($truck->profile_image))
                                                            <a href="{!! asset('storage/companyAdmin/truck/'.$truck->profile_image) !!}" data-fslightbox="gallery" class="profileImagePreview" title="view">
                                                                <i class="fa fa-eye font-16" aria-hidden="true"></i>
                                                            </a>
                                                        @else
                                                            <a href="javascript:void(0);" class="profileImagePreview" title="view">
                                                                <i class="fa fa-eye-slash font-16" aria-hidden="true"></i>
                                                            </a>
                                                        @endif
                                                    </td>
                                                </tr>

                                                <tr class="font-weight-bold">
                                                    <td>Equipment Images</td>
                                                    <td colspan="6"></td>
                                                </tr>
                                                <tr>
                                                    <td>Tarps</td>
                                                    <td>Equipment</td>
                                                    <td>-</td>
                                                    <td>-</td>
                                                    <td>-</td>
                                                    <td>-</td>
                                                    <td class="text-center">
                                                        <a href="javascript:void(0);" title="view">
                                                            <i class="fa fa-eye-slash font-16" aria-hidden="true"></i>
                                                        </a>
                                                    </td>
                                                </tr>

                                                <tr class="font-weight-bold">
                                                    <td>Maintenance & Repair Images</td>
                                                    <td colspan="6"></td>
                                                </tr>
                                                <tr>
                                                    <td>Invoice 15621</td>
                                                    <td>Maintenance & Repairs</td>
                                                    <td>-</td>
                                                    <td>-</td>
                                                    <td>-</td>
                                                    <td>-</td>
                                                    <td class="text-center">
                                                        <a href="javascript:void(0);" title="view">
                                                            <i class="fa fa-eye-slash font-16" aria-hidden="true"></i>
                                                        </a>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>PM Service</td>
                                                    <td>Maintenance & Repairs</td>
                                                    <td>-</td>
                                                    <td>-</td>
                                                    <td>-</td>
                                                    <td>-</td>
                                                    <td class="text-center">
                                                        <a href="javascript:void(0);" title="view">
                                                            <i class="fa fa-eye-slash font-16" aria-hidden="true"></i>
                                                        </a>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>Warranty 7892</td>
                                                    <td>Maintenance & Repairs</td>
                                                    <td>-</td>
                                                    <td>-</td>
                                                    <td>-</td>
                                                    <td>-</td>
                                                    <td class="text-center">
                                                        <a href="javascript:void(0);" title="view">
                                                            <i class="fa fa-eye-slash font-16" aria-hidden="true"></i>
                                                        </a>
                                                    </td>
                                                </tr>

                                                <tr class="font-weight-bold">
                                                    <td>On Board Document Images</td>
                                                    <td colspan="6"></td>
                                                </tr>
                                                <tr>
                                                    <td>ELD Instructions</td>
                                                    <td>On Board Documents</td>
                                                    <td>-</td>
                                                    <td>-</td>
                                                    <td>-</td>
                                                    <td>-</td>
                                                    <td class="text-center">
                                                        <a href="javascript:void(0);" title="view">
                                                            <i class="fa fa-eye-slash font-16" aria-hidden="true"></i>
                                                        </a>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>Copy of Tag</td>
                                                    <td>On Board Documents</td>
                                                    <td>-</td>
                                                    <td>-</td>
                                                    <td>-</td>
                                                    <td>-</td>
                                                    <td class="text-center">
                                                        <a href="javascript:void(0);" title="view">
                                                            <i class="fa fa-eye-slash font-16" aria-hidden="true"></i>
                                                        </a>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>Rental Agreement</td>
                                                    <td>On Board Documents</td>
                                                    <td>-</td>
                                                    <td>-</td>
                                                    <td>-</td>
                                                    <td>-</td>
                                                    <td class="text-center">
                                                        <a href="javascript:void(0);" title="view">
                                                            <i class="fa fa-eye-slash font-16" aria-hidden="true"></i>
                                                        </a>
                                                    </td>
                                                </tr>
                                                @foreach($truck->truck_profile_documents as $truckProfileDocuments)
                                                    @if(in_array('document_profile_file_'.$loop->index, $existingTruckDocuments))
                                                        <tr>
                                                            <td>{{ getDocumentTitles()[$truckProfileDocuments->title] ?? '' }}</td>
                                                            <td>On Board Documents</td>
                                                            <td>-</td>
                                                            <td>-</td>
                                                            <td>{{  getCompanyAdminNameById($truckGalleries[array_search('document_profile_file_'.$loop->index, $existingTruckDocuments)]['created_by']) ?? '-' }}</td>
                                                            <td>{{ \Illuminate\Support\Carbon::parse($truckGalleries[array_search('document_profile_file_'.$loop->index, $existingTruckDocuments)]['updated_at'])->format('m/d/Y') ?? '-' }}</td>
                                                            <td class="text-center">
                                                                @if(isset($truckGalleries[array_search('document_profile_file_'.$loop->index, $existingTruckDocuments)]['image']) && $truckGalleries[array_search('document_profile_file_'.$loop->index, $existingTruckDocuments)]['image'] != "")
                                                                    <a href="javascript:void(0);">
                                                                        <i class="fa fa-eye font-16 truckProfileFile gallary-edit" aria-hidden="true" data-id="{{ $truck->id }}" data-source="truck" data-field="document_profile_file_{{ $loop->index }}" data-toggle="modal" data-target="#galleryModal"></i>
                                                                    </a>
                                                                @else
                                                                    <a href="javascript:void(0);" title="view">
                                                                        <i class="fa fa-eye-slash font-16" aria-hidden="true"></i>
                                                                    </a>
                                                                @endif
                                                            </td>
                                                        </tr>
                                                    @endif
                                                @endforeach
                                                @foreach($truck->truck_additional_documents as $truckAdditionalDocuments)
                                                    @if(in_array('additional_document_file_'.$loop->index, $existingTruckDocuments))
                                                        <tr>
                                                            <td>{{ getDocumentTitles()[$truckAdditionalDocuments->title] ?? '' }}</td>
                                                            <td>On Board Documents</td>
                                                            <td>-</td>
                                                            <td>-</td>
                                                            <td>{{  getCompanyAdminNameById($truckGalleries[array_search('additional_document_file_'.$loop->index, $existingTruckDocuments)]['created_by']) ?? '-' }}</td>
                                                            <td>{{ \Illuminate\Support\Carbon::parse($truckGalleries[array_search('additional_document_file_'.$loop->index, $existingTruckDocuments)]['updated_at'])->format('m/d/Y') ?? '-' }}</td>
                                                            <td class="text-center">
                                                                @if(isset($truckGalleries[array_search('additional_document_file_'.$loop->index, $existingTruckDocuments)]['image']) && $truckGalleries[array_search('additional_document_file_'.$loop->index, $existingTruckDocuments)]['image'] != "")
                                                                    <a href="javascript:void(0);">
                                                                        <i class="fa fa-eye font-16 truckAdditionalFile gallary-edit" aria-hidden="true" data-id="{{ $truck->id }}" data-source="truck" data-field="additional_document_file_{{ $loop->index }}" data-toggle="modal" data-target="#galleryModal"></i>
                                                                    </a>
                                                                @else
                                                                    <a href="javascript:void(0);" title="view">
                                                                        <i class="fa fa-eye-slash font-16" aria-hidden="true"></i>
                                                                    </a>
                                                                @endif
                                                            </td>
                                                        </tr>
                                                    @endif
                                                @endforeach

                                                <tr class="font-weight-bold">
                                                    <td>Safety & Compliance Images</td>
                                                    <td colspan="6"></td>
                                                </tr>
                                                <tr>
                                                    <td>IFTA Stickers</td>
                                                    <td>Safety & Compliance</td>
                                                    <td>-</td>
                                                    <td>-</td>
                                                    <td>-</td>
                                                    <td>-</td>
                                                    <td class="text-center">
                                                        <a href="javascript:void(0);" title="view">
                                                            <i class="fa fa-eye-slash font-16" aria-hidden="true"></i>
                                                        </a>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>Accident Photo</td>
                                                    <td>Safety & Compliance</td>
                                                    <td>-</td>
                                                    <td>-</td>
                                                    <td>-</td>
                                                    <td>-</td>
                                                    <td class="text-center">
                                                        <a href="javascript:void(0);" title="view">
                                                            <i class="fa fa-eye-slash font-16" aria-hidden="true"></i>
                                                        </a>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>Truck Claim Photo</td>
                                                    <td>Safety & Compliance</td>
                                                    <td>-</td>
                                                    <td>-</td>
                                                    <td>-</td>
                                                    <td>-</td>
                                                    <td class="text-center">
                                                        <a href="javascript:void(0);" title="view">
                                                            <i class="fa fa-eye-slash font-16" aria-hidden="true"></i>
                                                        </a>
                                                    </td>
                                                </tr>
                                                @if(in_array('tag_photo', $existingTruckDocuments))
                                                    <tr>
                                                        <td>Tag</td>
                                                        <td>Safety & Compliance</td>
                                                        <td>-</td>
                                                        <td>-</td>
                                                        <td>{{  getCompanyAdminNameById($truckGalleries[array_search('tag_photo', $existingTruckDocuments)]['created_by']) ?? '-' }}</td>
                                                        <td>{{ \Illuminate\Support\Carbon::parse($truckGalleries[array_search('tag_photo', $existingTruckDocuments)]['updated_at'])->format('m/d/Y') ?? '-' }}</td>
                                                        <td class="text-center">
                                                            @if(isset($truckGalleries[array_search('tag_photo', $existingTruckDocuments)]['image']) && $truckGalleries[array_search('tag_photo', $existingTruckDocuments)]['image'] != "")
                                                                <a href="javascript:void(0);">
                                                                    <i class="fa fa-eye font-16 tagFile gallary-edit" aria-hidden="true" data-id="{{ $truck->id }}" data-source="truck" data-field="tag_photo" data-toggle="modal" data-target="#galleryModal"></i>
                                                                </a>
                                                            @else
                                                                <a href="javascript:void(0);" title="view">
                                                                    <i class="fa fa-eye-slash font-16" aria-hidden="true"></i>
                                                                </a>
                                                            @endif
                                                        </td>
                                                    </tr>
                                                @endif
                                                @if(in_array('oregon_file', $existingTruckDocuments))
                                                    <tr>
                                                        <td>Oregon Permit</td>
                                                        <td>Safety & Compliance</td>
                                                        <td>-</td>
                                                        <td>-</td>
                                                        <td>{{  getCompanyAdminNameById($truckGalleries[array_search('oregon_file', $existingTruckDocuments)]['created_by']) ?? '-' }}</td>
                                                        <td>{{ \Illuminate\Support\Carbon::parse($truckGalleries[array_search('oregon_file', $existingTruckDocuments)]['updated_at'])->format('m/d/Y') ?? '-' }}</td>
                                                        <td class="text-center">
                                                            @if(isset($truckGalleries[array_search('oregon_file', $existingTruckDocuments)]['image']) && $truckGalleries[array_search('oregon_file', $existingTruckDocuments)]['image'] != "")
                                                                <a href="javascript:void(0);">
                                                                    <i class="fa fa-eye font-16 oregonFile gallary-edit" aria-hidden="true" data-id="{{ $truck->id }}" data-source="truck" data-field="oregon_file" data-toggle="modal" data-target="#galleryModal"></i>
                                                                </a>
                                                            @else
                                                                <a href="javascript:void(0);" title="view">
                                                                    <i class="fa fa-eye-slash font-16" aria-hidden="true"></i>
                                                                </a>
                                                            @endif
                                                        </td>
                                                    </tr>
                                                @endif
                                                @if(in_array('2290_file', $existingTruckDocuments))
                                                    <tr>
                                                        <td>2290 Photo</td>
                                                        <td>Safety & Compliance</td>
                                                        <td>-</td>
                                                        <td>-</td>
                                                        <td>{{  getCompanyAdminNameById($truckGalleries[array_search('2290_file', $existingTruckDocuments)]['created_by']) ?? '-' }}</td>
                                                        <td>{{ \Illuminate\Support\Carbon::parse($truckGalleries[array_search('2290_file', $existingTruckDocuments)]['updated_at'])->format('m/d/Y') ?? '-' }}</td>
                                                        <td class="text-center">
                                                            @if(isset($truckGalleries[array_search('2290_file', $existingTruckDocuments)]['image']) && $truckGalleries[array_search('2290_file', $existingTruckDocuments)]['image'] != "")
                                                                <a href="javascript:void(0);">
                                                                    <i class="fa fa-eye font-16 file2290 gallary-edit" aria-hidden="true" data-id="{{ $truck->id }}" data-source="truck" data-field="2290_file" data-toggle="modal" data-target="#galleryModal"></i>
                                                                </a>
                                                            @else
                                                                <a href="javascript:void(0);" title="view">
                                                                    <i class="fa fa-eye-slash font-16" aria-hidden="true"></i>
                                                                </a>
                                                            @endif
                                                        </td>
                                                    </tr>
                                                @endif
                                                @if(in_array('nyhut_file', $existingTruckDocuments))
                                                    <tr>
                                                        <td>NYHUT Permit</td>
                                                        <td>Safety & Compliance</td>
                                                        <td>-</td>
                                                        <td>-</td>
                                                        <td>{{  getCompanyAdminNameById($truckGalleries[array_search('nyhut_file', $existingTruckDocuments)]['created_by']) ?? '-' }}</td>
                                                        <td>{{ \Illuminate\Support\Carbon::parse($truckGalleries[array_search('nyhut_file', $existingTruckDocuments)]['updated_at'])->format('m/d/Y') ?? '-' }}</td>
                                                        <td class="text-center">
                                                            @if(isset($truckGalleries[array_search('nyhut_file', $existingTruckDocuments)]['image']) && $truckGalleries[array_search('nyhut_file', $existingTruckDocuments)]['image'] != "")
                                                                <a href="javascript:void(0);">
                                                                    <i class="fa fa-eye font-16 nyhutFile gallary-edit" aria-hidden="true" data-id="{{ $truck->id }}" data-source="truck" data-field="nyhut_file" data-toggle="modal" data-target="#galleryModal"></i>
                                                                </a>
                                                            @else
                                                                <a href="javascript:void(0);" title="view">
                                                                    <i class="fa fa-eye-slash font-16" aria-hidden="true"></i>
                                                                </a>
                                                            @endif
                                                        </td>
                                                    </tr>
                                                @endif
                                                @if(in_array('kyu_file', $existingTruckDocuments))
                                                    <tr>
                                                        <td>KYU Permit</td>
                                                        <td>Safety & Compliance</td>
                                                        <td>-</td>
                                                        <td>-</td>
                                                        <td>{{  getCompanyAdminNameById($truckGalleries[array_search('kyu_file', $existingTruckDocuments)]['created_by']) ?? '-' }}</td>
                                                        <td>{{ \Illuminate\Support\Carbon::parse($truckGalleries[array_search('kyu_file', $existingTruckDocuments)]['updated_at'])->format('m/d/Y') ?? '-' }}</td>
                                                        <td class="text-center">
                                                            @if(isset($truckGalleries[array_search('kyu_file', $existingTruckDocuments)]['image']) && $truckGalleries[array_search('kyu_file', $existingTruckDocuments)]['image'] != "")
                                                                <a href="javascript:void(0);">
                                                                    <i class="fa fa-eye font-16 kyuFile gallary-edit" aria-hidden="true" data-id="{{ $truck->id }}" data-source="truck" data-field="kyu_file" data-toggle="modal" data-target="#galleryModal"></i>
                                                                </a>
                                                            @else
                                                                <a href="javascript:void(0);" title="view">
                                                                    <i class="fa fa-eye-slash font-16" aria-hidden="true"></i>
                                                                </a>
                                                            @endif
                                                        </td>
                                                    </tr>
                                                @endif
                                                @if(in_array('carb_id_file', $existingTruckDocuments))
                                                    <tr>
                                                        <td>Carb</td>
                                                        <td>Safety & Compliance</td>
                                                        <td>-</td>
                                                        <td>-</td>
                                                        <td>{{  getCompanyAdminNameById($truckGalleries[array_search('carb_id_file', $existingTruckDocuments)]['created_by']) ?? '-' }}</td>
                                                        <td>{{ \Illuminate\Support\Carbon::parse($truckGalleries[array_search('carb_id_file', $existingTruckDocuments)]['updated_at'])->format('m/d/Y') ?? '-' }}</td>
                                                        <td class="text-center">
                                                            @if(isset($truckGalleries[array_search('carb_id_file', $existingTruckDocuments)]['image']) && $truckGalleries[array_search('carb_id_file', $existingTruckDocuments)]['image'] != "")
                                                                <a href="javascript:void(0);">
                                                                    <i class="fa fa-eye font-16 carbFile gallary-edit" aria-hidden="true" data-id="{{ $truck->id }}" data-source="truck" data-field="carb_id_file" data-toggle="modal" data-target="#galleryModal"></i>
                                                                </a>
                                                            @else
                                                                <a href="javascript:void(0);" title="view">
                                                                    <i class="fa fa-eye-slash font-16" aria-hidden="true"></i>
                                                                </a>
                                                            @endif
                                                        </td>
                                                    </tr>
                                                @endif
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="tab-pane" role="tabpanel" id="tabGallery">
                    <div class="row px-3">
                        <div class="col-md-12 py-3">
                            @include('companyAdmin.truck.tab.gallery')
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('modal')
    <!-- Attach Trailer + - START -->
    <div class="modal fade" id="attachTrailerModal" aria-labelledby="attachTrailerLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dishpatch">
            {!! Form::open(array('route' => 'company.admin.truck.attach.trailer', 'method'=>'POST', 'files'=>'false', 'autocomplete'  => 'off', 'class'=>'attach-trailer-store')) !!}
            <input type="hidden" class="truck-id" name="truck_id" value="{{ $truck->id ?? ''}}">
            <input type="hidden" class="assign-by" name="assign_by" value="{{ auth()->guard('company-admin')->user()->id ?? ''}}">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="attachTrailerLabel">Attach Trailer +</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body px-4 py-3">
                    <div class="row">
                        <div class="col-md-4">
                            <div class="form-group">
                                <label for="assign-date" class="mb-1">Assign Date / Time</label>
                                <div class="input-group">
                                    {!! Form::text('assign_date', $currentDate, array('class' => 'form-control', 'placeholder' => 'Assign Date / Time', 'id' => 'assign-date', 'readonly' => 'readonly')) !!}
                                    <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                </div>
                            </div>
                        </div>
                        <div class="col-md-8">
                            <div class="form-group">
                                <label for="trailer" class="mb-1">Trailer</label>
                                <select class="form-control select2Trailer" name="trailer" id="trailer" data-parsley-errors-container="#trailer-errors" required>
                                    <option value="">Select Trailer</option>
                                    @foreach(getAttachTrailerList() as $trailerDetail)
                                        @if(is_null($trailerDetail['current_assigned_truck']))
                                            <option value="{{ $trailerDetail['trailer_id'] }}">{{ $trailerDetail['trailer_id'].' - <span class="text-green">Available</span> - '.$trailerDetail['last_location'] }}</option>
                                        @else
                                            <option value="{{ $trailerDetail['trailer_id'] }}" disabled>{{ $trailerDetail['trailer_id'].' - Assigned - '.$trailerDetail['last_location'] }}</option>
                                        @endif
                                    @endforeach
                                </select>
                                <div id="trailer-errors"></div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <div class="col-md-6 text-left d-inline-flex">
                        <label class="text-black">Created By: {{ auth()->guard('company-admin')->user()->fullname ?? ''}}</label>
                    </div>
                    <div class="col-md-6 text-right">
                        <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                        <button type="submit" class="btn btn-blue">Assign</button>
                    </div>
                </div>
            </div>
            {!! Form::close() !!}
        </div>
    </div>
    <!-- Attach Trailer + - END -->

    <!-- Edit Attach Trailer - START -->
    <div class="modal fade" id="editAttachTrailerModal" aria-labelledby="editAttachTrailerLabel" aria-hidden="true">
        <div class="modal-dialog modal-md modal-dishpatch" style="max-width: 619px;">
            {!! Form::open(array('route' => 'company.admin.truck.drop.attach.trailer', 'method'=>'POST', 'autocomplete'  => 'off', 'files'=>'false', 'class'=>'drop-attach-trailer-store')) !!}
            <input type="hidden" class="truck-id" name="truck_id" value="{{ $truck->id ?? ''}}">
            <input type="hidden" class="assign-by" name="assign_by" value="{{ auth()->guard('company-admin')->user()->id ?? ''}}">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="editAttachTrailerLabel">Assign New Trailer</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body px-0 py-3">
                    <div class="row px-4">
                        <div class="col-md-12">
                            <div class="form-group">
                                <h6>Current Trailer</h6>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label for="current-trailer" class="mb-1">Current Trailer</label>
                                <select class="form-control select2Trailer" id="current-trailer" disabled>
                                    <option value="">Select Trailer</option>
                                    @foreach(getAttachTrailerList() as $trailerDetail)
                                        @if(is_null($trailerDetail['current_assigned_truck']))
                                            <option value="{{ $trailerDetail['trailer_id'] }}">{{ $trailerDetail['trailer_id'].' - <span class="text-green">Available</span> - '.$trailerDetail['last_location'] }}</option>
                                        @else
                                            <option value="{{ $trailerDetail['trailer_id'] }}" disabled>{{ $trailerDetail['trailer_id'].' - Assigned - '.$trailerDetail['last_location'] }}</option>
                                        @endif
                                    @endforeach
                                </select>
                                <input type="hidden" class="current-trailer" name="current_trailer" value="">
                            </div>
                        </div>
                        <div id="divDropLocation" class="w-100">
                            <div class="col-md-12 text-right mt-1">
                                <div class="form-group mb-0">
                                    <a href="javascript:void(0);" class="custom-top-label text-decoration-underline" id="customLocation">
                                        Custom
                                    </a>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label for="drop-location" class="mb-1">Drop Location<span>*</span></label>
                                    {!! Form::select('drop_location', ['' => 'Select Drop Location'] + getCompanyDropLocations(), null, ['class' => 'form-control select2', 'id' => 'drop-location', 'data-parsley-errors-container' => '#drop_location-errors','required' => 'required']) !!}
                                    <div id="drop_location-errors"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <hr />
                    <div class="row px-4">
                        <div class="col-md-12">
                            <div class="form-group">
                                <h6>New Trailer</h6>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="assign-date" class="mb-1">Assign Date / Time</label>
                                <div class="input-group">
                                    {!! Form::text('assign_date', $currentDate, array('class' => 'form-control', 'placeholder' => 'Assign Date / Time', 'id' => 'assign-date', 'readonly' => 'readonly')) !!}
                                    <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label for="new-trailer" class="mb-1">New Trailer</label>
                                <select class="form-control select2Trailer" name="new_trailer" id="new-trailer">
                                    <option value="">Select Trailer</option>
                                    @foreach(getAttachTrailerList() as $trailerDetail)
                                        @if(is_null($trailerDetail['current_assigned_truck']))
                                            <option value="{{ $trailerDetail['trailer_id'] }}">{{ $trailerDetail['trailer_id'].' - <span class="text-green">Available</span> - '.$trailerDetail['last_location'] }}</option>
                                        @else
                                            <option value="{{ $trailerDetail['trailer_id'] }}" disabled>{{ $trailerDetail['trailer_id'].' - Assigned - '.$trailerDetail['last_location'] }}</option>
                                        @endif
                                    @endforeach
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer px-4">
                    <div class="col-md-5 text-left d-inline-flex p-0">
                        <label class="text-black">Created By: {{ auth()->guard('company-admin')->user()->fullname ?? ''}}</label>
                    </div>
                    <div class="col-md-7 text-right pr-0 pl-0">
                        <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                        <button type="submit" class="btn btn-blue" id="dropBtn">Drop</button>
                    </div>
                </div>
            </div>
            {!! Form::close() !!}
        </div>
    </div>
    <!-- Edit Attach Trailer - END -->

    <!-- Edit Attach Trailer - START -->
    <div class="modal fade" id="assignDriverModal" aria-labelledby="assignDriverLabel" aria-hidden="true">
        <div class="modal-dialog modal-md modal-dishpatch" style="max-width: 711px;">
            {!! Form::open(array('route' => 'company.admin.truck.assign.driver', 'method'=>'POST', 'autocomplete'  => 'off', 'files'=>'false', 'class'=>'assign-driver-store')) !!}
            <input type="hidden" class="truck-id" name="truck_id" value="{{ $truck->id ?? ''}}">
            <input type="hidden" class="driver-assign-by" name="driver_assign_by" value="{{ auth()->guard('company-admin')->user()->id ?? ''}}">
            <input type="hidden" class="co-driver-assign-by" name="co_driver_assign_by" value="{{ auth()->guard('company-admin')->user()->id ?? ''}}">
            <div class="modal-content">
                <div class="modal-header px-4">
                    <h5 class="modal-title" id="assignDriverLabel">Assign Driver</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body px-0 py-3">
                    <div class="row px-4">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="driver-assign-date" class="mb-1">Assign Date / Time</label>
                                <div class="input-group">
                                    {!! Form::text('driver_assign_date', $currentDate, array('class' => 'form-control', 'placeholder' => 'Assign Date / Time', 'id' => 'driver-assign-date', 'readonly' => 'readonly')) !!}
                                    <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="driver" class="mb-1">New Driver</label>
                                @if(!is_null($truck->driver))
                                    {!! Form::select('driver', ['' => 'Select Driver'] + getDriverListByCompany(auth()->guard('company-admin')->user()->company_id), $truck->driver ?? null, ['class' => 'form-control select2', 'id' => 'driver', 'disabled' => 'disabled']) !!}
                                @else
                                    <select class="form-control select2Driver" name="driver" id="driver">
                                        <option value="">Select Driver</option>
                                        @foreach(getDriversByCompany() as $driverDetail)
                                            @if(is_null($driverDetail->truck_number))
                                                <option value="{{ $driverDetail->id }}">{{ $driverDetail->name.' - <span class="text-green">Available</span>' }}</option>
                                            @else
                                                <option value="{{ $driverDetail->id }}" disabled>{{ $driverDetail->name.' - Assigned - '.$driverDetail->truck_number }}</option>
                                            @endif
                                        @endforeach
                                    </select>
                                @endif
                            </div>
                        </div>
                    </div>
                    <div class="row px-4">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="co-driver-assign-date" class="mb-1">Assign Date / Time</label>
                                <div class="input-group">
                                    {!! Form::text('co_driver_assign_date', $currentDate, array('class' => 'form-control', 'placeholder' => 'Assign Date / Time', 'id' => 'co-driver-assign-date', 'readonly' => 'readonly')) !!}
                                    <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="co-driver" class="mb-1">New Co-Driver</label>
                                @if(!is_null($truck->co_driver))
                                    {!! Form::select('co_driver', ['' => 'Select Co-Driver'] + getDriverListByCompany(auth()->guard('company-admin')->user()->company_id), $truck->co_driver ?? null, ['class' => 'form-control select2', 'id' => 'co-driver', 'disabled' => 'disabled']) !!}
                                @else
                                    <select class="form-control select2Driver" name="co_driver" id="co-driver">
                                        <option value="">Select Co-Driver</option>
                                        @foreach(getDriversByCompany() as $driverDetail)
                                            @if(is_null($driverDetail->truck_number))
                                                <option value="{{ $driverDetail->id }}">{{ $driverDetail->name.' - <span class="text-green">Available</span>' }}</option>
                                            @else
                                                <option value="{{ $driverDetail->id }}" disabled>{{ $driverDetail->name.' - Assigned - '.$driverDetail->truck_number }}</option>
                                            @endif
                                        @endforeach
                                    </select>
                                @endif
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer px-4">
                    <div class="col-md-5 text-left d-inline-flex p-0">
                        <label class="text-black">Created By: {{ auth()->guard('company-admin')->user()->fullname ?? ''}}</label>
                    </div>
                    <div class="col-md-7 text-right pr-0 pl-0">
                        <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                        <button type="submit" class="btn btn-blue" id="assignDriverButton">Assign Driver</button>
                    </div>
                </div>
            </div>
            {!! Form::close() !!}
        </div>
    </div>
    <!-- Edit Attach Trailer - END -->

    <!-- Attach Trailer Warning - START -->
    <div class="modal fade" id="attachTrailerWarningModal" aria-labelledby="attachTrailerWarningLabel" aria-hidden="true">
        <div class="modal-dialog modal-sm modal-dishpatch" style="max-width: 476px;">
            <div class="modal-content">
                <div class="modal-header px-4">
                    <h5 class="modal-title" id="attachTrailerWarningLabel">Warning</h5>
                    <h5 class="modal-title">Trailer <span id="warningTrailerNumber"></span></h5>
                </div>
                <div class="modal-body px-0 pt-3 pb-0"></div>
                <div class="modal-footer px-4">
                    <button type="button" class="btn btn-blue submit-new-Trailer" data-dismiss="modal">Ok</button>
                </div>
            </div>
            {!! Form::close() !!}
        </div>
    </div>
    <!-- Attach Trailer Warning - END -->

    <!-- Load Tab Columns - START -->
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dishpatch" role="document">
            {!! Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')) !!}
                <input type="hidden" name="table_id" value="truck_view_loads" />
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Adjust Table Columns</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <ul class="sortableList connected-sortable droppable-area1" id="sortable">
                            @foreach($getField as $key => $filed)
                                @if(isset(config('settings.table_truck_view_loads')[$key]['name']))
                                    <li class="ui-state-default">
                                        <div class="d-flex justify-content-between">
                                            <div class="form-check">
                                                <input type='hidden' value='0' name='field[{{ $key }}]'>
                                                <input class="form-check-input" type="checkbox" id="Check{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed == 1) checked @endif>
                                                <label class="form-check-label ml-3" for="Check{{ $key }}">{{ config('settings.table_truck_view_loads')[$key]['name'] }}</label>
                                            </div>
                                            <i class="fa fa-align-justify drag-icon pt-1"></i>
                                        </div>
                                        {{--
                                        <div class="custom-control custom-checkbox">
                                            <input type='hidden' value='0' name='field[{{ $key }}]'>
                                            <input type="checkbox" class="custom-control-input" id="Check{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed == 1) checked @endif>
                                            <label class="custom-control-label" for="Check{{ $key }}">{{ config('settings.table_truck_view_loads')[$key]['name'] }}</label>
                                        </div>
                                        <i class="fa fa-align-justify drag-icon"></i>
                                        --}}
                                    </li>
                                @endif
                            @endforeach
                        </ul>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                        <button type="submit" class="btn btn-blue">Save</button>
                    </div>
                </div>
            {!! Form::close() !!}
        </div>
    </div>
    <!-- Load Tab Columns - END -->

    <!-- Safety & Compliance - START -->
    @include('companyAdmin.driver.modal.createHosViolation')
    @include('companyAdmin.driver.modal.editHosViolation')
    @include('companyAdmin.driver.modal.showHosViolation')

    @include('companyAdmin.driver.modal.createCitation')
    @include('companyAdmin.driver.modal.editCitation')
    @include('companyAdmin.driver.modal.showCitation')

    @include('companyAdmin.driver.modal.createAccident')
    @include('companyAdmin.driver.modal.editAccident')
    @include('companyAdmin.driver.modal.showAccident')

    @include('companyAdmin.driver.modal.createNonViolation')
    @include('companyAdmin.driver.modal.editNonViolation')
    @include('companyAdmin.driver.modal.showNonViolation')
    <!-- Safety & Compliance - END -->
@endsection

@section('script')
    <script defer src="https://maps.google.com/maps/api/js?key={{ env('GOOGLE_MAPS_KEY') }}&callback=initialize&libraries=places,visualization"></script>
    <script src="{{ asset('theme/js/charts-loader.js') }}"></script>
    <script src="{{ asset('theme/js/select2.full.min.js') }}"></script>
    <script src="{{ asset('theme/js/bootstrap-datepicker.js') }}"></script>
    <script src="{{ asset('theme/js/daterangepicker.min.js') }}"></script>
    <script type="text/javascript">
        var table;
        ;(function($) {
            // Extend defaults
            var Defaults = $.fn.select2.amd.require('select2/defaults');
            $.extend(Defaults.defaults, {
                selectionTitleAttribute: true
            });
            // SingleSelection
            var SingleSelection = $.fn.select2.amd.require('select2/selection/single');
            var _updateSingleSelection = SingleSelection.prototype.update;
            SingleSelection.prototype.update = function(data) {
                // invoke parent method
                _updateSingleSelection.apply(this, Array.prototype.slice.apply(arguments));
                var selectionTitleAttribute = this.options.get('selectionTitleAttribute');
                if (selectionTitleAttribute === false) {
                    var $rendered = this.$selection.find('.select2-selection__rendered');
                    $rendered.removeAttr('title');
                }
            };
            // MultipleSelection
            var MultipleSelection = $.fn.select2.amd.require('select2/selection/multiple');
            var _updateMultipleSelection = MultipleSelection.prototype.update;
            MultipleSelection.prototype.update = function(data) {
                // invoke parent method
                _updateMultipleSelection.apply(this, Array.prototype.slice.apply(arguments));
                var selectionTitleAttribute = this.options.get('selectionTitleAttribute');
                if (selectionTitleAttribute === false) {
                    var $rendered = this.$selection.find('.select2-selection__rendered');
                    $rendered.find('.select2-selection__choice').removeAttr('title');
                    this.$selection.find('.select2-selection__choice__remove').removeAttr('title');
                }
            };
        })(window.jQuery);

        function loader(){
            Swal.fire({
                title: '<h5 class="font-weight-bold">Please wait...</h5>',
                allowEscapeKey: false,
                allowOutsideClick: false,
                didOpen: () => {
                    Swal.showLoading()
                }
            });
        }

        /********************* Driver Profile - START *********************/
        function readURL(input) {
            if (input.files && input.files[0]) {
                var reader = new FileReader();
                reader.onload = function(e) {
                    $('#profile_image_preview').css('background-image', 'url('+e.target.result +')');
                    $('#profile_image_preview').hide();
                    $('#profile_image_preview').fadeIn(650);
                }
                reader.readAsDataURL(input.files[0]);
            }
        }
        /********************* Driver Profile - END *********************/

        /********************* Truck Information - START *********************/
        function reArrangeIndexNo(type){
            var index = 1;

            $('#diagnosticsSortable .widgets-item').each(function (key, val){
                var that = $(this);
                that.attr('data-index', index);
                index++;
            });
        }
        /********************* Truck Information - END *********************/

        /********************* State Map - START *********************/
        function initialize() {
            // Google Chart
            var restricted_states, avoid_states;

            @if(isset($truck->restricted_states) || isset($truck->avoid_states))
                @if(isset($truck->restricted_states) && $truck->restricted_states != '')
                    restricted_states = $.parseJSON('{!! $truck->restricted_states !!}');
                @endif
                    @if(isset($truck->avoid_states) && $truck->avoid_states != '')
                    avoid_states = $.parseJSON('{!! $truck->avoid_states !!}');
                @endif
            @endif

            google.charts.load('current', {
                'packages':['geochart'],
            });

            google.charts.setOnLoadCallback(drawRegionsMap);

            var token               = $('meta[name="csrf-token"]').attr('content');
            var dataArray           = [['State', '']];

            function stateList(restricted_states, avoid_states) {
                $.ajax({
                    url: "/company-admin/trucks/state-list-for-map",
                    method: 'POST',
                    data: { _token: token, restricted_states: restricted_states, avoid_states: avoid_states },
                    dataType: 'json',
                    success: function(response) {
                        for (var i = 0; i < response.data.length; i++) {
                            dataArray.push([{ v: response.data[i][2] , f: response.data[i][0] } , { v:response.data[i][1] , f: response.data[i][3] }]);
                        }
                        drawRegionsMap();
                    }
                });
            }

            stateList(restricted_states, avoid_states);

            function drawRegionsMap() {
                var data    = google.visualization.arrayToDataTable(dataArray);
                var options = {
                    region: 'US',
                    width: 1715,
                    height: 808,
                    colorAxis: {
                        colors: ['#EAEAEA', '#305F9C', '#FF1010'],
                        minValue: 0,
                        maxValue: 2,
                    },
                    legend: "none",
                    resolution: 'provinces',
                };

                var container = document.getElementById('map');
                var chart   = new google.visualization.GeoChart(container);

                // Change default stroke color
                google.visualization.events.addListener(chart, 'ready', function () {
                    var countries = container.getElementsByTagName('path');
                    Array.prototype.forEach.call(countries, function(path) {
                        path.setAttribute('stroke', '#8D8D8D');
                    });
                });

                // change active stroke color, build mutation observer
                var observer = new MutationObserver(function (nodes) {
                    Array.prototype.forEach.call(nodes, function(node) {
                        // check for new nodes
                        if (node.addedNodes.length > 0) {
                            Array.prototype.forEach.call(node.addedNodes, function(addedNode) {
                                // the tooltip element will also be here, we only want the group elements
                                if (addedNode.tagName === 'g') {
                                    // find children of the group element
                                    Array.prototype.forEach.call(addedNode.childNodes, function(childNode) {
                                        // check for path element, change stroke
                                        if (childNode.tagName === 'path') {
                                            childNode.setAttribute('stroke', '#000000FF');
                                        }
                                    });
                                }
                            });
                        }
                    });
                });

                // activate mutation observer
                observer.observe(container, {
                    childList: true,
                    subtree: true
                });

                chart.draw(data, options);
            }
        }
        /********************* State Map - END *********************/

        /********************* Gallery - START *********************/
        function getGallaryGridView(){
            $(".galleryGridView").html('<div class="loadingdiv"><img src="{{ asset('theme/img/loading.gif') }}" /></div>');
            var token = $('meta[name="csrf-token"]').attr('content');
            $.ajax({
                url: "{{ route('company.admin.gallery.images.view') }}",
                method: "POST",
                data: {_token: token, source: 'gallery', action_id: '{{$truck->id}}', filed_name: 'truck_gallery' },
                success: function (response) {
                    $('.galleryGridView').html(response.view);
                    refreshFsLightbox();
                }
            });
        }
        /********************* Gallery - END *********************/

        $(function (){
            $(".select2").select2({ width: '100%' });

            /*
            * ref: https://stackoverflow.com/questions/49801609/how-to-use-different-colors-for-each-select2-option
            */
            $('.select2Trailer').select2({
                selectionTitleAttribute: false,
                templateSelection: function(el) {
                    let eleText = (el.text).split(' - ');

                    if(eleText.length > 1){
                        return eleText[0] + ' - ' + eleText[1] + ' - ' + eleText[2];
                    }else{
                        return el.text;
                    }
                },
                escapeMarkup: function(markup) { return markup; }
            });

            $('.select2Driver').select2({
                selectionTitleAttribute: false,
                templateSelection: function(el) {
                    let eleText = (el.text).split(' - ');

                    if(eleText.length > 1){
                        return eleText[0] + ' - ' + eleText[1];
                    }else{
                        return el.text;
                    }
                },
                escapeMarkup: function(markup) { return markup; }
            });

            $('.attach-trailer-store, .drop-attach-trailer-store').parsley({
                excluded: 'input[type=button], input[type=submit], input[type=reset]',
                inputs: 'input, textarea, select, input[type=hidden], :hidden',
            });

            $(document).on('change', '#status', function () {
                let status = $(this).val();

                if(status != ""){
                    $.ajax({
                        url: "{!! route('company.admin.truck.update.status') !!}",
                        method: "POST",
                        data: {
                            truck_id: '{!! $truck->id !!}',
                            status: status,
                        },
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        dataType: 'json',
                        success: function(response) {
                            if(response.success){
                                toastr.success(response.message, 'Success Alert', { timeOut: 5000 });

                                setTimeout(function(){ window.location.reload() }, 2000);
                            }else{
                                toastr.error(response.message, 'Error Alert', { timeOut: 5000 });
                            }
                        },
                        error: function () {
                            toastr.error('Oops! Something went wrong..', 'Error Alert', { timeOut: 5000 });
                        }
                    });
                }else{
                    toastr.error('Please select truck status.', 'Error Alert', { timeOut: 5000 });
                }
            });

            /********************* Truck Profile - START *********************/
            $(document).on('change', '#profile_image', function (e) {
                let profile = e.target.files[0];

                var formData = new FormData();

                formData.append('profile_image', profile);
                formData.append('truck_id', '{!! $truck->id !!}');

                $.ajax({
                    cache: false,
                    contentType: false,
                    processData: false,
                    url: "{{ route('company.admin.truck.update.profile.image') }}",
                    type: 'post',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    data: formData,
                    success: function (response) {
                        if (response.type == 'success') {
                            toastr.success(response.msg, 'Success Alert', {timeOut: 5000});
                        } else {
                            toastr.error(response.msg, 'Error Alert', {timeOut: 5000});
                        }
                    }
                });
                readURL(this);
            });

            $(document).on('click', '.editAttachTrailerModal', function () {
                let currentTrailer = $(this).attr('data-current-trailer');

                $("#editAttachTrailerModal #current-trailer").val(currentTrailer).trigger('change');
                $("#editAttachTrailerModal .current-trailer").val(currentTrailer);
                $("#editAttachTrailerModal").modal('show');
            });

            $(document).on('change', '#new-trailer', function () {
                let newTrailer = $(this).val();

                if(newTrailer != ""){
                    $("#dropBtn").text('Drop & Assign');
                }else{
                    $("#dropBtn").text('Drop');
                }
            });

            $(document).on('click', '#customLocation', function () {
                let customLocationHtml = '';

                customLocationHtml += '<div class="col-md-12 text-right mt-1">';
                customLocationHtml += '<div class="form-group mb-0">';
                customLocationHtml += '<a href="javascript:void(0);" class="custom-top-label text-decoration-underline" id="defaultLocation">Default</a>';
                customLocationHtml += '</div>';
                customLocationHtml += '</div>';
                customLocationHtml += '<div class="col-md-12 geocoding">';
                customLocationHtml += '<input type="hidden" class="geocoding-latitude" name="latitude" value="" autocomplete="off">';
                customLocationHtml += '<input type="hidden" class="geocoding-longitude" name="longitude" value="" autocomplete="off">';
                customLocationHtml += '<input type="hidden" class="geocoding-abbr" name="timezone_abbr" value="" autocomplete="off" data-parsley-errors-container="#timezone_abbr-errors" data-parsley-required-message="Please verify address" required>';
                customLocationHtml += '<input type="hidden" class="geocoding-verified" name="address_verified" value="0" autocomplete="off">';
                customLocationHtml += '<div class="row">';
                customLocationHtml += '<div class="col-md-6">';
                customLocationHtml += '<div class="form-group">';
                customLocationHtml += '<label>Address<span>*</span></label>';
                customLocationHtml += '{!! Form::text('address', old('address'), array('class' => 'form-control geocoding-address-1', 'placeholder' => '', 'id' => 'address','required' => 'required')) !!}';
                customLocationHtml += '</div>';
                customLocationHtml += '</div>';
                customLocationHtml += '<div class="col-md-6">';
                customLocationHtml += '<div class="form-group">';
                customLocationHtml += '<label>Address 2</label>';
                customLocationHtml += '{!! Form::text('address_2', old('address_2'), array('class' => 'form-control geocoding-address-2', 'placeholder' => '', 'id' => 'address_2')) !!}';
                customLocationHtml += '</div>';
                customLocationHtml += '</div>';
                customLocationHtml += '</div>';
                customLocationHtml += '<div class="row">';
                customLocationHtml += '<div class="col-md-6">';
                customLocationHtml += '<div class="form-group">';
                customLocationHtml += '<label>City</label>';
                customLocationHtml += '{!! Form::text('city', old('city'), array('class' => 'form-control geocoding-city','placeholder' => '','id' => 'city')) !!}';
                customLocationHtml += '</div>';
                customLocationHtml += '</div>';
                customLocationHtml += '<div class="col-md-6">';
                customLocationHtml += '<div class="form-group">';
                customLocationHtml += '<label>State<span>*</span></label>';
                customLocationHtml += '{!! Form::text('state', old('state'), array('class' => 'form-control geocoding-state','placeholder' => '', 'id' => 'state', 'required' => 'required')) !!}';
                customLocationHtml += '</div>';
                customLocationHtml += '</div>';
                customLocationHtml += '</div>';
                customLocationHtml += '<div class="row">';
                customLocationHtml += '<div class="col-md-6">';
                customLocationHtml += '<div class="form-group">';
                customLocationHtml += '<label>Zip<span>*</span></label>';
                customLocationHtml += '{!! Form::text('zip', old('zip'), array('class' => 'form-control geocoding-zip', 'placeholder' => '', 'id' => 'zip', 'required' => 'required')) !!}';
                customLocationHtml += '</div>';
                customLocationHtml += '</div>';
                customLocationHtml += '<div class="col-md-6">';
                customLocationHtml += '<button type="button" class="btn btn-warning geocoding-btn" data-uid="{{ 'map-'.generateStrUniqueId() }}">Verify</button>';
                customLocationHtml += '<div id="timezone_abbr-errors"></div>';
                customLocationHtml += '</div>';
                customLocationHtml += '</div>';
                customLocationHtml += '</div>';

                $("#editAttachTrailerModal #divDropLocation").html(customLocationHtml);
            });

            $(document).on('click', '#defaultLocation', function () {
                let defaultLocationHtml = '';

                defaultLocationHtml += '<div class="col-md-12 text-right mt-1">';
                defaultLocationHtml += '<div class="form-group mb-0">';
                defaultLocationHtml += '<a href="javascript:void(0);" class="custom-top-label text-decoration-underline" id="customLocation">Custom</a>';
                defaultLocationHtml += '</div>';
                defaultLocationHtml += '</div>';
                defaultLocationHtml += '<div class="col-md-12">';
                defaultLocationHtml += '<div class="form-group">';
                defaultLocationHtml += '<label for="drop-location" class="mb-1">Drop Location<span>*</span></label>';
                defaultLocationHtml += '{!! Form::select('drop_location', ['' => 'Select Drop Location'] + getCompanyDropLocations(), null, ['class' => 'form-control select2', 'id' => 'drop-location', 'data-parsley-errors-container' => '#drop_location-errors','required' => 'required']) !!}';
                defaultLocationHtml += '<div id="drop_location-errors"></div>';
                defaultLocationHtml += '</div>';
                defaultLocationHtml += '</div>';

                $("#editAttachTrailerModal #divDropLocation").html(defaultLocationHtml);
                $("#editAttachTrailerModal #drop-location").select2({ width: '100%' });
            });

            $(document).on('click', '#assignDriver', function () {
                $("#assignDriverLabel").text('Assign Driver');
                $("#assignDriverButton").text('Assign Driver');
                $("#assignDriverModal").modal('show');
            });

            $(document).on('click', '#assignCoDriver', function () {
                $("#assignDriverLabel").text('Assign Co-Driver');
                $("#assignDriverButton").text('Assign Co-Driver');
                $("#assignDriverModal").modal('show');
            });

            {{--
            $(document).on('click', '#dropBtn', function (e) {
                e.preventDefault();

                $('#editAttachTrailerModal').modal('hide');

                if($("#new-trailer").val() != ""){
                    $.ajax({
                        url: "{{ route('company.admin.truck.get.trailer.warnings') }}",
                        method: 'POST',
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        data: { trailer_id: $("#new-trailer").val() },
                        dataType: 'json',
                        success: function (response) {
                            if(response.warningView != ""){
                                $('#attachTrailerWarningModal #warningTrailerNumber').text($("#new-trailer").val());
                                $('#attachTrailerWarningModal .modal-body').html(response.warningView);
                                $('#attachTrailerWarningModal').modal('show');
                            }else{
                                $('#editAttachTrailerModal').submit();
                            }
                        }
                    });
                }
            });

            $(document).on('click', '.submit-new-Trailer', function (e) {
                $('.drop-attach-trailer-store').submit();
            });
            --}}
            /********************* Truck Profile - END *********************/

            /********************* Account Tabs - START *********************/
            var start               = moment().subtract(29, 'days');
            var end                 = moment();
            var upcomingStart       = moment();
            var upcomingEnd         = moment().add(31, 'days');
            var truck_id            = '{{ $truck->id }}';
            var truck_number        = '{{ $truck->unit }}';

            function loadEvents(start, end) {
                $('#upcomingEvents span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'));

                var start_date      = start.format('MM/DD/YYYY');
                var end_date        = end.format('MM/DD/YYYY');
                getUpcomingEvents(truck_id, start_date, end_date);
            }

            function getUpcomingEvents(truck_id, start_date, end_date) {
                $(".eventList").html('<div class="loadingdiv"><img src="{{ asset('theme/img/loading.gif') }}" /></div>');

                $.ajax({
                    url: "{{ route('company.admin.truck.account.tab.upcoming.events') }}",
                    method: 'POST',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    data: { truck_id: truck_id, start_date: start_date, end_date: end_date },
                    dataType: 'json',
                    success: function (response) {
                        if(response.eventList != ""){
                            $('.eventList').html(response.eventList);
                        }else{
                            $('.eventList').html('<div class="col-12 text-center overflow-hidden"><h6>No Upcoming</h6></div>');
                        }

                    }
                });
            }

            $('#upcomingEvents').daterangepicker({
                startDate: start,
                endDate: end,
                minDate: new Date(),
                ranges: {
                    'Today': [moment(), moment()],
                    'Tomorrow': [moment().add(1, 'days'), moment().add(1, 'days')],
                    'Next 7 Days': [moment(), moment().add(6, 'days')],
                    'Next 30 Days': [moment(), moment().add(29, 'days')],
                    'This Month': [moment(), moment().endOf('month')],
                    'Next Month': [moment().add(1, 'month').startOf('month'), moment().add(1, 'month').endOf('month')],
                    'This Year': [moment(), moment().endOf('year')],
                    'Next Year': [moment().add(1, 'year').startOf('year'), moment().add(1, 'year').endOf('year')]
                }
            }, loadEvents);

            loadEvents(upcomingStart, upcomingEnd);
            /********************* Account Tabs - END *********************/

            /********************* Loads - START *********************/
            table                   = $('.new-load-data-table').DataTable({
                stateSave: true,
                bSortCellsTop: true,
                language: {
                    search: "",
                    searchPlaceholder: "Search...",
                },
                dom: "<'row cusotdiv'<'col-sm-2 col-md-2'f><''l>><'row px-0'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
                processing: true,
                serverSide: true,
                bJQueryUI: true,
                ordering: false,
                pageLength: "{{ perPageView() }}",
                lengthMenu: [[10, 20, 50, 100, -1], [10, 20, 50, 100, "All"]],
                ajax: {
                    url: "{{ url('company-admin/trucks/'.$truck->unit.'/loads') }}",
                    type:'POST',
                    dataType: "json",
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    data: function (d) {
                        d.start_date                                    = ($('#reportRange span').attr('data-from-date') != "") ? $('#reportRange span').attr('data-from-date') : start.format('YYYY-MM-D');
                        d.end_date                                      = ($('#reportRange span').attr('data-to-date') != "") ? $('#reportRange span').attr('data-to-date') : end.format('YYYY-MM-D');
                        <?php foreach($getField as $key => $filed): ?>
                            d.search_string_value_{{$key}}              = $('#search_string_{{$key}}').val();
                            d.search_string_name_{{$key}}               = $('#stringKey{{$key}}').val();
                            d.search_string_type_{{$key}}               = $('#stringType{{$key}}').val();
                            d.search_table_name_{{$key}}                = $('#stringTableType{{$key}}').val();
                            d.search_string_condition_{{$key}}          = $("input[type='radio'][name='condition{{$key}}']:checked").val();
                            d.search_string_sort_{{$key}}               = $("input[type='radio'][name='string_sort_{{$key}}']:checked").val();
                            d.search_string_relation_table_{{$key}}     = $('#stringRelationTable{{$key}}').val();
                            d.search_string_col_name1_{{$key}}          = $('#stringColName1{{$key}}').val();
                            d.search_string_col_name2_{{$key}}          = $('#stringColName2{{$key}}').val();
                            d.search_string_static_{{$key}}             = $('#stringStatic{{$key}}').val();
                            d.search_string_having_{{$key}}             = $('#stringHaving{{$key}}').val();
                            d.search_string_col_alias1_name_{{$key}}    = $('#stringColAl1{{$key}}').val();
                            d.search_string_col_alias2_name_{{$key}}    = $('#stringColAl2{{$key}}').val();
                            d.search_string_col_alias3_name_{{$key}}    = $('#stringColAl3{{$key}}').val();
                            d.search_string_col_alias4_name_{{$key}}    = $('#stringColAl4{{$key}}').val();
                            d.search_string_col_alias5_name_{{$key}}    = $('#stringColAl5{{$key}}').val();
                            d.search_string_col_alias6_name_{{$key}}    = $('#stringColAl6{{$key}}').val();
                            <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                                d.search_status_value_{{$key}}_{{$ke}}  = $("#conditionstatus_{{$key}}_{{$ke}}:checked").val();
                            <?php endforeach; ?>
                            d.search_status_condition_{{$key}}          = $('#is_status_condition_applied{{$key}}').val();
                            d.search_status_name_{{$key}}               = $('#statusOrgColName{{$key}}').val();
                            d.search_status_table_name_{{$key}}         = $('#statusTableType{{$key}}').val();
                            d.search_status_sort_{{$key}}               = $("input[type='radio'][name='status_sort_{{$key}}']:checked").val();
                            d.search_status_sort_column_{{$key}}        = $("#statusOrderColName{{$key}}").val();
                        <?php endforeach; ?>
                    }
                },
                columns: [
                    <?php foreach($getField as $key => $filed): ?>
                        <?php if($filed == 1): ?>
                            <?php if(isset(config('settings.table_truck_view_loads')[$key]['name'])): ?>
                                <?php if(config("settings.table_truck_view_loads")[$key]["orderable"] == 1 && config("settings.table_truck_view_loads")[$key]["searchable"] == 1): ?>
                                    { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true, className: '{{ config("settings.table_truck_view_loads")[$key]["class"] }}' },
                                <?php elseif(config("settings.table_truck_view_loads")[$key]["orderable"] == 1): ?>
                                    { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false, className: '{{ config("settings.table_truck_view_loads")[$key]["class"] }}' },
                                <?php elseif(config("settings.table_truck_view_loads")[$key]["searchable"] == 1): ?>
                                    { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true, className: '{{ config("settings.table_truck_view_loads")[$key]["class"] }}' },
                                <?php else: ?>
                                    { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false, className: '{{ config("settings.table_truck_view_loads")[$key]["class"] }}' },
                                <?php endif; ?>
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endforeach; ?>
                ]
            });

            $("#sortable").sortable();

            $('<a href="javascript:void(0);" class="btn btn-blueBr ml-3 refreshAll d-inline-flex align-content-center"><i class="fa fa-refresh mt-2"></i>&nbsp;&nbsp;<span class="mt-1">Refresh</span></a>').prependTo("#tabLoads .dataTables_filter");
            $('<a href="javascript:void(0)" id="clearAll{{str_replace("settings.","",$tableName)}}" class="clearAll filter_{{str_replace("settings.","",$tableName)}} d-none btn btn-orange ml-3 {{str_replace("settings.","",$tableName)}}">Clear filters</a>').prependTo("#tabLoads .dataTables_filter");
            $('<button type="button" class="btn btn-blueBr ml-3" data-toggle="modal" data-target="#exampleModal">Columns</button>').appendTo("#tabLoads .cusotdiv");

            // $(document).on('click', '.filterString, .filterStatus, .clearAll, .refreshAll, .chkclear', function () {
            //     table.draw();
            // });

            function loadReport(start, end) {
                $('#reportRange span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'));
                $('#reportRange span').attr('data-from-date', start.format('YYYY-MM-D'));
                $('#reportRange span').attr('data-to-date', end.format('YYYY-MM-D'));

                var start_date = start.format('MM/DD/YYYY');
                var end_date = end.format('MM/DD/YYYY');

                loadCompareReport(truck_id, start_date, end_date);
            }

            function loadCompareReport(truck_id, start_date, end_date) {
                $("#report-active-load,#report-ready-to-bill,#report-delivered,#report-complete,#report-on-hold,#report-cancelled,#report-all-loads,#report-cargo-claims").html('<div class="loadingdiv"><img src="{{ asset('theme/img/loading.gif') }}" /></div>');

                $.ajax({
                    url: "{{ route('company.admin.truck.loads.tab.reports') }}",
                    method: 'POST',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    data: {
                        truck_id: truck_id,
                        start_date: start_date,
                        end_date: end_date,
                        compare: ($("#check-compare").is(':checked')) ? $("#compare-period").val() : ''
                    },
                    dataType: 'json',
                    success: function (response) {
                        $('#report-active-load').text(response.reportActiveLoad);
                        $('#compare-active-load').html(response.compareActiveLoad);
                        $('#report-ready-to-bill').text(response.reportReadyToBill);
                        $('#compare-ready-to-bill').html(response.compareReadyToBill);
                        $('#report-delivered').text(response.reportDelivered);
                        $('#compare-delivered').html(response.compareDelivered);
                        $('#report-complete').text(response.reportComplete);
                        $('#compare-complete').html(response.compareComplete);
                        $('#report-on-hold').text(response.reportOnHold);
                        $('#compare-on-hold').html(response.compareOnHold);
                        $('#report-cancelled').text(response.reportCancelled);
                        $('#compare-cancelled').html(response.compareCancelled);
                        $('#report-all-loads').text(response.reportAllLoads);
                        $('#compare-all-loads').html(response.compareAllLoads);
                        $('#report-cargo-claims').text(response.reportCargoClaims);
                        $('#compare-cargo-claims').html(response.compareCargoClaims);
                    }
                });
            }

            $('#reportRange').daterangepicker({
                startDate: start,
                endDate: end,
                ranges: {
                    'Yesterday': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                    'Last Week': [moment().subtract(1, 'weeks').startOf('week'), moment().subtract(1, 'weeks').endOf('week')],
                    'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                    'This Week': [moment().startOf('week'), moment()],
                    'This Month': [moment().startOf('month'), moment().endOf('month')],
                    'This Year': [moment().startOf('year'), moment().endOf('year')],
                    'Last Month': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')],
                    'Last Year': [moment().subtract(1, 'year').startOf('year'), moment().subtract(1, 'year').endOf('year')]
                }
            }, loadReport);

            loadReport(start, end);

            $('#reportRange').on('apply.daterangepicker', function() {
                table.draw();
            });

            $(document).on('change', '#check-compare', function() {
                loadReport(moment($('#reportRange span').attr('data-from-date')), moment($('#reportRange span').attr('data-to-date')));
            });

            $(document).on('change', '#compare-period', function() {
                if($('#check-compare').is(':checked')){
                    loadReport(moment($('#reportRange span').attr('data-from-date')), moment($('#reportRange span').attr('data-to-date')));
                }
            });
            /********************* Loads - END *********************/

            /*********************  Maintenance & Repairs - START *********************/
            function truckMaintenanceReport(start, end) {
                $('#truckMaintenanceReportRange span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'));

                var start_date      = start.format('MM/DD/YYYY');
                var end_date        = end.format('MM/DD/YYYY');

                //getTruckMaintenanceReport(truck_id, truck_number, start_date, end_date);
            }

            function getTruckMaintenanceReport(truck_id, truck_number, start_date, end_date) {

            }

            $('#truckMaintenanceReportRange').daterangepicker({
                startDate: start,
                endDate: end,
                ranges: {
                    'Yesterday': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                    'Last Week': [moment().subtract(1, 'weeks').startOf('week'), moment().subtract(1, 'weeks').endOf('week')],
                    'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                    'This Week': [moment().startOf('week'), moment()],
                    'This Month': [moment().startOf('month'), moment().endOf('month')],
                    'This Year': [moment().startOf('year'), moment().endOf('year')],
                    'Last Month': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')],
                    'Last Year': [moment().subtract(1, 'year').startOf('year'), moment().subtract(1, 'year').endOf('year')]
                }
            }, truckMaintenanceReport);

            truckMaintenanceReport(start, end);
            /*********************  Maintenance & Repairs - END *********************/

            /********************* Truck Information - START *********************/
            function truckReport(start, end) {
                $('#truckReportRange span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'));

                var start_date      = start.format('MM/DD/YYYY');
                var end_date        = end.format('MM/DD/YYYY');

                getTruckReport(truck_id, truck_number, start_date, end_date);
            }

            function getTruckReport(truck_id, truck_number, start_date, end_date) {
                $("#report-loads,#report-miles-per-gallon,#report-average-fuel-discount,#report-average-fuel-cost,#report-total-miles,#report-total-revenue,#report-total-cpm").html('<div class="loadingdiv"><img src="{{ asset('theme/img/loading.gif') }}" /></div>');

                $.ajax({
                    url: "{{ route('company.admin.truck.info.tab.reports') }}",
                    method: 'POST',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    data: {
                        truck_id: truck_id,
                        start_date: start_date,
                        end_date: end_date
                    },
                    dataType: 'json',
                    success: function (response) {
                        $('#report-loads').html(response.loads);
                        $('#report-miles-per-gallon').html(response.milesPerGallon);
                        $('#report-average-fuel-discount').html(response.averageFuelDiscount);
                        $('#report-average-fuel-cost').html(response.averageFuelCost);
                        $('#report-total-miles').html(response.totalMiles);
                        $('#report-total-revenue').html(response.totalRevenue);
                        $('#report-total-cpm').html(response.totalCpm);
                    }
                });
            }

            $('#truckReportRange').daterangepicker({
                startDate: start,
                endDate: end,
                ranges: {
                    'Yesterday': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                    'Last Week': [moment().subtract(1, 'weeks').startOf('week'), moment().subtract(1, 'weeks').endOf('week')],
                    'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                    'This Week': [moment().startOf('week'), moment()],
                    'This Month': [moment().startOf('month'), moment().endOf('month')],
                    'This Year': [moment().startOf('year'), moment().endOf('year')],
                    'Last Month': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')],
                    'Last Year': [moment().subtract(1, 'year').startOf('year'), moment().subtract(1, 'year').endOf('year')]
                }
            }, truckReport);

            truckReport(start, end);

            //Diagnostics Widgets
            $('#diagnosticsSortable').sortable({
                items: '.widgets-item:not(.fixed)',
                axis: "y",
                cursor: 'move',
                placeholder: "movable-placeholder", //placeholder: "ui-state-highlight",
                opacity: 0.7,
                revert: 300,
                delay: 150,
                disableSelection: true,
                start: function(e, ui) {
                    ui.placeholder.height(ui.helper.outerHeight());
                },
                stop: function(e, ui) {},
                update:function(e, ui) {
                    reArrangeIndexNo();
                }
            });

            $(document).on("click", ".btn-filter, .btn-cancel", function (){
                $(this).parent().parent().parent().find('a').trigger('click');
            });

            $(document).on("click", "#btnRefresh", function (){
                $(".updateDiagnosticFilter").click();
            });

            $(document).on("click", ".updateDiagnosticFilter", function (){
                let dataArr = []; let chkChecked = 0;
                var truck_id = '{{ $truck->id }}';

                $('#diagnosticsSortable .widgets-item').each(function (key, val){
                    let that = $(this);
                    let diagnosticId = that.attr('data-diagnostic-id');
                    let displayNo = that.attr('data-index');
                    let isActive = that.find('.form-check-input').is(':checked');
                    if(isActive){
                        chkChecked++;
                    }
                    dataArr.push({'diagnosticId': diagnosticId, 'displayNo': displayNo, 'isActive': (isActive) ? '1' : '0' });
                });

                $.ajax({
                    type: 'POST',
                    url: '{!! route("company.admin.truck.diagnostics.data") !!}',
                    data: {
                        truck_id: truck_id,
                        dataArr: JSON.stringify(dataArr)
                    },
                    beforeSend: function() {
                        loader();
                    },
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                }).done(function(response) {
                    if(response.success){
                        $("#truckDiagnosticDiv").html("").html(response.updatedContent);
                        toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                    }else{
                        toastr.error(response.message, {
                            timeOut: 5000
                        });
                    }

                    Swal.close();
                });
            });
            /********************* Truck Information - END *********************/

            /********************* Safety & Compliance - START *********************/
            @if(isset($truck->driver) && $truck->driver != "")
                var previousUnitype;

                function storeHOSViolationFormAjax() {
                    $(".storeHOSViolationForm").ajaxForm({
                        complete: function (response) {
                            if (response.responseJSON.success) {
                                window.location.href = window.location.href;
                            } else {
                                $('.error').text('');
                                $.each(response.responseJSON.errors, function (key, value) {
                                    var key = key.replace(/\./g, '_');
                                    $.each(value, function (skey, svalue) {
                                        $('.' + key + '_error').text(svalue);
                                    });
                                });
                                toastr.error('Please check the form below for errors', 'Error Alert', {timeOut: 5000})
                            }
                        },
                    });
                }
                $(document).on("click", ".create-hos-violations-btn", function () {
                    var token = $('meta[name="csrf-token"]').attr('content');
                    var driver_id = '{{ $truck->driver ?? '' }}';
                    $.ajax({
                        url: "/company-admin/hos-violation/create/form/view",
                        method: "POST",
                        data: {_token: token, driver_id: driver_id},
                        success: function (response) {
                            $('.blank-modal-body').find('.append-form').html('');
                            $('#createHOSViolationsModal').find('.append-form').html(response.view);

                            $('.date').datetimepicker({
                                format: 'MM/DD/YYYY',
                                useCurrent: false,
                            });

                            $('.cutomtime').datetimepicker({
                                format: timeLayout,
                                useCurrent: true,
                            });

                            $('.select2').select2({
                                dropdownParent: $('.storeHOSViolationForm')
                            });

                            imagePreview();
                            storeHOSViolationFormAjax();
                            AddMoreHOS();

                            $('.unit1').change();
                            $('.unit2').change();
                        }
                    });
                });

                $(document).on("click",".create-non-violations-btn",function() {
                    var token           = $('meta[name="csrf-token"]').attr('content');
                    var driver_id       = '{{ $truck->driver ?? '' }}';
                    $.ajax({
                        url: "/company-admin/non-violation/create/form/view",
                        method: "POST",
                        data: {_token: token, driver_id: driver_id},
                        success: function (response) {
                            $('.blank-modal-body').find('.append-form').html('');
                            $('#createNonViolationsModal').find('.append-form').html(response.view);

                            $('.date').datetimepicker({
                                format: 'MM/DD/YYYY',
                                useCurrent: false,
                            });

                            $('.cutomtime').datetimepicker({
                                format: timeLayout,
                                useCurrent: true,
                            });

                            $('.select2').select2({
                                dropdownParent: $('.storeHOSViolationForm')
                            });

                            imagePreview();
                            storeHOSViolationFormAjax();
                            AddMoreHOS();

                            $('.unit1').change();
                            $('.unit2').change();
                        }
                    });
                });

                function updateHOSViolationFormAjax() {
                    $(".updateHOSViolationForm").ajaxForm({
                        complete: function (response) {
                            if (response.responseJSON.success) {
                                window.location.href = window.location.href;
                            } else {
                                $('.error').text('');
                                $.each(response.responseJSON.errors, function (key, value) {
                                    var key = key.replace(/\./g, '_');
                                    $.each(value, function (skey, svalue) {
                                        $('.' + key + '_error').text(svalue);
                                    });
                                });
                                toastr.error('Please check the form below for errors', 'Error Alert', {timeOut: 5000})
                            }
                        },
                    });
                }
                $(document).on("click", ".edit-hos-violations-btn", function () {
                    var token = $('meta[name="csrf-token"]').attr('content');
                    var id = $(this).data('id');
                    $.ajax({
                        url: "/company-admin/hos-violation/edit/form/view",
                        method: "POST",
                        data: {_token: token, id: id},
                        success: function (response) {
                            $('.blank-modal-body').find('.append-form').html('');
                            $('#editHOSViolationsModal').find('.append-form').html(response.view);

                            $('.date').datetimepicker({
                                format: 'MM/DD/YYYY',
                                useCurrent: false,
                            });

                            $('.cutomtime').datetimepicker({
                                format: timeLayout,
                                useCurrent: true,
                            });

                            $('.select2').select2({
                                dropdownParent: $('.updateHOSViolationForm')
                            });

                            imagePreview();
                            updateHOSViolationFormAjax();
                            AddMoreHOS();

                            $('.unit1').change();
                            $('.unit2').change();
                            $('.unittype:first').trigger('change');
                        }
                    });
                });

                $(document).on("click", ".edit-non-violations-btn", function () {
                    var token = $('meta[name="csrf-token"]').attr('content');
                    var id = $(this).data('id');
                    $.ajax({
                        url: "/company-admin/non-violation/edit/form/view",
                        method: "POST",
                        data: {_token: token, id: id},
                        success: function (response) {
                            $('.blank-modal-body').find('.append-form').html('');
                            $('#editNONViolationsModal').find('.append-form').html(response.view);

                            $('.date').datetimepicker({
                                format: 'MM/DD/YYYY',
                                useCurrent: false,
                            });

                            $('.cutomtime').datetimepicker({
                                format: timeLayout,
                                useCurrent: true,
                            });

                            $('.select2').select2({
                                dropdownParent: $('.updateHOSViolationForm')
                            });

                            imagePreview();
                            updateHOSViolationFormAjax();
                            AddMoreHOS();

                            $('.unit1').change();
                            $('.unit2').change();
                            $('.unittype:first').trigger('change');
                        }
                    });
                });

                $(document).on("click", ".show-hos-violations-btn", function () {
                    var token = $('meta[name="csrf-token"]').attr('content');
                    var id = $(this).data('id');
                    $.ajax({
                        url: "/company-admin/hos-violation/show/view",
                        method: "POST",
                        data: {_token: token, id: id},
                        success: function (response) {
                            $('#showHOSViolationsModal').find('.append-form').html(response.view);
                        }
                    });
                });

                $(document).on("click", ".show-non-violations-btn", function () {
                    var token = $('meta[name="csrf-token"]').attr('content');
                    var id = $(this).data('id');
                    $.ajax({
                        url: "/company-admin/non-violation/show/view",
                        method: "POST",
                        data: {_token: token, id: id},
                        success: function (response) {
                            $('#showNONViolationsModal').find('.append-form').html(response.view);
                        }
                    });
                });

                function storeCitationFormAjax() {
                    $(".storeCitationForm").ajaxForm({
                        complete: function (response) {
                            if (response.responseJSON.success) {
                                window.location.href = window.location.href;
                            } else {
                                $('.error').text('');
                                $.each(response.responseJSON.errors, function (key, value) {
                                    var key = key.replace(/\./g, '_');
                                    $.each(value, function (skey, svalue) {
                                        $('.' + key + '_error').text(svalue);
                                    });
                                });
                                toastr.error('Please check the form below for errors', 'Error Alert', {timeOut: 5000})
                            }
                        },
                    });
                }
                $(document).on("click", ".create-citation-btn", function () {
                    var token = $('meta[name="csrf-token"]').attr('content');
                    var driver_id = '{{ $truck->driver ?? '' }}';;
                    $.ajax({
                        url: "/company-admin/citation/create/form/view",
                        method: "POST",
                        data: {_token: token, driver_id: driver_id},
                        success: function (response) {
                            $('.blank-modal-body').find('.append-form').html('');
                            $('#createCitationModal').find('.append-form').html(response.view);

                            $('.date').datetimepicker({
                                format: 'MM/DD/YYYY',
                                useCurrent: false,
                            });

                            $('.select2').select2({
                                dropdownParent: $('.storeCitationForm')
                            });

                            imagePreview();
                            storeCitationFormAjax();
                        }
                    });
                });

                function updateCitationFormAjax() {
                    $(".updateCitationForm").ajaxForm({
                        complete: function (response) {
                            if (response.responseJSON.success) {
                                window.location.href = window.location.href;
                            } else {
                                $('.error').text('');
                                $.each(response.responseJSON.errors, function (key, value) {
                                    var key = key.replace(/\./g, '_');
                                    $.each(value, function (skey, svalue) {
                                        $('.' + key + '_error').text(svalue);
                                    });
                                });
                                toastr.error('Please check the form below for errors', 'Error Alert', {timeOut: 5000})
                            }
                        },
                    });
                }
                $(document).on("click", ".edit-citation-btn", function () {
                    var token = $('meta[name="csrf-token"]').attr('content');
                    var id = $(this).data('id');
                    $.ajax({
                        url: "/company-admin/citation/edit/form/view",
                        method: "POST",
                        data: {_token: token, id: id},
                        success: function (response) {
                            $('.blank-modal-body').find('.append-form').html('');
                            $('#editCitationModal').find('.append-form').html(response.view);

                            $('.date').datetimepicker({
                                format: 'MM/DD/YYYY',
                                useCurrent: false,
                            });

                            $('.select2').select2({
                                dropdownParent: $('.updateCitationForm')
                            });

                            imagePreview();
                            updateCitationFormAjax();
                        }
                    });
                });

                $(document).on("click", ".show-citation-btn", function () {
                    var token = $('meta[name="csrf-token"]').attr('content');
                    var id = $(this).data('id');
                    $.ajax({
                        url: "/company-admin/citation/show/view",
                        method: "POST",
                        data: {_token: token, id: id},
                        success: function (response) {
                            $('#showCitationModal').find('.append-form').html(response.view);
                        }
                    });
                });

                function storeAccidentFormAjax() {
                    $(".storeAccidentForm").ajaxForm({
                        complete: function (response) {
                            if (response.responseJSON.success) {
                                window.location.href = window.location.href;
                            } else {
                                $('.error').text('');
                                $.each(response.responseJSON.errors, function (key, value) {
                                    var key = key.replace(/\./g, '_');
                                    $.each(value, function (skey, svalue) {
                                        $('.' + key + '_error').text(svalue);
                                    });
                                });
                                toastr.error('Please check the form below for errors', 'Error Alert', {timeOut: 5000})
                            }
                        },
                    });
                }
                $(document).on("click", ".create-accident-btn", function () {
                    var token = $('meta[name="csrf-token"]').attr('content');
                    var driver_id = '{{ $truck->driver ?? '' }}';;
                    $.ajax({
                        url: "/company-admin/accident/create/form/view",
                        method: "POST",
                        data: {_token: token, driver_id: driver_id},
                        success: function (response) {
                            $('.blank-modal-body').find('.append-form').html('');
                            $('#createAccidentModal').find('.append-form').html(response.view);

                            $('.date').datetimepicker({
                                format: 'MM/DD/YYYY',
                                useCurrent: false,
                            });

                            $('.select2').select2({
                                dropdownParent: $('.storeAccidentForm')
                            });

                            imagePreview();
                            storeAccidentFormAjax();
                        }
                    });
                });

                function updateAccidentFormAjax() {
                    $(".updateAccidentForm").ajaxForm({
                        complete: function (response) {
                            if (response.responseJSON.success) {
                                window.location.href = window.location.href;
                            } else {
                                $('.error').text('');
                                $.each(response.responseJSON.errors, function (key, value) {
                                    var key = key.replace(/\./g, '_');
                                    $.each(value, function (skey, svalue) {
                                        $('.' + key + '_error').text(svalue);
                                    });
                                });
                                toastr.error('Please check the form below for errors', 'Error Alert', {timeOut: 5000})
                            }
                        },
                    });
                }
                $(document).on("click", ".edit-accident-btn", function () {
                    var token = $('meta[name="csrf-token"]').attr('content');
                    var id = $(this).data('id');
                    $.ajax({
                        url: "/company-admin/accident/edit/form/view",
                        method: "POST",
                        data: {_token: token, id: id},
                        success: function (response) {
                            $('.blank-modal-body').find('.append-form').html('');
                            $('#editAccidentModal').find('.append-form').html(response.view);

                            $('.date').datetimepicker({
                                format: 'MM/DD/YYYY',
                                useCurrent: false,
                            });

                            $('.select2').select2({
                                dropdownParent: $('.updateAccidentForm')
                            });

                            imagePreview();
                            updateAccidentFormAjax();
                        }
                    });
                });

                $(document).on("click", ".show-accident-btn", function () {
                    var token = $('meta[name="csrf-token"]').attr('content');
                    var id = $(this).data('id');
                    $.ajax({
                        url: "/company-admin/accident/show/view",
                        method: "POST",
                        data: {_token: token, id: id},
                        success: function (response) {
                            $('#showAccidentModal').find('.append-form').html(response.view);
                        }
                    });
                });

                $(document).on("change", ".accident-type", function () {
                    var type = $(this).val();
                    if (type == 5) {
                        $(".accident-modal").find(".other-div").css('display', 'block');
                    } else {
                        $(".accident-modal").find(".other-div").css('display', 'none');
                    }
                });

                function imagePreview() {
                    var container = $('.image-wrapper'), inputFile = $('#file'), img, btn, txt = 'Drag and drop file here or click to browse',
                        txtAfter = 'Changes file';
                    if (!container.find('#upload').length) {
                        container.find('.input').append('<span class="drop-zone__prompt text-center">Drag and drop file here or click to browse</span><input type="button" value="" id="upload">');
                        btn             = $('#upload');
                        container.prepend('<img src="" class="hidden" alt="Uploaded file" id="uploadImg" width="100">');
                        img             = $('#uploadImg');
                    } else {
                        btn             = $('#upload');
                        img             = $('#uploadImg');
                    }
                    btn.on('click', function () {
                        img.animate({opacity: 0}, 300);
                        inputFile.click();
                        img.parent().find('.input').find('.drop-zone__prompt').removeClass('d-none');
                    });
                    inputFile.on('change', function (e) {
                        container.find('label').html(inputFile.val());
                        var i           = 0;
                        for (i; i < e.originalEvent.srcElement.files.length; i++) {
                            var file    = e.originalEvent.srcElement.files[i],
                                reader  = new FileReader();
                            reader.onloadend = function () {
                                img.attr('src', reader.result).animate({opacity: 1}, 700);
                            }
                            reader.readAsDataURL(file);
                            img.removeClass('hidden');
                            img.parent().find('.input').find('.drop-zone__prompt').addClass('d-none');
                        }
                        btn.val(txtAfter);
                        if (btn.val(txtAfter)) {
                            $('#upload').addClass('changeImg');
                        }
                    });

                    var container2 = $('.image-wrapper2'), inputFile2 = $('#file2'), img2, btn2, txt2 = 'Drag and drop file here or click to browse',
                        txtAfter2 = 'Changes file';
                    if (!container2.find('#upload2').length) {
                        container2.find('.input2').append('<span class="drop-zone__prompt text-center">Drag and drop file here or click to browse</span><input type="button" value="" id="upload2">');
                        btn2            = $('#upload2');
                        container2.prepend('<img src="" class="hidden" alt="Uploaded file" id="uploadImg2" width="100">');
                        img2            = $('#uploadImg2');
                    } else {
                        btn2            = $('#upload2');
                        img2            = $('#uploadImg2');
                    }
                    btn2.on('click', function () {
                        img2.animate({opacity: 0}, 300);
                        inputFile2.click();
                        img2.parent().find('.input').find('.drop-zone__prompt').removeClass('d-none');
                    });
                    inputFile2.on('change', function (e) {
                        container2.find('label2').html(inputFile2.val());
                        var i = 0;
                        for (i; i < e.originalEvent.srcElement.files.length; i++) {
                            var file2   = e.originalEvent.srcElement.files[i],
                                reader2 = new FileReader();
                            reader2.onloadend = function () {
                                img2.attr('src', reader2.result).animate({opacity: 1}, 700);
                            }
                            reader2.readAsDataURL(file2);
                            img2.removeClass('hidden');
                            img2.parent().find('.input').find('.drop-zone__prompt').addClass('d-none');
                        }
                        btn2.val(txtAfter2);
                        if (btn2.val(txtAfter2)) {
                            $('#upload2').addClass('changeImg2');
                        }
                    });

                    var container3 = $('.image-wrapper3'), inputFile3 = $('#file3'), img3, btn3, txt3 = 'Drag and drop file here or click to browse',
                        txtAfter3 = 'Changes file';
                    if (!container3.find('#upload3').length) {
                        container3.find('.input3').append('<span class="drop-zone__prompt text-center">Drag and drop file here or click to browse</span><input type="button" value="" id="upload3">');
                        btn3            = $('#upload3');
                        container3.prepend('<img src="" class="hidden" alt="Uploaded file" id="uploadImg3" width="100">');
                        img3            = $('#uploadImg3');
                    } else {
                        btn3            = $('#upload3');
                        img3            = $('#uploadImg3');
                    }
                    btn3.on('click', function () {
                        img3.animate({opacity: 0}, 300);
                        inputFile3.click();
                        img3.parent().find('.input').find('.drop-zone__prompt').removeClass('d-none');
                    });
                    inputFile3.on('change', function (e) {
                        container3.find('label3').html(inputFile3.val());
                        var i = 0;
                        for (i; i < e.originalEvent.srcElement.files.length; i++) {
                            var file3   = e.originalEvent.srcElement.files[i],
                                reader3 = new FileReader();
                            reader3.onloadend = function () {
                                img3.attr('src', reader3.result).animate({opacity: 1}, 700);
                            }
                            reader3.readAsDataURL(file3);
                            img3.removeClass('hidden');
                            img3.parent().find('.input').find('.drop-zone__prompt').addClass('d-none');
                        }
                        btn3.val(txtAfter3);
                        if (btn3.val(txtAfter3)) {
                            $('#upload3').addClass('changeImg3');
                        }
                    });

                    var container4 = $('.image-wrapper4'), inputFile4 = $('#file4'), img4, btn4, txt4 = 'Drag and drop file here or click to browse',
                        txtAfter4 = 'Changes file';
                    if (!container4.find('#upload4').length) {
                        container4.find('.input4').append('<span class="drop-zone__prompt text-center">Drag and drop file here or click to browse</span><input type="button" value="" id="upload4">');
                        btn4            = $('#upload4');
                        container4.prepend('<img src="" class="hidden" alt="Uploaded file" id="uploadImg4" width="100">');
                        img4            = $('#uploadImg4');
                    } else {
                        btn4            = $('#upload4');
                        img4            = $('#uploadImg4');
                    }
                    btn4.on('click', function () {
                        img4.animate({opacity: 0}, 400);
                        inputFile4.click();
                        img4.parent().find('.input').find('.drop-zone__prompt').removeClass('d-none');
                    });
                    inputFile4.on('change', function (e) {
                        container4.find('label4').html(inputFile4.val());
                        var i = 0;
                        for (i; i < e.originalEvent.srcElement.files.length; i++) {
                            var file4   = e.originalEvent.srcElement.files[i],
                                reader4 = new FileReader();
                            reader4.onloadend = function () {
                                img4.attr('src', reader4.result).animate({opacity: 1}, 700);
                            }
                            reader4.readAsDataURL(file4);
                            img4.removeClass('hidden');
                            img4.parent().find('.input').find('.drop-zone__prompt').addClass('d-none');
                        }
                        btn4.val(txtAfter4);
                        if (btn4.val(txtAfter4)) {
                            $('#upload4').addClass('changeImg4');
                        }
                    });
                }

                function AddMoreHOS(){
                    $("#HosaddRow").click(function () {
                        var html = '';
                        html += '<div class="d-flex align-items-center justify-content-between" id="hosvolation">';
                        html += '<div>';
                        html += '<div class="form-group">';
                        html += '<label>Violations Unit</label>';
                        html += '<select name="unit_type[]" class="form-control unittype select2">';
                        html += '<option value="">Select Unit</option>';
                        html += '<option value="1">Driver</option>';
                        html += '<option value="2">Truck</option>';
                        html += '<option value="3">Trailer</option>';
                        html += '</select>';
                        html += '</div>';
                        html += '</div>';
                        html += '<div>';
                        html += '<div class="form-group">';
                        html += '<label>Out of Service</label>';
                        html += '<select name="oos[]" class="form-control select2">';
                        html += '<option value="">Select OOS</option>';
                        html += '<option value="1">Yes</option>';
                        html += '<option value="0">No</option>';
                        html += '</select>';
                        html += '</div>';
                        html += '</div>';
                        html += '<div class="violation_code">';
                        html += '<div class="form-group">';
                        html += '<label>Violation Code</label>';
                        html += '<select name="violation_code[]" class="form-control select2">';
                        html += '<option value="">Select Violation Code</option>';
                        html += '</select>';
                        html += '</div>';
                        html += '</div>';
                        html += '<div class="description">';
                        html += '<div class="form-group">';
                        html += '<label>Description </label>';
                        html += '<input type="text" name="description[]" value="" class="form-control" placeholder="Enter Description">';
                        html += '</div>';
                        html += '</div>';
                        html += '<div>';
                        html += '<div class="form-group">';
                        html += '<label class="d-block" style="visibility: hidden;">Action</label>';
                        html += '<a href="javascript:void(0)" class="btn btn-danger" id="HosremoveRow"><i class="fa fa-trash"></i></a>';
                        html += '</div>';
                        html += '</div>';
                        html += '</div>';

                        $('#HosnewRow').append(html);
                        $('.select2').select2({ 'width' : '100%'});
                    });
                }

                $(document).on('click', '#HosremoveRow', function () {
                    $(this).closest('#hosvolation').remove();

                    var unit_types      = [];
                    $(".unittype").each(function() {
                        var val         = $(this).val();
                        if(val){
                            unit_types.push($(this).val());
                        }
                    });
                    var unit_types      = unit_types.filter(function(itm, i, a) {
                        return i == a.indexOf(itm);
                    });
                    if (unit_types.length === 0) {
                        $('.unittypeset').addClass('d-none');
                        $('.unittruck').addClass('d-none');
                        $('.unittrailer').addClass('d-none');
                    }else{
                        var unittypeset = false;
                        var unittruck   = false;
                        var unittrailer = false;
                        if(jQuery.inArray("2", unit_types) !== -1){
                            unittypeset = true;
                            unittruck   = true;
                        }
                        if(jQuery.inArray("3", unit_types) !== -1){
                            unittypeset = true;
                            unittrailer = true;
                        }
                        if(unittypeset){
                            $('.unittypeset').removeClass('d-none');
                            if(unittruck)
                                $('.unittruck').removeClass('d-none');
                            else
                                $('.unittruck').addClass('d-none');
                            if(unittrailer)
                                $('.unittrailer').removeClass('d-none');
                            else
                                $('.unittrailer').addClass('d-none');
                        }else{
                            $('.unittypeset').addClass('d-none');
                            $('.unittruck').addClass('d-none');
                            $('.unittrailer').addClass('d-none');
                        }
                    }
                });

                $(document).on('focus', '.unittype', function () {
                    // Store the current value on focus and on change
                    previousUnitype = this.value;
                });

                $(document).on('change', '.unittype', function () {
                    // Do something with the previous value after the change
                    if($.inArray(this.value, ['2','3']) !== -1){
                        if(this.value=='2'){
                            if($('select[name="unit1"] option:selected').val()==''){
                                Swal.fire({
                                    icon: 'error',
                                    text: 'Please Select Unit 1(Truck)',
                                });
                                $(this).val(previousUnitype); //set back
                                return; //abort!
                            }
                        }
                        if(this.value=='3'){
                            if($('select[name="unit2"] option:selected').val()==''){
                                Swal.fire({
                                    icon: 'error',
                                    text: 'Please Select Unit 2(Trailer)',
                                });
                                $(this).val(previousUnitype); //set back
                                return; //abort!
                            }
                        }
                    }
                    //console.log(previousUnitype);
                    // Make sure the previous value is updated
                    previousUnitype     = this.value;
                    //console.log(previousUnitype);

                    var value           = this.value;

                    var unit_types      = [];
                    $(".unittype").each(function() {
                        var val         = $(this).val();
                        if(val){
                            unit_types.push($(this).val());
                        }
                    });
                    var unit_types      = unit_types.filter(function(itm, i, a) {
                        return i == a.indexOf(itm);
                    });
                    if (unit_types.length === 0) {
                        $('.unittypeset').addClass('d-none');
                        $('.unittruck').addClass('d-none');
                        $('.unittrailer').addClass('d-none');
                    }else{
                        var unittypeset = false;
                        var unittruck   = false;
                        var unittrailer = false;
                        if(jQuery.inArray("2", unit_types) !== -1){
                            unittypeset = true;
                            unittruck   = true;
                        }
                        if(jQuery.inArray("3", unit_types) !== -1){
                            unittypeset = true;
                            unittrailer = true;
                        }
                        if(unittypeset){
                            $('.unittypeset').removeClass('d-none');
                            if(unittruck)
                                $('.unittruck').removeClass('d-none');
                            else
                                $('.unittruck').addClass('d-none');
                            if(unittrailer)
                                $('.unittrailer').removeClass('d-none');
                            else
                                $('.unittrailer').addClass('d-none');
                        }else{
                            $('.unittypeset').addClass('d-none');
                            $('.unittruck').addClass('d-none');
                            $('.unittrailer').addClass('d-none');
                        }
                    }

                    if(value == '1'){
                        if ($(this).closest('#hosvolation').find('.violation_code select').hasClass("select2-hidden-accessible")){
                            $(this).closest('#hosvolation').find('.violation_code select').select2("destroy");
                        }
                        $(this).closest('#hosvolation').find('.violation_code select').remove();
                        $(this).closest('#hosvolation').find('.violation_code span').remove();
                        $(".hosvolationdata.firsttime").clone().appendTo($(this).closest('#hosvolation').find('.violation_code .form-group'));
                        $(this).closest('#hosvolation').find('.violation_code select').removeClass('firsttime');

                        $(this).closest('#hosvolation').find('.make').hide(300);
                        $(this).closest('#hosvolation').find('.year').hide(300);
                        $(this).closest('#hosvolation').find('.vin').hide(300);

                        $(this).closest('#hosvolation').find('.make input').prop('required',false);
                        $(this).closest('#hosvolation').find('.year input').prop('required',false);
                        $(this).closest('#hosvolation').find('.vin input').prop('required',false);
                    }

                    if(value == '2' || value == '3'){
                        if ($(this).closest('#hosvolation').find('.violation_code select').hasClass("select2-hidden-accessible")){
                            $(this).closest('#hosvolation').find('.violation_code select').select2("destroy");
                        }
                        $(this).closest('#hosvolation').find('.violation_code select').remove();
                        $(this).closest('#hosvolation').find('.violation_code span').remove();
                        $(".hoscitationsdata.firsttime").clone().appendTo($(this).closest('#hosvolation').find('.violation_code .form-group'));
                        $(this).closest('#hosvolation').find('.violation_code select').removeClass('firsttime');

                        $(this).closest('#hosvolation').find('.make').show(300);
                        $(this).closest('#hosvolation').find('.year').show(300);
                        $(this).closest('#hosvolation').find('.vin').show(300);

                        $(this).closest('#hosvolation').find('.make input').prop('required',true);
                        $(this).closest('#hosvolation').find('.year input').prop('required',true);
                        $(this).closest('#hosvolation').find('.vin input').prop('required',true);

                        if(value == '2'){
                            var truck_make      = $('.noneusedata input[name="truck_make"]').val();
                            var truck_year      = $('.noneusedata input[name="truck_year"]').val();
                            var truck_vin       = $('.noneusedata input[name="truck_vin"]').val();

                            $(this).closest('#hosvolation').find('.make input').val(truck_make);
                            $(this).closest('#hosvolation').find('.year input').val(truck_year);
                            $(this).closest('#hosvolation').find('.vin input').val(truck_vin);
                        }

                        if(value == '3'){
                            var trailer_make    = $('.noneusedata input[name="trailer_make"]').val();
                            var trailer_year    = $('.noneusedata input[name="trailer_year"]').val();
                            var trailer_vin     = $('.noneusedata input[name="truck_vin"]').val();

                            $(this).closest('#hosvolation').find('.make input').val(trailer_make);
                            $(this).closest('#hosvolation').find('.year input').val(trailer_year);
                            $(this).closest('#hosvolation').find('.vin input').val(trailer_vin);
                        }
                    }

                    setTimeout( function(){
                        if($('#editHOSViolationsModal').hasClass('show') || $('#editNONViolationsModal').hasClass('show')){
                            $('.select2').select2({
                                dropdownParent: $('.updateHOSViolationForm')
                            });
                        }else{
                            $('.select2').select2({
                                dropdownParent: $('.storeHOSViolationForm')
                            });
                        }
                    }, 500);
                });

                $(document).on('change', '.unit1', function () {
                    var truck_id        = this.value;
                    if(truck_id){
                        var token       = $('meta[name="csrf-token"]').attr('content');
                        $.ajax({
                            url: "{{route('company.admin.truck.get.details')}}",
                            method: "POST",
                            data: { _token : token , truck_id : truck_id},
                            success: function(response) {
                                $('.noneusedata input[name="truck_make"]').val(response.make);
                                $('.noneusedata input[name="truck_year"]').val(response.year);
                                $('.noneusedata input[name="truck_vin"]').val(response.vin_number);

                                $('.unittruck .make').text(response.make);
                                $('.unittruck .year').text(response.year);
                                $('.unittruck .vin').text(response.vin_number);
                            }
                        });
                    }else{
                        $('.noneusedata input[name="truck_make"]').val('');
                        $('.noneusedata input[name="truck_year"]').val('');
                        $('.noneusedata input[name="truck_vin"]').val('');

                        $('.unittruck .make').text('');
                        $('.unittruck .year').text('');
                        $('.unittruck .vin').text('');
                    }
                });

                $(document).on('change', '.unit2', function () {
                    var trailer_id      = this.value;
                    if(trailer_id){
                        var token       = $('meta[name="csrf-token"]').attr('content');
                        $.ajax({
                            url: "{{route('company.admin.trailer.get.details')}}",
                            method: "POST",
                            data: { _token : token , trailer_id : trailer_id},
                            success: function(response) {
                                $('.noneusedata input[name="trailer_make"]').val(response.make);
                                $('.noneusedata input[name="trailer_year"]').val(response.year);
                                $('.noneusedata input[name="trailer_vin"]').val(response.vin);

                                $('.unittrailer .make').text(response.make);
                                $('.unittrailer .year').text(response.year);
                                $('.unittrailer .vin').text(response.vin);
                            }
                        });
                    }else{
                        $('.noneusedata input[name="trailer_make"]').val('');
                        $('.noneusedata input[name="trailer_year"]').val('');
                        $('.noneusedata input[name="trailer_vin"]').val('');

                        $('.unittrailer .make').text('');
                        $('.unittrailer .year').text('');
                        $('.unittrailer .vin').text('');
                    }
                });

                $(document).on('change', '.hosvolationdata', function () {
                    var title = $(this).find(":selected").data("title");
                    $(this).closest('#hosvolation').find('.description input').val(title);
                });

                $(document).on('change', '.hoscitationsdata', function () {
                    var title = $(this).find(":selected").data("title");
                    $(this).closest('#hosvolation').find('.description input').val(title);
                });
            @endif
            /********************* Safety & Compliance - END *********************/

            /********************* Gallery - START *********************/
            getGallaryGridView();

            $(document).on('click', '.galleryDelete', function () {
                var token = $('meta[name="csrf-token"]').attr('content');
                var id = $(this).data('id');
                var action = $(this).data('action');

                if(id){
                    Swal.fire({
                        title: "Are you sure?",
                        text: "You won't be able to revert this!",
                        icon: "warning",
                        showCancelButton: true,
                        confirmButtonColor: "#3085d6",
                        cancelButtonColor: "#d33",
                        confirmButtonText: "Yes, delete it!",
                    }).then((result) => {
                        if (result.value) {
                            $.ajax({
                                url: action,
                                method: "delete",
                                data: { _token : token, id : id},
                                success: function(response) {
                                    getGallaryGridView();
                                }
                            });
                        }
                    });
                }else {
                    Swal.fire({
                        title: "Error!",
                        text: "Something went wrong!",
                        icon: "error",
                    })
                }
            });

            $(document).on('click', '#galleryModal .green-btn', function () {
                $('#galleryModal').modal('hide');
            });
            /********************* Gallery - END *********************/
        });
    </script>
@endsection

@push('after-scripts')
    <script src="{{ asset('theme/js/trimble.js') }}"></script>
@endpush
