@extends($companyAdminTheme)

@section('title')
	View Load
@endsection

@section('style')
	<link rel="stylesheet" href="{{ asset('theme/css/select2.min.css') }}">
	<link rel="stylesheet" href="{{ asset('theme/css/slick.css') }}">
	<style type="text/css">
		.select2-container {
		    width: 100% !important;
		}
		.select2-container .select2-selection--single {
		    height: 40px;
		}
		.select2-container--default .select2-selection--single, .select2-container--default .select2-selection--multiple {
			border: 1px solid #D8D8DD !important;
			border-radius: 10px !important;
		    color: #000000 !important;
		    overflow: hidden !important;
		    min-height: 40px;
		    height: auto !important;
		}
		.select2-container--default .select2-selection--single .select2-selection__rendered {
		    line-height: 40px;
		    font-size: 14px;
		}
		.select2-container--default .select2-selection--single .select2-selection__arrow {
		    height: 40px;
		    margin-right: 5px;
		    background-image: url("{{ asset('theme/images/select-dropdown.svg') }}");
		    background-size: auto;
		    background-position: center right 5px;
		    background-repeat: no-repeat;
		}
		.select2-container--default .select2-selection--single .select2-selection__arrow b {
		    border-color: #000 transparent transparent transparent;
		    display: none;
		}
	</style>
	<style type="text/css">
		.view-loadAssetSelect2 .select2-container--default .select2-selection--single {
		  	border-radius: 0 !important;
		  	background: #305f9c;
		  	color: #fff !important;
		}
		.view-loadAssetSelect2 .select2-container .select2-selection--single .select2-selection__rendered {
		  	padding: 0 19px;
		  	color: #fff;
		}
		.view-loadAssetSelect2 .select2-container--default .select2-selection--single .select2-selection__arrow {
		  	filter: brightness(0) invert(1);
		}
	</style>
	<style type="text/css">
	    #detentionRequestModal .detail-block {
	        border-bottom: 1px solid #eff4fa;
	        margin: 0 -20PX 10px;
	        padding: 0 20px 5px;
	    }
	    #detentionRequestModal .footer-block .logs {
	        color: #ABB4C6 !important;
	    }
	    #detentionRequestModal .footer-block {
	        margin: 20px -20px -20px;
	    }
	    #detentionRequestModal .modal-body label > span {
	        color: rgb(33, 37, 41);
	    }
	    #detentionRequestModal .border-right {
	    	border-right: 1px solid #CCC;
	    }
	    .flex-all {
	        display: flex;
	        flex-wrap: wrap;
	        align-items: center;
	        justify-content: center;
	    }
	    .html-duration-picker-input-controls-wrapper .html-duration-picker {
	        text-align:left !important;
	    }
	    .invalid-feedback {
	        display: block;
	    }
	</style>
	<style type="text/css">
		.view-map{
			position: relative;
		}
		#load-view-map {
			position: absolute;
		    top: 0;
		    bottom: 0;
		    width: 100%;
		    height: 100%;
		}
		.overlay {
			position: absolute;
			top: 10px;
			left: 10px;
		}
		.overlay a {
			font: 600 12px/20px 'Helvetica Neue', Arial, Helvetica, sans-serif;
			background-color: #3386C0;
			color: #fff;
			display: inline-block;
			margin: 0;
			padding: 10px 20px;
			border: none;
			cursor: pointer;
			border-radius: 3px;
		}
		.overlay a:hover {
		  	background-color: #4EA0DA;
		}
	</style>
@endsection

@section('content')
	@php
		$load_type  				= $loadDetail->load_type ?? '0';
		$load_occupied          	= false;
		// 1 = MAINTENANCE, 2 = UNAUTHORIZED, 3 = HOS, 4 = NO DISPATCH, 5 = TIME OFF
		if(in_array($load_type, ['0', '6'])){
		    // 0 = OCCUPIED, 6 = TONU
		    $load_occupied      	= true;
		}

		$load_status 				= $loadDetail->load_status ?? 2;
		$is_on_hold 				= $loadDetail->is_on_hold ?? 0;

		$load_status_txt 			= getLoadStatusList()[$load_status] ?? '';
		$li_status_class 			= 'text-success';
		$dot_status_class 			= 'bg-success';
		if($is_on_hold == '2'){
			$li_status_class 		= 'text-muted';
			$dot_status_class 		= 'bg-secondary';
		}else if($is_on_hold == '1'){
			$li_status_class 		= 'text-danger';
			$dot_status_class 		= 'bg-danger';
		}
	@endphp

	@php
	    $convert_score_update       = '';
	@endphp
	@if(isset($loadDetail->score_updated_at) && $loadDetail->score_updated_at!='')
	    @php
	        $convert_score_update   = convertTimeToUSERzone([
	            'str'       		=> $loadDetail->score_updated_at,
	            'toFormat'  		=> getTimeLayout(),
	            'fromFormat'		=> 'Y-m-d H:i:s']
	        ).' '.$getTimeZoneId;
	    @endphp
	@endif

	@php
		$carrier_name 				= '';
		if(isset($loadDetail->carrier)){
			$carrier_name 		 	.= $loadDetail->carrier->name;
			if(isset($loadDetail->carrier->mc_number) && $loadDetail->carrier->mc_number!=''){
				$carrier_name 		.= ' ('.$loadDetail->carrier->mc_number.')';
			}
		}
	@endphp

	<!-- // Stop Notes -->
	@php
		$stop_notes 				= [];
		$stop_notes[] 				= $loadDetail->shipper_note ?? '';
		if(isset($load->load_stops) && $load->load_stops->isNotEmpty()){
			$stop_notes 			= array_merge($stop_notes, $load->load_stops()->pluck('stop_note')->toArray());
		}
		$stop_notes[] 				= $loadDetail->delivery_note ?? '';
	@endphp
	<!-- // Stop Notes -->

	<!-- // Accessorial -->
	@php
		$mileage_accessorial_array  = [];
		$owner_accessorial_array  	= [];
		$driver_accessorial_array   = [];
	@endphp
	@if(isset($loadDetail->shipper_accessorials) && $loadDetail->shipper_accessorials->isNotEmpty())
		@foreach ($loadDetail->shipper_accessorials as $key => $item)
			@php
				$stop_name 									= 'Stop 1';

				$mileage_accessorial_array[]				= [
					'stop_name' 							=> $stop_name,
					'company_accessorial_id' 				=> $item->company_accessorial_id,
					'company_accessorial_name' 				=> $item->company_accessorial->name,
					'charge_deduct' 						=> $item->charge_deduct,
					'qty' 									=> $item->qty,
					'rate' 									=> $item->rate,
					'total' 								=> $item->total
				];

				if($item->owner_liable == '1'){
					$item_truck_owner_id 					= '';
					if($item->owner_id!=''){
					    $item_truck_owner_id   				= $item->owner_type.'_'.$item->owner_id;
					}

					$owner_accessorial_array[]				= [
						'stop_name' 						=> $stop_name,
						'company_accessorial_id' 			=> $item->company_accessorial_id,
						'company_accessorial_name' 			=> $item->company_accessorial->name,
						'owner_type' 						=> $item->owner_type,
						'owner_id' 							=> $item->owner_id,
						'truck_owner_id' 					=> $item_truck_owner_id,
						'owner_pay_deduct' 					=> $item->owner_pay_deduct,
						'owner_qty' 						=> $item->owner_qty,
						'owner_rate' 						=> $item->owner_rate,
						'owner_total' 						=> $item->owner_total
					];
				}

				if($item->driver_liable == '1'){
					$driver_accessorial_array[]				= [
						'stop_name' 						=> $stop_name,
						'company_accessorial_id' 			=> $item->company_accessorial_id,
						'company_accessorial_name' 			=> $item->company_accessorial->name,
						'doc_required' 						=> $item->doc_required,
						'is_received' 						=> $item->is_received,
						'driver_id' 						=> $item->driver_id,
						'pay_deduct' 						=> $item->pay_deduct,
						'is_deduction' 						=> $item->is_deduction,
						'driver_qty' 						=> $item->driver_qty,
						'driver_rate' 						=> $item->driver_rate,
						'driver_total' 						=> $item->driver_total
					];
				}
			@endphp
		@endforeach
	@endif
	@php
	    $stop_no 					= 2;
	@endphp
	@if(isset($load->load_stops) && $load->load_stops->isNotEmpty())
		@foreach ($load->load_stops as $key => $stop)
			@if(isset($stop->accessorials) && $stop->accessorials->isNotEmpty())
				@foreach ($stop->accessorials as $key => $item)
					@php
						$stop_name 							= 'Stop '.$stop_no;

						$mileage_accessorial_array[]		= [
							'stop_name' 					=> $stop_name,
							'company_accessorial_id' 		=> $item->company_accessorial_id,
							'company_accessorial_name' 		=> $item->company_accessorial->name,
							'charge_deduct' 				=> $item->charge_deduct,
							'qty' 							=> $item->qty,
							'rate' 							=> $item->rate,
							'total' 						=> $item->total
						];

						if($item->owner_liable == '1'){
							$item_truck_owner_id 			= '';
							if($item->owner_id!=''){
							    $item_truck_owner_id   		= $item->owner_type.'_'.$item->owner_id;
							}

							$owner_accessorial_array[]		= [
								'stop_name' 				=> $stop_name,
								'company_accessorial_id' 	=> $item->company_accessorial_id,
								'company_accessorial_name' 	=> $item->company_accessorial->name,
								'owner_type' 				=> $item->owner_type,
								'owner_id' 					=> $item->owner_id,
								'truck_owner_id' 			=> $item_truck_owner_id,
								'owner_pay_deduct' 			=> $item->owner_pay_deduct,
								'owner_qty' 				=> $item->owner_qty,
								'owner_rate' 				=> $item->owner_rate,
								'owner_total' 				=> $item->owner_total
							];
						}

						if($item->driver_liable == '1'){
							$driver_accessorial_array[]		= [
								'stop_name' 				=> $stop_name,
								'company_accessorial_id' 	=> $item->company_accessorial_id,
								'company_accessorial_name' 	=> $item->company_accessorial->name,
								'doc_required' 				=> $item->doc_required,
								'is_received' 				=> $item->is_received,
								'driver_id' 				=> $item->driver_id,
								'pay_deduct' 				=> $item->pay_deduct,
								'is_deduction' 				=> $item->is_deduction,
								'driver_qty' 				=> $item->driver_qty,
								'driver_rate' 				=> $item->driver_rate,
								'driver_total' 				=> $item->driver_total
							];
						}
					@endphp
				@endforeach
			@endif
			@php
			    ++$stop_no;
			@endphp
		@endforeach
	@endif
	@if(isset($loadDetail->receiver_accessorials) && $loadDetail->receiver_accessorials->isNotEmpty())
		@foreach ($loadDetail->receiver_accessorials as $key => $item)
			@php
				$stop_name 									= 'Stop 99';

				$mileage_accessorial_array[]				= [
					'stop_name' 							=> $stop_name,
					'company_accessorial_id' 				=> $item->company_accessorial_id,
					'company_accessorial_name' 				=> $item->company_accessorial->name,
					'charge_deduct' 						=> $item->charge_deduct,
					'qty' 									=> $item->qty,
					'rate' 									=> $item->rate,
					'total' 								=> $item->total
				];

				if($item->owner_liable == '1'){
					$item_truck_owner_id 					= '';
					if($item->owner_id!=''){
					    $item_truck_owner_id   				= $item->owner_type.'_'.$item->owner_id;
					}

					$owner_accessorial_array[]				= [
						'stop_name' 						=> $stop_name,
						'company_accessorial_id' 			=> $item->company_accessorial_id,
						'company_accessorial_name' 			=> $item->company_accessorial->name,
						'owner_type' 						=> $item->owner_type,
						'owner_id' 							=> $item->owner_id,
						'truck_owner_id' 					=> $item_truck_owner_id,
						'owner_pay_deduct' 					=> $item->owner_pay_deduct,
						'owner_qty' 						=> $item->owner_qty,
						'owner_rate' 						=> $item->owner_rate,
						'owner_total' 						=> $item->owner_total
					];
				}

				if($item->driver_liable == '1'){
					$driver_accessorial_array[]				= [
						'stop_name' 						=> $stop_name,
						'company_accessorial_id' 			=> $item->company_accessorial_id,
						'company_accessorial_name' 			=> $item->company_accessorial->name,
						'doc_required' 						=> $item->doc_required,
						'is_received' 						=> $item->is_received,
						'driver_id' 						=> $item->driver_id,
						'pay_deduct' 						=> $item->pay_deduct,
						'is_deduction' 						=> $item->is_deduction,
						'driver_qty' 						=> $item->driver_qty,
						'driver_rate' 						=> $item->driver_rate,
						'driver_total' 						=> $item->driver_total
					];
				}
			@endphp
		@endforeach
	@endif
	@if(isset($loadDetail->billing_accessorials) && $loadDetail->billing_accessorials->isNotEmpty())
		@foreach ($loadDetail->billing_accessorials as $key => $item)
			@php
				$stop_name 									= 'Load';

				$mileage_accessorial_array[]				= [
					'stop_name' 							=> $stop_name,
					'company_accessorial_id' 				=> $item->company_accessorial_id,
					'company_accessorial_name' 				=> $item->company_accessorial->name,
					'charge_deduct' 						=> $item->charge_deduct,
					'qty' 									=> $item->qty,
					'rate' 									=> $item->rate,
					'total' 								=> $item->total
				];

				if($item->owner_liable == '1'){
					$item_truck_owner_id 					= '';
					if($item->owner_id!=''){
					    $item_truck_owner_id   				= $item->owner_type.'_'.$item->owner_id;
					}

					$owner_accessorial_array[]				= [
						'stop_name' 						=> $stop_name,
						'company_accessorial_id' 			=> $item->company_accessorial_id,
						'company_accessorial_name' 			=> $item->company_accessorial->name,
						'owner_type' 						=> $item->owner_type,
						'owner_id' 							=> $item->owner_id,
						'truck_owner_id' 					=> $item_truck_owner_id,
						'owner_pay_deduct' 					=> $item->owner_pay_deduct,
						'owner_qty' 						=> $item->owner_qty,
						'owner_rate' 						=> $item->owner_rate,
						'owner_total' 						=> $item->owner_total
					];
				}

				if($item->driver_liable == '1'){
					$driver_accessorial_array[]				= [
						'stop_name' 						=> $stop_name,
						'company_accessorial_id' 			=> $item->company_accessorial_id,
						'company_accessorial_name' 			=> $item->company_accessorial->name,
						'doc_required' 						=> $item->doc_required,
						'is_received' 						=> $item->is_received,
						'driver_id' 						=> $item->driver_id,
						'pay_deduct' 						=> $item->pay_deduct,
						'is_deduction' 						=> $item->is_deduction,
						'driver_qty' 						=> $item->driver_qty,
						'driver_rate' 						=> $item->driver_rate,
						'driver_total' 						=> $item->driver_total
					];
				}
			@endphp
		@endforeach
	@endif
	<!-- // Accessorial -->

	<div class="new-addLoad-head">
	    <div class="row new-load">
	        <div class="col-12">
	            <nav aria-label="breadcrumb">
	                <ol class="breadcrumb mb-0">
	                    <li class="breadcrumb-item">
	                    	<a href="{{ route('company.admin.dispatch.hub.index') }}">Dispatch</a>
	                    </li>
	                    <li class="breadcrumb-item">
	                    	<a href="{{ route('company.admin.loads.index') }}">Loads</a>
	                    </li>
	                    <li class="breadcrumb-item active" aria-current="page">View Load</li>
	                </ol>
	            </nav>
	        </div>
	    </div>
	</div>
	<div class="view-load">
	    <div class="row ">
	        <div class="col-auto view-load-main">
	        	<div class="view-head">
	        	    <h5>{{ $loadDetail->load_number ?? '' }}</h5>
	        	    <div class="row align-items-center justify-content-between">
	        	        <div class="col-auto">
	        	            <ul>
	        	                <li class="text-danger">Missing Checkcalls</li>
	        	                @if(in_array($is_on_hold, ['1', '2']))
	        	                	<li class="{{ $li_status_class }}">
	        	                		@if($is_on_hold == '1')
	        	                			On Hold
	        	                		@else
	        	                			Cancel
	        	                		@endif
	        	                		<span class="file-status">
	        	                			<i class="fa fa-file-text-o" aria-hidden="true"></i>
	        	                			<span class="dot {{ $dot_status_class }}"></span>
	        	                		</span>
	        	                	</li>
	        	                @else
	        	                	@if(empty($loadStatusArry))
	        	                		<li class="text-warning">
	        	                			Pending
	        	                			<span class="file-status">
	        	                				<i class="fa fa-file-text-o" aria-hidden="true"></i>
	        	                				<span class="dot bg-warning"></span>
	        	                			</span>
	        	                		</li>
	        	                	@else
	        	                		@php
	        	                			if($loadStatusArry['status'] == 'Late' || $loadStatusArry['status'] == 'Detained' || (isset($loadStatusArry['is_pending_docs']) && $loadStatusArry['is_pending_docs'] == '1')){
	        	                				$li_text_class 	= 'text-danger';
	        	                				$bg_class 		= 'bg-danger';
	        	                			}else{
	        	                				$li_text_class 	= 'text-success';
	        	                				$bg_class 		= 'bg-success';
	        	                			}
	        	                		@endphp
	        	                		<li class="{{ $li_text_class }}">
	        	                			{{ $loadStatusArry['status'] }}
	        	                			<span class="file-status">
	        	                				<i class="fa fa-file-text-o" aria-hidden="true"></i>
	        	                				<span class="dot {{ $bg_class }}"></span>
	        	                			</span>
	        	                		</li>
	        	                	@endif
	        	                @endif
	        	            </ul>
	        	        </div>
	        	        <div class="col-auto">
	        	            <div class="form-group">
	        	                <label>Occupancy Status:</label>
	        	                <span class="in-value">
	        	                	@if(isset($loadDetail->load_type))
	        	                		{{ getLoadTypeList()[$loadDetail->load_type] ?? '-' }}
	        	                	@endif
	        	                </span>
	        	            </div>
	        	        </div>
	        	    </div>
	        	</div>
	        	<div class="view-map mb-1">
	        		<div id="load-view-map"></div>
	        		<div class="overlay">
	        			<a href="javascript:void(0);" class="d-none" id="replay">View Trip</a>
    		      	</div>
	        	</div>
	        	@if(!empty($mileageCoords))
	        		<div class="mb-3">
	        		    <div class="text-right">
	        		        <span class="in-value">
	        		        	<span class="completed-miles">0</span> of
	        		        	<span class="total-miles">
	        		        		@if(isset($loadDetail->total_miles))
	        		        			{{ number_format(floatval($loadDetail->total_miles), 2, '.', '') }}
	        		        		@else
	        		        			0
	        		        		@endif
	        		        	</span> Completed
	        		        </span>
	        		    </div>
	        		    <div class="progress progress-blue">
	        		        <div class="progress-bar" data-percentage="0%" style="width:0%"></div>
	        		    </div>
	        		</div>
	        	@else
	        		@if(in_array($loadDetail->load_status, ['5', '6', '10', '8']))
	        			<div class="mb-3">
	        			    <div class="text-right">
	        			        <span class="in-value">
	        			        	<span class="completed-miles">
	        			        		@if(isset($loadDetail->total_miles))
	        			        			{{ number_format(floatval($loadDetail->total_miles), 2, '.', '') }}
	        			        		@else
	        			        			0
	        			        		@endif
	        			        	</span> of
	        			        	<span class="total-miles">
	        			        		@if(isset($loadDetail->total_miles))
	        			        			{{ number_format(floatval($loadDetail->total_miles), 2, '.', '') }}
	        			        		@else
	        			        			0
	        			        		@endif
	        			        	</span> Completed
	        			        </span>
	        			    </div>
	        			    <div class="progress progress-blue">
	        			        <div class="progress-bar" data-percentage="100%" style="width:100%"></div>
	        			    </div>
	        			</div>
	        		@else
	        			<div class="mb-3">
	        			    <div class="text-right">
	        			        <span class="in-value">
	        			        	<span class="completed-miles">
	        			        		0
	        			        	</span> of
	        			        	<span class="total-miles">
	        			        		@if(isset($loadDetail->total_miles))
	        			        			{{ number_format(floatval($loadDetail->total_miles), 2, '.', '') }}
	        			        		@else
	        			        			0
	        			        		@endif
	        			        	</span> Completed
	        			        </span>
	        			    </div>
	        			    <div class="progress progress-blue">
	        			        <div class="progress-bar" data-percentage="0%" style="width:0%"></div>
	        			    </div>
	        			</div>
	        		@endif
	        	@endif

	        	@php
	        		$msclass        					= '';
	        		if($is_on_hold == '3'){
	        		    $msclass    					= 'setdropped';
	        		}elseif($is_on_hold == '2'){
	        		    $msclass    					= 'setcnacelte';
	        		}elseif($is_on_hold == '1'){
	        		    $msclass    					= 'setseonholds';
	        		}

	        		$load_status_preplanned  			= '';
	        		$load_status_send_to_drive    		= '';
	        		$load_status_confirmed        		= '';
	        		$load_status_in_transit     		= '';
	        		$load_status_delivered        		= '';
	        		$load_status_ready_to_bill    		= '';
	        		$load_status_invoiced         		= '';
	        		$load_status_paid          			= '';

	        		if($load_status == 2){
	        		    $load_status_preplanned      	= 'fill-active';
	        		}

	        		if($load_status == 11){
	        		    $load_status_preplanned      	= 'fill-active';
	        		    $load_status_send_to_drive      = 'fill-active';
	        		}
	        		if($load_status == 3){
	        		    $load_status_preplanned      	= 'fill-active';
	        		    $load_status_send_to_drive      = 'fill-active';
	        		    $load_status_confirmed      	= 'fill-active';
	        		}

	        		if($load_status == 4){
	        		    $load_status_preplanned      	= 'fill-active';
	        		    $load_status_send_to_drive      = 'fill-active';
	        		    $load_status_confirmed      	= 'fill-active';
	        		    $load_status_in_transit      	= 'fill-active';
	        		}
	        		if($load_status == 5){
	        		    $load_status_preplanned      	= 'fill-active';
	        		    $load_status_send_to_drive      = 'fill-active';
	        		    $load_status_confirmed      	= 'fill-active';
	        		    $load_status_in_transit      	= 'fill-active';
	        		    $load_status_delivered      	= 'fill-active';
	        		}
	        		if($load_status == 6){
	        		    $load_status_preplanned      	= 'fill-active';
	        		    $load_status_send_to_drive      = 'fill-active';
	        		    $load_status_confirmed      	= 'fill-active';
	        		    $load_status_in_transit      	= 'fill-active';
	        		    $load_status_delivered      	= 'fill-active';
	        		    $load_status_ready_to_bill      = 'fill-active';
	        		    if(isset($totalPendingDetention) && $totalPendingDetention > 0){
	        		        $load_status_ready_to_bill .= ' isactivebill';
	        		    }
	        		}
	        		if($load_status == 10){
	        		    $load_status_preplanned      	= 'fill-active';
	        		    $load_status_send_to_drive      = 'fill-active';
	        		    $load_status_confirmed      	= 'fill-active';
	        		    $load_status_in_transit      	= 'fill-active';
	        		    $load_status_delivered      	= 'fill-active';
	        		    $load_status_ready_to_bill      = 'fill-active';
	        		    $load_status_invoiced      		= 'fill-active';
	        		}
	        		if($load_status == 8){
	        		    $load_status_preplanned      	= 'fill-active';
	        		    $load_status_send_to_drive      = 'fill-active';
	        		    $load_status_confirmed      	= 'fill-active';
	        		    $load_status_in_transit      	= 'fill-active';
	        		    $load_status_delivered      	= 'fill-active';
	        		    $load_status_ready_to_bill      = 'fill-active';
	        		    $load_status_invoiced      		= 'fill-active';
	        		    $load_status_paid      			= 'fill-active';
	        		}
	        	@endphp

	        	<!-- Multi step form -->
	        	<div class="multi_step_form">
	        	    <div id="msform" class="{{ $msclass }}">
	        	        <div class="">
	        	            <ul class="custom-progress-bar" id="progressbar">
	        	                <li id="preplaned" class="{{ $load_status_preplanned }}">
	        	                    <a href="javascript:void(0)"><span class="progress-no">1</span>Preplanned</a>
	        	                </li>
	        	                <li id="sendToDriver" class="{{ $load_status_send_to_drive }}">
	        	                    <a href="javascript:void(0)"><span class="progress-no">1</span>Send To Driver</a>
	        	                </li>
	        	                <li id="confirmed" class="{{ $load_status_confirmed }}">
	        	                    <a href="javascript:void(0)"><span class="progress-no">1</span>Confirmed</a>
	        	                </li>
	        	                <li id="inTransit" class="{{ $load_status_in_transit }}">
	        	                    <a href="javascript:void(0)"><span class="progress-no">1</span>In Transit</a>
	        	                </li>
	        	                <li id="delivered" class="{{ $load_status_delivered }}">
	        	                    <a href="javascript:void(0)"><span class="progress-no">1</span>Delivered</a>
	        	                </li>
	        	                <li id="readyToBill" class="{{ $load_status_ready_to_bill }}">
	        	                    <a href="javascript:void(0)"><span class="progress-no">1</span>Ready to Bill</a>
	        	                </li>
	        	                <li id="onInvoiced" class="{{ $load_status_invoiced }}">
	        	                    <a href="javascript:void(0)"><span class="progress-no">1</span>Invoiced</a>
	        	                </li>
	        	                <li id="complete" class="{{ $load_status_paid }}">
	        	                    <a href="javascript:void(0)"><span class="progress-no">1</span>Paid</a>
	        	                </li>
	        	            </ul>
	        	            {{--
	        	            <div class="multi_step_checkbox sechstatuwese d-flex align-items-center justify-content-end flex-wrap">
	        	                <div class="custom-control custom-checkbox">
	        	                    <input type="checkbox" class="custom-control-input hold-input" id="onHold" {{ $is_on_hold == '1' ? 'checked' : '' }} onclick="return false;">
	        	                    <label class="custom-control-label" for="onHold">Place on Hold</label>
	        	                </div>
	        	                <div class="custom-control custom-checkbox ml-4">
	        	                    <input type="checkbox" class="custom-control-input cancel-input" id="cancelled" {{ $is_on_hold == '2' ? 'checked' : '' }} onclick="return false;">
	        	                    <label class="custom-control-label" for="cancelled">Cancel</label>
	        	                </div>
	        	            </div>
	        	            --}}
	        	            <div class="multi_step_checkbox sechstatuwese d-flex align-items-center flex-wrap">
	        	            	@if($is_on_hold == '1')
        	            		    <div class="viewOnHoldInfo-block">
        	            		    	<h6 style="margin-bottom: 10px;">
        	            		    		On Hold Information
        	            		    	</h6>
        	            		    	<p style="margin-bottom: 4px;">Reason :
        	            		    		@if(isset($loadDetail->notification_reason))
        	            		    			{{ getNotificationReason()[$loadDetail->notification_reason] ?? '' }}
        	            		    		@endif
        	            		    	</p>
        	            		    	<p style="margin-bottom: 4px;">Notes :
        	            		    		{{ $loadDetail->reason_on_hold ?? '' }}
        	            		    	</p>
        	            		    	@if(isset($loadDetail->load_on_hold_datetime) && $loadDetail->load_on_hold_datetime!='')
        	            		    	    @php
        	            		    	        $load_on_hold_datetime   = convertTimeToUSERzone([
        	            		    	            'str'       		=> $loadDetail->load_on_hold_datetime,
        	            		    	            'toFormat'  		=> getTimeLayout(),
        	            		    	            'fromFormat'		=> 'Y-m-d H:i:s']
        	            		    	        ).' '.$getTimeZoneId;
        	            		    	    @endphp
        	            		    	@endif
        	            		    	<p style="margin-bottom: 4px;">Date & Time :
        	            		    		{{ $load_on_hold_datetime ?? '' }}
        	            		    	</p>
        	            			</div>
	        	            	@endif
	        	            	{{--
		        	            <div class="d-flex ml-auto">
		        	            	<div class="custom-control custom-checkbox">
		        	            	    <input type="checkbox" class="custom-control-input hold-input" id="onHold" {{ $is_on_hold == '1' ? 'checked' : '' }} onclick="return false;">
		        	            	    <label class="custom-control-label" for="onHold">Place on Hold</label>
		        	            	</div>
		        	            	<div class="custom-control custom-checkbox ml-4">
		        	            	    <input type="checkbox" class="custom-control-input cancel-input" id="cancelled" {{ $is_on_hold == '2' ? 'checked' : '' }} onclick="return false;">
		        	            	    <label class="custom-control-label" for="cancelled">Cancel</label>
		        	            	</div>
		        	            </div>
		        	            --}}
	        	            </div>
	        	        </div>
	        	    </div>
	        	</div>
	        	<!-- Multi step form -->

	        	<!-- collapse section -->
	        	<div class="accordion mb-0" id="add_new_load_accrordion">
	        		<div class="card broker-div">
	        		    <div class="card-header" id="headingBroker">
	        		        <h2 class="mb-0">
	        		            <button
	        		            	type="button"
	        		            	class="btn btn-link btn-block text-left"
	        		                data-toggle="collapse"
	        		                data-target="#broker-info-collapse"
	        		                aria-expanded="true"
	        		                aria-controls="broker-info-collapse">
	        		                Customer Info<i class="fa fa-chevron-circle-down" aria-hidden="true"></i>
	        		            </button>
	        		        </h2>
	        		    </div>
	        		    <div
	        		    	class="collapse show"
	        		    	id="broker-info-collapse"
	        		    	aria-labelledby="headingBroker">
	        		        <div class="card-body">
	        		            <div class="row justify-content-between">
	        		                <div class="col-auto mb-1">
	        		                    <div class="viewCustomerInfo-block">
	        		                        <div class="form-group">
	        		                            <label>Bill:</label>
	        		                            <span class="in-value">N/A</span>
	        		                        </div>
	        		                        <div class="form-group">
	        		                            <label>To:</label>
	        		                            <span class="in-value">N/A</span>
	        		                        </div>
	        		                        <div class="form-group">
	        		                            <label>To:</label>
	        		                            <span class="in-value">N/A</span>
	        		                        </div>
	        		                    </div>
	        		                </div>
	        		                <div class="col-auto mb-1">
	        		                    <div class="viewCustomerInfo-block">
	        		                        <div class="form-group">
	        		                            <label>Customer Name:</label>
	        		                            <span class="in-value">{{ $loadDetail->broker->name ?? '' }}</span>
	        		                        </div>
	        		                        <div class="form-group">
	        		                            <label>Customer MC:</label>
	        		                            <span class="in-value">{{ $loadDetail->broker->mc_number ?? '' }}</span>
	        		                        </div>
	        		                        <div class="form-group">
	        		                            <label>Phone Number:</label>
	        		                            <span class="in-value">{{ $loadDetail->phone ?? '' }} Ext {{ $loadDetail->ext ?? '' }}</span>
	        		                        </div>
	        		                        <div class="form-group">
	        		                            <label>Customer Representative:</label>
	        		                            <span class="in-value">{{ $loadDetail->rep ?? '' }}</span>
	        		                        </div>
	        		                        <div class="form-group">
	        		                            <label>Customer Email:</label>
	        		                            <span class="in-value">{{ $loadDetail->broker_email ?? '' }}</span>
	        		                        </div>
	        		                        @if(isset($loadDetail->is_cod) && $loadDetail->is_cod == '1')
	        		                        	<div class="form-group cod-block">
	        		                        	    <div>
	        		                        	        <h6>COD</h6>
	        		                        	        <p>Last Update: {{ $convert_score_update }}</p>
	        		                        	    </div>
	        		                        	    <ul>
	        		                        	        <li><a href="javascript:void(0);"><i class="fa fa-phone" aria-hidden="true"></i></a></li>
	        		                        	        <li><a href="javascript:void(0);"><i class="fa fa-commenting" aria-hidden="true"></i></a></li>
	        		                        	        <li><a href="javascript:void(0);"><i class="fa fa-envelope" aria-hidden="true"></i></a></li>
	        		                        	    </ul>
	        		                        	</div>
	        		                        @else
	        		                        	<div class="form-group rts-block">
	        		                        	    <div class="d-flex">
	        		                        	        <div>
	        		                        	            <h2>{{ $loadDetail->score_ratting ?? '' }}</h2>
	        		                        	        </div>
	        		                        	        <div>
	        		                        	            <h6>RTS Credit Score</h6>
	        		                        	            <p>Last Update: {{ $convert_score_update }}</p>
	        		                        	        </div>
	        		                        	    </div>
	        		                        	    <ul>
	        		                        	        <li><a href="javascript:void(0);"><i class="fa fa-phone" aria-hidden="true"></i></a></li>
	        		                        	        <li><a href="javascript:void(0);"><i class="fa fa-commenting" aria-hidden="true"></i></a></li>
	        		                        	        <li><a href="javascript:void(0);"><i class="fa fa-envelope" aria-hidden="true"></i></a></li>
	        		                        	    </ul>
	        		                        	</div>
	        		                        @endif
	        		                    </div>
	        		                </div>
	        		                <div class="col-auto mb-1">
	        		                    <div class="viewCustomerInfo-block">
	        		                        <div class="form-group">
	        		                            <label>Carrier:</label>
	        		                            <span class="in-value">{{ $carrier_name }}</span>
	        		                        </div>
	        		                        <div class="form-group">
	        		                            <label>Terminal:</label>
	        		                            <span class="in-value">{{ $loadDetail->terminal->name ?? '' }}</span>
	        		                        </div>
	        		                        <div class="form-group">
	        		                            <label>Team:</label>
	        		                            <span class="in-value">{{ $loadDetail->driver->team->name ?? '' }}</span>
	        		                        </div>
	        		                        <div class="form-group">
	        		                            <label>Dispatch Name:</label>
	        		                            <span class="in-value">{{ $loadDetail->driver->dispatcher->full_name ?? '' }}</span>
	        		                        </div>
	        		                        <div class="form-group">
	        		                            <label>Dispatch Phone:</label>
	        		                            <span class="in-value">{{ $loadDetail->driver->dispatcher->cell_phone ?? '' }}</span>
	        		                        </div>
	        		                        <div class="form-group">
	        		                            <label>Dispatch Email:</label>
	        		                            <span class="in-value">{{ $loadDetail->driver->dispatcher->email ?? '' }}</span>
	        		                        </div>
	        		                        @if(isset($loadDetail->driver_id) && $loadDetail->driver_id!=0)
		        		                        <div class="form-group">
	        		                        		<div>
	        		                        			<a href="javascript:void(0);" class="btn btn-blueLightTheme liveLocation" data-driver="{{ $loadDetail->driver_id }}">Live Location <i class="fa fa-map-marker" aria-hidden="true"></i></a>
	        		                        		</div>
		        		                            <ul>
		        		                                <li><a href="javascript:void(0);"><i class="fa fa-phone" aria-hidden="true"></i></a></li>
		        		                                <li><a href="javascript:void(0);"><i class="fa fa-commenting" aria-hidden="true"></i></a></li>
		        		                                <li><a href="javascript:void(0);"><i class="fa fa-envelope" aria-hidden="true"></i></a></li>
		        		                            </ul>
		        		                        </div>
	        		                        @endif
	        		                    </div>
	        		                </div>
	        		                <div class="col-auto mb-1">
	        		                    <div class="viewCustomerInfo-block">
	        		                        <div class="form-group">
	        		                            <label>Driver Name:</label>
	        		                            <span class="in-value">
	        		                            	@if(isset($loadDetail->driver_id) && $loadDetail->driver_id!=0)
	        		                            		{{ $loadDetail->driver->last_name.', '.$loadDetail->driver->first_name }}
	        		                            	@endif
	        		                            </span>
	        		                        </div>
	        		                        <div class="form-group">
	        		                            <label>Co Driver:</label>
	        		                            <span class="in-value">
	        		                            	@if(isset($loadDetail->co_driver_id) && $loadDetail->co_driver_id!='')
	        		                            		{{ $loadDetail->co_driver->last_name.', '.$loadDetail->co_driver->first_name }}
	        		                            	@endif
	        		                            </span>
	        		                        </div>
	        		                        <div class="form-group">
	        		                            <label>Driver Phone:</label>
	        		                            <span class="in-value">{{ $loadDetail->driver->cell_phone ?? '' }}</span>
	        		                        </div>
	        		                        <div class="form-group">
	        		                            <label>Truck Number:</label>
	        		                            <span class="in-value">{{ $loadDetail->truck_number ?? '' }}</span>
	        		                        </div>
	        		                        <div class="form-group">
	        		                            <label>Trailer Number:</label>
	        		                            <span class="in-value">{{ $loadDetail->trailer_number ?? '' }}</span>
	        		                        </div>
	        		                        <div class="form-group">
	        		                            <label>Trailer Type:</label>
	        		                            <span class="in-value">
	        		                            	@php
	        		                            	    $gtypeLabel 	= 'Not specified';
	        		                            	    if (isset($loadDetail->trailer_type) && $loadDetail->trailer_type!='' && isset(getTrailerTypeList()[$loadDetail->trailer_type])) {
	        		                            	        $gtypeLabel = getTrailerTypeList()[$loadDetail->trailer_type];
	        		                            	    }
	        		                            	@endphp
	        		                            	{{ $gtypeLabel }}
	        		                            </span>
	        		                        </div>
	        		                        <div class="form-group">
	        		                            <div></div>
	        		                            <ul>
	        		                                <li><a href="javascript:void(0);"><i class="fa fa-phone" aria-hidden="true"></i></a></li>
	        		                                <li><a href="javascript:void(0);"><i class="fa fa-commenting" aria-hidden="true"></i></a></li>
	        		                                <li><a href="javascript:void(0);"><i class="fa fa-envelope" aria-hidden="true"></i></a></li>
	        		                            </ul>
	        		                        </div>
	        		                    </div>
	        		                </div>
	        		                <div class="col-auto mb-1">
	        		                    <div class="viewCustomerInfo-block">
	        		                        <div class="form-group">
	        		                            <label>Extra Stops:</label>
	        		                            <span class="in-value">{{ isset($load->load_stops) ? $load->load_stops->count() : 0 }}</span>
	        		                        </div>
	        		                        <div class="form-group">
	        		                            <label>Total Miles:</label>
	        		                            <span class="in-value">{{ isset($loadDetail->total_miles) ? number_format($loadDetail->total_miles, 2, '.', ',') : '' }}</span>
	        		                        </div>
	        		                        <div class="form-group">
	        		                            <label>Rate:</label>
	        		                            <span class="in-value">{{ isset($loadDetail->agreed_upon_rate) ? '$'.number_format($loadDetail->agreed_upon_rate, 2, '.', ',') : '' }}</span>
	        		                        </div>
	        		                        <div class="form-group">
	        		                            <label>Pay:</label>
	        		                            <span class="in-value pay-txt">{{ isset($loadDetail->total_bill) ? '$'.number_format($loadDetail->total_bill, 2, '.', ',') : '' }}</span>
	        		                        </div>
	        		                    </div>
	        		                </div>
	        		            </div>
	        		            <a href="javascript:void(0);" class="a-link" data-toggle="modal" data-target="#otherLoadDetailsModal">Other Load Details</a>
	        		        </div>
	        		    </div>
	        		</div>
	        		<div class="card">
	        		    <div class="card-header" id="headingDriver">
	        		        <h2 class="mb-0">
	        		            <button
	        		            	type="button"
	        		            	class="btn btn-link btn-block text-left"
	        		                data-toggle="collapse"
	        		                data-target="#driver-info-collapsed"
	        		                aria-expanded="true"
	        		                aria-controls="driver-info-collapsed">
	        		                Load Info<i class="fa fa-chevron-circle-down" aria-hidden="true"></i>
	        		            </button>
	        		        </h2>
	        		    </div>
	        		    <div
	        		    	class="collapse show"
	        		    	id="driver-info-collapsed"
	        		    	aria-labelledby="headingDriver">
	        		        <div class="card-body driver-info-block">
	        		            <div class="main">
	        		                <div class="loadPickup-slider slider">
	        		                	@php
	        		                		$stopIndex  		= 0;
	        		                	    $stopStatus 		= $stopStatusArry[$stopIndex] ?? [];
	        		                	@endphp
	        		                    <div>
	        		                        <div class="loadInfo-block">
		                        		    	<div class="loadInfo-head">
		                        		    		<div class="row justify-content-between">
		                        	                    <div class="col-auto">
		                        	                        <h6>Pickup Stop - 1</h6>
		                        	                    </div>
		                        	                    <div class="col-auto">
		                        	                        <div class="d-flex align-items-center">
		                        	                            <p>{{ $stopStatus['status'] ?? 'Pending' }}</p>
		                        	                            <span class="file-status">
		                        	                            	<i class="fa fa-file-text-o" aria-hidden="true"></i>
		                        	                            	@if(isset($stopStatus['class']))
		                        	                            		@if($stopStatus['class']=='text-danger')
		                        	                            			<span class="dot bg-danger"></span>
		                        	                            		@elseif($stopStatus['class']=='text-success')
		                        	                            			<span class="dot bg-success"></span>
		                        	                            		@else
		                        	                            			<span class="dot bg-warning"></span>
		                        	                            		@endif
		                        	                            	@else
		                        	                            		<span class="dot bg-warning"></span>
		                        	                            	@endif
		                        	                            </span>
		                        	                        </div>
		                        	                    </div>
		                        	                </div>
		                        		    	</div>
		                        		    	<div class="loadInfo-body">
		                        		    		@php
		                        		    			$shipping_time_range 		= $loadDetail->shipping_time_range ?? 0;
		                        		    		@endphp
		                        		    		@if($shipping_time_range == 0)
		                        		    			<div class="form-group">
		                        		    			    <label>Pickup Date:</label>
		                        		    			    <span class="in-value">{{ date('m/d/Y', strtotime($loadDetail->getRawOriginal('shipper_date_time'))) }}</span>
		                        		    			</div>
		                        		    			<div class="form-group">
		                        		    			    <label>Pickup Time:</label>
		                        		    			    <span class="in-value">{{ date(getTimeLayout(0), strtotime($loadDetail->getRawOriginal('shipper_date_time'))) }} Appt</span>
		                        		    			</div>
		                        		    		@else
		                        		    			<div class="form-group">
		                        		    			    <label>Open Date/Time:</label>
		                        		    			    <span class="in-value">{{ date(getTimeLayout(), strtotime($loadDetail->getRawOriginal('shipper_date_time'))) }}</span>
		                        		    			</div>
		                        		    			<div class="form-group">
		                        		    			    <label>Close Date/Time:</label>
		                        		    			    <span class="in-value">{{ date(getTimeLayout(), strtotime($loadDetail->getRawOriginal('shipper_date_time_end'))) }}</span>
		                        		    			</div>
		                        		    		@endif
		                        		    	    <div class="form-group">
		                        		    	        <label>Shipper:</label>
		                        		    	        <span class="in-value">{{ $loadDetail->shipper->name ?? '' }}</span>
		                        		    	    </div>
		                        		    	    <div class="form-group">
		                        		    	        <label>Address:</label>
		                        		    	        <span class="in-value address-one"
		                        		    	        	data-customer_type="1"
		                        		    	        	data-latitude="{{ $loadDetail->shipper_latitude ?? '' }}"
		                        		    	        	data-longitude="{{ $loadDetail->shipper_longitude ?? '' }}"
		                        		    	        	data-address_verified="{{ $loadDetail->shipper_address_verified ?? '' }}"
		                        		    	        	data-abbr="{{ $loadDetail->shipper_timezone_abbr ?? '' }}"
		                        		    	        	data-deadhead_mileage_options="{{ $loadDetail->deadhead_mileage_options ?? '' }}">
		                        		    	        	{{ $loadDetail->shipper_address_one ?? '' }}
		                        		    	        </span>
		                        		    	    </div>
		                        		    	    <div class="form-group">
		                        		    	        <label>City:</label>
		                        		    	        <span class="in-value city">{{ $loadDetail->shipper_city ?? '' }}</span>
		                        		    	    </div>
		                        		    	    <div class="form-group">
		                        		    	        <label>State:</label>
		                        		    	        <span class="in-value state">{{ $loadDetail->shipper_state ?? '' }}</span>
		                        		    	    </div>
		                        		    	    <div class="form-group">
		                        		    	        <label>Zip Code:</label>
		                        		    	        <span class="in-value zip">{{ $loadDetail->shipper_zip ?? '' }}</span>
		                        		    	    </div>
		                        		    	    <div class="form-group">
		                        		    	        <label>Phone:</label>
		                        		    	        <span class="in-value">{{ $loadDetail->shipper->phone ?? '' }}</span>
		                        		    	    </div>
		                        		    	    <div class="form-group">
		                        		    	        <label>Contact:</label>
		                        		    	        <span class="in-value">{{ $loadDetail->shipper->dispatch_contact ?? '' }}</span>
		                        		    	    </div>
		                        		    	    <div class="form-group">
		                        		    	        <label>Email:</label>
		                        		    	        <span class="in-value">{{ $loadDetail->shipper->email ?? '' }}</span>
		                        		    	    </div>
		                        		    	    <div class="form-group">
		                        		    	        <label>Pickup Number:</label>
		                        		    	        <span class="in-value">{{ $loadDetail->shipper_pickup_number ?? '' }}</span>
		                        		    	    </div>
		                        		    	    <div class="form-group">
		                        		    	        <label>Required Documents:</label>
		                        		    	        <span class="in-value">
		                        		    	        	<a href="javascript:void(0);" class="a-link required-documents" data-type="required_documents" data-customer_type="1" data-is_stop="0" data-load_detail_id="{{ $loadDetail->id }}">Click For Status</a>
		                        		    	        </span>
		                        		    	    </div>
		                        		    	</div>
		                        		    	<div class="loadInfo-footer">
		                        		    		@if((isset($loadDetail->driver_id) && $loadDetail->driver_id!='0') && (isset($loadDetail->brokerage_firm) && $loadDetail->brokerage_firm!=''))
		                        		    			@php
		                        		    				$shipper_detention                          = isset($loadDetail->shipper_detention)?$loadDetail->shipper_detention:null;
		                        		    			@endphp
		                        		    			@if(!is_null($shipper_detention))
		                        		    			    <a
		                        		    			        href="javascript:void(0);"
		                        		    			        class="btn btn-danger detention-request"
		                        		    			        data-mode="edit"
		                        		    			        data-type="1"
		                        		    			        data-is_stop="0"
		                        		    			        data-load_detail_id="{{ $loadDetail->id }}"
		                        		    			        data-unique_id="{{ substr(base_convert(sha1(uniqid(mt_rand())), 16, 36), 0, 12) }}"
		                        		    			        data-detention_id="{{ $shipper_detention->id }}"
		                        		    			    >Edit Detention</a>
		                        		    			@else
		                        		    			    <a
		                        		    			        href="javascript:void(0);"
		                        		    			        class="btn btn-danger detention-request"
		                        		    			        data-mode="add"
		                        		    			        data-type="1"
		                        		    			        data-is_stop="0"
		                        		    			        data-load_detail_id="{{ $loadDetail->id }}"
		                        		    			        data-unique_id="{{ substr(base_convert(sha1(uniqid(mt_rand())), 16, 36), 0, 12) }}"
		                        		    			    >Add Detention</a>
		                        		    			@endif
		                        		    		@endif
		                        		    		<a href="javascript:void(0);" class="btn btn-blue additional-details" data-type="additional_details" data-customer_type="1" data-is_stop="0" data-load_detail_id="{{ $loadDetail->id }}">Additional Details</a>
		                        		    	</div>
	        		                        </div>
	        		                    </div>
	        		                    @php
	        		                        ++$stopIndex;
	        		                        $stopNo 			= 2;
	        		                    @endphp
	        		                    @if(isset($load->load_stops) && $load->load_stops->isNotEmpty())
	        		                    	@foreach ($load->load_stops as $key => $stop)
	        		                    		@php
	        		                    			$stopStatus = $stopStatusArry[$stopIndex] ?? [];
	        		                    			$random_id 	= $key.\Str::random(8);
	        		                    		@endphp
	        		                        	<div>
	        		                        	    <div class="loadInfo-block {{ $random_id }}" data-stop_index="{{ $key }}">
	        		                        	    	<div class="loadInfo-head">
	        		                        	    		<div class="row justify-content-between">
	        		                                            <div class="col-auto">
	        		                                                <h6>{{ $stop->customer_type == '1'? 'Pickup' : 'Delivery' }} Stop - {{ $stopNo }}</h6>
	        		                                            </div>
	        		                                            <div class="col-auto">
	        		                                                <div class="d-flex align-items-center">
	        		                                                    <p>{{ $stopStatus['status'] ?? 'Pending' }}</p>
	        		                                                    <span class="file-status">
	        		                                                    	<i class="fa fa-file-text-o" aria-hidden="true"></i>
	        		                                                    	@if(isset($stopStatus['class']))
	        		                                                    		@if($stopStatus['class']=='text-danger')
	        		                                                    			<span class="dot bg-danger"></span>
	        		                                                    		@elseif($stopStatus['class']=='text-success')
	        		                                                    			<span class="dot bg-success"></span>
	        		                                                    		@else
	        		                                                    			<span class="dot bg-warning"></span>
	        		                                                    		@endif
	        		                                                    	@else
	        		                                                    		<span class="dot bg-warning"></span>
	        		                                                    	@endif
	        		                                                    </span>
	        		                                                </div>
	        		                                            </div>
	        		                                        </div>
	        		                        	    	</div>
	        		                        	    	<div class="loadInfo-body">
	        		                        	    		@php
	        		                        	    			$date_time_range 	= $stop->date_time_rangedate_time_range ?? 0;
	        		                        	    		@endphp
	        		                        	    		@if($date_time_range == 0)
	        		                        	    			<div class="form-group">
	        		                        	    			    <label>Pickup Date:</label>
	        		                        	    			    <span class="in-value">{{ date('m/d/Y', strtotime($stop->getRawOriginal('date_time'))) }}</span>
	        		                        	    			</div>
	        		                        	    			<div class="form-group">
	        		                        	    			    <label>Pickup Time:</label>
	        		                        	    			    <span class="in-value">{{ date(getTimeLayout(0), strtotime($stop->getRawOriginal('date_time'))) }} Appt</span>
	        		                        	    			</div>
	        		                        	    		@else
	        		                        	    			<div class="form-group">
	        		                        	    			    <label>Open Date/Time:</label>
	        		                        	    			    <span class="in-value">{{ date(getTimeLayout(), strtotime($stop->getRawOriginal('date_time'))) }}</span>
	        		                        	    			</div>
	        		                        	    			<div class="form-group">
	        		                        	    			    <label>Close Date/Time:</label>
	        		                        	    			    <span class="in-value">{{ date(getTimeLayout(), strtotime($stop->getRawOriginal('date_time_end'))) }}</span>
	        		                        	    			</div>
	        		                        	    		@endif
	        		                        	    	    <div class="form-group">
	        		                        	    	        <label>Shipper:</label>
	        		                        	    	        <span class="in-value">{{ $stop->customer->name ?? '' }}</span>
	        		                        	    	    </div>
	        		                        	    	    <div class="form-group">
	        		                        	    	        <label>Address:</label>
	        		                        	    	        <span class="in-value address-one"
	        		                        	    	        	data-customer_type="{{ $stop->customer_type ?? '' }}"
	        		                        	    	        	data-latitude="{{ $stop->latitude ?? '' }}"
	        		                        	    	        	data-longitude="{{ $stop->longitude ?? '' }}"
	        		                        	    	        	data-address_verified="{{ $stop->address_verified ?? '' }}"
	        		                        	    	        	data-abbr="{{ $stop->timezone_abbr ?? '' }}">
	        		                        	    	        	{{ $stop->address_one ?? '' }}
	        		                        	    	        </span>
	        		                        	    	    </div>
	        		                        	    	    <div class="form-group">
	        		                        	    	        <label>City:</label>
	        		                        	    	        <span class="in-value city">{{ $stop->city ?? '' }}</span>
	        		                        	    	    </div>
	        		                        	    	    <div class="form-group">
	        		                        	    	        <label>State:</label>
	        		                        	    	        <span class="in-value state">{{ $stop->state ?? '' }}</span>
	        		                        	    	    </div>
	        		                        	    	    <div class="form-group">
	        		                        	    	        <label>Zip Code:</label>
	        		                        	    	        <span class="in-value zip">{{ $stop->zip ?? '' }}</span>
	        		                        	    	    </div>
	        		                        	    	    <div class="form-group">
	        		                        	    	        <label>Phone:</label>
	        		                        	    	        <span class="in-value">{{ $stop->customer->phone ?? '' }}</span>
	        		                        	    	    </div>
	        		                        	    	    <div class="form-group">
	        		                        	    	        <label>Contact:</label>
	        		                        	    	        <span class="in-value">{{ $stop->customer->dispatch_contact ?? '' }}</span>
	        		                        	    	    </div>
	        		                        	    	    <div class="form-group">
	        		                        	    	        <label>Email:</label>
	        		                        	    	        <span class="in-value">{{ $stop->customer->email ?? '' }}</span>
	        		                        	    	    </div>
	        		                        	    	    <div class="form-group">
	        		                        	    	        <label>{{ $stop->customer_type == '1'? 'Pickup Number' : 'Delivery Number' }}:</label>
	        		                        	    	        <span class="in-value">{{ $stop->pickup_number ?? '' }}</span>
	        		                        	    	    </div>
	        		                        	    	    <div class="form-group">
	        		                        	    	        <label>Required Documents:</label>
	        		                        	    	        <span class="in-value">
	        		                        	    	        	<a href="javascript:void(0);" class="a-link required-documents" data-type="required_documents" data-customer_type="{{ $stop->customer_type }}" data-is_stop="1" data-load_detail_id="{{ $stop->loads->load_detail->id }}" data-load_stop_id="{{ $stop->id }}">Click For Status</a>
	        		                        	    	        </span>
	        		                        	    	    </div>
	        		                        	    	</div>
	        		                        	    	<div class="loadInfo-footer">
	        		                        	    		@if((isset($loadDetail->driver_id) && $loadDetail->driver_id!='0') && (isset($loadDetail->brokerage_firm) && $loadDetail->brokerage_firm!=''))
	        		                        	    			@php
	        		                        	    				$stop_detention                 	= isset($stop->detention)?$stop->detention:null;
	        		                        	    			@endphp
	        		                        	    			@if(!is_null($stop_detention))
	        		                        	    			    <a
	        		                        	    			        href="javascript:void(0);"
	        		                        	    			        class="btn btn-danger detention-request"
	        		                        	    			        data-mode="edit"
	        		                        	    			        data-type="{{ $stop->customer_type }}"
	        		                        	    			        data-is_stop="1"
	        		                        	    			        data-load_detail_id="{{ $stop->loads->load_detail->id }}"
	        		                        	    			        data-load_stop_id="{{ $stop->id }}"
	        		                        	    			        data-random_id="{{ $random_id }}"
	        		                        	    			        data-unique_id="{{ substr(base_convert(sha1(uniqid(mt_rand())), 16, 36), 0, 12) }}"
	        		                        	    			        data-detention_id="{{ $stop_detention->id }}"
	        		                        	    			    >Edit Detention</a>
	        		                        	    			@else
	        		                        	    			    <a
	        		                        	    			        href="javascript:void(0);"
	        		                        	    			        class="btn btn-danger detention-request"
	        		                        	    			        data-mode="add"
	        		                        	    			        data-type="{{ $stop->customer_type }}"
	        		                        	    			        data-is_stop="1"
	        		                        	    			        data-load_detail_id="{{ $stop->loads->load_detail->id }}"
	        		                        	    			        data-load_stop_id="{{ $stop->id }}"
	        		                        	    			        data-random_id="{{ $random_id }}"
	        		                        	    			        data-unique_id="{{ substr(base_convert(sha1(uniqid(mt_rand())), 16, 36), 0, 12) }}"
	        		                        	    			    >Add Detention</a>
	        		                        	    			@endif
	        		                        	    		@endif
	        		                        	    		<a href="javascript:void(0);" class="btn btn-blue additional-details" data-type="additional_details" data-customer_type="{{ $stop->customer_type }}" data-is_stop="1" data-load_detail_id="{{ $stop->loads->load_detail->id }}" data-load_stop_id="{{ $stop->id }}">Additional Details</a>
	        		                        	    	</div>
	        		                        	    </div>
	        		                        	</div>
	        		                    		@php
	        		                    			++$stopIndex;
	        		                    		    ++$stopNo;
	        		                    		@endphp
	        		                    	@endforeach
	        		                    @endif
	        		                    @php
	        		                        $stopStatus 		= $stopStatusArry[$stopIndex] ?? [];
	        		                    @endphp
	        		                    <div>
    		                    		    <div class="loadInfo-block">
    		                    		    	<div class="loadInfo-head">
    		                    		    		<div class="row justify-content-between">
    		                    	                    <div class="col-auto">
    		                    	                        <h6>Delivery Stop - 99</h6>
    		                    	                    </div>
    		                    	                    <div class="col-auto">
    		                    	                        <div class="d-flex align-items-center">
    		                    	                            <p>{{ $stopStatus['status'] ?? 'Pending' }}</p>
    		                    	                            <span class="file-status">
    		                    	                            	<i class="fa fa-file-text-o" aria-hidden="true"></i>
    		                    	                            	@if(isset($stopStatus['class']))
    		                    	                            		@if($stopStatus['class']=='text-danger')
    		                    	                            			<span class="dot bg-danger"></span>
    		                    	                            		@elseif($stopStatus['class']=='text-success')
    		                    	                            			<span class="dot bg-success"></span>
    		                    	                            		@else
    		                    	                            			<span class="dot bg-warning"></span>
    		                    	                            		@endif
    		                    	                            	@else
    		                    	                            		<span class="dot bg-warning"></span>
    		                    	                            	@endif
    		                    	                            </span>
    		                    	                        </div>
    		                    	                    </div>
    		                    	                </div>
    		                    		    	</div>
    		                    		    	<div class="loadInfo-body">
    		                    		    		@php
    		                    		    			$delivery_time_range 		= $loadDetail->delivery_time_range ?? 0;
    		                    		    		@endphp
    		                    		    		@if($delivery_time_range == 0)
    		                    		    			<div class="form-group">
    		                    		    			    <label>Pickup Date:</label>
    		                    		    			    <span class="in-value">{{ date('m/d/Y', strtotime($loadDetail->getRawOriginal('delivery_date_time'))) }}</span>
    		                    		    			</div>
    		                    		    			<div class="form-group">
    		                    		    			    <label>Pickup Time:</label>
    		                    		    			    <span class="in-value">{{ date(getTimeLayout(0), strtotime($loadDetail->getRawOriginal('delivery_date_time'))) }} Appt</span>
    		                    		    			</div>
    		                    		    		@else
    		                    		    			<div class="form-group">
    		                    		    			    <label>Open Date/Time:</label>
    		                    		    			    <span class="in-value">{{ date(getTimeLayout(), strtotime($loadDetail->getRawOriginal('delivery_date_time'))) }}</span>
    		                    		    			</div>
    		                    		    			<div class="form-group">
    		                    		    			    <label>Close Date/Time:</label>
    		                    		    			    <span class="in-value">{{ date(getTimeLayout(), strtotime($loadDetail->getRawOriginal('delivery_date_time_end'))) }}</span>
    		                    		    			</div>
    		                    		    		@endif
    		                    		    	    <div class="form-group">
    		                    		    	        <label>Receiver:</label>
    		                    		    	        <span class="in-value">{{ $loadDetail->receiver->name ?? '' }}</span>
    		                    		    	    </div>
    		                    		    	    <div class="form-group">
    		                    		    	        <label>Address:</label>
    		                    		    	        <span class="in-value address-one"
    		                    		    	        	data-customer_type="2"
    		                    		    	        	data-latitude="{{ $loadDetail->delivery_latitude ?? '' }}"
    		                    		    	        	data-longitude="{{ $loadDetail->delivery_longitude ?? '' }}"
    		                    		    	        	data-address_verified="{{ $loadDetail->delivery_address_verified ?? '' }}"
    		                    		    	        	data-abbr="{{ $loadDetail->delivery_timezone_abbr ?? '' }}">
    		                    		    	        	{{ $loadDetail->delivery_address_one ?? '' }}
    		                    		    	        </span>
    		                    		    	    </div>
    		                    		    	    <div class="form-group">
    		                    		    	        <label>City:</label>
    		                    		    	        <span class="in-value city">{{ $loadDetail->delivery_city ?? '' }}</span>
    		                    		    	    </div>
    		                    		    	    <div class="form-group">
    		                    		    	        <label>State:</label>
    		                    		    	        <span class="in-value state">{{ $loadDetail->delivery_state ?? '' }}</span>
    		                    		    	    </div>
    		                    		    	    <div class="form-group">
    		                    		    	        <label>Zip Code:</label>
    		                    		    	        <span class="in-value zip">{{ $loadDetail->delivery_zip ?? '' }}</span>
    		                    		    	    </div>
    		                    		    	    <div class="form-group">
    		                    		    	        <label>Phone:</label>
    		                    		    	        <span class="in-value">{{ $loadDetail->receiver->phone ?? '' }}</span>
    		                    		    	    </div>
    		                    		    	    <div class="form-group">
    		                    		    	        <label>Contact:</label>
    		                    		    	        <span class="in-value">{{ $loadDetail->receiver->dispatch_contact ?? '' }}</span>
    		                    		    	    </div>
    		                    		    	    <div class="form-group">
    		                    		    	        <label>Email:</label>
    		                    		    	        <span class="in-value">{{ $loadDetail->receiver->email ?? '' }}</span>
    		                    		    	    </div>
    		                    		    	    <div class="form-group">
    		                    		    	        <label>Delivery Number:</label>
    		                    		    	        <span class="in-value">{{ $loadDetail->delivery_pickup_number ?? '' }}</span>
    		                    		    	    </div>
    		                    		    	    <div class="form-group">
    		                    		    	        <label>Required Documents:</label>
    		                    		    	        <span class="in-value">
    		                    		    	        	<a href="javascript:void(0);" class="a-link required-documents" data-type="required_documents" data-customer_type="2" data-is_stop="0" data-load_detail_id="{{ $loadDetail->id }}">Click For Status</a>
    		                    		    	        </span>
    		                    		    	    </div>
    		                    		    	</div>
    		                    		    	<div class="loadInfo-footer">
    		                    		    		@if((isset($loadDetail->driver_id) && $loadDetail->driver_id!='0') && (isset($loadDetail->brokerage_firm) && $loadDetail->brokerage_firm!=''))
    		                    		    			@php
    		                    		    				$receiver_detention                    		= isset($loadDetail->receiver_detention)?$loadDetail->receiver_detention:null;
    		                    		    			@endphp
    		                    		    			@if(!is_null($receiver_detention))
    		                    		    			    <a
    		                    		    			        href="javascript:void(0);"
    		                    		    			        class="btn btn-danger detention-request"
    		                    		    			        data-mode="edit"
    		                    		    			        data-type="2"
    		                    		    			        data-is_stop="0"
    		                    		    			        data-load_detail_id="{{ $loadDetail->id }}"
    		                    		    			        data-unique_id="{{ substr(base_convert(sha1(uniqid(mt_rand())), 16, 36), 0, 12) }}"
    		                    		    			        data-detention_id="{{ $receiver_detention->id }}"
    		                    		    			    >Edit Detention</a>
    		                    		    			@else
    		                    		    			    <a
    		                    		    			        href="javascript:void(0);"
    		                    		    			        class="btn btn-danger detention-request"
    		                    		    			        data-mode="add"
    		                    		    			        data-type="2"
    		                    		    			        data-is_stop="0"
    		                    		    			        data-load_detail_id="{{ $loadDetail->id }}"
    		                    		    			        data-unique_id="{{ substr(base_convert(sha1(uniqid(mt_rand())), 16, 36), 0, 12) }}"
    		                    		    			    >Add Detention</a>
    		                    		    			@endif
    		                    		    		@endif
    		                    		    		<a href="javascript:void(0);" class="btn btn-blue additional-details" data-type="additional_details" data-customer_type="2" data-is_stop="0" data-load_detail_id="{{ $loadDetail->id }}">Additional Details</a>
    		                    		    	</div>
    		                    		    </div>
	        		                    </div>
	        		                </div>
	        		                <div class="position-relative mt-2">
	        		                    <div class="loadMi-slider slider">
	        		                    	@php
	        		                    		$milesStopIndex = 0;
	        		                    	@endphp
	        		                        <div data-miles-stop-index="{{ $milesStopIndex }}">
	        		                        	<span></span>
	        		                            <p class="miles"></p>
	        		                        </div>
	        		                        @php
	        		                            ++$milesStopIndex;
	        		                        @endphp
	        		                        @if(isset($load->load_stops) && $load->load_stops->isNotEmpty())
	        		                        	@foreach ($load->load_stops as $key => $stop)
	        		                        		<div data-miles-stop-index="{{ $milesStopIndex }}">
	        		                        			<span></span>
	        		                        		    <p class="miles"></p>
	        		                        		</div>
	        		                        		@php
	        		                        			++$milesStopIndex;
	        		                        		@endphp
	        		                        	@endforeach
	        		                        @endif
	        		                        <div data-miles-stop-index="{{ $milesStopIndex }}">
	        		                        	<span></span>
	        		                            <p class="miles"></p>
	        		                        </div>
	        		                    </div>
	        		                </div>
	        		            </div>
	        		        </div>
	        		    </div>
	        		</div>
	        		<div class="card">
	        		    <div class="card-header" id="headingBillingPayment">
	        		        <h2 class="mb-0">
	        		            <button
	        		            	type="button"
	        		            	class="btn btn-link btn-block text-left"
	        		                data-toggle="collapse"
	        		                data-target="#billing-payment-collapse"
	        		                aria-expanded="true"
	        		                aria-controls="billing-payment-collapse">
	        		                Billing & Payment<i class="fa fa-chevron-circle-down" aria-hidden="true"></i>
	        		            </button>
	        		        </h2>
	        		    </div>
	        		    <div
	        		    	class="collapse show"
	        		    	id="billing-payment-collapse"
	        		        aria-labelledby="headingBillingPayment">
	        		        <div class="card-body billing-block">
	        		        	<div class="mb-2">
	        		        	    <div class="row align-items-center justify-content-between">
	        		        	        <div class="col-auto"><a href="javascript:void(0);" class="a-link disabled">Split to new driver+</a></div>
	        		        	        <div class="col-auto"><img src="{{ asset('theme/images/billing-icon.svg') }}" alt="Billing-icon"></div>
	        		        	    </div>
	        		        	</div>
	        		        	{{--
	        		        	<div class="mb-2">
	        		        	    <div class="row justify-content-end">
	        		        	        <div class="col-auto">
	        		        	        	<img src="{{ asset('theme/images/billing-icon.svg') }}" alt="icon">
	        		        	        </div>
	        		        	    </div>
	        		        	</div>
	        		        	--}}
	        		        	<div class="row">
	        		        		<div class="col-xl-4 col-md-6">
	        		        			<div class="mileage-rating-div">
	        		        				<div class="billing-evaluateDiv">
	        		        					<div class="billing-evaluateHead">
	        		        					    <div class="row align-items-center justify-content-between">
	        		        					        <div class="col-auto">
	        		        					            <h6>Mileage & Rating</h6>
	        		        					        </div>
	        		        					        <div class="col-auto">
	        		        					            <a href="javascript:void(0);" class="a-link disabled">Split Bill+</a>
	        		        					        </div>
	        		        					    </div>
	        		        					</div>
	        		        					<div class="billing-evaluateBody" style="min-height: 195px;">
	        		        						<div class="row">
	        		        						    <div class="col-4">
	        		        						        <div class="form-group text-center">
	        		        						            <label for="empty_miles">Empty Miles</label>
	        		        						            <div>
	        		        						                <span class="in-value">{{ isset($loadDetail->empty_miles) ? number_format($loadDetail->empty_miles, 2, '.', ',') : '' }}</span>
	        		        						            </div>
	        		        						        </div>
	        		        						    </div>
	        		        						    <div class="col-4">
	        		        						        <div class="form-group text-center">
	        		        						            <label for="loaded_miles">Loaded Miles</label>
	        		        						            <div>
	        		        						                <span class="in-value">{{ isset($loadDetail->loaded_miles) ? number_format($loadDetail->loaded_miles, 2, '.', ',') : '' }}</span>
	        		        						            </div>
	        		        						        </div>
	        		        						    </div>
	        		        						    <div class="col-4">
	        		        						        <div class="form-group text-center">
	        		        						            <label for="total_miles">Total Miles</label>
	        		        						            <div>
	        		        						                <span class="in-value">{{ isset($loadDetail->total_miles) ? number_format($loadDetail->total_miles, 2, '.', ',') : '' }}</span>
	        		        						            </div>
	        		        						        </div>
	        		        						    </div>
	        		        						</div>
	        		        						<div class="row form-group align-items-center">
	        		        						    <div class="col-8">
	        		        						        <label for="agreed_upon_rate" class="mb-0">Agreed Upon Rate:</label>
	        		        						    </div>
	        		        						    <div class="col-4 text-right">
	        		        						        <span class="in-value total-bill-addition" data-value="{{ $loadDetail->agreed_upon_rate ?? '' }}">{{ isset($loadDetail->agreed_upon_rate) ? '$'.number_format($loadDetail->agreed_upon_rate, 2, '.', ',') : '' }}</span>
	        		        						    </div>
	        		        						</div>
	        		        						<div class="row form-group align-items-center">
	        		        						    <div class="col-8">
	        		        						        <label for="fuel_surcharge_cost_per_mile" class="mb-0">Fuel Surcharge Cost Per Mile:</label>
	        		        						    </div>
	        		        						    <div class="col-4 text-right">
	        		        						        <span class="in-value">{{ isset($loadDetail->fuel_surcharge_cost_per_mile) ? '$'.number_format($loadDetail->fuel_surcharge_cost_per_mile, 2, '.', ',') : '' }}</span>
	        		        						    </div>
	        		        						</div>
	        		        						<div class="row form-group align-items-center">
	        		        						    <div class="col-8">
	        		        						        <label for="fuel_surcharge" class="mb-0">Fuel Surcharge:</label>
	        		        						    </div>
	        		        						    <div class="col-4 text-right">
	        		        						        <span class="in-value">{{ isset($loadDetail->fuel_surcharge) ? '$'.number_format($loadDetail->fuel_surcharge, 2, '.', ',') : '' }}</span>
	        		        						    </div>
	        		        						</div>
	        		        						<div class="row form-group align-items-center">
	        		        						    <div class="col-8">
	        		        						        <label for="line_haul" class="mb-0">Line Haul:</label>
	        		        						    </div>
	        		        						    <div class="col-4 text-right">
	        		        						        <span class="in-value">{{ isset($loadDetail->line_haul) ? '$'.number_format($loadDetail->line_haul, 2, '.', ',') : '' }}</span>
	        		        						    </div>
	        		        						</div>
	        		        						<div class="row form-group align-items-center d-none">
	        		        						    <div class="col-8">
	        		        						        <label for="detention" class="mb-0">Detention:</label>
	        		        						    </div>
	        		        						    <div class="col-4 text-right">
	        		        						        <span class="in-value total-bill-addition" data-value=""></span>
	        		        						    </div>
	        		        						</div>
	        		        						<div class="accessorials-wrapper">
	        		        						</div>
	        		        					</div>
	        		        					<div class="billing-evaluateFooter">
	        		        						<div class="row form-group align-items-center mb-0">
	        		        						    <div class="col-8">
	        		        						        <label for="total_bill" class="mb-0">Total Bill</label>
	        		        						    </div>
	        		        						    <div class="col-4 text-right">
	        		        						        <span class="in-value total-bill">{{ isset($loadDetail->total_bill) ? '$'.number_format($loadDetail->total_bill, 2, '.', ',') : '' }}</span>
	        		        						    </div>
	        		        						</div>
	        		        					</div>
	        		        				</div>
	        		        			</div>
	        		        		</div>
	        		        		<div class="col-xl-4 col-md-6 mt-2 mt-md-0">
	        		        			<div class="billing-slider slider">
		        		        			@if(isset($loadTruckOwners) && $loadTruckOwners->isNotEmpty())
		        		        				@foreach($loadTruckOwners as $key => $loadTruckOwner)
	        		        						<div class="truck-payment-div" data-number="{{ $key }}" data-driver_id="{{ $loadTruckOwner->driver_id }}" data-owner_type="{{ $loadTruckOwner->owner_type }}" data-owner_id="{{ $loadTruckOwner->owner_id }}" data-truck_owner_id="{{ $loadTruckOwner->owner_type.'_'.$loadTruckOwner->owner_id }}">
	        		        							<div class="billing-evaluateDiv">
	        		        								<div class="billing-evaluateHead">
	        		        								    <div class="row align-items-center justify-content-between">
	        		        								        <div class="col-auto">
	        		        								            <h6>Truck Pay: <span class="owner-name">
	        		        								            	@php
	        		        								            		$name 			= 'Truck Owner Name';
	        		        								            	@endphp
	        		        								            	@if($loadTruckOwner->owner_type=='1')
	        		        								            		@php
	        		        								            			$ltcrow 	= \App\Models\Carrier::whereId($loadTruckOwner->owner_id)->first();
	        		        								            			if(!is_null($ltcrow)){
	        		        								            				$name  	= $ltcrow->name;
	        		        								            			}
	        		        								            		@endphp
	        		        								            	@elseif($loadTruckOwner->owner_type=='2')
	        		        								            		@php
	        		        								            			$ltwrow 	= \App\Models\TruckOwner::whereId($loadTruckOwner->owner_id)->first();
	        		        								            			if(!is_null($ltwrow)){
	        		        								            				$name  	= $ltwrow->name;
	        		        								            			}
	        		        								            		@endphp
	        		        								            	@endif
	        		        								            	{{ $name }}
	        		        								            </span></h6>
	        		        								        </div>
	        		        								    </div>
	        		        								</div>
	        		        								<div class="billing-evaluateBody" style="min-height: 195px;">
	        		        									<div class="row">
	        		        									    <div class="col-4">
	        		        									        <div class="form-group text-center">
	        		        									            <label for="trucks_{{ $key }}_empty_miles">Empty Miles</label>
	        		        									            <div>
	        		        									                <span class="in-value">{{ isset($loadTruckOwner->empty_miles) ? number_format($loadTruckOwner->empty_miles, 2, '.', ',') : '' }}</span>
	        		        									            </div>
	        		        									        </div>
	        		        									    </div>
	        		        									    <div class="col-4">
	        		        									        <div class="form-group text-center">
	        		        									            <label for="trucks_{{ $key }}_loaded_miles">Loaded Miles</label>
	        		        									            <div>
	        		        									                <span class="in-value">{{ isset($loadTruckOwner->loaded_miles) ? number_format($loadTruckOwner->loaded_miles, 2, '.', ',') : '' }}</span>
	        		        									            </div>
	        		        									        </div>
	        		        									    </div>
	        		        									    <div class="col-4">
	        		        									        <div class="form-group text-center">
	        		        									            <label for="trucks_{{ $key }}_total_miles">Total Miles</label>
	        		        									            <div>
	        		        									                <span class="in-value">{{ isset($loadTruckOwner->total_miles) ? number_format($loadTruckOwner->total_miles, 2, '.', ',') : '' }}</span>
	        		        									            </div>
	        		        									        </div>
	        		        									    </div>
	        		        									</div>
	        		        									<div class="row form-group align-items-center">
	        		        									    <div class="col-8">
	        		        									        <label for="trucks_{{ $key }}_pay_type" class="mb-0">Pay Type:</label>
	        		        									    </div>
	        		        									    <div class="col-4 text-right">
	        		        									        <span class="in-value total-bill-addition" data-value="{{ $loadTruckOwner->pay_type ?? '' }}">{{ isset($loadTruckOwner->pay_type) ? '$'.number_format($loadTruckOwner->pay_type, 2, '.', ',') : '' }}</span>
	        		        									    </div>
	        		        									</div>
	        		        									<div class="row form-group align-items-center">
	        		        									    <div class="col-8">
	        		        									        <label for="trucks_{{ $key }}_gross_wage" class="mb-0">Gross Wage:</label>
	        		        									    </div>
	        		        									    <div class="col-4 text-right">
	        		        									        <span class="in-value total-bill-addition" data-value="{{ $loadTruckOwner->gross_wage ?? '' }}">{{ isset($loadTruckOwner->gross_wage) ? '$'.number_format($loadTruckOwner->gross_wage, 2, '.', ',') : '' }}</span>
	        		        									    </div>
	        		        									</div>
	        		        									<div class="accessorials-wrapper">
	        		        									</div>
	        		        								</div>
	        		        								<div class="billing-evaluateFooter">
	        		        									<div class="row form-group align-items-center mb-0">
	        		        									    <div class="col-8">
	        		        									        <label for="trucks_{{ $key }}_total_bill" class="mb-0">Total Bill</label>
	        		        									    </div>
	        		        									    <div class="col-4 text-right">
	        		        									        <span class="in-value total-bill">{{ isset($loadTruckOwner->total_bill) ? '$'.number_format($loadTruckOwner->total_bill, 2, '.', ',') : '' }}</span>
	        		        									    </div>
	        		        									</div>
	        		        								</div>
	        		        							</div>
	        		        						</div>
		        		        				@endforeach
			        		        		@else
		        		        				<div class="truck-payment-div" data-number="0" data-driver_id="0" data-owner_type="" data-owner_id="" data-truck_owner_id="">
		        		        					<div class="billing-evaluateDiv">
		        		        						<div class="billing-evaluateHead">
		        		        						    <div class="row align-items-center justify-content-between">
		        		        						        <div class="col-auto">
		        		        						            <h6>Truck Pay: <span class="owner-name">Truck Owner Name</span></h6>
		        		        						        </div>
		        		        						    </div>
		        		        						</div>
		        		        						<div class="billing-evaluateBody" style="min-height: 195px;">
		        		        							<div class="row">
		        		        							    <div class="col-4">
		        		        							        <div class="form-group text-center">
		        		        							            <label for="trucks_0_empty_miles">Empty Miles</label>
		        		        							            <div>
		        		        							                <span class="in-value"></span>
		        		        							            </div>
		        		        							        </div>
		        		        							    </div>
		        		        							    <div class="col-4">
		        		        							        <div class="form-group text-center">
		        		        							            <label for="trucks_0_loaded_miles">Loaded Miles</label>
		        		        							            <div>
		        		        							                <span class="in-value"></span>
		        		        							            </div>
		        		        							        </div>
		        		        							    </div>
		        		        							    <div class="col-4">
		        		        							        <div class="form-group text-center">
		        		        							            <label for="trucks_0_total_miles">Total Miles</label>
		        		        							            <div>
		        		        							                <span class="in-value"></span>
		        		        							            </div>
		        		        							        </div>
		        		        							    </div>
		        		        							</div>
		        		        							<div class="row form-group align-items-center">
		        		        							    <div class="col-8">
		        		        							        <label for="trucks_0_pay_type" class="mb-0">Pay Type:</label>
		        		        							    </div>
		        		        							    <div class="col-4 text-right">
		        		        							        <span class="in-value total-bill-addition" data-value=""></span>
		        		        							    </div>
		        		        							</div>
		        		        							<div class="row form-group align-items-center">
		        		        							    <div class="col-8">
		        		        							        <label for="trucks_0_gross_wage" class="mb-0">Gross Wage:</label>
		        		        							    </div>
		        		        							    <div class="col-4 text-right">
		        		        							        <span class="in-value total-bill-addition" data-value=""></span>
		        		        							    </div>
		        		        							</div>
		        		        							<div class="accessorials-wrapper">
		        		        							</div>
		        		        						</div>
		        		        						<div class="billing-evaluateFooter">
		        		        							<div class="row form-group align-items-center mb-0">
		        		        							    <div class="col-8">
		        		        							        <label for="trucks_0_total_bill" class="mb-0">Total Bill</label>
		        		        							    </div>
		        		        							    <div class="col-4 text-right">
		        		        							        <span class="in-value total-bill"></span>
		        		        							    </div>
		        		        							</div>
		        		        						</div>
		        		        					</div>
		        		        				</div>
			        		        		@endif
	        		        			</div>
	        		        		</div>
	        		        		<div class="col-xl-4 col-md-6 mt-2 mt-md-0">
	        		        			<div class="billing-slider slider">
		        		        			@if(isset($loadDrivers) && $loadDrivers->isNotEmpty())
		        		        				@foreach($loadDrivers as $key => $loadDriver)
	        		        						<div class="driver-payment-div" data-number="{{ $key }}" data-driver_id="{{ $loadDriver->driver_id }}">
	        		        							<div class="billing-evaluateDiv">
	        		        								<div class="billing-evaluateHead">
	        		        								    <div class="row align-items-center justify-content-between">
	        		        								        <div class="col-auto">
	        		        								            <h6>Driver Pay: <span class="driver-name">
	        		        								            	@if(isset($loadDriver->driver))
	        		        								            	    {{ $loadDriver->driver->last_name.', '.$loadDriver->driver->first_name }}
	        		        								            	@else
	        		        								            	    Driver Name
	        		        								            	@endif
	        		        								            </span></h6>
	        		        								        </div>
	        		        								    </div>
	        		        								</div>
	        		        								<div class="billing-evaluateBody" style="min-height: 195px;">
	        		        									<div class="row">
	        		        									    <div class="col-4">
	        		        									        <div class="form-group text-center">
	        		        									            <label for="drivers_{{ $key }}_empty_miles">Empty Miles</label>
	        		        									            <div>
	        		        									                <span class="in-value">{{ isset($loadDriver->empty_miles) ? number_format($loadDriver->empty_miles, 2, '.', ',') : '' }}</span>
	        		        									            </div>
	        		        									        </div>
	        		        									    </div>
	        		        									    <div class="col-4">
	        		        									        <div class="form-group text-center">
	        		        									            <label for="drivers_{{ $key }}_loaded_miles">Loaded Miles</label>
	        		        									            <div>
	        		        									                <span class="in-value">{{ isset($loadDriver->loaded_miles) ? number_format($loadDriver->loaded_miles, 2, '.', ',') : '' }}</span>
	        		        									            </div>
	        		        									        </div>
	        		        									    </div>
	        		        									    <div class="col-4">
	        		        									        <div class="form-group text-center">
	        		        									            <label for="drivers_{{ $key }}_total_miles">Total Miles</label>
	        		        									            <div>
	        		        									                <span class="in-value">{{ isset($loadDriver->total_miles) ? number_format($loadDriver->total_miles, 2, '.', ',') : '' }}</span>
	        		        									            </div>
	        		        									        </div>
	        		        									    </div>
	        		        									</div>
	        		        									<div class="row form-group align-items-center">
	        		        									    <div class="col-8">
	        		        									        <label for="drivers_{{ $key }}_pay_type" class="mb-0">Pay Type:</label>
	        		        									    </div>
	        		        									    <div class="col-4 text-right">
	        		        									        <span class="in-value total-bill-addition" data-value="{{ $loadDriver->pay_type ?? '' }}">{{ isset($loadDriver->pay_type) ? '$'.number_format($loadDriver->pay_type, 2, '.', ',') : '' }}</span>
	        		        									    </div>
	        		        									</div>
	        		        									<div class="row form-group align-items-center">
	        		        									    <div class="col-8">
	        		        									        <label for="drivers_{{ $key }}_gross_wage" class="mb-0">Gross Wage:</label>
	        		        									    </div>
	        		        									    <div class="col-4 text-right">
	        		        									        <span class="in-value total-bill-addition" data-value="{{ $loadDriver->gross_wage ?? '' }}">{{ isset($loadDriver->gross_wage) ? '$'.number_format($loadDriver->gross_wage, 2, '.', ',') : '' }}</span>
	        		        									    </div>
	        		        									</div>
	        		        									<div class="row form-group align-items-center d-none">
	        		        									    <div class="col-8">
	        		        									        <label for="drivers_{{ $key }}_detention" class="mb-0">Detention:</label>
	        		        									    </div>
	        		        									    <div class="col-4 text-right">
	        		        									        <span class="in-value total-bill-addition" data-value=""></span>
	        		        									    </div>
	        		        									</div>
	        		        									<div class="accessorials-wrapper">
	        		        									</div>
	        		        								</div>
	        		        								<div class="billing-evaluateFooter">
	        		        									<div class="row form-group align-items-center mb-0">
	        		        									    <div class="col-8">
	        		        									        <label for="drivers_{{ $key }}_total_bill" class="mb-0">Total Bill</label>
	        		        									    </div>
	        		        									    <div class="col-4 text-right">
	        		        									        <span class="in-value total-bill">{{ isset($loadDriver->total_bill) ? '$'.number_format($loadDriver->total_bill, 2, '.', ',') : '' }}</span>
	        		        									    </div>
	        		        									</div>
	        		        								</div>
	        		        							</div>
	        		        						</div>
		        		        				@endforeach
		        		        			@else
	        		        					<div class="driver-payment-div" data-number="0" data-driver_id="0">
	        		        						<div class="billing-evaluateDiv">
	        		        							<div class="billing-evaluateHead">
	        		        							    <div class="row align-items-center justify-content-between">
	        		        							        <div class="col-auto">
	        		        							            <h6>Driver Pay: <span class="driver-name">Driver Name</span></h6>
	        		        							        </div>
	        		        							    </div>
	        		        							</div>
	        		        							<div class="billing-evaluateBody" style="min-height: 195px;">
	        		        								<div class="row">
	        		        								    <div class="col-4">
	        		        								        <div class="form-group text-center">
	        		        								            <label for="drivers_0_empty_miles">Empty Miles</label>
	        		        								            <div>
	        		        								                <span class="in-value"></span>
	        		        								            </div>
	        		        								        </div>
	        		        								    </div>
	        		        								    <div class="col-4">
	        		        								        <div class="form-group text-center">
	        		        								            <label for="drivers_0_loaded_miles">Loaded Miles</label>
	        		        								            <div>
	        		        								                <span class="in-value"></span>
	        		        								            </div>
	        		        								        </div>
	        		        								    </div>
	        		        								    <div class="col-4">
	        		        								        <div class="form-group text-center">
	        		        								            <label for="drivers_0_total_miles">Total Miles</label>
	        		        								            <div>
	        		        								                <span class="in-value"></span>
	        		        								            </div>
	        		        								        </div>
	        		        								    </div>
	        		        								</div>
	        		        								<div class="row form-group align-items-center">
	        		        								    <div class="col-8">
	        		        								        <label for="drivers_0_pay_type" class="mb-0">Pay Type:</label>
	        		        								    </div>
	        		        								    <div class="col-4 text-right">
	        		        								        <span class="in-value total-bill-addition" data-value=""></span>
	        		        								    </div>
	        		        								</div>
	        		        								<div class="row form-group align-items-center">
	        		        								    <div class="col-8">
	        		        								        <label for="drivers_0_gross_wage" class="mb-0">Gross Wage:</label>
	        		        								    </div>
	        		        								    <div class="col-4 text-right">
	        		        								        <span class="in-value total-bill-addition" data-value=""></span>
	        		        								    </div>
	        		        								</div>
	        		        								<div class="row form-group align-items-center d-none">
	        		        								    <div class="col-8">
	        		        								        <label for="drivers_0_detention" class="mb-0">Detention:</label>
	        		        								    </div>
	        		        								    <div class="col-4 text-right">
	        		        								        <span class="in-value total-bill-addition" data-value=""></span>
	        		        								    </div>
	        		        								</div>
	        		        								<div class="accessorials-wrapper">
	        		        								</div>
	        		        							</div>
	        		        							<div class="billing-evaluateFooter">
	        		        								<div class="row form-group align-items-center mb-0">
	        		        								    <div class="col-8">
	        		        								        <label for="drivers_0_total_bill" class="mb-0">Total Bill</label>
	        		        								    </div>
	        		        								    <div class="col-4 text-right">
	        		        								        <span class="in-value total-bill"></span>
	        		        								    </div>
	        		        								</div>
	        		        							</div>
	        		        						</div>
	        		        					</div>
		        		        			@endif
	        		        			</div>
	        		        		</div>
	        		        	</div>
	        		        	@if($totalPendingDetention > 0)
	        		        		<p class="text-danger pending-detention-txt">Billing Hold (Detention Requests Pending)</p>
	        		        	@else
	        		        		<p class="text-danger pending-detention-txt d-none">Billing Hold (Detention Requests Pending)</p>
	        		        	@endif
	        		        </div>
	        		    </div>
	        		</div>
	        		<div class="card">
	        		    <div class="card-header" id="headingLoadDocumentSummary">
	        		        <h2 class="mb-0">
	        		            <button
	        		            	type="button"
	        		            	class="btn btn-link btn-block text-left collapsed"
	        		                data-toggle="collapse"
	        		                data-target="#load-document-collapse"
	        		                aria-expanded="false"
	        		                aria-controls="load-document-collapse">
	        		                Load Document Summary<i class="fa fa-chevron-circle-down" aria-hidden="true"></i>
	        		            </button>
	        		        </h2>
	        		    </div>
	        		    <div
	        		    	class="collapse"
	        		    	id="load-document-collapse"
	        		        aria-labelledby="headingLoadDocumentSummary">
	        		        <div class="card-body">
	        		            <div class="cart-padding">
	        		            	<div class="table-responsive" id="loadfile"></div>
	        		            </div>
	        		        </div>
	        		    </div>
	        		</div>
	        		<div class="card">
	        		    <div class="card-header" id="headingDetentions">
	        		        <h2 class="mb-0">
	        		            <button
	        		            	type="button"
	        		            	class="btn btn-link btn-block text-left collapsed"
	        		                data-toggle="collapse"
	        		                data-target="#detentions-collapse"
	        		                aria-expanded="false"
	        		                aria-controls="detentions-collapse">
	        		                Detentions<i class="fa fa-chevron-circle-down" aria-hidden="true"></i>
	        		            </button>
	        		        </h2>
	        		    </div>
	        		    <div
	        		    	class="collapse"
	        		    	id="detentions-collapse"
	        		    	aria-labelledby="headingDetentions">
	        		        <div class="card-body">
	        		        	<div class="cart-padding">
	        		        		<div class="row detention-request-list">
	        		        		    <div class="col-12 append-view">
	        		        		    	@if(isset($load->load_detail->detentions) && $load->load_detail->detentions->isNotEmpty())
	        		        		    	    <?php
	        		        		    	        $html                       = '';
	        		        		    	        $shipper_detention          = isset($loadDetail->shipper_detention)?$loadDetail->shipper_detention:null;
	        		        		    	        if(!is_null($shipper_detention)){
	        		        		    	            $pTag                   = '<p style="margin:0;font-size:14px;">';
	        		        		    	            $pTag                  .= 'Load Pickup - ';
	        		        		    	            if(in_array($shipper_detention->detention_status,[2,3])){
	        		        		    	                $pTag              .= 'Detention Due ';
	        		        		    	                $due_class          = ($shipper_detention->review_status!='Denied')?'detention-due':'';
	        		        		    	                $pTag              .= '<span class="'.$due_class.'" data-detention_due="'.(float)$shipper_detention->detention_due.'" data-driver_id="'.$shipper_detention->driver_id.'">';
	        		        		    	                $pTag              .= '$'.number_format((float)$shipper_detention->detention_due, 2, '.', ',');
	        		        		    	                $pTag              .= '</span> ';
	        		        		    	            }
	        		        		    	            $pTag                  .= 'Status: '.$shipper_detention->review_status;
	        		        		    	            $pTag                  .= '&nbsp; <a href="javascript:void(0)" class="link" data-detention_id="'.$shipper_detention->id.'"><img src="/theme/images/edit-black.png" alt="Edit Detention"></a></p>';
	        		        		    	            $html                  .= $pTag;
	        		        		    	        }
	        		        		    	        if(isset($load->load_stops) && $load->load_stops->isNotEmpty()){
	        		        		    	            $stopIds                = $load->load_stops->pluck('id')->toArray();
	        		        		    	            foreach ($stopIds as $stkey => $stopId) {
	        		        		    	                ++$stkey;
	        		        		    	                $stopd              = \App\Models\LoadStop::whereId($stopId)->first();
	        		        		    	                if(isset($stopd->detention)){
	        		        		    	                    $pTag           = '<p style="margin:0;font-size:14px;">';
	        		        		    	                    $pTag          .= 'Stop '.$stopd->stop_no;
	        		        		    	                    if($stopd->customer_type=='1'){
	        		        		    	                        $pTag      .= ' Pickup - ';
	        		        		    	                    }else{
	        		        		    	                        $pTag      .= ' Delivery - ';
	        		        		    	                    }
	        		        		    	                    if(in_array($stopd->detention->detention_status,[2,3])){
	        		        		    	                        $pTag      .= 'Detention Due ';
	        		        		    	                        $due_class  = ($stopd->detention->review_status!='Denied')?'detention-due':'';
	        		        		    	                        $pTag      .= '<span class="'.$due_class.'" data-detention_due="'.(float)$stopd->detention->detention_due.'" data-driver_id="'.$stopd->detention->driver_id.'">';
	        		        		    	                        $pTag      .= '$'.number_format((float)$stopd->detention->detention_due, 2, '.', ',');
	        		        		    	                        $pTag      .= '</span> ';
	        		        		    	                    }
	        		        		    	                    $pTag          .= 'Status: '.$stopd->detention->review_status;
	        		        		    	                    $pTag          .= '&nbsp; <a href="javascript:void(0)" class="link" data-detention_id="'.$stopd->detention->id.'"><img src="/theme/images/edit-black.png" alt="Edit Detention"></a></p>';
	        		        		    	                    $html          .= $pTag;
	        		        		    	                }
	        		        		    	            }
	        		        		    	        }
	        		        		    	        $receiver_detention         = isset($loadDetail->receiver_detention)?$loadDetail->receiver_detention:null;
	        		        		    	        if(!is_null($receiver_detention)){
	        		        		    	            $pTag                   = '<p style="margin:0;font-size:14px;">';
	        		        		    	            $pTag                  .= 'Load Delivery - ';
	        		        		    	            if(in_array($receiver_detention->detention_status,[2,3])){
	        		        		    	                $pTag              .= 'Detention Due ';
	        		        		    	                $due_class          = ($receiver_detention->review_status!='Denied')?'detention-due':'';
	        		        		    	                $pTag              .= '<span class="'.$due_class.'" data-detention_due="'.(float)$receiver_detention->detention_due.'" data-driver_id="'.$receiver_detention->driver_id.'">';
	        		        		    	                $pTag              .= '$'.number_format((float)$receiver_detention->detention_due, 2, '.', ',');
	        		        		    	                $pTag              .= '</span> ';
	        		        		    	            }
	        		        		    	            $pTag                  .= 'Status: '.$receiver_detention->review_status;
	        		        		    	            $pTag                  .= '&nbsp; <a href="javascript:void(0)" class="link" data-detention_id="'.$receiver_detention->id.'"><img src="/theme/images/edit-black.png" alt="Edit Detention"></a></p>';
	        		        		    	            $html                  .= $pTag;
	        		        		    	        }
	        		        		    	    ?>
	        		        		    	    {!! $html !!}
	        		        		    	@else
	        		        		    	    <p>No record found.</p>
	        		        		    	@endif
	        		        		    </div>
	        		        		</div>
	        		        	</div>
	        		        </div>
	        		    </div>
	        		</div>
	        		<div class="card">
	        		    <div class="card-header" id="headingCheckCallLogs">
	        		        <h2 class="mb-0">
	        		            <button
	        		            	type="button"
	        		            	class="btn btn-link btn-block text-left collapsed"
	        		                data-toggle="collapse"
	        		                data-target="#check-call-logs-collapse"
	        		                aria-expanded="false"
	        		                aria-controls="check-call-logs-collapse">
	        		                Check Call Logs<i class="fa fa-chevron-circle-down" aria-hidden="true"></i>
	        		            </button>
	        		        </h2>
	        		    </div>
	        		    <div
	        		    	class="collapse"
	        		    	id="check-call-logs-collapse"
	        		        aria-labelledby="headingCheckCallLogs">
	        		        <div class="card-body">
	        		        	<div class="cart-padding">
	        		        		<div class="table-responsive">
	        		        		    <table class="checkCall-table mt-0">
	        		        		        <tr>
	        		        		            <th>Status</th>
	        		        		            <th>Type</th>
	        		        		            <th>Type</th>
	        		        		            <th>Sender</th>
	        		        		            <th>Recipient</th>
	        		        		            <th>Comm.Type</th>
	        		        		            <th>Time Sent</th>
	        		        		            <th>Check Call Time</th>
	        		        		            <th>Reminder</th>
	        		        		            <th>Notes</th>
	        		        		        </tr>
	        		        		        <tr>
	        		        		        	<td colspan="10">No data available in table</td>
	        		        		        </tr>
	        		        		    </table>
	        		        		</div>
	        		        	</div>
	        		        </div>
	        		    </div>
	        		</div>
	        		<div class="card">
	        		    <div class="card-header" id="headingLoadLogs">
	        		        <h2 class="mb-0">
	        		            <button
	        		            	type="button"
	        		            	class="btn btn-link btn-block text-left collapsed"
	        		                data-toggle="collapse"
	        		                data-target="#load-logs-collapse"
	        		                aria-expanded="false"
	        		                aria-controls="load-logs-collapse">
	        		                Load Logs<i class="fa fa-chevron-circle-down" aria-hidden="true"></i>
	        		            </button>
	        		        </h2>
	        		    </div>
	        		    <div
	        		    	class="collapse"
	        		    	id="load-logs-collapse"
	        		    	aria-labelledby="headingLoadLogs">
	        		        <div class="card-body">
	        		            <div class="cart-padding">
	        		            	@include('companyAdmin.load.include.load-logs')
	        		            </div>
	        		        </div>
	        		    </div>
	        		</div>
	        		<div class="card">
	        		    <div class="card-header" id="headingAuditLoads">
	        		        <h2 class="mb-0">
	        		            <button
	        		            	type="button"
	        		            	class="btn btn-link btn-block text-left collapsed"
	        		                data-toggle="collapse"
	        		                data-target="#audit-loads-collapse"
	        		                aria-expanded="false"
	        		                aria-controls="audit-loads-collapse">
	        		                Audit Loads<i class="fa fa-chevron-circle-down" aria-hidden="true"></i>
	        		            </button>
	        		        </h2>
	        		    </div>
	        		    <div
	        		    	class="collapse"
	        		    	id="audit-loads-collapse"
	        		        aria-labelledby="headingAuditLoads">
	        		        <div class="card-body">
	        		            <div class="cart-padding">
	        		            	<div class="table-responsive auditLoad-table">
	        		            		@include('companyAdmin.load.include.audit_load',['getField' => $getField])
	        		            	</div>
	        		            </div>
	        		        </div>
	        		    </div>
	        		</div>
	        	</div>
	        	<!-- collapse section -->
	        </div>
	        <div class="col-auto view-loadSidebar">
	        	<div class="">
	        		<div class="mb-2">
	        		    <div class="btn-group" role="group" aria-label="Basic example">
	        		        <a href="javascript:void(0);" class="btn btn-blue disabled">Request Checkcall <img src="{{ asset('theme/images/phone-blue.svg') }}" alt="icon"></a>
	        		        <a href="javascript:void(0);" class="btn btn-blue" id="requestDoc">Request Doc <img src="{{ asset('theme/images/pencil-blue.svg') }}" alt="icon"></a>
	        		        <a href="{{ route('company.admin.loads.edit', base64Encode($load->id)) }}" class="btn btn-blue">Edit <img src="{{ asset('theme/images/pencil-blue.svg') }}" alt="icon"></a>
	        		    </div>
	        		</div>
	        		<div class="card view-loadCard view-driverTab mb-4 overflow-hidden">
	        		    <div class="card-header bg-blueTheme text-white">
	        		        <ul class="nav nav-tabs">
	        		            <li class="nav-item">
	        		                <a class="nav-link active" data-toggle="tab" href="#driver">Driver</a>
	        		            </li>
	        		            <li class="nav-item">
	        		                <a class="nav-link" data-toggle="tab" href="#customer">Customer</a>
	        		            </li>
	        		        </ul>
	        		        <div class="d-flex align-items-center">
	        		            <div class="viewLoad-search">
	        		                <div class="form-group mb-0">
	        		                    <div class="input-group">
	        		                        <input type="search" class="form-control" placeholder="Search">
	        		                        <i class="fa fa-search" aria-hidden="true"></i>
	        		                    </div>
	        		                </div>
	        		            </div>
	        		            <img src="{{ asset('theme/images/card-btn.svg') }}" alt="icon">
	        		        </div>
	        		    </div>
	        		    <div class="card-body">
	        		        <div class="tab-content">
	        		            <div class="tab-pane active" id="driver">
	        		                <div class="custom-scrollbar" style="height:445px">
	        		                    <div class="card-padding ">
	        		                        <div class="mb-3">
	        		                            <div class="viewLoad-hr">
	        		                                <span>Saturday February 4th <i class="fa fa-sort-desc" aria-hidden="true"></i></span>
	        		                            </div>
	        		                            <div class="d-flex">
	        		                                <div class="embed-responsive embed-responsive-1by1 emp-circle">
	        		                                    <img src="{{ asset('theme/images/user.png') }}" alt="icon">
	        		                                </div>
	        		                                <div>
	        		                                    <h6>Paul Jensen<span>08:34 PM</span></h6>
	        		                                    <p>Ok Fine sending you the link</p>
	        		                                </div>
	        		                            </div>
	        		                            <div class="d-flex">
	        		                                <div class="embed-responsive embed-responsive-1by1 emp-circle">
	        		                                    <img src="{{ asset('theme/images/user.png') }}" alt="icon">
	        		                                </div>
	        		                                <div>
	        		                                    <h6>Sam Winick<span>08:34 PM</span></h6>
	        		                                    <p>Looking for innovative solutions how to onboard your
	        		                                        software
	        		                                        trial users and convert them into paid customers?
	        		                                    </p>
	        		                                </div>
	        		                            </div>
	        		                        </div>
	        		                        <div class="mb-3">
	        		                            <div class="viewLoad-hr">
	        		                                <span>Saturday February 5th <i class="fa fa-sort-desc" aria-hidden="true"></i></span>
	        		                            </div>
	        		                            <div class="d-flex">
	        		                                <div class="embed-responsive embed-responsive-1by1 emp-circle">
	        		                                    <img src="{{ asset('theme/images/user.png') }}" alt="icon">
	        		                                </div>
	        		                                <div>
	        		                                    <h6>Paul Jensen<span>08:34 PM</span></h6>
	        		                                    <p>Ok Fine sending you the link</p>
	        		                                </div>
	        		                            </div>
	        		                            <div class="d-flex">
	        		                                <div class="embed-responsive embed-responsive-1by1 emp-circle">
	        		                                    <img src="{{ asset('theme/images/user.png') }}" alt="icon">
	        		                                </div>
	        		                                <div>
	        		                                    <h6>Sam Winick<span>08:34 PM</span></h6>
	        		                                    <p>Looking for innovative solutions how to onboard your
	        		                                        software
	        		                                        trial users and convert them into paid customers?
	        		                                    </p>
	        		                                </div>
	        		                            </div>
	        		                        </div>
	        		                        <div style="height:200px"></div>
	        		                    </div>
	        		                </div>
	        		                <div class="viewLoad-footer">
	        		                    <ul>
	        		                        <li>
	        		                        	<span>
	        		                        		<img src="{{ asset('theme/images/chat-attech.png') }}" alt="icon">
	        		                                <input type="file">
	        		                            </span>
	        		                        </li>
	        		                        <li class="position-relative">
	        		                            <a href="javascript:void(0);" class="chatEmoji-btn"><img src="{{ asset('theme/images/chat-smile.png') }}" alt="icon"></a>
	        		                            <div class="chatEmoji-block scrollbar" style="display: none;">
	        		                                <div class="">
	        		                                    <span>😀</span>
	        		                                    <span>😁</span>
	        		                                    <span>😂</span>
	        		                                    <span>😃</span>
	        		                                    <span>😄</span>
	        		                                    <span>😅</span>
	        		                                    <span>😆</span>
	        		                                    <span>😇</span>
	        		                                    <span>😈</span>
	        		                                    <span>😉</span>
	        		                                    <span>😊</span>
	        		                                    <span>😋</span>
	        		                                    <span>😌</span>
	        		                                    <span>😍</span>
	        		                                    <span>😎</span>
	        		                                    <span>😏</span>
	        		                                    <span>😐</span>
	        		                                    <span>😑</span>
	        		                                    <span>😒</span>
	        		                                    <span>😓</span>
	        		                                    <span>😔</span>
	        		                                    <span>😕</span>
	        		                                    <span>😖</span>
	        		                                    <span>😗</span>
	        		                                    <span>😘</span>
	        		                                    <span>😙</span>
	        		                                    <span>😚</span>
	        		                                    <span>😛</span>
	        		                                    <span>😜</span>
	        		                                    <span>😝</span>
	        		                                    <span>😞</span>
	        		                                    <span>😟</span>
	        		                                    <span>😠</span>
	        		                                    <span>😡</span>
	        		                                    <span>😢</span>
	        		                                    <span>😣</span>
	        		                                    <span>😤</span>
	        		                                    <span>😥</span>
	        		                                    <span>😦</span>
	        		                                    <span>😧</span>
	        		                                    <span>😨</span>
	        		                                    <span>😩</span>
	        		                                    <span>😪</span>
	        		                                    <span>😫</span>
	        		                                    <span>😬</span>
	        		                                    <span>😭</span>
	        		                                    <span>😮</span>
	        		                                    <span>😯</span>
	        		                                    <span>😰</span>
	        		                                    <span>😱</span>
	        		                                    <span>😲</span>
	        		                                    <span>😳</span>
	        		                                    <span>😴</span>
	        		                                    <span>😵</span>
	        		                                    <span>😶</span>
	        		                                    <span>😷</span>
	        		                                </div>
	        		                            </div>
	        		                        </li>
	        		                    </ul>
	        		                    <div class="input-block">
	        		                        <input type="text" class="form-control" placeholder="Enter Message">
	        		                    </div>
	        		                    <a href="javascript:void(0)" class="btn btn-grayTheme"><img src="{{ asset('theme/images/send.svg') }}" alt="icon"></a>
	        		                </div>
	        		            </div>
	        		            <div class="tab-pane fade" id="customer">
	        		                dwsd
	        		            </div>
	        		        </div>
	        		    </div>
	        		</div>
	        		<div class="card view-loadCard">
	        		    <div class="card-header text-center">
	        		        <h5>Hours Of Service (ELD)</h5>
	        		    </div>
	        		    <div class="card-body">
	        		        <div class="table-responsive">
	        		            <table class="hours-viewLoadTable mt-0">
	        		                <tbody>
	        		                    <tr>
	        		                        <td><img src="{{ asset('theme/images/rest-duration.png') }}" alt="Icon">Cycle Tomorrow</td>
	        		                        <td class="cycle_tomorrow"></td>
	        		                    </tr>
	        		                    <tr>
	        		                        <td><img src="{{ asset('theme/images/rest-in.png') }}" alt="Icon">Rest In</td>
	        		                        <td class="rest_in"></td>
	        		                    </tr>
	        		                    <tr>
	        		                        <td><img src="{{ asset('theme/images/driving-left.png') }}" alt="Icon">Driving Left</td>
	        		                        <td class="driving_left"></td>
	        		                    </tr>
	        		                    <tr>
	        		                        <td><img src="{{ asset('theme/images/workday-left.png') }}" alt="Icon">Workday Left</td>
	        		                        <td class="workday_left"></td>
	        		                    </tr>
	        		                    <tr>
	        		                        <td><img src="{{ asset('theme/images/cycle-left.png') }}" alt="Icon">Cycle Left</td>
	        		                        <td class="cycle_left"></td>
	        		                    </tr>
	        		                </tbody>
	        		            </table>
	        		            <p>Current Status: <span class="text-danger duty_status"></span></p>
	        		        </div>
	        		    </div>
	        		</div>
	        		<div class="card view-loadCard d-none">
	        		    <div class="card-header text-center">
	        		        <h5>Recap Schedule</h5>
	        		    </div>
	        		    <div class="card-body">
	        		        <div class="table-responsive">
	        		            <table class="hours-viewLoadTable mt-0">
	        		                <tbody>
	        		                    <tr>
	        		                        <td><span class="text-blue">+</span> Recap Schedule</td>
	        		                        <td>11:00</td>
	        		                    </tr>
	        		                    <tr>
	        		                        <td><span class="text-blue">+</span> Recap Tomorrow Night</td>
	        		                        <td>8:00</td>
	        		                    </tr>
	        		                </tbody>
	        		            </table>
	        		            <p><a href="javascript:void(0)" class="a-link">Click For Full Recap</a></p>
	        		        </div>
	        		    </div>
	        		</div>
	        		<div class="card view-loadCard">
	        		    <div class="card-header text-center">
	        		        <h5>Load Notes</h5>
	        		    </div>
	        		    <div class="card-body">
	        		        <div class="card-padding">
	        		            <table class="table-viewLNotes mt-0">
	        		            	@foreach($stop_notes as $key => $stop_note)
	        		            		<tr>
	        		            		    <th>
	        		            		    	@if($loop->last)
	        		            		    		Stop 99:
        		            		    	    @else
        		            		    	    	Stop {{ ++$key }}:
        		            		    	    @endif
	        		            		    </th>
	        		            		    <td>{{ $stop_note }}</td>
	        		            		</tr>
	        		            	@endforeach
	        		            </table>
	        		            <div style="height:40px"></div>
	        		        </div>
	        		    </div>
	        		</div>
	        		@php
	        			$last_updated_at      	= '';
	        			if(isset($currentLocation['time'])){
	        			    $last_updated_at    = convertTimeToUSERzone([
	        			        'str'       	=> $currentLocation['time'],
	        			        'toFormat'  	=> 'M d, h:iA',
	        			        'fromFormat'	=> 'Y-m-d H:i:s']
	        			    ).' '.$getTimeZoneId;
	        			}
	        		@endphp
	        		<div class="card view-loadCard view-loadAssetTab mb-4">
	        		    <div class="card-header text-center p-0">
	        		        <ul class="nav nav-tabs">
	        		            <li class="nav-item">
	        		                <a class="nav-link active" data-toggle="tab" href="#tab1">Asset Location History <i class="fa fa-sliders" aria-hidden="true"></i></a>
	        		            </li>
	        		            @if($reeferTempExists)
		        		            <li class="nav-item">
		        		                <a class="nav-link" data-toggle="tab" href="#tab2">Reefer Temp Log <i class="fa fa-sliders" aria-hidden="false"></i></a>
		        		            </li>
	        		            @endif
	        		        </ul>
	        		    </div>
	        		    <div class="card-body">
	        		        <div class="tab-content">
	        		            <div class="tab-pane active" id="tab1">
	        		                <div class="card-padding br">
	        		                    <div class="row">
	        		                        <div class="col-sm-6">
	        		                            <div class="table-responsive">
	        		                                <table class="view-loadAssetTable mt-0">
	        		                                    <tr>
	        		                                        <th>Source:</th>
	        		                                        <td>Samsara (ELD)</td>
	        		                                    </tr>
	        		                                    <tr>
	        		                                        <th>Last Location:</th>
	        		                                        <td>{{ $currentLocation['location'] ?? '' }}</td>
	        		                                    </tr>
	        		                                    <tr>
	        		                                        <th>Last Update:</th>
	        		                                        <td>{{ $last_updated_at }}</td>
	        		                                    </tr>
	        		                                </table>
	        		                            </div>
	        		                        </div>
	        		                        <div class="col-sm-6">
	        		                            <div class="table-responsive">
	        		                                <table class="view-loadAssetTable mt-0">
	        		                                    <tr>
	        		                                        <th>Driver:</th>
	        		                                        <td>
	        		                                        	@if(isset($loadDetail->driver_id) && $loadDetail->driver_id!=0)
	        		                                        		{{ $loadDetail->driver->last_name.', '.$loadDetail->driver->first_name }}
	        		                                        	@endif
	        		                                        </td>
	        		                                    </tr>
	        		                                    <tr>
	        		                                        <th>Unit#:</th>
	        		                                        <td>{{ $loadDetail->truck_number ?? '' }}</td>
	        		                                    </tr>
	        		                                    <tr>
	        		                                        <th>Trailer:</th>
	        		                                        <td>{{ $loadDetail->trailer_number ?? '' }}</td>
	        		                                    </tr>
	        		                                </table>
	        		                            </div>
	        		                        </div>
	        		                    </div>
	        		                </div>
	        		                @if(isset($safetyEventLabel) && $safetyEventLabel!='')
		        		                <div class="card-padding">
		        		                    <div class="row justify-content-between">
		        		                        <div class="col-auto">
		        		                            <p class="text-danger">Alert: {{ $safetyEventLabel }} <img src="{{ asset('theme/images/clock.png') }}" alt="icon"></p>
		        		                        </div>
		        		                        <!-- <div class="col-auto"><a href="javascript:void(0)" class="a-link disabled">Graph View</a></div> -->
		        		                    </div>
		        		                </div>
	        		                @endif
	        		                <div class="view-loadAssetSelect2">
	        		                    <div class="card">
	        		                    	<div class="card-header p-0">
	        		                    		<select class="form-control select2" name="assettime">
	        		                    		    <option value="15">Every 15 Minutes</option>
	        		                    		    <option value="10">Every 10 Minutes</option>
	        		                    		    <option value="5">Every 5 Minutes</option>
	        		                    		</select>
	        		                    	</div>
	        		                    	<div class="card-body">
	        		                    		<div class="table-responsive" style="max-height: 244px; overflow-y: auto;">
	        		                    		    <table class="view-loadAssetTimeTable mt-0">
	        		                    		    	<thead>
	        		                    		    		<tr>
	        		                    		    		    <th>TIME</th>
	        		                    		    		    <th>LOCATION</th>
	        		                    		    		    <th>LONGITUDE</th>
	        		                    		    		    <th>LATITUDE</th>
	        		                    		    		    <th>SPEED</th>
	        		                    		    		    <th>ODOMETER</th>
	        		                    		    		</tr>
	        		                    		    	</thead>
	        		                    		    	<tbody></tbody>
	        		                    		    	<tfoot>
        		                    		    	        <tr id="loading-row" style="display: none;">
        		                    		    	            <td class="text-center" colspan="6">Please wait, loading more data...</td>
        		                    		    	        </tr>
        		                    		    	    </tfoot>
	        		                    		    </table>
	        		                    		</div>
	        		                    	</div>
	        		                    </div>
	        		                    <div class="card-padding">
	        		                        <div class="btn-group d-flex">
	        		                            <a href="javascript:void(0)" class="btn btn-blue disabled">Export<img src="{{ asset('theme/images/export.svg') }}" alt="icon"></a>
	        		                            <a href="javascript:void(0)" class="btn btn-blue disabled">PDF<img src="{{ asset('theme/images/proRouter-pdf.svg') }}" alt="icon"></a>
	        		                            <a href="javascript:void(0)" class="btn btn-blue disabled">Print<img src="{{ asset('theme/images/proRouter-printer.svg') }}" alt="icon"></a>
	        		                            <a href="javascript:void(0)" class="btn btn-blue disabled">Email<img src="{{ asset('theme/images/proRouter-mail.svg') }}" alt="icon"></a>
	        		                        </div>
	        		                    </div>
	        		                </div>
	        		            </div>
	        		            @if($reeferTempExists)
		        		            <div class="tab-pane" id="tab2">
		        		                <div class="card-padding br">
		        		                    <div class="row">
		        		                        <div class="col-6">
		        		                            <div class="table-responsive">
		        		                                <table class="view-loadAssetTable mt-0">
		        		                                    <tr>
		        		                                        <th>Source:</th>
		        		                                        <td>Samsara (ELD)</td>
		        		                                    </tr>
		        		                                    <tr>
		        		                                        <th>Last Location:</th>
		        		                                        <td>{{ $currentLocation['location'] ?? '' }}</td>
		        		                                    </tr>
		        		                                    <tr>
		        		                                        <th>Last Update:</th>
		        		                                        <td>{{ $last_updated_at }}</td>
		        		                                    </tr>
		        		                                </table>
		        		                            </div>
		        		                        </div>
		        		                        <div class="col-6">
		        		                            <div class="table-responsive">
		        		                                <table class="view-loadAssetTable mt-0">
		        		                                    <tr>
		        		                                        <th>Driver:</th>
		        		                                        <td>
		        		                                        	@if(isset($loadDetail->driver_id) && $loadDetail->driver_id!=0)
		        		                                        		{{ $loadDetail->driver->last_name.', '.$loadDetail->driver->first_name }}
		        		                                        	@endif
		        		                                        </td>
		        		                                    </tr>
		        		                                    <tr>
		        		                                        <th>Unit#:</th>
		        		                                        <td>{{ $loadDetail->truck_number ?? '' }}</td>
		        		                                    </tr>
		        		                                    <tr>
		        		                                        <th>Trailer:</th>
		        		                                        <td>{{ $loadDetail->trailer_number ?? '' }}</td>
		        		                                    </tr>
		        		                                </table>
		        		                            </div>
		        		                        </div>
		        		                    </div>
		        		                </div>
		        		                <div class="card-padding">
		        		                    <div class="row justify-content-between">
		        		                        <div class="col-auto">
		        		                            <p class="text-danger">Reason <i class="fa fa-exclamation-circle" aria-hidden="true"></i>
		        		                                Return air is 7.2 F Above set point
		        		                            </p>
		        		                        </div>
		        		                        <div class="col-auto"><a href="javascript:void(0)" class="a-link disabled">Graph View</a>
		        		                        </div>
		        		                    </div>
		        		                </div>
		        		                <div class="view-loadAssetSelect2">
		        		                	<div class="card">
		        		                		<div class="card-header p-0">
		        		                			<select class="form-control select2" name="reefertime">
		        		                			    <option value="15">Every 15 Minutes</option>
		        		                			    <option value="10">Every 10 Minutes</option>
		        		                			    <option value="5">Every 5 Minutes</option>
		        		                			</select>
		        		                		</div>
		        		                		<div class="card-body">
		        		                			<div class="table-responsive">
		        		                			    <table class="view-loadReeferTimeTable mt-0">
		        		                			    	<thead>
		        		                			    		<tr>
		        		                			    		    <th>TIME</th>
		        		                			    		    <th>MODE</th>
		        		                			    		    <th>LOCATION</th>
		        		                			    		    <th nowrap>SET POINT</th>
		        		                			    		    <th nowrap>AMBIENT</th>
		        		                			    		    <th nowrap>RETURN TEMP</th>
		        		                			    		    <th nowrap>DISCHARGE</th>
		        		                			    		    <th nowrap>EM DATA</th>
		        		                			    		    <th>CARGO</th>
		        		                			    		</tr>
		        		                			    	</thead>
		        		                			    	<tbody>
		        		                			    		<tr>
		        		                			    			<td class="text-center" colspan="9">No data available in table</td>
		        		                			    		</tr>
		        		                			    	</tbody>
		        		                			    </table>
		        		                			</div>
		        		                		</div>
		        		                	</div>
		        		                    <div class="card-padding">
		        		                        <div class="btn-group d-flex">
		        		                            <a href="javascript:void(0)" class="btn btn-blue disabled">Export<img src="{{ asset('theme/images/export.svg') }}" alt="icon"></a>
		        		                            <a href="javascript:void(0)" class="btn btn-blue disabled">PDF<img src="{{ asset('theme/images/proRouter-pdf.svg') }}" alt="icon"></a>
		        		                            <a href="javascript:void(0)" class="btn btn-blue disabled">Print<img src="{{ asset('theme/images/proRouter-printer.svg') }}" alt="icon"></a>
		        		                            <a href="javascript:void(0)" class="btn btn-blue disabled">Email<img src="{{ asset('theme/images/proRouter-mail.svg') }}" alt="icon"></a>
		        		                        </div>
		        		                    </div>
		        		                </div>
		        		            </div>
	        		            @endif
	        		        </div>
	        		    </div>
	        		</div>
	        		<div class="viewLoad-btn text-center">
	        		    <a href="{{ URL::previous() }}" class="btn btn-blueBr">Cancel</a>
	        		    <!-- <button type="button" class="btn btn-blue ml-md-3 ml-2 ">Save</button> -->
	        		</div>
	        	</div>
	        </div>
	    </div>
	</div>
@endsection

@section('modal')
	<div class="modal fade" id="otherLoadDetailsModal" tabindex="-1" role="dialog" aria-labelledby="otherLoadDetailsModalLabel" aria-hidden="true">
	    <div class="modal-dialog modal-xl modal-blue modal-addLoad" role="document">
	        <div class="modal-content">
	        	<div class="modal-header d-block">
	        	    <div class="row justify-content-between">
	        	    	<div class="col-auto">
	        	    		<h5 class="modal-title" id="otherLoadDetailsModalLabel">Load Details</h5>
	        	    	</div>
	        	    	<div class="col-auto">
	        	    		<div class="d-flex align-items-center">
	        	    			<label class="text-white mb-0">{{ $loadDetail->load_number ?? '' }}</label>
	        	    			<button type="button" class="close" data-dismiss="modal" aria-label="Close">
	        	    			    <span aria-hidden="true">&times;</span>
	        	    			</button>
	        	    		</div>
	        	    	</div>
	        	    </div>
	        	</div>
	            <div class="modal-body p-0">
	            	<div class="modal-padding">
						<div class="row justify-content-between mb-2">
							<div class="col-auto">
								<div class="form-group mb-0">
									<label class="control-label">Load Type</label>
									<span>
										@if(isset($loadDetail->load_type))
											{{ getLoadTypeList()[$loadDetail->load_type] ?? '-' }}
										@endif
									</span>
								</div>
							</div>
							<div class="col-auto">
								<div class="form-group mb-0">
									<label class="control-label">Booked By</label>
									<span>
										@if(isset($loadDetail->self_dispatch) && $loadDetail->self_dispatch == 1)
											Self-Dispatch
										@else
											{{ $loadDetail->dispatcher->full_name ?? '' }}
										@endif
									</span>
								</div>
							</div>
						</div>
						@if($load_occupied)
							<div class="card mb-2">
					          	<div class="card-body">
					            	<h5 class="card-title">Pickup Stop 1</h5>
					            	@if(isset($loadDetail->itemize) && $loadDetail->itemize == 1)
						            	<div class="row justify-content-between mb-2">
						            		<div class="col">
						            			<div class="form-group mb-0">
						            				<label class="control-label">Commodity</label>
						            			</div>
						            			<span>{{ isset($loadDetail->load_shipper_commodity) ? $loadDetail->load_shipper_commodity->name : '' }}</span>
						            		</div>
						            		<div class="col">
						            			<div class="form-group mb-0">
						            				<label class="control-label">Stop Value</label>
						            			</div>
						            			<span>{{ isset($loadDetail->shipper_stop_value) ? '$'.number_format($loadDetail->shipper_stop_value, 2, '.', ',') : '' }}</span>
						            		</div>
						            		<div class="col">
						            			<div class="form-group mb-0">
						            				<label class="control-label">Stop Weight</label>
						            			</div>
						            			<span>{{ isset($loadDetail->shipper_stop_weight) ? number_format($loadDetail->shipper_stop_weight, 2, '.', ',').' lbs' : '' }}</span>
						            		</div>
						            		<div class="col">
						            			<div class="form-group mb-0">
						            				<label class="control-label">Reefer Mode</label>
						            			</div>
						            			<span>
						            				@if(isset($loadDetail->shipper_reefer_mode))
						            					@if($loadDetail->shipper_reefer_mode == 1)
						            						Continuous
						            					@elseif($loadDetail->shipper_reefer_mode == 2)
						            						Cycle
						            					@endif
						            				@endif
						            			</span>
						            		</div>
						            		<div class="col">
						            			<div class="form-group mb-0">
						            				<label class="control-label">Reefer Temp</label>
						            			</div>
						            			<span>
						            				@if(isset($loadDetail->shipper_reefer_temp))
						            					{{ $loadDetail->shipper_reefer_temp }}
						            					@if($loadDetail->shipper_reefer_temp_type == 1)
						            						°F
						            					@else
						            						°C
						            					@endif
						            				@endif
						            			</span>
						            		</div>
						            	</div>
						            	<div class="row justify-content-between mb-2">
						            		<div class="col">
						            			<div class="form-group mb-0">
						            				<label class="control-label">Pickup Number</label>
						            			</div>
						            			<span>{{ $loadDetail->shipper_pickup_number ?? '' }}</span>
						            		</div>
						            	</div>
					            	@endif
					            	<!--  -->
					            	@php
					            		$dimensions 					= [];
					            	@endphp
					            	@if(isset($loadDetail->shipper_dimension) && is_serialized($loadDetail->shipper_dimension) && !empty($loadDetail->shipper_dimension))
					            	    @php
					            	        $dimensions 				= unserialize($loadDetail->shipper_dimension);
					            	    @endphp
					            	@endif
					            	@if(!empty($dimensions))
					            		<div class="row justify-content-between">
					            			<div class="col">
					            				<div class="form-group mb-0">
					            					<label class="control-label">Dimensions</label>
					            				</div>
					            				<!-- <span></span> -->
					            			</div>
					            		</div>
					            		@foreach($dimensions as $key => $dimension)
					            			<div class="row justify-content-between @if($loop->last) mb-2 @endif">
					            				<div class="col">
					            					<span>Length: {{ isset($dimension['length']) ? $dimension['length'].' (ft)' : '' }}</span>
					            				</div>
					            				<div class="col">
					            					<span>Width: {{ isset($dimension['width']) ? $dimension['width'].' (in)' : '' }}</span>
					            				</div>
					            				<div class="col">
					            					<span>Height: {{ isset($dimension['height']) ? $dimension['height'].' (in)' : '' }}</span>
					            				</div>
					            				<div class="col">
					            					<span>Cubic Volume: {{ isset($dimension['cubic_volume_in']) ? $dimension['cubic_volume_in'].' (in)' : '' }}</span>
					            				</div>
					            				<div class="col">
					            					<span>Cubic Volume: {{ isset($dimension['cubic_volume_ft']) ? $dimension['cubic_volume_ft'].' (ft)' : '' }}</span>
					            				</div>
					            				<div class="col">
					            					<span>Pallets: {{ isset($dimension['pallets']) ? $dimension['pallets'].' (ct)' : '' }}</span>
					            				</div>
					            			</div>
					            		@endforeach
					            	@endif
					            	<!--  -->
					            	@php
					            		$is_arrived                  	= $loadDetail->shipper_is_arrived ?? 0;
					            		$arrived_at                  	= $loadDetail->shipper_arrived_at ?? null;
					            		if(isset($arrived_at)){
					            		    $arrived_at              	= convertTimeToUSERzone([
					            		        'str'       => $arrived_at,
					            		        'toFormat'  => getTimeLayout(),
					            		        'fromFormat'=> 'Y-m-d H:i:s']
					            		    ).' '.$getTimeZoneId;
					            		}
					            		$leaves_at                   	= $loadDetail->shipper_leaves_at ?? null;
					            		if(isset($leaves_at)){
					            		    $leaves_at               	= convertTimeToUSERzone([
					            		        'str'       => $leaves_at,
					            		        'toFormat'  => getTimeLayout(),
					            		        'fromFormat'=> 'Y-m-d H:i:s']
					            		    ).' '.$getTimeZoneId;
					            		}
					            	@endphp
					            	<div class="row justify-content-between">
					            		<div class="col">
					            			<div class="form-group mb-0">
					            				<label class="control-label">Logs</label>
					            			</div>
					            			<p class="mb-0">Arrival date & time : {{ isset($arrived_at)?$arrived_at:'' }}</p>
					            			<p class="mb-0">Departure date & time : {{ isset($leaves_at)?$leaves_at:'' }}</p>
					            		</div>
					            	</div>
					            </div>
					        </div>
					        @php
					            $m_stop_no = 2;
					        @endphp
					        @if(isset($load->load_stops) && $load->load_stops->isNotEmpty())
					        	@foreach ($load->load_stops as $key => $stop)
					        		<div class="card mb-2">
					        		  	<div class="card-body">
					        		    	<h5 class="card-title">{{ $stop->customer_type == '1'? 'Pickup' : 'Delivery' }} Stop {{ $m_stop_no }}</h5>
					        		    	@if(isset($loadDetail->itemize) && $loadDetail->itemize == 1)
						        		    	<div class="row justify-content-between mb-2">
						        		    		<div class="col">
						        		    			<div class="form-group mb-0">
						        		    				<label class="control-label">Commodity</label>
						        		    			</div>
						        		    			<span>{{ isset($stop->load_commodity) ? $stop->load_commodity->name : '' }}</span>
						        		    		</div>
						        		    		<div class="col">
						        		    			<div class="form-group mb-0">
						        		    				<label class="control-label">Stop Value</label>
						        		    			</div>
						        		    			<span>{{ isset($stop->stop_value) ? '$'.number_format($stop->stop_value, 2, '.', ',') : '' }}</span>
						        		    		</div>
						        		    		<div class="col">
						        		    			<div class="form-group mb-0">
						        		    				<label class="control-label">Stop Weight</label>
						        		    			</div>
						        		    			<span>{{ isset($stop->stop_weight) ? number_format($stop->stop_weight, 2, '.', ',').' lbs' : '' }}</span>
						        		    		</div>
						        		    		<div class="col">
						        		    			<div class="form-group mb-0">
						        		    				<label class="control-label">Reefer Mode</label>
						        		    			</div>
						        		    			<span>
						        		    				@if(isset($stop->reefer_mode))
						        		    					@if($stop->reefer_mode == 1)
						        		    						Continuous
						        		    					@elseif($stop->reefer_mode == 2)
						        		    						Cycle
						        		    					@endif
						        		    				@endif
						        		    			</span>
						        		    		</div>
						        		    		<div class="col">
						        		    			<div class="form-group mb-0">
						        		    				<label class="control-label">Reefer Temp</label>
						        		    			</div>
						        		    			<span>
						        		    				@if(isset($stop->reefer_temp))
						        		    					{{ $stop->reefer_temp }}
						        		    					@if($stop->reefer_temp_type == 1)
						        		    						°F
						        		    					@else
						        		    						°C
						        		    					@endif
						        		    				@endif
						        		    			</span>
						        		    		</div>
						        		    	</div>
						        		    	<div class="row justify-content-between mb-2">
						        		    		<div class="col">
						        		    			<div class="form-group mb-0">
						        		    				<label class="control-label">{{ $stop->customer_type == '1'? 'Pickup Number' : 'Delivery Number' }}</label>
						        		    			</div>
						        		    			<span>{{ $stop->pickup_number ?? '' }}</span>
						        		    		</div>
						        		    	</div>
					        		    	@endif
					        		    	<!--  -->
					        		    	@php
					        		    		$dimensions 			= [];
					        		    	@endphp
					        		    	@if(isset($stop->dimension) && is_serialized($stop->dimension) && !empty($stop->dimension))
					        		    	    @php
					        		    	        $dimensions 		= unserialize($stop->dimension);
					        		    	    @endphp
					        		    	@endif
					        		    	@if(!empty($dimensions))
					        		    		<div class="row justify-content-between">
					        		    			<div class="col">
					        		    				<div class="form-group mb-0">
					        		    					<label class="control-label">Dimensions</label>
					        		    				</div>
					        		    				<!-- <span></span> -->
					        		    			</div>
					        		    		</div>
					        		    		@foreach($dimensions as $key => $dimension)
					        		    			<div class="row justify-content-between @if($loop->last) mb-2 @endif">
					        		    				<div class="col">
					        		    					<span>Length: {{ isset($dimension['length']) ? $dimension['length'].' (ft)' : '' }}</span>
					        		    				</div>
					        		    				<div class="col">
					        		    					<span>Width: {{ isset($dimension['width']) ? $dimension['width'].' (in)' : '' }}</span>
					        		    				</div>
					        		    				<div class="col">
					        		    					<span>Height: {{ isset($dimension['height']) ? $dimension['height'].' (in)' : '' }}</span>
					        		    				</div>
					        		    				<div class="col">
					        		    					<span>Cubic Volume: {{ isset($dimension['cubic_volume_in']) ? $dimension['cubic_volume_in'].' (in)' : '' }}</span>
					        		    				</div>
					        		    				<div class="col">
					        		    					<span>Cubic Volume: {{ isset($dimension['cubic_volume_ft']) ? $dimension['cubic_volume_ft'].' (ft)' : '' }}</span>
					        		    				</div>
					        		    				<div class="col">
					        		    					<span>Pallets: {{ isset($dimension['pallets']) ? $dimension['pallets'].' (ct)' : '' }}</span>
					        		    				</div>
					        		    			</div>
					        		    		@endforeach
					        		    	@endif
					        		    	<!--  -->
					        		    	@php
				        		    		    $is_arrived            	= $stop->is_arrived;
				        		    		    $arrived_at          	= $stop->arrived_at;
				        		    		    if(isset($arrived_at)){
				        		    		        $arrived_at     	= convertTimeToUSERzone([
				        		    		            'str'       => $arrived_at,
				        		    		            'toFormat'  => getTimeLayout(),
				        		    		            'fromFormat'=> 'Y-m-d H:i:s']
				        		    		        ).' '.$getTimeZoneId;
				        		    		    }
				        		    		    $leaves_at            	= $stop->leaves_at;
				        		    		    if(isset($leaves_at)){
				        		    		        $leaves_at          = convertTimeToUSERzone([
				        		    		            'str'       => $leaves_at,
				        		    		            'toFormat'  => getTimeLayout(),
				        		    		            'fromFormat'=> 'Y-m-d H:i:s']
				        		    		        ).' '.$getTimeZoneId;
				        		    		    }
				        		    		@endphp
					        		    	<div class="row justify-content-between">
					        		    		<div class="col">
					        		    			<div class="form-group mb-0">
					        		    				<label class="control-label">Logs</label>
					        		    			</div>
					        		    			<p class="mb-0">Arrival date & time : {{ isset($arrived_at)?$arrived_at:'' }}</p>
					        		    			<p class="mb-0">Departure date & time : {{ isset($leaves_at)?$leaves_at:'' }}</p>
					        		    		</div>
					        		    	</div>
					        		    </div>
					        		</div>
					        		@php
					        		    ++$m_stop_no;
					        		@endphp
					        	@endforeach
					        @endif
					        <div class="card mb-2">
					          	<div class="card-body">
					            	<h5 class="card-title">Delivery Stop 99</h5>
					            	@if(isset($loadDetail->itemize) && $loadDetail->itemize == 1)
						            	<div class="row justify-content-between mb-2">
						            		<div class="col">
						            			<div class="form-group mb-0">
						            				<label class="control-label">Commodity</label>
						            			</div>
						            			<span>{{ isset($loadDetail->load_receiver_commodity) ? $loadDetail->load_receiver_commodity->name : '' }}</span>
						            		</div>
						            		<div class="col">
						            			<div class="form-group mb-0">
						            				<label class="control-label">Stop Value</label>
						            			</div>
						            			<span>{{ isset($loadDetail->delivery_stop_value) ? '$'.number_format($loadDetail->delivery_stop_value, 2, '.', ',') : '' }}</span>
						            		</div>
						            		<div class="col">
						            			<div class="form-group mb-0">
						            				<label class="control-label">Stop Weight</label>
						            			</div>
						            			<span>{{ isset($loadDetail->delivery_stop_weight) ? number_format($loadDetail->delivery_stop_weight, 2, '.', ',').' lbs' : '' }}</span>
						            		</div>
						            		<div class="col">
						            			<div class="form-group mb-0">
						            				<label class="control-label">Reefer Mode</label>
						            			</div>
						            			<span>
						            				@if(isset($loadDetail->delivery_reefer_mode))
						            					@if($loadDetail->delivery_reefer_mode == 1)
						            						Continuous
						            					@elseif($loadDetail->delivery_reefer_mode == 2)
						            						Cycle
						            					@endif
						            				@endif
						            			</span>
						            		</div>
						            		<div class="col">
						            			<div class="form-group mb-0">
						            				<label class="control-label">Reefer Temp</label>
						            			</div>
						            			<span>
						            				@if(isset($loadDetail->delivery_reefer_temp))
						            					{{ $loadDetail->delivery_reefer_temp }}
						            					@if($loadDetail->delivery_reefer_temp_type == 1)
						            						°F
						            					@else
						            						°C
						            					@endif
						            				@endif
						            			</span>
						            		</div>
						            	</div>
						            	<div class="row justify-content-between mb-2">
						            		<div class="col">
						            			<div class="form-group mb-0">
						            				<label class="control-label">Delivery Number</label>
						            			</div>
						            			<span>{{ $loadDetail->delivery_pickup_number ?? '' }}</span>
						            		</div>
						            	</div>
					            	@endif
					            	<!--  -->
					            	@php
					            		$dimensions 					= [];
					            	@endphp
					            	@if(isset($loadDetail->delivery_dimension) && is_serialized($loadDetail->delivery_dimension) && !empty($loadDetail->delivery_dimension))
					            	    @php
					            	        $dimensions 				= unserialize($loadDetail->delivery_dimension);
					            	    @endphp
					            	@endif
					            	@if(!empty($dimensions))
					            		<div class="row justify-content-between">
					            			<div class="col">
					            				<div class="form-group mb-0">
					            					<label class="control-label">Dimensions</label>
					            				</div>
					            				<!-- <span></span> -->
					            			</div>
					            		</div>
					            		@foreach($dimensions as $key => $dimension)
					            			<div class="row justify-content-between @if($loop->last) mb-2 @endif">
					            				<div class="col">
					            					<span>Length: {{ isset($dimension['length']) ? $dimension['length'].' (ft)' : '' }}</span>
					            				</div>
					            				<div class="col">
					            					<span>Width: {{ isset($dimension['width']) ? $dimension['width'].' (in)' : '' }}</span>
					            				</div>
					            				<div class="col">
					            					<span>Height: {{ isset($dimension['height']) ? $dimension['height'].' (in)' : '' }}</span>
					            				</div>
					            				<div class="col">
					            					<span>Cubic Volume: {{ isset($dimension['cubic_volume_in']) ? $dimension['cubic_volume_in'].' (in)' : '' }}</span>
					            				</div>
					            				<div class="col">
					            					<span>Cubic Volume: {{ isset($dimension['cubic_volume_ft']) ? $dimension['cubic_volume_ft'].' (ft)' : '' }}</span>
					            				</div>
					            				<div class="col">
					            					<span>Pallets: {{ isset($dimension['pallets']) ? $dimension['pallets'].' (ct)' : '' }}</span>
					            				</div>
					            			</div>
					            		@endforeach
					            	@endif
					            	<!--  -->
					            	@php
					            	    $is_arrived                 	= $loadDetail->delivery_is_arrived ?? 0;
					            	    $arrived_at                   	= $loadDetail->delivery_arrived_at ?? null;
					            	    if(isset($arrived_at)){
					            	        $arrived_at            		= convertTimeToUSERzone([
					            	            'str'       => $arrived_at,
					            	            'toFormat'  => getTimeLayout(),
					            	            'fromFormat'=> 'Y-m-d H:i:s']
					            	        ).' '.$getTimeZoneId;
					            	    }
					            	    $leaves_at                   	= $loadDetail->delivery_leaves_at ?? null;
					            	    if(isset($leaves_at)){
					            	        $leaves_at              	= convertTimeToUSERzone([
					            	            'str'       => $leaves_at,
					            	            'toFormat'  => getTimeLayout(),
					            	            'fromFormat'=> 'Y-m-d H:i:s']
					            	        ).' '.$getTimeZoneId;
					            	    }
					            	@endphp
					            	<div class="row justify-content-between">
					            		<div class="col">
					            			<div class="form-group mb-0">
					            				<label class="control-label">Logs</label>
					            			</div>
					            			<p class="mb-0">Arrival date & time : {{ isset($arrived_at)?$arrived_at:'' }}</p>
					            			<p class="mb-0">Departure date & time : {{ isset($leaves_at)?$leaves_at:'' }}</p>
					            		</div>
					            	</div>
					            </div>
					        </div>
						    @if(isset($loadDetail->itemize) && $loadDetail->itemize == 0)
								<div class="row justify-content-between">
									<div class="col">
										<div class="form-group mb-0">
											<label class="control-label">Commodity</label>
										</div>
										<span>{{ $loadDetail->load_commodity->name ?? '' }}</span>
									</div>
									<div class="col">
										<div class="form-group mb-0">
											<label class="control-label">Load Value</label>
										</div>
										<span>{{ isset($loadDetail->load_value) ? '$'.number_format($loadDetail->load_value, 2, '.', ',') : '' }}</span>
									</div>
									<div class="col">
										<div class="form-group mb-0">
											<label class="control-label">Load Weight</label>
										</div>
										<span>{{ isset($loadDetail->weight) ? $loadDetail->weight.' lbs' : '' }}</span>
									</div>
									<div class="col">
										<div class="form-group mb-0">
											<label class="control-label">Pickup Number</label>
										</div>
										<span>{{ $loadDetail->pickup_number ?? '' }}</span>
									</div>
									<div class="col">
										<div class="form-group mb-0">
											<label class="control-label">Temperature</label>
										</div>
										<span>
											@if(isset($loadDetail->temp))
												{{ $loadDetail->temp }}
												@if($loadDetail->temp_type == 1)
													°F
												@else
													°C
												@endif
											@endif
										</span>
									</div>
								</div>
							@endif
							<div class="row justify-content-between mb-2">
								<div class="col">
									<div class="form-group mb-0">
										<label class="control-label">Load Dimensions</label>
									</div>
									<span>Not Specified</span>
								</div>
								<div class="col">
									<div class="form-group mb-0">
										<label class="control-label">Toll Routing</label>
									</div>
									<span>
										@if(isset($loadDetail->map_toll_roads))
											@if($loadDetail->map_toll_roads == 1)
												Always avoid
											@elseif($loadDetail->map_toll_roads == 2)
												Avoid if possible
											@elseif($loadDetail->map_toll_roads == 3)
												Allow
											@endif
										@endif
									</span>
								</div>
								<div class="col">
									<div class="form-group mb-0">
										<label class="control-label">Max Elevation</label>
									</div>
									<span>{{ $loadDetail->map_max_elevation ?? 'Not Specified' }}</span>
								</div>
								<div class="col">
									<div class="form-group mb-0">
										<label class="control-label">Hazardous</label>
									</div>
									<span>
										@if(isset($loadDetail->hazardous_load))
											@if($loadDetail->hazardous_load == 1)
												@if(isset($loadDetail->hazardous_options))
													{{ getHazardousOptions()[$loadDetail->hazardous_options] ?? 'Not Specified' }}
												@else
													Not Specified
												@endif
											@else
												Not Specified
											@endif
										@endif
									</span>
								</div>
								<div class="col">
									<div class="form-group mb-0">
										<label class="control-label">Close Borders</label>
									</div>
									<span>
										@if(isset($loadDetail->map_close_borders))
											@if($loadDetail->map_close_borders == 0)
												No
											@else
												Yes
											@endif
										@endif
									</span>
								</div>
							</div>
							<div class="row justify-content-between mb-2">
								<div class="col">
									<div class="form-group mb-0">
										<label class="control-label">Broker Load Number</label>
									</div>
									<span>{{ $loadDetail->broker_load_number ?? '' }}</span>
								</div>
								<div class="col">
									<div class="form-group mb-0">
										<label class="control-label">BOL Number</label>
									</div>
									<span>{{ $loadDetail->bol_number ?? '' }}</span>
								</div>
								<div class="col">
									<div class="form-group mb-0">
										<label class="control-label">Delivery Number</label>
									</div>
									<span>{{ $loadDetail->delivery_number ?? '' }}</span>
								</div>
								<div class="col">
									<div class="form-group mb-0">
										<label class="control-label">PO Number</label>
									</div>
									<span>{{ $loadDetail->po_Number ?? '' }}</span>
								</div>
								<div class="col">
									<div class="form-group mb-0">
										<label class="control-label">SKU Number</label>
									</div>
									<span>{{ $loadDetail->sku_number ?? '' }}</span>
								</div>
							</div>
							<div class="row justify-content-between mb-2">
								<div class="col">
									<div class="form-group mb-0">
										<label class="control-label">Other Number</label>
										<span>
											@php
												$getOtherNumbers 				= [];
											@endphp
											@if(isset($loadDetail->other_number) && is_serialized($loadDetail->other_number) && !empty($loadDetail->other_number))
											    @php
											        $getOtherNumbers 			= unserialize($loadDetail->other_number);
											    @endphp
											@endif
											@php
												$getOtherNumbersResult 			= implode(' ', array_map(function($item) {
												    return $item['other_number'].' '.$item['other_name'];
												}, $getOtherNumbers));
											@endphp
											{{ $getOtherNumbersResult }}
										</span>
									</div>
								</div>
							</div>
							<div class="row justify-content-between mb-2">
								<div class="col">
									<div class="form-group mb-0">
										<label class="control-label">Load Requirements</label>
										<span>
											@if(isset($load->load_requirements) && $load->load_requirements->isNotEmpty())
												@php
													$getLoadRequirements 		= $load->load_requirements()->select('qty', 'name')->get()->toArray();
													$getLoadRequirementsResult 	= implode(' ', array_map(function($item) {
													    return $item['qty'].' '.$item['name'];
													}, $getLoadRequirements));
												@endphp
												{{ $getLoadRequirementsResult }}
											@endif
										</span>
									</div>
								</div>
							</div>
						@endif
	            	</div>
	            </div>
	            <div class="modal-footer">
	            	<button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
	            </div>
	        </div>
	    </div>
	</div>
	<div class="modal fade" id="additionalDetailsModal" tabindex="-1" role="dialog" aria-labelledby="additionalDetailsModalLabel" aria-hidden="true">
	    <div class="modal-dialog modal-xl modal-blue modal-addLoad" role="document">
	        <div class="modal-content">
	        	<div class="modal-header">
	        	    <h5 class="modal-title" id="additionalDetailsModalLabel"></h5>
	        	    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
	        	        <span aria-hidden="true">&times;</span>
	        	    </button>
	        	</div>
	            <div class="modal-body append-view">
	            </div>
	        </div>
	    </div>
	</div>
	<!-- Detention -->
	<div class="modal fade" id="detentionRequestModal" tabindex="-1" role="dialog" aria-labelledby="detentionRequestModalLabel" aria-hidden="true">
	    <div class="modal-dialog modal-xl modal-blue modal-addLoad" role="document">
	        <div class="modal-content">
	            <div class="modal-header d-block">
	                <div class="row justify-content-between">
	                    <div class="col-auto">
	                        <h5 class="modal-title" id="detentionRequestModalLabel"></h5>
	                    </div>
	                    <div class="col-auto">
	                        <div class="d-flex align-items-center">
	                            <label class="modal-status text-white mb-0"></label>
	                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
	                                <span aria-hidden="true">&times;</span>
	                            </button>
	                        </div>
	                    </div>
	                </div>
	            </div>
	            <div class="modal-body append-view">
	            </div>
	        </div>
	    </div>
	</div>
	<!-- Detention -->
	<div class="modal fade" id="docReq" role="dialog" aria-labelledby="docReqLabel" aria-hidden="true">
	    <div class="modal-dialog modal-dialog-centered modal-blue modal-addLoad modal-docReq" role="document">
	        <div class="modal-content">
	            <div class="modal-header flex-wrap">
	                <h5 class="modal-title" id="docReqLabel">Documentation Request</h5>
	                @if(isset($loadDetail->load_number) && $loadDetail->load_number!='')
	                	<h5 class="modal-title fw-bold ml-auto">Load No. {{ $loadDetail->load_number }}</h5>
	                @endif
	                <button type="button" class="close ml-1" data-dismiss="modal" aria-label="Close">
	                    <span aria-hidden="true">&times;</span>
	                </button>
	            </div>
	            <div class="append-view">
	            </div>
	        </div>
	    </div>
	</div>
@endsection

@section('script')
	<script src="{{ asset('theme/js/jquery.serialtip.js') }}"></script>
	<script src="{{ asset('theme/js/select2.full.min.js') }}"></script>
	<script src="{{ asset('theme/js/slick.min.js') }}"></script>
	<script src="{{ asset('theme/js/html-duration-picker.min.js') }}"></script>
	<script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>
	<script type="text/javascript">
		var table;
		var load_status 							= "{{ $loadDetail->load_status ?? 2 }}";
		var is_on_hold 								= "{{ $loadDetail->is_on_hold ?? 0 }}";
		var totalPendingDetention       			= '{{ $totalPendingDetention ?? 0 }}';

		var load_drivers_array            			= {!! json_encode($loadDriversArray) !!};
		var load_drivers_options     				= '<option value="">Select</option>';
		$.each( load_drivers_array, function( key, value ) {
		    load_drivers_options      				+= '<option value="'+key+'" data-email="'+value.email+'" data-cell_phone="'+value.cell_phone+'">'+value.name+'</option>';
		});
		var load_stops_array            			= {!! json_encode($stopsArry) !!};
		var load_stops_options     					= '<option value="">Select</option>';
		$.each( load_stops_array, function( key, value ) {
			var myarray                     		= [];
			var name 								= (value.type == '1') ? 'Pickup Stop - '+value.stop_no : 'Delivery Stop - '+value.stop_no;
			var address                     		= '';
			if(value.address_one){
			    myarray.push(value.address_one);
			}
			if(value.city){
			    myarray.push(value.city);
			}
			if(value.state){
			    myarray.push(value.state);
			}
			if(value.zip){
			    myarray.push(value.zip);
			}
			address                 				= myarray.join(", ");
		    load_stops_options      				+= '<option value="'+value.stop_no+'">'+name+' '+address+'</option>';
		});
		var load_documents            				= {!! json_encode(getCompanyLoadDocument()) !!};
		var load_documents_options     				= '<option value="">Select</option>';
		$.each( load_documents, function( key, value ) {
		    load_documents_options      			+= '<option value="'+value.id+'" data-include_w_billing="'+value.include_w_billing+'">'+value.name+'</option>';
		});
		load_documents_options     					+= '<option value="0">Other</option>';

		var currentLocation 						= {!! json_encode($currentLocation) !!};

		var pastGPSCoords 							= {!! json_encode($pastGPSCoords) !!};

		var trimbleMapParams 						= {!! json_encode($trimbleMapParams) !!};
		var trimbleTripDetails 						= {!! json_encode($trimbleTripDetails) !!};
		var truckStopArry 							= {!! json_encode($truckStopArry) !!};
		if(trimbleTripDetails && !$.isEmptyObject(trimbleTripDetails)){
			if(trimbleTripDetails.url){
				$('#replay').attr({
				    'href': trimbleTripDetails.url,
				    'target': '_blank'
				});
				$('#replay').removeClass('d-none');
			}
		}

		var pageAssetLocationHistory 				= 1; // Initial page number
	    var isLoadingAssetLocationHistory 			= false;
	    var noMoreDataAssetLocationHistory 			= false;
		$(document).ready(function() {
			$('.select2').select2();
			$('select[name="assettime"]').val('15').trigger('change');
			@if($reeferTempExists)
				$('select[name="reefertime"]').val('15').trigger('change');
			@endif
			$('.loadPickup-slider').slick({
			    dots: false,
			    arrows: false,
			    infinite: false,
			    speed: 300,
			    slidesToShow: 4,
			    slidesToScroll: 1,
			    asNavFor: '.loadMi-slider',
			    responsive: [
			        {
			            breakpoint: 1200,
			            settings: {
			                slidesToShow: 3,
			            }
			        },
			        {
			            breakpoint: 992,
			            settings: {
			                slidesToShow: 2,
			            }
			        },
			        {
			            breakpoint: 576,
			            settings: {
			                slidesToShow: 1,
			            }
			        }
			    ]
			});
			$('.loadMi-slider').slick({
			    dots: false,
			    arrows: true,
			    infinite: false,
			    speed: 300,
			    slidesToShow: 4,
			    slidesToScroll: 1,
			    asNavFor: '.loadPickup-slider',
			    responsive: [
			        {
			            breakpoint: 1200,
			            settings: {
			                slidesToShow: 3,
			            }
			        },
			        {
			            breakpoint: 992,
			            settings: {
			                slidesToShow: 2,
			            }
			        },
			        {
			            breakpoint: 576,
			            settings: {
			                slidesToShow: 1,
			            }
			        }
			    ]
			});
			$('.billing-slider').slick({
			    dots: false,
			    arrow: true,
			    infinite: true,
			    slidesToShow: 1,
			    slidesToScroll: 1,
			    fade: true
			});
			$('#loadfile').html('<div class="loadingdiv"><img src="'+loadimg+'" /></div>');
			setTimeout(function() {
				loadFileView();
				driverSamsaraInfo();
				@if(!empty($mileage_accessorial_array))
					generateMileageAccessorialHtml();
				@endif
				@if(!empty($owner_accessorial_array))
					generateTruckAccessorialHtml();
				@endif
				@if(!empty($driver_accessorial_array))
					generateDriverAccessorialHtml();
				@endif
				setTimeout(function() {
					evaluateDetentionDue();
				}, 250);
			}, 250);
			// progress-truck
			setTimeout(function () {
				var mypercentage 	= $('.view-load div.progress-bar').attr('data-percentage');
				var myVariable 		= "{{ asset('theme/images/progress-truck-1.png') }}";
			    $('.loadMi-slider .slick-track').prepend(`
				    <div class="truck-block">
			        	<img src="`+myVariable+`" alt="truck">
			        	<div class="text">`+mypercentage+`</div>
			        </div>
			    `);
			   	if(truckStopArry && !$.isEmptyObject(truckStopArry)){
			   		if(truckStopArry.percentage == 100){
			   			$('.loadMi-slider .truck-block').css('margin-left', 'calc(100% - 84px)');
			   		}else{
			   			$('.loadMi-slider .truck-block').css('margin-left', truckStopArry.percentage + '%');
			   		}
			   	}
			}, 2500);
		});
		$('select[name="assettime"]').on('change', function (event) {
			pageAssetLocationHistory 			= 1; // Initial page number
		    isLoadingAssetLocationHistory 		= false;
		    noMoreDataAssetLocationHistory 		= false;
			$('.view-loadAssetTimeTable tbody').html('');
			setTimeout(function() {
				getAssetLocationHistory();
			}, 750);
		});
		$('select[name="reefertime"]').on('change', function (event) {
			getReeferTemperatureHistory();
		});
		function loadFileView() {
		    var load_id     					= "{{ $load->id }}"; // original load id
		    var token       					= $('meta[name="csrf-token"]').attr('content');
		    $.ajax({
		        url: "/company-admin/loads-file-view",
		        method: "POST",
		        data: {
		            _token : token,
		            id : load_id
		        },
		        success: function(response) {
		        	$("#loadfile").addClass('d-none');
		        	$("#loadfile").html(response.view);
		        	setTimeout(function() {
	        			$('#loadfile tr').each(function() {
	        				var cellCount = $(this).find('th, td').length;
	        				if(cellCount > 1){
	        					$(this).find('td:last-child, th:last-child').remove();
	        				}
	        			});
	        			$("#loadfile").removeClass('d-none');
		        	}, 250);
		        }
		   });
		}
		function driverSamsaraInfo(){
			$.ajax({
			    type: 'POST',
			    url: "{{ route('company.admin.dispatch.hub.driver.samsara.info') }}",
			    data: { id: "{{ $loadDetail->driver_id ?? 0 }}" },
			    dataType: 'json',
			    headers: {
			        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
			    },
			    beforeSend: function() {
			    	$('.cycle_tomorrow, .rest_in, .driving_left, .workday_left, .cycle_left').text('');
			    	$('.duty_status').text('');
			    },
			    success: function(response) {
			    	if(response.success){
			    		if(!$.isEmptyObject(response.data)){
			    			$('.cycle_tomorrow').text(response.data.cycle_tom);
			    			$('.rest_in').text(response.data.time_in_unit_break);
			    			$('.driving_left').text(response.data.drive);
			    			$('.workday_left').text(response.data.shift);
			    			$('.cycle_left').text(response.data.cycle);
			    			if(response.data.duty_status){
			    				$('.duty_status').text(response.data.duty_status);
			    			}else{
			    				$('.duty_status').text('');
			    			}
			    		}
			    	}
			    }
			});
		}
		function getAssetLocationHistory(){
			if (!isLoadingAssetLocationHistory && !noMoreDataAssetLocationHistory) {
				var time      	= $('select[name="assettime"] option:selected').val();
				var truck_id 	= "{{ $loadDetail->truck->id ?? '' }}";
				if(truck_id){
					$.ajax({
					    type: 'POST',
					    url: '{{ route("company.admin.loads.asset.location.history") }}',
					    data: { time:time, truck_id:truck_id, page:pageAssetLocationHistory },
					    dataType: 'json',
					    headers: {
					        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
					    },
					    beforeSend: function() {
					    	isLoadingAssetLocationHistory 			= true;
					    	$('.view-loadAssetTimeTable tfoot tr').show();
					    },
					    success: function(response) {
					    	if(response.success){
						    	var itemList 						= $('.view-loadAssetTimeTable tbody');
		                        itemList.append(response.html);
		                        pageAssetLocationHistory++;
		                        // itemList.scrollTop(0); // Scroll to the top

		                        // Check if there are more items to load
                                if (response.hasMoreItems === false) {
                                    noMoreDataAssetLocationHistory 	= true;
                                }
					    	}else{
					    		toastr.error(response.message, 'Error Alert', {
					    		    timeOut: 5000
					    		});
					    	}
					    },
					    complete: function() {
					    	isLoadingAssetLocationHistory 			= false;
					    	$('.view-loadAssetTimeTable tfoot tr').hide();
					    },
					    error: function(jqXHR, status, exception) {
					        if (jqXHR.status === 0) {
					            error = 'Not connected.\nPlease verify your network connection.';
					        } else if (jqXHR.status == 404) {
					            error = 'The requested page not found. [404]';
					        } else if (jqXHR.status == 500) {
					            error = 'Internal Server Error [500].';
					        } else if (exception === 'parsererror') {
					            error = 'Requested JSON parse failed.';
					        } else if (exception === 'timeout') {
					            error = 'Time out error.';
					        } else if (exception === 'abort') {
					            error = 'Ajax request aborted.';
					        } else {
					            error = 'Uncaught Error.\n' + jqXHR.responseText;
					        }
					        toastr.error(error, 'Error Alert', {
					            timeOut: 5000
					        });
					    }
					});
				}
			}
		}
		function getReeferTemperatureHistory(){
			var time      		= $('select[name="reefertime"] option:selected').val();
			var reefer_id 		= "1";
			if(reefer_id){
				$.ajax({
				    type: 'POST',
				    url: '{{ route("company.admin.loads.reefer.temperature.history") }}',
				    data: { time:time, reefer_id:reefer_id },
				    dataType: 'json',
				    headers: {
				        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
				    },
				    beforeSend: function() {
				    	$('.view-loadReeferTimeTable tbody').html(`
				    		<tr>
				    			<td class="text-center" colspan="9">
				    				<img src="`+loadimg+`" style="width:22px;height: 22px;margin-top:10px;">
				    			</td>
				    		</tr>
				    	`);
				    },
				    success: function(response) {
				    	if(response.success){
				    		$('.view-loadReeferTimeTable tbody').html(response.html);
				    	}else{
				    		toastr.error(response.message, 'Error Alert', {
				    		    timeOut: 5000
				    		});
				    	}
				    },
				    complete: function() {
				        // console.log('complete');
				    },
				    error: function(jqXHR, status, exception) {
				        if (jqXHR.status === 0) {
				            error = 'Not connected.\nPlease verify your network connection.';
				        } else if (jqXHR.status == 404) {
				            error = 'The requested page not found. [404]';
				        } else if (jqXHR.status == 500) {
				            error = 'Internal Server Error [500].';
				        } else if (exception === 'parsererror') {
				            error = 'Requested JSON parse failed.';
				        } else if (exception === 'timeout') {
				            error = 'Time out error.';
				        } else if (exception === 'abort') {
				            error = 'Ajax request aborted.';
				        } else {
				            error = 'Uncaught Error.\n' + jqXHR.responseText;
				        }
				        toastr.error(error, 'Error Alert', {
				            timeOut: 5000
				        });
				    }
				});
			}
		}
	</script>
	<script type="text/javascript">
		// For Billing accessorial dropdown
		$(document).on('click', '.accessorials-wrapper label.accessorial-collapse-label', function(event) {
		    var that        = $(this);
		    var row         = that.closest('.row');
		    var dropdown    = row.find('.accessorials-collapse-dropdown');
		    if(dropdown.length > 0){
		        if(dropdown.hasClass('d-none')){
		            dropdown.removeClass('d-none');
		        }else{
		            dropdown.addClass('d-none');
		        }
		    }
		});
		function generateMileageAccessorialHtml(){
			var data 										= <?php echo json_encode($mileage_accessorial_array); ?>;
			const grouped                       			= groupBy(data, 'company_accessorial_name');
			if($.isEmptyObject(grouped)){
			    $('.mileage-rating-div .accessorials-wrapper').html('');
			}else{
			    var html                                	= '';
			    var i                                   	= 0;
			    $.each(grouped, function (company_accessorial_name) {
			        var  total                          	= 0;
			        var company_accessorial_id          	= '';
			        var company_accessorial_dropdown    	= '';
			        $.each(grouped[company_accessorial_name], function (index, val) {
			            company_accessorial_id          	= val.company_accessorial_id;

			            var style                       	= 'text-muted';
			            if(val.charge_deduct==1){
			                style                       	= 'text-success';
			                total                       	+= parseFloat(val.total);
			            }else if(val.charge_deduct==2){
			                style                       	= 'text-danger';
			                total                       	-= parseFloat(val.total);
			            }

			            company_accessorial_dropdown   		+= `<div class="row">
			                <div class="col-8">
			                    <span class="text-muted">`+val.stop_name+`</span>
			                </div>
			                <div class="col-4 text-right">
			                    <span class="`+style+`">$`+val.total.toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,')+`</span>
			                </div>
			            </div>`;
			        });

			        if(total > 0){
			            charge_deduct                   	= '1';
			        }else{
			            //total                         	= Math.abs(total);
			            charge_deduct                   	= '2';
			        }

		          	var formattedNumber 					= '$' + Math.abs(total).toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,');
		          	if (total < 0) {
		          	    formattedNumber 					= '-' + formattedNumber;
	          	  	}

			        html                                	+= `<div class="row form-group align-items-center">
			            <div class="col-8">
			                <label for="accessorial_value_`+i+`" class="mb-0 accessorial-collapse-label">
			                    <a href="javascript:void(0);">`+company_accessorial_name+`</a>
			                </label>
			            </div>
			            <div class="col-4 text-right">
			            	<span class="in-value total-accessorial" data-value="`+total+`" data-charge_deduct="`+charge_deduct+`">`+formattedNumber+`</span>
			            </div>
			            <div class="col-12 mt-2 accessorials-collapse-dropdown d-none">`+company_accessorial_dropdown+`</div>`;
			        html                                	+=  `</div>`;
			        i++;
			    });
			    $('.mileage-rating-div .accessorials-wrapper').html(html);
			}
			$('.mileage-rating-div .total-bill-addition:first').trigger('click');
		}
		function generateTruckAccessorialHtml(){
			var data 										= <?php echo json_encode($owner_accessorial_array); ?>;
			const ownerGrouped                          	= groupBy(data, 'truck_owner_id');
			if($.isEmptyObject(ownerGrouped)){
			    $('.truck-payment-div').each(function(index, obj) {
			        $(this).find('.accessorials-wrapper').html('');
			        $(this).find('.total-bill-addition:first').trigger('click');
			    });
			}else{
			    $('.truck-payment-div').each(function(index, obj) {
			        var that                            	= $(this);
			        var number                          	= that.attr('data-number');
			        var truck_owner_id                      = that.attr('data-truck_owner_id');
			        if(ownerGrouped[truck_owner_id]){
			            const grouped                   	= groupBy(ownerGrouped[truck_owner_id], 'company_accessorial_name');
			            if($.isEmptyObject(grouped)){
			                that.find('.accessorials-wrapper').html('');
			            }else{
			                var html                        = '';
			                var i                           = 0;
			                $.each(grouped, function (company_accessorial_name) {
			                    var  total                              = 0;
			                    var company_accessorial_id              = '';
			                    var company_accessorial_dropdown        = '';
			                    $.each(grouped[company_accessorial_name], function (index, val) {
			                        company_accessorial_id              = val.company_accessorial_id;

			                        var style                           = 'text-muted';
			                        if(val.owner_pay_deduct==1){
			                            style                           = 'text-success';
			                            total                           += parseFloat(val.owner_total);
			                        }else if(val.owner_pay_deduct==2){
			                            style                       	= 'text-danger';
			                            total                       	-= parseFloat(val.owner_total);
			                        }

			                        company_accessorial_dropdown        += `<div class="row">
			                            <div class="col-8">
			                                <span class="text-muted">`+val.stop_name+`</span>
			                            </div>
			                            <div class="col-4 text-right">
			                            	<span class="`+style+`">$`+val.owner_total.toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,')+`</span>
			                            </div>
			                        </div>`;
			                    });

			                    if(total > 0){
			                        pay_deduct                          = '1';
			                    }else{
			                        //total                             = Math.abs(total);
			                        pay_deduct                          = '2';
			                    }

                	          	var formattedNumber 					= '$' + Math.abs(total).toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,');
                	          	if (total < 0) {
                	          	    formattedNumber 					= '-' + formattedNumber;
                          	  	}

			                    html                                    += `<div class="row form-group align-items-center">
			                        <div class="col-8">
			                            <label for="trucks_`+number+`_accessorial_`+i+`_value" class="mb-0 accessorial-collapse-label">
			                                <a href="javascript:void(0);">`+company_accessorial_name+`</a>
			                            </label>
			                        </div>
			                        <div class="col-4 text-right">
			                        	<span class="in-value total-accessorial" data-value="`+total+`" data-pay_deduct="`+pay_deduct+`">`+formattedNumber+`</span>
			                        </div>
			                        <div class="col-12 mt-2 accessorials-collapse-dropdown d-none">`+company_accessorial_dropdown+`</div>`;
			                    html                                +=  `</div>`;
			                    i++;
			                });
			                that.find('.accessorials-wrapper').html(html);
			            }
			        }else{
			            that.find('.accessorials-wrapper').html('');
			        }
			        that.find('.total-bill-addition:first').trigger('click');
			    });
			}
		}
		function generateDriverAccessorialHtml(){
			var data 										= <?php echo json_encode($driver_accessorial_array); ?>;
			const driverGrouped                          	= groupBy(data, 'driver_id');
			if($.isEmptyObject(driverGrouped)){
			    $('.driver-payment-div').each(function(index, obj) {
			        $(this).find('.accessorials-wrapper').html('');
			        $(this).find('.total-bill-addition:first').trigger('click');
			    });
			}else{
			    $('.driver-payment-div').each(function(index, obj) {
			        var that                            	= $(this);
			        var number                          	= that.attr('data-number');
			        var driver_id                       	= that.attr('data-driver_id');
			        if(driverGrouped[driver_id]){
			            const grouped                   	= groupBy(driverGrouped[driver_id], 'company_accessorial_name');
			            if($.isEmptyObject(grouped)){
			                that.find('.accessorials-wrapper').html('');
			            }else{
			                var html                        = '';
			                var i                           = 0;
			                $.each(grouped, function (company_accessorial_name) {
			                    var  total                              = 0;
			                    var company_accessorial_id              = '';
			                    var company_accessorial_dropdown        = '';
			                    $.each(grouped[company_accessorial_name], function (index, val) {
			                        company_accessorial_id              = val.company_accessorial_id;

			                        var style                           = 'text-muted';
			                        if(val.pay_deduct==1){
			                            style                           = 'text-success';
			                            total                           += parseFloat(val.driver_total);
			                        }else if(val.pay_deduct==2){
			                            if(val.doc_required==0){
			                                style                       = 'text-danger';
			                                total                       -= parseFloat(val.driver_total);
			                            }else{
			                                if(val.is_received==0 || val.is_deduction==0){
			                                    style                   = 'text-danger';
			                                    total                   -= parseFloat(val.driver_total);
			                                }
			                            }
			                        }

			                        company_accessorial_dropdown        += `<div class="row">
			                            <div class="col-8">
			                                <span class="text-muted">`+val.stop_name+`</span>
			                            </div>
			                            <div class="col-4 text-right">
			                            	<span class="`+style+`">$`+val.driver_total.toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,')+`</span>
			                            </div>
			                        </div>`;
			                    });

			                    if(total > 0){
			                        pay_deduct                          = '1';
			                    }else{
			                        //total                             = Math.abs(total);
			                        pay_deduct                          = '2';
			                    }

                	          	var formattedNumber 					= '$' + Math.abs(total).toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,');
                	          	if (total < 0) {
                	          	    formattedNumber 					= '-' + formattedNumber;
                          	  	}

			                    html                                    += `<div class="row form-group align-items-center">
			                        <div class="col-8">
			                            <label for="drivers_`+number+`_accessorial_`+i+`_value" class="mb-0 accessorial-collapse-label">
			                                <a href="javascript:void(0);">`+company_accessorial_name+`</a>
			                            </label>
			                        </div>
			                        <div class="col-4 text-right">
			                        	<span class="in-value total-accessorial" data-value="`+total+`" data-pay_deduct="`+pay_deduct+`">`+formattedNumber+`</span>
			                        </div>
			                        <div class="col-12 mt-2 accessorials-collapse-dropdown d-none">`+company_accessorial_dropdown+`</div>`;
			                    html                                +=  `</div>`;
			                    i++;
			                });
			                that.find('.accessorials-wrapper').html(html);
			            }
			        }else{
			            that.find('.accessorials-wrapper').html('');
			        }
			        that.find('.total-bill-addition:first').trigger('click');
			    });
			}
		}
		function groupBy(objectArray, property) {
		    return objectArray.reduce((acc, obj) => {
		        const key = obj[property];
		        if (!acc[key]) {
		            acc[key] = [];
		        }
		        // Add object to list for given key's value
		        acc[key].push(obj);
		        return acc;
		    }, {});
		}
	</script>
	<script type="text/javascript">
		// For Required Documents & Additional Details View
		$(document).ready(function() {
			$('#additionalDetailsModal').on('hidden.bs.modal', function () {
			    $('#additionalDetailsModal').find('.modal-title').text('');
			    $('#additionalDetailsModal').find('.append-view').html('');
			});
		});
		$(document).on('click', 'a.required-documents, a.additional-details', function(event) {
			event.preventDefault();
			// console.log('additional-details-btn');
			// return false;
			var that        				= $(this);
			var title 						= that.closest('.loadInfo-block').find('.loadInfo-head h6').text();

			var type 						= that.attr('data-type');
			var customer_type 				= that.attr('data-customer_type');
			var is_stop 					= that.attr('data-is_stop');
			var load_detail_id 				= that.attr('data-load_detail_id');
			if(is_stop == 1){
				var load_stop_id 			= that.attr('data-load_stop_id');
			}else{
				var load_stop_id 			= '';
			}

			if(type == 'required_documents'){
				title 						+= ' - Required Documents';
			}else{
				title 						+= ' - Additional Details';
			}

			var formData    				= {};
			formData['type']                = type;
			formData['customer_type']       = customer_type;
			formData['is_stop']       		= is_stop;
			formData['load_detail_id']      = load_detail_id;
			formData['load_stop_id']      	= load_stop_id;

    		$.ajax({
    		    type: 'POST',
    		    url: '{{ route("company.admin.loads.additional.stop.details") }}',
    		    data: formData,
    		    dataType: 'json',
    		    headers: {
    		        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
    		    },
    		    beforeSend: function() {
    		    	$('#additionalDetailsModal').find('.modal-title').text(title);
    		    	$('#additionalDetailsModal').find('.append-view').html(`
    		    	    <div class="loadingdiv">
    		    	        <img src="`+loadimg+`">
    		    	    </div>
    		    	`);
    		    	$('#additionalDetailsModal').modal({backdrop: 'static', keyboard: false}, 'show');
    		    },
    		    success: function(response) {
    		    	if(response.success){
    		    		$('#additionalDetailsModal').find('.append-view').html(response.html);
    		    	}else{
    		    		toastr.error(response.message, 'Error Alert', {
    		    		    timeOut: 5000
    		    		});
    		    	}
    		    },
    		    complete: function() {
    		        // console.log('complete');
    		    },
    		    error: function(jqXHR, status, exception) {
    		        if (jqXHR.status === 0) {
    		            error = 'Not connected.\nPlease verify your network connection.';
    		        } else if (jqXHR.status == 404) {
    		            error = 'The requested page not found. [404]';
    		        } else if (jqXHR.status == 500) {
    		            error = 'Internal Server Error [500].';
    		        } else if (exception === 'parsererror') {
    		            error = 'Requested JSON parse failed.';
    		        } else if (exception === 'timeout') {
    		            error = 'Time out error.';
    		        } else if (exception === 'abort') {
    		            error = 'Ajax request aborted.';
    		        } else {
    		            error = 'Uncaught Error.\n' + jqXHR.responseText;
    		        }
    		        toastr.error(error, 'Error Alert', {
    		            timeOut: 5000
    		        });
    		    }
    		});
    		return false;
		});
	</script>
	<!-- // Detention -->
	<script type="text/javascript">
		$(document).ready(function() {
			$('#detentionRequestModal').on('hidden.bs.modal', function () {
			    //console.log('Detention request modal hidden');
			    if(modalInterval && modalInterval > 0)
			        clearInterval(modalInterval);
			    $('#detentionRequestModal').find('.modal-title').text('');
			    $('#detentionRequestModal').find('.modal-status').text('');
			    $('#detentionRequestModal').find('.append-view').html('');
			});
			$('#detentionRequestModal').on('show.bs.modal', function () {
			    //console.log('Detention request modal show');
			    $('#detentionRequestModal').find('.append-view').html(`
			        <div class="loadingdiv">
			            <img src="`+loadimg+`">
			        </div>
			    `);
			});
		});
	    $(document).on('click', '.detention-request', function(event) {
	        event.preventDefault();
	        // console.log('detention-request');
	        // return false;
	        var that                        = $(this);
	        var stop_div                    = that.closest('.loadInfo-block');
	        var mode                        = that.attr('data-mode');
	        var title                       = 'Add Detention Request : ';
	        if(mode=='edit'){
	            title                       = 'Edit Detention Request : ';
	        }
	        title                           += stop_div.find('.loadInfo-head h6').text();

	        var type                        = that.attr('data-type');
	        var is_stop                     = that.attr('data-is_stop');
	        if (typeof type === "undefined" || typeof is_stop === "undefined") {
	            return false;
	        }

	        var unique_id                   = that.attr('data-unique_id');

	        var myarray                     = [];
	        var address                     = '';
	        var abbr                        = '';
	        if(stop_div.find('.address-one').text()!=''){
	        	myarray.push(stop_div.find('.address-one').text());
	        }
	        if(stop_div.find('.city').text()!=''){
	        	myarray.push(stop_div.find('.city').text());
	        }
	        if(stop_div.find('.state').text()!=''){
	        	myarray.push(stop_div.find('.state').text());
	        }
	        if(stop_div.find('.zip').text()!=''){
	        	myarray.push(stop_div.find('.zip').text());
	        }
	        address                 		= myarray.join(", ");
	        if(stop_div.find('.address-one').attr('data-abbr')!=''){
	        	abbr                    	= stop_div.find('.address-one').attr('data-abbr');
	        }

	        var formData                    = {};
	        formData['type']                = type;
	        formData['is_stop']             = is_stop;
	        formData['load_detail_id']      = that.attr('data-load_detail_id');
	        if(is_stop==1){
	            var load_stop_id            = that.attr('data-load_stop_id');
	            if (typeof load_stop_id !== "undefined") {
	                formData['load_stop_id']= load_stop_id;
	            }
	            formData['random_id']       = that.attr('data-random_id');
	        }
	        formData['driver_id']           = "{{ $loadDetail->driver_id ?? '0' }}";
	        formData['broker_id']           = "{{ $loadDetail->brokerage_firm ?? '' }}";
	        formData['broker_email']        = "{{ $loadDetail->broker_email ?? '' }}";
	        formData['address']             = address;
	        formData['timezone_abbr']       = abbr;
	        formData['unique_id']           = unique_id;
	        var detention_id                = that.attr('data-detention_id');
	        if (typeof detention_id !== "undefined") {
	            formData['detention_id']    = detention_id;
	        }
	        // console.log(formData);
	        // return false;

	        $.ajax({
	            type: 'POST',
	            url: '{!! route("company.admin.loads.detention.request") !!}',
	            data: formData,
	            dataType: 'json',
	            headers: {
	                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
	            },
	            beforeSend: function () {
	                $('#detentionRequestModal').find('.modal-title').text(title);
	                $('#detentionRequestModal').modal({backdrop: 'static', keyboard: false}, 'show');
	            },
	        }).done(function(response) {
	            var html                    			= response.html;
	            if(typeof html !== "undefined"){
	                $('#detentionRequestModal').find('.append-view').html(html);
	                setTimeout(function() {
	                    updateClock();

	                    var modalForm                   = $('#detentionRequestModal #detentionForm');
	                    if(modalForm.length > 0){
	                        var modal_status            = modalForm.find('.review-status-p').text();
	                        $('#detentionRequestModal').find('.modal-status').text(modal_status);

	                        var free_time               = modalForm.find('input[name="free_time"]');
	                        if(free_time.length > 0){
	                            HtmlDurationPicker.refresh();
	                            setTimeout(function() {
	                                if(modalForm.find('input[name="billed_time"]').length > 0){
	                                    if(modalForm.find('input[name="billed_time"]').val()==''){
	                                        free_time.keyup();
	                                    }
	                                }
	                            }, 1050);
	                        }
	                        var detention_arrival_time  = modalForm.find('input[name="detention_arrival_time"]');
	                        if(detention_arrival_time.length > 0){
	                            detention_arrival_time.datetimepicker({
	                                ignoreReadonly: true,
	                                format: dateTimeLayout,
	                                useCurrent: false,
	                            }).on('dp.change', function(e) {
	                                var getDate         = moment(new Date(e.date));
	                                var currentDate     = moment(getDate).format(dateTimeLayout);
	                                modalForm.find('.arrival_time_label').attr('data-arrival_time',currentDate);
	                            });
	                        }
	                        var detention_start_time    = modalForm.find('input[name="detention_start_time"]');
	                        if(detention_start_time.length > 0){
	                            detention_start_time.datetimepicker({
	                                ignoreReadonly: true,
	                                format: dateTimeLayout,
	                                useCurrent: false,
	                            }).on('dp.change', function(e) {
	                                detention_start_time.parsley().reset();
	                                var getDate         = moment(new Date(e.date));
	                                var currentDate     = moment(getDate).format(dateTimeLayout);
	                                modalForm.find('.start_time_label').attr('data-start_time',currentDate);
	                                if(modalForm.find('input[name="detention_end_time"]').length > 0)
	                                    updateClock();
	                                    setTimeout(function() {
	                                        if(free_time.length > 0){
	                                            free_time.keyup();
	                                        }
	                                    }, 1050);
	                            });
	                        }
	                        var detention_end_time      = modalForm.find('input[name="detention_end_time"]');
	                        if(detention_end_time.length > 0){
	                            detention_end_time.datetimepicker({
	                                ignoreReadonly: true,
	                                format: dateTimeLayout,
	                                useCurrent: false,
	                            }).on('dp.change', function(e) {
	                                detention_end_time.parsley().reset();
	                                var getDate         = moment(new Date(e.date));
	                                var currentDate     = moment(getDate).format(dateTimeLayout);
	                                modalForm.find('.end_time_label').attr('data-end_time',currentDate);
	                                    updateClock();
	                                    setTimeout(function() {
	                                        if(free_time.length > 0){
	                                            free_time.keyup();
	                                        }
	                                    }, 1050);
	                            });
	                        }
	                    }
	                }, 250);
	            }else{
	                toastr.error('Oops! Something went wrong..', 'Error Alert', {
	                    timeOut: 5000
	                });
	            }
	        }).fail(function(jqXHR, status, exception)  {
	            if (jqXHR.status === 0) {
	                error = 'Not connected.\nPlease verify your network connection.';
	            } else if (jqXHR.status == 404) {
	                error = 'The requested page not found. [404]';
	            } else if (jqXHR.status == 500) {
	                error = 'Internal Server Error [500].';
	            } else if (exception === 'parsererror') {
	                error = 'Requested JSON parse failed.';
	            } else if (exception === 'timeout') {
	                error = 'Time out error.';
	            } else if (exception === 'abort') {
	                error = 'Ajax request aborted.';
	            } else {
	                error = 'Uncaught Error.\n' + jqXHR.responseText;
	            }
	            toastr.error(error, 'Error Alert', {
	                timeOut: 5000
	            });
	        });
	        return false;
	    });
		$(document).on('click', '.detention-submit', function(event) {
		    event.preventDefault();
		    // console.log('detention-submit');
		    // return false;
		    var that                            = $(this);
		    var btnTxt                          = that.text();

		    var form                            = $('#detentionRequestModal #detentionForm');
		    form.parsley().validate();
		    if (form.parsley().isValid()){
		        var formData                    = new FormData(form[0]);
		        formData.append('review_status', that.attr('data-review_status'));

		        $.ajax({
		            type: 'POST',
		            url: '{!! route("company.admin.loads.detention.save") !!}',
		            data: formData,
		            dataType: 'json',
		            headers: {
		                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
		            },
		            cache : false,
		            processData: false,
		            contentType: false,
		            beforeSend: function() {
		                that.prop('disabled', true).html('Please Wait...');
		            },
		        }).done(function(response) {
		            if(response.success){
		                checkPendingDetention();

		                var modalForm           = $('#detentionRequestModal #detentionForm');
		                var unique_id           = modalForm.find('input[name="unique_id"]').val();
		                var detentionBtn        = $('a[data-unique_id="'+unique_id+'"]');
		                var detention_id        = detentionBtn.attr('data-detention_id');
		                if(typeof detention_id === "undefined")
		                    detentionBtn.attr('data-detention_id', response.detention.id);
		                var mode                = detentionBtn.attr('data-mode');
		                if(mode=='add')
		                    detentionBtn.attr('data-mode', 'edit');
		                    detentionBtn.html('Edit Detention');

		                var txt                 = btnTxt;
		                txt                     = txt.charAt(0).toUpperCase() + txt.slice(1).toLowerCase()
		                toastr.success(
		                    txt+' successfully',
		                    'Success Alert', {
		                        timeOut: 1000,
		                        fadeOut: 1000,
		                        onHidden: function () {
		                            $('#detentionRequestModal').modal('hide');
		                        }
		                    }
		                );
		            }else{
		                toastr.error(response.message, 'Error Alert', {
		                    timeOut: 5000
		                });
		            }
		        }).fail(function(jqXHR, status, exception)  {
		            if (jqXHR.status === 0) {
		                error = 'Not connected.\nPlease verify your network connection.';
		            } else if (jqXHR.status == 404) {
		                error = 'The requested page not found. [404]';
		            } else if (jqXHR.status == 500) {
		                error = 'Internal Server Error [500].';
		            } else if (exception === 'parsererror') {
		                error = 'Requested JSON parse failed.';
		            } else if (exception === 'timeout') {
		                error = 'Time out error.';
		            } else if (exception === 'abort') {
		                error = 'Ajax request aborted.';
		            } else {
		                error = 'Uncaught Error.\n' + jqXHR.responseText;
		            }
		            toastr.error(error, 'Error Alert', {
		                timeOut: 5000
		            });
		        }).always(function (dataOrjqXHR, textStatus, jqXHRorErrorThrown) {
		            that.prop('disabled', false).html(btnTxt);
		        });
		    }
		    return false;
		});
		$(document).on('click', '.detention-deny', function(event) {
		    event.preventDefault();
		    // console.log('detention-request-deny');
		    // return false;
		    var that                                = $(this);
		    var btnTxt                              = that.text();

		    var detention_id                        = that.data('detention_id');
		    if(detention_id){
		        Swal.fire({
		            text: "Are you sure you want to deny this request?",
		            icon: "warning",
		            showCancelButton: true,
		            confirmButtonColor: "#c82333",
		            confirmButtonText: "Yes",
		            allowOutsideClick: false
		        }).then((result) => {
		            if(result.isConfirmed){
		                var formData                = {};
		                formData['detention_id']    = detention_id;
		                $.ajax({
		                    type: 'POST',
		                    url: '{!! route("company.admin.loads.detention.deny") !!}',
		                    data: formData,
		                    dataType: 'json',
		                    headers: {
		                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
		                    },
		                    beforeSend: function () {
		                        that.prop('disabled', true).html('Please Wait...');
		                    },
		                }).done(function(response) {
		                    if(response.success){
		                        checkPendingDetention();

		                        toastr.success(
		                            response.message,
		                            'Success Alert', {
		                                timeOut: 1000,
		                                fadeOut: 1000,
		                                onHidden: function () {
		                                    $('#detentionRequestModal').modal('hide');
		                                }
		                            }
		                        );
		                    }else{
		                        toastr.error(response.message, 'Error Alert', {
		                            timeOut: 5000
		                        });
		                    }
		                }).fail(function(jqXHR, status, exception)  {
		                    if (jqXHR.status === 0) {
		                        error = 'Not connected.\nPlease verify your network connection.';
		                    } else if (jqXHR.status == 404) {
		                        error = 'The requested page not found. [404]';
		                    } else if (jqXHR.status == 500) {
		                        error = 'Internal Server Error [500].';
		                    } else if (exception === 'parsererror') {
		                        error = 'Requested JSON parse failed.';
		                    } else if (exception === 'timeout') {
		                        error = 'Time out error.';
		                    } else if (exception === 'abort') {
		                        error = 'Ajax request aborted.';
		                    } else {
		                        error = 'Uncaught Error.\n' + jqXHR.responseText;
		                    }
		                    toastr.error(error, 'Error Alert', {
		                        timeOut: 5000
		                    });
		                }).always(function (dataOrjqXHR, textStatus, jqXHRorErrorThrown) {
		                    that.prop('disabled', false).html(btnTxt);
		                });
		                return false;
		            }
		        });
		    }
		});
		$(document).on('click', '.detention-revert', function(event) {
		    event.preventDefault();
		    // console.log('detention-revert');
		    // return false;
		    var that                            = $(this);
		    var detention_id                    = that.data('detention_id');
		    if(detention_id){
		        var modalForm                   = $('#detentionRequestModal #detentionForm');
		        var type                        = modalForm.find('input[name="type"]').val();
		        var is_stop                     = modalForm.find('input[name="is_stop"]').val();
		        if (typeof type === "undefined" || typeof is_stop === "undefined") {
		            return false;
		        }

		        var unique_id                   = modalForm.find('input[name="unique_id"]').val();
		        var detentionBtn                = $('a[data-unique_id="'+unique_id+'"]');
		        var stop_div                    = detentionBtn.closest('.loadInfo-block');

		        var myarray                     = [];
		        var address                     = '';
		        var abbr                        = '';
		        if(stop_div.find('.address-one').text()!=''){
		        	myarray.push(stop_div.find('.address-one').text());
		        }
		        if(stop_div.find('.city').text()!=''){
		        	myarray.push(stop_div.find('.city').text());
		        }
		        if(stop_div.find('.state').text()!=''){
		        	myarray.push(stop_div.find('.state').text());
		        }
		        if(stop_div.find('.zip').text()!=''){
		        	myarray.push(stop_div.find('.zip').text());
		        }
		        address                 		= myarray.join(", ");
		        if(stop_div.find('.address-one').attr('data-abbr')!=''){
		        	abbr                    	= stop_div.find('.address-one').attr('data-abbr');
		        }

		        var obj                         = {};
		        obj['type']                     = type;
		        obj['is_stop']                  = is_stop;
		        obj['load_detail_id']           = modalForm.find('input[name="load_detail_id"]').val();
		        if(is_stop==1){
		            if (modalForm.find('input[name="load_stop_id"]').length > 0) {
		                obj['load_stop_id']     = modalForm.find('input[name="load_stop_id"]').val();
		            }
		            obj['random_id']            = modalForm.find('input[name="random_id"]').val();
		        }
		        //obj['driver_id']              = "{{ $loadDetail->driver_id ?? '0' }}";
		        //obj['broker_id']              = "{{ $loadDetail->brokerage_firm ?? '' }}";
		        obj['broker_email']             = "{{ $loadDetail->broker_email ?? '' }}";
		        obj['address']                  = address;
		        obj['timezone_abbr']            = abbr;
		        obj['unique_id']                = unique_id;
		        obj['detention_id']             = detention_id;
		        // console.log(obj);
		        // return false;

		        $.ajax({
		            type: 'POST',
		            url: '{!! route("company.admin.loads.detention.revert") !!}',
		            data: obj,
		            dataType: 'json',
		            headers: {
		                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
		            },
		            beforeSend: function () {
		                that.prop('disabled', true).html('Please Wait...');
		            },
		        }).done(function(response) {
		            checkPendingDetention();

		            var html                    			= response.html;
		            if(typeof html !== "undefined"){
		                if(modalInterval && modalInterval > 0)
		                    clearInterval(modalInterval);
		                $('#detentionRequestModal').find('.append-view').html(html);

		                setTimeout(function() {
		                    updateClock();

		                    var modalForm                   = $('#detentionRequestModal #detentionForm');
		                    if(modalForm.length > 0){
		                        var modal_status            = modalForm.find('.review-status-p').text();
		                        $('#detentionRequestModal').find('.modal-status').text(modal_status);

		                        var free_time               = modalForm.find('input[name="free_time"]');
		                        if(free_time.length > 0){
		                            HtmlDurationPicker.refresh();
		                            setTimeout(function() {
		                                if(modalForm.find('input[name="billed_time"]').length > 0){
		                                    if(modalForm.find('input[name="billed_time"]').val()==''){
		                                        free_time.keyup();
		                                    }
		                                }
		                            }, 1050);
		                        }
		                        var detention_arrival_time  = modalForm.find('input[name="detention_arrival_time"]');
		                        if(detention_arrival_time.length > 0){
		                            detention_arrival_time.datetimepicker({
		                                ignoreReadonly: true,
		                                format: dateTimeLayout,
		                                useCurrent: false,
		                            }).on('dp.change', function(e) {
		                                var getDate         = moment(new Date(e.date));
		                                var currentDate     = moment(getDate).format(dateTimeLayout);
		                                modalForm.find('.arrival_time_label').attr('data-arrival_time',currentDate);
		                            });
		                        }
		                        var detention_start_time    = modalForm.find('input[name="detention_start_time"]');
		                        if(detention_start_time.length > 0){
		                            detention_start_time.datetimepicker({
		                                ignoreReadonly: true,
		                                format: dateTimeLayout,
		                                useCurrent: false,
		                            }).on('dp.change', function(e) {
		                                detention_start_time.parsley().reset();
		                                var getDate         = moment(new Date(e.date));
		                                var currentDate     = moment(getDate).format(dateTimeLayout);
		                                modalForm.find('.start_time_label').attr('data-start_time',currentDate);
		                                if(modalForm.find('input[name="detention_end_time"]').length > 0)
		                                    updateClock();
		                                    setTimeout(function() {
		                                        if(free_time.length > 0){
		                                            free_time.keyup();
		                                        }
		                                    }, 1050);
		                            });
		                        }
		                        var detention_end_time      = modalForm.find('input[name="detention_end_time"]');
		                        if(detention_end_time.length > 0){
		                            detention_end_time.datetimepicker({
		                                ignoreReadonly: true,
		                                format: dateTimeLayout,
		                                useCurrent: false,
		                            }).on('dp.change', function(e) {
		                                detention_end_time.parsley().reset();
		                                var getDate         = moment(new Date(e.date));
		                                var currentDate     = moment(getDate).format(dateTimeLayout);
		                                modalForm.find('.end_time_label').attr('data-end_time',currentDate);
		                                    updateClock();
		                                    setTimeout(function() {
		                                        if(free_time.length > 0){
		                                            free_time.keyup();
		                                        }
		                                    }, 1050);
		                            });
		                        }
		                    }
		                }, 250);
		                toastr.success(response.message,'Success Alert');
		            }else{
		                toastr.error('Oops! Something went wrong..', 'Error Alert', {
		                    timeOut: 5000
		                });
		            }
		        }).fail(function(jqXHR, status, exception)  {
		            if (jqXHR.status === 0) {
		                error = 'Not connected.\nPlease verify your network connection.';
		            } else if (jqXHR.status == 404) {
		                error = 'The requested page not found. [404]';
		            } else if (jqXHR.status == 500) {
		                error = 'Internal Server Error [500].';
		            } else if (exception === 'parsererror') {
		                error = 'Requested JSON parse failed.';
		            } else if (exception === 'timeout') {
		                error = 'Time out error.';
		            } else if (exception === 'abort') {
		                error = 'Ajax request aborted.';
		            } else {
		                error = 'Uncaught Error.\n' + jqXHR.responseText;
		            }
		            toastr.error(error, 'Error Alert', {
		                timeOut: 5000
		            });
		        }).always(function (dataOrjqXHR, textStatus, jqXHRorErrorThrown) {
		            that.prop('disabled', false).html('Revert');
		        });
		    }
		    return false;
		});
		$(document).on('click', '.resend-to-broker', function(event) {
		    event.preventDefault();
		    // console.log('resend-to-broker');
		    // return false;
		    var that                            = $(this);
		    var id                              = that.data('detention_id');
		    if(id){
		        $.ajax({
		            type: 'POST',
		            url: '{!! route("company.admin.detention.request.resend.broker") !!}',
		            data: { id:id },
		            dataType: 'json',
		            headers: {
		                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
		            },
		            beforeSend: function () {
		                that.prop('disabled', true).html('Sending...');
		            },
		        }).done(function(response) {
		            if(response.success){
		                toastr.success(response.message,'Success Alert');
		            }else{
		                toastr.error(response.messag, 'Error Alert', {
		                    timeOut: 5000
		                });
		            }
		        }).fail(function(jqXHR, status, exception)  {
		            if (jqXHR.status === 0) {
		                error = 'Not connected.\nPlease verify your network connection.';
		            } else if (jqXHR.status == 404) {
		                error = 'The requested page not found. [404]';
		            } else if (jqXHR.status == 500) {
		                error = 'Internal Server Error [500].';
		            } else if (exception === 'parsererror') {
		                error = 'Requested JSON parse failed.';
		            } else if (exception === 'timeout') {
		                error = 'Time out error.';
		            } else if (exception === 'abort') {
		                error = 'Ajax request aborted.';
		            } else {
		                error = 'Uncaught Error.\n' + jqXHR.responseText;
		            }
		            toastr.error(error, 'Error Alert', {
		                timeOut: 5000
		            });
		        }).always(function (dataOrjqXHR, textStatus, jqXHRorErrorThrown) {
		            that.prop('disabled', false).html('Resend to Broker');
		        });
		    }
		});
		$(document).on('click', '.detention-force-stop', function(event) {
		    event.preventDefault();
		    // console.log('detention-force-stop');
		    // return false;
		    var that                            = $(this);
		    var detention_id                    = that.data('detention_id');
		    if(detention_id){
		        var modalForm                   = $('#detentionRequestModal #detentionForm');
		        var type                        = modalForm.find('input[name="type"]').val();
		        var is_stop                     = modalForm.find('input[name="is_stop"]').val();
		        if (typeof type === "undefined" || typeof is_stop === "undefined") {
		            return false;
		        }

		        var unique_id                   = modalForm.find('input[name="unique_id"]').val();
		        var detentionBtn                = $('a[data-unique_id="'+unique_id+'"]');
		        var stop_div                    = detentionBtn.closest('.loadInfo-block');

		        var myarray                     = [];
		        var address                     = '';
		        var abbr                        = '';
		        if(stop_div.find('.address-one').text()!=''){
		        	myarray.push(stop_div.find('.address-one').text());
		        }
		        if(stop_div.find('.city').text()!=''){
		        	myarray.push(stop_div.find('.city').text());
		        }
		        if(stop_div.find('.state').text()!=''){
		        	myarray.push(stop_div.find('.state').text());
		        }
		        if(stop_div.find('.zip').text()!=''){
		        	myarray.push(stop_div.find('.zip').text());
		        }
		        address                 		= myarray.join(", ");
		        if(stop_div.find('.address-one').attr('data-abbr')!=''){
		        	abbr                    	= stop_div.find('.address-one').attr('data-abbr');
		        }

		        var obj                         = {};
		        obj['type']                     = type;
		        obj['is_stop']                  = is_stop;
		        obj['load_detail_id']           = modalForm.find('input[name="load_detail_id"]').val();
		        if(is_stop==1){
		            if (modalForm.find('input[name="load_stop_id"]').length > 0) {
		                obj['load_stop_id']     = modalForm.find('input[name="load_stop_id"]').val();
		            }
		            obj['random_id']            = modalForm.find('input[name="random_id"]').val();
		        }
		        //obj['driver_id']              = "{{ $loadDetail->driver_id ?? '0' }}";
		        //obj['broker_id']              = "{{ $loadDetail->brokerage_firm ?? '' }}";
		        obj['broker_email']             = "{{ $loadDetail->broker_email ?? '' }}";
		        obj['address']                  = address;
		        obj['timezone_abbr']            = abbr;
		        obj['unique_id']                = unique_id;
		        obj['detention_id']             = that.data('detention_id');
		        // console.log(obj);
		        // return false;

		        $.ajax({
		            type: 'POST',
		            url: '{!! route("company.admin.loads.detention.force.stop") !!}',
		            data: obj,
		            dataType: 'json',
		            headers: {
		                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
		            },
		            beforeSend: function () {
		                that.prop('disabled', true).html('Please Wait...');
		            },
		        }).done(function(response) {
		            checkPendingDetention();

		            var html                    			= response.html;
		            if(typeof html !== "undefined"){
		                if(modalInterval && modalInterval > 0)
		                    clearInterval(modalInterval);
		                $('#detentionRequestModal').find('.append-view').html(html);

		                setTimeout(function() {
		                    updateClock();

		                    var modalForm                   = $('#detentionRequestModal #detentionForm');
		                    if(modalForm.length > 0){
		                        var modal_status            = modalForm.find('.review-status-p').text();
		                        $('#detentionRequestModal').find('.modal-status').text(modal_status);

		                        var free_time               = modalForm.find('input[name="free_time"]');
		                        if(free_time.length > 0){
		                            HtmlDurationPicker.refresh();
		                            setTimeout(function() {
		                                if(modalForm.find('input[name="billed_time"]').length > 0){
		                                    if(modalForm.find('input[name="billed_time"]').val()==''){
		                                        free_time.keyup();
		                                    }
		                                }
		                            }, 1050);
		                        }
		                        var detention_arrival_time  = modalForm.find('input[name="detention_arrival_time"]');
		                        if(detention_arrival_time.length > 0){
		                            detention_arrival_time.datetimepicker({
		                                ignoreReadonly: true,
		                                format: dateTimeLayout,
		                                useCurrent: false,
		                            }).on('dp.change', function(e) {
		                                var getDate         = moment(new Date(e.date));
		                                var currentDate     = moment(getDate).format(dateTimeLayout);
		                                modalForm.find('.arrival_time_label').attr('data-arrival_time',currentDate);
		                            });
		                        }
		                        var detention_start_time    = modalForm.find('input[name="detention_start_time"]');
		                        if(detention_start_time.length > 0){
		                            detention_start_time.datetimepicker({
		                                ignoreReadonly: true,
		                                format: dateTimeLayout,
		                                useCurrent: false,
		                            }).on('dp.change', function(e) {
		                                detention_start_time.parsley().reset();
		                                var getDate         = moment(new Date(e.date));
		                                var currentDate     = moment(getDate).format(dateTimeLayout);
		                                modalForm.find('.start_time_label').attr('data-start_time',currentDate);
		                                if(modalForm.find('input[name="detention_end_time"]').length > 0)
		                                    updateClock();
		                                    setTimeout(function() {
		                                        if(free_time.length > 0){
		                                            free_time.keyup();
		                                        }
		                                    }, 1050);
		                            });
		                        }
		                        var detention_end_time      = modalForm.find('input[name="detention_end_time"]');
		                        if(detention_end_time.length > 0){
		                            detention_end_time.datetimepicker({
		                                ignoreReadonly: true,
		                                format: dateTimeLayout,
		                                useCurrent: false,
		                            }).on('dp.change', function(e) {
		                                detention_end_time.parsley().reset();
		                                var getDate         = moment(new Date(e.date));
		                                var currentDate     = moment(getDate).format(dateTimeLayout);
		                                modalForm.find('.end_time_label').attr('data-end_time',currentDate);
		                                    updateClock();
		                                    setTimeout(function() {
		                                        if(free_time.length > 0){
		                                            free_time.keyup();
		                                        }
		                                    }, 1050);
		                            });
		                        }
		                    }
		                }, 250);
		                toastr.success(response.message,'Success Alert');
		            }else{
		                toastr.error('Oops! Something went wrong..', 'Error Alert', {
		                    timeOut: 5000
		                });
		            }
		        }).fail(function(jqXHR, status, exception)  {
		            if (jqXHR.status === 0) {
		                error = 'Not connected.\nPlease verify your network connection.';
		            } else if (jqXHR.status == 404) {
		                error = 'The requested page not found. [404]';
		            } else if (jqXHR.status == 500) {
		                error = 'Internal Server Error [500].';
		            } else if (exception === 'parsererror') {
		                error = 'Requested JSON parse failed.';
		            } else if (exception === 'timeout') {
		                error = 'Time out error.';
		            } else if (exception === 'abort') {
		                error = 'Ajax request aborted.';
		            } else {
		                error = 'Uncaught Error.\n' + jqXHR.responseText;
		            }
		            toastr.error(error, 'Error Alert', {
		                timeOut: 5000
		            });
		        }).always(function (dataOrjqXHR, textStatus, jqXHRorErrorThrown) {
		            that.prop('disabled', false).html('Force Stop');
		        });
		    }
		    return false;
		});
		$(document).on('keypress', '#detentionRequestModal .number', function(event) {
		    if ((event.which != 46 || $(this).val().indexOf('.') != -1) && (event.which < 48 || event.which > 57)) {
		        event.preventDefault();
		    }
		});
		$(document).on('change', '#is_send_to_broker', function(event) {
		    var modalForm           		= $('#detentionRequestModal #detentionForm');
		    var detention_status    		= modalForm.find('input[name="detention_status"]').val();
		    var detention_button    		= modalForm.find('.detention-submit');
		    if(this.checked) {
		        if(detention_status==1){
		            detention_button.html('Acknowledge and Send').attr('data-review_status','In Progress - Acknowledged - Sent to broker');
		            var sent_to_broker  	= detention_button.data('is_send_to_broker');
		            if (typeof sent_to_broker !== "undefined") {
		                detention_button.removeClass('d-none');
		            }
		        }else{
		            detention_button.html('Save and Send').attr('data-review_status','In Progress - Sent to broker');
		        }
		    }else{
		        if(detention_status==1){
		            detention_button.html('Acknowledge').attr('data-review_status','In Progress - Acknowledged');
		            var sent_to_broker  	= detention_button.data('is_send_to_broker');
		            if (typeof sent_to_broker !== "undefined") {
		                detention_button.addClass('d-none');
		            }
		        }else{
		            detention_button.html('Approve').attr('data-review_status','Completed');
		        }
		    }
		    setBrokerEmailRequired();
		});
		$(document).on('keyup change', '#detentionRequestModal input[name="free_time"]', function(event) {
		    var modalForm               	= $('#detentionRequestModal #detentionForm');
		    var that                    	= $(this);
		    var freeTime                	= that.val();
		    freeTime                    	= freeTime.split(':');
		    var detainedTime            	= modalForm.find('.time-lapsed').text();
		    detainedTime                	= detainedTime.split(':');

		    min                         	= detainedTime[1]-freeTime[1];
		    hour_carry                  	= 0;
		    if(min < 0){
		        min                     	+= 60;
		        hour_carry              	+= 1;
		    }
		    hour                        	= detainedTime[0]-freeTime[0]-hour_carry;
		    if(hour>=0 && hour < 10){
		        hour                    	= "0"+hour;
		        that.closest('.free_time_div').find('.invalid-feedback').hide();
		        modalForm.find('.detention-submit').prop('disabled', false);
		    }else if(hour<0){
		        hour                    	= parseInt(hour);
		        hour                    	= hour * -1;
		        hour                    	= "-0"+hour;
		        //if(!modalForm.find('.time-lapsed').closest('label').next().hasClass('invalid-feedback'))
		            that.closest('.free_time_div').find('.invalid-feedback').show();
		        modalForm.find('.detention-submit').prop('disabled', true);
		    }else{
		        that.closest('.free_time_div').find('.invalid-feedback').hide();
		        modalForm.find('.detention-submit').prop('disabled', false);
		    }
		    if (min < 10)
		        min                     	= "0"+min;
		    modalForm.find('input[name="billed_time"]').val(hour+":"+min);
		    modalForm.find('input[name="rate"]').keyup();
		});
		$(document).on('click', '.free_time_div .scroll-btn', function(event) {
		    var modalForm               	= $('#detentionRequestModal #detentionForm');
		    var that                    	= $(this);
		    var freeTime                	= that.closest('.free_time_div').find('input[name="free_time"]').val();
		    freeTime                    	= freeTime.split(':');
		    var detainedTime            	= modalForm.find('.time-lapsed').text();
		    detainedTime                	= detainedTime.split(':');

		    min                         	= detainedTime[1]-freeTime[1];
		    hour_carry                  	= 0;
		    if(min < 0){
		        min                     	+= 60;
		        hour_carry              	+= 1;
		    }
		    hour                        	= detainedTime[0]-freeTime[0]-hour_carry;
		    if(hour>=0 && hour < 10){
		        hour                    	= "0"+hour;
		        that.closest('.free_time_div').find('.invalid-feedback').hide();
		        modalForm.find('.detention-submit').prop('disabled', false);
		    }else if(hour<0){
		        hour                    	= parseInt(hour);
		        hour                    	= hour * -1;
		        hour                    	= "-0"+hour;
		        //if(!modalForm.find('.time-lapsed').closest('label').next().hasClass('invalid-feedback'))
		            that.closest('.free_time_div').find('.invalid-feedback').show();
		        modalForm.find('.detention-submit').prop('disabled', true);
		    }else{
		        that.closest('.free_time_div').find('.invalid-feedback').hide();
		        modalForm.find('.detention-submit').prop('disabled', false);
		    }
		    if (min < 10)
		        min                     	= "0"+min;
		    modalForm.find('input[name="billed_time"]').val(hour+":"+min);
		    modalForm.find('input[name="rate"]').keyup();
		});
		$(document).on('keyup change', '#detentionRequestModal input[name="rate"]', function(event) {
		    var modalForm               	= $('#detentionRequestModal #detentionForm');
		    var that                    	= $(this);
		    var rate                    	= that.val();
		    rate 							= removeNumberWithCommas(rate);
		    var detention_due           	= 0;
		    if(rate > 0){
		        var billedTime          	= modalForm.find('input[name="billed_time"]').val();
		        billedTime              	= billedTime.split(':');
		        detention_due           	+= parseFloat(billedTime[0])*rate;
		        detention_due           	+= (parseFloat(billedTime[1])*(rate/60));
		    }
		    if(detention_due > 0){
		        modalForm.find('input[name="detention_due"]').val(formatNumberWithCommas(detention_due.toFixed(2)));
		    }else{
		        if(detention_due==0){
		            modalForm.find('input[name="detention_due"]').val('');
		        }else{
		            modalForm.find('input[name="detention_due"]').val(formatNumberWithCommas(detention_due.toFixed(2)));
		        }
		    }

		    if(
		        modalForm.find('input[name="is_adjusted_billed_time"]').length > 0 &&
		        modalForm.find('input[name="is_adjusted_billed_time"]').val()=='1' &&
		        modalForm.find('input[name="adjusted_billed_time"]').val()!=modalForm.find('input[name="billed_time"]').val()
		    ){
		        modalForm.find('input[name="is_adjusted_billed_time"]').val(0);
		        if(modalForm.find('.adjusted_billed_time_btn').length > 0)
		            modalForm.find('.adjusted_billed_time_btn').attr('data-is_accept',0).removeClass('d-none');
		    }
		    if(
		        modalForm.find('input[name="is_adjusted_rate"]').length > 0 &&
		        modalForm.find('input[name="is_adjusted_rate"]').val()=='1' &&
		        modalForm.find('input[name="adjusted_rate"]').val()!=modalForm.find('input[name="rate"]').val()
		    ){
		        modalForm.find('input[name="is_adjusted_rate"]').val(0);
		        if(modalForm.find('.adjusted_rate_btn').length > 0)
		            modalForm.find('.adjusted_rate_btn').attr('data-is_accept',0).removeClass('d-none');
		    }
		});
		$(document).on('click', '.adjusted_billed_time_btn, .adjusted_rate_btn', function(event) {
		    var modalForm                   = $('#detentionRequestModal #detentionForm');
		    var that                        = $(this);
		    var is_accept                   = that.attr('data-is_accept');
		    if(is_accept==0){
		        that.attr('data-is_accept',1).addClass('d-none');
		        if(that.hasClass('adjusted_billed_time_btn')){
		            modalForm.find('input[name="is_adjusted_billed_time"]').val(1);
		            modalForm.find('input[name="billed_time"]').val(that.attr('data-adjusted_billed_time'));
		        }else{
		            modalForm.find('input[name="is_adjusted_rate"]').val(1);
		            modalForm.find('input[name="rate"]').val(that.attr('data-adjusted_rate'));
		        }

		        var rate                    = modalForm.find('input[name="rate"]').val();
		        rate 						= removeNumberWithCommas(rate);
		        var detention_due           = 0;
		        if(rate > 0){
		            var billedTime          = modalForm.find('input[name="billed_time"]').val();
		            billedTime              = billedTime.split(':');
		            detention_due           += parseFloat(billedTime[0])*rate;
		            detention_due           += (parseFloat(billedTime[1])*(rate/60));
		        }
		        if(detention_due > 0){
		            modalForm.find('input[name="detention_due"]').val(formatNumberWithCommas(detention_due.toFixed(2)));
		        }else{
		            if(detention_due==0){
		                modalForm.find('input[name="detention_due"]').val('');
		            }else{
		                modalForm.find('input[name="detention_due"]').val(formatNumberWithCommas(detention_due.toFixed(2)));
		            }
		        }
		    }
		});
		//Once add button is clicked
		$(document).on('click', '.add_broker_email_button', function(event) {
		    event.preventDefault();
		    // console.log('add-button');
		    // return false;
		    var modalForm           		= $('#detentionRequestModal #detentionForm');
		    var isChecked           		= modalForm.find('#is_send_to_broker').is(':checked');
		    var required            		= '';
		    if(isChecked){
		        required            		= 'required';
		    }
		    $('#detentionRequestModal .field_wrapper').append(`
		        <div class="row">
		            <div class="col-md-4">
		                <div class="form-group">
		                    <input type="email" class="form-control" name="broker_email[]" value="" placeholder="Enter Broker Email" `+required+`>
		                </div>
		            </div>
		            <div class="col-md-1">
		                <a href="javascript:void(0);" class="btn btn-danger btn-minus remove_broker_email_button" title="Remove field"><i class="fa fa-trash"></i></a>
		            </div>
		        </div>
		    `);
		});
		//Once remove button is clicked
		$(document).on('click', '.remove_broker_email_button', function(event) {
		    event.preventDefault();
		    // console.log('remove-button');
		    // return false;
		    $(this).closest('.row').remove(); //Remove field html
		});
		function setBrokerEmailRequired(){
		    var modalForm           		= $('#detentionRequestModal #detentionForm');
		    var isChecked           		= modalForm.find('#is_send_to_broker').is(':checked');
		    if(isChecked){
		        modalForm.find('input[name="broker_email[]"]').each( function() {
		           $(this).prop('required',true);
		        });
		    }else{
		        modalForm.find('input[name="broker_email[]"]').each( function() {
		           $(this).prop('required',false);
		           $(this).parsley().reset();
		        });
		    }
		}
		function updateClock(){
		    var modalForm                           = $('#detentionRequestModal #detentionForm');
		    modalInterval                           = setInterval(function() {
		        var timezone                        = modalForm.find('input[name="timezone"]').val();
		        // console.log('updateClock');
		        // return false;
		        var detention_status                = modalForm.find('input[name="detention_status"]').val();
		        if(detention_status==1){
		            // Get today's date and time
		            // var endStr                   = moment().format(dateTimeLayout); //moment(moment().toDate(), null).tz(timeZone).format(dateTimeLayout);
		            // var endStamp                 = new Date(endStr).getTime(); // var endStamp = new Date().getTime();
		            var endStamp                    = moment(moment().tz(timezone).format(dateTimeLayout)).valueOf();
		            var startStamp                  = endStamp;

		            var startTimeLabel              = modalForm.find('.start_time_label');
		            if(startTimeLabel.length > 0){
		                var startTimeLabelVal       = startTimeLabel.attr('data-start_time');
		                if(startTimeLabelVal){
		                    startDateTime           = new Date(startTimeLabelVal);
		                    startStamp              = startDateTime.getTime();
		                }
		            }

		            var diff                        = Math.abs(endStamp - startStamp);
		            var seconds                     = Math.floor(diff / 1000); //ignore any left over units smaller than a second
		            var minutes                     = Math.floor(seconds / 60);
		            seconds                         = seconds % 60;
		            var hours                       = Math.floor(minutes / 60);
		            minutes                         = minutes % 60;

		            if (hours < 10)
		                hours                       = "0"+hours;
		            if (minutes < 10)
		                minutes                     = "0"+minutes;
		            if(endStamp < startStamp){
		                modalForm.find('input[name="time_lapsed"]').val('-'+hours+':'+minutes);

		                modalForm.find('.time-lapsed').html('-'+hours+':'+minutes);
		                if(!modalForm.find('.time-lapsed').closest('label').next().hasClass('invalid-feedback')){
		                    modalForm.find('.time-lapsed').closest('label').after('<span class="invalid-feedback">Please select correct date.</span>');
		                }
		                var mfbuttons               = modalForm.find('.detention-submit').each(function(i, obj) {
		                    $(obj).prop('disabled', true);
		                });
		            }else{
		                modalForm.find('input[name="time_lapsed"]').val(hours+':'+minutes);

		                modalForm.find('.time-lapsed').html(hours+':'+minutes);
		                if(modalForm.find('.time-lapsed').closest('label').next().hasClass('invalid-feedback')){
		                    modalForm.find('.time-lapsed').closest('label').next().remove();
		                }
		                var mfbuttons               = modalForm.find('.detention-submit').each(function(i, obj) {
		                    $(obj).prop('disabled', false);
		                });
		            }
		        }else{
		            var endTimeLabel                = modalForm.find('.end_time_label');
		            var endTimeLabelVal             = endTimeLabel.attr('data-end_time');

		            var startTimeLabel              = modalForm.find('.start_time_label');
		            var startTimeLabelVal           = startTimeLabel.attr('data-start_time');

		            if(
		                (typeof endTimeLabelVal !== "undefined" && endTimeLabelVal!='') &&
		                (typeof startTimeLabelVal !== "undefined" && startTimeLabelVal!='')
		            ){
		                var endDateTime             = new Date(endTimeLabelVal);
		                var endStamp                = endDateTime.getTime();

		                var startDateTime           = new Date(startTimeLabelVal);
		                var startStamp              = startDateTime.getTime();

		                var diff                    = Math.abs(endStamp - startStamp);
		                var seconds                 = Math.floor(diff / 1000); //ignore any left over units smaller than a second
		                var minutes                 = Math.floor(seconds / 60);
		                seconds                     = seconds % 60;
		                var hours                   = Math.floor(minutes / 60);
		                minutes                     = minutes % 60;

		                if (hours < 10)
		                    hours                   = "0"+hours;
		                if (minutes < 10)
		                    minutes                 = "0"+minutes;
		                if(endStamp < startStamp){
		                    modalForm.find('input[name="time_lapsed"]').val('-'+hours+':'+minutes);

		                    modalForm.find('.time-lapsed').html('-'+hours+':'+minutes);
		                    if(!modalForm.find('.time-lapsed').closest('label').next().hasClass('invalid-feedback')){
		                        modalForm.find('.time-lapsed').closest('label').after('<span class="invalid-feedback">Please select correct date.</span>');
		                    }
		                    var mfbuttons           = modalForm.find('.detention-submit').each(function(i, obj) {
		                        $(obj).prop('disabled', true);
		                    });
		                }else{
		                    modalForm.find('input[name="time_lapsed"]').val(hours+':'+minutes);

		                    modalForm.find('.time-lapsed').html(hours+':'+minutes);
		                    if(modalForm.find('.time-lapsed').closest('label').next().hasClass('invalid-feedback')){
		                        modalForm.find('.time-lapsed').closest('label').next().remove();
		                    }
		                    var mfbuttons           = modalForm.find('.detention-submit').each(function(i, obj) {
		                        $(obj).prop('disabled', false);
		                    });
		                }
		            }
		        }
		    }, 1000);
		}
	</script>
	<script type="text/javascript">
		function checkPendingDetention(){
		    $.ajax({
		        type: 'POST',
		        url: '{!! route("company.admin.loads.pending.detention.list") !!}',
		        data: {
		            id: "{{ $load->id ?? '' }}",
		        },
		        dataType: 'json',
		        headers: {
		            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
		        },
		        async: false,
		        beforeSend: function () {
		            //console.log('beforeSend');
		        },
		        success: function(response) {
		            if(response.success){
		                totalPendingDetention 	= response.detention
		                if(totalPendingDetention > 0){
		                    if($('#readyToBill').hasClass('fill-active')){
		                        $('#readyToBill').addClass('isactivebill');
		                    }
		                    $('.pending-detention-txt').removeClass('d-none');
		                }else{
		                    if($('#readyToBill').hasClass('isactivebill')){
		                        $('#readyToBill').removeClass('isactivebill');
		                    }
		                    $('.pending-detention-txt').addClass('d-none');
		                }

		                $('.detention-request-list').find('.append-view').html(response.html);
		                setTimeout(function() {
		                    evaluateDetentionDue();
		                }, 500);
		            }else{
		                //console.log(response.message);
		            }
		        },
		        complete: function() {
		            //console.log('complete');
		        },
		        error: function(jqXHR, status, exception) {
		            //console.log('error');
		        }
		    });
		    // code here
		    return false;
		}
		function evaluateDetentionDue(){
			var multiArray              		= {};
			var total_detention_due     		= 0;
			$('.detention-request-list .append-view').find('span.detention-due').each(function(i, obj) {
			    var that                		= $(obj);
			    var driver_id 					= that.attr('data-driver_id');
			    var detention_due 				= that.attr('data-detention_due');

			    total_detention_due     		+= parseFloat(detention_due);
			    // Define inner array if it doesn't exist
		      	if (!multiArray[driver_id]) {
			        multiArray[driver_id] 		= [];
		      	}
		      	// Push value to the inner array
		      	if(parseFloat(detention_due) > 0)
	      	  		multiArray[driver_id].push(parseFloat(detention_due));
			});
			var isNotEmpty 						= Object.keys(multiArray).length !== 0;
			if(total_detention_due > 0){
				var detentionLabel 				= $('.mileage-rating-div label[for="detention"]');
				var detentionRow 				= detentionLabel.closest('.row');
				detentionRow.removeClass('d-none');
				detentionRow.find('.in-value').attr('data-value', total_detention_due);
				detentionRow.find('.in-value').text('$' + total_detention_due.toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,'));
				detentionRow.find('.total-bill-addition').trigger('click');

				$('.driver-payment-div').each(function(index, obj) {
					var that 					= $(this);
					var driver_id 				= that.attr('data-driver_id');
					if (isNotEmpty && multiArray[driver_id] && multiArray[driver_id].length > 0) {
						var amts 				= multiArray[driver_id];
						var sum 				= $.map(amts, function(value) {
						  	return value;
						}).reduce(function(a, b) {
						  	return a + b;
						});

						var detentionLabel 		= that.find('label[for="drivers_'+index+'_detention"]');
						var detentionRow 		= detentionLabel.closest('.row');
						detentionRow.removeClass('d-none');
						detentionRow.find('.in-value').attr('data-value', sum);
						detentionRow.find('.in-value').text('$' + sum.toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,'));
						detentionRow.find('.total-bill-addition').trigger('click');
					}
				});
			}else{
				var detentionLabel 				= $('.mileage-rating-div label[for="detention"]');
				var detentionRow 				= detentionLabel.closest('.row');
				detentionRow.addClass('d-none');
				detentionRow.find('.in-value').attr('data-value', '');
				detentionRow.find('.in-value').text('');
				detentionRow.find('.total-bill-addition').trigger('click');

				$('.driver-payment-div').each(function(index, obj) {
					var that 					= $(this);
					var detentionLabel 			= that.find('label[for="drivers_'+index+'_detention"]');
					var detentionRow 			= detentionLabel.closest('.row');
					detentionRow.addClass('d-none');
					detentionRow.find('.in-value').attr('data-value', '');
					detentionRow.find('.in-value').text('');
					detentionRow.find('.total-bill-addition').trigger('click');
				});
			}
		}
	</script>
	<script type="text/javascript">
	    $(document).on('click', '.detention-request-list .link', function(event) {
	        var that            = $(this);
	        var detention_id    = that.attr('data-detention_id');
	        $('a.detention-request[data-detention_id="'+detention_id+'"]').trigger('click');
	    });
	</script>
	<!-- // Detention -->
	<script type="text/javascript">
		// Total Bill
		$(document).on('click', '.billing-evaluateDiv .total-bill-addition', function(event) {
			var that                			= $(this);
			var closest_div         			= that.closest('.billing-evaluateDiv');
			var sum  		= 0;
			closest_div.find('.total-bill-addition').each(function(i, obj) {
			    var val 	= $(this).attr('data-value');
			    if (val != "") {
			        sum 	+= parseFloat(val);
			    }
			});
			closest_div.find('.total-accessorial').each(function(i, obj) {
			    var val 	= $(this).attr('data-value');
			    if (val != "") {
			        sum 	+= parseFloat(val)
			    }
			});

          	var formattedNumber 				= '$' + Math.abs(sum).toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,');
          	if (sum < 0) {
          	    formattedNumber 				= '-' + formattedNumber;
      	  	}
			closest_div.find('.total-bill').text(formattedNumber);
			if (closest_div.parent().hasClass('mileage-rating-div')) {
				$('.pay-txt').text(formattedNumber);
			}
		});
	</script>
	<!-- Document Request -->
	<script type="text/javascript">
		$(document).ready(function() {
			$('#docReq').on('hidden.bs.modal', function () {
			    // console.log('Document request modal hidden');
			    $('#docReq').find('.append-view').html('');
			});
			$('#docReq').on('show.bs.modal', function () {
			    // console.log('Document request modal show');
			    $('#docReq').find('.append-view').html(`
			        <div class="loadingdiv">
			            <img src="`+loadimg+`">
			        </div>
			    `);
			});
			$('#requestDoc').click(function () {
				var load_id  			= "{{ $loadDetail->load_id ?? '' }}";
				var load_detail_id  	= "{{ $loadDetail->id ?? '' }}";
				var broker_id  			= "{{ $loadDetail->brokerage_firm ?? '' }}";
				if(broker_id && broker_id!='0'){
					$.ajax({
					    type: 'POST',
					    url: '{!! route("company.admin.loads.document.request") !!}',
					    data: {
					    	load_id: load_id,
					    	load_detail_id: load_detail_id,
					    	broker_id: broker_id,
					    	load_drivers_array: load_drivers_array,
					    	load_stops_array: load_stops_array,
					    	load_documents: load_documents
					    },
					    dataType: 'json',
					    headers: {
					        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
					    },
					    beforeSend: function () {
					    	$('#docReq').modal({backdrop: 'static', keyboard: false}, 'show');
					    },
					    success: function(response) {
					    	var html  	= response.html;
					    	if(typeof html !== "undefined"){
					    		$('#docReq').find('.append-view').html(html);
					    		setTimeout(function() {
					    			var modalForm = $('#docReq #docReqFrm');
					    			if(modalForm.length > 0){
					    				modalForm.find('.document-name_id').select2({
					    					dropdownParent: $('#docReq')
					    				});
					    				if(modalForm.find('.request_send_contacts').html().trim() === ''){
					    					doc_req_email_sms_contact();
					    				}
					    			}
    		                    }, 200);
					    	}else{
					    		toastr.error('Oops! Something went wrong..', 'Error Alert', {
					    		    timeOut: 5000
					    		});
					    	}
					    },
					    complete: function() {
					    	// console.log('complete');
					    },
					    error: function(jqXHR, status, exception) {
					        if (jqXHR.status === 0) {
					            error = 'Not connected.\nPlease verify your network connection.';
					        } else if (jqXHR.status == 404) {
					            error = 'The requested page not found. [404]';
					        } else if (jqXHR.status == 500) {
					            error = 'Internal Server Error [500].';
					        } else if (exception === 'parsererror') {
					            error = 'Requested JSON parse failed.';
					        } else if (exception === 'timeout') {
					            error = 'Time out error.';
					        } else if (exception === 'abort') {
					            error = 'Ajax request aborted.';
					        } else {
					            error = 'Uncaught Error.\n' + jqXHR.responseText;
					        }
					        toastr.error(error, 'Error Alert', {
					            timeOut: 5000
					        });
					    }
					});
				}else{
					toastr.error('Please select broker.', 'Error Alert', {
					    timeOut: 5000
					});
				}
			});
		});
	</script>
	<script type="text/javascript">
	  	$(document).on('change', 'select[name^="doc_req["][name$="][driver_id]"]', function() {
	  		doc_req_email_sms_contact();
	  	});
	  	$(document).on('change', '#docReq input[name="doc_req_email"], #docReq input[name="doc_req_sms"]', function() {
	  		doc_req_email_sms_contact();
	  	});
	    $(document).on('change', '#docReq .document-name_id', function() {
	    	var that 					= $(this);

	    	var optionSelected          = $("option:selected", this);
	    	var selectedValue           = optionSelected.val();
	    	var selectedText 			= '';
	    	if(selectedValue && selectedValue!='0'){
				selectedText 			= optionSelected.text();
	    	}

	    	if(selectedValue=='0'){
	    		that.closest('.sub-wrapper').find('.document-name').attr('type', 'text');
	    		that.closest('.sub-wrapper').find('.document-name').prop('required', true);
	    	}else{
	    		that.closest('.sub-wrapper').find('.document-name').attr('type', 'hidden');
	    		that.closest('.sub-wrapper').find('.document-name').prop('required', false);
	    	}
	    	that.closest('.sub-wrapper').find('.document-name').val(selectedText);

	    	if(optionSelected.attr('data-include_w_billing') == 'yes'){
	    		that.closest('.sub-wrapper').find('.document-include_w_billing').prop('checked', true);
	    	}else{
	    		that.closest('.sub-wrapper').find('.document-include_w_billing').prop('checked', false);
	    	}
	    });
		$(document).on('click', '.docReq-add-btn', function(event) {
			var that             		= $(this);
			var wrapper 				= that.closest('.docReq-wrapper');

			var lastIndex 				= 0;
			var lastItem 				= wrapper.find('.sub-wrapper:last');
			if(lastItem.attr('data-last-index') !== undefined){
				lastIndex 				= parseInt(lastItem.attr('data-last-index'))+1;
			}

			var fieldName       		= 'doc_req['+lastIndex+']';
			var fieldId 				= fieldName.replace("[", "_").replace("]", "");
			fieldId 					= fieldId.replace(/\W+/g, "_");

			var html 					= `<div class="row sub-wrapper" data-last-index="`+lastIndex+`">
    		    <div class="col-lg">
    		        <div class="row">
    		            <div class="col-md-3 col-sm-6">
    		                <div class="form-group">
    		                    <label for="`+fieldId+`_driver_id">Driver</label>
    		                    <select class="form-control" name="`+fieldName+`[driver_id]" id="`+fieldId+`_driver_id" required>
    		                    	`+load_drivers_options+`
    		                    </select>
    		                </div>
    		            </div>
    		            <div class="col-md-3 col-sm-6">
    		                <div class="form-group">
    		                    <label for="`+fieldId+`_stop_no">Stop No.</label>
    		                    <select class="form-control" name="`+fieldName+`[stop_no]" id="`+fieldId+`_stop_no" required>
    		                        `+load_stops_options+`
    		                    </select>
    		                </div>
    		            </div>
    		            <div class="col-md-3 col-sm-6">
    		                <div class="form-group">
    		                    <label for="`+fieldId+`_name_id">Document Name</label>
    		                    <select class="form-control document-name_id" name="`+fieldName+`[name_id]" id="`+fieldId+`_name_id" data-parsley-errors-container="#`+fieldId+`_name_id_errors" required>
    		                    	`+load_documents_options+`
    		                    </select>
    		                    <div id="`+fieldId+`_name_id_errors"></div>
    		                    <input type="hidden" class="form-control document-name mt-1" name="`+fieldName+`[name]" id="`+fieldId+`_name" value="">
    		                </div>
    		            </div>
    		            <div class="col-md-3 col-sm-6">
    		                <div class="form-group">
    		                    <label for="`+fieldId+`_type">Document Type</label>
    		                    <select class="form-control" name="`+fieldName+`[type]" id="`+fieldId+`_type">
    		                        <option value="1">Copy</option>
    		                        <option value="2">Original</option>
    		                    </select>
    		                </div>
    		            </div>
    		        </div>
    		    </div>
    		    <div class="col-auto">
    		    	<div class="form-group">
    		    		<label for="`+fieldId+`_include_w_billing">Include w/ Billing</label>
	    				<div class="custom-control custom-checkbox mt-2">
			    		    <input type="checkbox" class="custom-control-input document-include_w_billing" name="`+fieldName+`[include_w_billing]" id="`+fieldId+`_include_w_billing" value="yes">
			    		    <label class="custom-control-label" for="`+fieldId+`_include_w_billing"></label>
			    		</div>
    		    	</div>
    		    </div>
    		    <div class="col-auto">
    		        <div class="form-group">
    		            <label for="doc_type" class="d-block">&nbsp;</label>
    		            <button type="button" class="btn btn-danger btn-minus docReq-remove-btn">
    		            	<i class="fa fa-trash" aria-hidden="true"></i>
    		            </button>
    		        </div>
    		    </div>
    		</div>`;
    		wrapper.append(html);

    		wrapper.find('#'+fieldId+'_name_id').select2({
    			dropdownParent: $('#docReq')
    		});
		});
		$(document).on('click', '.docReq-remove-btn', function(event) {
			var that 					= $(this);
			var rowCount 				= that.closest('.docReq-wrapper').find('.sub-wrapper').length;
			// Ensure there's at least one row remaining
			if (rowCount > 1) {
				that.closest('.sub-wrapper').remove();
				setTimeout(function() {
					doc_req_email_sms_contact();
				}, 50);
			}else{
				toastr.error('You cannot remove the last row.', 'Error Alert', {
				    timeOut: 5000
				});
			}
		});
		$(document).on('click', '.docReq-save-btn', function(event) {
		    event.preventDefault();
		    // console.log('docReq-save-btn');
		    // return false;
		    var that                	= $(this);
		    var btnTxt              	= that.text();

		    var form                	= $('#docReq #docReqFrm');
		    var parsley             	= form.parsley({
		        excluded: 'input[type=button], input[type=submit], input[type=reset]',
		        inputs: 'input, textarea, select, input[type=hidden], :hidden',
		    });
		    parsley.validate();
		    if (parsley.isValid()){
		    	var formData        	= new FormData(form[0]);
		    	$.ajax({
		    	    type: 'POST',
		    	    url: "{{ route('company.admin.loads.document.save') }}",
		    	    data: formData,
		    	    dataType: 'json',
		    	    headers: {
		    	        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
		    	    },
		    	    cache : false,
		    	    processData: false,
		    	    contentType: false,
		    	    beforeSend: function() {
		    	        that.prop('disabled', true).html('Please Wait...');
		    	    },
		    	    success: function(response) {
		    	    	if (response.success) {
		    	    		loadFileView();

		    	    		toastr.success(
		    	    		    'Save successfully.',
		    	    		    'Success Alert', {
		    	    		        timeOut: 1000,
		    	    		        fadeOut: 1000,
		    	    		        onHidden: function () {
		    	    		            $('#docReq').modal('hide');
		    	    		        }
		    	    		    }
		    	    		);
		    	    	} else {
		    	    		toastr.error(response.message, 'Error Alert', {
		    	    		    timeOut: 5000
		    	    		});
		    	    	}
		    	    },
		    	    complete: function() {
		    	        that.prop('disabled', false).html(btnTxt);
		    	    },
		    	    error: function(jqXHR, status, exception) {
		    	        if (jqXHR.status === 0) {
		    	            error = 'Not connected.\nPlease verify your network connection.';
		    	        } else if (jqXHR.status == 404) {
		    	            error = 'The requested page not found. [404]';
		    	        } else if (jqXHR.status == 500) {
		    	            error = 'Internal Server Error [500].';
		    	        } else if (exception === 'parsererror') {
		    	            error = 'Requested JSON parse failed.';
		    	        } else if (exception === 'timeout') {
		    	            error = 'Time out error.';
		    	        } else if (exception === 'abort') {
		    	            error = 'Ajax request aborted.';
		    	        } else {
		    	            error = 'Uncaught Error.\n' + jqXHR.responseText;
		    	        }
		    	        toastr.error(error, 'Error Alert', {
		    	            timeOut: 5000
		    	        });
		    	    }
		    	});
		    	return false;
		    }
		});
		function doc_req_email_sms_contact(){
			var email 							= $('#docReq input[name="doc_req_email"]').is(':checked') ? true : false;
			var sms 							= $('#docReq input[name="doc_req_sms"]').is(':checked') ? true : false;

			if(email === true || sms ===  true){
				var myArray 					= [];
				$("select[name^='doc_req['][name$='[driver_id]']").each(function() {
			  		var that 					= $(this);
			  		// Extract the dynamic index from the name attribute
			  		var dynamicIndex 			= that.attr('name').match(/\[(.*?)\]/)[1];
			  		var selectedValue 			= that.val();
		  		    var selectedOption 			= that.find('option:selected');
		  		    var selectedText 			= selectedOption.text();

		  		    var emailAttributeValue 	= selectedOption.attr('data-email');
		  		    if(typeof emailAttributeValue === "undefined" || emailAttributeValue === ""){
		  		    	emailAttributeValue 	= '';
		  		    }
		  		    var cellPhoneAttributeValue = selectedOption.attr('data-cell_phone');
		  		    if(typeof cellPhoneAttributeValue === "undefined" || cellPhoneAttributeValue === ""){
		  		    	cellPhoneAttributeValue = '';
		  		    }

		  		    if(selectedValue){
		  		    	// Create an object with multiple key-value pairs
		  		    	var myObject 			= {
		  		    	  id: selectedValue,
		  		    	  name: selectedText,
		  		    	  email: emailAttributeValue,
		  		    	  phone: cellPhoneAttributeValue
		  		    	};

		  		    	// Check if an object with the same id already exists in the array
		  		    	const idExists 			= myArray.some(item => item.id === myObject.id);
		  		    	// If the id does not exist in the array, add the newObject
		  		    	if (!idExists) {
		  		    		// Push the object into the array
		  		    		myArray.push(myObject);
		  		    	}
		  		    }
				});

				if(myArray.length > 0){
					var addedArray 				= [];
					var addedHtml 				= $('#docReq .request_send_contacts');
					addedHtml.find("tbody tr").each(function(index) {
						var that 				= $(this);
						var myObject 			= {};
						myObject['id'] 			= that.find('.send-driver_id').val();
						if(typeof that.find('.send-email').val() !== 'undefined'){
							myObject['email'] 	= that.find('.send-email').val();
						}
						if(typeof that.find('.send-phone').val() !== 'undefined'){
							myObject['phone'] 	= that.find('.send-phone').val();
						}
						addedArray.push(myObject);
				    });

					var html 					= '';

					var thead 					= `<tr>
						<th>#</th>
						<th>Name</th>
					`;
					if(email === true && sms === true){
						thead 					+= `<th>Email</th>
				      		<th>SMS</th>`;
					} else if (email === true && sms === false) {
						thead 					+= `<th>Email</th>`;
					} else {
						thead 					+= `<th>SMS</th>`;
					}
					thead 						+= `</tr>`;

					var tbody 					= '';
					$.each(myArray, function(i, value) {
						++i;

						var emailval 			= value.email;
						var phoneval 			= value.phone;

						var matchingDriver 		= addedArray.find(item => item.id === value.id);
						if (matchingDriver && Object.keys(matchingDriver).length !== 0) {
							if(matchingDriver.hasOwnProperty('email') && matchingDriver.email !== undefined){
								emailval 		= matchingDriver.email;
							}
							if(matchingDriver.hasOwnProperty('phone') && matchingDriver.phone !== undefined){
								phoneval 		= matchingDriver.phone;
							}
						}

						var tr 					= `<tr>
							<td>
								<input type="hidden" class="send-driver_id" name="request_send_contacts[`+i+`][driver_id]" value="`+value.id+`">
								`+i+`
							</td>
							<td>`+value.name+`</td>
						`;
						if(email === true && sms === true){
							tr 					+= `
								<td>
									<input type="email" class="form-control send-email" name="request_send_contacts[`+i+`][email]" value="`+emailval+`" required>
								</td>
						  		<td>
						  			<input type="text" class="form-control send-phone phone" name="request_send_contacts[`+i+`][phone]" value="`+phoneval+`" required>
						  		</td>`;
						} else if (email === true && sms === false) {
							tr 					+= `
								<td>
									<input type="email" class="form-control send-email" name="request_send_contacts[`+i+`][email]" value="`+emailval+`" required>
									</td>`;
						} else {
							tr 					+= `
								<td>
									<input type="text" class="form-control send-phone phone" name="request_send_contacts[`+i+`][phone]" value="`+phoneval+`" required>
								</td>`;
						}
						tr 						+= `</tr>`;
						tbody 					+= tr;
					});

					html 						+= `<div class="row">
						<div class="col-12">
							<div class="table-responsive">
								<table class="table">
								  	<thead>
								    	`+thead+`
								  	</thead>
								  	<tbody>
								    	`+tbody+`
								  	</tbody>
								</table>
							</div>
						</div>
					</div>`;

					$('#docReq .request_send_contacts').html(html);
				}else{
					$('#docReq .request_send_contacts').html('');
				}
			}else{
				$('#docReq .request_send_contacts').html('');
			}
		}
		$(document).on('keyup change', '#docReq .send-email, #docReq .send-phone', function() {
			var that 							= $(this);
			var tr 								= that.closest('tr');
			var myObject 						= {};
			myObject['id'] 						= tr.find('.send-driver_id').val();
			if(typeof tr.find('.send-email').val() !== 'undefined'){
				myObject['email'] 				= tr.find('.send-email').val();
			}
			if(typeof tr.find('.send-phone').val() !== 'undefined'){
				myObject['phone'] 				= tr.find('.send-phone').val();
			}
			// console.log(myObject);
		});
	</script>
	<!-- // Audit Load -->
	<script type="text/javascript">
	    $(document).ready(function() {
	        table = $('.data-table').DataTable({
	            stateSave: true,
	            bSortCellsTop: true,
	            language: {
	                search: "",
	                searchPlaceholder: "Search...",
	            },
	            dom: "<'row cusotdiv'<'col-sm-5 col-md-6'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
	            processing: false,
	            serverSide: true,
	            fixedHeader: true,
	            ordering: false,
	            pageLength: "{{ perPageView() }}",
              	ajax: {
	                "url": "{{ route('company.admin.new.loads.auditload') }}",
	                "data": {
	                    "load_id": "{{ $load->id }}", // original load id
                 	}
	            },
	            columns: [
	                <?php foreach($getField as $key => $filed): ?>
	                    <?php if($filed == 1): ?>
	                        <?php if(isset(config('settings.table_audit_load')[$key]['name'])): ?>
	                            <?php if(config("settings.table_audit_load")[$key]["orderable"] == 1 && config("settings.table_audit_load")[$key]["searchable"] == 1): ?>
	                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
	                            <?php elseif(config("settings.table_audit_load")[$key]["orderable"] == 1): ?>
	                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
	                            <?php elseif(config("settings.table_audit_load")[$key]["searchable"] == 1): ?>
	                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
	                            <?php else: ?>
	                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
	                            <?php endif; ?>
	                        <?php endif; ?>
	                    <?php endif; ?>
	                <?php endforeach; ?>
	            ]
	        });
	    });
	</script>
	<!-- // Audit Load -->
	@if(!empty($mileageCoords))
		<script type="text/javascript">
			$(document).ready(function() {
				if(trimbleMapsAPIKey){
					var mileageCoords 					= {!! json_encode($mileageCoords) !!};
					if(!$.isEmptyObject(mileageCoords)){
						var stopArray 					= [];
						stopArray.push({longitude: mileageCoords.deadheadLocation.longitude, latitude: mileageCoords.deadheadLocation.latitude});
						stopArray.push({longitude: mileageCoords.currentLocation.longitude, latitude: mileageCoords.currentLocation.latitude});

						var mappedArr 					= $.map(stopArray, function(value, index) {
							return value.longitude+','+value.latitude;
						});
						var stops 						= mappedArr.join(';');

						var tollRoads               	= trimbleMapParams.map_toll_roads;
						if(tollRoads){
							tollRoads                   = parseInt(tollRoads);
						}else{
							tollRoads 					= 2;
						}

						var elevLimit               	= 0;
						var elevLimitVal            	= trimbleMapParams.map_max_elevation;
						if(elevLimitVal){
						    elevLimit               	= parseInt(elevLimitVal);
						}

						var hazMat                  	= 0;
						if(trimbleMapParams.hazardous_load==1){
						    hazMat                  	= trimbleMapParams.hazardous_options;
						}

						const reportUrl               	= 'https://pcmiler.alk.com/APIs/REST/v1.0/service.svc/route/routeReports';

						const getParams             	= [];
						getParams.push(`stops=${encodeURIComponent(stops)}`);
						getParams.push('reports=Mileage');
						getParams.push('tollRoads='+tollRoads);
						getParams.push('elevLimit='+elevLimit);
						if(trimbleMapParams.map_close_borders==1){
							getParams.push('avoidCountry=CA,MX');
						}
						getParams.push('hazMat='+hazMat);
						// HazMatType, HazMatTypes

						// Add the parameters as a query string to the URL
						fetch(`${reportUrl}?${getParams.join('&')}`, {
						   	method: 'GET',
						  	headers: {
						       Authorization: trimbleMapsAPIKey
						   	}
						})
						.then((response) => response.json())
						.then((data) => {
							var completed_miles         = data[0].ReportLines[1].TMiles;
							completed_miles             = parseFloat(completed_miles).toFixed(2);
							completed_miles 			= parseFloat(completed_miles);
							var total_miles         	= $('span.total-miles').text();
							total_miles 				= parseFloat(total_miles);
							var percentage 				= 0;
							if(completed_miles >= total_miles){
								percentage 				= 100;
								completed_miles 		= total_miles;
							}else{
								percentage 				= (completed_miles / total_miles) * 100;
								percentage 				= Math.round(percentage);
							}
							$('span.completed-miles').text(completed_miles);
							$('.view-load div.progress-bar').css('width', percentage + '%');
							$('.view-load div.progress-bar').attr('data-percentage', percentage + '%');
						});
					}
				}
			});
		</script>
	@endif
	<script type="text/javascript">
		$(document).ready(function() {
			if(trimbleMapsAPIKey){
				drawLoadViewMap();
			}
		});
		function drawLoadViewMap(){
			var destinationIconUrl 					= "{{ asset('theme/img/last_location_99.png') }}";
			var deadhead                    		= [];
			var pickup                      		= [];
			var stops                       		= [];
			var delivery                    		= [];

			var deadhead_mileage_options    		= $('.address-one:eq(0)').attr('data-deadhead_mileage_options');
			if(deadhead_mileage_options){
			    var options                 		= JSON.parse(deadhead_mileage_options);
			    deadhead.push({
			        longitude: options.longitude,
			        latitude: options.latitude
			    });
			}

			$('.loadInfo-block').each(function(key,val) {
				var that                     		= $(this);
				var ele 							= that.find('.address-one');
				if(ele.length > 0){
					var verified                	= ele.attr('data-address_verified');
					if(verified==1){
						var longitude           	= ele.attr('data-longitude');
						var latitude            	= ele.attr('data-latitude');
						var customer_type           = ele.attr('data-customer_type');
						if(typeof that.attr('data-stop_index') === "undefined"){
						    if(customer_type==1){
						        pickup.push({
						            longitude: longitude,
						            latitude: latitude
						        });
						    }else{
						        delivery.push({
						            longitude: longitude,
						            latitude: latitude
						        });
						    }
						}else{
						    stops.push({
						        longitude: longitude,
						        latitude: latitude
						    });
						}
					}
				}
			});

			var drawMap                     		= false;
			if(pickup.length > 0 && delivery.length > 0){
			    drawMap                     		= true;
			}

			if(drawMap){
				var stopArray               		= [];
				if(deadhead.length > 0){
				    $.each(deadhead, function( index, value ) {
				        stopArray.push(new TrimbleMaps.LngLat(value.longitude, value.latitude));
				    });
				}
				$.each(pickup, function( index, value ) {
				    stopArray.push(new TrimbleMaps.LngLat(value.longitude, value.latitude));
				});
				if(stops.length > 0){
				    $.each(stops, function( index, value ) {
				        stopArray.push(new TrimbleMaps.LngLat(value.longitude, value.latitude));
				    });
				}
				$.each(delivery, function( index, value ) {
				    stopArray.push(new TrimbleMaps.LngLat(value.longitude, value.latitude));
				});

				const map                   		= new TrimbleMaps.Map({
				    container: 'load-view-map',
				    style: TrimbleMaps.Common.Style.DATADARK,
				    center: new TrimbleMaps.LngLat(stopArray[0].lng, stopArray[0].lat),
				    zoom: 6
				});

				// If false, custom stop icons can be used, if other values, default icons and styles are used.
				const showDefaultStops      		= true;

				var tollRoads               		= trimbleMapParams.map_toll_roads;
				if(tollRoads){
					tollRoads                   	= parseInt(tollRoads);
				}else{
					tollRoads 						= 2;
				}

				var elevLimit               		= 0;
				var elevLimitVal            		= trimbleMapParams.map_max_elevation;
				if(elevLimitVal){
				    elevLimit               		= parseInt(elevLimitVal);
				}

				if(trimbleMapParams.map_close_borders==1){
					var avoidCountry        		= ['CA', 'MX'];
				}else{
					var avoidCountry        		= [];
				}

				var hazMatTypes                  	= [];
				if(trimbleMapParams.hazardous_load==1){
				    hazMatTypes                  	= [parseInt(trimbleMapParams.hazardous_options)];
				}

				var myobj                   		= {
				    routeId: "myRoute",
				    stops: stopArray,
				    reportType: [
				        TrimbleMaps.Common.ReportType.MILEAGE
				    ],
				    showStops: showDefaultStops,
				    tollRoads: tollRoads,
				    elevLimit: elevLimit,
				    avoidCountry: avoidCountry,
				    hazMatTypes: hazMatTypes
				};
				if($.inArray(load_status, ['4']) !== -1 && $.inArray(is_on_hold, ['2']) === -1){
					// Not Equal Both
					myobj.routeColor       			= '#888888';
				}
				myobj.destinationIcon       		= {
				    size: 1,
				    url: destinationIconUrl,
				    offset: [0, -6]
				};

				const myRoute               		= new TrimbleMaps.Route(myobj);
				//
				map.on('load', async () => {
				    myRoute.addTo(map);
				    if (!showDefaultStops) {
				        // add custom stop icons.
				        myRoute.addStopIcon('start', 'https://developer.trimblemaps.com/maps-sdk/img/marker_blue.png');
				        myRoute.addStopIcon('end', 'https://developer.trimblemaps.com/maps-sdk/img/marker_blue.png');
				        myRoute.addStopIcon('stop', 'https://developer.trimblemaps.com/maps-sdk/img/marker_blue.png');
				        // style custom stop icons. For detailed information, visit https://developer.trimblemaps.com/maps-sdk/style-spec/layers/#symbol
				        const stopLayerStyle    	= {
				            layout: {
				                'icon-size': [
				                    'case',
				                    ['==', ['get', 'stopType'], 'start'], 1, // stopType is an internal property, it has start, end, and stop values for now.
				                    ['==', ['get', 'stopType'], 'end'], 1,
				                    1 // stops
				                ],
				                'icon-offset': [0, -10]
				            }
				        };
				        myRoute.styleStopIcons(stopLayerStyle);
				    }

				    if(currentLocation && !$.isEmptyObject(currentLocation)){
				    	// draw green truck at the start
				    	const point 				= {
				    	    'type': 'FeatureCollection',
				    	    'features': [{
				    	        'type': 'Feature',
				    	        'properties': {},
				    	        'geometry': {
				    	            'type': 'Point',
				    	            'coordinates': [currentLocation.longitude, currentLocation.latitude]
				    	        }
				    	    }]
				    	};
				    	map.addSource('point', {
				    	    type: 'geojson',
				    	    data: point
				    	});
				    	map.addLayer({
				    	    'id': 'point',
				    	    'source': 'point',
				    	    'type': 'symbol',
				    	    'layout': {
				    	        'icon-image': 'truck-outline-green',
				    	        'icon-size': 1,
				    	        'icon-allow-overlap' : true,
				    	        'icon-ignore-placement': true
				    	    },
				    	    'paint': {
				    	        'icon-opacity': 1
				    	    }
				    	});

				    	if($.inArray(load_status, ['4']) !== -1 && $.inArray(is_on_hold, ['2']) === -1){
				    		if(pastGPSCoords.length > 0){
				    			// Add GeoJSON data source to the map
				    			map.addSource('pastGPSTrack', {
				    				type: 'geojson',
				    				data: {
									    type: 'FeatureCollection',
									    features: [{
									        type: 'Feature',
									        properties: {},
									        geometry: {
									            type: 'LineString',
									            coordinates: pastGPSCoords
									        }
									    }]
									}
								});

				    			map.addLayer({
				    			    'id': 'pastGPSTrack',
				    			    'source': 'pastGPSTrack',
				    			    'type': 'line',
				    			    'layout': {
				    			        'line-cap': 'round'
				    			    },
				    			    'paint': {
				    			        'line-color': '#005F9E',
				    			        'line-opacity': 0.6,
				    			        'line-width': 8
				    			    }
				    			});
				    		}

				    		//
				    		const gpsTracksData 	= {
				    		    type: 'FeatureCollection',
				    		    features: [{
				    		        type: 'Feature',
				    		        properties: {},
				    		        geometry: {
				    		            type: 'LineString',
				    		            coordinates: [
				    		                [currentLocation.longitude, currentLocation.latitude]
				    		            ]
				    		        }
				    		    }]
				    		};
				    		// Add GeoJSON data source to the map
				    		map.addSource('gpsTrack', { type: 'geojson', data: gpsTracksData });
				    		// Add a layer to draw line for each point in the data source
				    		map.addLayer({
				    		    'id': 'gpsTrack',
				    		    'type': 'line',
				    		    'source': 'gpsTrack',
				    		    'layout': {
				    		        'line-cap': 'round'
				    		    },
				    		    'paint': {
				    		        'line-color': '#005F9E',
				    		        'line-opacity': 0.6,
				    		        'line-width': 8
				    		    }
				    		});
				    		map.jumpTo({ 'center': [currentLocation.longitude, currentLocation.latitude], 'zoom': 10 });
				    		map.setPitch(40);

				    		var livepoint       	= {
				    		    type: 'FeatureCollection',
				    		    features:[
				    		        {
				    		            type: 'Feature',
				    		            properties: {},
				    		            geometry: {
				    		                type: 'Point',
				    		                coordinates: [currentLocation.longitude, currentLocation.latitude]
				    		            }
				    		        }
				    		    ]
				    		};
				    		// Add GeoJSON data source to the map
				    		map.addSource('livepoint', { type: 'geojson', data: livepoint });
				    		// Add a layer to draw line for each point in the data source
				    		map.addLayer({
				    		    'id': 'livepoint',
				    		    'source': 'livepoint',
				    		    'type': 'symbol',
				    		    'layout': {
				    		        'icon-image': 'truck-fill-green',
				    		        'icon-size': 1,
				    		        'icon-allow-overlap' : true,
				    		        'icon-ignore-placement': true
				    		    },
				    		    'paint': {
				    		        'icon-opacity': 1
				    		    }
				    		});

				    		// draw gps track
				    		let i       			= 0;
				    		const timer 			= setInterval(() => {
				    		    $.ajax({
				    		        type: 'POST',
				    		        url: "{{ route('company.admin.truck.get.current.location') }}",
				    		        data: {
				    		            id: "{{ $loadDetail->truck->id ?? '' }}"
				    		        },
				    		        dataType: 'json',
				    		        headers: {
				    		            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
				    		        },
				    		        // async: false,
				    		        success: function(response) {
				    		            if(response.success){
				    		                if(response.location && !$.isEmptyObject(response.location)){
				    		                    gpsTracksData.features[0].geometry.coordinates.push([response.location.longitude, response.location.latitude]);
				    		                    map.getSource('gpsTrack').setData(gpsTracksData);
				    		                    map.panTo([response.location.longitude, response.location.latitude]);

				    		                    livepoint.features[0].geometry.coordinates = [response.location.longitude, response.location.latitude];
				    		                    map.getSource('livepoint').setData(livepoint);
				    		                }
				    		            }
				    		        }
				    		    });
				    		    i++;
				    		}, 7000);
				    	}
				    }
				});

				//
				myRoute.on('report', function (data) {
					// Load Mileage Information
					var reportLines             	= data[0].ReportLines;
					$.each(reportLines, function(i, obj) {
						var stop_index        		= '';
						if(deadhead.length > 0){
							if(i !== 0){
								stop_index      	= i-1;
							}
						}else{
							stop_index      		= i;
						}
						if(stop_index!==''){
							$('div[data-miles-stop-index="'+stop_index+'"]').find('.miles').text(parseFloat(obj.LMiles).toFixed(2))
						}
					});
				});
			}
		}
	</script>
	<script type="text/javascript">
		$(document).ready(function() {
			$('.view-loadAssetTimeTable').parent().on('scroll', function () {
				// console.log('Scroll event detected');
				if (!noMoreDataAssetLocationHistory && $(this).scrollTop() + $(this).innerHeight() >= $(this)[0].scrollHeight) {
					getAssetLocationHistory();
				}
			});
		});
	</script>
@endsection

@push('after-scripts')
@endpush
